package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Data: ImageVector
    get() {
        if (_data != null) {
            return _data!!
        }
        _data = Builder(name = "Data", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.0f, 8.8892f)
                curveTo(13.6569f, 8.8892f, 15.0f, 10.2323f, 15.0f, 11.8892f)
                curveTo(15.0f, 13.1954f, 14.1652f, 14.3066f, 13.0f, 14.7185f)
                verticalLineTo(19.8892f)
                horizontalLineTo(11.0f)
                verticalLineTo(14.7185f)
                curveTo(9.8348f, 14.3066f, 9.0f, 13.1954f, 9.0f, 11.8892f)
                curveTo(9.0f, 10.2323f, 10.3431f, 8.8892f, 12.0f, 8.8892f)
                close()
                moveTo(12.0f, 10.8892f)
                curveTo(12.5523f, 10.8892f, 13.0f, 11.3369f, 13.0f, 11.8892f)
                curveTo(13.0f, 12.4414f, 12.5523f, 12.8892f, 12.0f, 12.8892f)
                curveTo(11.4477f, 12.8892f, 11.0f, 12.4414f, 11.0f, 11.8892f)
                curveTo(11.0f, 11.3369f, 11.4477f, 10.8892f, 12.0f, 10.8892f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0502f, 6.9394f)
                curveTo(5.7835f, 8.2061f, 5.0f, 9.9561f, 5.0f, 11.8891f)
                curveTo(5.0f, 14.0666f, 5.9943f, 16.0119f, 7.5535f, 17.2957f)
                lineTo(8.9771f, 15.8721f)
                curveTo(7.7757f, 14.9589f, 7.0f, 13.5146f, 7.0f, 11.8891f)
                curveTo(7.0f, 10.5084f, 7.5596f, 9.2584f, 8.4644f, 8.3536f)
                lineTo(7.0502f, 6.9394f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.5355f, 8.3535f)
                curveTo(16.4403f, 9.2583f, 17.0f, 10.5083f, 17.0f, 11.8891f)
                curveTo(17.0f, 13.5146f, 16.2243f, 14.959f, 15.0228f, 15.8722f)
                lineTo(16.4463f, 17.2958f)
                curveTo(18.0057f, 16.012f, 19.0f, 14.0666f, 19.0f, 11.8891f)
                curveTo(19.0f, 9.956f, 18.2165f, 8.206f, 16.9497f, 6.9393f)
                lineTo(15.5355f, 8.3535f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.0f, 11.8891f)
                curveTo(1.0f, 8.8515f, 2.2312f, 6.1016f, 4.2218f, 4.1109f)
                lineTo(5.636f, 5.5252f)
                curveTo(4.0073f, 7.1538f, 3.0f, 9.4038f, 3.0f, 11.8891f)
                curveTo(3.0f, 14.3743f, 4.0073f, 16.6243f, 5.636f, 18.2529f)
                lineTo(4.2217f, 19.6672f)
                curveTo(2.2312f, 17.6766f, 1.0f, 14.9266f, 1.0f, 11.8891f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.7781f, 19.6673f)
                curveTo(21.7688f, 17.6767f, 23.0f, 14.9266f, 23.0f, 11.8891f)
                curveTo(23.0f, 8.8515f, 21.7688f, 6.1014f, 19.7781f, 4.1108f)
                lineTo(18.3639f, 5.5251f)
                curveTo(19.9926f, 7.1537f, 21.0f, 9.4038f, 21.0f, 11.8891f)
                curveTo(21.0f, 14.3744f, 19.9926f, 16.6244f, 18.3639f, 18.2531f)
                lineTo(19.7781f, 19.6673f)
                close()
            }
        }
        .build()
        return _data!!
    }

private var _data: ImageVector? = null
