package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.Debug: ImageVector
    get() {
        if (_debug != null) {
            return _debug!!
        }
        _debug = Builder(name = "Debug", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 11.0f)
                curveTo(10.0f, 10.4477f, 10.4477f, 10.0f, 11.0f, 10.0f)
                horizontalLineTo(13.0f)
                curveTo(13.5523f, 10.0f, 14.0f, 10.4477f, 14.0f, 11.0f)
                curveTo(14.0f, 11.5523f, 13.5523f, 12.0f, 13.0f, 12.0f)
                horizontalLineTo(11.0f)
                curveTo(10.4477f, 12.0f, 10.0f, 11.5523f, 10.0f, 11.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 14.0f)
                curveTo(10.4477f, 14.0f, 10.0f, 14.4477f, 10.0f, 15.0f)
                curveTo(10.0f, 15.5523f, 10.4477f, 16.0f, 11.0f, 16.0f)
                horizontalLineTo(13.0f)
                curveTo(13.5523f, 16.0f, 14.0f, 15.5523f, 14.0f, 15.0f)
                curveTo(14.0f, 14.4477f, 13.5523f, 14.0f, 13.0f, 14.0f)
                horizontalLineTo(11.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(9.0945f, 4.7492f)
                curveTo(8.4161f, 4.0324f, 8.0f, 3.0648f, 8.0f, 2.0f)
                horizontalLineTo(10.0f)
                curveTo(10.0f, 3.1046f, 10.8954f, 4.0f, 12.0f, 4.0f)
                curveTo(13.1046f, 4.0f, 14.0f, 3.1046f, 14.0f, 2.0f)
                horizontalLineTo(16.0f)
                curveTo(16.0f, 3.0648f, 15.5839f, 4.0324f, 14.9055f, 4.7492f)
                curveTo(16.1782f, 5.4549f, 17.1673f, 6.6099f, 17.6586f, 8.0f)
                horizontalLineTo(19.0f)
                curveTo(19.5523f, 8.0f, 20.0f, 8.4477f, 20.0f, 9.0f)
                curveTo(20.0f, 9.5523f, 19.5523f, 10.0f, 19.0f, 10.0f)
                horizontalLineTo(18.0f)
                verticalLineTo(12.0f)
                horizontalLineTo(19.0f)
                curveTo(19.5523f, 12.0f, 20.0f, 12.4477f, 20.0f, 13.0f)
                curveTo(20.0f, 13.5523f, 19.5523f, 14.0f, 19.0f, 14.0f)
                horizontalLineTo(18.0f)
                verticalLineTo(16.0f)
                horizontalLineTo(19.0f)
                curveTo(19.5523f, 16.0f, 20.0f, 16.4477f, 20.0f, 17.0f)
                curveTo(20.0f, 17.5523f, 19.5523f, 18.0f, 19.0f, 18.0f)
                horizontalLineTo(17.6586f)
                curveTo(16.8349f, 20.3304f, 14.6124f, 22.0f, 12.0f, 22.0f)
                curveTo(9.3876f, 22.0f, 7.1651f, 20.3304f, 6.3414f, 18.0f)
                horizontalLineTo(5.0f)
                curveTo(4.4477f, 18.0f, 4.0f, 17.5523f, 4.0f, 17.0f)
                curveTo(4.0f, 16.4477f, 4.4477f, 16.0f, 5.0f, 16.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(14.0f)
                horizontalLineTo(5.0f)
                curveTo(4.4477f, 14.0f, 4.0f, 13.5523f, 4.0f, 13.0f)
                curveTo(4.0f, 12.4477f, 4.4477f, 12.0f, 5.0f, 12.0f)
                horizontalLineTo(6.0f)
                verticalLineTo(10.0f)
                horizontalLineTo(5.0f)
                curveTo(4.4477f, 10.0f, 4.0f, 9.5523f, 4.0f, 9.0f)
                curveTo(4.0f, 8.4477f, 4.4477f, 8.0f, 5.0f, 8.0f)
                horizontalLineTo(6.3414f)
                curveTo(6.8327f, 6.6099f, 7.8218f, 5.4549f, 9.0945f, 4.7492f)
                close()
                moveTo(8.0f, 16.0f)
                verticalLineTo(10.0f)
                curveTo(8.0f, 7.7909f, 9.7909f, 6.0f, 12.0f, 6.0f)
                curveTo(14.2091f, 6.0f, 16.0f, 7.7909f, 16.0f, 10.0f)
                verticalLineTo(16.0f)
                curveTo(16.0f, 18.2091f, 14.2091f, 20.0f, 12.0f, 20.0f)
                curveTo(9.7909f, 20.0f, 8.0f, 18.2091f, 8.0f, 16.0f)
                close()
            }
        }
        .build()
        return _debug!!
    }

private var _debug: ImageVector? = null
