package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.LivePhoto: ImageVector
    get() {
        if (_livePhoto != null) {
            return _livePhoto!!
        }
        _livePhoto = Builder(name = "LivePhoto", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.9805f, 21.9525f)
                curveTo(12.6579f, 21.9839f, 12.3308f, 22.0f, 12.0f, 22.0f)
                curveTo(11.6692f, 22.0f, 11.3421f, 21.9839f, 11.0194f, 21.9525f)
                lineTo(11.2132f, 19.9619f)
                curveTo(11.4715f, 19.9871f, 11.7339f, 20.0f, 12.0f, 20.0f)
                curveTo(12.2661f, 20.0f, 12.5285f, 19.9871f, 12.7868f, 19.9619f)
                lineTo(12.9805f, 21.9525f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0962f, 21.5719f)
                lineTo(9.6761f, 19.6578f)
                curveTo(9.1712f, 19.5048f, 8.6873f, 19.3031f, 8.2295f, 19.058f)
                lineTo(7.2852f, 20.821f)
                curveTo(7.8578f, 21.1277f, 8.4637f, 21.3803f, 9.0962f, 21.5719f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.656f, 19.7304f)
                lineTo(6.9256f, 18.1851f)
                curveTo(6.5202f, 17.852f, 6.148f, 17.4798f, 5.8149f, 17.0744f)
                lineTo(4.2696f, 18.344f)
                curveTo(4.6854f, 18.8501f, 5.1499f, 19.3146f, 5.656f, 19.7304f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.179f, 16.7148f)
                lineTo(4.942f, 15.7705f)
                curveTo(4.6969f, 15.3127f, 4.4952f, 14.8288f, 4.3422f, 14.3239f)
                lineTo(2.4281f, 14.9038f)
                curveTo(2.6197f, 15.5363f, 2.8723f, 16.1422f, 3.179f, 16.7148f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.0475f, 12.9805f)
                lineTo(4.0381f, 12.7868f)
                curveTo(4.0129f, 12.5285f, 4.0f, 12.2661f, 4.0f, 12.0f)
                curveTo(4.0f, 11.7339f, 4.0129f, 11.4715f, 4.0381f, 11.2132f)
                lineTo(2.0475f, 11.0195f)
                curveTo(2.0161f, 11.3421f, 2.0f, 11.6692f, 2.0f, 12.0f)
                curveTo(2.0f, 12.3308f, 2.0161f, 12.6579f, 2.0475f, 12.9805f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.4281f, 9.0962f)
                lineTo(4.3422f, 9.6761f)
                curveTo(4.4952f, 9.1712f, 4.6969f, 8.6873f, 4.942f, 8.2295f)
                lineTo(3.179f, 7.2852f)
                curveTo(2.8723f, 7.8578f, 2.6197f, 8.4637f, 2.4281f, 9.0962f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.2696f, 5.656f)
                lineTo(5.8149f, 6.9256f)
                curveTo(6.148f, 6.5202f, 6.5202f, 6.148f, 6.9256f, 5.8149f)
                lineTo(5.656f, 4.2696f)
                curveTo(5.1499f, 4.6854f, 4.6854f, 5.1499f, 4.2696f, 5.656f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.2852f, 3.179f)
                lineTo(8.2295f, 4.942f)
                curveTo(8.6873f, 4.6969f, 9.1712f, 4.4952f, 9.6761f, 4.3422f)
                lineTo(9.0962f, 2.4281f)
                curveTo(8.4637f, 2.6197f, 7.8578f, 2.8723f, 7.2852f, 3.179f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0195f, 2.0475f)
                curveTo(11.3421f, 2.0161f, 11.6692f, 2.0f, 12.0f, 2.0f)
                curveTo(12.3308f, 2.0f, 12.6579f, 2.0161f, 12.9805f, 2.0475f)
                lineTo(12.7868f, 4.0381f)
                curveTo(12.5285f, 4.0129f, 12.2661f, 4.0f, 12.0f, 4.0f)
                curveTo(11.7339f, 4.0f, 11.4715f, 4.0129f, 11.2132f, 4.0381f)
                lineTo(11.0195f, 2.0475f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.9038f, 2.4281f)
                lineTo(14.3239f, 4.3422f)
                curveTo(14.8288f, 4.4952f, 15.3127f, 4.6969f, 15.7705f, 4.942f)
                lineTo(16.7148f, 3.179f)
                curveTo(16.1422f, 2.8723f, 15.5363f, 2.6197f, 14.9038f, 2.4281f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.344f, 4.2696f)
                lineTo(17.0744f, 5.8149f)
                curveTo(17.4798f, 6.148f, 17.852f, 6.5202f, 18.1851f, 6.9256f)
                lineTo(19.7304f, 5.656f)
                curveTo(19.3146f, 5.1499f, 18.8501f, 4.6854f, 18.344f, 4.2696f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.821f, 7.2852f)
                lineTo(19.058f, 8.2295f)
                curveTo(19.3031f, 8.6873f, 19.5048f, 9.1712f, 19.6578f, 9.6761f)
                lineTo(21.5719f, 9.0962f)
                curveTo(21.3803f, 8.4637f, 21.1277f, 7.8578f, 20.821f, 7.2852f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.9525f, 11.0195f)
                lineTo(19.9619f, 11.2132f)
                curveTo(19.9871f, 11.4715f, 20.0f, 11.7339f, 20.0f, 12.0f)
                curveTo(20.0f, 12.2661f, 19.9871f, 12.5285f, 19.9619f, 12.7868f)
                lineTo(21.9525f, 12.9806f)
                curveTo(21.9839f, 12.6579f, 22.0f, 12.3308f, 22.0f, 12.0f)
                curveTo(22.0f, 11.6692f, 21.9839f, 11.3421f, 21.9525f, 11.0195f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.5719f, 14.9038f)
                lineTo(19.6578f, 14.3239f)
                curveTo(19.5048f, 14.8288f, 19.3031f, 15.3127f, 19.058f, 15.7705f)
                lineTo(20.821f, 16.7148f)
                curveTo(21.1277f, 16.1422f, 21.3803f, 15.5363f, 21.5719f, 14.9038f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.7304f, 18.344f)
                lineTo(18.1851f, 17.0744f)
                curveTo(17.852f, 17.4798f, 17.4798f, 17.852f, 17.0744f, 18.1851f)
                lineTo(18.344f, 19.7304f)
                curveTo(18.8501f, 19.3146f, 19.3146f, 18.8501f, 19.7304f, 18.344f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.7148f, 20.821f)
                lineTo(15.7705f, 19.058f)
                curveTo(15.3127f, 19.3031f, 14.8288f, 19.5048f, 14.3239f, 19.6578f)
                lineTo(14.9038f, 21.5719f)
                curveTo(15.5363f, 21.3803f, 16.1422f, 21.1277f, 16.7148f, 20.821f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(9.0f, 12.0f)
                curveTo(9.0f, 10.3431f, 10.3431f, 9.0f, 12.0f, 9.0f)
                curveTo(13.6569f, 9.0f, 15.0f, 10.3431f, 15.0f, 12.0f)
                curveTo(15.0f, 13.6569f, 13.6569f, 15.0f, 12.0f, 15.0f)
                curveTo(10.3431f, 15.0f, 9.0f, 13.6569f, 9.0f, 12.0f)
                close()
                moveTo(12.0f, 13.0f)
                curveTo(11.4477f, 13.0f, 11.0f, 12.5523f, 11.0f, 12.0f)
                curveTo(11.0f, 11.4477f, 11.4477f, 11.0f, 12.0f, 11.0f)
                curveTo(12.5523f, 11.0f, 13.0f, 11.4477f, 13.0f, 12.0f)
                curveTo(13.0f, 12.5523f, 12.5523f, 13.0f, 12.0f, 13.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.0f, 6.0f)
                curveTo(8.6863f, 6.0f, 6.0f, 8.6863f, 6.0f, 12.0f)
                curveTo(6.0f, 15.3137f, 8.6863f, 18.0f, 12.0f, 18.0f)
                curveTo(15.3137f, 18.0f, 18.0f, 15.3137f, 18.0f, 12.0f)
                curveTo(18.0f, 8.6863f, 15.3137f, 6.0f, 12.0f, 6.0f)
                close()
                moveTo(8.0f, 12.0f)
                curveTo(8.0f, 14.2091f, 9.7909f, 16.0f, 12.0f, 16.0f)
                curveTo(14.2091f, 16.0f, 16.0f, 14.2091f, 16.0f, 12.0f)
                curveTo(16.0f, 9.7909f, 14.2091f, 8.0f, 12.0f, 8.0f)
                curveTo(9.7909f, 8.0f, 8.0f, 9.7909f, 8.0f, 12.0f)
                close()
            }
        }
        .build()
        return _livePhoto!!
    }

private var _livePhoto: ImageVector? = null
