package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.SmartHomeWashMachine: ImageVector
    get() {
        if (_smartHomeWashMachine != null) {
            return _smartHomeWashMachine!!
        }
        _smartHomeWashMachine = Builder(name = "SmartHomeWashMachine", defaultWidth = 24.0.dp,
                defaultHeight = 24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(6.0f, 4.0f)
                horizontalLineTo(18.0f)
                curveTo(18.5523f, 4.0f, 19.0f, 4.4477f, 19.0f, 5.0f)
                verticalLineTo(8.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(5.0f)
                curveTo(5.0f, 4.4477f, 5.4477f, 4.0f, 6.0f, 4.0f)
                close()
                moveTo(19.0f, 19.0f)
                verticalLineTo(10.0f)
                horizontalLineTo(5.0f)
                verticalLineTo(19.0f)
                curveTo(5.0f, 19.5523f, 5.4477f, 20.0f, 6.0f, 20.0f)
                horizontalLineTo(18.0f)
                curveTo(18.5523f, 20.0f, 19.0f, 19.5523f, 19.0f, 19.0f)
                close()
                moveTo(3.0f, 5.0f)
                curveTo(3.0f, 3.3431f, 4.3432f, 2.0f, 6.0f, 2.0f)
                horizontalLineTo(18.0f)
                curveTo(19.6569f, 2.0f, 21.0f, 3.3431f, 21.0f, 5.0f)
                verticalLineTo(19.0f)
                curveTo(21.0f, 20.6569f, 19.6569f, 22.0f, 18.0f, 22.0f)
                horizontalLineTo(6.0f)
                curveTo(4.3432f, 22.0f, 3.0f, 20.6569f, 3.0f, 19.0f)
                verticalLineTo(5.0f)
                close()
                moveTo(7.0f, 5.0f)
                curveTo(6.4477f, 5.0f, 6.0f, 5.4477f, 6.0f, 6.0f)
                curveTo(6.0f, 6.5523f, 6.4477f, 7.0f, 7.0f, 7.0f)
                horizontalLineTo(9.0f)
                curveTo(9.5523f, 7.0f, 10.0f, 6.5523f, 10.0f, 6.0f)
                curveTo(10.0f, 5.4477f, 9.5523f, 5.0f, 9.0f, 5.0f)
                horizontalLineTo(7.0f)
                close()
                moveTo(14.0f, 7.0f)
                curveTo(14.5523f, 7.0f, 15.0f, 6.5523f, 15.0f, 6.0f)
                curveTo(15.0f, 5.4477f, 14.5523f, 5.0f, 14.0f, 5.0f)
                curveTo(13.4477f, 5.0f, 13.0f, 5.4477f, 13.0f, 6.0f)
                curveTo(13.0f, 6.5523f, 13.4477f, 7.0f, 14.0f, 7.0f)
                close()
                moveTo(18.0f, 6.0f)
                curveTo(18.0f, 6.5523f, 17.5523f, 7.0f, 17.0f, 7.0f)
                curveTo(16.4477f, 7.0f, 16.0f, 6.5523f, 16.0f, 6.0f)
                curveTo(16.0f, 5.4477f, 16.4477f, 5.0f, 17.0f, 5.0f)
                curveTo(17.5523f, 5.0f, 18.0f, 5.4477f, 18.0f, 6.0f)
                close()
                moveTo(14.0f, 15.0f)
                curveTo(14.0f, 16.1046f, 13.1046f, 17.0f, 12.0f, 17.0f)
                curveTo(10.8954f, 17.0f, 10.0f, 16.1046f, 10.0f, 15.0f)
                curveTo(10.0f, 13.8954f, 10.8954f, 13.0f, 12.0f, 13.0f)
                curveTo(13.1046f, 13.0f, 14.0f, 13.8954f, 14.0f, 15.0f)
                close()
                moveTo(16.0f, 15.0f)
                curveTo(16.0f, 17.2091f, 14.2091f, 19.0f, 12.0f, 19.0f)
                curveTo(9.7909f, 19.0f, 8.0f, 17.2091f, 8.0f, 15.0f)
                curveTo(8.0f, 12.7909f, 9.7909f, 11.0f, 12.0f, 11.0f)
                curveTo(14.2091f, 11.0f, 16.0f, 12.7909f, 16.0f, 15.0f)
                close()
            }
        }
        .build()
        return _smartHomeWashMachine!!
    }

private var _smartHomeWashMachine: ImageVector? = null
