package compose.icons.cssggicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.CssGgIcons

public val CssGgIcons.SmartphoneChip: ImageVector
    get() {
        if (_smartphoneChip != null) {
            return _smartphoneChip!!
        }
        _smartphoneChip = Builder(name = "SmartphoneChip", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(9.0f, 22.0f)
                curveTo(9.0f, 22.5523f, 8.5523f, 23.0f, 8.0f, 23.0f)
                curveTo(7.4477f, 23.0f, 7.0f, 22.5523f, 7.0f, 22.0f)
                curveTo(7.0f, 21.4477f, 7.4477f, 21.0f, 8.0f, 21.0f)
                curveTo(8.5523f, 21.0f, 9.0f, 21.4477f, 9.0f, 22.0f)
                close()
                moveTo(13.0f, 22.0f)
                curveTo(13.0f, 22.5523f, 12.5523f, 23.0f, 12.0f, 23.0f)
                curveTo(11.4477f, 23.0f, 11.0f, 22.5523f, 11.0f, 22.0f)
                curveTo(11.0f, 21.4477f, 11.4477f, 21.0f, 12.0f, 21.0f)
                curveTo(12.5523f, 21.0f, 13.0f, 21.4477f, 13.0f, 22.0f)
                close()
                moveTo(16.0f, 23.0f)
                curveTo(16.5523f, 23.0f, 17.0f, 22.5523f, 17.0f, 22.0f)
                curveTo(17.0f, 21.4477f, 16.5523f, 21.0f, 16.0f, 21.0f)
                curveTo(15.4477f, 21.0f, 15.0f, 21.4477f, 15.0f, 22.0f)
                curveTo(15.0f, 22.5523f, 15.4477f, 23.0f, 16.0f, 23.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(9.0f, 2.0f)
                curveTo(9.0f, 2.5523f, 8.5523f, 3.0f, 8.0f, 3.0f)
                curveTo(7.4477f, 3.0f, 7.0f, 2.5523f, 7.0f, 2.0f)
                curveTo(7.0f, 1.4477f, 7.4477f, 1.0f, 8.0f, 1.0f)
                curveTo(8.5523f, 1.0f, 9.0f, 1.4477f, 9.0f, 2.0f)
                close()
                moveTo(13.0f, 2.0f)
                curveTo(13.0f, 2.5523f, 12.5523f, 3.0f, 12.0f, 3.0f)
                curveTo(11.4477f, 3.0f, 11.0f, 2.5523f, 11.0f, 2.0f)
                curveTo(11.0f, 1.4477f, 11.4477f, 1.0f, 12.0f, 1.0f)
                curveTo(12.5523f, 1.0f, 13.0f, 1.4477f, 13.0f, 2.0f)
                close()
                moveTo(16.0f, 3.0f)
                curveTo(16.5523f, 3.0f, 17.0f, 2.5523f, 17.0f, 2.0f)
                curveTo(17.0f, 1.4477f, 16.5523f, 1.0f, 16.0f, 1.0f)
                curveTo(15.4477f, 1.0f, 15.0f, 1.4477f, 15.0f, 2.0f)
                curveTo(15.0f, 2.5523f, 15.4477f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(9.0f, 22.0f)
                curveTo(9.0f, 22.5523f, 8.5523f, 23.0f, 8.0f, 23.0f)
                curveTo(7.4477f, 23.0f, 7.0f, 22.5523f, 7.0f, 22.0f)
                curveTo(7.0f, 21.4477f, 7.4477f, 21.0f, 8.0f, 21.0f)
                curveTo(8.5523f, 21.0f, 9.0f, 21.4477f, 9.0f, 22.0f)
                close()
                moveTo(13.0f, 22.0f)
                curveTo(13.0f, 22.5523f, 12.5523f, 23.0f, 12.0f, 23.0f)
                curveTo(11.4477f, 23.0f, 11.0f, 22.5523f, 11.0f, 22.0f)
                curveTo(11.0f, 21.4477f, 11.4477f, 21.0f, 12.0f, 21.0f)
                curveTo(12.5523f, 21.0f, 13.0f, 21.4477f, 13.0f, 22.0f)
                close()
                moveTo(16.0f, 23.0f)
                curveTo(16.5523f, 23.0f, 17.0f, 22.5523f, 17.0f, 22.0f)
                curveTo(17.0f, 21.4477f, 16.5523f, 21.0f, 16.0f, 21.0f)
                curveTo(15.4477f, 21.0f, 15.0f, 21.4477f, 15.0f, 22.0f)
                curveTo(15.0f, 22.5523f, 15.4477f, 23.0f, 16.0f, 23.0f)
                close()
                moveTo(23.0f, 16.0f)
                curveTo(23.0f, 15.4477f, 22.5523f, 15.0f, 22.0f, 15.0f)
                curveTo(21.4477f, 15.0f, 21.0f, 15.4477f, 21.0f, 16.0f)
                curveTo(21.0f, 16.5523f, 21.4477f, 17.0f, 22.0f, 17.0f)
                curveTo(22.5523f, 17.0f, 23.0f, 16.5523f, 23.0f, 16.0f)
                close()
                moveTo(23.0f, 12.0f)
                curveTo(23.0f, 11.4477f, 22.5523f, 11.0f, 22.0f, 11.0f)
                curveTo(21.4477f, 11.0f, 21.0f, 11.4477f, 21.0f, 12.0f)
                curveTo(21.0f, 12.5523f, 21.4477f, 13.0f, 22.0f, 13.0f)
                curveTo(22.5523f, 13.0f, 23.0f, 12.5523f, 23.0f, 12.0f)
                close()
                moveTo(22.0f, 7.0f)
                curveTo(22.5523f, 7.0f, 23.0f, 7.4477f, 23.0f, 8.0f)
                curveTo(23.0f, 8.5523f, 22.5523f, 9.0f, 22.0f, 9.0f)
                curveTo(21.4477f, 9.0f, 21.0f, 8.5523f, 21.0f, 8.0f)
                curveTo(21.0f, 7.4477f, 21.4477f, 7.0f, 22.0f, 7.0f)
                close()
                moveTo(2.0f, 15.0f)
                curveTo(2.5523f, 15.0f, 3.0f, 15.4477f, 3.0f, 16.0f)
                curveTo(3.0f, 16.5523f, 2.5523f, 17.0f, 2.0f, 17.0f)
                curveTo(1.4477f, 17.0f, 1.0f, 16.5523f, 1.0f, 16.0f)
                curveTo(1.0f, 15.4477f, 1.4477f, 15.0f, 2.0f, 15.0f)
                close()
                moveTo(2.0f, 11.0f)
                curveTo(2.5523f, 11.0f, 3.0f, 11.4477f, 3.0f, 12.0f)
                curveTo(3.0f, 12.5523f, 2.5523f, 13.0f, 2.0f, 13.0f)
                curveTo(1.4477f, 13.0f, 1.0f, 12.5523f, 1.0f, 12.0f)
                curveTo(1.0f, 11.4477f, 1.4477f, 11.0f, 2.0f, 11.0f)
                close()
                moveTo(3.0f, 8.0f)
                curveTo(3.0f, 7.4477f, 2.5523f, 7.0f, 2.0f, 7.0f)
                curveTo(1.4477f, 7.0f, 1.0f, 7.4477f, 1.0f, 8.0f)
                curveTo(1.0f, 8.5523f, 1.4477f, 9.0f, 2.0f, 9.0f)
                curveTo(2.5523f, 9.0f, 3.0f, 8.5523f, 3.0f, 8.0f)
                close()
                moveTo(17.0f, 6.0f)
                horizontalLineTo(7.0f)
                curveTo(6.4477f, 6.0f, 6.0f, 6.4477f, 6.0f, 7.0f)
                verticalLineTo(17.0f)
                curveTo(6.0f, 17.5523f, 6.4477f, 18.0f, 7.0f, 18.0f)
                horizontalLineTo(17.0f)
                curveTo(17.5523f, 18.0f, 18.0f, 17.5523f, 18.0f, 17.0f)
                verticalLineTo(7.0f)
                curveTo(18.0f, 6.4477f, 17.5523f, 6.0f, 17.0f, 6.0f)
                close()
                moveTo(7.0f, 4.0f)
                curveTo(5.3432f, 4.0f, 4.0f, 5.3432f, 4.0f, 7.0f)
                verticalLineTo(17.0f)
                curveTo(4.0f, 18.6569f, 5.3432f, 20.0f, 7.0f, 20.0f)
                horizontalLineTo(17.0f)
                curveTo(18.6569f, 20.0f, 20.0f, 18.6569f, 20.0f, 17.0f)
                verticalLineTo(7.0f)
                curveTo(20.0f, 5.3432f, 18.6569f, 4.0f, 17.0f, 4.0f)
                horizontalLineTo(7.0f)
                close()
                moveTo(14.0f, 10.0f)
                horizontalLineTo(10.0f)
                verticalLineTo(14.0f)
                horizontalLineTo(14.0f)
                verticalLineTo(10.0f)
                close()
                moveTo(8.0f, 8.0f)
                verticalLineTo(16.0f)
                horizontalLineTo(16.0f)
                verticalLineTo(8.0f)
                horizontalLineTo(8.0f)
                close()
            }
        }
        .build()
        return _smartphoneChip!!
    }

private var _smartphoneChip: ImageVector? = null
