package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayLightning: ImageVector
    get() {
        if (_dayLightning != null) {
            return _dayLightning!!
        }
        _dayLightning = Builder(name = "DayLightning", defaultWidth = 30.0.dp, defaultHeight =
                30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.56f, 16.9f)
                curveToRelative(0.0f, 1.33f, 0.46f, 2.47f, 1.39f, 3.43f)
                curveToRelative(0.93f, 0.96f, 2.06f, 1.47f, 3.4f, 1.53f)
                curveToRelative(0.11f, 0.0f, 0.17f, -0.06f, 0.17f, -0.17f)
                verticalLineToRelative(-1.37f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.18f, -0.17f, -0.18f)
                curveToRelative(-0.87f, -0.07f, -1.6f, -0.41f, -2.19f, -1.04f)
                curveToRelative(-0.59f, -0.62f, -0.89f, -1.36f, -0.89f, -2.21f)
                curveToRelative(0.0f, -0.84f, 0.28f, -1.57f, 0.85f, -2.19f)
                reflectiveCurveToRelative(1.26f, -0.97f, 2.1f, -1.04f)
                lineToRelative(0.52f, -0.08f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.17f)
                lineToRelative(0.06f, -0.51f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.99f, 1.37f, -2.71f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.09f, 2.86f, -1.09f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.36f, 2.85f, 1.09f)
                curveToRelative(0.81f, 0.72f, 1.27f, 1.63f, 1.39f, 2.72f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.19f, 0.17f)
                horizontalLineToRelative(1.6f)
                curveToRelative(0.91f, 0.0f, 1.68f, 0.32f, 2.32f, 0.95f)
                curveToRelative(0.64f, 0.63f, 0.96f, 1.39f, 0.96f, 2.28f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.59f, -0.89f, 2.21f)
                curveToRelative(-0.59f, 0.62f, -1.32f, 0.97f, -2.19f, 1.04f)
                curveToRelative(-0.13f, 0.0f, -0.2f, 0.06f, -0.2f, 0.18f)
                verticalLineToRelative(1.37f)
                curveToRelative(0.0f, 0.11f, 0.07f, 0.17f, 0.2f, 0.17f)
                curveToRelative(1.33f, -0.04f, 2.46f, -0.55f, 3.38f, -1.51f)
                reflectiveCurveToRelative(1.38f, -2.11f, 1.38f, -3.45f)
                curveToRelative(0.0f, -0.68f, -0.16f, -1.37f, -0.47f, -2.07f)
                curveTo(22.6f, 13.89f, 23.0f, 12.8f, 23.0f, 11.56f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.39f, -0.42f, -2.04f)
                curveToRelative(-0.28f, -0.65f, -0.65f, -1.2f, -1.12f, -1.67f)
                reflectiveCurveToRelative(-1.03f, -0.84f, -1.67f, -1.12f)
                curveToRelative(-0.65f, -0.27f, -1.32f, -0.41f, -2.03f, -0.41f)
                curveToRelative(-1.54f, 0.0f, -2.84f, 0.58f, -3.88f, 1.73f)
                curveToRelative(-0.86f, -0.41f, -1.74f, -0.62f, -2.65f, -0.62f)
                curveToRelative(-1.42f, 0.0f, -2.67f, 0.43f, -3.76f, 1.3f)
                reflectiveCurveToRelative(-1.79f, 1.99f, -2.1f, 3.37f)
                curveToRelative(-1.1f, 0.26f, -2.01f, 0.83f, -2.73f, 1.73f)
                reflectiveCurveTo(1.56f, 15.75f, 1.56f, 16.9f)
                close()
                moveTo(9.06f, 28.17f)
                horizontalLineToRelative(0.3f)
                lineToRelative(5.32f, -7.85f)
                curveToRelative(0.04f, -0.04f, 0.05f, -0.09f, 0.02f, -0.14f)
                reflectiveCurveToRelative(-0.07f, -0.07f, -0.14f, -0.07f)
                horizontalLineToRelative(-2.18f)
                lineToRelative(2.3f, -4.21f)
                curveToRelative(0.07f, -0.14f, 0.03f, -0.22f, -0.14f, -0.22f)
                horizontalLineToRelative(-2.94f)
                curveToRelative(-0.08f, 0.0f, -0.15f, 0.05f, -0.22f, 0.14f)
                lineToRelative(-2.16f, 5.72f)
                curveToRelative(-0.02f, 0.14f, 0.02f, 0.21f, 0.14f, 0.21f)
                horizontalLineToRelative(2.17f)
                lineTo(9.06f, 28.17f)
                close()
                moveTo(9.94f, 4.59f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.46f, 0.24f, 0.62f)
                lineToRelative(0.66f, 0.65f)
                curveToRelative(0.42f, 0.32f, 0.82f, 0.32f, 1.21f, 0.0f)
                curveToRelative(0.16f, -0.18f, 0.24f, -0.39f, 0.24f, -0.64f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.59f)
                lineToRelative(-0.64f, -0.65f)
                curveToRelative(-0.19f, -0.17f, -0.39f, -0.25f, -0.62f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(10.02f, 4.15f, 9.94f, 4.36f, 9.94f, 4.59f)
                close()
                moveTo(15.28f, 9.02f)
                curveTo(15.96f, 8.34f, 16.79f, 8.0f, 17.76f, 8.0f)
                curveToRelative(0.98f, 0.0f, 1.81f, 0.35f, 2.49f, 1.04f)
                curveToRelative(0.69f, 0.69f, 1.03f, 1.53f, 1.03f, 2.52f)
                curveToRelative(0.0f, 0.61f, -0.17f, 1.21f, -0.51f, 1.81f)
                curveToRelative(-0.98f, -0.94f, -2.13f, -1.41f, -3.46f, -1.41f)
                horizontalLineToRelative(-0.31f)
                curveTo(16.74f, 10.82f, 16.16f, 9.84f, 15.28f, 9.02f)
                close()
                moveTo(16.9f, 3.73f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.46f, 0.24f, 0.62f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.61f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.24f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.37f, 0.23f, -0.62f)
                verticalLineTo(1.69f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.23f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.23f)
                reflectiveCurveTo(16.9f, 1.45f, 16.9f, 1.69f)
                verticalLineTo(3.73f)
                close()
                moveTo(22.42f, 6.05f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.43f, 0.27f, 0.6f)
                curveToRelative(0.18f, 0.17f, 0.37f, 0.25f, 0.55f, 0.25f)
                curveToRelative(0.16f, 0.0f, 0.37f, -0.08f, 0.62f, -0.25f)
                lineToRelative(1.44f, -1.43f)
                curveToRelative(0.17f, -0.18f, 0.25f, -0.39f, 0.25f, -0.63f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.45f, -0.25f, -0.61f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.08f, -0.58f, 0.25f)
                lineToRelative(-1.43f, 1.43f)
                curveTo(22.51f, 5.61f, 22.42f, 5.82f, 22.42f, 6.05f)
                close()
                moveTo(23.23f, 17.87f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.24f, 0.61f)
                lineToRelative(0.65f, 0.66f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.25f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.38f, 0.25f, -0.63f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.25f, -0.57f)
                lineToRelative(-0.62f, -0.66f)
                curveToRelative(-0.19f, -0.16f, -0.39f, -0.23f, -0.62f, -0.23f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.24f)
                curveTo(23.31f, 17.44f, 23.23f, 17.64f, 23.23f, 17.87f)
                close()
                moveTo(24.68f, 11.56f)
                curveToRelative(0.0f, 0.22f, 0.09f, 0.41f, 0.26f, 0.57f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.6f, 0.25f)
                horizontalLineToRelative(2.04f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.24f, -0.09f, -0.44f, -0.26f, -0.61f)
                reflectiveCurveToRelative(-0.37f, -0.25f, -0.6f, -0.25f)
                horizontalLineToRelative(-2.04f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(24.77f, 11.12f, 24.68f, 11.32f, 24.68f, 11.56f)
                close()
            }
        }
        .build()
        return _dayLightning!!
    }

private var _dayLightning: ImageVector? = null
