package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayShowers: ImageVector
    get() {
        if (_dayShowers != null) {
            return _dayShowers!!
        }
        _dayShowers = Builder(name = "DayShowers", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.56f, 16.88f)
                curveToRelative(0.0f, 1.33f, 0.46f, 2.47f, 1.39f, 3.43f)
                reflectiveCurveToRelative(2.06f, 1.46f, 3.4f, 1.53f)
                curveToRelative(0.11f, 0.0f, 0.17f, -0.06f, 0.17f, -0.17f)
                verticalLineToRelative(-1.34f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.18f, -0.17f, -0.18f)
                curveToRelative(-0.85f, -0.04f, -1.57f, -0.38f, -2.17f, -1.02f)
                reflectiveCurveToRelative(-0.89f, -1.39f, -0.89f, -2.25f)
                curveToRelative(0.0f, -0.84f, 0.28f, -1.56f, 0.84f, -2.17f)
                reflectiveCurveToRelative(1.26f, -0.96f, 2.1f, -1.06f)
                lineToRelative(0.5f, -0.04f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.06f, 0.2f, -0.18f)
                lineToRelative(0.06f, -0.53f)
                curveToRelative(0.11f, -1.08f, 0.56f, -1.99f, 1.37f, -2.71f)
                curveToRelative(0.81f, -0.73f, 1.76f, -1.09f, 2.86f, -1.09f)
                curveToRelative(1.09f, 0.0f, 2.05f, 0.36f, 2.86f, 1.09f)
                curveToRelative(0.81f, 0.73f, 1.27f, 1.63f, 1.37f, 2.71f)
                lineToRelative(0.07f, 0.57f)
                curveToRelative(0.0f, 0.12f, 0.06f, 0.18f, 0.18f, 0.18f)
                horizontalLineToRelative(1.67f)
                curveToRelative(0.88f, 0.0f, 1.63f, 0.32f, 2.27f, 0.96f)
                curveToRelative(0.64f, 0.64f, 0.96f, 1.39f, 0.96f, 2.27f)
                curveToRelative(0.0f, 0.85f, -0.3f, 1.59f, -0.9f, 2.22f)
                reflectiveCurveToRelative(-1.32f, 0.98f, -2.16f, 1.05f)
                curveToRelative(-0.11f, 0.0f, -0.17f, 0.06f, -0.17f, 0.18f)
                verticalLineToRelative(1.34f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.17f, 0.17f)
                curveToRelative(0.88f, -0.02f, 1.67f, -0.26f, 2.4f, -0.72f)
                reflectiveCurveToRelative(1.3f, -1.05f, 1.71f, -1.8f)
                curveToRelative(0.42f, -0.75f, 0.62f, -1.56f, 0.62f, -2.44f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.37f, -0.41f, -1.96f)
                curveToRelative(0.76f, -0.94f, 1.13f, -2.03f, 1.13f, -3.28f)
                curveToRelative(0.0f, -0.71f, -0.14f, -1.39f, -0.41f, -2.04f)
                curveToRelative(-0.27f, -0.65f, -0.65f, -1.2f, -1.12f, -1.67f)
                curveTo(21.0f, 7.46f, 20.44f, 7.09f, 19.8f, 6.82f)
                curveToRelative(-0.65f, -0.28f, -1.33f, -0.41f, -2.04f, -0.41f)
                curveToRelative(-1.51f, 0.0f, -2.78f, 0.55f, -3.81f, 1.66f)
                curveToRelative(-0.79f, -0.43f, -1.7f, -0.64f, -2.73f, -0.64f)
                curveToRelative(-1.41f, 0.0f, -2.66f, 0.44f, -3.75f, 1.31f)
                reflectiveCurveToRelative(-1.77f, 1.99f, -2.07f, 3.35f)
                curveToRelative(-1.12f, 0.26f, -2.05f, 0.83f, -2.77f, 1.72f)
                curveTo(1.92f, 14.7f, 1.56f, 15.73f, 1.56f, 16.88f)
                close()
                moveTo(6.97f, 23.58f)
                curveToRelative(0.0f, 0.18f, 0.05f, 0.36f, 0.16f, 0.53f)
                curveToRelative(0.11f, 0.18f, 0.26f, 0.29f, 0.45f, 0.36f)
                curveToRelative(0.19f, 0.07f, 0.4f, 0.05f, 0.61f, -0.06f)
                curveToRelative(0.22f, -0.11f, 0.36f, -0.29f, 0.44f, -0.55f)
                lineToRelative(0.25f, -1.05f)
                curveToRelative(0.07f, -0.21f, 0.05f, -0.41f, -0.07f, -0.62f)
                curveToRelative(-0.12f, -0.21f, -0.29f, -0.35f, -0.51f, -0.42f)
                curveToRelative(-0.25f, -0.06f, -0.47f, -0.03f, -0.67f, 0.08f)
                reflectiveCurveToRelative(-0.32f, 0.3f, -0.37f, 0.53f)
                lineToRelative(-0.28f, 0.99f)
                curveTo(6.98f, 23.42f, 6.97f, 23.49f, 6.97f, 23.58f)
                close()
                moveTo(8.28f, 18.86f)
                curveToRelative(0.0f, 0.38f, 0.21f, 0.64f, 0.64f, 0.79f)
                curveToRelative(0.22f, 0.08f, 0.43f, 0.06f, 0.64f, -0.05f)
                curveToRelative(0.21f, -0.11f, 0.34f, -0.29f, 0.41f, -0.53f)
                lineToRelative(0.24f, -1.03f)
                curveToRelative(0.07f, -0.21f, 0.05f, -0.41f, -0.07f, -0.62f)
                curveToRelative(-0.11f, -0.21f, -0.28f, -0.35f, -0.51f, -0.42f)
                curveToRelative(-0.24f, -0.06f, -0.47f, -0.04f, -0.67f, 0.08f)
                reflectiveCurveToRelative(-0.32f, 0.29f, -0.37f, 0.52f)
                lineToRelative(-0.3f, 1.02f)
                curveTo(8.29f, 18.7f, 8.28f, 18.78f, 8.28f, 18.86f)
                close()
                moveTo(9.5f, 26.75f)
                curveToRelative(0.0f, 0.16f, 0.06f, 0.33f, 0.17f, 0.5f)
                curveToRelative(0.11f, 0.17f, 0.28f, 0.29f, 0.49f, 0.36f)
                curveToRelative(0.01f, 0.0f, 0.04f, 0.0f, 0.1f, 0.01f)
                curveToRelative(0.06f, 0.01f, 0.11f, 0.01f, 0.15f, 0.01f)
                curveToRelative(0.14f, 0.0f, 0.26f, -0.02f, 0.37f, -0.07f)
                curveToRelative(0.19f, -0.08f, 0.33f, -0.27f, 0.41f, -0.58f)
                lineToRelative(0.27f, -0.99f)
                curveToRelative(0.07f, -0.23f, 0.05f, -0.45f, -0.07f, -0.65f)
                curveToRelative(-0.12f, -0.2f, -0.29f, -0.34f, -0.51f, -0.4f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.65f, 0.07f)
                curveToRelative(-0.2f, 0.12f, -0.34f, 0.29f, -0.4f, 0.51f)
                lineToRelative(-0.28f, 1.02f)
                curveTo(9.51f, 26.63f, 9.5f, 26.7f, 9.5f, 26.75f)
                close()
                moveTo(9.96f, 4.68f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.46f, 0.25f, 0.62f)
                lineToRelative(0.66f, 0.65f)
                curveToRelative(0.34f, 0.34f, 0.73f, 0.34f, 1.17f, 0.0f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.38f, 0.24f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.24f, -0.61f)
                lineToRelative(-0.63f, -0.66f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.6f, 0.25f)
                curveTo(10.04f, 4.24f, 9.96f, 4.44f, 9.96f, 4.68f)
                close()
                moveTo(10.85f, 21.96f)
                curveToRelative(0.0f, 0.17f, 0.05f, 0.34f, 0.16f, 0.51f)
                curveToRelative(0.11f, 0.17f, 0.26f, 0.28f, 0.47f, 0.35f)
                curveToRelative(0.23f, 0.07f, 0.44f, 0.05f, 0.64f, -0.05f)
                curveToRelative(0.19f, -0.1f, 0.33f, -0.29f, 0.4f, -0.56f)
                lineToRelative(0.24f, -1.01f)
                curveToRelative(0.07f, -0.23f, 0.05f, -0.45f, -0.06f, -0.65f)
                curveToRelative(-0.11f, -0.2f, -0.28f, -0.34f, -0.5f, -0.41f)
                curveToRelative(-0.25f, -0.07f, -0.48f, -0.04f, -0.68f, 0.08f)
                curveToRelative(-0.2f, 0.12f, -0.33f, 0.3f, -0.37f, 0.53f)
                lineToRelative(-0.28f, 1.03f)
                curveTo(10.85f, 21.81f, 10.85f, 21.87f, 10.85f, 21.96f)
                close()
                moveTo(13.63f, 23.68f)
                curveToRelative(0.02f, 0.38f, 0.23f, 0.65f, 0.63f, 0.83f)
                lineToRelative(0.25f, 0.04f)
                curveToRelative(0.16f, 0.0f, 0.32f, -0.05f, 0.47f, -0.16f)
                curveToRelative(0.15f, -0.11f, 0.26f, -0.27f, 0.32f, -0.5f)
                lineToRelative(0.29f, -1.01f)
                curveToRelative(0.06f, -0.24f, 0.03f, -0.46f, -0.09f, -0.66f)
                curveToRelative(-0.12f, -0.2f, -0.3f, -0.33f, -0.53f, -0.37f)
                curveToRelative(-0.21f, -0.07f, -0.41f, -0.05f, -0.62f, 0.07f)
                reflectiveCurveToRelative(-0.34f, 0.29f, -0.41f, 0.51f)
                lineToRelative(-0.27f, 1.02f)
                curveToRelative(-0.01f, 0.02f, -0.01f, 0.05f, -0.02f, 0.08f)
                reflectiveCurveToRelative(-0.01f, 0.06f, -0.02f, 0.08f)
                reflectiveCurveTo(13.63f, 23.66f, 13.63f, 23.68f)
                close()
                moveTo(15.03f, 18.92f)
                curveToRelative(0.0f, 0.16f, 0.05f, 0.32f, 0.15f, 0.48f)
                curveToRelative(0.1f, 0.16f, 0.25f, 0.27f, 0.45f, 0.32f)
                lineToRelative(0.25f, 0.03f)
                curveToRelative(0.19f, 0.0f, 0.37f, -0.06f, 0.52f, -0.18f)
                reflectiveCurveToRelative(0.24f, -0.28f, 0.28f, -0.47f)
                lineToRelative(0.27f, -0.99f)
                curveToRelative(0.07f, -0.24f, 0.05f, -0.45f, -0.07f, -0.65f)
                curveToRelative(-0.11f, -0.2f, -0.28f, -0.33f, -0.51f, -0.39f)
                curveToRelative(-0.23f, -0.07f, -0.45f, -0.05f, -0.64f, 0.06f)
                curveToRelative(-0.2f, 0.11f, -0.33f, 0.28f, -0.39f, 0.5f)
                lineToRelative(-0.3f, 1.06f)
                curveTo(15.04f, 18.77f, 15.03f, 18.85f, 15.03f, 18.92f)
                close()
                moveTo(15.36f, 9.06f)
                curveToRelative(0.66f, -0.64f, 1.46f, -0.96f, 2.4f, -0.96f)
                curveToRelative(0.98f, 0.0f, 1.82f, 0.35f, 2.51f, 1.04f)
                curveToRelative(0.69f, 0.69f, 1.04f, 1.53f, 1.04f, 2.51f)
                curveToRelative(0.0f, 0.56f, -0.16f, 1.15f, -0.47f, 1.76f)
                curveToRelative(-0.96f, -0.96f, -2.11f, -1.43f, -3.47f, -1.43f)
                horizontalLineToRelative(-0.34f)
                curveTo(16.77f, 10.84f, 16.21f, 9.87f, 15.36f, 9.06f)
                close()
                moveTo(16.9f, 3.83f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.45f, 0.24f, 0.61f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.61f, 0.24f)
                reflectiveCurveToRelative(0.45f, -0.08f, 0.61f, -0.24f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.36f, 0.24f, -0.61f)
                verticalLineTo(1.81f)
                curveToRelative(0.0f, -0.25f, -0.08f, -0.46f, -0.24f, -0.62f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.61f, -0.24f)
                reflectiveCurveToRelative(-0.45f, 0.08f, -0.61f, 0.24f)
                curveToRelative(-0.16f, 0.16f, -0.24f, 0.37f, -0.24f, 0.62f)
                verticalLineTo(3.83f)
                close()
                moveTo(22.45f, 6.12f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.45f, 0.23f, 0.61f)
                curveToRelative(0.21f, 0.17f, 0.41f, 0.25f, 0.62f, 0.25f)
                curveToRelative(0.19f, 0.0f, 0.38f, -0.08f, 0.59f, -0.25f)
                lineToRelative(1.43f, -1.43f)
                curveToRelative(0.16f, -0.18f, 0.24f, -0.39f, 0.24f, -0.63f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.6f)
                curveToRelative(-0.16f, -0.16f, -0.36f, -0.24f, -0.59f, -0.24f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.61f, 0.24f)
                lineTo(22.68f, 5.5f)
                curveTo(22.53f, 5.68f, 22.45f, 5.88f, 22.45f, 6.12f)
                close()
                moveTo(23.24f, 17.95f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.44f, 0.26f, 0.63f)
                lineToRelative(0.62f, 0.64f)
                curveToRelative(0.21f, 0.21f, 0.41f, 0.31f, 0.62f, 0.31f)
                curveToRelative(0.19f, 0.0f, 0.39f, -0.1f, 0.58f, -0.31f)
                curveToRelative(0.18f, -0.18f, 0.27f, -0.39f, 0.26f, -0.61f)
                curveToRelative(-0.01f, -0.23f, -0.09f, -0.43f, -0.26f, -0.6f)
                lineToRelative(-0.65f, -0.66f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.24f, -0.57f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.61f, 0.25f)
                curveTo(23.33f, 17.52f, 23.24f, 17.72f, 23.24f, 17.95f)
                close()
                moveTo(24.71f, 11.64f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.24f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                horizontalLineToRelative(2.04f)
                curveToRelative(0.26f, 0.0f, 0.47f, -0.08f, 0.63f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.24f, -0.35f, 0.24f, -0.59f)
                curveToRelative(0.0f, -0.25f, -0.08f, -0.46f, -0.25f, -0.62f)
                curveToRelative(-0.17f, -0.16f, -0.37f, -0.24f, -0.62f, -0.24f)
                horizontalLineToRelative(-2.04f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.25f)
                curveTo(24.79f, 11.2f, 24.71f, 11.41f, 24.71f, 11.64f)
                close()
            }
        }
        .build()
        return _dayShowers!!
    }

private var _dayShowers: ImageVector? = null
