package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DaySnow: ImageVector
    get() {
        if (_daySnow != null) {
            return _daySnow!!
        }
        _daySnow = Builder(name = "DaySnow", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.58f, 16.93f)
                curveToRelative(0.0f, 0.86f, 0.21f, 1.67f, 0.64f, 2.41f)
                curveToRelative(0.42f, 0.74f, 1.0f, 1.34f, 1.74f, 1.79f)
                curveToRelative(0.73f, 0.45f, 1.54f, 0.69f, 2.4f, 0.71f)
                curveToRelative(0.11f, 0.0f, 0.17f, -0.06f, 0.17f, -0.17f)
                verticalLineToRelative(-1.33f)
                curveToRelative(0.0f, -0.12f, -0.06f, -0.19f, -0.17f, -0.19f)
                curveToRelative(-0.85f, -0.04f, -1.58f, -0.38f, -2.18f, -1.02f)
                reflectiveCurveToRelative(-0.9f, -1.37f, -0.9f, -2.21f)
                curveToRelative(0.0f, -0.82f, 0.28f, -1.54f, 0.85f, -2.16f)
                curveToRelative(0.57f, -0.61f, 1.26f, -0.97f, 2.1f, -1.07f)
                lineToRelative(0.53f, -0.06f)
                curveToRelative(0.12f, 0.0f, 0.18f, -0.06f, 0.18f, -0.19f)
                lineToRelative(0.08f, -0.51f)
                curveToRelative(0.11f, -1.09f, 0.56f, -2.0f, 1.36f, -2.73f)
                curveToRelative(0.8f, -0.73f, 1.75f, -1.09f, 2.85f, -1.09f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.36f, 2.85f, 1.09f)
                curveToRelative(0.82f, 0.73f, 1.28f, 1.63f, 1.38f, 2.7f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.17f, 0.17f)
                horizontalLineToRelative(1.61f)
                curveToRelative(0.9f, 0.0f, 1.67f, 0.32f, 2.31f, 0.96f)
                curveToRelative(0.64f, 0.64f, 0.96f, 1.4f, 0.96f, 2.29f)
                curveToRelative(0.0f, 0.84f, -0.3f, 1.57f, -0.9f, 2.21f)
                curveToRelative(-0.6f, 0.63f, -1.33f, 0.97f, -2.17f, 1.02f)
                curveToRelative(-0.12f, 0.0f, -0.19f, 0.06f, -0.19f, 0.19f)
                verticalLineToRelative(1.33f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.19f, 0.17f)
                curveToRelative(1.33f, -0.04f, 2.45f, -0.54f, 3.38f, -1.5f)
                curveToRelative(0.93f, -0.96f, 1.39f, -2.09f, 1.39f, -3.41f)
                curveToRelative(0.0f, -0.76f, -0.14f, -1.43f, -0.43f, -2.03f)
                curveTo(22.6f, 13.95f, 23.0f, 12.85f, 23.0f, 11.6f)
                curveToRelative(0.0f, -0.94f, -0.23f, -1.81f, -0.7f, -2.61f)
                curveToRelative(-0.47f, -0.8f, -1.11f, -1.44f, -1.91f, -1.91f)
                reflectiveCurveToRelative(-1.68f, -0.7f, -2.62f, -0.7f)
                curveToRelative(-1.54f, 0.0f, -2.83f, 0.58f, -3.87f, 1.73f)
                curveToRelative(-0.81f, -0.44f, -1.71f, -0.66f, -2.69f, -0.66f)
                curveToRelative(-1.41f, 0.0f, -2.65f, 0.44f, -3.74f, 1.31f)
                reflectiveCurveToRelative(-1.78f, 1.99f, -2.09f, 3.34f)
                curveToRelative(-1.12f, 0.28f, -2.03f, 0.86f, -2.74f, 1.75f)
                curveTo(1.93f, 14.75f, 1.58f, 15.77f, 1.58f, 16.93f)
                close()
                moveTo(7.92f, 20.98f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.61f)
                curveToRelative(0.16f, 0.17f, 0.35f, 0.25f, 0.59f, 0.25f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.24f, -0.58f)
                reflectiveCurveToRelative(-0.35f, -0.24f, -0.59f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.24f)
                reflectiveCurveTo(7.92f, 20.76f, 7.92f, 20.98f)
                close()
                moveTo(7.92f, 24.61f)
                curveToRelative(0.0f, 0.21f, 0.08f, 0.4f, 0.24f, 0.57f)
                curveToRelative(0.18f, 0.16f, 0.37f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.23f, 0.0f, -0.43f, 0.08f, -0.59f, 0.23f)
                curveTo(8.0f, 24.17f, 7.92f, 24.37f, 7.92f, 24.61f)
                close()
                moveTo(9.97f, 4.68f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.59f)
                lineToRelative(0.66f, 0.66f)
                curveToRelative(0.16f, 0.16f, 0.34f, 0.25f, 0.53f, 0.25f)
                curveToRelative(0.21f, 0.03f, 0.41f, -0.04f, 0.61f, -0.22f)
                curveToRelative(0.2f, -0.18f, 0.3f, -0.39f, 0.3f, -0.63f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.46f, -0.24f, -0.64f)
                lineToRelative(-0.64f, -0.61f)
                curveToRelative(-0.15f, -0.17f, -0.34f, -0.25f, -0.58f, -0.25f)
                curveToRelative(-0.25f, 0.0f, -0.46f, 0.08f, -0.63f, 0.25f)
                curveTo(10.05f, 4.24f, 9.97f, 4.44f, 9.97f, 4.68f)
                close()
                moveTo(11.1f, 22.9f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.42f, 0.24f, 0.6f)
                curveToRelative(0.16f, 0.16f, 0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                reflectiveCurveToRelative(0.25f, -0.36f, 0.25f, -0.6f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.6f)
                reflectiveCurveToRelative(-0.37f, -0.25f, -0.6f, -0.25f)
                curveToRelative(-0.23f, 0.0f, -0.42f, 0.08f, -0.58f, 0.25f)
                reflectiveCurveTo(11.1f, 22.67f, 11.1f, 22.9f)
                close()
                moveTo(11.1f, 19.3f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.42f, 0.24f, 0.58f)
                reflectiveCurveToRelative(0.36f, 0.24f, 0.58f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.24f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.43f, -0.25f, -0.59f)
                reflectiveCurveToRelative(-0.37f, -0.24f, -0.6f, -0.24f)
                curveToRelative(-0.23f, 0.0f, -0.42f, 0.08f, -0.58f, 0.24f)
                reflectiveCurveTo(11.1f, 19.07f, 11.1f, 19.3f)
                close()
                moveTo(11.1f, 26.56f)
                curveToRelative(0.0f, 0.22f, 0.08f, 0.41f, 0.24f, 0.57f)
                curveToRelative(0.17f, 0.17f, 0.36f, 0.25f, 0.58f, 0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.6f, -0.23f)
                curveToRelative(0.17f, -0.16f, 0.25f, -0.35f, 0.25f, -0.59f)
                reflectiveCurveToRelative(-0.08f, -0.44f, -0.25f, -0.6f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.6f, -0.25f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.08f, -0.58f, 0.25f)
                curveTo(11.18f, 26.13f, 11.1f, 26.33f, 11.1f, 26.56f)
                close()
                moveTo(14.32f, 20.98f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.61f)
                curveToRelative(0.16f, 0.17f, 0.36f, 0.25f, 0.59f, 0.25f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.59f, -0.25f)
                curveToRelative(0.16f, -0.17f, 0.24f, -0.37f, 0.24f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.08f, -0.42f, -0.24f, -0.58f)
                reflectiveCurveToRelative(-0.35f, -0.24f, -0.59f, -0.24f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.59f, 0.24f)
                reflectiveCurveTo(14.32f, 20.76f, 14.32f, 20.98f)
                close()
                moveTo(14.32f, 24.61f)
                curveToRelative(0.0f, 0.21f, 0.08f, 0.4f, 0.23f, 0.57f)
                curveToRelative(0.18f, 0.16f, 0.38f, 0.24f, 0.6f, 0.24f)
                curveToRelative(0.24f, 0.0f, 0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.58f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.43f, -0.24f, -0.59f)
                curveToRelative(-0.16f, -0.16f, -0.35f, -0.23f, -0.59f, -0.23f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                curveTo(14.4f, 24.18f, 14.32f, 24.38f, 14.32f, 24.61f)
                close()
                moveTo(15.3f, 9.06f)
                curveToRelative(0.69f, -0.66f, 1.51f, -0.99f, 2.47f, -0.99f)
                curveToRelative(0.97f, 0.0f, 1.8f, 0.35f, 2.48f, 1.04f)
                curveToRelative(0.69f, 0.69f, 1.03f, 1.53f, 1.03f, 2.49f)
                curveToRelative(0.0f, 0.62f, -0.17f, 1.24f, -0.51f, 1.84f)
                curveTo(19.82f, 12.48f, 18.66f, 12.0f, 17.3f, 12.0f)
                horizontalLineToRelative(-0.32f)
                curveTo(16.68f, 10.83f, 16.12f, 9.85f, 15.3f, 9.06f)
                close()
                moveTo(16.9f, 3.84f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.58f)
                reflectiveCurveToRelative(0.37f, 0.23f, 0.61f, 0.23f)
                reflectiveCurveToRelative(0.43f, -0.08f, 0.59f, -0.23f)
                curveToRelative(0.16f, -0.16f, 0.23f, -0.35f, 0.23f, -0.58f)
                verticalLineTo(1.8f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.24f, -0.61f)
                reflectiveCurveTo(18.0f, 0.94f, 17.77f, 0.94f)
                reflectiveCurveToRelative(-0.43f, 0.09f, -0.6f, 0.26f)
                curveToRelative(-0.17f, 0.17f, -0.26f, 0.37f, -0.26f, 0.6f)
                verticalLineTo(3.84f)
                close()
                moveTo(22.42f, 6.11f)
                curveToRelative(0.0f, 0.23f, 0.08f, 0.43f, 0.25f, 0.59f)
                curveToRelative(0.15f, 0.16f, 0.34f, 0.24f, 0.56f, 0.26f)
                reflectiveCurveToRelative(0.43f, -0.07f, 0.62f, -0.26f)
                lineToRelative(1.43f, -1.43f)
                curveToRelative(0.18f, -0.18f, 0.26f, -0.38f, 0.26f, -0.61f)
                curveToRelative(0.0f, -0.24f, -0.09f, -0.44f, -0.26f, -0.61f)
                curveToRelative(-0.17f, -0.17f, -0.37f, -0.25f, -0.6f, -0.25f)
                curveToRelative(-0.22f, 0.0f, -0.41f, 0.08f, -0.58f, 0.25f)
                lineToRelative(-1.43f, 1.46f)
                curveTo(22.5f, 5.67f, 22.42f, 5.87f, 22.42f, 6.11f)
                close()
                moveTo(23.22f, 17.91f)
                curveToRelative(0.0f, 0.25f, 0.08f, 0.46f, 0.24f, 0.62f)
                lineToRelative(0.64f, 0.63f)
                curveToRelative(0.24f, 0.16f, 0.46f, 0.24f, 0.64f, 0.24f)
                curveToRelative(0.21f, 0.0f, 0.39f, -0.09f, 0.56f, -0.26f)
                curveToRelative(0.17f, -0.17f, 0.25f, -0.38f, 0.25f, -0.61f)
                curveToRelative(0.0f, -0.23f, -0.09f, -0.42f, -0.26f, -0.58f)
                lineToRelative(-0.62f, -0.65f)
                curveToRelative(-0.18f, -0.16f, -0.38f, -0.24f, -0.61f, -0.24f)
                reflectiveCurveToRelative(-0.43f, 0.08f, -0.59f, 0.25f)
                curveTo(23.3f, 17.47f, 23.22f, 17.67f, 23.22f, 17.91f)
                close()
                moveTo(24.67f, 11.6f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.43f, 0.26f, 0.59f)
                curveToRelative(0.17f, 0.18f, 0.38f, 0.27f, 0.62f, 0.27f)
                horizontalLineToRelative(2.02f)
                curveToRelative(0.23f, 0.0f, 0.43f, -0.08f, 0.6f, -0.25f)
                reflectiveCurveToRelative(0.25f, -0.37f, 0.25f, -0.61f)
                curveToRelative(0.0f, -0.24f, -0.08f, -0.44f, -0.25f, -0.6f)
                reflectiveCurveToRelative(-0.37f, -0.25f, -0.6f, -0.25f)
                horizontalLineToRelative(-2.02f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.62f, 0.25f)
                reflectiveCurveTo(24.67f, 11.37f, 24.67f, 11.6f)
                close()
            }
        }
        .build()
        return _daySnow!!
    }

private var _daySnow: ImageVector? = null
