package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DaySunnyOvercast: ImageVector
    get() {
        if (_daySunnyOvercast != null) {
            return _daySunnyOvercast!!
        }
        _daySunnyOvercast = Builder(name = "DaySunnyOvercast", defaultWidth = 30.0.dp, defaultHeight
                = 30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.09f, 13.43f)
                curveToRelative(0.0f, 0.27f, 0.09f, 0.49f, 0.28f, 0.67f)
                reflectiveCurveToRelative(0.43f, 0.26f, 0.72f, 0.26f)
                horizontalLineToRelative(1.69f)
                curveToRelative(0.27f, 0.0f, 0.5f, -0.09f, 0.69f, -0.27f)
                reflectiveCurveToRelative(0.29f, -0.4f, 0.29f, -0.66f)
                curveToRelative(0.0f, -0.29f, -0.09f, -0.53f, -0.28f, -0.71f)
                reflectiveCurveToRelative(-0.42f, -0.28f, -0.69f, -0.28f)
                horizontalLineTo(4.09f)
                curveToRelative(-0.29f, 0.0f, -0.53f, 0.09f, -0.72f, 0.28f)
                curveTo(3.18f, 12.89f, 3.09f, 13.13f, 3.09f, 13.43f)
                close()
                moveTo(4.86f, 19.61f)
                curveToRelative(0.0f, 0.97f, 0.35f, 1.81f, 1.06f, 2.52f)
                curveToRelative(0.71f, 0.71f, 1.54f, 1.06f, 2.51f, 1.06f)
                horizontalLineToRelative(6.86f)
                curveToRelative(0.97f, 0.0f, 1.8f, -0.35f, 2.49f, -1.05f)
                curveToRelative(0.69f, -0.7f, 1.04f, -1.54f, 1.04f, -2.53f)
                curveToRelative(0.0f, -0.48f, -0.07f, -0.89f, -0.21f, -1.23f)
                curveToRelative(0.83f, -0.53f, 1.49f, -1.24f, 1.97f, -2.12f)
                curveToRelative(0.48f, -0.88f, 0.73f, -1.83f, 0.73f, -2.84f)
                curveToRelative(0.0f, -0.81f, -0.16f, -1.59f, -0.48f, -2.33f)
                curveToRelative(-0.32f, -0.74f, -0.75f, -1.38f, -1.28f, -1.91f)
                curveToRelative(-0.53f, -0.53f, -1.17f, -0.96f, -1.91f, -1.28f)
                curveToRelative(-0.74f, -0.32f, -1.51f, -0.48f, -2.32f, -0.48f)
                curveToRelative(-1.09f, 0.0f, -2.1f, 0.27f, -3.02f, 0.81f)
                reflectiveCurveToRelative(-1.65f, 1.27f, -2.18f, 2.18f)
                curveToRelative(-0.53f, 0.92f, -0.79f, 1.92f, -0.79f, 3.01f)
                verticalLineToRelative(0.34f)
                curveToRelative(-1.0f, 0.57f, -1.66f, 1.4f, -1.98f, 2.49f)
                curveToRelative(-0.76f, 0.24f, -1.36f, 0.66f, -1.81f, 1.27f)
                curveTo(5.09f, 18.13f, 4.86f, 18.83f, 4.86f, 19.61f)
                close()
                moveTo(6.42f, 5.45f)
                curveToRelative(0.0f, 0.28f, 0.09f, 0.51f, 0.26f, 0.67f)
                lineToRelative(1.61f, 1.69f)
                curveToRelative(0.47f, 0.36f, 0.94f, 0.36f, 1.41f, 0.0f)
                curveToRelative(0.19f, -0.19f, 0.28f, -0.42f, 0.28f, -0.7f)
                curveToRelative(0.0f, -0.27f, -0.09f, -0.5f, -0.28f, -0.7f)
                lineTo(8.05f, 4.76f)
                curveTo(7.84f, 4.57f, 7.6f, 4.47f, 7.35f, 4.47f)
                curveToRelative(-0.28f, 0.0f, -0.51f, 0.09f, -0.68f, 0.28f)
                curveTo(6.5f, 4.94f, 6.42f, 5.17f, 6.42f, 5.45f)
                close()
                moveTo(6.84f, 19.61f)
                curveToRelative(0.0f, -0.42f, 0.13f, -0.78f, 0.4f, -1.08f)
                curveToRelative(0.27f, -0.3f, 0.61f, -0.47f, 1.02f, -0.51f)
                lineToRelative(0.62f, -0.08f)
                curveToRelative(0.13f, 0.0f, 0.2f, -0.08f, 0.2f, -0.23f)
                lineToRelative(0.09f, -0.56f)
                curveToRelative(0.07f, -0.58f, 0.31f, -1.06f, 0.73f, -1.44f)
                curveToRelative(0.42f, -0.39f, 0.91f, -0.58f, 1.48f, -0.58f)
                curveToRelative(0.58f, 0.0f, 1.09f, 0.19f, 1.51f, 0.58f)
                curveToRelative(0.43f, 0.39f, 0.68f, 0.87f, 0.75f, 1.44f)
                lineToRelative(0.08f, 0.65f)
                curveToRelative(0.06f, 0.15f, 0.14f, 0.23f, 0.24f, 0.23f)
                horizontalLineToRelative(1.32f)
                curveToRelative(0.43f, 0.0f, 0.8f, 0.16f, 1.12f, 0.47f)
                curveToRelative(0.32f, 0.31f, 0.47f, 0.68f, 0.47f, 1.12f)
                curveToRelative(0.0f, 0.45f, -0.16f, 0.83f, -0.47f, 1.15f)
                reflectiveCurveToRelative(-0.69f, 0.48f, -1.12f, 0.48f)
                horizontalLineTo(8.43f)
                curveToRelative(-0.45f, 0.0f, -0.83f, -0.16f, -1.13f, -0.48f)
                curveTo(6.99f, 20.45f, 6.84f, 20.06f, 6.84f, 19.61f)
                close()
                moveTo(11.26f, 13.22f)
                curveToRelative(0.07f, -1.09f, 0.49f, -2.01f, 1.27f, -2.76f)
                curveToRelative(0.77f, -0.74f, 1.71f, -1.12f, 2.79f, -1.12f)
                curveToRelative(1.11f, 0.0f, 2.06f, 0.4f, 2.84f, 1.19f)
                curveToRelative(0.78f, 0.79f, 1.17f, 1.76f, 1.17f, 2.89f)
                curveToRelative(0.0f, 0.7f, -0.17f, 1.35f, -0.51f, 1.95f)
                curveToRelative(-0.34f, 0.6f, -0.8f, 1.08f, -1.38f, 1.45f)
                curveToRelative(-0.59f, -0.49f, -1.27f, -0.73f, -2.03f, -0.73f)
                curveToRelative(-0.29f, -0.88f, -0.81f, -1.57f, -1.54f, -2.09f)
                curveToRelative(-0.73f, -0.52f, -1.56f, -0.78f, -2.48f, -0.78f)
                horizontalLineTo(11.26f)
                close()
                moveTo(14.35f, 4.47f)
                curveToRelative(0.0f, 0.27f, 0.1f, 0.51f, 0.29f, 0.7f)
                curveToRelative(0.19f, 0.19f, 0.42f, 0.29f, 0.69f, 0.29f)
                curveToRelative(0.28f, 0.0f, 0.51f, -0.1f, 0.7f, -0.29f)
                curveToRelative(0.19f, -0.19f, 0.29f, -0.42f, 0.29f, -0.7f)
                verticalLineTo(2.13f)
                curveToRelative(0.0f, -0.26f, -0.1f, -0.48f, -0.29f, -0.66f)
                curveToRelative(-0.19f, -0.18f, -0.42f, -0.27f, -0.7f, -0.27f)
                curveToRelative(-0.27f, 0.0f, -0.5f, 0.09f, -0.69f, 0.27f)
                curveToRelative(-0.19f, 0.18f, -0.29f, 0.4f, -0.29f, 0.66f)
                verticalLineTo(4.47f)
                close()
                moveTo(20.67f, 19.7f)
                curveToRelative(0.0f, 0.27f, 0.09f, 0.5f, 0.27f, 0.7f)
                lineToRelative(1.64f, 1.62f)
                curveToRelative(0.42f, 0.42f, 0.89f, 0.42f, 1.41f, 0.0f)
                curveToRelative(0.18f, -0.17f, 0.26f, -0.39f, 0.26f, -0.68f)
                curveToRelative(0.0f, -0.27f, -0.09f, -0.49f, -0.26f, -0.67f)
                lineTo(22.3f, 19.0f)
                curveToRelative(-0.18f, -0.17f, -0.41f, -0.25f, -0.68f, -0.25f)
                curveToRelative(-0.28f, 0.0f, -0.5f, 0.09f, -0.68f, 0.27f)
                curveTo(20.76f, 19.2f, 20.67f, 19.43f, 20.67f, 19.7f)
                close()
                moveTo(20.67f, 7.09f)
                curveToRelative(0.0f, 0.28f, 0.09f, 0.52f, 0.27f, 0.72f)
                curveToRelative(0.18f, 0.18f, 0.41f, 0.27f, 0.68f, 0.27f)
                curveToRelative(0.27f, 0.0f, 0.5f, -0.09f, 0.68f, -0.27f)
                lineToRelative(1.69f, -1.69f)
                curveToRelative(0.18f, -0.17f, 0.26f, -0.39f, 0.26f, -0.67f)
                curveToRelative(0.0f, -0.28f, -0.1f, -0.51f, -0.29f, -0.69f)
                reflectiveCurveToRelative(-0.42f, -0.28f, -0.7f, -0.28f)
                curveToRelative(-0.26f, 0.0f, -0.49f, 0.1f, -0.68f, 0.29f)
                lineTo(20.94f, 6.4f)
                curveTo(20.76f, 6.58f, 20.67f, 6.81f, 20.67f, 7.09f)
                close()
                moveTo(23.25f, 13.43f)
                curveToRelative(0.0f, 0.27f, 0.09f, 0.49f, 0.28f, 0.67f)
                reflectiveCurveToRelative(0.43f, 0.26f, 0.72f, 0.26f)
                horizontalLineToRelative(1.69f)
                curveToRelative(0.27f, 0.0f, 0.5f, -0.09f, 0.69f, -0.27f)
                reflectiveCurveToRelative(0.29f, -0.4f, 0.29f, -0.66f)
                curveToRelative(0.0f, -0.29f, -0.09f, -0.53f, -0.28f, -0.71f)
                reflectiveCurveToRelative(-0.42f, -0.28f, -0.69f, -0.28f)
                horizontalLineToRelative(-1.69f)
                curveToRelative(-0.29f, 0.0f, -0.53f, 0.09f, -0.72f, 0.28f)
                curveTo(23.35f, 12.89f, 23.25f, 13.13f, 23.25f, 13.43f)
                close()
            }
        }
        .build()
        return _daySunnyOvercast!!
    }

private var _daySunnyOvercast: ImageVector? = null
