package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.DayWindy: ImageVector
    get() {
        if (_dayWindy != null) {
            return _dayWindy!!
        }
        _dayWindy = Builder(name = "DayWindy", defaultWidth = 30.0.dp, defaultHeight = 30.0.dp,
                viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.48f, 21.1f)
                curveToRelative(0.0f, 0.24f, 0.09f, 0.44f, 0.27f, 0.6f)
                curveToRelative(0.17f, 0.17f, 0.37f, 0.25f, 0.61f, 0.25f)
                horizontalLineToRelative(5.88f)
                curveToRelative(0.26f, 0.0f, 0.48f, 0.09f, 0.68f, 0.28f)
                curveToRelative(0.2f, 0.19f, 0.3f, 0.42f, 0.3f, 0.68f)
                reflectiveCurveToRelative(-0.1f, 0.5f, -0.3f, 0.69f)
                curveToRelative(-0.2f, 0.19f, -0.42f, 0.29f, -0.68f, 0.29f)
                curveToRelative(-0.26f, 0.0f, -0.48f, -0.1f, -0.68f, -0.3f)
                curveToRelative(-0.18f, -0.16f, -0.38f, -0.24f, -0.61f, -0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.6f, 0.24f)
                curveToRelative(-0.16f, 0.16f, -0.24f, 0.36f, -0.24f, 0.6f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.24f, 0.6f)
                curveToRelative(0.53f, 0.53f, 1.16f, 0.8f, 1.89f, 0.8f)
                curveToRelative(0.74f, 0.0f, 1.37f, -0.26f, 1.88f, -0.78f)
                reflectiveCurveToRelative(0.78f, -1.15f, 0.78f, -1.89f)
                reflectiveCurveToRelative(-0.26f, -1.37f, -0.78f, -1.89f)
                curveToRelative(-0.52f, -0.52f, -1.15f, -0.78f, -1.88f, -0.78f)
                horizontalLineTo(2.36f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.08f, -0.62f, 0.25f)
                curveTo(1.57f, 20.67f, 1.48f, 20.87f, 1.48f, 21.1f)
                close()
                moveTo(1.48f, 18.09f)
                curveToRelative(0.0f, 0.23f, 0.09f, 0.42f, 0.27f, 0.58f)
                curveToRelative(0.16f, 0.16f, 0.37f, 0.24f, 0.61f, 0.24f)
                horizontalLineToRelative(10.97f)
                curveToRelative(0.74f, 0.0f, 1.37f, -0.26f, 1.89f, -0.78f)
                curveToRelative(0.52f, -0.52f, 0.78f, -1.15f, 0.78f, -1.89f)
                curveToRelative(0.0f, -0.74f, -0.26f, -1.36f, -0.78f, -1.88f)
                curveToRelative(-0.52f, -0.51f, -1.15f, -0.77f, -1.89f, -0.77f)
                curveToRelative(-0.76f, 0.0f, -1.38f, 0.25f, -1.88f, 0.76f)
                curveToRelative(-0.16f, 0.16f, -0.23f, 0.37f, -0.23f, 0.61f)
                curveToRelative(0.0f, 0.24f, 0.08f, 0.44f, 0.23f, 0.6f)
                curveToRelative(0.15f, 0.15f, 0.35f, 0.23f, 0.6f, 0.23f)
                curveToRelative(0.24f, 0.0f, 0.44f, -0.08f, 0.62f, -0.23f)
                curveToRelative(0.19f, -0.19f, 0.41f, -0.28f, 0.68f, -0.28f)
                reflectiveCurveToRelative(0.49f, 0.09f, 0.68f, 0.28f)
                reflectiveCurveToRelative(0.29f, 0.42f, 0.29f, 0.68f)
                curveToRelative(0.0f, 0.27f, -0.1f, 0.5f, -0.29f, 0.69f)
                curveToRelative(-0.19f, 0.19f, -0.42f, 0.29f, -0.68f, 0.29f)
                horizontalLineTo(2.36f)
                curveToRelative(-0.24f, 0.0f, -0.44f, 0.09f, -0.62f, 0.26f)
                curveTo(1.57f, 17.66f, 1.48f, 17.86f, 1.48f, 18.09f)
                close()
                moveTo(7.27f, 11.55f)
                curveToRelative(0.0f, -0.24f, 0.09f, -0.44f, 0.26f, -0.62f)
                curveToRelative(0.18f, -0.16f, 0.38f, -0.24f, 0.6f, -0.24f)
                horizontalLineToRelative(2.03f)
                curveToRelative(0.23f, 0.0f, 0.42f, 0.08f, 0.58f, 0.25f)
                curveToRelative(0.16f, 0.17f, 0.23f, 0.37f, 0.23f, 0.61f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.23f, 0.6f)
                curveToRelative(-0.16f, 0.17f, -0.35f, 0.25f, -0.58f, 0.25f)
                horizontalLineTo(8.13f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.61f, -0.25f)
                curveTo(7.35f, 11.98f, 7.27f, 11.78f, 7.27f, 11.55f)
                close()
                moveTo(10.12f, 4.63f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.23f, -0.61f)
                curveToRelative(0.19f, -0.16f, 0.41f, -0.24f, 0.64f, -0.24f)
                curveToRelative(0.22f, 0.0f, 0.42f, 0.08f, 0.59f, 0.24f)
                lineToRelative(1.43f, 1.47f)
                curveToRelative(0.16f, 0.15f, 0.24f, 0.35f, 0.24f, 0.59f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.44f, -0.24f, 0.6f)
                reflectiveCurveToRelative(-0.36f, 0.24f, -0.59f, 0.24f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.59f, -0.24f)
                lineToRelative(-1.47f, -1.43f)
                curveTo(10.2f, 5.08f, 10.12f, 4.88f, 10.12f, 4.63f)
                close()
                moveTo(12.68f, 11.43f)
                verticalLineToRelative(-0.07f)
                curveToRelative(0.02f, -0.91f, 0.27f, -1.75f, 0.74f, -2.53f)
                curveToRelative(0.48f, -0.77f, 1.11f, -1.38f, 1.9f, -1.83f)
                curveToRelative(0.79f, -0.45f, 1.65f, -0.67f, 2.57f, -0.67f)
                curveToRelative(0.7f, 0.0f, 1.37f, 0.14f, 2.02f, 0.42f)
                curveToRelative(0.64f, 0.28f, 1.2f, 0.65f, 1.66f, 1.12f)
                curveToRelative(0.47f, 0.47f, 0.84f, 1.02f, 1.11f, 1.66f)
                reflectiveCurveToRelative(0.41f, 1.32f, 0.41f, 2.02f)
                curveToRelative(0.0f, 0.94f, -0.23f, 1.8f, -0.69f, 2.6f)
                reflectiveCurveToRelative(-1.09f, 1.43f, -1.88f, 1.89f)
                curveToRelative(-0.79f, 0.47f, -1.66f, 0.7f, -2.6f, 0.71f)
                horizontalLineToRelative(-0.21f)
                curveToRelative(-0.07f, 0.0f, -0.13f, -0.02f, -0.17f, -0.07f)
                curveToRelative(-0.05f, -0.05f, -0.07f, -0.11f, -0.07f, -0.18f)
                verticalLineToRelative(-1.22f)
                curveToRelative(0.0f, -0.13f, 0.07f, -0.2f, 0.22f, -0.2f)
                horizontalLineToRelative(0.24f)
                curveToRelative(0.96f, -0.01f, 1.79f, -0.35f, 2.47f, -1.05f)
                curveToRelative(0.68f, -0.69f, 1.03f, -1.52f, 1.03f, -2.49f)
                curveToRelative(0.0f, -0.96f, -0.35f, -1.78f, -1.04f, -2.47f)
                curveToRelative(-0.69f, -0.68f, -1.52f, -1.02f, -2.5f, -1.02f)
                curveToRelative(-0.94f, 0.0f, -1.76f, 0.32f, -2.44f, 0.98f)
                curveToRelative(-0.68f, 0.65f, -1.04f, 1.44f, -1.08f, 2.37f)
                curveToRelative(0.0f, 0.06f, -0.03f, 0.11f, -0.08f, 0.17f)
                reflectiveCurveToRelative(-0.14f, 0.09f, -0.26f, 0.09f)
                horizontalLineTo(12.9f)
                curveTo(12.75f, 11.67f, 12.68f, 11.59f, 12.68f, 11.43f)
                close()
                moveTo(17.03f, 21.31f)
                verticalLineToRelative(-1.99f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.25f, -0.6f)
                reflectiveCurveToRelative(0.37f, -0.24f, 0.6f, -0.24f)
                curveToRelative(0.25f, 0.0f, 0.45f, 0.08f, 0.61f, 0.24f)
                curveToRelative(0.16f, 0.16f, 0.24f, 0.36f, 0.24f, 0.6f)
                verticalLineToRelative(1.99f)
                curveToRelative(0.0f, 0.24f, -0.08f, 0.45f, -0.25f, 0.62f)
                curveToRelative(-0.17f, 0.17f, -0.37f, 0.25f, -0.6f, 0.25f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.6f, -0.25f)
                curveTo(17.12f, 21.76f, 17.03f, 21.55f, 17.03f, 21.31f)
                close()
                moveTo(17.03f, 3.83f)
                verticalLineTo(1.78f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.43f, 0.25f, -0.6f)
                reflectiveCurveToRelative(0.37f, -0.25f, 0.6f, -0.25f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.25f)
                reflectiveCurveToRelative(0.25f, 0.37f, 0.25f, 0.6f)
                verticalLineToRelative(2.04f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.42f, -0.25f, 0.58f)
                curveToRelative(-0.17f, 0.15f, -0.37f, 0.23f, -0.6f, 0.23f)
                curveToRelative(-0.24f, 0.0f, -0.44f, -0.08f, -0.6f, -0.23f)
                curveTo(17.12f, 4.25f, 17.03f, 4.06f, 17.03f, 3.83f)
                close()
                moveTo(22.56f, 17.01f)
                curveToRelative(0.0f, -0.23f, 0.08f, -0.42f, 0.23f, -0.56f)
                curveToRelative(0.15f, -0.16f, 0.34f, -0.23f, 0.57f, -0.23f)
                curveToRelative(0.24f, 0.0f, 0.44f, 0.08f, 0.6f, 0.23f)
                lineToRelative(1.45f, 1.42f)
                curveToRelative(0.16f, 0.17f, 0.24f, 0.38f, 0.24f, 0.61f)
                curveToRelative(0.0f, 0.23f, -0.08f, 0.43f, -0.24f, 0.59f)
                curveToRelative(-0.4f, 0.31f, -0.8f, 0.31f, -1.2f, 0.0f)
                lineToRelative(-1.42f, -1.43f)
                curveTo(22.63f, 17.48f, 22.56f, 17.26f, 22.56f, 17.01f)
                close()
                moveTo(22.56f, 6.08f)
                curveToRelative(0.0f, -0.25f, 0.08f, -0.45f, 0.23f, -0.59f)
                lineToRelative(1.42f, -1.47f)
                curveToRelative(0.18f, -0.16f, 0.37f, -0.24f, 0.59f, -0.24f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.08f, 0.6f, 0.25f)
                curveToRelative(0.17f, 0.17f, 0.25f, 0.37f, 0.25f, 0.6f)
                curveToRelative(0.0f, 0.25f, -0.08f, 0.46f, -0.24f, 0.62f)
                lineToRelative(-1.45f, 1.43f)
                curveToRelative(-0.18f, 0.16f, -0.38f, 0.24f, -0.6f, 0.24f)
                curveToRelative(-0.23f, 0.0f, -0.41f, -0.08f, -0.57f, -0.24f)
                curveTo(22.63f, 6.52f, 22.56f, 6.32f, 22.56f, 6.08f)
                close()
                moveTo(24.82f, 11.55f)
                curveToRelative(0.0f, -0.24f, 0.08f, -0.44f, 0.24f, -0.62f)
                curveToRelative(0.16f, -0.16f, 0.35f, -0.24f, 0.57f, -0.24f)
                horizontalLineToRelative(2.02f)
                curveToRelative(0.23f, 0.0f, 0.43f, 0.09f, 0.61f, 0.26f)
                reflectiveCurveToRelative(0.26f, 0.37f, 0.26f, 0.6f)
                curveToRelative(0.0f, 0.23f, -0.09f, 0.43f, -0.26f, 0.6f)
                curveToRelative(-0.18f, 0.17f, -0.38f, 0.25f, -0.61f, 0.25f)
                horizontalLineToRelative(-2.02f)
                curveToRelative(-0.23f, 0.0f, -0.42f, -0.08f, -0.58f, -0.25f)
                curveTo(24.89f, 11.99f, 24.82f, 11.79f, 24.82f, 11.55f)
                close()
            }
        }
        .build()
        return _dayWindy!!
    }

private var _dayWindy: ImageVector? = null
