package compose.icons.weathericons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.WeatherIcons

public val WeatherIcons.NightAltRainWind: ImageVector
    get() {
        if (_nightAltRainWind != null) {
            return _nightAltRainWind!!
        }
        _nightAltRainWind = Builder(name = "NightAltRainWind", defaultWidth = 30.0.dp, defaultHeight
                = 30.0.dp, viewportWidth = 30.0f, viewportHeight = 30.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.06f, 16.93f)
                curveToRelative(0.0f, 1.12f, 0.33f, 2.12f, 1.0f, 3.0f)
                curveToRelative(0.67f, 0.88f, 1.52f, 1.47f, 2.57f, 1.77f)
                curveToRelative(0.09f, 0.02f, 0.17f, -0.01f, 0.24f, -0.08f)
                lineTo(9.0f, 20.22f)
                curveToRelative(-0.88f, 0.0f, -1.63f, -0.32f, -2.27f, -0.97f)
                curveToRelative(-0.64f, -0.65f, -0.96f, -1.42f, -0.96f, -2.32f)
                curveToRelative(0.0f, -0.84f, 0.28f, -1.56f, 0.84f, -2.17f)
                reflectiveCurveToRelative(1.27f, -0.95f, 2.11f, -1.03f)
                lineToRelative(0.5f, -0.07f)
                curveToRelative(0.12f, 0.0f, 0.19f, -0.06f, 0.19f, -0.19f)
                lineToRelative(0.08f, -0.53f)
                curveToRelative(0.12f, -1.09f, 0.59f, -2.0f, 1.41f, -2.73f)
                curveToRelative(0.81f, -0.73f, 1.77f, -1.1f, 2.86f, -1.1f)
                curveToRelative(1.09f, 0.0f, 2.04f, 0.37f, 2.86f, 1.1f)
                reflectiveCurveToRelative(1.29f, 1.64f, 1.41f, 2.72f)
                lineToRelative(0.07f, 0.58f)
                curveToRelative(0.0f, 0.11f, 0.06f, 0.17f, 0.18f, 0.17f)
                horizontalLineToRelative(1.62f)
                curveToRelative(0.88f, 0.0f, 1.64f, 0.32f, 2.28f, 0.96f)
                reflectiveCurveToRelative(0.96f, 1.4f, 0.96f, 2.28f)
                curveToRelative(0.0f, 0.85f, -0.28f, 1.59f, -0.84f, 2.22f)
                reflectiveCurveToRelative(-1.25f, 0.98f, -2.07f, 1.05f)
                curveToRelative(-0.45f, 0.06f, -0.74f, 0.15f, -0.86f, 0.28f)
                lineToRelative(-2.33f, 2.91f)
                curveToRelative(-0.16f, 0.17f, -0.22f, 0.38f, -0.19f, 0.63f)
                curveToRelative(0.02f, 0.24f, 0.13f, 0.43f, 0.31f, 0.59f)
                curveToRelative(0.18f, 0.16f, 0.37f, 0.23f, 0.57f, 0.23f)
                curveToRelative(0.23f, 0.0f, 0.44f, -0.12f, 0.64f, -0.38f)
                lineToRelative(2.04f, -2.59f)
                curveToRelative(0.62f, -0.06f, 1.2f, -0.24f, 1.76f, -0.52f)
                curveToRelative(0.55f, -0.28f, 1.03f, -0.65f, 1.42f, -1.08f)
                curveToRelative(0.39f, -0.44f, 0.71f, -0.95f, 0.94f, -1.53f)
                curveToRelative(0.23f, -0.58f, 0.35f, -1.18f, 0.35f, -1.81f)
                curveToRelative(0.0f, -0.87f, -0.23f, -1.68f, -0.68f, -2.44f)
                curveToRelative(0.81f, -0.74f, 1.34f, -1.61f, 1.58f, -2.62f)
                verticalLineToRelative(-0.09f)
                lineToRelative(0.2f, -0.77f)
                lineToRelative(-0.76f, -0.26f)
                curveToRelative(-0.57f, -0.17f, -1.06f, -0.45f, -1.47f, -0.83f)
                reflectiveCurveToRelative(-0.69f, -0.8f, -0.86f, -1.23f)
                curveToRelative(-0.17f, -0.43f, -0.26f, -0.87f, -0.26f, -1.31f)
                curveToRelative(0.0f, -0.26f, 0.03f, -0.52f, 0.08f, -0.8f)
                lineToRelative(0.19f, -0.78f)
                lineToRelative(-0.83f, -0.23f)
                curveToRelative(-0.01f, 0.0f, -0.02f, 0.0f, -0.03f, -0.01f)
                reflectiveCurveToRelative(-0.02f, -0.02f, -0.04f, -0.02f)
                reflectiveCurveToRelative(-0.03f, -0.01f, -0.04f, -0.02f)
                curveTo(21.91f, 5.5f, 21.9f, 5.49f, 21.9f, 5.49f)
                curveToRelative(-0.44f, -0.11f, -0.85f, -0.16f, -1.25f, -0.16f)
                curveToRelative(-0.38f, 0.01f, -0.76f, 0.05f, -1.15f, 0.14f)
                reflectiveCurveToRelative(-0.78f, 0.22f, -1.2f, 0.41f)
                curveToRelative(-0.42f, 0.19f, -0.82f, 0.46f, -1.2f, 0.81f)
                reflectiveCurveToRelative(-0.72f, 0.76f, -1.0f, 1.24f)
                curveToRelative(-0.75f, -0.33f, -1.53f, -0.49f, -2.34f, -0.49f)
                curveToRelative(-1.41f, 0.0f, -2.67f, 0.44f, -3.76f, 1.31f)
                reflectiveCurveToRelative(-1.8f, 1.99f, -2.11f, 3.36f)
                curveToRelative(-1.13f, 0.27f, -2.05f, 0.86f, -2.76f, 1.75f)
                reflectiveCurveTo(4.06f, 15.77f, 4.06f, 16.93f)
                close()
                moveTo(7.77f, 24.92f)
                curveToRelative(0.0f, 0.13f, 0.02f, 0.23f, 0.07f, 0.31f)
                curveToRelative(0.09f, 0.22f, 0.23f, 0.37f, 0.43f, 0.46f)
                curveToRelative(0.22f, 0.1f, 0.44f, 0.11f, 0.67f, 0.03f)
                curveToRelative(0.23f, -0.08f, 0.38f, -0.23f, 0.46f, -0.44f)
                curveToRelative(0.1f, -0.22f, 0.1f, -0.44f, 0.01f, -0.67f)
                curveToRelative(-0.09f, -0.23f, -0.24f, -0.38f, -0.45f, -0.45f)
                curveToRelative(-0.22f, -0.1f, -0.44f, -0.11f, -0.66f, -0.02f)
                curveToRelative(-0.22f, 0.08f, -0.37f, 0.24f, -0.45f, 0.45f)
                curveTo(7.79f, 24.67f, 7.77f, 24.79f, 7.77f, 24.92f)
                close()
                moveTo(9.61f, 22.47f)
                verticalLineToRelative(0.11f)
                curveToRelative(0.02f, 0.23f, 0.13f, 0.41f, 0.33f, 0.55f)
                curveToRelative(0.13f, 0.15f, 0.31f, 0.22f, 0.54f, 0.22f)
                curveToRelative(0.23f, -0.01f, 0.45f, -0.11f, 0.66f, -0.32f)
                lineToRelative(2.33f, -2.92f)
                curveToRelative(0.14f, -0.17f, 0.19f, -0.38f, 0.17f, -0.62f)
                curveToRelative(-0.03f, -0.24f, -0.12f, -0.43f, -0.3f, -0.58f)
                curveToRelative(-0.18f, -0.14f, -0.38f, -0.2f, -0.63f, -0.18f)
                curveToRelative(-0.24f, 0.02f, -0.43f, 0.14f, -0.57f, 0.34f)
                lineToRelative(-2.32f, 2.86f)
                curveTo(9.68f, 22.09f, 9.61f, 22.27f, 9.61f, 22.47f)
                close()
                moveTo(10.19f, 27.68f)
                curveToRelative(0.09f, 0.21f, 0.24f, 0.36f, 0.46f, 0.45f)
                curveToRelative(0.11f, 0.05f, 0.22f, 0.08f, 0.33f, 0.08f)
                curveToRelative(0.06f, 0.0f, 0.16f, -0.02f, 0.3f, -0.06f)
                curveToRelative(0.21f, -0.09f, 0.36f, -0.23f, 0.44f, -0.44f)
                curveToRelative(0.08f, -0.22f, 0.08f, -0.43f, 0.01f, -0.65f)
                curveToRelative(-0.07f, -0.21f, -0.22f, -0.37f, -0.44f, -0.48f)
                curveToRelative(-0.22f, -0.08f, -0.43f, -0.08f, -0.63f, 0.0f)
                reflectiveCurveToRelative(-0.35f, 0.23f, -0.45f, 0.44f)
                curveTo(10.1f, 27.22f, 10.09f, 27.43f, 10.19f, 27.68f)
                close()
                moveTo(11.78f, 25.02f)
                verticalLineToRelative(0.08f)
                curveToRelative(0.02f, 0.22f, 0.13f, 0.42f, 0.32f, 0.58f)
                curveToRelative(0.19f, 0.16f, 0.38f, 0.24f, 0.56f, 0.24f)
                curveToRelative(0.22f, 0.0f, 0.42f, -0.11f, 0.6f, -0.34f)
                lineToRelative(4.31f, -5.36f)
                curveToRelative(0.14f, -0.17f, 0.21f, -0.38f, 0.19f, -0.62f)
                curveToRelative(-0.02f, -0.24f, -0.12f, -0.44f, -0.29f, -0.58f)
                curveToRelative(-0.2f, -0.14f, -0.42f, -0.2f, -0.66f, -0.18f)
                curveToRelative(-0.24f, 0.02f, -0.43f, 0.12f, -0.57f, 0.3f)
                lineToRelative(-4.27f, 5.36f)
                curveTo(11.84f, 24.65f, 11.78f, 24.83f, 11.78f, 25.02f)
                close()
                moveTo(15.29f, 26.13f)
                curveToRelative(0.0f, 0.11f, 0.02f, 0.22f, 0.07f, 0.33f)
                curveToRelative(0.08f, 0.23f, 0.24f, 0.38f, 0.47f, 0.47f)
                curveToRelative(0.23f, 0.09f, 0.43f, 0.09f, 0.61f, 0.02f)
                curveToRelative(0.22f, -0.09f, 0.37f, -0.24f, 0.46f, -0.46f)
                curveToRelative(0.1f, -0.22f, 0.11f, -0.43f, 0.03f, -0.64f)
                curveToRelative(-0.08f, -0.21f, -0.23f, -0.36f, -0.45f, -0.46f)
                curveToRelative(-0.22f, -0.08f, -0.44f, -0.08f, -0.65f, 0.0f)
                curveToRelative(-0.22f, 0.08f, -0.37f, 0.22f, -0.47f, 0.42f)
                curveTo(15.31f, 25.92f, 15.29f, 26.03f, 15.29f, 26.13f)
                close()
                moveTo(17.57f, 8.81f)
                curveToRelative(0.31f, -0.57f, 0.75f, -1.01f, 1.3f, -1.32f)
                curveToRelative(0.55f, -0.3f, 1.14f, -0.45f, 1.76f, -0.44f)
                curveToRelative(0.12f, 0.0f, 0.21f, 0.0f, 0.26f, 0.01f)
                verticalLineToRelative(0.3f)
                curveToRelative(0.0f, 0.97f, 0.27f, 1.89f, 0.8f, 2.75f)
                curveToRelative(0.53f, 0.87f, 1.26f, 1.52f, 2.19f, 1.96f)
                curveToRelative(-0.25f, 0.47f, -0.51f, 0.84f, -0.79f, 1.12f)
                curveToRelative(-0.89f, -0.79f, -1.96f, -1.18f, -3.22f, -1.18f)
                horizontalLineToRelative(-0.32f)
                curveTo(19.26f, 10.74f, 18.6f, 9.67f, 17.57f, 8.81f)
                close()
            }
        }
        .build()
        return _nightAltRainWind!!
    }

private var _nightAltRainWind: ImageVector? = null
