package compose.icons.evaicons.outline

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.evaicons.OutlineGroup

public val OutlineGroup.Upload: ImageVector
    get() {
        if (_upload != null) {
            return _upload!!
        }
        _upload = Builder(name = "Upload", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.0f, strokeAlpha
                    = 0.0f, strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(24.0f, 24.0f)
                lineToRelative(-24.0f, -0.0f)
                lineToRelative(-0.0f, -24.0f)
                lineToRelative(24.0f, -0.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.0f, 6.0f)
                lineTo(5.0f, 6.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 4.0f, 5.0f)
                lineTo(4.0f, 5.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 5.0f, 4.0f)
                lineTo(19.0f, 4.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 20.0f, 5.0f)
                lineTo(20.0f, 5.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 19.0f, 6.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.0f, 5.0f)
                lineTo(20.0f, 7.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 19.0f, 8.0f)
                lineTo(19.0f, 8.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 18.0f, 7.0f)
                lineTo(18.0f, 5.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 19.0f, 4.0f)
                lineTo(19.0f, 4.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 20.0f, 5.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 5.0f)
                lineTo(6.0f, 7.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 5.0f, 8.0f)
                lineTo(5.0f, 8.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 4.0f, 7.0f)
                lineTo(4.0f, 5.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 5.0f, 4.0f)
                lineTo(5.0f, 4.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 6.0f, 5.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 14.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.8f, -0.4f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.2f, -1.4f)
                lineToRelative(4.0f, -3.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 1.18f, 0.0f)
                lineToRelative(4.0f, 2.82f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 0.24f, 1.39f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -1.4f, 0.24f)
                lineTo(12.0f, 11.24f)
                lineTo(8.6f, 13.8f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 8.0f, 14.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 21.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -1.0f, -1.0f)
                verticalLineTo(12.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, 2.0f, 0.0f)
                verticalLineToRelative(8.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, true, 12.0f, 21.0f)
                close()
            }
        }
        .build()
        return _upload!!
    }

private var _upload: ImageVector? = null
