package compose.icons.evaicons.outline

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.evaicons.OutlineGroup

public val OutlineGroup.WifiOff: ImageVector
    get() {
        if (_wifiOff != null) {
            return _wifiOff!!
        }
        _wifiOff = Builder(name = "WifiOff", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, fillAlpha = 0.0f, strokeAlpha
                    = 0.0f, strokeLineWidth = 0.0f, strokeLineCap = Butt, strokeLineJoin = Miter,
                    strokeLineMiter = 4.0f, pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                horizontalLineToRelative(24.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(-24.0f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 19.0f)
                moveToRelative(-1.0f, 0.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, 2.0f, 0.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, true, -2.0f, 0.0f)
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.44f, 11.0f)
                lineToRelative(-1.9f, -1.89f)
                lineTo(8.08f, 6.67f)
                lineTo(6.53f, 5.12f)
                lineTo(4.71f, 3.29f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 3.29f, 4.71f)
                lineTo(4.67f, 6.08f)
                lineTo(6.13f, 7.54f)
                lineTo(8.36f, 9.78f)
                lineToRelative(1.55f, 1.54f)
                lineToRelative(2.74f, 2.74f)
                lineToRelative(2.79f, 2.8f)
                lineToRelative(3.85f, 3.85f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 1.42f, 0.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.0f, -1.42f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.72f, 7.93f)
                arcTo(13.93f, 13.93f, 0.0f, false, false, 12.0f, 4.0f)
                arcToRelative(14.1f, 14.1f, 0.0f, false, false, -4.44f, 0.73f)
                lineTo(9.18f, 6.35f)
                arcToRelative(11.89f, 11.89f, 0.0f, false, true, 11.16f, 3.0f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.69f, 0.28f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.72f, -0.31f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 21.72f, 7.93f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.82f, 6.65f)
                arcTo(14.32f, 14.32f, 0.0f, false, false, 2.28f, 7.93f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 3.66f, 9.37f)
                arcToRelative(13.09f, 13.09f, 0.0f, false, true, 1.6f, -1.29f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.0f, 13.14f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.71f, 0.3f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.72f, -1.69f)
                arcTo(9.0f, 9.0f, 0.0f, false, false, 12.0f, 9.0f)
                horizontalLineToRelative(-0.16f)
                lineToRelative(2.35f, 2.35f)
                arcTo(7.0f, 7.0f, 0.0f, false, true, 17.0f, 13.14f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.43f, 10.26f)
                arcToRelative(8.8f, 8.8f, 0.0f, false, false, -1.9f, 1.49f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 7.0f, 13.14f)
                arcToRelative(7.3f, 7.3f, 0.0f, false, true, 2.0f, -1.41f)
                close()
            }
            path(fill = SolidColor(Color(0xFF231f20)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.53f, 15.4f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, false, 1.39f, 1.44f)
                arcToRelative(3.06f, 3.06f, 0.0f, false, true, 3.84f, -0.25f)
                lineToRelative(-2.52f, -2.52f)
                arcTo(5.0f, 5.0f, 0.0f, false, false, 8.53f, 15.4f)
                close()
            }
        }
        .build()
        return _wifiOff!!
    }

private var _wifiOff: ImageVector? = null
