package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Aws: ImageVector
    get() {
        if (_aws != null) {
            return _aws!!
        }
        _aws = Builder(name = "Aws", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(180.41f, 203.01f)
                curveToRelative(-0.72f, 22.65f, 10.6f, 32.68f, 10.88f, 39.05f)
                arcToRelative(8.164f, 8.164f, 0.0f, false, true, -4.1f, 6.27f)
                lineToRelative(-12.8f, 8.96f)
                arcToRelative(10.66f, 10.66f, 0.0f, false, true, -5.63f, 1.92f)
                curveToRelative(-0.43f, -0.02f, -8.19f, 1.83f, -20.48f, -25.61f)
                arcToRelative(78.608f, 78.608f, 0.0f, false, true, -62.61f, 29.45f)
                curveToRelative(-16.28f, 0.89f, -60.4f, -9.24f, -58.13f, -56.21f)
                curveToRelative(-1.59f, -38.28f, 34.06f, -62.06f, 70.93f, -60.05f)
                curveToRelative(7.1f, 0.02f, 21.6f, 0.37f, 46.99f, 6.27f)
                verticalLineToRelative(-15.62f)
                curveToRelative(2.69f, -26.46f, -14.7f, -46.99f, -44.81f, -43.91f)
                curveToRelative(-2.4f, 0.01f, -19.4f, -0.5f, -45.84f, 10.11f)
                curveToRelative(-7.36f, 3.38f, -8.3f, 2.82f, -10.75f, 2.82f)
                curveToRelative(-7.41f, 0.0f, -4.36f, -21.48f, -2.94f, -24.2f)
                curveToRelative(5.21f, -6.4f, 35.86f, -18.35f, 65.94f, -18.18f)
                arcToRelative(76.857f, 76.857f, 0.0f, false, true, 55.69f, 17.28f)
                arcToRelative(70.285f, 70.285f, 0.0f, false, true, 17.67f, 52.36f)
                lineToRelative(-0.01f, 69.29f)
                close()
                moveTo(93.99f, 235.4f)
                curveToRelative(32.43f, -0.47f, 46.16f, -19.97f, 49.29f, -30.47f)
                curveToRelative(2.46f, -10.05f, 2.05f, -16.41f, 2.05f, -27.4f)
                curveToRelative(-9.67f, -2.32f, -23.59f, -4.85f, -39.56f, -4.87f)
                curveToRelative(-15.15f, -1.14f, -42.82f, 5.63f, -41.74f, 32.26f)
                curveToRelative(-1.24f, 16.79f, 11.12f, 31.4f, 29.96f, 30.48f)
                close()
                moveTo(264.91f, 258.45f)
                curveToRelative(-7.86f, 0.72f, -11.52f, -4.86f, -12.68f, -10.37f)
                lineToRelative(-49.8f, -164.65f)
                curveToRelative(-0.97f, -2.78f, -1.61f, -5.65f, -1.92f, -8.58f)
                arcToRelative(4.61f, 4.61f, 0.0f, false, true, 3.86f, -5.25f)
                curveToRelative(0.24f, -0.04f, -2.13f, 0.0f, 22.25f, 0.0f)
                curveToRelative(8.78f, -0.88f, 11.64f, 6.03f, 12.55f, 10.37f)
                lineToRelative(35.72f, 140.83f)
                lineToRelative(33.16f, -140.83f)
                curveToRelative(0.53f, -3.22f, 2.94f, -11.07f, 12.8f, -10.24f)
                horizontalLineToRelative(17.16f)
                curveToRelative(2.17f, -0.18f, 11.11f, -0.5f, 12.68f, 10.37f)
                lineToRelative(33.42f, 142.63f)
                lineTo(420.98f, 80.1f)
                curveToRelative(0.48f, -2.18f, 2.72f, -11.37f, 12.68f, -10.37f)
                horizontalLineToRelative(19.72f)
                curveToRelative(0.85f, -0.13f, 6.15f, -0.81f, 5.25f, 8.58f)
                curveToRelative(-0.43f, 1.85f, 3.41f, -10.66f, -52.75f, 169.9f)
                curveToRelative(-1.15f, 5.51f, -4.82f, 11.09f, -12.68f, 10.37f)
                horizontalLineToRelative(-18.69f)
                curveToRelative(-10.94f, 1.15f, -12.51f, -9.66f, -12.68f, -10.75f)
                lineTo(328.67f, 110.7f)
                lineToRelative(-32.78f, 136.99f)
                curveToRelative(-0.16f, 1.09f, -1.73f, 11.9f, -12.68f, 10.75f)
                horizontalLineToRelative(-18.3f)
                close()
                moveTo(538.39f, 264.08f)
                curveToRelative(-5.88f, 0.01f, -33.92f, -0.3f, -57.36f, -12.29f)
                arcToRelative(12.802f, 12.802f, 0.0f, false, true, -7.81f, -11.91f)
                verticalLineToRelative(-10.75f)
                curveToRelative(0.0f, -8.45f, 6.2f, -6.9f, 8.83f, -5.89f)
                curveToRelative(10.04f, 4.06f, 16.48f, 7.14f, 28.81f, 9.6f)
                curveToRelative(36.65f, 7.53f, 52.77f, -2.3f, 56.72f, -4.48f)
                curveToRelative(13.15f, -7.81f, 14.19f, -25.68f, 5.25f, -34.95f)
                curveToRelative(-10.48f, -8.79f, -15.48f, -9.12f, -53.13f, -21.0f)
                curveToRelative(-4.64f, -1.29f, -43.7f, -13.61f, -43.79f, -52.36f)
                curveToRelative(-0.61f, -28.24f, 25.05f, -56.18f, 69.52f, -55.95f)
                curveToRelative(12.67f, -0.01f, 46.43f, 4.13f, 55.57f, 15.62f)
                curveToRelative(1.35f, 2.09f, 2.02f, 4.55f, 1.92f, 7.04f)
                verticalLineToRelative(10.11f)
                curveToRelative(0.0f, 4.44f, -1.62f, 6.66f, -4.87f, 6.66f)
                curveToRelative(-7.71f, -0.86f, -21.39f, -11.17f, -49.16f, -10.75f)
                curveToRelative(-6.89f, -0.36f, -39.89f, 0.91f, -38.41f, 24.97f)
                curveToRelative(-0.43f, 18.96f, 26.61f, 26.07f, 29.7f, 26.89f)
                curveToRelative(36.46f, 10.97f, 48.65f, 12.79f, 63.12f, 29.58f)
                curveToRelative(17.14f, 22.25f, 7.9f, 48.3f, 4.35f, 55.44f)
                curveToRelative(-19.08f, 37.49f, -68.42f, 34.44f, -69.26f, 34.42f)
                close()
                moveTo(578.59f, 368.94f)
                curveToRelative(-70.03f, 51.72f, -171.69f, 79.25f, -258.49f, 79.25f)
                arcTo(469.127f, 469.127f, 0.0f, false, true, 2.83f, 327.46f)
                curveToRelative(-6.53f, -5.89f, -0.77f, -13.96f, 7.17f, -9.47f)
                arcToRelative(637.37f, 637.37f, 0.0f, false, false, 316.88f, 84.12f)
                arcToRelative(630.22f, 630.22f, 0.0f, false, false, 241.59f, -49.55f)
                curveToRelative(11.78f, -5.0f, 21.77f, 7.8f, 10.12f, 16.38f)
                close()
                moveTo(607.78f, 335.65f)
                curveToRelative(-8.96f, -11.52f, -59.28f, -5.38f, -81.81f, -2.69f)
                curveToRelative(-6.79f, 0.77f, -7.94f, -5.12f, -1.79f, -9.47f)
                curveToRelative(40.07f, -28.17f, 105.88f, -20.1f, 113.44f, -10.63f)
                curveToRelative(7.55f, 9.47f, -2.05f, 75.41f, -39.56f, 106.91f)
                curveToRelative(-5.76f, 4.87f, -11.27f, 2.3f, -8.71f, -4.1f)
                curveToRelative(8.44f, -21.25f, 27.39f, -68.49f, 18.43f, -80.02f)
                close()
            }
        }
        .build()
        return _aws!!
    }

private var _aws: ImageVector? = null
