package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Blogger: ImageVector
    get() {
        if (_blogger != null) {
            return _blogger!!
        }
        _blogger = Builder(name = "Blogger", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(162.4f, 196.0f)
                curveToRelative(4.8f, -4.9f, 6.2f, -5.1f, 36.4f, -5.1f)
                curveToRelative(27.2f, 0.0f, 28.1f, 0.1f, 32.1f, 2.1f)
                curveToRelative(5.8f, 2.9f, 8.3f, 7.0f, 8.3f, 13.6f)
                curveToRelative(0.0f, 5.9f, -2.4f, 10.0f, -7.6f, 13.4f)
                curveToRelative(-2.8f, 1.8f, -4.5f, 1.9f, -31.1f, 2.1f)
                curveToRelative(-16.4f, 0.1f, -29.5f, -0.2f, -31.5f, -0.8f)
                curveToRelative(-10.3f, -2.9f, -14.1f, -17.7f, -6.6f, -25.3f)
                close()
                moveTo(223.8f, 290.5f)
                curveToRelative(-53.9f, 0.0f, -55.8f, 0.2f, -60.2f, 4.1f)
                curveToRelative(-3.5f, 3.1f, -5.7f, 9.4f, -5.1f, 13.9f)
                curveToRelative(0.7f, 4.7f, 4.8f, 10.1f, 9.2f, 12.0f)
                curveToRelative(2.2f, 1.0f, 14.1f, 1.7f, 56.3f, 1.2f)
                lineToRelative(47.9f, -0.6f)
                lineToRelative(9.2f, -1.5f)
                curveToRelative(9.0f, -5.1f, 10.5f, -17.4f, 3.1f, -24.4f)
                curveToRelative(-5.3f, -4.7f, -5.0f, -4.7f, -60.4f, -4.7f)
                close()
                moveTo(447.2f, 420.6f)
                curveToRelative(-3.5f, 28.4f, -23.0f, 50.4f, -51.1f, 57.5f)
                curveToRelative(-7.2f, 1.8f, -9.7f, 1.9f, -172.9f, 1.8f)
                curveToRelative(-157.8f, 0.0f, -165.9f, -0.1f, -172.0f, -1.8f)
                curveToRelative(-8.4f, -2.2f, -15.6f, -5.5f, -22.3f, -10.0f)
                curveToRelative(-5.6f, -3.8f, -13.9f, -11.8f, -17.0f, -16.4f)
                curveToRelative(-3.8f, -5.6f, -8.2f, -15.3f, -10.0f, -22.0f)
                curveTo(0.1f, 423.0f, 0.0f, 420.3f, 0.0f, 256.3f)
                curveTo(0.0f, 93.2f, 0.0f, 89.7f, 1.8f, 82.6f)
                curveTo(8.1f, 57.9f, 27.7f, 39.0f, 53.0f, 33.4f)
                curveToRelative(7.3f, -1.6f, 332.1f, -1.9f, 340.0f, -0.3f)
                curveToRelative(21.2f, 4.3f, 37.9f, 17.1f, 47.6f, 36.4f)
                curveToRelative(7.7f, 15.3f, 7.0f, -1.5f, 7.3f, 180.6f)
                curveToRelative(0.2f, 115.8f, 0.0f, 164.5f, -0.7f, 170.5f)
                close()
                moveTo(361.8f, 235.4f)
                curveToRelative(-1.1f, -5.0f, -4.2f, -9.6f, -7.7f, -11.5f)
                curveToRelative(-1.1f, -0.6f, -8.0f, -1.3f, -15.5f, -1.7f)
                curveToRelative(-12.4f, -0.6f, -13.8f, -0.8f, -17.8f, -3.1f)
                curveToRelative(-6.2f, -3.6f, -7.9f, -7.6f, -8.0f, -18.3f)
                curveToRelative(0.0f, -20.4f, -8.5f, -39.4f, -25.3f, -56.5f)
                curveToRelative(-12.0f, -12.2f, -25.3f, -20.5f, -40.6f, -25.1f)
                curveToRelative(-3.6f, -1.1f, -11.8f, -1.5f, -39.2f, -1.8f)
                curveToRelative(-42.9f, -0.5f, -52.5f, 0.4f, -67.1f, 6.2f)
                curveToRelative(-27.0f, 10.7f, -46.3f, 33.4f, -53.4f, 62.4f)
                curveToRelative(-1.3f, 5.4f, -1.6f, 14.2f, -1.9f, 64.3f)
                curveToRelative(-0.4f, 62.8f, 0.0f, 72.1f, 4.0f, 84.5f)
                curveToRelative(9.7f, 30.7f, 37.1f, 53.4f, 64.6f, 58.4f)
                curveToRelative(9.2f, 1.7f, 122.2f, 2.1f, 133.7f, 0.5f)
                curveToRelative(20.1f, -2.7f, 35.9f, -10.8f, 50.7f, -25.9f)
                curveToRelative(10.7f, -10.9f, 17.4f, -22.8f, 21.8f, -38.5f)
                curveToRelative(3.2f, -10.9f, 2.9f, -88.4f, 1.7f, -93.9f)
                close()
            }
        }
        .build()
        return _blogger!!
    }

private var _blogger: ImageVector? = null
