package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CanadianMapleLeaf: ImageVector
    get() {
        if (_canadianMapleLeaf != null) {
            return _canadianMapleLeaf!!
        }
        _canadianMapleLeaf = Builder(name = "CanadianMapleLeaf", defaultWidth = 512.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(383.8f, 351.7f)
                curveToRelative(2.5f, -2.5f, 105.2f, -92.4f, 105.2f, -92.4f)
                lineToRelative(-17.5f, -7.5f)
                curveToRelative(-10.0f, -4.9f, -7.4f, -11.5f, -5.0f, -17.4f)
                curveToRelative(2.4f, -7.6f, 20.1f, -67.3f, 20.1f, -67.3f)
                reflectiveCurveToRelative(-47.7f, 10.0f, -57.7f, 12.5f)
                curveToRelative(-7.5f, 2.4f, -10.0f, -2.5f, -12.5f, -7.5f)
                reflectiveCurveToRelative(-15.0f, -32.4f, -15.0f, -32.4f)
                reflectiveCurveToRelative(-52.6f, 59.9f, -55.1f, 62.3f)
                curveToRelative(-10.0f, 7.5f, -20.1f, 0.0f, -17.6f, -10.0f)
                curveToRelative(0.0f, -10.0f, 27.6f, -129.6f, 27.6f, -129.6f)
                reflectiveCurveToRelative(-30.1f, 17.4f, -40.1f, 22.4f)
                curveToRelative(-7.5f, 5.0f, -12.6f, 5.0f, -17.6f, -5.0f)
                curveTo(293.5f, 72.3f, 255.9f, 0.0f, 255.9f, 0.0f)
                reflectiveCurveToRelative(-37.5f, 72.3f, -42.5f, 79.8f)
                curveToRelative(-5.0f, 10.0f, -10.0f, 10.0f, -17.6f, 5.0f)
                curveToRelative(-10.0f, -5.0f, -40.1f, -22.4f, -40.1f, -22.4f)
                reflectiveCurveTo(183.3f, 182.0f, 183.3f, 192.0f)
                curveToRelative(2.5f, 10.0f, -7.5f, 17.5f, -17.6f, 10.0f)
                curveToRelative(-2.5f, -2.5f, -55.1f, -62.3f, -55.1f, -62.3f)
                reflectiveCurveTo(98.1f, 167.0f, 95.6f, 172.0f)
                reflectiveCurveToRelative(-5.0f, 9.9f, -12.5f, 7.5f)
                curveTo(73.0f, 177.0f, 25.4f, 167.0f, 25.4f, 167.0f)
                reflectiveCurveToRelative(17.6f, 59.7f, 20.1f, 67.3f)
                curveToRelative(2.4f, 6.0f, 5.0f, 12.5f, -5.0f, 17.4f)
                lineTo(23.0f, 259.3f)
                reflectiveCurveToRelative(102.6f, 89.9f, 105.2f, 92.4f)
                curveToRelative(5.1f, 5.0f, 10.0f, 7.5f, 5.1f, 22.5f)
                curveToRelative(-5.1f, 15.0f, -10.1f, 35.1f, -10.1f, 35.1f)
                reflectiveCurveToRelative(95.2f, -20.1f, 105.3f, -22.6f)
                curveToRelative(8.7f, -0.9f, 18.3f, 2.5f, 18.3f, 12.5f)
                reflectiveCurveTo(241.0f, 512.0f, 241.0f, 512.0f)
                horizontalLineToRelative(30.0f)
                reflectiveCurveToRelative(-5.8f, -102.7f, -5.8f, -112.8f)
                reflectiveCurveToRelative(9.5f, -13.4f, 18.4f, -12.5f)
                curveToRelative(10.0f, 2.5f, 105.2f, 22.6f, 105.2f, 22.6f)
                reflectiveCurveToRelative(-5.0f, -20.1f, -10.0f, -35.1f)
                reflectiveCurveToRelative(0.0f, -17.5f, 5.0f, -22.5f)
                close()
            }
        }
        .build()
        return _canadianMapleLeaf!!
    }

private var _canadianMapleLeaf: ImageVector? = null
