package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcDiscover: ImageVector
    get() {
        if (_ccDiscover != null) {
            return _ccDiscover!!
        }
        _ccDiscover = Builder(name = "CcDiscover", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(520.4f, 196.1f)
                curveToRelative(0.0f, -7.9f, -5.5f, -12.1f, -15.6f, -12.1f)
                horizontalLineToRelative(-4.9f)
                verticalLineToRelative(24.9f)
                horizontalLineToRelative(4.7f)
                curveToRelative(10.3f, 0.0f, 15.8f, -4.4f, 15.8f, -12.8f)
                close()
                moveTo(528.0f, 32.0f)
                lineTo(48.0f, 32.0f)
                curveTo(21.5f, 32.0f, 0.0f, 53.5f, 0.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                lineTo(576.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, -21.5f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(483.9f, 170.9f)
                curveToRelative(22.6f, 0.0f, 52.9f, -4.1f, 52.9f, 24.4f)
                curveToRelative(0.0f, 12.6f, -6.6f, 20.7f, -18.7f, 23.2f)
                lineToRelative(25.8f, 34.4f)
                horizontalLineToRelative(-19.6f)
                lineToRelative(-22.2f, -32.8f)
                horizontalLineToRelative(-2.2f)
                verticalLineToRelative(32.8f)
                horizontalLineToRelative(-16.0f)
                close()
                moveTo(428.0f, 171.0f)
                horizontalLineToRelative(45.3f)
                verticalLineToRelative(14.0f)
                lineTo(444.0f, 185.0f)
                verticalLineToRelative(18.2f)
                horizontalLineToRelative(28.3f)
                lineTo(472.3f, 217.0f)
                lineTo(444.0f, 217.0f)
                verticalLineToRelative(22.2f)
                horizontalLineToRelative(29.3f)
                lineTo(473.3f, 253.0f)
                lineTo(428.0f, 253.0f)
                close()
                moveTo(359.3f, 171.0f)
                lineToRelative(21.9f, 55.2f)
                lineToRelative(22.2f, -55.2f)
                horizontalLineToRelative(17.5f)
                lineToRelative(-35.5f, 84.2f)
                horizontalLineToRelative(-8.6f)
                lineToRelative(-35.0f, -84.2f)
                close()
                moveTo(303.4f, 168.0f)
                curveToRelative(24.7f, 0.0f, 44.6f, 20.0f, 44.6f, 44.6f)
                curveToRelative(0.0f, 24.7f, -20.0f, 44.6f, -44.6f, 44.6f)
                curveToRelative(-24.7f, 0.0f, -44.6f, -20.0f, -44.6f, -44.6f)
                curveToRelative(0.0f, -24.7f, 20.0f, -44.6f, 44.6f, -44.6f)
                close()
                moveTo(254.1f, 174.1f)
                verticalLineToRelative(19.0f)
                curveToRelative(-20.1f, -20.1f, -46.8f, -4.7f, -46.8f, 19.0f)
                curveToRelative(0.0f, 25.0f, 27.5f, 38.5f, 46.8f, 19.2f)
                verticalLineToRelative(19.0f)
                curveToRelative(-29.7f, 14.3f, -63.3f, -5.7f, -63.3f, -38.2f)
                curveToRelative(0.0f, -31.2f, 33.1f, -53.0f, 63.3f, -38.0f)
                close()
                moveTo(156.9f, 240.4f)
                curveToRelative(11.4f, 0.0f, 22.4f, -15.3f, -3.3f, -24.4f)
                curveToRelative(-15.0f, -5.5f, -20.2f, -11.4f, -20.2f, -22.7f)
                curveToRelative(0.0f, -23.2f, 30.6f, -31.4f, 49.7f, -14.3f)
                lineToRelative(-8.4f, 10.8f)
                curveToRelative(-10.4f, -11.6f, -24.9f, -6.2f, -24.9f, 2.5f)
                curveToRelative(0.0f, 4.4f, 2.7f, 6.9f, 12.3f, 10.3f)
                curveToRelative(18.2f, 6.6f, 23.6f, 12.5f, 23.6f, 25.6f)
                curveToRelative(0.0f, 29.5f, -38.8f, 37.4f, -56.6f, 11.3f)
                lineToRelative(10.3f, -9.9f)
                curveToRelative(3.7f, 7.1f, 9.9f, 10.8f, 17.5f, 10.8f)
                close()
                moveTo(55.4f, 253.0f)
                lineTo(32.0f, 253.0f)
                verticalLineToRelative(-82.0f)
                horizontalLineToRelative(23.4f)
                curveToRelative(26.1f, 0.0f, 44.1f, 17.0f, 44.1f, 41.1f)
                curveToRelative(0.0f, 18.5f, -13.2f, 40.9f, -44.1f, 40.9f)
                close()
                moveTo(122.9f, 253.0f)
                horizontalLineToRelative(-16.0f)
                verticalLineToRelative(-82.0f)
                horizontalLineToRelative(16.0f)
                close()
                moveTo(544.0f, 433.0f)
                curveToRelative(0.0f, 8.2f, -6.8f, 15.0f, -15.0f, 15.0f)
                lineTo(128.0f, 448.0f)
                curveToRelative(189.6f, -35.6f, 382.7f, -139.2f, 416.0f, -160.0f)
                close()
                moveTo(74.1f, 191.6f)
                curveToRelative(-5.2f, -4.9f, -11.6f, -6.6f, -21.9f, -6.6f)
                lineTo(48.0f, 185.0f)
                verticalLineToRelative(54.2f)
                horizontalLineToRelative(4.2f)
                curveToRelative(10.3f, 0.0f, 17.0f, -2.0f, 21.9f, -6.4f)
                curveToRelative(5.7f, -5.2f, 8.9f, -12.8f, 8.9f, -20.7f)
                reflectiveCurveToRelative(-3.2f, -15.5f, -8.9f, -20.5f)
                close()
            }
        }
        .build()
        return _ccDiscover!!
    }

private var _ccDiscover: ImageVector? = null
