package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcMastercard: ImageVector
    get() {
        if (_ccMastercard != null) {
            return _ccMastercard!!
        }
        _ccMastercard = Builder(name = "CcMastercard", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(482.9f, 410.3f)
                curveToRelative(0.0f, 6.8f, -4.6f, 11.7f, -11.2f, 11.7f)
                curveToRelative(-6.8f, 0.0f, -11.2f, -5.2f, -11.2f, -11.7f)
                curveToRelative(0.0f, -6.5f, 4.4f, -11.7f, 11.2f, -11.7f)
                curveToRelative(6.6f, 0.0f, 11.2f, 5.2f, 11.2f, 11.7f)
                close()
                moveTo(172.1f, 398.6f)
                curveToRelative(-7.1f, 0.0f, -11.2f, 5.2f, -11.2f, 11.7f)
                curveToRelative(0.0f, 6.5f, 4.1f, 11.7f, 11.2f, 11.7f)
                curveToRelative(6.5f, 0.0f, 10.9f, -4.9f, 10.9f, -11.7f)
                curveToRelative(-0.1f, -6.5f, -4.4f, -11.7f, -10.9f, -11.7f)
                close()
                moveTo(289.6f, 398.3f)
                curveToRelative(-5.4f, 0.0f, -8.7f, 3.5f, -9.5f, 8.7f)
                horizontalLineToRelative(19.1f)
                curveToRelative(-0.9f, -5.7f, -4.4f, -8.7f, -9.6f, -8.7f)
                close()
                moveTo(397.4f, 398.6f)
                curveToRelative(-6.8f, 0.0f, -10.9f, 5.2f, -10.9f, 11.7f)
                curveToRelative(0.0f, 6.5f, 4.1f, 11.7f, 10.9f, 11.7f)
                curveToRelative(6.8f, 0.0f, 11.2f, -4.9f, 11.2f, -11.7f)
                curveToRelative(0.0f, -6.5f, -4.4f, -11.7f, -11.2f, -11.7f)
                close()
                moveTo(503.3f, 424.7f)
                curveToRelative(0.0f, 0.3f, 0.3f, 0.5f, 0.3f, 1.1f)
                curveToRelative(0.0f, 0.3f, -0.3f, 0.5f, -0.3f, 1.1f)
                curveToRelative(-0.3f, 0.3f, -0.3f, 0.5f, -0.5f, 0.8f)
                curveToRelative(-0.3f, 0.3f, -0.5f, 0.5f, -1.1f, 0.5f)
                curveToRelative(-0.3f, 0.3f, -0.5f, 0.3f, -1.1f, 0.3f)
                curveToRelative(-0.3f, 0.0f, -0.5f, 0.0f, -1.1f, -0.3f)
                curveToRelative(-0.3f, 0.0f, -0.5f, -0.3f, -0.8f, -0.5f)
                curveToRelative(-0.3f, -0.3f, -0.5f, -0.5f, -0.5f, -0.8f)
                curveToRelative(-0.3f, -0.5f, -0.3f, -0.8f, -0.3f, -1.1f)
                curveToRelative(0.0f, -0.5f, 0.0f, -0.8f, 0.3f, -1.1f)
                curveToRelative(0.0f, -0.5f, 0.3f, -0.8f, 0.5f, -1.1f)
                curveToRelative(0.3f, -0.3f, 0.5f, -0.3f, 0.8f, -0.5f)
                curveToRelative(0.5f, -0.3f, 0.8f, -0.3f, 1.1f, -0.3f)
                curveToRelative(0.5f, 0.0f, 0.8f, 0.0f, 1.1f, 0.3f)
                curveToRelative(0.5f, 0.3f, 0.8f, 0.3f, 1.1f, 0.5f)
                reflectiveCurveToRelative(0.2f, 0.6f, 0.5f, 1.1f)
                close()
                moveTo(501.1f, 426.1f)
                curveToRelative(0.5f, 0.0f, 0.5f, -0.3f, 0.8f, -0.3f)
                curveToRelative(0.3f, -0.3f, 0.3f, -0.5f, 0.3f, -0.8f)
                curveToRelative(0.0f, -0.3f, 0.0f, -0.5f, -0.3f, -0.8f)
                curveToRelative(-0.3f, 0.0f, -0.5f, -0.3f, -1.1f, -0.3f)
                horizontalLineToRelative(-1.6f)
                verticalLineToRelative(3.5f)
                horizontalLineToRelative(0.8f)
                lineTo(500.0f, 426.0f)
                horizontalLineToRelative(0.3f)
                lineToRelative(1.1f, 1.4f)
                horizontalLineToRelative(0.8f)
                lineToRelative(-1.1f, -1.3f)
                close()
                moveTo(576.0f, 81.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, -21.5f, 48.0f, -48.0f, 48.0f)
                lineTo(48.0f, 481.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                lineTo(0.0f, 81.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                close()
                moveTo(64.0f, 220.6f)
                curveToRelative(0.0f, 76.5f, 62.1f, 138.5f, 138.5f, 138.5f)
                curveToRelative(27.2f, 0.0f, 53.9f, -8.2f, 76.5f, -23.1f)
                curveToRelative(-72.9f, -59.3f, -72.4f, -171.2f, 0.0f, -230.5f)
                curveToRelative(-22.6f, -15.0f, -49.3f, -23.1f, -76.5f, -23.1f)
                curveToRelative(-76.4f, -0.1f, -138.5f, 62.0f, -138.5f, 138.2f)
                close()
                moveTo(288.0f, 329.4f)
                curveToRelative(70.5f, -55.0f, 70.2f, -162.2f, 0.0f, -217.5f)
                curveToRelative(-70.2f, 55.3f, -70.5f, 162.6f, 0.0f, 217.5f)
                close()
                moveTo(145.7f, 405.7f)
                curveToRelative(0.0f, -8.7f, -5.7f, -14.4f, -14.7f, -14.7f)
                curveToRelative(-4.6f, 0.0f, -9.5f, 1.4f, -12.8f, 6.5f)
                curveToRelative(-2.4f, -4.1f, -6.5f, -6.5f, -12.2f, -6.5f)
                curveToRelative(-3.8f, 0.0f, -7.6f, 1.4f, -10.6f, 5.4f)
                lineTo(95.4f, 392.0f)
                horizontalLineToRelative(-8.2f)
                verticalLineToRelative(36.7f)
                horizontalLineToRelative(8.2f)
                curveToRelative(0.0f, -18.9f, -2.5f, -30.2f, 9.0f, -30.2f)
                curveToRelative(10.2f, 0.0f, 8.2f, 10.2f, 8.2f, 30.2f)
                horizontalLineToRelative(7.9f)
                curveToRelative(0.0f, -18.3f, -2.5f, -30.2f, 9.0f, -30.2f)
                curveToRelative(10.2f, 0.0f, 8.2f, 10.0f, 8.2f, 30.2f)
                horizontalLineToRelative(8.2f)
                verticalLineToRelative(-23.0f)
                close()
                moveTo(190.6f, 392.0f)
                horizontalLineToRelative(-7.9f)
                verticalLineToRelative(4.4f)
                curveToRelative(-2.7f, -3.3f, -6.5f, -5.4f, -11.7f, -5.4f)
                curveToRelative(-10.3f, 0.0f, -18.2f, 8.2f, -18.2f, 19.3f)
                curveToRelative(0.0f, 11.2f, 7.9f, 19.3f, 18.2f, 19.3f)
                curveToRelative(5.2f, 0.0f, 9.0f, -1.9f, 11.7f, -5.4f)
                verticalLineToRelative(4.6f)
                horizontalLineToRelative(7.9f)
                lineTo(190.6f, 392.0f)
                close()
                moveTo(231.1f, 417.6f)
                curveToRelative(0.0f, -15.0f, -22.9f, -8.2f, -22.9f, -15.2f)
                curveToRelative(0.0f, -5.7f, 11.9f, -4.8f, 18.5f, -1.1f)
                lineToRelative(3.3f, -6.5f)
                curveToRelative(-9.4f, -6.1f, -30.2f, -6.0f, -30.2f, 8.2f)
                curveToRelative(0.0f, 14.3f, 22.9f, 8.3f, 22.9f, 15.0f)
                curveToRelative(0.0f, 6.3f, -13.5f, 5.8f, -20.7f, 0.8f)
                lineToRelative(-3.5f, 6.3f)
                curveToRelative(11.2f, 7.6f, 32.6f, 6.0f, 32.6f, -7.5f)
                close()
                moveTo(266.5f, 426.9f)
                lineToRelative(-2.2f, -6.8f)
                curveToRelative(-3.8f, 2.1f, -12.2f, 4.4f, -12.2f, -4.1f)
                verticalLineToRelative(-16.6f)
                horizontalLineToRelative(13.1f)
                lineTo(265.2f, 392.0f)
                horizontalLineToRelative(-13.1f)
                verticalLineToRelative(-11.2f)
                horizontalLineToRelative(-8.2f)
                lineTo(243.9f, 392.0f)
                horizontalLineToRelative(-7.6f)
                verticalLineToRelative(7.3f)
                horizontalLineToRelative(7.6f)
                lineTo(243.9f, 416.0f)
                curveToRelative(0.0f, 17.6f, 17.3f, 14.4f, 22.6f, 10.9f)
                close()
                moveTo(279.8f, 413.5f)
                horizontalLineToRelative(27.5f)
                curveToRelative(0.0f, -16.2f, -7.4f, -22.6f, -17.4f, -22.6f)
                curveToRelative(-10.6f, 0.0f, -18.2f, 7.9f, -18.2f, 19.3f)
                curveToRelative(0.0f, 20.5f, 22.6f, 23.9f, 33.8f, 14.2f)
                lineToRelative(-3.8f, -6.0f)
                curveToRelative(-7.8f, 6.4f, -19.6f, 5.8f, -21.9f, -4.9f)
                close()
                moveTo(338.9f, 392.0f)
                curveToRelative(-4.6f, -2.0f, -11.6f, -1.8f, -15.2f, 4.4f)
                lineTo(323.7f, 392.0f)
                horizontalLineToRelative(-8.2f)
                verticalLineToRelative(36.7f)
                horizontalLineToRelative(8.2f)
                lineTo(323.7f, 408.0f)
                curveToRelative(0.0f, -11.6f, 9.5f, -10.1f, 12.8f, -8.4f)
                lineToRelative(2.4f, -7.6f)
                close()
                moveTo(349.5f, 410.3f)
                curveToRelative(0.0f, -11.4f, 11.6f, -15.1f, 20.7f, -8.4f)
                lineToRelative(3.8f, -6.5f)
                curveToRelative(-11.6f, -9.1f, -32.7f, -4.1f, -32.7f, 15.0f)
                curveToRelative(0.0f, 19.8f, 22.4f, 23.8f, 32.7f, 15.0f)
                lineToRelative(-3.8f, -6.5f)
                curveToRelative(-9.2f, 6.5f, -20.7f, 2.6f, -20.7f, -8.6f)
                close()
                moveTo(416.2f, 392.0f)
                lineTo(408.0f, 392.0f)
                verticalLineToRelative(4.4f)
                curveToRelative(-8.3f, -11.0f, -29.9f, -4.8f, -29.9f, 13.9f)
                curveToRelative(0.0f, 19.2f, 22.4f, 24.7f, 29.9f, 13.9f)
                verticalLineToRelative(4.6f)
                horizontalLineToRelative(8.2f)
                lineTo(416.2f, 392.0f)
                close()
                moveTo(449.9f, 392.0f)
                curveToRelative(-2.4f, -1.2f, -11.0f, -2.9f, -15.2f, 4.4f)
                lineTo(434.7f, 392.0f)
                horizontalLineToRelative(-7.9f)
                verticalLineToRelative(36.7f)
                horizontalLineToRelative(7.9f)
                lineTo(434.7f, 408.0f)
                curveToRelative(0.0f, -11.0f, 9.0f, -10.3f, 12.8f, -8.4f)
                lineToRelative(2.4f, -7.6f)
                close()
                moveTo(490.2f, 377.1f)
                horizontalLineToRelative(-7.9f)
                verticalLineToRelative(19.3f)
                curveToRelative(-8.2f, -10.9f, -29.9f, -5.1f, -29.9f, 13.9f)
                curveToRelative(0.0f, 19.4f, 22.5f, 24.6f, 29.9f, 13.9f)
                verticalLineToRelative(4.6f)
                horizontalLineToRelative(7.9f)
                verticalLineToRelative(-51.7f)
                close()
                moveTo(497.8f, 302.0f)
                verticalLineToRelative(4.6f)
                horizontalLineToRelative(0.8f)
                lineTo(498.6f, 302.0f)
                horizontalLineToRelative(1.9f)
                verticalLineToRelative(-0.8f)
                horizontalLineToRelative(-4.6f)
                verticalLineToRelative(0.8f)
                horizontalLineToRelative(1.9f)
                close()
                moveTo(504.4f, 425.8f)
                curveToRelative(0.0f, -0.5f, 0.0f, -1.1f, -0.3f, -1.6f)
                curveToRelative(-0.3f, -0.3f, -0.5f, -0.8f, -0.8f, -1.1f)
                curveToRelative(-0.3f, -0.3f, -0.8f, -0.5f, -1.1f, -0.8f)
                curveToRelative(-0.5f, 0.0f, -1.1f, -0.3f, -1.6f, -0.3f)
                curveToRelative(-0.3f, 0.0f, -0.8f, 0.3f, -1.4f, 0.3f)
                curveToRelative(-0.5f, 0.3f, -0.8f, 0.5f, -1.1f, 0.8f)
                curveToRelative(-0.5f, 0.3f, -0.8f, 0.8f, -0.8f, 1.1f)
                curveToRelative(-0.3f, 0.5f, -0.3f, 1.1f, -0.3f, 1.6f)
                curveToRelative(0.0f, 0.3f, 0.0f, 0.8f, 0.3f, 1.4f)
                curveToRelative(0.0f, 0.3f, 0.3f, 0.8f, 0.8f, 1.1f)
                curveToRelative(0.3f, 0.3f, 0.5f, 0.5f, 1.1f, 0.8f)
                curveToRelative(0.5f, 0.3f, 1.1f, 0.3f, 1.4f, 0.3f)
                curveToRelative(0.5f, 0.0f, 1.1f, 0.0f, 1.6f, -0.3f)
                curveToRelative(0.3f, -0.3f, 0.8f, -0.5f, 1.1f, -0.8f)
                curveToRelative(0.3f, -0.3f, 0.5f, -0.8f, 0.8f, -1.1f)
                curveToRelative(0.3f, -0.6f, 0.3f, -1.1f, 0.3f, -1.4f)
                close()
                moveTo(507.6f, 301.1f)
                horizontalLineToRelative(-1.4f)
                lineToRelative(-1.6f, 3.5f)
                lineToRelative(-1.6f, -3.5f)
                horizontalLineToRelative(-1.4f)
                verticalLineToRelative(5.4f)
                horizontalLineToRelative(0.8f)
                verticalLineToRelative(-4.1f)
                lineToRelative(1.6f, 3.5f)
                horizontalLineToRelative(1.1f)
                lineToRelative(1.4f, -3.5f)
                verticalLineToRelative(4.1f)
                horizontalLineToRelative(1.1f)
                verticalLineToRelative(-5.4f)
                close()
                moveTo(512.0f, 220.6f)
                curveToRelative(0.0f, -76.2f, -62.1f, -138.3f, -138.5f, -138.3f)
                curveToRelative(-27.2f, 0.0f, -53.9f, 8.2f, -76.5f, 23.1f)
                curveToRelative(72.1f, 59.3f, 73.2f, 171.5f, 0.0f, 230.5f)
                curveToRelative(22.6f, 15.0f, 49.5f, 23.1f, 76.5f, 23.1f)
                curveToRelative(76.4f, 0.1f, 138.5f, -61.9f, 138.5f, -138.4f)
                close()
            }
        }
        .build()
        return _ccMastercard!!
    }

private var _ccMastercard: ImageVector? = null
