package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcPaypal: ImageVector
    get() {
        if (_ccPaypal != null) {
            return _ccPaypal!!
        }
        _ccPaypal = Builder(name = "CcPaypal", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(186.3f, 258.2f)
                curveToRelative(0.0f, 12.2f, -9.7f, 21.5f, -22.0f, 21.5f)
                curveToRelative(-9.2f, 0.0f, -16.0f, -5.2f, -16.0f, -15.0f)
                curveToRelative(0.0f, -12.2f, 9.5f, -22.0f, 21.7f, -22.0f)
                curveToRelative(9.3f, 0.0f, 16.3f, 5.7f, 16.3f, 15.5f)
                close()
                moveTo(80.5f, 209.7f)
                horizontalLineToRelative(-4.7f)
                curveToRelative(-1.5f, 0.0f, -3.0f, 1.0f, -3.2f, 2.7f)
                lineToRelative(-4.3f, 26.7f)
                lineToRelative(8.2f, -0.3f)
                curveToRelative(11.0f, 0.0f, 19.5f, -1.5f, 21.5f, -14.2f)
                curveToRelative(2.3f, -13.4f, -6.2f, -14.9f, -17.5f, -14.9f)
                close()
                moveTo(364.5f, 209.7f)
                lineTo(360.0f, 209.7f)
                curveToRelative(-1.8f, 0.0f, -3.0f, 1.0f, -3.2f, 2.7f)
                lineToRelative(-4.2f, 26.7f)
                lineToRelative(8.0f, -0.3f)
                curveToRelative(13.0f, 0.0f, 22.0f, -3.0f, 22.0f, -18.0f)
                curveToRelative(-0.1f, -10.6f, -9.6f, -11.1f, -18.1f, -11.1f)
                close()
                moveTo(576.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, -21.5f, 48.0f, -48.0f, 48.0f)
                lineTo(48.0f, 480.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                lineTo(0.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                close()
                moveTo(128.3f, 215.4f)
                curveToRelative(0.0f, -21.0f, -16.2f, -28.0f, -34.7f, -28.0f)
                horizontalLineToRelative(-40.0f)
                curveToRelative(-2.5f, 0.0f, -5.0f, 2.0f, -5.2f, 4.7f)
                lineTo(32.0f, 294.2f)
                curveToRelative(-0.3f, 2.0f, 1.2f, 4.0f, 3.2f, 4.0f)
                horizontalLineToRelative(19.0f)
                curveToRelative(2.7f, 0.0f, 5.2f, -2.9f, 5.5f, -5.7f)
                lineToRelative(4.5f, -26.6f)
                curveToRelative(1.0f, -7.2f, 13.2f, -4.7f, 18.0f, -4.7f)
                curveToRelative(28.6f, 0.0f, 46.1f, -17.0f, 46.1f, -45.8f)
                close()
                moveTo(212.5f, 224.2f)
                horizontalLineToRelative(-19.0f)
                curveToRelative(-3.8f, 0.0f, -4.0f, 5.5f, -4.2f, 8.2f)
                curveToRelative(-5.8f, -8.5f, -14.2f, -10.0f, -23.7f, -10.0f)
                curveToRelative(-24.5f, 0.0f, -43.2f, 21.5f, -43.2f, 45.2f)
                curveToRelative(0.0f, 19.5f, 12.2f, 32.2f, 31.7f, 32.2f)
                curveToRelative(9.0f, 0.0f, 20.2f, -4.9f, 26.5f, -11.9f)
                curveToRelative(-0.5f, 1.5f, -1.0f, 4.7f, -1.0f, 6.2f)
                curveToRelative(0.0f, 2.3f, 1.0f, 4.0f, 3.2f, 4.0f)
                lineTo(200.0f, 298.1f)
                curveToRelative(2.7f, 0.0f, 5.0f, -2.9f, 5.5f, -5.7f)
                lineToRelative(10.2f, -64.3f)
                curveToRelative(0.3f, -1.9f, -1.2f, -3.9f, -3.2f, -3.9f)
                close()
                moveTo(253.0f, 322.1f)
                lineToRelative(63.7f, -92.6f)
                curveToRelative(0.5f, -0.5f, 0.5f, -1.0f, 0.5f, -1.7f)
                curveToRelative(0.0f, -1.7f, -1.5f, -3.5f, -3.2f, -3.5f)
                horizontalLineToRelative(-19.2f)
                curveToRelative(-1.7f, 0.0f, -3.5f, 1.0f, -4.5f, 2.5f)
                lineToRelative(-26.5f, 39.0f)
                lineToRelative(-11.0f, -37.5f)
                curveToRelative(-0.8f, -2.2f, -3.0f, -4.0f, -5.5f, -4.0f)
                horizontalLineToRelative(-18.7f)
                curveToRelative(-1.7f, 0.0f, -3.2f, 1.8f, -3.2f, 3.5f)
                curveToRelative(0.0f, 1.2f, 19.5f, 56.8f, 21.2f, 62.1f)
                curveToRelative(-2.7f, 3.8f, -20.5f, 28.6f, -20.5f, 31.6f)
                curveToRelative(0.0f, 1.8f, 1.5f, 3.2f, 3.2f, 3.2f)
                horizontalLineToRelative(19.2f)
                curveToRelative(1.8f, -0.1f, 3.5f, -1.1f, 4.5f, -2.6f)
                close()
                moveTo(412.3f, 215.4f)
                curveToRelative(0.0f, -21.0f, -16.2f, -28.0f, -34.7f, -28.0f)
                horizontalLineToRelative(-39.7f)
                curveToRelative(-2.7f, 0.0f, -5.2f, 2.0f, -5.5f, 4.7f)
                lineToRelative(-16.2f, 102.0f)
                curveToRelative(-0.2f, 2.0f, 1.3f, 4.0f, 3.2f, 4.0f)
                horizontalLineToRelative(20.5f)
                curveToRelative(2.0f, 0.0f, 3.5f, -1.5f, 4.0f, -3.2f)
                lineToRelative(4.5f, -29.0f)
                curveToRelative(1.0f, -7.2f, 13.2f, -4.7f, 18.0f, -4.7f)
                curveToRelative(28.4f, 0.0f, 45.9f, -17.0f, 45.9f, -45.8f)
                close()
                moveTo(496.5f, 224.2f)
                horizontalLineToRelative(-19.0f)
                curveToRelative(-3.8f, 0.0f, -4.0f, 5.5f, -4.3f, 8.2f)
                curveToRelative(-5.5f, -8.5f, -14.0f, -10.0f, -23.7f, -10.0f)
                curveToRelative(-24.5f, 0.0f, -43.2f, 21.5f, -43.2f, 45.2f)
                curveToRelative(0.0f, 19.5f, 12.2f, 32.2f, 31.7f, 32.2f)
                curveToRelative(9.3f, 0.0f, 20.5f, -4.9f, 26.5f, -11.9f)
                curveToRelative(-0.3f, 1.5f, -1.0f, 4.7f, -1.0f, 6.2f)
                curveToRelative(0.0f, 2.3f, 1.0f, 4.0f, 3.2f, 4.0f)
                lineTo(484.0f, 298.1f)
                curveToRelative(2.7f, 0.0f, 5.0f, -2.9f, 5.5f, -5.7f)
                lineToRelative(10.2f, -64.3f)
                curveToRelative(0.3f, -1.9f, -1.2f, -3.9f, -3.2f, -3.9f)
                close()
                moveTo(544.0f, 190.9f)
                curveToRelative(0.0f, -2.0f, -1.5f, -3.5f, -3.2f, -3.5f)
                horizontalLineToRelative(-18.5f)
                curveToRelative(-1.5f, 0.0f, -3.0f, 1.2f, -3.2f, 2.7f)
                lineToRelative(-16.2f, 104.0f)
                lineToRelative(-0.3f, 0.5f)
                curveToRelative(0.0f, 1.8f, 1.5f, 3.5f, 3.5f, 3.5f)
                horizontalLineToRelative(16.5f)
                curveToRelative(2.5f, 0.0f, 5.0f, -2.9f, 5.2f, -5.7f)
                lineTo(544.0f, 191.2f)
                verticalLineToRelative(-0.3f)
                close()
                moveTo(454.0f, 242.7f)
                curveToRelative(-12.2f, 0.0f, -21.7f, 9.7f, -21.7f, 22.0f)
                curveToRelative(0.0f, 9.7f, 7.0f, 15.0f, 16.2f, 15.0f)
                curveToRelative(12.0f, 0.0f, 21.7f, -9.2f, 21.7f, -21.5f)
                curveToRelative(0.1f, -9.8f, -6.9f, -15.5f, -16.2f, -15.5f)
                close()
            }
        }
        .build()
        return _ccPaypal!!
    }

private var _ccPaypal: ImageVector? = null
