package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcStripe: ImageVector
    get() {
        if (_ccStripe != null) {
            return _ccStripe!!
        }
        _ccStripe = Builder(name = "CcStripe", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(492.4f, 220.8f)
                curveToRelative(-8.9f, 0.0f, -18.7f, 6.7f, -18.7f, 22.7f)
                horizontalLineToRelative(36.7f)
                curveToRelative(0.0f, -16.0f, -9.3f, -22.7f, -18.0f, -22.7f)
                close()
                moveTo(375.0f, 223.4f)
                curveToRelative(-8.2f, 0.0f, -13.3f, 2.9f, -17.0f, 7.0f)
                lineToRelative(0.2f, 52.8f)
                curveToRelative(3.5f, 3.7f, 8.5f, 6.7f, 16.8f, 6.7f)
                curveToRelative(13.1f, 0.0f, 21.9f, -14.3f, 21.9f, -33.4f)
                curveToRelative(0.0f, -18.6f, -9.0f, -33.2f, -21.9f, -33.1f)
                close()
                moveTo(528.0f, 32.0f)
                lineTo(48.0f, 32.0f)
                curveTo(21.5f, 32.0f, 0.0f, 53.5f, 0.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                lineTo(576.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, -21.5f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(122.2f, 281.1f)
                curveToRelative(0.0f, 25.6f, -20.3f, 40.1f, -49.9f, 40.3f)
                curveToRelative(-12.2f, 0.0f, -25.6f, -2.4f, -38.8f, -8.1f)
                verticalLineToRelative(-33.9f)
                curveToRelative(12.0f, 6.4f, 27.1f, 11.3f, 38.9f, 11.3f)
                curveToRelative(7.9f, 0.0f, 13.6f, -2.1f, 13.6f, -8.7f)
                curveToRelative(0.0f, -17.0f, -54.0f, -10.6f, -54.0f, -49.9f)
                curveToRelative(0.0f, -25.2f, 19.2f, -40.2f, 48.0f, -40.2f)
                curveToRelative(11.8f, 0.0f, 23.5f, 1.8f, 35.3f, 6.5f)
                verticalLineToRelative(33.4f)
                curveToRelative(-10.8f, -5.8f, -24.5f, -9.1f, -35.3f, -9.1f)
                curveToRelative(-7.5f, 0.0f, -12.1f, 2.2f, -12.1f, 7.7f)
                curveToRelative(0.0f, 16.0f, 54.3f, 8.4f, 54.3f, 50.7f)
                close()
                moveTo(191.0f, 224.5f)
                horizontalLineToRelative(-27.0f)
                lineTo(164.0f, 275.0f)
                curveToRelative(0.0f, 20.9f, 22.5f, 14.4f, 27.0f, 12.6f)
                verticalLineToRelative(28.9f)
                curveToRelative(-4.7f, 2.6f, -13.3f, 4.7f, -24.9f, 4.7f)
                curveToRelative(-21.1f, 0.0f, -36.9f, -15.5f, -36.9f, -36.5f)
                lineToRelative(0.2f, -113.9f)
                lineToRelative(34.7f, -7.4f)
                verticalLineToRelative(30.8f)
                lineTo(191.0f, 194.2f)
                close()
                moveTo(265.0f, 226.9f)
                curveToRelative(-4.5f, -1.5f, -18.7f, -3.6f, -27.1f, 7.4f)
                verticalLineToRelative(84.4f)
                horizontalLineToRelative(-35.5f)
                lineTo(202.4f, 194.2f)
                horizontalLineToRelative(30.7f)
                lineToRelative(2.2f, 10.5f)
                curveToRelative(8.3f, -15.3f, 24.9f, -12.2f, 29.6f, -10.5f)
                horizontalLineToRelative(0.1f)
                close()
                moveTo(309.1f, 318.7f)
                horizontalLineToRelative(-35.7f)
                lineTo(273.4f, 194.2f)
                horizontalLineToRelative(35.7f)
                close()
                moveTo(309.1f, 175.8f)
                lineToRelative(-35.7f, 7.6f)
                verticalLineToRelative(-28.9f)
                lineToRelative(35.7f, -7.6f)
                close()
                moveTo(383.2f, 321.3f)
                curveToRelative(-12.4f, 0.0f, -20.0f, -5.3f, -25.1f, -9.0f)
                lineToRelative(-0.1f, 40.2f)
                lineToRelative(-35.5f, 7.5f)
                lineTo(322.5f, 194.2f)
                horizontalLineToRelative(31.3f)
                lineToRelative(1.8f, 8.8f)
                curveToRelative(4.9f, -4.5f, 13.9f, -11.1f, 27.8f, -11.1f)
                curveToRelative(24.9f, 0.0f, 48.4f, 22.5f, 48.4f, 63.8f)
                curveToRelative(0.0f, 45.1f, -23.2f, 65.5f, -48.6f, 65.6f)
                close()
                moveTo(543.6f, 269.8f)
                horizontalLineToRelative(-69.5f)
                curveToRelative(1.6f, 16.6f, 13.8f, 21.5f, 27.6f, 21.5f)
                curveToRelative(14.1f, 0.0f, 25.2f, -3.0f, 34.9f, -7.9f)
                lineTo(536.6f, 312.0f)
                curveToRelative(-9.7f, 5.3f, -22.4f, 9.2f, -39.4f, 9.2f)
                curveToRelative(-34.6f, 0.0f, -58.8f, -21.7f, -58.8f, -64.5f)
                curveToRelative(0.0f, -36.2f, 20.5f, -64.9f, 54.3f, -64.9f)
                curveToRelative(33.7f, 0.0f, 51.3f, 28.7f, 51.3f, 65.1f)
                curveToRelative(0.0f, 3.5f, -0.3f, 10.9f, -0.4f, 12.9f)
                close()
            }
        }
        .build()
        return _ccStripe!!
    }

private var _ccStripe: ImageVector? = null
