package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CcVisa: ImageVector
    get() {
        if (_ccVisa != null) {
            return _ccVisa!!
        }
        _ccVisa = Builder(name = "CcVisa", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(470.1f, 231.3f)
                reflectiveCurveToRelative(7.6f, 37.2f, 9.3f, 45.0f)
                lineTo(446.0f, 276.3f)
                curveToRelative(3.3f, -8.9f, 16.0f, -43.5f, 16.0f, -43.5f)
                curveToRelative(-0.2f, 0.3f, 3.3f, -9.1f, 5.3f, -14.9f)
                lineToRelative(2.8f, 13.4f)
                close()
                moveTo(576.0f, 80.0f)
                verticalLineToRelative(352.0f)
                curveToRelative(0.0f, 26.5f, -21.5f, 48.0f, -48.0f, 48.0f)
                lineTo(48.0f, 480.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                lineTo(0.0f, 80.0f)
                curveToRelative(0.0f, -26.5f, 21.5f, -48.0f, 48.0f, -48.0f)
                horizontalLineToRelative(480.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, 21.5f, 48.0f, 48.0f)
                close()
                moveTo(152.5f, 331.2f)
                lineTo(215.7f, 176.0f)
                horizontalLineToRelative(-42.5f)
                lineToRelative(-39.3f, 106.0f)
                lineToRelative(-4.3f, -21.5f)
                lineToRelative(-14.0f, -71.4f)
                curveToRelative(-2.3f, -9.9f, -9.4f, -12.7f, -18.2f, -13.1f)
                lineTo(32.7f, 176.0f)
                lineToRelative(-0.7f, 3.1f)
                curveToRelative(15.8f, 4.0f, 29.9f, 9.8f, 42.2f, 17.1f)
                lineToRelative(35.8f, 135.0f)
                horizontalLineToRelative(42.5f)
                close()
                moveTo(246.9f, 331.4f)
                lineTo(272.1f, 176.0f)
                horizontalLineToRelative(-40.2f)
                lineToRelative(-25.1f, 155.4f)
                horizontalLineToRelative(40.1f)
                close()
                moveTo(386.8f, 280.6f)
                curveToRelative(0.2f, -17.7f, -10.6f, -31.2f, -33.7f, -42.3f)
                curveToRelative(-14.1f, -7.1f, -22.7f, -11.9f, -22.7f, -19.2f)
                curveToRelative(0.2f, -6.6f, 7.3f, -13.4f, 23.1f, -13.4f)
                curveToRelative(13.1f, -0.3f, 22.7f, 2.8f, 29.9f, 5.9f)
                lineToRelative(3.6f, 1.7f)
                lineToRelative(5.5f, -33.6f)
                curveToRelative(-7.9f, -3.1f, -20.5f, -6.6f, -36.0f, -6.6f)
                curveToRelative(-39.7f, 0.0f, -67.6f, 21.2f, -67.8f, 51.4f)
                curveToRelative(-0.3f, 22.3f, 20.0f, 34.7f, 35.2f, 42.2f)
                curveToRelative(15.5f, 7.6f, 20.8f, 12.6f, 20.8f, 19.3f)
                curveToRelative(-0.2f, 10.4f, -12.6f, 15.2f, -24.1f, 15.2f)
                curveToRelative(-16.0f, 0.0f, -24.6f, -2.5f, -37.7f, -8.3f)
                lineToRelative(-5.3f, -2.5f)
                lineToRelative(-5.6f, 34.9f)
                curveToRelative(9.4f, 4.3f, 26.8f, 8.1f, 44.8f, 8.3f)
                curveToRelative(42.2f, 0.1f, 69.7f, -20.8f, 70.0f, -53.0f)
                close()
                moveTo(528.0f, 331.4f)
                lineTo(495.6f, 176.0f)
                horizontalLineToRelative(-31.1f)
                curveToRelative(-9.6f, 0.0f, -16.9f, 2.8f, -21.0f, 12.9f)
                lineToRelative(-59.7f, 142.5f)
                lineTo(426.0f, 331.4f)
                reflectiveCurveToRelative(6.9f, -19.2f, 8.4f, -23.3f)
                lineTo(486.0f, 308.1f)
                curveToRelative(1.2f, 5.5f, 4.8f, 23.3f, 4.8f, 23.3f)
                lineTo(528.0f, 331.4f)
                close()
            }
        }
        .build()
        return _ccVisa!!
    }

private var _ccVisa: ImageVector? = null
