package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Cloudflare: ImageVector
    get() {
        if (_cloudflare != null) {
            return _cloudflare!!
        }
        _cloudflare = Builder(name = "Cloudflare", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(407.906f, 319.913f)
                lineToRelative(-230.8f, -2.928f)
                arcToRelative(4.58f, 4.58f, 0.0f, false, true, -3.632f, -1.926f)
                arcToRelative(4.648f, 4.648f, 0.0f, false, true, -0.494f, -4.147f)
                arcToRelative(6.143f, 6.143f, 0.0f, false, true, 5.361f, -4.076f)
                lineTo(411.281f, 303.9f)
                curveToRelative(27.631f, -1.26f, 57.546f, -23.574f, 68.022f, -50.784f)
                lineToRelative(13.286f, -34.542f)
                arcToRelative(7.944f, 7.944f, 0.0f, false, false, 0.524f, -2.936f)
                arcToRelative(7.735f, 7.735f, 0.0f, false, false, -0.164f, -1.631f)
                arcTo(151.91f, 151.91f, 0.0f, false, false, 201.257f, 198.4f)
                arcTo(68.12f, 68.12f, 0.0f, false, false, 94.2f, 269.59f)
                curveTo(41.924f, 271.106f, 0.0f, 313.728f, 0.0f, 366.12f)
                arcToRelative(96.054f, 96.054f, 0.0f, false, false, 1.029f, 13.958f)
                arcToRelative(4.508f, 4.508f, 0.0f, false, false, 4.445f, 3.871f)
                lineToRelative(426.1f, 0.051f)
                curveToRelative(0.043f, 0.0f, 0.08f, -0.019f, 0.122f, -0.02f)
                arcToRelative(5.606f, 5.606f, 0.0f, false, false, 5.271f, -4.0f)
                lineToRelative(3.273f, -11.265f)
                curveToRelative(3.9f, -13.4f, 2.448f, -25.8f, -4.1f, -34.9f)
                curveTo(430.124f, 325.423f, 420.09f, 320.487f, 407.906f, 319.913f)
                close()
                moveTo(513.856f, 221.1f)
                curveToRelative(-2.141f, 0.0f, -4.271f, 0.062f, -6.391f, 0.164f)
                arcToRelative(3.771f, 3.771f, 0.0f, false, false, -3.324f, 2.653f)
                lineToRelative(-9.077f, 31.193f)
                curveToRelative(-3.9f, 13.4f, -2.449f, 25.786f, 4.1f, 34.89f)
                curveToRelative(6.02f, 8.4f, 16.054f, 13.323f, 28.238f, 13.9f)
                lineToRelative(49.2f, 2.939f)
                arcToRelative(4.491f, 4.491f, 0.0f, false, true, 3.51f, 1.894f)
                arcToRelative(4.64f, 4.64f, 0.0f, false, true, 0.514f, 4.169f)
                arcToRelative(6.153f, 6.153f, 0.0f, false, true, -5.351f, 4.075f)
                lineToRelative(-51.125f, 2.939f)
                curveToRelative(-27.754f, 1.27f, -57.669f, 23.574f, -68.145f, 50.784f)
                lineToRelative(-3.695f, 9.606f)
                arcToRelative(2.716f, 2.716f, 0.0f, false, false, 2.427f, 3.68f)
                curveToRelative(0.046f, 0.0f, 0.088f, 0.017f, 0.136f, 0.017f)
                horizontalLineToRelative(175.91f)
                arcToRelative(4.69f, 4.69f, 0.0f, false, false, 4.539f, -3.37f)
                arcToRelative(124.807f, 124.807f, 0.0f, false, false, 4.682f, -34.0f)
                curveTo(640.0f, 277.3f, 583.524f, 221.1f, 513.856f, 221.1f)
                close()
            }
        }
        .build()
        return _cloudflare!!
    }

private var _cloudflare: ImageVector? = null
