package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CreativeCommonsSampling: ImageVector
    get() {
        if (_creativeCommonsSampling != null) {
            return _creativeCommonsSampling!!
        }
        _creativeCommonsSampling = Builder(name = "CreativeCommonsSampling", defaultWidth =
                496.0.dp, defaultHeight = 512.0.dp, viewportWidth = 496.0f, viewportHeight =
                512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(247.6f, 8.0f)
                curveTo(389.4f, 8.0f, 496.0f, 118.1f, 496.0f, 256.0f)
                curveToRelative(0.0f, 147.1f, -118.5f, 248.0f, -248.4f, 248.0f)
                curveTo(113.6f, 504.0f, 0.0f, 394.5f, 0.0f, 256.0f)
                curveTo(0.0f, 123.1f, 104.7f, 8.0f, 247.6f, 8.0f)
                close()
                moveTo(248.4f, 52.7f)
                curveTo(130.2f, 52.7f, 44.7f, 150.6f, 44.7f, 256.0f)
                curveToRelative(0.0f, 109.8f, 91.2f, 202.8f, 203.7f, 202.8f)
                curveToRelative(103.2f, 0.0f, 202.8f, -81.1f, 202.8f, -202.8f)
                curveToRelative(0.1f, -113.8f, -90.2f, -203.3f, -202.8f, -203.3f)
                close()
                moveTo(252.0f, 105.9f)
                curveToRelative(2.8f, -0.3f, 11.5f, 1.0f, 11.5f, 11.5f)
                lineToRelative(6.6f, 107.2f)
                lineToRelative(4.9f, -59.3f)
                curveToRelative(0.0f, -6.0f, 4.7f, -10.6f, 10.6f, -10.6f)
                curveToRelative(5.9f, 0.0f, 10.6f, 4.7f, 10.6f, 10.6f)
                curveToRelative(0.0f, 2.5f, -0.5f, -5.7f, 5.7f, 81.5f)
                lineToRelative(5.8f, -64.2f)
                curveToRelative(0.3f, -2.9f, 2.9f, -9.3f, 10.2f, -9.3f)
                curveToRelative(3.8f, 0.0f, 9.9f, 2.3f, 10.6f, 8.9f)
                lineToRelative(11.5f, 96.5f)
                lineToRelative(5.3f, -12.8f)
                curveToRelative(1.8f, -4.4f, 5.2f, -6.6f, 10.2f, -6.6f)
                horizontalLineToRelative(58.0f)
                verticalLineToRelative(21.3f)
                horizontalLineToRelative(-50.9f)
                lineToRelative(-18.2f, 44.3f)
                curveToRelative(-3.9f, 9.9f, -19.5f, 9.1f, -20.8f, -3.1f)
                lineToRelative(-4.0f, -31.9f)
                lineToRelative(-7.5f, 92.6f)
                curveToRelative(-0.3f, 3.0f, -3.0f, 9.3f, -10.2f, 9.3f)
                curveToRelative(-3.0f, 0.0f, -9.8f, -2.1f, -10.6f, -9.3f)
                curveToRelative(0.0f, -1.9f, 0.6f, 5.8f, -6.2f, -77.9f)
                lineToRelative(-5.3f, 72.2f)
                curveToRelative(-1.1f, 4.8f, -4.8f, 9.3f, -10.6f, 9.3f)
                curveToRelative(-2.9f, 0.0f, -9.8f, -2.0f, -10.6f, -9.3f)
                curveToRelative(0.0f, -1.9f, 0.5f, 6.7f, -5.8f, -87.7f)
                lineToRelative(-5.8f, 94.8f)
                curveToRelative(0.0f, 6.3f, -3.6f, 12.4f, -10.6f, 12.4f)
                curveToRelative(-5.2f, 0.0f, -10.6f, -4.1f, -10.6f, -12.0f)
                lineToRelative(-5.8f, -87.7f)
                curveToRelative(-5.8f, 92.5f, -5.3f, 84.0f, -5.3f, 85.9f)
                curveToRelative(-1.1f, 4.8f, -4.8f, 9.3f, -10.6f, 9.3f)
                curveToRelative(-3.0f, 0.0f, -9.8f, -2.1f, -10.6f, -9.3f)
                curveToRelative(0.0f, -0.7f, -0.4f, -1.1f, -0.4f, -2.6f)
                lineToRelative(-6.2f, -88.6f)
                lineTo(182.0f, 348.0f)
                curveToRelative(-0.7f, 6.5f, -6.7f, 9.3f, -10.6f, 9.3f)
                curveToRelative(-5.8f, 0.0f, -9.6f, -4.1f, -10.6f, -8.9f)
                lineTo(149.7f, 272.0f)
                curveToRelative(-2.0f, 4.0f, -3.5f, 8.4f, -11.1f, 8.4f)
                lineTo(87.2f, 280.4f)
                verticalLineToRelative(-21.3f)
                lineTo(132.0f, 259.1f)
                lineToRelative(13.7f, -27.9f)
                curveToRelative(4.4f, -9.9f, 18.2f, -7.2f, 19.9f, 2.7f)
                lineToRelative(3.1f, 20.4f)
                lineToRelative(8.4f, -97.9f)
                curveToRelative(0.0f, -6.0f, 4.8f, -10.6f, 10.6f, -10.6f)
                curveToRelative(0.5f, 0.0f, 10.6f, -0.2f, 10.6f, 12.4f)
                lineToRelative(4.9f, 69.1f)
                lineToRelative(6.6f, -92.6f)
                curveToRelative(0.0f, -10.1f, 9.5f, -10.6f, 10.2f, -10.6f)
                curveToRelative(0.6f, 0.0f, 10.6f, 0.7f, 10.6f, 10.6f)
                lineToRelative(5.3f, 80.6f)
                lineToRelative(6.2f, -97.9f)
                curveToRelative(0.1f, -1.1f, -0.6f, -10.3f, 9.9f, -11.5f)
                close()
            }
        }
        .build()
        return _creativeCommonsSampling!!
    }

private var _creativeCommonsSampling: ImageVector? = null
