package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CreativeCommonsSamplingPlus: ImageVector
    get() {
        if (_creativeCommonsSamplingPlus != null) {
            return _creativeCommonsSamplingPlus!!
        }
        _creativeCommonsSamplingPlus = Builder(name = "CreativeCommonsSamplingPlus", defaultWidth =
                496.0.dp, defaultHeight = 512.0.dp, viewportWidth = 496.0f, viewportHeight =
                512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(247.6f, 8.0f)
                curveTo(389.4f, 8.0f, 496.0f, 118.1f, 496.0f, 256.0f)
                curveToRelative(0.0f, 147.1f, -118.5f, 248.0f, -248.4f, 248.0f)
                curveTo(113.6f, 504.0f, 0.0f, 394.5f, 0.0f, 256.0f)
                curveTo(0.0f, 123.1f, 104.7f, 8.0f, 247.6f, 8.0f)
                close()
                moveTo(248.4f, 52.7f)
                curveTo(130.2f, 52.7f, 44.7f, 150.6f, 44.7f, 256.0f)
                curveToRelative(0.0f, 109.8f, 91.2f, 202.8f, 203.7f, 202.8f)
                curveToRelative(103.2f, 0.0f, 202.8f, -81.1f, 202.8f, -202.8f)
                curveToRelative(0.1f, -113.8f, -90.2f, -203.3f, -202.8f, -203.3f)
                close()
                moveTo(355.4f, 258.3f)
                curveToRelative(-4.7f, 0.0f, -9.0f, 2.8f, -10.7f, 7.2f)
                lineToRelative(-4.0f, 9.5f)
                lineToRelative(-11.0f, -92.8f)
                curveToRelative(-1.7f, -13.9f, -22.0f, -13.4f, -23.1f, 0.4f)
                lineToRelative(-4.3f, 51.4f)
                lineToRelative(-5.2f, -68.8f)
                curveToRelative(-1.1f, -14.3f, -22.1f, -14.2f, -23.2f, 0.0f)
                lineToRelative(-3.5f, 44.9f)
                lineToRelative(-5.9f, -94.3f)
                curveToRelative(-0.9f, -14.5f, -22.3f, -14.4f, -23.2f, 0.0f)
                lineToRelative(-5.1f, 83.7f)
                lineToRelative(-4.3f, -66.3f)
                curveToRelative(-0.9f, -14.4f, -22.2f, -14.4f, -23.2f, 0.0f)
                lineToRelative(-5.3f, 80.2f)
                lineToRelative(-4.1f, -57.0f)
                curveToRelative(-1.1f, -14.3f, -22.0f, -14.3f, -23.2f, -0.2f)
                lineToRelative(-7.7f, 89.8f)
                lineToRelative(-1.8f, -12.2f)
                curveToRelative(-1.7f, -11.4f, -17.1f, -13.6f, -22.0f, -3.3f)
                lineToRelative(-13.2f, 27.7f)
                lineTo(87.5f, 258.2f)
                verticalLineToRelative(23.2f)
                horizontalLineToRelative(51.3f)
                curveToRelative(4.4f, 0.0f, 8.4f, -2.5f, 10.4f, -6.4f)
                lineToRelative(10.7f, 73.1f)
                curveToRelative(2.0f, 13.5f, 21.9f, 13.0f, 23.1f, -0.7f)
                lineToRelative(3.8f, -43.6f)
                lineToRelative(5.7f, 78.3f)
                curveToRelative(1.1f, 14.4f, 22.3f, 14.2f, 23.2f, -0.1f)
                lineToRelative(4.6f, -70.4f)
                lineToRelative(4.8f, 73.3f)
                curveToRelative(0.9f, 14.4f, 22.3f, 14.4f, 23.2f, -0.1f)
                lineToRelative(4.9f, -80.5f)
                lineToRelative(4.5f, 71.8f)
                curveToRelative(0.9f, 14.3f, 22.1f, 14.5f, 23.2f, 0.2f)
                lineToRelative(4.6f, -58.6f)
                lineToRelative(4.9f, 64.4f)
                curveToRelative(1.1f, 14.3f, 22.0f, 14.2f, 23.1f, 0.1f)
                lineToRelative(6.8f, -83.0f)
                lineToRelative(2.7f, 22.3f)
                curveToRelative(1.4f, 11.8f, 17.7f, 14.1f, 22.3f, 3.1f)
                lineToRelative(18.0f, -43.4f)
                horizontalLineToRelative(50.5f)
                lineTo(413.8f, 258.0f)
                lineToRelative(-58.4f, 0.3f)
                close()
                moveTo(277.4f, 263.5f)
                horizontalLineToRelative(-21.9f)
                verticalLineToRelative(21.9f)
                curveToRelative(0.0f, 4.1f, -3.3f, 7.5f, -7.5f, 7.5f)
                curveToRelative(-4.1f, 0.0f, -7.5f, -3.3f, -7.5f, -7.5f)
                verticalLineToRelative(-21.9f)
                horizontalLineToRelative(-21.9f)
                curveToRelative(-4.1f, 0.0f, -7.5f, -3.3f, -7.5f, -7.5f)
                curveToRelative(0.0f, -4.1f, 3.4f, -7.5f, 7.5f, -7.5f)
                horizontalLineToRelative(21.9f)
                verticalLineToRelative(-21.9f)
                curveToRelative(0.0f, -4.1f, 3.4f, -7.5f, 7.5f, -7.5f)
                reflectiveCurveToRelative(7.5f, 3.3f, 7.5f, 7.5f)
                verticalLineToRelative(21.9f)
                horizontalLineToRelative(21.9f)
                curveToRelative(4.1f, 0.0f, 7.5f, 3.3f, 7.5f, 7.5f)
                curveToRelative(0.0f, 4.1f, -3.4f, 7.5f, -7.5f, 7.5f)
                close()
            }
        }
        .build()
        return _creativeCommonsSamplingPlus!!
    }

private var _creativeCommonsSamplingPlus: ImageVector? = null
