package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Earlybirds: ImageVector
    get() {
        if (_earlybirds != null) {
            return _earlybirds!!
        }
        _earlybirds = Builder(name = "Earlybirds", defaultWidth = 480.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 480.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(313.2f, 47.5f)
                curveToRelative(1.2f, -13.0f, 21.3f, -14.0f, 36.6f, -8.7f)
                curveToRelative(0.9f, 0.3f, 26.2f, 9.7f, 19.0f, 15.2f)
                curveToRelative(-27.9f, -7.4f, -56.4f, 18.2f, -55.6f, -6.5f)
                close()
                moveTo(112.2f, 54.4f)
                curveToRelative(30.7f, -8.1f, 62.0f, 20.0f, 61.1f, -7.1f)
                curveToRelative(-1.3f, -14.2f, -23.4f, -15.3f, -40.2f, -9.6f)
                curveToRelative(-1.0f, 0.3f, -28.7f, 10.5f, -20.9f, 16.7f)
                close()
                moveTo(319.4f, 160.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                reflectiveCurveToRelative(16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(159.7f, 160.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                reflectiveCurveToRelative(16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(478.2f, 323.2f)
                curveToRelative(-9.9f, 24.0f, -40.7f, 11.0f, -63.9f, -1.2f)
                curveToRelative(-13.5f, 69.1f, -58.1f, 111.4f, -126.3f, 124.2f)
                curveToRelative(0.3f, 0.9f, -2.0f, -0.1f, 24.0f, 1.0f)
                curveToRelative(33.6f, 1.4f, 63.8f, -3.1f, 97.4f, -8.0f)
                curveToRelative(-19.8f, -13.8f, -11.4f, -37.1f, -9.8f, -38.1f)
                curveToRelative(1.4f, -0.9f, 14.7f, 1.7f, 21.6f, 11.5f)
                curveToRelative(8.6f, -12.5f, 28.4f, -14.8f, 30.2f, -13.6f)
                curveToRelative(1.6f, 1.1f, 6.6f, 20.9f, -6.9f, 34.6f)
                curveToRelative(4.7f, -0.9f, 8.2f, -1.6f, 9.8f, -2.1f)
                curveToRelative(2.6f, -0.8f, 17.7f, 11.3f, 3.1f, 13.3f)
                curveToRelative(-14.3f, 2.3f, -22.6f, 5.1f, -47.1f, 10.8f)
                curveToRelative(-45.9f, 10.7f, -85.9f, 11.8f, -117.7f, 12.8f)
                lineToRelative(1.0f, 11.6f)
                curveToRelative(3.8f, 18.1f, -23.4f, 24.3f, -27.6f, 6.2f)
                curveToRelative(0.8f, 17.9f, -27.1f, 21.8f, -28.4f, -1.0f)
                lineToRelative(-0.5f, 5.3f)
                curveToRelative(-0.7f, 18.4f, -28.4f, 17.9f, -28.3f, -0.6f)
                curveToRelative(-7.5f, 13.5f, -28.1f, 6.8f, -26.4f, -8.5f)
                lineToRelative(1.2f, -12.4f)
                curveToRelative(-36.7f, 0.9f, -59.7f, 3.1f, -61.8f, 3.1f)
                curveToRelative(-20.9f, 0.0f, -20.9f, -31.6f, 0.0f, -31.6f)
                curveToRelative(2.4f, 0.0f, 27.7f, 1.3f, 63.2f, 2.8f)
                curveToRelative(-61.1f, -15.5f, -103.7f, -55.0f, -114.9f, -118.2f)
                curveToRelative(-25.0f, 12.8f, -57.5f, 26.8f, -68.2f, 0.8f)
                curveToRelative(-10.5f, -25.4f, 21.5f, -42.6f, 66.8f, -73.4f)
                curveToRelative(0.7f, -6.6f, 1.6f, -13.3f, 2.7f, -19.8f)
                curveToRelative(-14.4f, -19.6f, -11.6f, -36.3f, -16.1f, -60.4f)
                curveToRelative(-16.8f, 2.4f, -23.2f, -9.1f, -23.6f, -23.1f)
                curveToRelative(0.3f, -7.3f, 2.1f, -14.9f, 2.4f, -15.4f)
                curveToRelative(1.1f, -1.8f, 10.1f, -2.0f, 12.7f, -2.6f)
                curveToRelative(6.0f, -31.7f, 50.6f, -33.2f, 90.9f, -34.5f)
                curveToRelative(19.7f, -21.8f, 45.2f, -41.5f, 80.9f, -48.3f)
                curveTo(203.3f, 29.0f, 215.2f, 8.5f, 216.2f, 8.0f)
                curveToRelative(1.7f, -0.8f, 21.2f, 4.3f, 26.3f, 23.2f)
                curveToRelative(5.2f, -8.8f, 18.3f, -11.4f, 19.6f, -10.7f)
                curveToRelative(1.1f, 0.6f, 6.4f, 15.0f, -4.9f, 25.9f)
                curveToRelative(40.3f, 3.5f, 72.2f, 24.7f, 96.0f, 50.7f)
                curveToRelative(36.1f, 1.5f, 71.8f, 5.9f, 77.1f, 34.0f)
                curveToRelative(2.7f, 0.6f, 11.6f, 0.8f, 12.7f, 2.6f)
                curveToRelative(0.3f, 0.5f, 2.1f, 8.1f, 2.4f, 15.4f)
                curveToRelative(-0.5f, 13.9f, -6.8f, 25.4f, -23.6f, 23.1f)
                curveToRelative(-3.2f, 17.3f, -2.7f, 32.9f, -8.7f, 47.7f)
                curveToRelative(2.4f, 11.7f, 4.0f, 23.8f, 4.8f, 36.4f)
                curveToRelative(37.0f, 25.4f, 70.3f, 42.5f, 60.3f, 66.9f)
                close()
                moveTo(207.4f, 159.9f)
                curveToRelative(0.9f, -44.0f, -37.9f, -42.2f, -78.6f, -40.3f)
                curveToRelative(-21.7f, 1.0f, -38.9f, 1.9f, -45.5f, 13.9f)
                curveToRelative(-11.4f, 20.9f, 5.9f, 92.9f, 23.2f, 101.2f)
                curveToRelative(9.8f, 4.7f, 73.4f, 7.9f, 86.3f, -7.1f)
                curveToRelative(8.2f, -9.4f, 15.0f, -49.4f, 14.6f, -67.7f)
                close()
                moveTo(259.4f, 218.2f)
                curveToRelative(-4.3f, -12.4f, -6.0f, -30.1f, -15.3f, -32.7f)
                curveToRelative(-2.0f, -0.5f, -9.0f, -0.5f, -11.0f, 0.0f)
                curveToRelative(-10.0f, 2.8f, -10.8f, 22.1f, -17.0f, 37.2f)
                curveToRelative(15.4f, 0.0f, 19.3f, 9.7f, 23.7f, 9.7f)
                curveToRelative(4.3f, 0.0f, 6.3f, -11.3f, 19.6f, -14.2f)
                close()
                moveTo(395.1f, 133.5f)
                curveToRelative(-6.6f, -12.1f, -24.8f, -12.9f, -46.5f, -13.9f)
                curveToRelative(-40.2f, -1.9f, -78.2f, -3.8f, -77.3f, 40.3f)
                curveToRelative(-0.5f, 18.3f, 5.0f, 58.3f, 13.2f, 67.8f)
                curveToRelative(13.0f, 14.9f, 76.6f, 11.8f, 86.3f, 7.1f)
                curveToRelative(15.8f, -7.6f, 36.5f, -78.9f, 24.3f, -101.3f)
                close()
            }
        }
        .build()
        return _earlybirds!!
    }

private var _earlybirds: ImageVector? = null
