package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FantasyFlightGames: ImageVector
    get() {
        if (_fantasyFlightGames != null) {
            return _fantasyFlightGames!!
        }
        _fantasyFlightGames = Builder(name = "FantasyFlightGames", defaultWidth = 512.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(256.0f, 32.86f)
                lineTo(32.86f, 256.0f)
                lineTo(256.0f, 479.14f)
                lineTo(479.14f, 256.0f)
                lineTo(256.0f, 32.86f)
                close()
                moveTo(88.34f, 255.83f)
                curveToRelative(1.96f, -2.0f, 11.92f, -12.3f, 96.49f, -97.48f)
                curveToRelative(41.45f, -41.75f, 86.19f, -43.77f, 119.77f, -18.69f)
                curveToRelative(24.63f, 18.4f, 62.06f, 58.9f, 62.15f, 59.0f)
                curveToRelative(0.68f, 0.74f, 1.07f, 2.86f, 0.58f, 3.38f)
                curveToRelative(-11.27f, 11.84f, -22.68f, 23.54f, -33.5f, 34.69f)
                curveToRelative(-34.21f, -32.31f, -40.52f, -38.24f, -48.51f, -43.95f)
                curveToRelative(-17.77f, -12.69f, -41.4f, -10.13f, -56.98f, 5.1f)
                curveToRelative(-2.17f, 2.13f, -1.79f, 3.43f, 0.12f, 5.35f)
                curveToRelative(2.94f, 2.95f, 28.1f, 28.33f, 35.09f, 35.78f)
                curveToRelative(-11.95f, 11.6f, -23.66f, 22.97f, -35.69f, 34.66f)
                curveToRelative(-12.02f, -12.54f, -24.48f, -25.53f, -36.54f, -38.11f)
                curveToRelative(-21.39f, 21.09f, -41.69f, 41.11f, -61.85f, 60.99f)
                arcToRelative(42569.01f, 42569.01f, 0.0f, false, true, -41.13f, -40.72f)
                close()
                moveTo(323.16f, 357.43f)
                curveToRelative(-35.49f, 35.43f, -78.09f, 38.14f, -106.99f, 20.47f)
                curveToRelative(-22.08f, -13.5f, -39.38f, -32.08f, -72.93f, -66.84f)
                curveToRelative(12.05f, -12.37f, 23.79f, -24.42f, 35.37f, -36.31f)
                curveToRelative(33.02f, 31.91f, 37.06f, 36.01f, 44.68f, 42.09f)
                curveToRelative(18.48f, 14.74f, 42.52f, 13.67f, 59.32f, -1.8f)
                curveToRelative(3.68f, -3.39f, 3.69f, -3.64f, 0.14f, -7.24f)
                curveToRelative(-10.59f, -10.73f, -21.19f, -21.44f, -31.77f, -32.18f)
                curveToRelative(-1.32f, -1.34f, -3.03f, -2.48f, -0.8f, -4.69f)
                curveToRelative(10.79f, -10.71f, 21.48f, -21.52f, 32.21f, -32.29f)
                curveToRelative(0.26f, -0.26f, 0.65f, -0.38f, 1.91f, -1.07f)
                curveToRelative(12.37f, 12.87f, 24.92f, 25.92f, 37.25f, 38.75f)
                curveToRelative(21.01f, -20.73f, 41.24f, -40.68f, 61.25f, -60.42f)
                curveToRelative(13.68f, 13.4f, 27.13f, 26.58f, 40.86f, 40.03f)
                curveToRelative(-20.17f, 20.86f, -81.68f, 82.71f, -100.5f, 101.5f)
                close()
                moveTo(256.0f, 0.0f)
                lineTo(0.0f, 256.0f)
                lineToRelative(256.0f, 256.0f)
                lineToRelative(256.0f, -256.0f)
                lineTo(256.0f, 0.0f)
                close()
                moveTo(16.0f, 256.0f)
                lineTo(256.0f, 16.0f)
                lineToRelative(240.0f, 240.0f)
                lineToRelative(-240.0f, 240.0f)
                lineTo(16.0f, 256.0f)
                close()
            }
        }
        .build()
        return _fantasyFlightGames!!
    }

private var _fantasyFlightGames: ImageVector? = null
