package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Firefox: ImageVector
    get() {
        if (_firefox != null) {
            return _firefox!!
        }
        _firefox = Builder(name = "Firefox", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(503.52f, 241.48f)
                curveToRelative(-0.12f, -1.56f, -0.24f, -3.12f, -0.24f, -4.68f)
                verticalLineToRelative(-0.12f)
                lineToRelative(-0.36f, -4.68f)
                verticalLineToRelative(-0.12f)
                arcToRelative(245.86f, 245.86f, 0.0f, false, false, -7.32f, -41.15f)
                curveToRelative(0.0f, -0.12f, 0.0f, -0.12f, -0.12f, -0.24f)
                lineToRelative(-1.08f, -4.0f)
                curveToRelative(-0.12f, -0.24f, -0.12f, -0.48f, -0.24f, -0.6f)
                curveToRelative(-0.36f, -1.2f, -0.72f, -2.52f, -1.08f, -3.72f)
                curveToRelative(-0.12f, -0.24f, -0.12f, -0.6f, -0.24f, -0.84f)
                curveToRelative(-0.36f, -1.2f, -0.72f, -2.4f, -1.08f, -3.48f)
                curveToRelative(-0.12f, -0.36f, -0.24f, -0.6f, -0.36f, -1.0f)
                curveToRelative(-0.36f, -1.2f, -0.72f, -2.28f, -1.2f, -3.48f)
                lineToRelative(-0.36f, -1.08f)
                curveToRelative(-0.36f, -1.08f, -0.84f, -2.28f, -1.2f, -3.36f)
                arcToRelative(8.27f, 8.27f, 0.0f, false, false, -0.36f, -1.0f)
                curveToRelative(-0.48f, -1.08f, -0.84f, -2.28f, -1.32f, -3.36f)
                curveToRelative(-0.12f, -0.24f, -0.24f, -0.6f, -0.36f, -0.84f)
                curveToRelative(-0.48f, -1.2f, -1.0f, -2.28f, -1.44f, -3.48f)
                curveToRelative(0.0f, -0.12f, -0.12f, -0.24f, -0.12f, -0.36f)
                curveToRelative(-1.56f, -3.84f, -3.24f, -7.68f, -5.0f, -11.4f)
                lineToRelative(-0.36f, -0.72f)
                curveToRelative(-0.48f, -1.0f, -0.84f, -1.8f, -1.32f, -2.64f)
                curveToRelative(-0.24f, -0.48f, -0.48f, -1.08f, -0.72f, -1.56f)
                curveToRelative(-0.36f, -0.84f, -0.84f, -1.56f, -1.2f, -2.4f)
                curveToRelative(-0.36f, -0.6f, -0.6f, -1.2f, -1.0f, -1.8f)
                reflectiveCurveToRelative(-0.84f, -1.44f, -1.2f, -2.28f)
                curveToRelative(-0.36f, -0.6f, -0.72f, -1.32f, -1.08f, -1.92f)
                reflectiveCurveToRelative(-0.84f, -1.44f, -1.2f, -2.16f)
                arcToRelative(18.07f, 18.07f, 0.0f, false, false, -1.2f, -2.0f)
                curveToRelative(-0.36f, -0.72f, -0.84f, -1.32f, -1.2f, -2.0f)
                reflectiveCurveToRelative(-0.84f, -1.32f, -1.2f, -2.0f)
                reflectiveCurveToRelative(-0.84f, -1.32f, -1.2f, -1.92f)
                reflectiveCurveToRelative(-0.84f, -1.44f, -1.32f, -2.16f)
                arcToRelative(15.63f, 15.63f, 0.0f, false, false, -1.2f, -1.8f)
                lineTo(463.2f, 119.0f)
                arcToRelative(15.63f, 15.63f, 0.0f, false, false, -1.2f, -1.8f)
                curveToRelative(-0.48f, -0.72f, -1.08f, -1.56f, -1.56f, -2.28f)
                curveToRelative(-0.36f, -0.48f, -0.72f, -1.08f, -1.08f, -1.56f)
                lineToRelative(-1.8f, -2.52f)
                curveToRelative(-0.36f, -0.48f, -0.6f, -0.84f, -1.0f, -1.32f)
                curveToRelative(-1.0f, -1.32f, -1.8f, -2.52f, -2.76f, -3.72f)
                arcToRelative(248.76f, 248.76f, 0.0f, false, false, -23.51f, -26.64f)
                arcTo(186.82f, 186.82f, 0.0f, false, false, 412.0f, 62.46f)
                curveToRelative(-4.0f, -3.48f, -8.16f, -6.72f, -12.48f, -9.84f)
                arcToRelative(162.49f, 162.49f, 0.0f, false, false, -24.6f, -15.12f)
                curveToRelative(-2.4f, -1.32f, -4.8f, -2.52f, -7.2f, -3.72f)
                arcToRelative(254.0f, 254.0f, 0.0f, false, false, -55.43f, -19.56f)
                curveToRelative(-1.92f, -0.36f, -3.84f, -0.84f, -5.64f, -1.2f)
                horizontalLineToRelative(-0.12f)
                curveToRelative(-1.0f, -0.12f, -1.8f, -0.36f, -2.76f, -0.48f)
                arcToRelative(236.35f, 236.35f, 0.0f, false, false, -38.0f, -4.0f)
                horizontalLineTo(255.14f)
                arcToRelative(234.62f, 234.62f, 0.0f, false, false, -45.48f, 5.0f)
                curveToRelative(-33.59f, 7.08f, -63.23f, 21.24f, -82.91f, 39.0f)
                curveToRelative(-1.08f, 1.0f, -1.92f, 1.68f, -2.4f, 2.16f)
                lineToRelative(-0.48f, 0.48f)
                horizontalLineTo(124.0f)
                lineToRelative(-0.12f, 0.12f)
                lineToRelative(0.12f, -0.12f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, false, 0.12f, -0.12f)
                lineToRelative(-0.12f, 0.12f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, true, 0.24f, -0.12f)
                curveToRelative(14.64f, -8.76f, 34.92f, -16.0f, 49.44f, -19.56f)
                lineToRelative(5.88f, -1.44f)
                curveToRelative(0.36f, -0.12f, 0.84f, -0.12f, 1.2f, -0.24f)
                curveToRelative(1.68f, -0.36f, 3.36f, -0.72f, 5.16f, -1.08f)
                curveToRelative(0.24f, 0.0f, 0.6f, -0.12f, 0.84f, -0.12f)
                curveTo(250.94f, 20.94f, 319.34f, 40.14f, 367.0f, 85.61f)
                arcToRelative(171.49f, 171.49f, 0.0f, false, true, 26.88f, 32.76f)
                curveToRelative(30.36f, 49.2f, 27.48f, 111.11f, 3.84f, 147.59f)
                curveToRelative(-34.44f, 53.0f, -111.35f, 71.27f, -159.0f, 24.84f)
                arcToRelative(84.19f, 84.19f, 0.0f, false, true, -25.56f, -59.0f)
                arcToRelative(74.05f, 74.05f, 0.0f, false, true, 6.24f, -31.0f)
                curveToRelative(1.68f, -3.84f, 13.08f, -25.67f, 18.24f, -24.59f)
                curveToRelative(-13.08f, -2.76f, -37.55f, 2.64f, -54.71f, 28.19f)
                curveToRelative(-15.36f, 22.92f, -14.52f, 58.2f, -5.0f, 83.28f)
                arcToRelative(132.85f, 132.85f, 0.0f, false, true, -12.12f, -39.24f)
                curveToRelative(-12.24f, -82.55f, 43.31f, -153.0f, 94.31f, -170.51f)
                curveToRelative(-27.48f, -24.0f, -96.47f, -22.31f, -147.71f, 15.36f)
                curveToRelative(-29.88f, 22.0f, -51.23f, 53.16f, -62.51f, 90.36f)
                curveToRelative(1.68f, -20.88f, 9.6f, -52.08f, 25.8f, -83.88f)
                curveToRelative(-17.16f, 8.88f, -39.0f, 37.0f, -49.8f, 62.88f)
                curveToRelative(-15.6f, 37.43f, -21.0f, 82.19f, -16.08f, 124.79f)
                curveToRelative(0.36f, 3.24f, 0.72f, 6.36f, 1.08f, 9.6f)
                curveToRelative(19.92f, 117.11f, 122.0f, 206.38f, 244.78f, 206.38f)
                curveTo(392.77f, 503.42f, 504.0f, 392.19f, 504.0f, 255.0f)
                curveTo(503.88f, 250.48f, 503.76f, 245.92f, 503.52f, 241.48f)
                close()
            }
        }
        .build()
        return _firefox!!
    }

private var _firefox: ImageVector? = null
