package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FirstOrder: ImageVector
    get() {
        if (_firstOrder != null) {
            return _firstOrder!!
        }
        _firstOrder = Builder(name = "FirstOrder", defaultWidth = 448.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.9f, 229.2f)
                curveToRelative(0.1f, -0.1f, 0.2f, -0.3f, 0.3f, -0.4f)
                curveToRelative(0.0f, 0.1f, 0.0f, 0.3f, -0.1f, 0.4f)
                horizontalLineToRelative(-0.2f)
                close()
                moveTo(224.0f, 96.6f)
                curveToRelative(-7.1f, 0.0f, -14.6f, 0.6f, -21.4f, 1.7f)
                lineToRelative(3.7f, 67.4f)
                lineToRelative(-22.0f, -64.0f)
                curveToRelative(-14.3f, 3.7f, -27.7f, 9.4f, -40.0f, 16.6f)
                lineToRelative(29.4f, 61.4f)
                lineToRelative(-45.1f, -50.9f)
                curveToRelative(-11.4f, 8.9f, -21.7f, 19.1f, -30.6f, 30.9f)
                lineToRelative(50.6f, 45.4f)
                lineToRelative(-61.1f, -29.7f)
                curveToRelative(-7.1f, 12.3f, -12.9f, 25.7f, -16.6f, 40.0f)
                lineToRelative(64.3f, 22.6f)
                lineToRelative(-68.0f, -4.0f)
                curveToRelative(-0.9f, 7.1f, -1.4f, 14.6f, -1.4f, 22.0f)
                reflectiveCurveToRelative(0.6f, 14.6f, 1.4f, 21.7f)
                lineToRelative(67.7f, -4.0f)
                lineToRelative(-64.0f, 22.6f)
                curveToRelative(3.7f, 14.3f, 9.4f, 27.7f, 16.6f, 40.3f)
                lineToRelative(61.1f, -29.7f)
                lineTo(97.7f, 352.0f)
                curveToRelative(8.9f, 11.7f, 19.1f, 22.3f, 30.9f, 30.9f)
                lineToRelative(44.9f, -50.9f)
                lineToRelative(-29.5f, 61.4f)
                curveToRelative(12.3f, 7.4f, 25.7f, 13.1f, 40.0f, 16.9f)
                lineToRelative(22.3f, -64.6f)
                lineToRelative(-4.0f, 68.0f)
                curveToRelative(7.1f, 1.1f, 14.6f, 1.7f, 21.7f, 1.7f)
                curveToRelative(7.4f, 0.0f, 14.6f, -0.6f, 21.7f, -1.7f)
                lineToRelative(-4.0f, -68.6f)
                lineToRelative(22.6f, 65.1f)
                curveToRelative(14.3f, -4.0f, 27.7f, -9.4f, 40.0f, -16.9f)
                lineTo(274.9f, 332.0f)
                lineToRelative(44.9f, 50.9f)
                curveToRelative(11.7f, -8.9f, 22.0f, -19.1f, 30.6f, -30.9f)
                lineToRelative(-50.6f, -45.1f)
                lineToRelative(61.1f, 29.4f)
                curveToRelative(7.1f, -12.3f, 12.9f, -25.7f, 16.6f, -40.3f)
                lineToRelative(-64.0f, -22.3f)
                lineToRelative(67.4f, 4.0f)
                curveToRelative(1.1f, -7.1f, 1.4f, -14.3f, 1.4f, -21.7f)
                reflectiveCurveToRelative(-0.3f, -14.9f, -1.4f, -22.0f)
                lineToRelative(-67.7f, 4.0f)
                lineToRelative(64.0f, -22.3f)
                curveToRelative(-3.7f, -14.3f, -9.1f, -28.0f, -16.6f, -40.3f)
                lineToRelative(-60.9f, 29.7f)
                lineToRelative(50.6f, -45.4f)
                curveToRelative(-8.9f, -11.7f, -19.1f, -22.0f, -30.6f, -30.9f)
                lineToRelative(-45.1f, 50.9f)
                lineToRelative(29.4f, -61.1f)
                curveToRelative(-12.3f, -7.4f, -25.7f, -13.1f, -40.0f, -16.9f)
                lineTo(241.7f, 166.0f)
                lineToRelative(4.0f, -67.7f)
                curveToRelative(-7.1f, -1.2f, -14.3f, -1.7f, -21.7f, -1.7f)
                close()
                moveTo(443.4f, 128.0f)
                verticalLineToRelative(256.0f)
                lineTo(224.0f, 512.0f)
                lineTo(4.6f, 384.0f)
                lineTo(4.6f, 128.0f)
                lineTo(224.0f, 0.0f)
                lineToRelative(219.4f, 128.0f)
                close()
                moveTo(426.3f, 138.3f)
                lineTo(224.0f, 20.9f)
                lineTo(21.7f, 138.3f)
                verticalLineToRelative(235.1f)
                lineTo(224.0f, 491.1f)
                lineToRelative(202.3f, -117.7f)
                lineTo(426.3f, 138.3f)
                close()
                moveTo(224.0f, 37.1f)
                lineToRelative(187.7f, 109.4f)
                verticalLineToRelative(218.9f)
                lineTo(224.0f, 474.9f)
                lineTo(36.3f, 365.4f)
                lineTo(36.3f, 146.6f)
                lineTo(224.0f, 37.1f)
                close()
                moveTo(224.0f, 88.0f)
                curveToRelative(-92.3f, 0.0f, -166.9f, 75.1f, -166.9f, 168.0f)
                curveToRelative(0.0f, 92.6f, 74.6f, 167.7f, 166.9f, 167.7f)
                curveToRelative(92.0f, 0.0f, 166.9f, -75.1f, 166.9f, -167.7f)
                curveToRelative(0.0f, -92.9f, -74.9f, -168.0f, -166.9f, -168.0f)
                close()
            }
        }
        .build()
        return _firstOrder!!
    }

private var _firstOrder: ImageVector? = null
