package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FontAwesomeLogoFull: ImageVector
    get() {
        if (_fontAwesomeLogoFull != null) {
            return _fontAwesomeLogoFull!!
        }
        _fontAwesomeLogoFull = Builder(name = "FontAwesomeLogoFull", defaultWidth = 3992.0.dp,
                defaultHeight = 512.0.dp, viewportWidth = 3992.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(454.6f, 0.0f)
                lineTo(57.4f, 0.0f)
                curveTo(25.9f, 0.0f, 0.0f, 25.9f, 0.0f, 57.4f)
                verticalLineToRelative(397.3f)
                curveTo(0.0f, 486.1f, 25.9f, 512.0f, 57.4f, 512.0f)
                horizontalLineToRelative(397.3f)
                curveToRelative(31.4f, 0.0f, 57.4f, -25.9f, 57.4f, -57.4f)
                lineTo(512.1f, 57.4f)
                curveTo(512.0f, 25.9f, 486.1f, 0.0f, 454.6f, 0.0f)
                close()
                moveTo(395.7f, 324.9f)
                curveToRelative(0.0f, 4.8f, -4.1f, 6.9f, -8.9f, 8.9f)
                curveToRelative(-19.2f, 8.1f, -39.7f, 15.7f, -61.5f, 15.7f)
                curveToRelative(-40.5f, 0.0f, -68.7f, -44.8f, -163.2f, 2.5f)
                verticalLineToRelative(51.8f)
                curveToRelative(0.0f, 30.3f, -45.7f, 30.2f, -45.7f, 0.0f)
                verticalLineToRelative(-250.0f)
                curveToRelative(-9.0f, -7.0f, -15.0f, -17.9f, -15.0f, -30.3f)
                curveToRelative(0.0f, -21.0f, 17.1f, -38.2f, 38.2f, -38.2f)
                curveToRelative(21.0f, 0.0f, 38.2f, 17.1f, 38.2f, 38.2f)
                curveToRelative(0.0f, 12.2f, -5.8f, 23.2f, -14.9f, 30.2f)
                verticalLineToRelative(21.0f)
                curveToRelative(37.1f, -12.0f, 65.5f, -34.4f, 146.1f, -3.4f)
                curveToRelative(26.6f, 11.4f, 68.7f, -15.7f, 76.5f, -15.7f)
                curveToRelative(5.5f, 0.0f, 10.3f, 4.1f, 10.3f, 8.9f)
                verticalLineToRelative(160.4f)
                close()
                moveTo(828.6f, 150.7f)
                horizontalLineToRelative(-137.0f)
                verticalLineToRelative(70.1f)
                lineTo(825.0f, 220.8f)
                curveToRelative(39.8f, 0.0f, 40.4f, 62.2f, 0.0f, 62.2f)
                lineTo(691.6f, 283.0f)
                verticalLineToRelative(105.6f)
                curveToRelative(0.0f, 45.5f, -70.7f, 46.4f, -70.7f, 0.0f)
                lineTo(620.9f, 128.3f)
                curveToRelative(0.0f, -22.0f, 18.0f, -39.8f, 39.8f, -39.8f)
                horizontalLineToRelative(167.8f)
                curveToRelative(39.6f, 0.0f, 40.5f, 62.2f, 0.1f, 62.2f)
                close()
                moveTo(1019.7f, 174.1f)
                curveToRelative(-169.3f, 0.0f, -169.1f, 252.4f, 0.0f, 252.4f)
                curveToRelative(169.9f, 0.0f, 169.9f, -252.4f, 0.0f, -252.4f)
                close()
                moveTo(1019.7f, 370.2f)
                curveToRelative(-81.6f, 0.0f, -82.1f, -139.8f, 0.0f, -139.8f)
                curveToRelative(82.5f, 0.0f, 82.4f, 139.8f, 0.0f, 139.8f)
                close()
                moveTo(1392.1f, 423.6f)
                curveToRelative(-17.5f, 0.0f, -31.4f, -13.9f, -31.4f, -31.4f)
                verticalLineToRelative(-117.0f)
                curveToRelative(0.0f, -62.4f, -72.6f, -52.5f, -99.1f, -16.4f)
                verticalLineToRelative(133.4f)
                curveToRelative(0.0f, 41.5f, -63.3f, 41.8f, -63.3f, 0.0f)
                lineTo(1198.3f, 208.0f)
                curveToRelative(0.0f, -40.0f, 63.1f, -41.6f, 63.1f, 0.0f)
                verticalLineToRelative(3.4f)
                curveToRelative(43.3f, -51.6f, 162.4f, -60.4f, 162.4f, 39.3f)
                verticalLineToRelative(141.5f)
                curveToRelative(0.3f, 30.4f, -31.5f, 31.4f, -31.7f, 31.4f)
                close()
                moveTo(1571.8f, 426.5f)
                curveToRelative(-44.3f, 0.0f, -68.3f, -22.9f, -68.3f, -65.8f)
                lineTo(1503.5f, 235.2f)
                lineTo(1488.0f, 235.2f)
                curveToRelative(-35.6f, 0.0f, -36.7f, -55.3f, 0.0f, -55.3f)
                horizontalLineToRelative(15.5f)
                verticalLineToRelative(-37.3f)
                curveToRelative(0.0f, -41.3f, 63.8f, -42.1f, 63.8f, 0.0f)
                verticalLineToRelative(37.5f)
                horizontalLineToRelative(24.9f)
                curveToRelative(35.4f, 0.0f, 35.7f, 55.3f, 0.0f, 55.3f)
                horizontalLineToRelative(-24.9f)
                verticalLineToRelative(108.5f)
                curveToRelative(0.0f, 29.6f, 26.1f, 26.3f, 27.4f, 26.3f)
                curveToRelative(31.4f, 0.0f, 52.6f, 56.3f, -22.9f, 56.3f)
                close()
                moveTo(1992.0f, 123.0f)
                curveToRelative(-19.5f, -50.2f, -95.5f, -50.0f, -114.5f, 0.0f)
                curveToRelative(-107.3f, 275.7f, -99.5f, 252.7f, -99.5f, 262.8f)
                curveToRelative(0.0f, 42.8f, 58.3f, 51.2f, 72.1f, 14.4f)
                lineToRelative(13.5f, -35.9f)
                lineTo(2006.0f, 364.3f)
                lineToRelative(13.0f, 35.9f)
                curveToRelative(14.2f, 37.7f, 72.1f, 27.2f, 72.1f, -14.4f)
                curveToRelative(0.0f, -10.1f, 5.3f, 6.8f, -99.1f, -262.8f)
                close()
                moveTo(1883.1f, 302.1f)
                lineToRelative(51.7f, -142.9f)
                lineToRelative(51.8f, 142.9f)
                horizontalLineToRelative(-103.5f)
                close()
                moveTo(2474.4f, 216.5f)
                lineToRelative(-53.7f, 176.3f)
                curveToRelative(-12.4f, 41.2f, -72.0f, 41.0f, -84.0f, 0.0f)
                lineToRelative(-42.3f, -135.9f)
                lineToRelative(-42.3f, 135.9f)
                curveToRelative(-12.4f, 40.9f, -72.0f, 41.2f, -84.5f, 0.0f)
                lineToRelative(-54.2f, -176.3f)
                curveToRelative(-12.5f, -39.4f, 49.8f, -56.1f, 60.2f, -16.9f)
                lineTo(2213.0f, 342.0f)
                lineToRelative(45.3f, -139.5f)
                curveToRelative(10.9f, -32.7f, 59.6f, -34.7f, 71.2f, 0.0f)
                lineToRelative(45.3f, 139.5f)
                lineToRelative(39.3f, -142.4f)
                curveToRelative(10.3f, -38.3f, 72.6f, -23.8f, 60.3f, 16.9f)
                close()
                moveTo(2749.8f, 291.6f)
                curveToRelative(0.0f, -42.4f, -33.9f, -117.5f, -119.5f, -117.5f)
                curveToRelative(-73.2f, 0.0f, -124.4f, 56.3f, -124.4f, 126.0f)
                curveToRelative(0.0f, 77.2f, 55.3f, 126.4f, 128.5f, 126.4f)
                curveToRelative(31.7f, 0.0f, 93.0f, -11.5f, 93.0f, -39.8f)
                curveToRelative(0.0f, -18.3f, -21.1f, -31.5f, -39.3f, -22.4f)
                curveToRelative(-49.4f, 26.2f, -109.0f, 8.4f, -115.9f, -43.8f)
                horizontalLineToRelative(148.3f)
                curveToRelative(16.3f, 0.0f, 29.3f, -13.4f, 29.3f, -28.9f)
                close()
                moveTo(2571.0f, 277.7f)
                curveToRelative(9.5f, -73.4f, 113.9f, -68.6f, 118.6f, 0.0f)
                lineTo(2571.0f, 277.7f)
                close()
                moveTo(2887.7f, 426.5f)
                curveToRelative(-31.4f, 0.0f, -81.6f, -10.5f, -96.6f, -31.9f)
                curveToRelative(-12.4f, -17.0f, 2.5f, -39.8f, 21.8f, -39.8f)
                curveToRelative(16.3f, 0.0f, 36.8f, 22.9f, 77.7f, 22.9f)
                curveToRelative(27.4f, 0.0f, 40.4f, -11.0f, 40.4f, -25.8f)
                curveToRelative(0.0f, -39.8f, -142.9f, -7.4f, -142.9f, -102.0f)
                curveToRelative(0.0f, -40.4f, 35.3f, -75.7f, 98.6f, -75.7f)
                curveToRelative(31.4f, 0.0f, 74.1f, 9.9f, 87.6f, 29.4f)
                curveToRelative(10.8f, 14.8f, -1.4f, 36.2f, -20.9f, 36.2f)
                curveToRelative(-15.1f, 0.0f, -26.7f, -17.3f, -66.2f, -17.3f)
                curveToRelative(-22.9f, 0.0f, -37.8f, 10.5f, -37.8f, 23.8f)
                curveToRelative(0.0f, 35.9f, 142.4f, 6.0f, 142.4f, 103.1f)
                curveToRelative(-0.1f, 43.7f, -37.4f, 77.1f, -104.1f, 77.1f)
                close()
                moveTo(3154.5f, 174.1f)
                curveToRelative(-169.3f, 0.0f, -169.1f, 252.4f, 0.0f, 252.4f)
                curveToRelative(170.1f, 0.0f, 169.6f, -252.4f, 0.0f, -252.4f)
                close()
                moveTo(3154.5f, 370.2f)
                curveToRelative(-81.8f, 0.0f, -82.0f, -139.8f, 0.0f, -139.8f)
                curveToRelative(82.5f, 0.0f, 82.4f, 139.8f, 0.0f, 139.8f)
                close()
                moveTo(3631.4f, 392.2f)
                lineTo(3631.4f, 268.7f)
                curveToRelative(0.0f, -53.8f, -61.4f, -45.8f, -85.7f, -10.5f)
                verticalLineToRelative(134.0f)
                curveToRelative(0.0f, 41.3f, -63.8f, 42.1f, -63.8f, 0.0f)
                lineTo(3481.9f, 268.7f)
                curveToRelative(0.0f, -52.1f, -59.5f, -47.4f, -85.7f, -10.1f)
                verticalLineToRelative(133.6f)
                curveToRelative(0.0f, 41.5f, -63.3f, 41.8f, -63.3f, 0.0f)
                lineTo(3332.9f, 208.0f)
                curveToRelative(0.0f, -40.0f, 63.1f, -41.6f, 63.1f, 0.0f)
                verticalLineToRelative(3.4f)
                curveToRelative(9.9f, -14.4f, 41.8f, -37.3f, 78.6f, -37.3f)
                curveToRelative(35.3f, 0.0f, 57.7f, 16.4f, 66.7f, 43.8f)
                curveToRelative(13.9f, -21.8f, 45.8f, -43.8f, 82.6f, -43.8f)
                curveToRelative(44.3f, 0.0f, 70.7f, 23.4f, 70.7f, 72.7f)
                verticalLineToRelative(145.3f)
                curveToRelative(0.5f, 17.3f, -13.5f, 31.4f, -31.9f, 31.4f)
                curveToRelative(3.5f, 0.1f, -31.3f, 1.1f, -31.3f, -31.3f)
                close()
                moveTo(3992.0f, 291.6f)
                curveToRelative(0.0f, -42.4f, -32.4f, -117.5f, -117.9f, -117.5f)
                curveToRelative(-73.2f, 0.0f, -127.5f, 56.3f, -127.5f, 126.0f)
                curveToRelative(0.0f, 77.2f, 58.3f, 126.4f, 131.6f, 126.4f)
                curveToRelative(31.7f, 0.0f, 91.5f, -11.5f, 91.5f, -39.8f)
                curveToRelative(0.0f, -18.3f, -21.1f, -31.5f, -39.3f, -22.4f)
                curveToRelative(-49.4f, 26.2f, -110.5f, 8.4f, -117.5f, -43.8f)
                horizontalLineToRelative(149.8f)
                curveToRelative(16.3f, 0.0f, 29.1f, -13.4f, 29.3f, -28.9f)
                close()
                moveTo(3811.5f, 277.7f)
                curveToRelative(9.7f, -74.4f, 115.9f, -68.3f, 120.1f, 0.0f)
                horizontalLineToRelative(-120.1f)
                close()
            }
        }
        .build()
        return _fontAwesomeLogoFull!!
    }

private var _fontAwesomeLogoFull: ImageVector? = null
