package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.FreeCodeCamp: ImageVector
    get() {
        if (_freeCodeCamp != null) {
            return _freeCodeCamp!!
        }
        _freeCodeCamp = Builder(name = "FreeCodeCamp", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(97.22f, 96.21f)
                curveToRelative(10.36f, -10.65f, 16.0f, -17.12f, 16.0f, -21.9f)
                curveToRelative(0.0f, -2.76f, -1.92f, -5.51f, -3.83f, -7.42f)
                arcTo(14.81f, 14.81f, 0.0f, false, false, 101.0f, 64.05f)
                curveToRelative(-8.48f, 0.0f, -20.92f, 8.79f, -35.84f, 25.69f)
                curveTo(23.68f, 137.0f, 2.51f, 182.81f, 3.37f, 250.34f)
                reflectiveCurveToRelative(17.47f, 117.0f, 54.06f, 161.87f)
                curveTo(76.22f, 435.86f, 90.62f, 448.0f, 100.9f, 448.0f)
                arcToRelative(13.55f, 13.55f, 0.0f, false, false, 8.37f, -3.84f)
                curveToRelative(1.91f, -2.76f, 3.81f, -5.63f, 3.81f, -8.38f)
                curveToRelative(0.0f, -5.63f, -3.86f, -12.2f, -13.2f, -20.55f)
                curveToRelative(-44.45f, -42.33f, -67.32f, -97.0f, -67.48f, -165.0f)
                curveTo(32.25f, 188.8f, 54.0f, 137.83f, 97.22f, 96.21f)
                close()
                moveTo(239.47f, 420.07f)
                curveToRelative(0.58f, 0.37f, 0.91f, 0.55f, 0.91f, 0.55f)
                close()
                moveTo(333.26f, 420.62f)
                lineTo(333.43f, 420.49f)
                curveTo(333.24f, 420.62f, 333.17f, 420.67f, 333.26f, 420.62f)
                close()
                moveTo(336.39f, 262.44f)
                curveToRelative(-16.24f, -4.15f, 50.41f, -82.89f, -68.05f, -177.17f)
                curveToRelative(0.0f, 0.0f, 15.54f, 49.38f, -62.83f, 159.57f)
                curveToRelative(-74.27f, 104.35f, 23.46f, 168.73f, 34.0f, 175.23f)
                curveToRelative(-6.73f, -4.35f, -47.4f, -35.7f, 9.55f, -128.64f)
                curveToRelative(11.0f, -18.3f, 25.53f, -34.87f, 43.5f, -72.16f)
                curveToRelative(0.0f, 0.0f, 15.91f, 22.45f, 7.6f, 71.13f)
                curveTo(287.7f, 364.0f, 354.0f, 342.91f, 355.0f, 343.94f)
                curveToRelative(22.75f, 26.78f, -17.72f, 73.51f, -21.58f, 76.55f)
                curveToRelative(5.49f, -3.65f, 117.71f, -78.0f, 33.0f, -188.1f)
                curveTo(360.43f, 238.4f, 352.62f, 266.59f, 336.39f, 262.44f)
                close()
                moveTo(510.88f, 89.69f)
                curveTo(496.0f, 72.79f, 483.52f, 64.0f, 475.0f, 64.0f)
                arcToRelative(14.81f, 14.81f, 0.0f, false, false, -8.39f, 2.84f)
                curveToRelative(-1.91f, 1.91f, -3.83f, 4.66f, -3.83f, 7.42f)
                curveToRelative(0.0f, 4.78f, 5.6f, 11.26f, 16.0f, 21.9f)
                curveToRelative(43.23f, 41.61f, 65.0f, 92.59f, 64.82f, 154.06f)
                curveToRelative(-0.16f, 68.0f, -23.0f, 122.63f, -67.48f, 165.0f)
                curveToRelative(-9.34f, 8.35f, -13.18f, 14.92f, -13.2f, 20.55f)
                curveToRelative(0.0f, 2.75f, 1.9f, 5.62f, 3.81f, 8.38f)
                arcTo(13.61f, 13.61f, 0.0f, false, false, 475.1f, 448.0f)
                curveToRelative(10.28f, 0.0f, 24.68f, -12.13f, 43.47f, -35.79f)
                curveToRelative(36.59f, -44.85f, 53.14f, -94.38f, 54.06f, -161.87f)
                reflectiveCurveTo(552.32f, 137.0f, 510.88f, 89.69f)
                close()
            }
        }
        .build()
        return _freeCodeCamp!!
    }

private var _freeCodeCamp: ImageVector? = null
