package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Github: ImageVector
    get() {
        if (_github != null) {
            return _github!!
        }
        _github = Builder(name = "Github", defaultWidth = 496.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(165.9f, 397.4f)
                curveToRelative(0.0f, 2.0f, -2.3f, 3.6f, -5.2f, 3.6f)
                curveToRelative(-3.3f, 0.3f, -5.6f, -1.3f, -5.6f, -3.6f)
                curveToRelative(0.0f, -2.0f, 2.3f, -3.6f, 5.2f, -3.6f)
                curveToRelative(3.0f, -0.3f, 5.6f, 1.3f, 5.6f, 3.6f)
                close()
                moveTo(134.8f, 392.9f)
                curveToRelative(-0.7f, 2.0f, 1.3f, 4.3f, 4.3f, 4.9f)
                curveToRelative(2.6f, 1.0f, 5.6f, 0.0f, 6.2f, -2.0f)
                reflectiveCurveToRelative(-1.3f, -4.3f, -4.3f, -5.2f)
                curveToRelative(-2.6f, -0.7f, -5.5f, 0.3f, -6.2f, 2.3f)
                close()
                moveTo(179.0f, 391.2f)
                curveToRelative(-2.9f, 0.7f, -4.9f, 2.6f, -4.6f, 4.9f)
                curveToRelative(0.3f, 2.0f, 2.9f, 3.3f, 5.9f, 2.6f)
                curveToRelative(2.9f, -0.7f, 4.9f, -2.6f, 4.6f, -4.6f)
                curveToRelative(-0.3f, -1.9f, -3.0f, -3.2f, -5.9f, -2.9f)
                close()
                moveTo(244.8f, 8.0f)
                curveTo(106.1f, 8.0f, 0.0f, 113.3f, 0.0f, 252.0f)
                curveToRelative(0.0f, 110.9f, 69.8f, 205.8f, 169.5f, 239.2f)
                curveToRelative(12.8f, 2.3f, 17.3f, -5.6f, 17.3f, -12.1f)
                curveToRelative(0.0f, -6.2f, -0.3f, -40.4f, -0.3f, -61.4f)
                curveToRelative(0.0f, 0.0f, -70.0f, 15.0f, -84.7f, -29.8f)
                curveToRelative(0.0f, 0.0f, -11.4f, -29.1f, -27.8f, -36.6f)
                curveToRelative(0.0f, 0.0f, -22.9f, -15.7f, 1.6f, -15.4f)
                curveToRelative(0.0f, 0.0f, 24.9f, 2.0f, 38.6f, 25.8f)
                curveToRelative(21.9f, 38.6f, 58.6f, 27.5f, 72.9f, 20.9f)
                curveToRelative(2.3f, -16.0f, 8.8f, -27.1f, 16.0f, -33.7f)
                curveToRelative(-55.9f, -6.2f, -112.3f, -14.3f, -112.3f, -110.5f)
                curveToRelative(0.0f, -27.5f, 7.6f, -41.3f, 23.6f, -58.9f)
                curveToRelative(-2.6f, -6.5f, -11.1f, -33.3f, 2.6f, -67.9f)
                curveToRelative(20.9f, -6.5f, 69.0f, 27.0f, 69.0f, 27.0f)
                curveToRelative(20.0f, -5.6f, 41.5f, -8.5f, 62.8f, -8.5f)
                reflectiveCurveToRelative(42.8f, 2.9f, 62.8f, 8.5f)
                curveToRelative(0.0f, 0.0f, 48.1f, -33.6f, 69.0f, -27.0f)
                curveToRelative(13.7f, 34.7f, 5.2f, 61.4f, 2.6f, 67.9f)
                curveToRelative(16.0f, 17.7f, 25.8f, 31.5f, 25.8f, 58.9f)
                curveToRelative(0.0f, 96.5f, -58.9f, 104.2f, -114.8f, 110.5f)
                curveToRelative(9.2f, 7.9f, 17.0f, 22.9f, 17.0f, 46.4f)
                curveToRelative(0.0f, 33.7f, -0.3f, 75.4f, -0.3f, 83.6f)
                curveToRelative(0.0f, 6.5f, 4.6f, 14.4f, 17.3f, 12.1f)
                curveTo(428.2f, 457.8f, 496.0f, 362.9f, 496.0f, 252.0f)
                curveTo(496.0f, 113.3f, 383.5f, 8.0f, 244.8f, 8.0f)
                close()
                moveTo(97.2f, 352.9f)
                curveToRelative(-1.3f, 1.0f, -1.0f, 3.3f, 0.7f, 5.2f)
                curveToRelative(1.6f, 1.6f, 3.9f, 2.3f, 5.2f, 1.0f)
                curveToRelative(1.3f, -1.0f, 1.0f, -3.3f, -0.7f, -5.2f)
                curveToRelative(-1.6f, -1.6f, -3.9f, -2.3f, -5.2f, -1.0f)
                close()
                moveTo(86.4f, 344.8f)
                curveToRelative(-0.7f, 1.3f, 0.3f, 2.9f, 2.3f, 3.9f)
                curveToRelative(1.6f, 1.0f, 3.6f, 0.7f, 4.3f, -0.7f)
                curveToRelative(0.7f, -1.3f, -0.3f, -2.9f, -2.3f, -3.9f)
                curveToRelative(-2.0f, -0.6f, -3.6f, -0.3f, -4.3f, 0.7f)
                close()
                moveTo(118.8f, 380.4f)
                curveToRelative(-1.6f, 1.3f, -1.0f, 4.3f, 1.3f, 6.2f)
                curveToRelative(2.3f, 2.3f, 5.2f, 2.6f, 6.5f, 1.0f)
                curveToRelative(1.3f, -1.3f, 0.7f, -4.3f, -1.3f, -6.2f)
                curveToRelative(-2.2f, -2.3f, -5.2f, -2.6f, -6.5f, -1.0f)
                close()
                moveTo(107.4f, 365.7f)
                curveToRelative(-1.6f, 1.0f, -1.6f, 3.6f, 0.0f, 5.9f)
                curveToRelative(1.6f, 2.3f, 4.3f, 3.3f, 5.6f, 2.3f)
                curveToRelative(1.6f, -1.3f, 1.6f, -3.9f, 0.0f, -6.2f)
                curveToRelative(-1.4f, -2.3f, -4.0f, -3.3f, -5.6f, -2.0f)
                close()
            }
        }
        .build()
        return _github!!
    }

private var _github: ImageVector? = null
