package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.GooglePay: ImageVector
    get() {
        if (_googlePay != null) {
            return _googlePay!!
        }
        _googlePay = Builder(name = "GooglePay", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(105.72f, 215.0f)
                verticalLineToRelative(41.25f)
                horizontalLineToRelative(57.1f)
                arcToRelative(49.66f, 49.66f, 0.0f, false, true, -21.14f, 32.6f)
                curveToRelative(-9.54f, 6.55f, -21.72f, 10.28f, -36.0f, 10.28f)
                curveToRelative(-27.6f, 0.0f, -50.93f, -18.91f, -59.3f, -44.22f)
                arcToRelative(65.61f, 65.61f, 0.0f, false, true, 0.0f, -41.0f)
                lineToRelative(0.0f, 0.0f)
                curveToRelative(8.37f, -25.46f, 31.7f, -44.37f, 59.3f, -44.37f)
                arcToRelative(56.43f, 56.43f, 0.0f, false, true, 40.51f, 16.08f)
                lineTo(176.47f, 155.0f)
                arcToRelative(101.24f, 101.24f, 0.0f, false, false, -70.75f, -27.84f)
                arcToRelative(105.55f, 105.55f, 0.0f, false, false, -94.38f, 59.11f)
                arcToRelative(107.64f, 107.64f, 0.0f, false, false, 0.0f, 96.18f)
                verticalLineToRelative(0.15f)
                arcToRelative(105.41f, 105.41f, 0.0f, false, false, 94.38f, 59.0f)
                curveToRelative(28.47f, 0.0f, 52.55f, -9.53f, 70.0f, -25.91f)
                curveToRelative(20.0f, -18.61f, 31.41f, -46.15f, 31.41f, -78.91f)
                arcTo(133.76f, 133.76f, 0.0f, false, false, 205.38f, 215.0f)
                close()
                moveTo(495.13f, 211.0f)
                curveToRelative(-10.13f, -9.38f, -23.93f, -14.14f, -41.39f, -14.14f)
                curveToRelative(-22.46f, 0.0f, -39.34f, 8.34f, -50.5f, 24.86f)
                lineToRelative(20.85f, 13.26f)
                quadToRelative(11.45f, -17.0f, 31.26f, -17.0f)
                arcToRelative(34.05f, 34.05f, 0.0f, false, true, 22.75f, 8.79f)
                arcTo(28.14f, 28.14f, 0.0f, false, true, 487.79f, 248.0f)
                verticalLineToRelative(5.51f)
                curveToRelative(-9.1f, -5.07f, -20.55f, -7.75f, -34.64f, -7.75f)
                curveToRelative(-16.44f, 0.0f, -29.65f, 3.88f, -39.49f, 11.77f)
                reflectiveCurveToRelative(-14.82f, 18.31f, -14.82f, 31.56f)
                arcToRelative(39.74f, 39.74f, 0.0f, false, false, 13.94f, 31.27f)
                curveToRelative(9.25f, 8.34f, 21.0f, 12.51f, 34.79f, 12.51f)
                curveToRelative(16.29f, 0.0f, 29.21f, -7.3f, 39.0f, -21.89f)
                horizontalLineToRelative(1.0f)
                verticalLineToRelative(17.72f)
                horizontalLineToRelative(22.61f)
                lineTo(510.18f, 250.0f)
                curveTo(510.25f, 233.45f, 505.26f, 220.34f, 495.13f, 211.0f)
                close()
                moveTo(475.9f, 300.3f)
                arcToRelative(37.32f, 37.32f, 0.0f, false, true, -26.57f, 11.16f)
                arcTo(28.61f, 28.61f, 0.0f, false, true, 431.0f, 305.21f)
                arcToRelative(19.41f, 19.41f, 0.0f, false, true, -7.77f, -15.63f)
                curveToRelative(0.0f, -7.0f, 3.22f, -12.81f, 9.54f, -17.42f)
                reflectiveCurveToRelative(14.53f, -7.0f, 24.07f, -7.0f)
                curveTo(470.0f, 265.0f, 480.3f, 268.0f, 487.64f, 273.94f)
                curveTo(487.64f, 284.07f, 483.68f, 292.85f, 475.9f, 300.3f)
                close()
                moveTo(382.25f, 158.3f)
                arcTo(55.71f, 55.71f, 0.0f, false, false, 341.74f, 142.0f)
                lineTo(279.07f, 142.0f)
                lineTo(279.07f, 328.74f)
                lineTo(302.7f, 328.74f)
                lineTo(302.7f, 253.1f)
                horizontalLineToRelative(39.0f)
                curveToRelative(16.0f, 0.0f, 29.5f, -5.36f, 40.51f, -15.93f)
                curveToRelative(0.88f, -0.89f, 1.76f, -1.79f, 2.65f, -2.68f)
                arcTo(54.45f, 54.45f, 0.0f, false, false, 382.25f, 158.26f)
                close()
                moveTo(365.67f, 220.53f)
                arcToRelative(30.65f, 30.65f, 0.0f, false, true, -23.34f, 9.68f)
                lineTo(302.7f, 230.21f)
                lineTo(302.7f, 165.0f)
                horizontalLineToRelative(39.63f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, true, 22.6f, 9.23f)
                arcTo(33.18f, 33.18f, 0.0f, false, true, 365.67f, 220.49f)
                close()
                moveTo(614.31f, 201.0f)
                lineTo(577.77f, 292.7f)
                horizontalLineToRelative(-0.45f)
                lineTo(539.9f, 201.0f)
                lineTo(514.21f, 201.0f)
                lineTo(566.0f, 320.55f)
                lineToRelative(-29.35f, 64.32f)
                lineTo(561.0f, 384.87f)
                lineTo(640.0f, 201.0f)
                close()
            }
        }
        .build()
        return _googlePay!!
    }

private var _googlePay: ImageVector? = null
