package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Java: ImageVector
    get() {
        if (_java != null) {
            return _java!!
        }
        _java = Builder(name = "Java", defaultWidth = 384.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(277.74f, 312.9f)
                curveToRelative(9.8f, -6.7f, 23.4f, -12.5f, 23.4f, -12.5f)
                reflectiveCurveToRelative(-38.7f, 7.0f, -77.2f, 10.2f)
                curveToRelative(-47.1f, 3.9f, -97.7f, 4.7f, -123.1f, 1.3f)
                curveToRelative(-60.1f, -8.0f, 33.0f, -30.1f, 33.0f, -30.1f)
                reflectiveCurveToRelative(-36.1f, -2.4f, -80.6f, 19.0f)
                curveToRelative(-52.5f, 25.4f, 130.0f, 37.0f, 224.5f, 12.1f)
                close()
                moveTo(192.34f, 280.8f)
                curveToRelative(-19.0f, -42.7f, -83.1f, -80.2f, 0.0f, -145.8f)
                curveTo(296.0f, 53.2f, 242.84f, 0.0f, 242.84f, 0.0f)
                curveToRelative(21.5f, 84.5f, -75.6f, 110.1f, -110.7f, 162.6f)
                curveToRelative(-23.9f, 35.9f, 11.7f, 74.4f, 60.2f, 118.2f)
                close()
                moveTo(306.94f, 104.6f)
                curveToRelative(0.1f, 0.0f, -175.2f, 43.8f, -91.5f, 140.2f)
                curveToRelative(24.7f, 28.4f, -6.5f, 54.0f, -6.5f, 54.0f)
                reflectiveCurveToRelative(62.7f, -32.4f, 33.9f, -72.9f)
                curveToRelative(-26.9f, -37.8f, -47.5f, -56.6f, 64.1f, -121.3f)
                close()
                moveTo(300.84f, 375.1f)
                arcToRelative(12.19f, 12.19f, 0.0f, false, true, -2.0f, 2.6f)
                curveToRelative(128.3f, -33.7f, 81.1f, -118.9f, 19.8f, -97.3f)
                arcToRelative(17.33f, 17.33f, 0.0f, false, false, -8.2f, 6.3f)
                arcToRelative(70.45f, 70.45f, 0.0f, false, true, 11.0f, -3.0f)
                curveToRelative(31.0f, -6.5f, 75.5f, 41.5f, -20.6f, 91.4f)
                close()
                moveTo(348.0f, 437.4f)
                reflectiveCurveToRelative(14.5f, 11.9f, -15.9f, 21.2f)
                curveToRelative(-57.9f, 17.5f, -240.8f, 22.8f, -291.6f, 0.7f)
                curveToRelative(-18.3f, -7.9f, 16.0f, -19.0f, 26.8f, -21.3f)
                curveToRelative(11.2f, -2.4f, 17.7f, -2.0f, 17.7f, -2.0f)
                curveToRelative(-20.3f, -14.3f, -131.3f, 28.1f, -56.4f, 40.2f)
                curveTo(232.84f, 509.4f, 401.0f, 461.3f, 348.0f, 437.4f)
                close()
                moveTo(124.44f, 396.0f)
                curveToRelative(-78.7f, 22.0f, 47.9f, 67.4f, 148.1f, 24.5f)
                arcToRelative(185.89f, 185.89f, 0.0f, false, true, -28.2f, -13.8f)
                curveToRelative(-44.7f, 8.5f, -65.4f, 9.1f, -106.0f, 4.5f)
                curveToRelative(-33.5f, -3.8f, -13.9f, -15.2f, -13.9f, -15.2f)
                close()
                moveTo(304.24f, 493.2f)
                curveToRelative(-78.7f, 14.8f, -175.8f, 13.1f, -233.3f, 3.6f)
                curveToRelative(0.0f, -0.1f, 11.8f, 9.7f, 72.4f, 13.6f)
                curveToRelative(92.2f, 5.9f, 233.8f, -3.3f, 237.1f, -46.9f)
                curveToRelative(0.0f, 0.0f, -6.4f, 16.5f, -76.2f, 29.7f)
                close()
                moveTo(260.64f, 353.0f)
                curveToRelative(-59.2f, 11.4f, -93.5f, 11.1f, -136.8f, 6.6f)
                curveToRelative(-33.5f, -3.5f, -11.6f, -19.7f, -11.6f, -19.7f)
                curveToRelative(-86.8f, 28.8f, 48.2f, 61.4f, 169.5f, 25.9f)
                arcToRelative(60.37f, 60.37f, 0.0f, false, true, -21.1f, -12.8f)
                close()
            }
        }
        .build()
        return _java!!
    }

private var _java: ImageVector? = null
