package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Keycdn: ImageVector
    get() {
        if (_keycdn != null) {
            return _keycdn!!
        }
        _keycdn = Builder(name = "Keycdn", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(63.8f, 409.3f)
                lineToRelative(60.5f, -59.0f)
                curveToRelative(32.1f, 42.8f, 71.1f, 66.0f, 126.6f, 67.4f)
                curveToRelative(30.5f, 0.7f, 60.3f, -7.0f, 86.4f, -22.4f)
                curveToRelative(5.1f, 5.3f, 18.5f, 19.5f, 20.9f, 22.0f)
                curveToRelative(-32.2f, 20.7f, -69.6f, 31.1f, -108.1f, 30.2f)
                curveToRelative(-43.3f, -1.1f, -84.6f, -16.7f, -117.7f, -44.4f)
                curveToRelative(0.3f, -0.6f, -38.2f, 37.5f, -38.6f, 37.9f)
                curveToRelative(9.5f, 29.8f, -13.1f, 62.4f, -46.3f, 62.4f)
                curveTo(20.7f, 503.3f, 0.0f, 481.7f, 0.0f, 454.9f)
                curveToRelative(0.0f, -34.3f, 33.1f, -56.6f, 63.8f, -45.6f)
                close()
                moveTo(418.7f, 156.9f)
                curveToRelative(19.1f, 31.3f, 29.6f, 67.4f, 28.7f, 104.0f)
                curveToRelative(-1.1f, 44.8f, -19.0f, 87.5f, -48.6f, 121.0f)
                curveToRelative(0.3f, 0.3f, 23.8f, 25.2f, 24.1f, 25.5f)
                curveToRelative(9.6f, -1.3f, 19.2f, 2.0f, 25.9f, 9.1f)
                curveToRelative(11.3f, 12.0f, 10.9f, 30.9f, -1.1f, 42.4f)
                curveToRelative(-12.0f, 11.3f, -30.9f, 10.9f, -42.4f, -1.1f)
                curveToRelative(-6.7f, -7.0f, -9.4f, -16.8f, -7.6f, -26.3f)
                curveToRelative(-24.9f, -26.6f, -44.4f, -47.2f, -44.4f, -47.2f)
                curveToRelative(42.7f, -34.1f, 63.3f, -79.6f, 64.4f, -124.2f)
                curveToRelative(0.7f, -28.9f, -7.2f, -57.2f, -21.1f, -82.2f)
                lineToRelative(22.1f, -21.0f)
                close()
                moveTo(104.0f, 53.1f)
                curveToRelative(6.7f, 7.0f, 9.4f, 16.8f, 7.6f, 26.3f)
                lineToRelative(45.9f, 48.1f)
                curveToRelative(-4.7f, 3.8f, -13.3f, 10.4f, -22.8f, 21.3f)
                curveToRelative(-25.4f, 28.5f, -39.6f, 64.8f, -40.7f, 102.9f)
                curveToRelative(-0.7f, 28.9f, 6.1f, 57.2f, 20.0f, 82.4f)
                lineToRelative(-22.0f, 21.5f)
                curveTo(72.7f, 324.0f, 63.1f, 287.9f, 64.2f, 250.9f)
                curveToRelative(1.0f, -44.6f, 18.3f, -87.6f, 47.5f, -121.1f)
                lineToRelative(-25.3f, -26.4f)
                curveToRelative(-9.6f, 1.3f, -19.2f, -2.0f, -25.9f, -9.1f)
                curveToRelative(-11.3f, -12.0f, -10.9f, -30.9f, 1.1f, -42.4f)
                curveTo(73.5f, 40.7f, 92.2f, 41.0f, 104.0f, 53.1f)
                close()
                moveTo(464.9f, 8.0f)
                curveToRelative(26.0f, 0.0f, 47.1f, 22.4f, 47.1f, 48.3f)
                reflectiveCurveTo(490.9f, 104.0f, 464.9f, 104.0f)
                curveToRelative(-6.3f, 0.1f, -14.0f, -1.1f, -15.9f, -1.8f)
                lineToRelative(-62.9f, 59.7f)
                curveToRelative(-32.7f, -43.6f, -76.7f, -65.9f, -126.9f, -67.2f)
                curveToRelative(-30.5f, -0.7f, -60.3f, 6.8f, -86.2f, 22.4f)
                lineToRelative(-21.1f, -22.0f)
                curveTo(184.1f, 74.3f, 221.5f, 64.0f, 260.0f, 64.9f)
                curveToRelative(43.3f, 1.1f, 84.6f, 16.7f, 117.7f, 44.6f)
                lineToRelative(41.1f, -38.6f)
                curveToRelative(-1.5f, -4.7f, -2.2f, -9.6f, -2.2f, -14.5f)
                curveTo(416.5f, 29.7f, 438.9f, 8.0f, 464.9f, 8.0f)
                close()
                moveTo(256.7f, 113.4f)
                curveToRelative(5.5f, 0.0f, 10.9f, 0.4f, 16.4f, 1.1f)
                curveToRelative(78.1f, 9.8f, 133.4f, 81.1f, 123.8f, 159.1f)
                curveToRelative(-9.8f, 78.1f, -81.1f, 133.4f, -159.1f, 123.8f)
                curveToRelative(-78.1f, -9.8f, -133.4f, -81.1f, -123.8f, -159.2f)
                curveToRelative(9.3f, -72.4f, 70.1f, -124.6f, 142.7f, -124.8f)
                close()
                moveTo(197.7f, 232.8f)
                curveToRelative(0.6f, 22.7f, 12.2f, 41.8f, 32.4f, 52.2f)
                lineToRelative(-11.0f, 51.7f)
                horizontalLineToRelative(73.7f)
                lineToRelative(-11.0f, -51.7f)
                curveToRelative(20.1f, -10.9f, 32.1f, -29.0f, 32.4f, -52.2f)
                curveToRelative(-0.4f, -32.8f, -25.8f, -57.5f, -58.3f, -58.3f)
                curveToRelative(-32.1f, 0.8f, -57.3f, 24.8f, -58.2f, 58.3f)
                close()
                moveTo(256.0f, 160.0f)
            }
        }
        .build()
        return _keycdn!!
    }

private var _keycdn: ImageVector? = null
