package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Rust: ImageVector
    get() {
        if (_rust != null) {
            return _rust!!
        }
        _rust = Builder(name = "Rust", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(508.52f, 249.75f)
                lineTo(486.7f, 236.24f)
                curveToRelative(-0.17f, -2.0f, -0.34f, -3.93f, -0.55f, -5.88f)
                lineToRelative(18.72f, -17.5f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -2.44f, -12.25f)
                lineToRelative(-24.0f, -9.0f)
                curveToRelative(-0.54f, -1.88f, -1.08f, -3.78f, -1.67f, -5.64f)
                lineToRelative(15.0f, -20.83f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -4.79f, -11.54f)
                lineToRelative(-25.42f, -4.15f)
                curveToRelative(-0.9f, -1.73f, -1.79f, -3.45f, -2.73f, -5.15f)
                lineToRelative(10.68f, -23.42f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -6.95f, -10.39f)
                lineToRelative(-25.82f, 0.91f)
                quadToRelative(-1.79f, -2.22f, -3.61f, -4.4f)
                lineTo(439.0f, 81.84f)
                arcTo(7.36f, 7.36f, 0.0f, false, false, 430.16f, 73.0f)
                lineTo(405.0f, 78.93f)
                quadToRelative(-2.17f, -1.83f, -4.4f, -3.61f)
                lineToRelative(0.91f, -25.82f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -10.39f, -7.0f)
                lineTo(367.7f, 53.23f)
                curveToRelative(-1.7f, -0.94f, -3.43f, -1.84f, -5.15f, -2.73f)
                lineTo(358.4f, 25.08f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -11.54f, -4.79f)
                lineTo(326.0f, 35.26f)
                curveToRelative(-1.86f, -0.59f, -3.75f, -1.13f, -5.64f, -1.67f)
                lineToRelative(-9.0f, -24.0f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -12.25f, -2.44f)
                lineToRelative(-17.5f, 18.72f)
                curveToRelative(-1.95f, -0.21f, -3.91f, -0.38f, -5.88f, -0.55f)
                lineTo(262.25f, 3.48f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -12.5f, 0.0f)
                lineTo(236.24f, 25.3f)
                curveToRelative(-2.0f, 0.17f, -3.93f, 0.34f, -5.88f, 0.55f)
                lineTo(212.86f, 7.13f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -12.25f, 2.44f)
                lineToRelative(-9.0f, 24.0f)
                curveToRelative(-1.89f, 0.55f, -3.79f, 1.08f, -5.66f, 1.68f)
                lineToRelative(-20.82f, -15.0f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -11.54f, 4.79f)
                lineToRelative(-4.15f, 25.41f)
                curveToRelative(-1.73f, 0.9f, -3.45f, 1.79f, -5.16f, 2.73f)
                lineTo(120.88f, 42.55f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -10.39f, 7.0f)
                lineToRelative(0.92f, 25.81f)
                curveToRelative(-1.49f, 1.19f, -3.0f, 2.39f, -4.42f, 3.61f)
                lineTo(81.84f, 73.0f)
                arcTo(7.36f, 7.36f, 0.0f, false, false, 73.0f, 81.84f)
                lineTo(78.93f, 107.0f)
                curveToRelative(-1.23f, 1.45f, -2.43f, 2.93f, -3.62f, 4.41f)
                lineToRelative(-25.81f, -0.91f)
                arcToRelative(7.42f, 7.42f, 0.0f, false, false, -6.37f, 3.26f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -0.57f, 7.13f)
                lineToRelative(10.66f, 23.41f)
                curveToRelative(-0.94f, 1.7f, -1.83f, 3.43f, -2.73f, 5.16f)
                lineTo(25.08f, 153.6f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -4.79f, 11.54f)
                lineToRelative(15.0f, 20.82f)
                curveToRelative(-0.59f, 1.87f, -1.13f, 3.77f, -1.68f, 5.66f)
                lineToRelative(-24.0f, 9.0f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, -2.44f, 12.25f)
                lineToRelative(18.72f, 17.5f)
                curveToRelative(-0.21f, 1.95f, -0.38f, 3.91f, -0.55f, 5.88f)
                lineTo(3.48f, 249.75f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 0.0f, 12.5f)
                lineTo(25.3f, 275.76f)
                curveToRelative(0.17f, 2.0f, 0.34f, 3.92f, 0.55f, 5.87f)
                lineTo(7.13f, 299.13f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 2.44f, 12.25f)
                lineToRelative(24.0f, 9.0f)
                curveToRelative(0.55f, 1.89f, 1.08f, 3.78f, 1.68f, 5.65f)
                lineToRelative(-15.0f, 20.83f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 4.79f, 11.54f)
                lineToRelative(25.42f, 4.15f)
                curveToRelative(0.9f, 1.72f, 1.79f, 3.45f, 2.73f, 5.14f)
                lineTo(42.56f, 391.12f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 0.57f, 7.13f)
                arcToRelative(7.13f, 7.13f, 0.0f, false, false, 6.37f, 3.26f)
                lineToRelative(25.83f, -0.91f)
                quadToRelative(1.77f, 2.22f, 3.6f, 4.4f)
                lineTo(73.0f, 430.16f)
                arcTo(7.36f, 7.36f, 0.0f, false, false, 81.84f, 439.0f)
                lineTo(107.0f, 433.07f)
                quadToRelative(2.18f, 1.83f, 4.41f, 3.61f)
                lineToRelative(-0.92f, 25.82f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 10.39f, 6.95f)
                lineToRelative(23.43f, -10.68f)
                curveToRelative(1.69f, 0.94f, 3.42f, 1.83f, 5.14f, 2.73f)
                lineToRelative(4.15f, 25.42f)
                arcToRelative(7.34f, 7.34f, 0.0f, false, false, 11.54f, 4.78f)
                lineToRelative(20.83f, -15.0f)
                curveToRelative(1.86f, 0.6f, 3.76f, 1.13f, 5.65f, 1.68f)
                lineToRelative(9.0f, 24.0f)
                arcToRelative(7.36f, 7.36f, 0.0f, false, false, 12.25f, 2.44f)
                lineToRelative(17.5f, -18.72f)
                curveToRelative(1.95f, 0.21f, 3.92f, 0.38f, 5.88f, 0.55f)
                lineToRelative(13.51f, 21.82f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 12.5f, 0.0f)
                lineToRelative(13.51f, -21.82f)
                curveToRelative(2.0f, -0.17f, 3.93f, -0.34f, 5.88f, -0.56f)
                lineToRelative(17.5f, 18.73f)
                arcToRelative(7.36f, 7.36f, 0.0f, false, false, 12.25f, -2.44f)
                lineToRelative(9.0f, -24.0f)
                curveToRelative(1.89f, -0.55f, 3.78f, -1.08f, 5.65f, -1.68f)
                lineToRelative(20.82f, 15.0f)
                arcToRelative(7.34f, 7.34f, 0.0f, false, false, 11.54f, -4.78f)
                lineToRelative(4.15f, -25.42f)
                curveToRelative(1.72f, -0.9f, 3.45f, -1.79f, 5.15f, -2.73f)
                lineToRelative(23.42f, 10.68f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 10.39f, -6.95f)
                lineToRelative(-0.91f, -25.82f)
                quadToRelative(2.22f, -1.79f, 4.4f, -3.61f)
                lineTo(430.16f, 439.0f)
                arcToRelative(7.36f, 7.36f, 0.0f, false, false, 8.84f, -8.84f)
                lineTo(433.07f, 405.0f)
                quadToRelative(1.83f, -2.17f, 3.61f, -4.4f)
                lineToRelative(25.82f, 0.91f)
                arcToRelative(7.23f, 7.23f, 0.0f, false, false, 6.37f, -3.26f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 0.58f, -7.13f)
                lineTo(458.77f, 367.7f)
                curveToRelative(0.94f, -1.7f, 1.83f, -3.43f, 2.73f, -5.15f)
                lineToRelative(25.42f, -4.15f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 4.79f, -11.54f)
                lineToRelative(-15.0f, -20.83f)
                curveToRelative(0.59f, -1.87f, 1.13f, -3.76f, 1.67f, -5.65f)
                lineToRelative(24.0f, -9.0f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 2.44f, -12.25f)
                lineToRelative(-18.72f, -17.5f)
                curveToRelative(0.21f, -1.95f, 0.38f, -3.91f, 0.55f, -5.87f)
                lineToRelative(21.82f, -13.51f)
                arcToRelative(7.35f, 7.35f, 0.0f, false, false, 0.0f, -12.5f)
                close()
                moveTo(357.52f, 378.83f)
                arcTo(13.91f, 13.91f, 0.0f, false, false, 341.0f, 389.51f)
                lineToRelative(-7.64f, 35.67f)
                arcTo(187.51f, 187.51f, 0.0f, false, true, 177.0f, 424.44f)
                lineToRelative(-7.64f, -35.66f)
                arcToRelative(13.87f, 13.87f, 0.0f, false, false, -16.46f, -10.68f)
                lineToRelative(-31.51f, 6.76f)
                arcToRelative(187.38f, 187.38f, 0.0f, false, true, -16.26f, -19.21f)
                lineTo(258.3f, 365.65f)
                curveToRelative(1.72f, 0.0f, 2.89f, -0.29f, 2.89f, -1.91f)
                lineTo(261.19f, 309.55f)
                curveToRelative(0.0f, -1.57f, -1.17f, -1.91f, -2.89f, -1.91f)
                lineTo(213.47f, 307.64f)
                lineToRelative(0.05f, -34.35f)
                lineTo(262.0f, 273.29f)
                curveToRelative(4.41f, 0.0f, 23.66f, 1.28f, 29.79f, 25.87f)
                curveToRelative(1.91f, 7.55f, 6.17f, 32.14f, 9.06f, 40.0f)
                curveToRelative(2.89f, 8.82f, 14.6f, 26.46f, 27.1f, 26.46f)
                lineTo(407.0f, 365.62f)
                arcToRelative(187.3f, 187.3f, 0.0f, false, true, -17.34f, 20.09f)
                close()
                moveTo(383.29f, 413.32f)
                arcTo(15.24f, 15.24f, 0.0f, true, true, 368.0f, 398.08f)
                horizontalLineToRelative(0.44f)
                arcTo(15.23f, 15.23f, 0.0f, false, true, 383.24f, 413.32f)
                close()
                moveTo(157.67f, 412.64f)
                arcToRelative(15.24f, 15.24f, 0.0f, true, true, -15.25f, -15.25f)
                horizontalLineToRelative(0.45f)
                arcTo(15.25f, 15.25f, 0.0f, false, true, 157.62f, 412.64f)
                close()
                moveTo(69.57f, 234.15f)
                lineToRelative(32.83f, -14.6f)
                arcToRelative(13.88f, 13.88f, 0.0f, false, false, 7.06f, -18.33f)
                lineTo(102.69f, 186.0f)
                horizontalLineToRelative(26.56f)
                lineTo(129.25f, 305.73f)
                lineTo(75.65f, 305.73f)
                arcTo(187.65f, 187.65f, 0.0f, false, true, 69.57f, 234.15f)
                close()
                moveTo(58.31f, 198.09f)
                arcToRelative(15.24f, 15.24f, 0.0f, false, true, 15.23f, -15.25f)
                lineTo(74.0f, 182.84f)
                arcToRelative(15.24f, 15.24f, 0.0f, true, true, -15.67f, 15.24f)
                close()
                moveTo(213.47f, 222.58f)
                lineTo(213.52f, 187.26f)
                horizontalLineToRelative(63.26f)
                curveToRelative(3.28f, 0.0f, 23.07f, 3.77f, 23.07f, 18.62f)
                curveToRelative(0.0f, 12.29f, -15.19f, 16.7f, -27.68f, 16.7f)
                close()
                moveTo(399.0f, 306.71f)
                curveToRelative(-9.8f, 1.13f, -20.63f, -4.12f, -22.0f, -10.09f)
                curveToRelative(-5.78f, -32.49f, -15.39f, -39.4f, -30.57f, -51.4f)
                curveToRelative(18.86f, -11.95f, 38.46f, -29.64f, 38.46f, -53.26f)
                curveToRelative(0.0f, -25.52f, -17.49f, -41.59f, -29.4f, -49.48f)
                curveToRelative(-16.76f, -11.0f, -35.28f, -13.23f, -40.27f, -13.23f)
                lineTo(116.32f, 129.25f)
                arcTo(187.49f, 187.49f, 0.0f, false, true, 221.21f, 70.06f)
                lineToRelative(23.47f, 24.6f)
                arcToRelative(13.82f, 13.82f, 0.0f, false, false, 19.6f, 0.44f)
                lineToRelative(26.26f, -25.0f)
                arcToRelative(187.51f, 187.51f, 0.0f, false, true, 128.37f, 91.43f)
                lineToRelative(-18.0f, 40.57f)
                arcTo(14.0f, 14.0f, 0.0f, false, false, 408.0f, 220.43f)
                lineToRelative(34.59f, 15.33f)
                arcToRelative(187.12f, 187.12f, 0.0f, false, true, 0.4f, 32.54f)
                lineTo(423.71f, 268.3f)
                curveToRelative(-1.91f, 0.0f, -2.69f, 1.27f, -2.69f, 3.13f)
                verticalLineToRelative(8.82f)
                curveTo(421.0f, 301.0f, 409.31f, 305.58f, 399.0f, 306.71f)
                close()
                moveTo(240.0f, 60.21f)
                arcTo(15.24f, 15.24f, 0.0f, false, true, 255.21f, 45.0f)
                horizontalLineToRelative(0.45f)
                arcTo(15.24f, 15.24f, 0.0f, true, true, 240.0f, 60.21f)
                close()
                moveTo(436.84f, 214.0f)
                arcToRelative(15.24f, 15.24f, 0.0f, true, true, 0.0f, -30.48f)
                horizontalLineToRelative(0.44f)
                arcToRelative(15.24f, 15.24f, 0.0f, false, true, -0.44f, 30.48f)
                close()
            }
        }
        .build()
        return _rust!!
    }

private var _rust: ImageVector? = null
