package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Sass: ImageVector
    get() {
        if (_sass != null) {
            return _sass!!
        }
        _sass = Builder(name = "Sass", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(301.84f, 378.92f)
                curveToRelative(-0.3f, 0.6f, -0.6f, 1.08f, 0.0f, 0.0f)
                close()
                moveTo(550.97f, 291.92f)
                arcToRelative(131.16f, 131.16f, 0.0f, false, false, -58.0f, 13.5f)
                curveToRelative(-5.9f, -11.9f, -12.0f, -22.3f, -13.0f, -30.1f)
                curveToRelative(-1.2f, -9.1f, -2.5f, -14.5f, -1.1f, -25.3f)
                reflectiveCurveToRelative(7.7f, -26.1f, 7.6f, -27.2f)
                reflectiveCurveToRelative(-1.4f, -6.6f, -14.3f, -6.7f)
                reflectiveCurveToRelative(-24.0f, 2.5f, -25.29f, 5.9f)
                arcToRelative(122.83f, 122.83f, 0.0f, false, false, -5.3f, 19.1f)
                curveToRelative(-2.3f, 11.7f, -25.79f, 53.5f, -39.09f, 75.3f)
                curveToRelative(-4.4f, -8.5f, -8.1f, -16.0f, -8.9f, -22.0f)
                curveToRelative(-1.2f, -9.1f, -2.5f, -14.5f, -1.1f, -25.3f)
                reflectiveCurveToRelative(7.7f, -26.1f, 7.6f, -27.2f)
                reflectiveCurveToRelative(-1.4f, -6.6f, -14.29f, -6.7f)
                reflectiveCurveToRelative(-24.0f, 2.5f, -25.3f, 5.9f)
                reflectiveCurveToRelative(-2.7f, 11.4f, -5.3f, 19.1f)
                reflectiveCurveToRelative(-33.89f, 77.3f, -42.08f, 95.4f)
                curveToRelative(-4.2f, 9.2f, -7.8f, 16.6f, -10.4f, 21.6f)
                curveToRelative(-0.4f, 0.8f, -0.7f, 1.3f, -0.9f, 1.7f)
                curveToRelative(0.3f, -0.5f, 0.5f, -1.0f, 0.5f, -0.8f)
                curveToRelative(-2.2f, 4.3f, -3.5f, 6.7f, -3.5f, 6.7f)
                verticalLineToRelative(0.1f)
                curveToRelative(-1.7f, 3.2f, -3.6f, 6.1f, -4.5f, 6.1f)
                curveToRelative(-0.6f, 0.0f, -1.9f, -8.4f, 0.3f, -19.9f)
                curveToRelative(4.7f, -24.2f, 15.8f, -61.8f, 15.7f, -63.1f)
                curveToRelative(-0.1f, -0.7f, 2.1f, -7.2f, -7.3f, -10.7f)
                curveToRelative(-9.1f, -3.3f, -12.4f, 2.2f, -13.2f, 2.2f)
                reflectiveCurveToRelative(-1.4f, 2.0f, -1.4f, 2.0f)
                reflectiveCurveToRelative(10.1f, -42.4f, -19.39f, -42.4f)
                curveToRelative(-18.4f, 0.0f, -44.0f, 20.2f, -56.58f, 38.5f)
                curveToRelative(-7.9f, 4.3f, -25.0f, 13.6f, -43.0f, 23.5f)
                curveToRelative(-6.9f, 3.8f, -14.0f, 7.7f, -20.7f, 11.4f)
                curveToRelative(-0.5f, -0.5f, -0.9f, -1.0f, -1.4f, -1.5f)
                curveToRelative(-35.79f, -38.2f, -101.87f, -65.2f, -99.07f, -116.5f)
                curveToRelative(1.0f, -18.7f, 7.5f, -67.8f, 127.07f, -127.4f)
                curveToRelative(98.0f, -48.8f, 176.35f, -35.4f, 189.84f, -5.6f)
                curveToRelative(19.4f, 42.5f, -41.89f, 121.6f, -143.66f, 133.0f)
                curveToRelative(-38.79f, 4.3f, -59.18f, -10.7f, -64.28f, -16.3f)
                curveToRelative(-5.3f, -5.9f, -6.1f, -6.2f, -8.1f, -5.1f)
                curveToRelative(-3.3f, 1.8f, -1.2f, 7.0f, 0.0f, 10.1f)
                curveToRelative(3.0f, 7.9f, 15.5f, 21.9f, 36.79f, 28.9f)
                curveToRelative(18.7f, 6.1f, 64.18f, 9.5f, 119.17f, -11.8f)
                curveToRelative(61.78f, -23.8f, 109.87f, -90.1f, 95.77f, -145.6f)
                curveTo(386.52f, 18.32f, 293.0f, -0.18f, 204.57f, 31.22f)
                curveToRelative(-52.69f, 18.7f, -109.67f, 48.1f, -150.66f, 86.4f)
                curveToRelative(-48.69f, 45.6f, -56.48f, 85.3f, -53.28f, 101.9f)
                curveToRelative(11.39f, 58.9f, 92.57f, 97.3f, 125.06f, 125.7f)
                curveToRelative(-1.6f, 0.9f, -3.1f, 1.7f, -4.5f, 2.5f)
                curveToRelative(-16.29f, 8.1f, -78.18f, 40.5f, -93.67f, 74.7f)
                curveToRelative(-17.5f, 38.8f, 2.9f, 66.6f, 16.29f, 70.4f)
                curveToRelative(41.79f, 11.6f, 84.58f, -9.3f, 107.57f, -43.6f)
                reflectiveCurveToRelative(20.2f, -79.1f, 9.6f, -99.5f)
                curveToRelative(-0.1f, -0.3f, -0.3f, -0.5f, -0.4f, -0.8f)
                curveToRelative(4.2f, -2.5f, 8.5f, -5.0f, 12.8f, -7.5f)
                curveToRelative(8.29f, -4.9f, 16.39f, -9.4f, 23.49f, -13.3f)
                curveToRelative(-4.0f, 10.8f, -6.9f, 23.8f, -8.4f, 42.6f)
                curveToRelative(-1.8f, 22.0f, 7.3f, 50.5f, 19.1f, 61.7f)
                curveToRelative(5.2f, 4.9f, 11.49f, 5.0f, 15.39f, 5.0f)
                curveToRelative(13.8f, 0.0f, 20.0f, -11.4f, 26.89f, -25.0f)
                curveToRelative(8.5f, -16.6f, 16.0f, -35.9f, 16.0f, -35.9f)
                reflectiveCurveToRelative(-9.4f, 52.2f, 16.3f, 52.2f)
                curveToRelative(9.39f, 0.0f, 18.79f, -12.1f, 23.0f, -18.3f)
                verticalLineToRelative(0.1f)
                reflectiveCurveToRelative(0.2f, -0.4f, 0.7f, -1.2f)
                curveToRelative(1.0f, -1.5f, 1.5f, -2.4f, 1.5f, -2.4f)
                verticalLineToRelative(-0.3f)
                curveToRelative(3.8f, -6.5f, 12.1f, -21.4f, 24.59f, -46.0f)
                curveToRelative(16.2f, -31.8f, 31.69f, -71.5f, 31.69f, -71.5f)
                arcToRelative(201.24f, 201.24f, 0.0f, false, false, 6.2f, 25.8f)
                curveToRelative(2.8f, 9.5f, 8.7f, 19.9f, 13.4f, 30.0f)
                curveToRelative(-3.8f, 5.2f, -6.1f, 8.2f, -6.1f, 8.2f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, false, 0.1f, 0.2f)
                curveToRelative(-3.0f, 4.0f, -6.4f, 8.3f, -9.9f, 12.5f)
                curveToRelative(-12.79f, 15.2f, -28.0f, 32.6f, -30.0f, 37.6f)
                curveToRelative(-2.4f, 5.9f, -1.8f, 10.3f, 2.8f, 13.7f)
                curveToRelative(3.4f, 2.6f, 9.4f, 3.0f, 15.69f, 2.5f)
                curveToRelative(11.5f, -0.8f, 19.6f, -3.6f, 23.5f, -5.4f)
                arcToRelative(82.2f, 82.2f, 0.0f, false, false, 20.19f, -10.6f)
                curveToRelative(12.5f, -9.2f, 20.1f, -22.4f, 19.4f, -39.8f)
                curveToRelative(-0.4f, -9.6f, -3.5f, -19.2f, -7.3f, -28.2f)
                curveToRelative(1.1f, -1.6f, 2.3f, -3.3f, 3.4f, -5.0f)
                curveTo(434.8f, 301.72f, 450.1f, 270.0f, 450.1f, 270.0f)
                arcToRelative(201.24f, 201.24f, 0.0f, false, false, 6.2f, 25.8f)
                curveToRelative(2.4f, 8.1f, 7.09f, 17.0f, 11.39f, 25.7f)
                curveToRelative(-18.59f, 15.1f, -30.09f, 32.6f, -34.09f, 44.1f)
                curveToRelative(-7.4f, 21.3f, -1.6f, 30.9f, 9.3f, 33.1f)
                curveToRelative(4.9f, 1.0f, 11.9f, -1.3f, 17.1f, -3.5f)
                arcToRelative(79.46f, 79.46f, 0.0f, false, false, 21.59f, -11.1f)
                curveToRelative(12.5f, -9.2f, 24.59f, -22.1f, 23.79f, -39.6f)
                curveToRelative(-0.3f, -7.9f, -2.5f, -15.8f, -5.4f, -23.4f)
                curveToRelative(15.7f, -6.6f, 36.09f, -10.2f, 62.09f, -7.2f)
                curveToRelative(55.68f, 6.5f, 66.58f, 41.3f, 64.48f, 55.8f)
                reflectiveCurveToRelative(-13.8f, 22.6f, -17.7f, 25.0f)
                reflectiveCurveToRelative(-5.1f, 3.3f, -4.8f, 5.1f)
                curveToRelative(0.5f, 2.6f, 2.3f, 2.5f, 5.6f, 1.9f)
                curveToRelative(4.6f, -0.8f, 29.19f, -11.8f, 30.29f, -38.7f)
                curveToRelative(1.6f, -34.0f, -31.09f, -71.4f, -89.0f, -71.1f)
                close()
                moveTo(121.79f, 436.62f)
                curveToRelative(-18.39f, 20.1f, -44.19f, 27.7f, -55.28f, 21.3f)
                curveTo(54.61f, 451.0f, 59.31f, 421.42f, 82.0f, 400.0f)
                curveToRelative(13.8f, -13.0f, 31.59f, -25.0f, 43.39f, -32.4f)
                curveToRelative(2.7f, -1.6f, 6.6f, -4.0f, 11.4f, -6.9f)
                curveToRelative(0.8f, -0.5f, 1.2f, -0.7f, 1.2f, -0.7f)
                curveToRelative(0.9f, -0.6f, 1.9f, -1.1f, 2.9f, -1.7f)
                curveToRelative(8.29f, 30.4f, 0.3f, 57.2f, -19.1f, 78.3f)
                close()
                moveTo(256.15f, 345.22f)
                curveToRelative(-6.4f, 15.7f, -19.89f, 55.7f, -28.09f, 53.6f)
                curveToRelative(-7.0f, -1.8f, -11.3f, -32.3f, -1.4f, -62.3f)
                curveToRelative(5.0f, -15.1f, 15.6f, -33.1f, 21.9f, -40.1f)
                curveToRelative(10.09f, -11.3f, 21.19f, -14.9f, 23.79f, -10.4f)
                curveToRelative(3.5f, 5.9f, -12.2f, 49.4f, -16.2f, 59.2f)
                close()
                moveTo(367.15f, 398.22f)
                curveToRelative(-2.7f, 1.4f, -5.2f, 2.3f, -6.4f, 1.6f)
                curveToRelative(-0.9f, -0.5f, 1.1f, -2.4f, 1.1f, -2.4f)
                reflectiveCurveToRelative(13.9f, -14.9f, 19.4f, -21.7f)
                curveToRelative(3.2f, -4.0f, 6.9f, -8.7f, 10.89f, -13.9f)
                curveToRelative(0.0f, 0.5f, 0.1f, 1.0f, 0.1f, 1.6f)
                curveToRelative(-0.13f, 17.9f, -17.32f, 30.0f, -25.12f, 34.8f)
                close()
                moveTo(452.73f, 378.72f)
                curveToRelative(-2.0f, -1.4f, -1.7f, -6.1f, 5.0f, -20.7f)
                curveToRelative(2.6f, -5.7f, 8.59f, -15.3f, 19.0f, -24.5f)
                arcToRelative(36.18f, 36.18f, 0.0f, false, true, 1.9f, 10.8f)
                curveToRelative(-0.1f, 22.5f, -16.2f, 30.9f, -25.89f, 34.4f)
                close()
            }
        }
        .build()
        return _sass!!
    }

private var _sass: ImageVector? = null
