package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Squarespace: ImageVector
    get() {
        if (_squarespace != null) {
            return _squarespace!!
        }
        _squarespace = Builder(name = "Squarespace", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(186.12f, 343.34f)
                curveToRelative(-9.65f, 9.65f, -9.65f, 25.29f, 0.0f, 34.94f)
                curveToRelative(9.65f, 9.65f, 25.29f, 9.65f, 34.94f, 0.0f)
                lineTo(378.24f, 221.1f)
                curveToRelative(19.29f, -19.29f, 50.57f, -19.29f, 69.86f, 0.0f)
                reflectiveCurveToRelative(19.29f, 50.57f, 0.0f, 69.86f)
                lineTo(293.95f, 445.1f)
                curveToRelative(19.27f, 19.29f, 50.53f, 19.31f, 69.82f, 0.04f)
                lineToRelative(0.04f, -0.04f)
                lineToRelative(119.25f, -119.24f)
                curveToRelative(38.59f, -38.59f, 38.59f, -101.14f, 0.0f, -139.72f)
                curveToRelative(-38.59f, -38.59f, -101.15f, -38.59f, -139.72f, 0.0f)
                lineToRelative(-157.22f, 157.2f)
                close()
                moveTo(430.65f, 238.54f)
                curveToRelative(-9.65f, -9.65f, -25.29f, -9.65f, -34.93f, 0.0f)
                lineToRelative(-157.2f, 157.18f)
                curveToRelative(-19.27f, 19.29f, -50.53f, 19.31f, -69.82f, 0.05f)
                lineToRelative(-0.05f, -0.05f)
                curveToRelative(-9.64f, -9.64f, -25.27f, -9.65f, -34.92f, -0.01f)
                lineToRelative(-0.01f, 0.01f)
                curveToRelative(-9.65f, 9.64f, -9.66f, 25.28f, -0.02f, 34.93f)
                lineToRelative(0.02f, 0.02f)
                curveToRelative(38.58f, 38.57f, 101.14f, 38.57f, 139.72f, 0.0f)
                lineToRelative(157.2f, -157.2f)
                curveToRelative(9.65f, -9.65f, 9.65f, -25.29f, 0.01f, -34.93f)
                close()
                moveTo(168.66f, 325.87f)
                lineToRelative(157.18f, -157.18f)
                curveToRelative(9.64f, -9.65f, 9.64f, -25.29f, 0.0f, -34.94f)
                curveToRelative(-9.64f, -9.64f, -25.27f, -9.64f, -34.91f, 0.0f)
                lineTo(133.72f, 290.93f)
                curveToRelative(-19.28f, 19.29f, -50.56f, 19.3f, -69.85f, 0.01f)
                lineToRelative(-0.01f, -0.01f)
                curveToRelative(-19.29f, -19.28f, -19.31f, -50.54f, -0.03f, -69.84f)
                lineToRelative(0.03f, -0.03f)
                lineTo(218.03f, 66.89f)
                curveToRelative(-19.28f, -19.29f, -50.55f, -19.3f, -69.85f, -0.02f)
                lineToRelative(-0.02f, 0.02f)
                lineTo(28.93f, 186.14f)
                curveToRelative(-38.58f, 38.59f, -38.58f, 101.14f, 0.0f, 139.72f)
                curveToRelative(38.6f, 38.59f, 101.13f, 38.59f, 139.73f, 0.01f)
                close()
                moveTo(81.33f, 273.47f)
                curveToRelative(9.64f, 9.64f, 25.27f, 9.64f, 34.91f, 0.0f)
                lineToRelative(157.21f, -157.19f)
                curveToRelative(19.28f, -19.29f, 50.55f, -19.3f, 69.84f, -0.02f)
                lineToRelative(0.02f, 0.02f)
                curveToRelative(9.65f, 9.65f, 25.29f, 9.65f, 34.93f, 0.0f)
                curveToRelative(9.65f, -9.65f, 9.65f, -25.29f, 0.0f, -34.93f)
                curveToRelative(-38.59f, -38.59f, -101.13f, -38.59f, -139.72f, 0.0f)
                lineTo(81.33f, 238.54f)
                curveToRelative(-9.65f, 9.64f, -9.65f, 25.28f, -0.01f, 34.93f)
                horizontalLineToRelative(0.01f)
                close()
            }
        }
        .build()
        return _squarespace!!
    }

private var _squarespace: ImageVector? = null
