package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Staylinked: ImageVector
    get() {
        if (_staylinked != null) {
            return _staylinked!!
        }
        _staylinked = Builder(name = "Staylinked", defaultWidth = 440.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 440.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(382.7f, 292.5f)
                lineToRelative(2.7f, 2.7f)
                lineToRelative(-170.0f, -167.3f)
                curveToRelative(-3.5f, -3.5f, -9.7f, -3.7f, -13.8f, -0.5f)
                lineTo(144.3f, 171.0f)
                curveToRelative(-4.2f, 3.2f, -4.6f, 8.7f, -1.1f, 12.2f)
                lineToRelative(68.1f, 64.3f)
                curveToRelative(3.6f, 3.5f, 9.9f, 3.7f, 14.0f, 0.5f)
                lineToRelative(0.1f, -0.1f)
                curveToRelative(4.1f, -3.2f, 10.4f, -3.0f, 14.0f, 0.5f)
                lineToRelative(84.0f, 81.3f)
                curveToRelative(3.6f, 3.5f, 3.2f, 9.0f, -0.9f, 12.2f)
                lineToRelative(-93.2f, 74.0f)
                curveToRelative(-4.2f, 3.3f, -10.5f, 3.1f, -14.2f, -0.4f)
                lineTo(63.2f, 268.0f)
                curveToRelative(-3.5f, -3.5f, -9.7f, -3.7f, -13.9f, -0.5f)
                lineTo(3.5f, 302.4f)
                curveToRelative(-4.2f, 3.2f, -4.7f, 8.7f, -1.2f, 12.2f)
                lineTo(211.0f, 510.7f)
                reflectiveCurveToRelative(7.4f, 6.8f, 17.3f, -0.8f)
                lineToRelative(198.0f, -163.9f)
                curveToRelative(4.0f, -3.2f, 4.4f, -8.7f, 0.7f, -12.2f)
                close()
                moveTo(437.2f, 209.1f)
                lineTo(226.7f, 2.5f)
                curveToRelative(-1.5f, -1.2f, -8.0f, -5.5f, -16.3f, 1.1f)
                lineTo(3.6f, 165.7f)
                curveToRelative(-4.2f, 3.2f, -4.8f, 8.7f, -1.2f, 12.2f)
                lineToRelative(42.3f, 41.7f)
                lineToRelative(171.7f, 165.1f)
                curveToRelative(3.7f, 3.5f, 10.1f, 3.7f, 14.3f, 0.4f)
                lineToRelative(50.2f, -38.8f)
                lineToRelative(-0.3f, -0.3f)
                lineToRelative(7.7f, -6.0f)
                curveToRelative(4.2f, -3.2f, 4.6f, -8.7f, 0.9f, -12.2f)
                lineToRelative(-57.1f, -54.4f)
                curveToRelative(-3.6f, -3.5f, -10.0f, -3.7f, -14.2f, -0.5f)
                lineToRelative(-0.1f, 0.1f)
                curveToRelative(-4.2f, 3.2f, -10.5f, 3.1f, -14.2f, -0.4f)
                lineTo(109.0f, 180.8f)
                curveToRelative(-3.6f, -3.5f, -3.1f, -8.9f, 1.1f, -12.2f)
                lineToRelative(92.2f, -71.5f)
                curveToRelative(4.1f, -3.2f, 10.3f, -3.0f, 13.9f, 0.5f)
                lineToRelative(160.4f, 159.0f)
                curveToRelative(3.7f, 3.5f, 10.0f, 3.7f, 14.1f, 0.5f)
                lineToRelative(45.8f, -35.8f)
                curveToRelative(4.1f, -3.2f, 4.4f, -8.7f, 0.7f, -12.2f)
                close()
            }
        }
        .build()
        return _staylinked!!
    }

private var _staylinked: ImageVector? = null
