package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Stripe: ImageVector
    get() {
        if (_stripe != null) {
            return _stripe!!
        }
        _stripe = Builder(name = "Stripe", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(165.0f, 144.7f)
                lineToRelative(-43.3f, 9.2f)
                lineToRelative(-0.2f, 142.4f)
                curveToRelative(0.0f, 26.3f, 19.8f, 43.3f, 46.1f, 43.3f)
                curveToRelative(14.6f, 0.0f, 25.3f, -2.7f, 31.2f, -5.9f)
                verticalLineToRelative(-33.8f)
                curveToRelative(-5.7f, 2.3f, -33.7f, 10.5f, -33.7f, -15.7f)
                lineTo(165.1f, 221.0f)
                horizontalLineToRelative(33.7f)
                verticalLineToRelative(-37.8f)
                horizontalLineToRelative(-33.7f)
                close()
                moveTo(254.1f, 196.3f)
                lineToRelative(-2.7f, -13.1f)
                lineTo(213.0f, 183.2f)
                verticalLineToRelative(153.2f)
                horizontalLineToRelative(44.3f)
                lineTo(257.3f, 233.3f)
                curveToRelative(10.5f, -13.8f, 28.2f, -11.1f, 33.9f, -9.3f)
                verticalLineToRelative(-40.8f)
                curveToRelative(-6.0f, -2.1f, -26.7f, -6.0f, -37.1f, 13.1f)
                close()
                moveTo(346.4f, 124.0f)
                lineToRelative(-44.6f, 9.5f)
                verticalLineToRelative(36.2f)
                lineToRelative(44.6f, -9.5f)
                close()
                moveTo(44.9f, 228.3f)
                curveToRelative(0.0f, -6.9f, 5.8f, -9.6f, 15.1f, -9.7f)
                curveToRelative(13.5f, 0.0f, 30.7f, 4.1f, 44.2f, 11.4f)
                verticalLineToRelative(-41.8f)
                curveToRelative(-14.7f, -5.8f, -29.4f, -8.1f, -44.1f, -8.1f)
                curveToRelative(-36.0f, 0.0f, -60.0f, 18.8f, -60.0f, 50.2f)
                curveToRelative(0.0f, 49.2f, 67.5f, 41.2f, 67.5f, 62.4f)
                curveToRelative(0.0f, 8.2f, -7.1f, 10.9f, -17.0f, 10.9f)
                curveToRelative(-14.7f, 0.0f, -33.7f, -6.1f, -48.6f, -14.2f)
                verticalLineToRelative(40.0f)
                curveToRelative(16.5f, 7.1f, 33.2f, 10.1f, 48.5f, 10.1f)
                curveToRelative(36.9f, 0.0f, 62.3f, -15.8f, 62.3f, -47.8f)
                curveToRelative(0.0f, -52.9f, -67.9f, -43.4f, -67.9f, -63.4f)
                close()
                moveTo(640.0f, 261.6f)
                curveToRelative(0.0f, -45.5f, -22.0f, -81.4f, -64.2f, -81.4f)
                reflectiveCurveToRelative(-67.9f, 35.9f, -67.9f, 81.1f)
                curveToRelative(0.0f, 53.5f, 30.3f, 78.2f, 73.5f, 78.2f)
                curveToRelative(21.2f, 0.0f, 37.1f, -4.8f, 49.2f, -11.5f)
                verticalLineToRelative(-33.4f)
                curveToRelative(-12.1f, 6.1f, -26.0f, 9.8f, -43.6f, 9.8f)
                curveToRelative(-17.3f, 0.0f, -32.5f, -6.1f, -34.5f, -26.9f)
                horizontalLineToRelative(86.9f)
                curveToRelative(0.2f, -2.3f, 0.6f, -11.6f, 0.6f, -15.9f)
                close()
                moveTo(552.1f, 244.8f)
                curveToRelative(0.0f, -20.0f, 12.3f, -28.4f, 23.4f, -28.4f)
                curveToRelative(10.9f, 0.0f, 22.5f, 8.4f, 22.5f, 28.4f)
                close()
                moveTo(439.2f, 180.2f)
                curveToRelative(-17.4f, 0.0f, -28.6f, 8.2f, -34.8f, 13.9f)
                lineToRelative(-2.3f, -11.0f)
                lineTo(363.0f, 183.1f)
                verticalLineToRelative(204.8f)
                lineToRelative(44.4f, -9.4f)
                lineToRelative(0.1f, -50.2f)
                curveToRelative(6.4f, 4.7f, 15.9f, 11.2f, 31.4f, 11.2f)
                curveToRelative(31.8f, 0.0f, 60.8f, -23.2f, 60.8f, -79.6f)
                curveToRelative(0.1f, -51.6f, -29.3f, -79.7f, -60.5f, -79.7f)
                close()
                moveTo(428.6f, 302.7f)
                curveToRelative(-10.4f, 0.0f, -16.6f, -3.8f, -20.9f, -8.4f)
                lineToRelative(-0.3f, -66.0f)
                curveToRelative(4.6f, -5.1f, 11.0f, -8.8f, 21.2f, -8.8f)
                curveToRelative(16.2f, 0.0f, 27.4f, 18.2f, 27.4f, 41.4f)
                curveToRelative(0.1f, 23.9f, -10.9f, 41.8f, -27.4f, 41.8f)
                close()
                moveTo(301.9f, 336.4f)
                horizontalLineToRelative(44.6f)
                lineTo(346.5f, 183.2f)
                horizontalLineToRelative(-44.6f)
                close()
            }
        }
        .build()
        return _stripe!!
    }

private var _stripe: ImageVector? = null
