package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Suse: ImageVector
    get() {
        if (_suse != null) {
            return _suse!!
        }
        _suse = Builder(name = "Suse", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(471.08f, 102.66f)
                reflectiveCurveToRelative(-0.3f, 18.3f, -0.3f, 20.3f)
                curveToRelative(-9.1f, -3.0f, -74.4f, -24.1f, -135.7f, -26.3f)
                curveToRelative(-51.9f, -1.8f, -122.8f, -4.3f, -223.0f, 57.3f)
                curveToRelative(-19.4f, 12.4f, -73.9f, 46.1f, -99.6f, 109.7f)
                curveTo(7.0f, 277.0f, -0.12f, 307.0f, 7.0f, 335.06f)
                arcToRelative(111.0f, 111.0f, 0.0f, false, false, 16.5f, 35.7f)
                curveToRelative(17.4f, 25.0f, 46.6f, 41.6f, 78.1f, 44.4f)
                curveToRelative(44.4f, 3.9f, 78.1f, -16.0f, 90.0f, -53.3f)
                curveToRelative(8.2f, -25.8f, 0.0f, -63.6f, -31.5f, -82.9f)
                curveToRelative(-25.6f, -15.7f, -53.3f, -12.1f, -69.2f, -1.6f)
                curveToRelative(-13.9f, 9.2f, -21.8f, 23.5f, -21.6f, 39.2f)
                curveToRelative(0.3f, 27.8f, 24.3f, 42.6f, 41.5f, 42.6f)
                arcToRelative(49.0f, 49.0f, 0.0f, false, false, 15.8f, -2.7f)
                curveToRelative(6.5f, -1.8f, 13.3f, -6.5f, 13.3f, -14.9f)
                curveToRelative(0.0f, -12.1f, -11.6f, -14.8f, -16.8f, -13.9f)
                curveToRelative(-2.9f, 0.5f, -4.5f, 2.0f, -11.8f, 2.4f)
                curveToRelative(-2.0f, -0.2f, -12.0f, -3.1f, -12.0f, -14.0f)
                lineTo(99.3f, 316.0f)
                curveToRelative(0.2f, -12.3f, 13.2f, -18.0f, 25.5f, -16.9f)
                curveToRelative(32.3f, 2.8f, 47.7f, 40.7f, 28.5f, 65.7f)
                curveToRelative(-18.3f, 23.7f, -76.6f, 23.2f, -99.7f, -20.4f)
                curveToRelative(-26.0f, -49.2f, 12.7f, -111.2f, 87.0f, -98.4f)
                curveToRelative(33.2f, 5.7f, 83.6f, 35.5f, 102.4f, 104.3f)
                horizontalLineToRelative(45.9f)
                curveToRelative(-5.7f, -17.6f, -8.9f, -68.3f, 42.7f, -68.3f)
                curveToRelative(56.7f, 0.0f, 63.9f, 39.9f, 79.8f, 68.3f)
                lineTo(460.0f, 350.3f)
                curveToRelative(-12.8f, -18.3f, -21.7f, -38.7f, -18.9f, -55.8f)
                curveToRelative(5.6f, -33.8f, 39.7f, -18.4f, 82.4f, -17.4f)
                curveToRelative(66.5f, 0.4f, 102.1f, -27.0f, 103.1f, -28.0f)
                curveToRelative(3.7f, -3.1f, 6.5f, -15.8f, 7.0f, -17.7f)
                curveToRelative(1.3f, -5.1f, -3.2f, -2.4f, -3.2f, -2.4f)
                curveToRelative(-8.7f, 5.2f, -30.5f, 15.2f, -50.9f, 15.6f)
                curveToRelative(-25.3f, 0.5f, -76.2f, -25.4f, -81.6f, -28.2f)
                curveToRelative(-0.3f, -0.4f, 0.1f, 1.2f, -11.0f, -25.5f)
                curveToRelative(88.4f, 58.3f, 118.3f, 40.5f, 145.2f, 21.7f)
                curveToRelative(0.8f, -0.6f, 4.3f, -2.9f, 3.6f, -5.7f)
                curveToRelative(-13.8f, -48.1f, -22.4f, -62.7f, -34.5f, -69.6f)
                curveToRelative(-37.0f, -21.6f, -125.0f, -34.7f, -129.2f, -35.3f)
                curveToRelative(0.1f, -0.1f, -0.9f, -0.3f, -0.9f, 0.7f)
                close()
                moveTo(531.48f, 175.46f)
                arcToRelative(37.54f, 37.54f, 0.0f, false, true, 38.9f, -36.3f)
                curveToRelative(33.4f, 1.2f, 48.8f, 42.3f, 24.4f, 65.2f)
                curveToRelative(-24.2f, 22.7f, -64.4f, 4.6f, -63.3f, -28.9f)
                close()
                moveTo(570.08f, 150.16f)
                arcToRelative(26.27f, 26.27f, 0.0f, true, false, 25.4f, 27.2f)
                arcToRelative(26.19f, 26.19f, 0.0f, false, false, -25.4f, -27.2f)
                close()
                moveTo(574.38f, 178.96f)
                curveToRelative(-15.4f, 0.0f, -15.4f, -15.6f, 0.0f, -15.6f)
                reflectiveCurveToRelative(15.4f, 15.64f, 0.0f, 15.64f)
                close()
            }
        }
        .build()
        return _suse!!
    }

private var _suse: ImageVector? = null
