package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Uniregistry: ImageVector
    get() {
        if (_uniregistry != null) {
            return _uniregistry!!
        }
        _uniregistry = Builder(name = "Uniregistry", defaultWidth = 384.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(192.0f, 480.0f)
                curveToRelative(39.5f, 0.0f, 76.2f, -11.8f, 106.8f, -32.2f)
                lineTo(85.3f, 447.8f)
                curveTo(115.8f, 468.2f, 152.5f, 480.0f, 192.0f, 480.0f)
                close()
                moveTo(102.9f, 286.9f)
                verticalLineToRelative(-12.4f)
                lineTo(0.0f, 274.5f)
                verticalLineToRelative(12.4f)
                curveToRelative(0.0f, 2.5f, 0.0f, 5.0f, 0.1f, 7.4f)
                horizontalLineToRelative(103.1f)
                curveToRelative(-0.2f, -2.4f, -0.3f, -4.9f, -0.3f, -7.4f)
                close()
                moveTo(123.4f, 343.9f)
                lineTo(8.5f, 343.9f)
                curveToRelative(2.6f, 8.5f, 5.8f, 16.8f, 9.6f, 24.8f)
                horizontalLineToRelative(138.3f)
                curveToRelative(-12.9f, -5.7f, -24.1f, -14.2f, -33.0f, -24.8f)
                close()
                moveTo(105.7f, 309.2f)
                lineTo(1.3f, 309.2f)
                curveToRelative(0.9f, 7.6f, 2.2f, 15.0f, 3.9f, 22.3f)
                horizontalLineToRelative(109.7f)
                curveToRelative(-4.0f, -6.9f, -7.2f, -14.4f, -9.2f, -22.3f)
                close()
                moveTo(102.9f, 239.9f)
                lineTo(0.0f, 239.9f)
                verticalLineToRelative(17.3f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 66.7f)
                lineTo(0.0f, 66.7f)
                verticalLineToRelative(4.9f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 32.0f)
                lineTo(0.0f, 32.0f)
                verticalLineToRelative(2.5f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 101.3f)
                lineTo(0.0f, 101.3f)
                verticalLineToRelative(7.4f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 205.3f)
                lineTo(0.0f, 205.3f)
                verticalLineToRelative(14.8f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 136.0f)
                lineTo(0.0f, 136.0f)
                verticalLineToRelative(9.9f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(102.9f, 170.6f)
                lineTo(0.0f, 170.6f)
                lineTo(0.0f, 183.0f)
                horizontalLineToRelative(102.9f)
                close()
                moveTo(269.1f, 331.5f)
                horizontalLineToRelative(109.7f)
                curveToRelative(1.8f, -7.3f, 3.1f, -14.7f, 3.9f, -22.3f)
                lineTo(278.3f, 309.2f)
                curveToRelative(-2.1f, 7.9f, -5.2f, 15.4f, -9.2f, 22.3f)
                close()
                moveTo(281.1f, 145.8f)
                lineTo(384.0f, 145.8f)
                lineTo(384.0f, 136.0f)
                lineTo(281.1f, 136.0f)
                close()
                moveTo(281.1f, 183.0f)
                lineTo(384.0f, 183.0f)
                verticalLineToRelative(-12.4f)
                lineTo(281.1f, 170.6f)
                close()
                moveTo(281.1f, 108.7f)
                lineTo(384.0f, 108.7f)
                verticalLineToRelative(-7.4f)
                lineTo(281.1f, 101.3f)
                close()
                moveTo(281.1f, 32.0f)
                verticalLineToRelative(2.5f)
                lineTo(384.0f, 34.5f)
                lineTo(384.0f, 32.0f)
                close()
                moveTo(78.1f, 442.9f)
                horizontalLineToRelative(227.7f)
                curveToRelative(11.8f, -8.7f, 22.7f, -18.6f, 32.2f, -29.7f)
                lineTo(44.9f, 413.2f)
                curveToRelative(9.6f, 11.0f, 21.4f, 21.0f, 33.2f, 29.7f)
                close()
                moveTo(281.1f, 71.6f)
                lineTo(384.0f, 71.6f)
                verticalLineToRelative(-4.9f)
                lineTo(281.1f, 66.7f)
                close()
                moveTo(281.1f, 220.1f)
                lineTo(384.0f, 220.1f)
                verticalLineToRelative(-14.8f)
                lineTo(281.1f, 205.3f)
                close()
                moveTo(38.8f, 405.7f)
                horizontalLineToRelative(305.3f)
                curveToRelative(6.7f, -8.5f, 12.6f, -17.6f, 17.8f, -27.2f)
                lineTo(23.0f, 378.5f)
                curveToRelative(5.2f, 9.6f, 9.2f, 18.7f, 15.8f, 27.2f)
                close()
                moveTo(227.6f, 368.6f)
                lineTo(367.0f, 368.6f)
                curveToRelative(3.7f, -8.0f, 5.8f, -16.2f, 8.5f, -24.8f)
                horizontalLineToRelative(-115.0f)
                curveToRelative(-8.8f, 10.7f, -20.1f, 19.2f, -32.9f, 24.8f)
                close()
                moveTo(281.1f, 286.9f)
                curveToRelative(0.0f, 2.5f, -0.1f, 5.0f, -0.4f, 7.4f)
                horizontalLineToRelative(103.1f)
                curveToRelative(0.1f, -2.5f, 0.2f, -4.9f, 0.2f, -7.4f)
                verticalLineToRelative(-12.4f)
                lineTo(281.1f, 274.5f)
                close()
                moveTo(281.1f, 257.2f)
                lineTo(384.0f, 257.2f)
                verticalLineToRelative(-17.3f)
                lineTo(281.1f, 239.9f)
                close()
            }
        }
        .build()
        return _uniregistry!!
    }

private var _uniregistry: ImageVector? = null
