package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Yarn: ImageVector
    get() {
        if (_yarn != null) {
            return _yarn!!
        }
        _yarn = Builder(name = "Yarn", defaultWidth = 496.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(393.9f, 345.2f)
                curveToRelative(-39.0f, 9.3f, -48.4f, 32.1f, -104.0f, 47.4f)
                curveToRelative(0.0f, 0.0f, -2.7f, 4.0f, -10.4f, 5.8f)
                curveToRelative(-13.4f, 3.3f, -63.9f, 6.0f, -68.5f, 6.1f)
                curveToRelative(-12.4f, 0.1f, -19.9f, -3.2f, -22.0f, -8.2f)
                curveToRelative(-6.4f, -15.3f, 9.2f, -22.0f, 9.2f, -22.0f)
                curveToRelative(-8.1f, -5.0f, -9.0f, -9.9f, -9.8f, -8.1f)
                curveToRelative(-2.4f, 5.8f, -3.6f, 20.1f, -10.1f, 26.5f)
                curveToRelative(-8.8f, 8.9f, -25.5f, 5.9f, -35.3f, 0.8f)
                curveToRelative(-10.8f, -5.7f, 0.8f, -19.2f, 0.8f, -19.2f)
                reflectiveCurveToRelative(-5.8f, 3.4f, -10.5f, -3.6f)
                curveToRelative(-6.0f, -9.3f, -17.1f, -37.3f, 11.5f, -62.0f)
                curveToRelative(-1.3f, -10.1f, -4.6f, -53.7f, 40.6f, -85.6f)
                curveToRelative(0.0f, 0.0f, -20.6f, -22.8f, -12.9f, -43.3f)
                curveToRelative(5.0f, -13.4f, 7.0f, -13.3f, 8.6f, -13.9f)
                curveToRelative(5.7f, -2.2f, 11.3f, -4.6f, 15.4f, -9.1f)
                curveToRelative(20.6f, -22.2f, 46.8f, -18.0f, 46.8f, -18.0f)
                reflectiveCurveToRelative(12.4f, -37.8f, 23.9f, -30.4f)
                curveToRelative(3.5f, 2.3f, 16.3f, 30.6f, 16.3f, 30.6f)
                reflectiveCurveToRelative(13.6f, -7.9f, 15.1f, -5.0f)
                curveToRelative(8.2f, 16.0f, 9.2f, 46.5f, 5.6f, 65.1f)
                curveToRelative(-6.1f, 30.6f, -21.4f, 47.1f, -27.6f, 57.5f)
                curveToRelative(-1.4f, 2.4f, 16.5f, 10.0f, 27.8f, 41.3f)
                curveToRelative(10.4f, 28.6f, 1.1f, 52.7f, 2.8f, 55.3f)
                curveToRelative(0.8f, 1.4f, 13.7f, 0.8f, 36.4f, -13.2f)
                curveToRelative(12.8f, -7.9f, 28.1f, -16.9f, 45.4f, -17.0f)
                curveToRelative(16.7f, -0.5f, 17.6f, 19.2f, 4.9f, 22.2f)
                close()
                moveTo(496.0f, 256.0f)
                curveToRelative(0.0f, 136.9f, -111.1f, 248.0f, -248.0f, 248.0f)
                reflectiveCurveTo(0.0f, 392.9f, 0.0f, 256.0f)
                reflectiveCurveTo(111.1f, 8.0f, 248.0f, 8.0f)
                reflectiveCurveToRelative(248.0f, 111.1f, 248.0f, 248.0f)
                close()
                moveTo(416.7f, 331.2f)
                curveToRelative(-1.7f, -13.6f, -13.2f, -23.0f, -28.0f, -22.8f)
                curveToRelative(-22.0f, 0.3f, -40.5f, 11.7f, -52.8f, 19.2f)
                curveToRelative(-4.8f, 3.0f, -8.9f, 5.2f, -12.4f, 6.8f)
                curveToRelative(3.1f, -44.5f, -22.5f, -73.1f, -28.7f, -79.4f)
                curveToRelative(7.8f, -11.3f, 18.4f, -27.8f, 23.4f, -53.2f)
                curveToRelative(4.3f, -21.7f, 3.0f, -55.5f, -6.9f, -74.5f)
                curveToRelative(-1.6f, -3.1f, -7.4f, -11.2f, -21.0f, -7.4f)
                curveToRelative(-9.7f, -20.0f, -13.0f, -22.1f, -15.6f, -23.8f)
                curveToRelative(-1.1f, -0.7f, -23.6f, -16.4f, -41.4f, 28.0f)
                curveToRelative(-12.2f, 0.9f, -31.3f, 5.3f, -47.5f, 22.8f)
                curveToRelative(-2.0f, 2.2f, -5.9f, 3.8f, -10.1f, 5.4f)
                horizontalLineToRelative(0.1f)
                curveToRelative(-8.4f, 3.0f, -12.3f, 9.9f, -16.9f, 22.3f)
                curveToRelative(-6.5f, 17.4f, 0.2f, 34.6f, 6.8f, 45.7f)
                curveToRelative(-17.8f, 15.9f, -37.0f, 39.8f, -35.7f, 82.5f)
                curveToRelative(-34.0f, 36.0f, -11.8f, 73.0f, -5.6f, 79.6f)
                curveToRelative(-1.6f, 11.1f, 3.7f, 19.4f, 12.0f, 23.8f)
                curveToRelative(12.6f, 6.7f, 30.3f, 9.6f, 43.9f, 2.8f)
                curveToRelative(4.9f, 5.2f, 13.8f, 10.1f, 30.0f, 10.1f)
                curveToRelative(6.8f, 0.0f, 58.0f, -2.9f, 72.6f, -6.5f)
                curveToRelative(6.8f, -1.6f, 11.5f, -4.5f, 14.6f, -7.1f)
                curveToRelative(9.8f, -3.1f, 36.8f, -12.3f, 62.2f, -28.7f)
                curveToRelative(18.0f, -11.7f, 24.2f, -14.2f, 37.6f, -17.4f)
                curveToRelative(12.9f, -3.2f, 21.0f, -15.1f, 19.4f, -28.2f)
                close()
            }
        }
        .build()
        return _yarn!!
    }

private var _yarn: ImageVector? = null
