package compose.icons.fontawesomeicons.regular

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.RegularGroup

public val RegularGroup.MehRollingEyes: ImageVector
    get() {
        if (_mehRollingEyes != null) {
            return _mehRollingEyes!!
        }
        _mehRollingEyes = Builder(name = "MehRollingEyes", defaultWidth = 496.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 496.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(248.0f, 8.0f)
                curveTo(111.0f, 8.0f, 0.0f, 119.0f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.0f, 248.0f, 248.0f, 248.0f)
                reflectiveCurveToRelative(248.0f, -111.0f, 248.0f, -248.0f)
                reflectiveCurveTo(385.0f, 8.0f, 248.0f, 8.0f)
                close()
                moveTo(248.0f, 456.0f)
                curveToRelative(-110.3f, 0.0f, -200.0f, -89.7f, -200.0f, -200.0f)
                reflectiveCurveTo(137.7f, 56.0f, 248.0f, 56.0f)
                reflectiveCurveToRelative(200.0f, 89.7f, 200.0f, 200.0f)
                reflectiveCurveToRelative(-89.7f, 200.0f, -200.0f, 200.0f)
                close()
                moveTo(336.0f, 152.0f)
                curveToRelative(-39.8f, 0.0f, -72.0f, 32.2f, -72.0f, 72.0f)
                reflectiveCurveToRelative(32.2f, 72.0f, 72.0f, 72.0f)
                reflectiveCurveToRelative(72.0f, -32.2f, 72.0f, -72.0f)
                reflectiveCurveToRelative(-32.2f, -72.0f, -72.0f, -72.0f)
                close()
                moveTo(336.0f, 264.0f)
                curveToRelative(-22.1f, 0.0f, -40.0f, -17.9f, -40.0f, -40.0f)
                curveToRelative(0.0f, -13.6f, 7.3f, -25.1f, 17.7f, -32.3f)
                curveToRelative(-1.0f, 2.6f, -1.7f, 5.3f, -1.7f, 8.3f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.7f, 24.0f, -24.0f)
                curveToRelative(0.0f, -2.9f, -0.7f, -5.7f, -1.7f, -8.3f)
                curveToRelative(10.4f, 7.2f, 17.7f, 18.7f, 17.7f, 32.3f)
                curveToRelative(0.0f, 22.1f, -17.9f, 40.0f, -40.0f, 40.0f)
                close()
                moveTo(232.0f, 224.0f)
                curveToRelative(0.0f, -39.8f, -32.2f, -72.0f, -72.0f, -72.0f)
                reflectiveCurveToRelative(-72.0f, 32.2f, -72.0f, 72.0f)
                reflectiveCurveToRelative(32.2f, 72.0f, 72.0f, 72.0f)
                reflectiveCurveToRelative(72.0f, -32.2f, 72.0f, -72.0f)
                close()
                moveTo(120.0f, 224.0f)
                curveToRelative(0.0f, -13.6f, 7.3f, -25.1f, 17.7f, -32.3f)
                curveToRelative(-1.0f, 2.6f, -1.7f, 5.3f, -1.7f, 8.3f)
                curveToRelative(0.0f, 13.3f, 10.7f, 24.0f, 24.0f, 24.0f)
                reflectiveCurveToRelative(24.0f, -10.7f, 24.0f, -24.0f)
                curveToRelative(0.0f, -2.9f, -0.7f, -5.7f, -1.7f, -8.3f)
                curveToRelative(10.4f, 7.2f, 17.7f, 18.7f, 17.7f, 32.3f)
                curveToRelative(0.0f, 22.1f, -17.9f, 40.0f, -40.0f, 40.0f)
                reflectiveCurveToRelative(-40.0f, -17.9f, -40.0f, -40.0f)
                close()
                moveTo(312.0f, 352.0f)
                lineTo(184.0f, 352.0f)
                curveToRelative(-13.2f, 0.0f, -24.0f, 10.8f, -24.0f, 24.0f)
                reflectiveCurveToRelative(10.8f, 24.0f, 24.0f, 24.0f)
                horizontalLineToRelative(128.0f)
                curveToRelative(13.2f, 0.0f, 24.0f, -10.8f, 24.0f, -24.0f)
                reflectiveCurveToRelative(-10.8f, -24.0f, -24.0f, -24.0f)
                close()
            }
        }
        .build()
        return _mehRollingEyes!!
    }

private var _mehRollingEyes: ImageVector? = null
