package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Award: ImageVector
    get() {
        if (_award != null) {
            return _award!!
        }
        _award = Builder(name = "Award", defaultWidth = 384.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(97.12f, 362.63f)
                curveToRelative(-8.69f, -8.69f, -4.16f, -6.24f, -25.12f, -11.85f)
                curveToRelative(-9.51f, -2.55f, -17.87f, -7.45f, -25.43f, -13.32f)
                lineTo(1.2f, 448.7f)
                curveToRelative(-4.39f, 10.77f, 3.81f, 22.47f, 15.43f, 22.03f)
                lineToRelative(52.69f, -2.01f)
                lineTo(105.56f, 507.0f)
                curveToRelative(8.0f, 8.44f, 22.04f, 5.81f, 26.43f, -4.96f)
                lineToRelative(52.05f, -127.62f)
                curveToRelative(-10.84f, 6.04f, -22.87f, 9.58f, -35.31f, 9.58f)
                curveToRelative(-19.5f, 0.0f, -37.82f, -7.59f, -51.61f, -21.37f)
                close()
                moveTo(382.8f, 448.7f)
                lineToRelative(-45.37f, -111.24f)
                curveToRelative(-7.56f, 5.88f, -15.92f, 10.77f, -25.43f, 13.32f)
                curveToRelative(-21.07f, 5.64f, -16.45f, 3.18f, -25.12f, 11.85f)
                curveToRelative(-13.79f, 13.78f, -32.12f, 21.37f, -51.62f, 21.37f)
                curveToRelative(-12.44f, 0.0f, -24.47f, -3.55f, -35.31f, -9.58f)
                lineTo(252.0f, 502.04f)
                curveToRelative(4.39f, 10.77f, 18.44f, 13.4f, 26.43f, 4.96f)
                lineToRelative(36.25f, -38.28f)
                lineToRelative(52.69f, 2.01f)
                curveToRelative(11.62f, 0.44f, 19.82f, -11.27f, 15.43f, -22.03f)
                close()
                moveTo(263.0f, 340.0f)
                curveToRelative(15.28f, -15.55f, 17.03f, -14.21f, 38.79f, -20.14f)
                curveToRelative(13.89f, -3.79f, 24.75f, -14.84f, 28.47f, -28.98f)
                curveToRelative(7.48f, -28.4f, 5.54f, -24.97f, 25.95f, -45.75f)
                curveToRelative(10.17f, -10.35f, 14.14f, -25.44f, 10.42f, -39.58f)
                curveToRelative(-7.47f, -28.38f, -7.48f, -24.42f, 0.0f, -52.83f)
                curveToRelative(3.72f, -14.14f, -0.25f, -29.23f, -10.42f, -39.58f)
                curveToRelative(-20.41f, -20.78f, -18.47f, -17.36f, -25.95f, -45.75f)
                curveToRelative(-3.72f, -14.14f, -14.58f, -25.19f, -28.47f, -28.98f)
                curveToRelative(-27.88f, -7.61f, -24.52f, -5.62f, -44.95f, -26.41f)
                curveToRelative(-10.17f, -10.35f, -25.0f, -14.4f, -38.89f, -10.61f)
                curveToRelative(-27.87f, 7.6f, -23.98f, 7.61f, -51.9f, 0.0f)
                curveToRelative(-13.89f, -3.79f, -28.72f, 0.25f, -38.89f, 10.61f)
                curveToRelative(-20.41f, 20.78f, -17.05f, 18.8f, -44.94f, 26.41f)
                curveToRelative(-13.89f, 3.79f, -24.75f, 14.84f, -28.47f, 28.98f)
                curveToRelative(-7.47f, 28.39f, -5.54f, 24.97f, -25.95f, 45.75f)
                curveToRelative(-10.17f, 10.35f, -14.15f, 25.44f, -10.42f, 39.58f)
                curveToRelative(7.47f, 28.36f, 7.48f, 24.4f, 0.0f, 52.82f)
                curveToRelative(-3.72f, 14.14f, 0.25f, 29.23f, 10.42f, 39.59f)
                curveToRelative(20.41f, 20.78f, 18.47f, 17.35f, 25.95f, 45.75f)
                curveToRelative(3.72f, 14.14f, 14.58f, 25.19f, 28.47f, 28.98f)
                curveTo(104.6f, 325.96f, 106.27f, 325.0f, 121.0f, 340.0f)
                curveToRelative(13.23f, 13.47f, 33.84f, 15.88f, 49.74f, 5.82f)
                arcToRelative(39.676f, 39.676f, 0.0f, false, true, 42.53f, 0.0f)
                curveToRelative(15.89f, 10.06f, 36.5f, 7.65f, 49.73f, -5.82f)
                close()
                moveTo(97.66f, 175.96f)
                curveToRelative(0.0f, -53.03f, 42.24f, -96.02f, 94.34f, -96.02f)
                reflectiveCurveToRelative(94.34f, 42.99f, 94.34f, 96.02f)
                reflectiveCurveToRelative(-42.24f, 96.02f, -94.34f, 96.02f)
                reflectiveCurveToRelative(-94.34f, -42.99f, -94.34f, -96.02f)
                close()
            }
        }
        .build()
        return _award!!
    }

private var _award: ImageVector? = null
