package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Biohazard: ImageVector
    get() {
        if (_biohazard != null) {
            return _biohazard!!
        }
        _biohazard = Builder(name = "Biohazard", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(287.9f, 112.0f)
                curveToRelative(18.6f, 0.0f, 36.2f, 3.8f, 52.8f, 9.6f)
                curveToRelative(13.3f, -10.3f, 23.6f, -24.3f, 29.5f, -40.7f)
                curveToRelative(-25.2f, -10.9f, -53.0f, -17.0f, -82.2f, -17.0f)
                curveToRelative(-29.1f, 0.0f, -56.9f, 6.0f, -82.1f, 16.9f)
                curveToRelative(5.9f, 16.4f, 16.2f, 30.4f, 29.5f, 40.7f)
                curveToRelative(16.5f, -5.7f, 34.0f, -9.5f, 52.5f, -9.5f)
                close()
                moveTo(163.6f, 438.7f)
                curveToRelative(12.0f, -11.8f, 20.4f, -26.4f, 24.5f, -42.4f)
                curveToRelative(-32.9f, -26.4f, -54.8f, -65.3f, -58.9f, -109.6f)
                curveToRelative(-8.5f, -2.8f, -17.2f, -4.6f, -26.4f, -4.6f)
                curveToRelative(-7.6f, 0.0f, -15.2f, 1.0f, -22.5f, 3.1f)
                curveToRelative(4.1f, 62.8f, 35.8f, 118.0f, 83.3f, 153.5f)
                close()
                moveTo(387.8f, 396.1f)
                curveToRelative(4.1f, 16.0f, 12.5f, 30.7f, 24.5f, 42.5f)
                curveToRelative(47.4f, -35.5f, 79.1f, -90.7f, 83.0f, -153.5f)
                curveToRelative(-7.2f, -2.0f, -14.7f, -3.0f, -22.2f, -3.0f)
                curveToRelative(-9.2f, 0.0f, -18.0f, 1.9f, -26.6f, 4.7f)
                curveToRelative(-4.1f, 44.2f, -26.0f, 82.9f, -58.7f, 109.3f)
                close()
                moveTo(501.3f, 191.1f)
                curveToRelative(-17.6f, -10.4f, -36.3f, -16.6f, -55.3f, -19.9f)
                curveToRelative(6.0f, -17.7f, 10.0f, -36.4f, 10.0f, -56.2f)
                curveToRelative(0.0f, -41.0f, -14.5f, -80.8f, -41.0f, -112.2f)
                curveToRelative(-2.5f, -3.0f, -6.6f, -3.7f, -10.0f, -1.8f)
                curveToRelative(-3.3f, 1.9f, -4.8f, 6.0f, -3.6f, 9.7f)
                curveToRelative(4.5f, 13.8f, 6.6f, 26.3f, 6.6f, 38.5f)
                curveToRelative(0.0f, 67.8f, -53.8f, 122.9f, -120.0f, 122.9f)
                reflectiveCurveTo(168.0f, 117.0f, 168.0f, 49.2f)
                curveToRelative(0.0f, -12.1f, 2.2f, -24.7f, 6.6f, -38.5f)
                curveToRelative(1.2f, -3.7f, -0.3f, -7.8f, -3.6f, -9.7f)
                curveToRelative(-3.4f, -1.9f, -7.5f, -1.2f, -10.0f, 1.8f)
                curveTo(134.6f, 34.2f, 120.0f, 74.0f, 120.0f, 115.0f)
                curveToRelative(0.0f, 19.8f, 3.9f, 38.5f, 10.0f, 56.2f)
                curveToRelative(-18.9f, 3.3f, -37.7f, 9.5f, -55.3f, 19.9f)
                curveToRelative(-34.6f, 20.5f, -61.0f, 53.3f, -74.3f, 92.4f)
                curveToRelative(-1.3f, 3.7f, 0.2f, 7.7f, 3.5f, 9.8f)
                curveToRelative(3.3f, 2.0f, 7.5f, 1.3f, 10.0f, -1.6f)
                curveToRelative(9.4f, -10.8f, 19.0f, -19.1f, 29.2f, -25.1f)
                curveToRelative(57.3f, -33.9f, 130.8f, -13.7f, 163.9f, 45.0f)
                curveToRelative(33.1f, 58.7f, 13.4f, 134.0f, -43.9f, 167.9f)
                curveToRelative(-10.2f, 6.1f, -22.0f, 10.4f, -35.8f, 13.4f)
                curveToRelative(-3.7f, 0.8f, -6.4f, 4.2f, -6.4f, 8.1f)
                curveToRelative(0.1f, 4.0f, 2.7f, 7.3f, 6.5f, 8.0f)
                curveToRelative(39.7f, 7.8f, 80.6f, 0.8f, 115.2f, -19.7f)
                curveToRelative(18.0f, -10.6f, 32.9f, -24.5f, 45.3f, -40.1f)
                curveToRelative(12.4f, 15.6f, 27.3f, 29.5f, 45.3f, 40.1f)
                curveToRelative(34.6f, 20.5f, 75.5f, 27.5f, 115.2f, 19.7f)
                curveToRelative(3.8f, -0.7f, 6.4f, -4.0f, 6.5f, -8.0f)
                curveToRelative(0.0f, -3.9f, -2.6f, -7.3f, -6.4f, -8.1f)
                curveToRelative(-13.9f, -2.9f, -25.6f, -7.3f, -35.8f, -13.4f)
                curveToRelative(-57.3f, -33.9f, -77.0f, -109.2f, -43.9f, -167.9f)
                reflectiveCurveToRelative(106.6f, -78.9f, 163.9f, -45.0f)
                curveToRelative(10.2f, 6.1f, 19.8f, 14.3f, 29.2f, 25.1f)
                curveToRelative(2.5f, 2.9f, 6.7f, 3.6f, 10.0f, 1.6f)
                reflectiveCurveToRelative(4.8f, -6.1f, 3.5f, -9.8f)
                curveToRelative(-13.1f, -39.1f, -39.5f, -72.0f, -74.1f, -92.4f)
                close()
                moveTo(287.9f, 320.1f)
                curveToRelative(-26.5f, 0.0f, -48.0f, -21.5f, -48.0f, -48.0f)
                reflectiveCurveToRelative(21.5f, -48.0f, 48.0f, -48.0f)
                reflectiveCurveToRelative(48.0f, 21.5f, 48.0f, 48.0f)
                reflectiveCurveToRelative(-21.5f, 48.0f, -48.0f, 48.0f)
                close()
            }
        }
        .build()
        return _biohazard!!
    }

private var _biohazard: ImageVector? = null
