package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.BookDead: ImageVector
    get() {
        if (_bookDead != null) {
            return _bookDead!!
        }
        _bookDead = Builder(name = "BookDead", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(272.0f, 136.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                reflectiveCurveToRelative(-16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                close()
                moveTo(448.0f, 358.4f)
                lineTo(448.0f, 25.6f)
                curveToRelative(0.0f, -16.0f, -9.6f, -25.6f, -25.6f, -25.6f)
                lineTo(96.0f, 0.0f)
                curveTo(41.6f, 0.0f, 0.0f, 41.6f, 0.0f, 96.0f)
                verticalLineToRelative(320.0f)
                curveToRelative(0.0f, 54.4f, 41.6f, 96.0f, 96.0f, 96.0f)
                horizontalLineToRelative(326.4f)
                curveToRelative(12.8f, 0.0f, 25.6f, -9.6f, 25.6f, -25.6f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -6.4f, -3.2f, -12.8f, -9.6f, -19.2f)
                curveToRelative(-3.2f, -16.0f, -3.2f, -60.8f, 0.0f, -73.6f)
                curveToRelative(6.4f, -3.2f, 9.6f, -9.6f, 9.6f, -19.2f)
                close()
                moveTo(240.0f, 56.0f)
                curveToRelative(44.2f, 0.0f, 80.0f, 28.7f, 80.0f, 64.0f)
                curveToRelative(0.0f, 20.9f, -12.7f, 39.2f, -32.0f, 50.9f)
                lineTo(288.0f, 184.0f)
                curveToRelative(0.0f, 8.8f, -7.2f, 16.0f, -16.0f, 16.0f)
                horizontalLineToRelative(-64.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.2f, -16.0f, -16.0f)
                verticalLineToRelative(-13.1f)
                curveToRelative(-19.3f, -11.7f, -32.0f, -30.0f, -32.0f, -50.9f)
                curveToRelative(0.0f, -35.3f, 35.8f, -64.0f, 80.0f, -64.0f)
                close()
                moveTo(124.8f, 223.3f)
                lineToRelative(6.3f, -14.7f)
                curveToRelative(1.7f, -4.1f, 6.4f, -5.9f, 10.5f, -4.2f)
                lineToRelative(98.3f, 42.1f)
                lineToRelative(98.4f, -42.1f)
                curveToRelative(4.1f, -1.7f, 8.8f, 0.1f, 10.5f, 4.2f)
                lineToRelative(6.3f, 14.7f)
                curveToRelative(1.7f, 4.1f, -0.1f, 8.8f, -4.2f, 10.5f)
                lineTo(280.6f, 264.0f)
                lineToRelative(70.3f, 30.1f)
                curveToRelative(4.1f, 1.7f, 5.9f, 6.4f, 4.2f, 10.5f)
                lineToRelative(-6.3f, 14.7f)
                curveToRelative(-1.7f, 4.1f, -6.4f, 5.9f, -10.5f, 4.2f)
                lineTo(240.0f, 281.4f)
                lineToRelative(-98.3f, 42.2f)
                curveToRelative(-4.1f, 1.7f, -8.8f, -0.1f, -10.5f, -4.2f)
                lineToRelative(-6.3f, -14.7f)
                curveToRelative(-1.7f, -4.1f, 0.1f, -8.8f, 4.2f, -10.5f)
                lineToRelative(70.4f, -30.1f)
                lineToRelative(-70.5f, -30.3f)
                curveToRelative(-4.1f, -1.7f, -5.9f, -6.4f, -4.2f, -10.5f)
                close()
                moveTo(380.8f, 448.0f)
                lineTo(96.0f, 448.0f)
                curveToRelative(-19.2f, 0.0f, -32.0f, -12.8f, -32.0f, -32.0f)
                reflectiveCurveToRelative(16.0f, -32.0f, 32.0f, -32.0f)
                horizontalLineToRelative(284.8f)
                close()
                moveTo(208.0f, 136.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                reflectiveCurveToRelative(-7.2f, -16.0f, -16.0f, -16.0f)
                reflectiveCurveToRelative(-16.0f, 7.2f, -16.0f, 16.0f)
                reflectiveCurveToRelative(7.2f, 16.0f, 16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _bookDead!!
    }

private var _bookDead: ImageVector? = null
