package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CloudMeatball: ImageVector
    get() {
        if (_cloudMeatball != null) {
            return _cloudMeatball!!
        }
        _cloudMeatball = Builder(name = "CloudMeatball", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(48.0f, 352.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, 21.5f, -48.0f, 48.0f)
                reflectiveCurveToRelative(21.5f, 48.0f, 48.0f, 48.0f)
                reflectiveCurveToRelative(48.0f, -21.5f, 48.0f, -48.0f)
                reflectiveCurveToRelative(-21.5f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(464.0f, 352.0f)
                curveToRelative(-26.5f, 0.0f, -48.0f, 21.5f, -48.0f, 48.0f)
                reflectiveCurveToRelative(21.5f, 48.0f, 48.0f, 48.0f)
                reflectiveCurveToRelative(48.0f, -21.5f, 48.0f, -48.0f)
                reflectiveCurveToRelative(-21.5f, -48.0f, -48.0f, -48.0f)
                close()
                moveTo(345.0f, 363.1f)
                curveToRelative(4.6f, -14.5f, 1.6f, -30.8f, -9.8f, -42.3f)
                curveToRelative(-11.5f, -11.5f, -27.8f, -14.4f, -42.3f, -9.9f)
                curveToRelative(-7.0f, -13.5f, -20.7f, -23.0f, -36.9f, -23.0f)
                reflectiveCurveToRelative(-29.9f, 9.5f, -36.9f, 23.0f)
                curveToRelative(-14.5f, -4.6f, -30.8f, -1.6f, -42.3f, 9.9f)
                curveToRelative(-11.5f, 11.5f, -14.4f, 27.8f, -9.9f, 42.3f)
                curveToRelative(-13.5f, 7.0f, -23.0f, 20.7f, -23.0f, 36.9f)
                reflectiveCurveToRelative(9.5f, 29.9f, 23.0f, 36.9f)
                curveToRelative(-4.6f, 14.5f, -1.6f, 30.8f, 9.9f, 42.3f)
                curveToRelative(8.2f, 8.2f, 18.9f, 12.3f, 29.7f, 12.3f)
                curveToRelative(4.3f, 0.0f, 8.5f, -1.1f, 12.6f, -2.5f)
                curveToRelative(7.0f, 13.5f, 20.7f, 23.0f, 36.9f, 23.0f)
                reflectiveCurveToRelative(29.9f, -9.5f, 36.9f, -23.0f)
                curveToRelative(4.1f, 1.3f, 8.3f, 2.5f, 12.6f, 2.5f)
                curveToRelative(10.8f, 0.0f, 21.5f, -4.1f, 29.7f, -12.3f)
                curveToRelative(11.5f, -11.5f, 14.4f, -27.8f, 9.8f, -42.3f)
                curveToRelative(13.5f, -7.0f, 23.0f, -20.7f, 23.0f, -36.9f)
                reflectiveCurveToRelative(-9.5f, -29.9f, -23.0f, -36.9f)
                close()
                moveTo(512.0f, 224.0f)
                curveToRelative(0.0f, -53.0f, -43.0f, -96.0f, -96.0f, -96.0f)
                curveToRelative(-0.6f, 0.0f, -1.1f, 0.2f, -1.6f, 0.2f)
                curveToRelative(1.1f, -5.2f, 1.6f, -10.6f, 1.6f, -16.2f)
                curveToRelative(0.0f, -44.2f, -35.8f, -80.0f, -80.0f, -80.0f)
                curveToRelative(-24.6f, 0.0f, -46.3f, 11.3f, -61.0f, 28.8f)
                curveTo(256.4f, 24.8f, 219.3f, 0.0f, 176.0f, 0.0f)
                curveTo(114.1f, 0.0f, 64.0f, 50.1f, 64.0f, 112.0f)
                curveToRelative(0.0f, 7.3f, 0.8f, 14.3f, 2.1f, 21.2f)
                curveTo(27.8f, 145.8f, 0.0f, 181.5f, 0.0f, 224.0f)
                curveToRelative(0.0f, 53.0f, 43.0f, 96.0f, 96.0f, 96.0f)
                horizontalLineToRelative(43.4f)
                curveToRelative(3.6f, -8.0f, 8.4f, -15.4f, 14.8f, -21.8f)
                curveToRelative(13.5f, -13.5f, 31.5f, -21.1f, 50.8f, -21.3f)
                curveToRelative(13.5f, -13.2f, 31.7f, -20.9f, 51.0f, -20.9f)
                reflectiveCurveToRelative(37.5f, 7.7f, 51.0f, 20.9f)
                curveToRelative(19.3f, 0.2f, 37.3f, 7.8f, 50.8f, 21.3f)
                curveToRelative(6.4f, 6.4f, 11.3f, 13.8f, 14.8f, 21.8f)
                lineTo(416.0f, 320.0f)
                curveToRelative(53.0f, 0.0f, 96.0f, -43.0f, 96.0f, -96.0f)
                close()
            }
        }
        .build()
        return _cloudMeatball!!
    }

private var _cloudMeatball: ImageVector? = null
