package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Cogs: ImageVector
    get() {
        if (_cogs != null) {
            return _cogs!!
        }
        _cogs = Builder(name = "Cogs", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(512.1f, 191.0f)
                lineToRelative(-8.2f, 14.3f)
                curveToRelative(-3.0f, 5.3f, -9.4f, 7.5f, -15.1f, 5.4f)
                curveToRelative(-11.8f, -4.4f, -22.6f, -10.7f, -32.1f, -18.6f)
                curveToRelative(-4.6f, -3.8f, -5.8f, -10.5f, -2.8f, -15.7f)
                lineToRelative(8.2f, -14.3f)
                curveToRelative(-6.9f, -8.0f, -12.3f, -17.3f, -15.9f, -27.4f)
                horizontalLineToRelative(-16.5f)
                curveToRelative(-6.0f, 0.0f, -11.2f, -4.3f, -12.2f, -10.3f)
                curveToRelative(-2.0f, -12.0f, -2.1f, -24.6f, 0.0f, -37.1f)
                curveToRelative(1.0f, -6.0f, 6.2f, -10.4f, 12.2f, -10.4f)
                horizontalLineToRelative(16.5f)
                curveToRelative(3.6f, -10.1f, 9.0f, -19.4f, 15.9f, -27.4f)
                lineToRelative(-8.2f, -14.3f)
                curveToRelative(-3.0f, -5.2f, -1.9f, -11.9f, 2.8f, -15.7f)
                curveToRelative(9.5f, -7.9f, 20.4f, -14.2f, 32.1f, -18.6f)
                curveToRelative(5.7f, -2.1f, 12.1f, 0.1f, 15.1f, 5.4f)
                lineToRelative(8.2f, 14.3f)
                curveToRelative(10.5f, -1.9f, 21.2f, -1.9f, 31.7f, 0.0f)
                lineTo(552.0f, 6.3f)
                curveToRelative(3.0f, -5.3f, 9.4f, -7.5f, 15.1f, -5.4f)
                curveToRelative(11.8f, 4.4f, 22.6f, 10.7f, 32.1f, 18.6f)
                curveToRelative(4.6f, 3.8f, 5.8f, 10.5f, 2.8f, 15.7f)
                lineToRelative(-8.2f, 14.3f)
                curveToRelative(6.9f, 8.0f, 12.3f, 17.3f, 15.9f, 27.4f)
                horizontalLineToRelative(16.5f)
                curveToRelative(6.0f, 0.0f, 11.2f, 4.3f, 12.2f, 10.3f)
                curveToRelative(2.0f, 12.0f, 2.1f, 24.6f, 0.0f, 37.1f)
                curveToRelative(-1.0f, 6.0f, -6.2f, 10.4f, -12.2f, 10.4f)
                horizontalLineToRelative(-16.5f)
                curveToRelative(-3.6f, 10.1f, -9.0f, 19.4f, -15.9f, 27.4f)
                lineToRelative(8.2f, 14.3f)
                curveToRelative(3.0f, 5.2f, 1.9f, 11.9f, -2.8f, 15.7f)
                curveToRelative(-9.5f, 7.9f, -20.4f, 14.2f, -32.1f, 18.6f)
                curveToRelative(-5.7f, 2.1f, -12.1f, -0.1f, -15.1f, -5.4f)
                lineToRelative(-8.2f, -14.3f)
                curveToRelative(-10.4f, 1.9f, -21.2f, 1.9f, -31.7f, 0.0f)
                close()
                moveTo(501.6f, 132.2f)
                curveToRelative(38.5f, 29.6f, 82.4f, -14.3f, 52.8f, -52.8f)
                curveToRelative(-38.5f, -29.7f, -82.4f, 14.3f, -52.8f, 52.8f)
                close()
                moveTo(386.3f, 286.1f)
                lineToRelative(33.7f, 16.8f)
                curveToRelative(10.1f, 5.8f, 14.5f, 18.1f, 10.5f, 29.1f)
                curveToRelative(-8.9f, 24.2f, -26.4f, 46.4f, -42.6f, 65.8f)
                curveToRelative(-7.4f, 8.9f, -20.2f, 11.1f, -30.3f, 5.3f)
                lineToRelative(-29.1f, -16.8f)
                curveToRelative(-16.0f, 13.7f, -34.6f, 24.6f, -54.9f, 31.7f)
                verticalLineToRelative(33.6f)
                curveToRelative(0.0f, 11.6f, -8.3f, 21.6f, -19.7f, 23.6f)
                curveToRelative(-24.6f, 4.2f, -50.4f, 4.4f, -75.9f, 0.0f)
                curveToRelative(-11.5f, -2.0f, -20.0f, -11.9f, -20.0f, -23.6f)
                lineTo(158.0f, 418.0f)
                curveToRelative(-20.3f, -7.2f, -38.9f, -18.0f, -54.9f, -31.7f)
                lineTo(74.0f, 403.0f)
                curveToRelative(-10.0f, 5.8f, -22.9f, 3.6f, -30.3f, -5.3f)
                curveToRelative(-16.2f, -19.4f, -33.3f, -41.6f, -42.2f, -65.7f)
                curveToRelative(-4.0f, -10.9f, 0.4f, -23.2f, 10.5f, -29.1f)
                lineToRelative(33.3f, -16.8f)
                curveToRelative(-3.9f, -20.9f, -3.9f, -42.4f, 0.0f, -63.4f)
                lineTo(12.0f, 205.8f)
                curveToRelative(-10.1f, -5.8f, -14.6f, -18.1f, -10.5f, -29.0f)
                curveToRelative(8.9f, -24.2f, 26.0f, -46.4f, 42.2f, -65.8f)
                curveToRelative(7.4f, -8.9f, 20.2f, -11.1f, 30.3f, -5.3f)
                lineToRelative(29.1f, 16.8f)
                curveToRelative(16.0f, -13.7f, 34.6f, -24.6f, 54.9f, -31.7f)
                lineTo(158.0f, 57.1f)
                curveToRelative(0.0f, -11.5f, 8.2f, -21.5f, 19.6f, -23.5f)
                curveToRelative(24.6f, -4.2f, 50.5f, -4.4f, 76.0f, -0.1f)
                curveToRelative(11.5f, 2.0f, 20.0f, 11.9f, 20.0f, 23.6f)
                verticalLineToRelative(33.6f)
                curveToRelative(20.3f, 7.2f, 38.9f, 18.0f, 54.9f, 31.7f)
                lineToRelative(29.1f, -16.8f)
                curveToRelative(10.0f, -5.8f, 22.9f, -3.6f, 30.3f, 5.3f)
                curveToRelative(16.2f, 19.4f, 33.2f, 41.6f, 42.1f, 65.8f)
                curveToRelative(4.0f, 10.9f, 0.1f, 23.2f, -10.0f, 29.1f)
                lineToRelative(-33.7f, 16.8f)
                curveToRelative(3.9f, 21.0f, 3.9f, 42.5f, 0.0f, 63.5f)
                close()
                moveTo(268.7f, 307.2f)
                curveToRelative(59.2f, -77.0f, -28.7f, -164.9f, -105.7f, -105.7f)
                curveToRelative(-59.2f, 77.0f, 28.7f, 164.9f, 105.7f, 105.7f)
                close()
                moveTo(512.1f, 489.9f)
                lineToRelative(-8.2f, 14.3f)
                curveToRelative(-3.0f, 5.3f, -9.4f, 7.5f, -15.1f, 5.4f)
                curveToRelative(-11.8f, -4.4f, -22.6f, -10.7f, -32.1f, -18.6f)
                curveToRelative(-4.6f, -3.8f, -5.8f, -10.5f, -2.8f, -15.7f)
                lineToRelative(8.2f, -14.3f)
                curveToRelative(-6.9f, -8.0f, -12.3f, -17.3f, -15.9f, -27.4f)
                horizontalLineToRelative(-16.5f)
                curveToRelative(-6.0f, 0.0f, -11.2f, -4.3f, -12.2f, -10.3f)
                curveToRelative(-2.0f, -12.0f, -2.1f, -24.6f, 0.0f, -37.1f)
                curveToRelative(1.0f, -6.0f, 6.2f, -10.4f, 12.2f, -10.4f)
                horizontalLineToRelative(16.5f)
                curveToRelative(3.6f, -10.1f, 9.0f, -19.4f, 15.9f, -27.4f)
                lineToRelative(-8.2f, -14.3f)
                curveToRelative(-3.0f, -5.2f, -1.9f, -11.9f, 2.8f, -15.7f)
                curveToRelative(9.5f, -7.9f, 20.4f, -14.2f, 32.1f, -18.6f)
                curveToRelative(5.7f, -2.1f, 12.1f, 0.1f, 15.1f, 5.4f)
                lineToRelative(8.2f, 14.3f)
                curveToRelative(10.5f, -1.9f, 21.2f, -1.9f, 31.7f, 0.0f)
                lineToRelative(8.2f, -14.3f)
                curveToRelative(3.0f, -5.3f, 9.4f, -7.5f, 15.1f, -5.4f)
                curveToRelative(11.8f, 4.4f, 22.6f, 10.7f, 32.1f, 18.6f)
                curveToRelative(4.6f, 3.8f, 5.8f, 10.5f, 2.8f, 15.7f)
                lineToRelative(-8.2f, 14.3f)
                curveToRelative(6.9f, 8.0f, 12.3f, 17.3f, 15.9f, 27.4f)
                horizontalLineToRelative(16.5f)
                curveToRelative(6.0f, 0.0f, 11.2f, 4.3f, 12.2f, 10.3f)
                curveToRelative(2.0f, 12.0f, 2.1f, 24.6f, 0.0f, 37.1f)
                curveToRelative(-1.0f, 6.0f, -6.2f, 10.4f, -12.2f, 10.4f)
                horizontalLineToRelative(-16.5f)
                curveToRelative(-3.6f, 10.1f, -9.0f, 19.4f, -15.9f, 27.4f)
                lineToRelative(8.2f, 14.3f)
                curveToRelative(3.0f, 5.2f, 1.9f, 11.9f, -2.8f, 15.7f)
                curveToRelative(-9.5f, 7.9f, -20.4f, 14.2f, -32.1f, 18.6f)
                curveToRelative(-5.7f, 2.1f, -12.1f, -0.1f, -15.1f, -5.4f)
                lineToRelative(-8.2f, -14.3f)
                curveToRelative(-10.4f, 1.9f, -21.2f, 1.9f, -31.7f, 0.0f)
                close()
                moveTo(501.6f, 431.0f)
                curveToRelative(38.5f, 29.6f, 82.4f, -14.3f, 52.8f, -52.8f)
                curveToRelative(-38.5f, -29.6f, -82.4f, 14.3f, -52.8f, 52.8f)
                close()
            }
        }
        .build()
        return _cogs!!
    }

private var _cogs: ImageVector? = null
