package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FistRaised: ImageVector
    get() {
        if (_fistRaised != null) {
            return _fistRaised!!
        }
        _fistRaised = Builder(name = "FistRaised", defaultWidth = 384.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 384.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(255.98f, 160.0f)
                lineTo(255.98f, 16.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(146.93f)
                curveToRelative(5.02f, -1.78f, 10.34f, -2.93f, 15.97f, -2.93f)
                horizontalLineToRelative(48.03f)
                close()
                moveTo(383.98f, 255.99f)
                curveToRelative(-0.01f, -35.34f, -28.66f, -63.99f, -63.99f, -63.99f)
                lineTo(207.85f, 192.0f)
                curveToRelative(-8.78f, 0.0f, -15.9f, 7.07f, -15.9f, 15.85f)
                verticalLineToRelative(0.56f)
                curveToRelative(0.0f, 26.27f, 21.3f, 47.59f, 47.57f, 47.59f)
                horizontalLineToRelative(35.26f)
                curveToRelative(9.68f, 0.0f, 13.2f, 3.58f, 13.2f, 8.0f)
                verticalLineToRelative(16.2f)
                curveToRelative(0.0f, 4.29f, -3.59f, 7.78f, -7.88f, 8.0f)
                curveToRelative(-44.52f, 2.28f, -64.16f, 24.71f, -96.05f, 72.55f)
                lineToRelative(-6.31f, 9.47f)
                arcToRelative(7.994f, 7.994f, 0.0f, false, true, -11.09f, 2.22f)
                lineToRelative(-13.31f, -8.88f)
                arcToRelative(7.994f, 7.994f, 0.0f, false, true, -2.22f, -11.09f)
                lineToRelative(6.31f, -9.47f)
                curveToRelative(15.73f, -23.6f, 30.2f, -43.26f, 47.31f, -58.08f)
                curveToRelative(-17.27f, -5.51f, -31.4f, -18.12f, -38.87f, -34.45f)
                curveToRelative(-6.59f, 3.41f, -13.96f, 5.52f, -21.87f, 5.52f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-12.34f, 0.0f, -23.49f, -4.81f, -32.0f, -12.48f)
                curveTo(71.48f, 251.19f, 60.33f, 256.0f, 48.0f, 256.0f)
                lineTo(16.0f, 256.0f)
                curveToRelative(-5.64f, 0.0f, -10.97f, -1.15f, -16.0f, -2.95f)
                verticalLineToRelative(77.93f)
                curveToRelative(0.0f, 33.95f, 13.48f, 66.5f, 37.49f, 90.51f)
                lineTo(63.99f, 448.0f)
                verticalLineToRelative(64.0f)
                horizontalLineToRelative(255.98f)
                verticalLineToRelative(-63.96f)
                lineToRelative(35.91f, -35.92f)
                arcTo(96.035f, 96.035f, 0.0f, false, false, 384.0f, 344.21f)
                lineToRelative(-0.02f, -88.22f)
                close()
                moveTo(351.97f, 165.9f)
                lineTo(351.97f, 48.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(112.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(11.28f, 0.0f, 21.94f, 2.31f, 32.0f, 5.9f)
                close()
                moveTo(16.0f, 224.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                lineTo(64.0f, 80.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                lineTo(16.0f, 64.0f)
                curveTo(7.16f, 64.0f, 0.0f, 71.16f, 0.0f, 80.0f)
                verticalLineToRelative(128.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                close()
                moveTo(111.99f, 224.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                lineTo(159.99f, 48.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(160.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _fistRaised!!
    }

private var _fistRaised: ImageVector? = null
