package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.HandSparkles: ImageVector
    get() {
        if (_handSparkles != null) {
            return _handSparkles!!
        }
        _handSparkles = Builder(name = "HandSparkles", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(106.66f, 170.64f)
                lineToRelative(0.09f, 0.0f)
                lineToRelative(49.55f, -20.65f)
                arcToRelative(7.32f, 7.32f, 0.0f, false, false, 3.68f, -6.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(7.29f, 7.29f, 0.0f, false, false, -3.68f, -6.0f)
                lineToRelative(-49.57f, -20.67f)
                lineToRelative(-0.07f, 0.0f)
                lineTo(86.0f, 67.68f)
                arcToRelative(6.66f, 6.66f, 0.0f, false, false, -11.92f, 0.0f)
                lineToRelative(-20.7f, 49.63f)
                lineToRelative(-0.05f, 0.0f)
                lineTo(3.7f, 138.0f)
                arcTo(7.29f, 7.29f, 0.0f, false, false, 0.0f, 144.0f)
                horizontalLineTo(0.0f)
                arcToRelative(7.32f, 7.32f, 0.0f, false, false, 3.68f, 6.0f)
                lineTo(53.27f, 170.6f)
                lineToRelative(0.07f, 0.0f)
                lineTo(74.0f, 220.26f)
                arcToRelative(6.65f, 6.65f, 0.0f, false, false, 11.92f, 0.0f)
                lineToRelative(20.69f, -49.62f)
                close()
                moveTo(471.38f, 467.41f)
                lineToRelative(-1.0f, -0.42f)
                lineToRelative(-1.0f, -0.5f)
                arcToRelative(38.67f, 38.67f, 0.0f, false, true, 0.0f, -69.14f)
                lineToRelative(1.0f, -0.49f)
                lineToRelative(1.0f, -0.43f)
                lineToRelative(37.49f, -15.63f)
                lineToRelative(15.63f, -37.48f)
                lineToRelative(0.41f, -1.0f)
                lineToRelative(0.47f, -0.95f)
                curveToRelative(3.85f, -7.74f, 10.58f, -13.63f, 18.35f, -17.34f)
                curveToRelative(0.0f, -1.33f, 0.25f, -2.69f, 0.27f, -4.0f)
                verticalLineTo(144.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, -64.0f, 0.0f)
                verticalLineToRelative(72.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                horizontalLineTo(456.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                verticalLineTo(64.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, -64.0f, 0.0f)
                verticalLineTo(216.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                horizontalLineTo(360.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                verticalLineTo(32.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, -64.0f, 0.0f)
                verticalLineTo(216.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, 8.0f)
                horizontalLineTo(264.0f)
                arcToRelative(8.0f, 8.0f, 0.0f, false, true, -8.0f, -8.0f)
                verticalLineTo(64.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, false, false, -64.0f, 0.0f)
                verticalLineToRelative(241.0f)
                lineToRelative(-23.59f, -32.49f)
                arcToRelative(40.0f, 40.0f, 0.0f, false, false, -64.71f, 47.09f)
                lineTo(229.3f, 492.21f)
                arcTo(48.07f, 48.07f, 0.0f, false, false, 268.09f, 512.0f)
                horizontalLineTo(465.7f)
                curveToRelative(19.24f, 0.0f, 35.65f, -11.73f, 43.24f, -28.79f)
                lineToRelative(-0.07f, -0.17f)
                close()
                moveTo(349.79f, 339.52f)
                lineTo(320.0f, 351.93f)
                lineToRelative(-12.42f, 29.78f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, -7.15f, 0.0f)
                lineTo(288.0f, 351.93f)
                lineToRelative(-29.79f, -12.41f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, 0.0f, -7.16f)
                lineTo(288.0f, 319.94f)
                lineToRelative(12.42f, -29.78f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, 7.15f, 0.0f)
                lineTo(320.0f, 319.94f)
                lineToRelative(29.79f, 12.42f)
                arcToRelative(4.0f, 4.0f, 0.0f, false, true, 0.0f, 7.16f)
                close()
                moveTo(640.0f, 431.91f)
                arcToRelative(7.28f, 7.28f, 0.0f, false, false, -3.68f, -6.0f)
                lineToRelative(-49.57f, -20.67f)
                lineToRelative(-0.07f, 0.0f)
                lineTo(566.0f, 355.63f)
                arcToRelative(6.66f, 6.66f, 0.0f, false, false, -11.92f, 0.0f)
                lineToRelative(-20.7f, 49.63f)
                lineToRelative(-0.05f, 0.0f)
                lineTo(483.7f, 426.0f)
                arcToRelative(7.28f, 7.28f, 0.0f, false, false, -3.68f, 6.0f)
                horizontalLineToRelative(0.0f)
                arcToRelative(7.29f, 7.29f, 0.0f, false, false, 3.68f, 5.95f)
                lineToRelative(49.57f, 20.67f)
                lineToRelative(0.07f, 0.0f)
                lineTo(554.0f, 508.21f)
                arcToRelative(6.65f, 6.65f, 0.0f, false, false, 11.92f, 0.0f)
                lineToRelative(20.69f, -49.62f)
                horizontalLineToRelative(0.0f)
                lineToRelative(0.09f, 0.0f)
                lineToRelative(49.55f, -20.66f)
                arcToRelative(7.29f, 7.29f, 0.0f, false, false, 3.68f, -5.95f)
                horizontalLineToRelative(0.0f)
                close()
            }
        }
        .build()
        return _handSparkles!!
    }

private var _handSparkles: ImageVector? = null
