package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.HotTub: ImageVector
    get() {
        if (_hotTub != null) {
            return _hotTub!!
        }
        _hotTub = Builder(name = "HotTub", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(414.21f, 177.65f)
                curveToRelative(1.02f, 8.21f, 7.75f, 14.35f, 15.75f, 14.35f)
                horizontalLineToRelative(16.12f)
                curveToRelative(9.51f, 0.0f, 17.08f, -8.57f, 16.0f, -18.35f)
                curveToRelative(-4.34f, -39.11f, -22.4f, -74.53f, -50.13f, -97.16f)
                curveToRelative(-17.37f, -14.17f, -28.82f, -36.75f, -31.98f, -62.15f)
                curveTo(378.96f, 6.14f, 372.22f, 0.0f, 364.23f, 0.0f)
                horizontalLineToRelative(-16.12f)
                curveToRelative(-9.51f, 0.0f, -17.09f, 8.57f, -16.0f, 18.35f)
                curveToRelative(4.34f, 39.11f, 22.4f, 74.53f, 50.13f, 97.16f)
                curveToRelative(17.36f, 14.17f, 28.82f, 36.75f, 31.97f, 62.14f)
                close()
                moveTo(306.21f, 177.65f)
                curveToRelative(1.02f, 8.21f, 7.75f, 14.35f, 15.75f, 14.35f)
                horizontalLineToRelative(16.12f)
                curveToRelative(9.51f, 0.0f, 17.08f, -8.57f, 16.0f, -18.35f)
                curveToRelative(-4.34f, -39.11f, -22.4f, -74.53f, -50.13f, -97.16f)
                curveToRelative(-17.37f, -14.17f, -28.82f, -36.75f, -31.98f, -62.15f)
                curveTo(270.96f, 6.14f, 264.22f, 0.0f, 256.23f, 0.0f)
                horizontalLineToRelative(-16.12f)
                curveToRelative(-9.51f, 0.0f, -17.09f, 8.57f, -16.0f, 18.35f)
                curveToRelative(4.34f, 39.11f, 22.4f, 74.53f, 50.13f, 97.16f)
                curveToRelative(17.36f, 14.17f, 28.82f, 36.75f, 31.97f, 62.14f)
                close()
                moveTo(480.0f, 256.0f)
                lineTo(256.0f, 256.0f)
                lineToRelative(-110.93f, -83.2f)
                arcToRelative(63.99f, 63.99f, 0.0f, false, false, -38.4f, -12.8f)
                lineTo(64.0f, 160.0f)
                curveToRelative(-35.35f, 0.0f, -64.0f, 28.65f, -64.0f, 64.0f)
                verticalLineToRelative(224.0f)
                curveToRelative(0.0f, 35.35f, 28.65f, 64.0f, 64.0f, 64.0f)
                horizontalLineToRelative(384.0f)
                curveToRelative(35.35f, 0.0f, 64.0f, -28.65f, 64.0f, -64.0f)
                lineTo(512.0f, 288.0f)
                curveToRelative(0.0f, -17.67f, -14.33f, -32.0f, -32.0f, -32.0f)
                close()
                moveTo(128.0f, 440.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(96.0f, 328.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(112.0f)
                close()
                moveTo(224.0f, 440.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(192.0f, 328.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(112.0f)
                close()
                moveTo(320.0f, 440.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(288.0f, 328.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(112.0f)
                close()
                moveTo(416.0f, 440.0f)
                curveToRelative(0.0f, 4.42f, -3.58f, 8.0f, -8.0f, 8.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-4.42f, 0.0f, -8.0f, -3.58f, -8.0f, -8.0f)
                lineTo(384.0f, 328.0f)
                curveToRelative(0.0f, -4.42f, 3.58f, -8.0f, 8.0f, -8.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(4.42f, 0.0f, 8.0f, 3.58f, 8.0f, 8.0f)
                verticalLineToRelative(112.0f)
                close()
                moveTo(64.0f, 128.0f)
                curveToRelative(35.35f, 0.0f, 64.0f, -28.65f, 64.0f, -64.0f)
                reflectiveCurveTo(99.35f, 0.0f, 64.0f, 0.0f)
                reflectiveCurveTo(0.0f, 28.65f, 0.0f, 64.0f)
                reflectiveCurveToRelative(28.65f, 64.0f, 64.0f, 64.0f)
                close()
            }
        }
        .build()
        return _hotTub!!
    }

private var _hotTub: ImageVector? = null
