package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Khanda: ImageVector
    get() {
        if (_khanda != null) {
            return _khanda!!
        }
        _khanda = Builder(name = "Khanda", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(415.81f, 66.0f)
                curveToRelative(-6.37f, -3.5f, -14.37f, -2.33f, -19.36f, 3.02f)
                arcToRelative(15.974f, 15.974f, 0.0f, false, false, -1.91f, 19.52f)
                curveToRelative(16.49f, 26.16f, 25.2f, 56.39f, 25.2f, 87.41f)
                curveToRelative(-0.19f, 53.25f, -26.77f, 102.69f, -71.27f, 132.41f)
                lineToRelative(-76.63f, 53.35f)
                verticalLineToRelative(-20.1f)
                lineToRelative(44.05f, -36.09f)
                curveToRelative(3.92f, -4.2f, 5.0f, -10.09f, 2.81f, -15.28f)
                lineTo(310.85f, 273.0f)
                curveToRelative(33.84f, -19.26f, 56.94f, -55.25f, 56.94f, -96.99f)
                curveToRelative(0.0f, -40.79f, -22.02f, -76.13f, -54.59f, -95.71f)
                lineToRelative(5.22f, -11.44f)
                curveToRelative(2.34f, -5.53f, 0.93f, -11.83f, -3.57f, -16.04f)
                lineTo(255.86f, 0.0f)
                lineToRelative(-58.99f, 52.81f)
                curveToRelative(-4.5f, 4.21f, -5.9f, 10.51f, -3.57f, 16.04f)
                lineToRelative(5.22f, 11.44f)
                curveToRelative(-32.57f, 19.58f, -54.59f, 54.93f, -54.59f, 95.72f)
                curveToRelative(0.0f, 41.75f, 23.09f, 77.73f, 56.94f, 96.99f)
                lineToRelative(-7.85f, 17.24f)
                curveToRelative(-2.19f, 5.18f, -1.1f, 11.07f, 2.81f, 15.28f)
                lineToRelative(44.05f, 36.09f)
                verticalLineToRelative(19.9f)
                lineToRelative(-76.59f, -53.33f)
                curveTo(119.02f, 278.62f, 92.44f, 229.19f, 92.26f, 176.0f)
                curveToRelative(0.0f, -31.08f, 8.71f, -61.31f, 25.2f, -87.47f)
                curveToRelative(3.87f, -6.16f, 2.4f, -13.77f, -2.59f, -19.08f)
                curveToRelative(-5.0f, -5.34f, -13.68f, -6.2f, -20.02f, -2.7f)
                curveTo(16.32f, 109.6f, -22.3f, 205.3f, 13.36f, 295.99f)
                curveToRelative(7.07f, 17.99f, 17.89f, 34.38f, 30.46f, 49.06f)
                lineToRelative(55.97f, 65.36f)
                curveToRelative(4.87f, 5.69f, 13.04f, 7.24f, 19.65f, 3.72f)
                lineToRelative(79.35f, -42.23f)
                lineTo(228.0f, 392.23f)
                lineToRelative(-47.08f, 32.78f)
                curveToRelative(-1.67f, -0.37f, -3.23f, -1.01f, -5.01f, -1.01f)
                curveToRelative(-13.25f, 0.0f, -23.99f, 10.74f, -23.99f, 24.0f)
                curveToRelative(0.0f, 13.25f, 10.74f, 24.0f, 23.99f, 24.0f)
                curveToRelative(12.1f, 0.0f, 21.69f, -9.11f, 23.33f, -20.76f)
                lineToRelative(40.63f, -28.28f)
                verticalLineToRelative(29.95f)
                curveToRelative(-9.39f, 5.57f, -15.99f, 15.38f, -15.99f, 27.1f)
                curveToRelative(0.0f, 17.67f, 14.32f, 32.0f, 31.98f, 32.0f)
                reflectiveCurveToRelative(31.98f, -14.33f, 31.98f, -32.0f)
                curveToRelative(0.0f, -11.71f, -6.61f, -21.52f, -15.99f, -27.1f)
                verticalLineToRelative(-30.15f)
                lineToRelative(40.91f, 28.48f)
                curveTo(314.41f, 462.89f, 324.0f, 472.0f, 336.09f, 472.0f)
                curveToRelative(13.25f, 0.0f, 23.99f, -10.75f, 23.99f, -24.0f)
                curveToRelative(0.0f, -13.26f, -10.74f, -24.0f, -23.99f, -24.0f)
                curveToRelative(-1.78f, 0.0f, -3.34f, 0.64f, -5.01f, 1.01f)
                lineTo(284.0f, 392.23f)
                lineToRelative(29.21f, -20.34f)
                lineToRelative(79.35f, 42.23f)
                curveToRelative(6.61f, 3.52f, 14.78f, 1.97f, 19.65f, -3.71f)
                lineToRelative(52.51f, -61.31f)
                curveToRelative(18.87f, -22.02f, 34.0f, -47.5f, 41.25f, -75.59f)
                curveToRelative(21.62f, -83.66f, -16.45f, -167.27f, -90.16f, -207.51f)
                close()
                moveTo(319.82f, 176.0f)
                curveToRelative(0.0f, 22.3f, -11.49f, 41.92f, -28.83f, 53.38f)
                lineToRelative(-5.65f, -12.41f)
                curveToRelative(-8.75f, -24.52f, -8.75f, -51.04f, 0.0f, -75.56f)
                lineToRelative(7.83f, -17.18f)
                curveToRelative(16.07f, 11.65f, 26.65f, 30.45f, 26.65f, 51.77f)
                close()
                moveTo(191.89f, 176.0f)
                curveToRelative(0.0f, -21.32f, 10.58f, -40.12f, 26.66f, -51.76f)
                lineToRelative(7.83f, 17.18f)
                curveToRelative(8.75f, 24.52f, 8.75f, 51.03f, 0.0f, 75.56f)
                lineToRelative(-5.65f, 12.41f)
                curveToRelative(-17.34f, -11.46f, -28.84f, -31.09f, -28.84f, -53.39f)
                close()
            }
        }
        .build()
        return _khanda!!
    }

private var _khanda: ImageVector? = null
