package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.LungsVirus: ImageVector
    get() {
        if (_lungsVirus != null) {
            return _lungsVirus!!
        }
        _lungsVirus = Builder(name = "LungsVirus", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(344.0f, 150.68f)
                lineTo(344.0f, 16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, false, 328.0f, 0.0f)
                lineTo(312.0f, 0.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -16.0f, 16.0f)
                lineTo(296.0f, 150.68f)
                arcToRelative(46.45f, 46.45f, 0.0f, false, true, 48.0f, 0.0f)
                close()
                moveTo(195.54f, 444.46f)
                arcToRelative(48.06f, 48.06f, 0.0f, false, true, 0.0f, -67.88f)
                lineToRelative(8.58f, -8.58f)
                lineTo(192.0f, 368.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 0.0f, -96.0f)
                horizontalLineToRelative(12.12f)
                lineToRelative(-8.58f, -8.57f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 60.46f, -74.0f)
                lineTo(256.0f, 161.75f)
                curveTo(256.0f, 125.38f, 224.62f, 96.0f, 186.0f, 96.0f)
                curveToRelative(-44.0f, 0.0f, -58.0f, 28.5f, -80.12f, 63.13f)
                arcToRelative(819.52f, 819.52f, 0.0f, false, false, -102.0f, 231.0f)
                arcTo(113.16f, 113.16f, 0.0f, false, false, 0.0f, 419.75f)
                curveTo(0.0f, 481.0f, 62.5f, 525.26f, 125.25f, 508.38f)
                lineToRelative(59.5f, -15.87f)
                arcToRelative(98.51f, 98.51f, 0.0f, false, false, 52.5f, -34.75f)
                arcToRelative(46.49f, 46.49f, 0.0f, false, true, -41.71f, -13.3f)
                close()
                moveTo(421.83f, 421.83f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, -22.62f)
                lineToRelative(-8.58f, -8.58f)
                curveTo(393.09f, 370.47f, 407.37f, 336.0f, 435.88f, 336.0f)
                lineTo(448.0f, 336.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, -32.0f)
                lineTo(435.88f, 304.0f)
                curveToRelative(-28.51f, 0.0f, -42.79f, -34.47f, -22.63f, -54.62f)
                lineToRelative(8.58f, -8.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -22.63f, -22.63f)
                lineToRelative(-8.57f, 8.58f)
                curveTo(370.47f, 246.91f, 336.0f, 232.63f, 336.0f, 204.12f)
                lineTo(336.0f, 192.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -32.0f, 0.0f)
                verticalLineToRelative(12.12f)
                curveToRelative(0.0f, 28.51f, -34.47f, 42.79f, -54.63f, 22.63f)
                lineToRelative(-8.57f, -8.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -22.63f, 22.63f)
                lineToRelative(8.58f, 8.58f)
                curveToRelative(20.16f, 20.15f, 5.88f, 54.62f, -22.63f, 54.62f)
                lineTo(192.0f, 304.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, 32.0f)
                horizontalLineToRelative(12.12f)
                curveToRelative(28.51f, 0.0f, 42.79f, 34.47f, 22.63f, 54.63f)
                lineToRelative(-8.58f, 8.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 22.63f, 22.62f)
                lineToRelative(8.57f, -8.57f)
                curveTo(269.53f, 393.1f, 304.0f, 407.38f, 304.0f, 435.88f)
                lineTo(304.0f, 448.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 32.0f, 0.0f)
                lineTo(336.0f, 435.88f)
                curveToRelative(0.0f, -28.5f, 34.47f, -42.78f, 54.63f, -22.62f)
                lineToRelative(8.57f, 8.57f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 22.63f, 0.0f)
                close()
                moveTo(288.0f, 304.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, true, 16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, true, 288.0f, 304.0f)
                close()
                moveTo(352.0f, 368.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, true, 16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, true, 352.0f, 368.0f)
                close()
                moveTo(636.12f, 390.13f)
                arcToRelative(819.52f, 819.52f, 0.0f, false, false, -102.0f, -231.0f)
                curveTo(512.0f, 124.5f, 498.0f, 96.0f, 454.0f, 96.0f)
                curveToRelative(-38.62f, 0.0f, -70.0f, 29.38f, -70.0f, 65.75f)
                verticalLineToRelative(27.72f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 60.46f, 74.0f)
                lineTo(435.88f, 272.0f)
                lineTo(448.0f, 272.0f)
                arcToRelative(48.0f, 48.0f, 0.0f, false, true, 0.0f, 96.0f)
                lineTo(435.88f, 368.0f)
                lineToRelative(8.58f, 8.58f)
                arcToRelative(47.7f, 47.7f, 0.0f, false, true, -41.71f, 81.18f)
                arcToRelative(98.51f, 98.51f, 0.0f, false, false, 52.5f, 34.75f)
                lineToRelative(59.5f, 15.87f)
                curveTo(577.5f, 525.26f, 640.0f, 481.0f, 640.0f, 419.75f)
                arcTo(113.16f, 113.16f, 0.0f, false, false, 636.12f, 390.13f)
                close()
            }
        }
        .build()
        return _lungsVirus!!
    }

private var _lungsVirus: ImageVector? = null
