package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Motorcycle: ImageVector
    get() {
        if (_motorcycle != null) {
            return _motorcycle!!
        }
        _motorcycle = Builder(name = "Motorcycle", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(512.9f, 192.0f)
                curveToRelative(-14.9f, -0.1f, -29.1f, 2.3f, -42.4f, 6.9f)
                lineTo(437.6f, 144.0f)
                lineTo(520.0f, 144.0f)
                curveToRelative(13.3f, 0.0f, 24.0f, -10.7f, 24.0f, -24.0f)
                lineTo(544.0f, 88.0f)
                curveToRelative(0.0f, -13.3f, -10.7f, -24.0f, -24.0f, -24.0f)
                horizontalLineToRelative(-45.3f)
                curveToRelative(-6.8f, 0.0f, -13.3f, 2.9f, -17.8f, 7.9f)
                lineToRelative(-37.5f, 41.7f)
                lineToRelative(-22.8f, -38.0f)
                curveTo(392.2f, 68.4f, 384.4f, 64.0f, 376.0f, 64.0f)
                horizontalLineToRelative(-80.0f)
                curveToRelative(-8.8f, 0.0f, -16.0f, 7.2f, -16.0f, 16.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(66.4f)
                lineToRelative(19.2f, 32.0f)
                lineTo(227.9f, 144.0f)
                curveToRelative(-17.7f, -23.1f, -44.9f, -40.0f, -99.9f, -40.0f)
                lineTo(72.5f, 104.0f)
                curveTo(59.0f, 104.0f, 47.7f, 115.0f, 48.0f, 128.5f)
                curveToRelative(0.2f, 13.0f, 10.9f, 23.5f, 24.0f, 23.5f)
                horizontalLineToRelative(56.0f)
                curveToRelative(24.5f, 0.0f, 38.7f, 10.9f, 47.8f, 24.8f)
                lineToRelative(-11.3f, 20.5f)
                curveToRelative(-13.0f, -3.9f, -26.9f, -5.7f, -41.3f, -5.2f)
                curveTo(55.9f, 194.5f, 1.6f, 249.6f, 0.0f, 317.0f)
                curveToRelative(-1.6f, 72.1f, 56.3f, 131.0f, 128.0f, 131.0f)
                curveToRelative(59.6f, 0.0f, 109.7f, -40.8f, 124.0f, -96.0f)
                horizontalLineToRelative(84.2f)
                curveToRelative(13.7f, 0.0f, 24.6f, -11.4f, 24.0f, -25.1f)
                curveToRelative(-2.1f, -47.1f, 17.5f, -93.7f, 56.2f, -125.0f)
                lineToRelative(12.5f, 20.8f)
                curveToRelative(-27.6f, 23.7f, -45.1f, 58.9f, -44.8f, 98.2f)
                curveToRelative(0.5f, 69.6f, 57.2f, 126.5f, 126.8f, 127.1f)
                curveToRelative(71.6f, 0.7f, 129.8f, -57.5f, 129.2f, -129.1f)
                curveToRelative(-0.7f, -69.6f, -57.6f, -126.4f, -127.2f, -126.9f)
                close()
                moveTo(128.0f, 400.0f)
                curveToRelative(-44.1f, 0.0f, -80.0f, -35.9f, -80.0f, -80.0f)
                reflectiveCurveToRelative(35.9f, -80.0f, 80.0f, -80.0f)
                curveToRelative(4.2f, 0.0f, 8.4f, 0.3f, 12.5f, 1.0f)
                lineTo(99.0f, 316.4f)
                curveToRelative(-8.8f, 16.0f, 2.8f, 35.6f, 21.0f, 35.6f)
                horizontalLineToRelative(81.3f)
                curveToRelative(-12.4f, 28.2f, -40.6f, 48.0f, -73.3f, 48.0f)
                close()
                moveTo(591.9f, 324.4f)
                curveToRelative(-2.2f, 40.6f, -35.0f, 73.4f, -75.5f, 75.5f)
                curveToRelative(-46.1f, 2.5f, -84.4f, -34.3f, -84.4f, -79.9f)
                curveToRelative(0.0f, -21.4f, 8.4f, -40.8f, 22.1f, -55.1f)
                lineToRelative(49.4f, 82.4f)
                curveToRelative(4.5f, 7.6f, 14.4f, 10.0f, 22.0f, 5.5f)
                lineToRelative(13.7f, -8.2f)
                curveToRelative(7.6f, -4.5f, 10.0f, -14.4f, 5.5f, -22.0f)
                lineToRelative(-48.6f, -80.9f)
                curveToRelative(5.2f, -1.1f, 10.5f, -1.6f, 15.9f, -1.6f)
                curveToRelative(45.6f, -0.1f, 82.3f, 38.2f, 79.9f, 84.3f)
                close()
            }
        }
        .build()
        return _motorcycle!!
    }

private var _motorcycle: ImageVector? = null
