package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.SwimmingPool: ImageVector
    get() {
        if (_swimmingPool != null) {
            return _swimmingPool!!
        }
        _swimmingPool = Builder(name = "SwimmingPool", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(624.0f, 416.0f)
                horizontalLineToRelative(-16.0f)
                curveToRelative(-26.04f, 0.0f, -45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(461.8f, 407.58f, 442.04f, 416.0f, 416.0f, 416.0f)
                reflectiveCurveToRelative(-45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(269.8f, 407.58f, 250.04f, 416.0f, 224.0f, 416.0f)
                reflectiveCurveToRelative(-45.8f, -8.42f, -56.09f, -17.9f)
                curveToRelative(-8.9f, -8.21f, -19.66f, -14.1f, -31.77f, -14.1f)
                horizontalLineToRelative(-16.3f)
                curveToRelative(-12.11f, 0.0f, -22.87f, 5.89f, -31.77f, 14.1f)
                curveTo(77.8f, 407.58f, 58.04f, 416.0f, 32.0f, 416.0f)
                lineTo(16.0f, 416.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(16.0f)
                curveToRelative(38.62f, 0.0f, 72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                reflectiveCurveToRelative(72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                reflectiveCurveToRelative(72.72f, -12.19f, 96.0f, -31.84f)
                curveToRelative(23.28f, 19.66f, 57.38f, 31.84f, 96.0f, 31.84f)
                horizontalLineToRelative(16.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                close()
                moveTo(224.0f, 384.0f)
                verticalLineToRelative(-96.0f)
                horizontalLineToRelative(192.0f)
                verticalLineToRelative(96.0f)
                curveToRelative(19.12f, 0.0f, 30.86f, -6.16f, 34.39f, -9.42f)
                curveToRelative(9.17f, -8.46f, 19.2f, -14.34f, 29.61f, -18.07f)
                lineTo(480.0f, 128.0f)
                curveToRelative(0.0f, -17.64f, 14.36f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.36f, 32.0f, 32.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -52.94f, -43.06f, -96.0f, -96.0f, -96.0f)
                reflectiveCurveToRelative(-96.0f, 43.06f, -96.0f, 96.0f)
                verticalLineToRelative(96.0f)
                lineTo(224.0f, 224.0f)
                verticalLineToRelative(-96.0f)
                curveToRelative(0.0f, -17.64f, 14.36f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.36f, 32.0f, 32.0f)
                verticalLineToRelative(16.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-16.0f)
                curveToRelative(0.0f, -52.94f, -43.06f, -96.0f, -96.0f, -96.0f)
                reflectiveCurveToRelative(-96.0f, 43.06f, -96.0f, 96.0f)
                verticalLineToRelative(228.5f)
                curveToRelative(10.41f, 3.73f, 20.44f, 9.62f, 29.61f, 18.07f)
                curveToRelative(3.53f, 3.27f, 15.27f, 9.43f, 34.39f, 9.43f)
                close()
            }
        }
        .build()
        return _swimmingPool!!
    }

private var _swimmingPool: ImageVector? = null
