package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TachometerAlt: ImageVector
    get() {
        if (_tachometerAlt != null) {
            return _tachometerAlt!!
        }
        _tachometerAlt = Builder(name = "TachometerAlt", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(288.0f, 32.0f)
                curveTo(128.94f, 32.0f, 0.0f, 160.94f, 0.0f, 320.0f)
                curveToRelative(0.0f, 52.8f, 14.25f, 102.26f, 39.06f, 144.8f)
                curveToRelative(5.61f, 9.62f, 16.3f, 15.2f, 27.44f, 15.2f)
                horizontalLineToRelative(443.0f)
                curveToRelative(11.14f, 0.0f, 21.83f, -5.58f, 27.44f, -15.2f)
                curveTo(561.75f, 422.26f, 576.0f, 372.8f, 576.0f, 320.0f)
                curveToRelative(0.0f, -159.06f, -128.94f, -288.0f, -288.0f, -288.0f)
                close()
                moveTo(288.0f, 96.0f)
                curveToRelative(14.71f, 0.0f, 26.58f, 10.13f, 30.32f, 23.65f)
                curveToRelative(-1.11f, 2.26f, -2.64f, 4.23f, -3.45f, 6.67f)
                lineToRelative(-9.22f, 27.67f)
                curveToRelative(-5.13f, 3.49f, -10.97f, 6.01f, -17.64f, 6.01f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                reflectiveCurveTo(270.33f, 96.0f, 288.0f, 96.0f)
                close()
                moveTo(96.0f, 384.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.33f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.33f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.33f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(144.0f, 224.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.33f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.33f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.33f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(390.77f, 151.59f)
                lineToRelative(-61.33f, 184.0f)
                curveTo(343.13f, 347.33f, 352.0f, 364.54f, 352.0f, 384.0f)
                curveToRelative(0.0f, 11.72f, -3.38f, 22.55f, -8.88f, 32.0f)
                lineTo(232.88f, 416.0f)
                curveToRelative(-5.5f, -9.45f, -8.88f, -20.28f, -8.88f, -32.0f)
                curveToRelative(0.0f, -33.94f, 26.5f, -61.43f, 59.9f, -63.59f)
                lineToRelative(61.34f, -184.01f)
                curveToRelative(4.17f, -12.56f, 17.73f, -19.45f, 30.36f, -15.17f)
                curveToRelative(12.57f, 4.19f, 19.35f, 17.79f, 15.17f, 30.36f)
                close()
                moveTo(405.43f, 208.79f)
                lineToRelative(15.52f, -46.55f)
                curveToRelative(3.47f, -1.29f, 7.13f, -2.23f, 11.05f, -2.23f)
                curveToRelative(17.67f, 0.0f, 32.0f, 14.33f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.33f, 32.0f, -32.0f, 32.0f)
                curveToRelative(-11.38f, -0.01f, -20.89f, -6.28f, -26.57f, -15.22f)
                close()
                moveTo(480.0f, 384.0f)
                curveToRelative(-17.67f, 0.0f, -32.0f, -14.33f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.33f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.33f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.33f, 32.0f, -32.0f, 32.0f)
                close()
            }
        }
        .build()
        return _tachometerAlt!!
    }

private var _tachometerAlt: ImageVector? = null
