package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.TheaterMasks: ImageVector
    get() {
        if (_theaterMasks != null) {
            return _theaterMasks!!
        }
        _theaterMasks = Builder(name = "TheaterMasks", defaultWidth = 640.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(206.86f, 245.15f)
                curveToRelative(-35.88f, 10.45f, -59.95f, 41.2f, -57.53f, 74.1f)
                curveToRelative(11.4f, -12.72f, 28.81f, -23.7f, 49.9f, -30.92f)
                lineToRelative(7.63f, -43.18f)
                close()
                moveTo(95.81f, 295.0f)
                lineTo(64.08f, 115.49f)
                curveToRelative(-0.29f, -1.62f, 0.28f, -2.62f, 0.24f, -2.65f)
                curveToRelative(57.76f, -32.06f, 123.12f, -49.01f, 189.01f, -49.01f)
                curveToRelative(1.61f, 0.0f, 3.23f, 0.17f, 4.85f, 0.19f)
                curveToRelative(13.95f, -13.47f, 31.73f, -22.83f, 51.59f, -26.0f)
                curveToRelative(18.89f, -3.02f, 38.05f, -4.55f, 57.18f, -5.32f)
                curveToRelative(-9.99f, -13.95f, -24.48f, -24.23f, -41.77f, -27.0f)
                curveTo(301.27f, 1.89f, 277.24f, 0.0f, 253.32f, 0.0f)
                curveTo(176.66f, 0.0f, 101.02f, 19.42f, 33.2f, 57.06f)
                curveTo(9.03f, 70.48f, -3.92f, 98.48f, 1.05f, 126.58f)
                lineToRelative(31.73f, 179.51f)
                curveToRelative(14.23f, 80.52f, 136.33f, 142.08f, 204.45f, 142.08f)
                curveToRelative(3.59f, 0.0f, 6.75f, -0.46f, 10.01f, -0.8f)
                curveToRelative(-13.52f, -17.08f, -28.94f, -40.48f, -39.5f, -67.58f)
                curveToRelative(-47.61f, -12.98f, -106.06f, -51.62f, -111.93f, -84.79f)
                close()
                moveTo(193.36f, 157.54f)
                curveToRelative(-0.73f, -4.12f, -2.23f, -7.87f, -4.07f, -11.4f)
                curveToRelative(-8.25f, 8.91f, -20.67f, 15.75f, -35.32f, 18.32f)
                curveToRelative(-14.65f, 2.58f, -28.67f, 0.4f, -39.48f, -5.17f)
                curveToRelative(-0.52f, 3.94f, -0.64f, 7.98f, 0.09f, 12.1f)
                curveToRelative(3.84f, 21.7f, 24.58f, 36.19f, 46.34f, 32.37f)
                curveToRelative(21.75f, -3.82f, 36.28f, -24.52f, 32.44f, -46.22f)
                close()
                moveTo(606.8f, 120.9f)
                curveToRelative(-88.98f, -49.38f, -191.43f, -67.41f, -291.98f, -51.35f)
                curveToRelative(-27.31f, 4.36f, -49.08f, 26.26f, -54.04f, 54.36f)
                lineToRelative(-31.73f, 179.51f)
                curveToRelative(-15.39f, 87.05f, 95.28f, 196.27f, 158.31f, 207.35f)
                curveToRelative(63.03f, 11.09f, 204.47f, -53.79f, 219.86f, -140.84f)
                lineToRelative(31.73f, -179.51f)
                curveToRelative(4.97f, -28.11f, -7.98f, -56.11f, -32.15f, -69.52f)
                close()
                moveTo(333.56f, 217.7f)
                curveToRelative(3.84f, -21.7f, 24.58f, -36.19f, 46.34f, -32.36f)
                curveToRelative(21.76f, 3.83f, 36.28f, 24.52f, 32.45f, 46.22f)
                curveToRelative(-0.73f, 4.12f, -2.23f, 7.87f, -4.07f, 11.4f)
                curveToRelative(-8.25f, -8.91f, -20.67f, -15.75f, -35.32f, -18.32f)
                curveToRelative(-14.65f, -2.58f, -28.67f, -0.4f, -39.48f, 5.17f)
                curveToRelative(-0.53f, -3.95f, -0.65f, -7.99f, 0.08f, -12.11f)
                close()
                moveTo(404.03f, 416.46f)
                curveToRelative(-55.68f, -9.79f, -93.52f, -59.27f, -89.04f, -112.9f)
                curveToRelative(20.6f, 25.54f, 56.21f, 46.17f, 99.49f, 53.78f)
                curveToRelative(43.28f, 7.61f, 83.82f, 0.37f, 111.93f, -16.6f)
                curveToRelative(-14.18f, 51.94f, -66.71f, 85.51f, -122.38f, 75.72f)
                close()
                moveTo(534.33f, 265.12f)
                curveToRelative(-8.25f, -8.91f, -20.68f, -15.75f, -35.33f, -18.32f)
                curveToRelative(-14.65f, -2.58f, -28.67f, -0.4f, -39.48f, 5.17f)
                curveToRelative(-0.52f, -3.94f, -0.64f, -7.98f, 0.09f, -12.1f)
                curveToRelative(3.84f, -21.7f, 24.58f, -36.19f, 46.34f, -32.37f)
                curveToRelative(21.75f, 3.83f, 36.28f, 24.52f, 32.45f, 46.22f)
                curveToRelative(-0.73f, 4.13f, -2.23f, 7.88f, -4.07f, 11.4f)
                close()
            }
        }
        .build()
        return _theaterMasks!!
    }

private var _theaterMasks: ImageVector? = null
