package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.AppStore: ImageVector
    get() {
        if (_appStore != null) {
            return _appStore!!
        }
        _appStore = Builder(name = "AppStore", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(22.0859f, 5.0f, 27.0f, 9.9141f, 27.0f, 16.0f)
                curveTo(27.0f, 22.0859f, 22.0859f, 27.0f, 16.0f, 27.0f)
                curveTo(9.9141f, 27.0f, 5.0f, 22.0859f, 5.0f, 16.0f)
                curveTo(5.0f, 9.9141f, 9.9141f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(15.9688f, 8.25f)
                curveTo(15.8906f, 8.2617f, 15.793f, 8.3008f, 15.7188f, 8.3438f)
                lineTo(15.2188f, 8.625f)
                curveTo(14.9258f, 8.7969f, 14.8281f, 9.1719f, 15.0f, 9.4688f)
                lineTo(19.2813f, 16.8125f)
                lineTo(20.8438f, 15.9063f)
                lineTo(16.5625f, 8.5625f)
                curveTo(16.4336f, 8.3438f, 16.207f, 8.2188f, 15.9688f, 8.25f)
                close()
                moveTo(14.6563f, 10.6875f)
                curveTo(14.418f, 10.6563f, 14.1602f, 10.7773f, 14.0313f, 11.0f)
                lineTo(13.5f, 11.9375f)
                lineTo(15.125f, 12.875f)
                lineTo(15.6563f, 11.9375f)
                curveTo(15.8281f, 11.6406f, 15.7305f, 11.2656f, 15.4375f, 11.0938f)
                lineTo(14.875f, 10.7813f)
                curveTo(14.8008f, 10.7383f, 14.7344f, 10.6992f, 14.6563f, 10.6875f)
                close()
                moveTo(13.375f, 12.1563f)
                lineTo(9.5938f, 18.625f)
                lineTo(11.1875f, 19.5625f)
                lineTo(14.9688f, 13.0938f)
                close()
                moveTo(8.0f, 15.0938f)
                lineTo(8.0f, 16.9063f)
                lineTo(10.2813f, 16.9063f)
                lineTo(11.3438f, 15.0938f)
                close()
                moveTo(14.0625f, 15.0938f)
                lineTo(13.0625f, 16.9063f)
                lineTo(18.9063f, 16.9063f)
                lineTo(17.9063f, 15.0938f)
                close()
                moveTo(20.75f, 15.0938f)
                lineTo(21.7188f, 16.9063f)
                lineTo(23.9688f, 16.9063f)
                lineTo(23.9688f, 15.0938f)
                close()
                moveTo(21.0313f, 16.2188f)
                lineTo(19.4688f, 17.125f)
                lineTo(20.375f, 18.6875f)
                lineTo(21.9375f, 17.7813f)
                close()
                moveTo(21.8438f, 18.1875f)
                curveTo(21.793f, 18.1953f, 21.7422f, 18.2188f, 21.6875f, 18.25f)
                curveTo(21.4336f, 18.3945f, 21.0664f, 18.6172f, 20.8438f, 18.75f)
                curveTo(20.4258f, 19.0f, 20.75f, 19.7461f, 20.8438f, 19.9063f)
                curveTo(21.3867f, 20.8164f, 21.9531f, 20.6992f, 22.375f, 21.3438f)
                curveTo(22.6055f, 21.6953f, 22.5195f, 21.8516f, 22.5938f, 21.9688f)
                curveTo(22.6211f, 22.0117f, 22.7148f, 22.0508f, 22.75f, 22.0f)
                curveTo(23.4023f, 21.0977f, 23.2227f, 19.5313f, 22.75f, 18.8438f)
                curveTo(22.5586f, 18.5625f, 22.2109f, 18.125f, 21.8438f, 18.1875f)
                close()
                moveTo(9.375f, 18.9688f)
                lineTo(8.5938f, 21.9063f)
                curveTo(8.5781f, 21.9609f, 8.6094f, 22.0352f, 8.6563f, 22.0625f)
                curveTo(8.7031f, 22.0898f, 8.7734f, 22.0703f, 8.8125f, 22.0313f)
                lineTo(11.0f, 19.9063f)
                close()
            }
        }
        .build()
        return _appStore!!
    }

private var _appStore: ImageVector? = null
