package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BabyCarriageSolid: ImageVector
    get() {
        if (_babyCarriageSolid != null) {
            return _babyCarriageSolid!!
        }
        _babyCarriageSolid = Builder(name = "BabyCarriageSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.0f, 4.0f)
                lineTo(18.0f, 13.0f)
                lineTo(9.6875f, 13.0f)
                curveTo(9.457f, 12.457f, 9.0898f, 11.7305f, 8.4688f, 10.9063f)
                curveTo(7.4141f, 9.5039f, 5.6055f, 8.0f, 3.0f, 8.0f)
                lineTo(3.0f, 10.0f)
                curveTo(4.8555f, 10.0f, 6.0469f, 10.9961f, 6.875f, 12.0938f)
                curveTo(7.6641f, 13.1406f, 7.9688f, 14.125f, 8.0f, 14.2188f)
                curveTo(8.082f, 17.6094f, 10.082f, 20.5391f, 12.9375f, 22.0f)
                curveTo(11.3203f, 22.0352f, 10.0f, 23.375f, 10.0f, 25.0f)
                curveTo(10.0f, 26.6445f, 11.3555f, 28.0f, 13.0f, 28.0f)
                curveTo(14.6445f, 28.0f, 16.0f, 26.6445f, 16.0f, 25.0f)
                curveTo(16.0f, 24.1133f, 15.6172f, 23.3008f, 15.0f, 22.75f)
                curveTo(15.6445f, 22.8984f, 16.3125f, 23.0f, 17.0f, 23.0f)
                lineTo(20.0f, 23.0f)
                curveTo(20.6875f, 23.0f, 21.3555f, 22.8984f, 22.0f, 22.75f)
                curveTo(21.3828f, 23.3008f, 21.0f, 24.1133f, 21.0f, 25.0f)
                curveTo(21.0f, 26.6445f, 22.3555f, 28.0f, 24.0f, 28.0f)
                curveTo(25.6445f, 28.0f, 27.0f, 26.6445f, 27.0f, 25.0f)
                curveTo(27.0f, 23.375f, 25.6797f, 22.0352f, 24.0625f, 22.0f)
                curveTo(26.6953f, 20.6523f, 28.5898f, 18.0547f, 28.9375f, 15.0f)
                curveTo(28.9688f, 14.7109f, 28.9961f, 14.4219f, 29.0f, 14.125f)
                curveTo(29.0f, 14.1055f, 29.0f, 14.082f, 29.0f, 14.0625f)
                curveTo(29.0f, 14.0625f, 29.0078f, 13.8984f, 29.0f, 13.625f)
                lineTo(29.0f, 13.0f)
                lineTo(28.9375f, 13.0f)
                curveTo(28.8633f, 12.043f, 28.6641f, 10.5938f, 27.9375f, 9.0625f)
                curveTo(26.7461f, 6.5547f, 24.0469f, 4.0f, 19.0f, 4.0f)
                close()
                moveTo(20.0f, 6.125f)
                curveTo(23.6133f, 6.4219f, 25.293f, 8.1211f, 26.1563f, 9.9375f)
                curveTo(26.7461f, 11.1836f, 26.8789f, 12.2305f, 26.9375f, 13.0f)
                lineTo(20.0f, 13.0f)
                close()
                moveTo(10.2188f, 15.0f)
                lineTo(26.7813f, 15.0f)
                curveTo(26.2734f, 18.3633f, 23.5f, 21.0f, 20.0f, 21.0f)
                lineTo(17.0f, 21.0f)
                curveTo(13.5f, 21.0f, 10.7266f, 18.3633f, 10.2188f, 15.0f)
                close()
                moveTo(13.0f, 24.0f)
                curveTo(13.5625f, 24.0f, 14.0f, 24.4375f, 14.0f, 25.0f)
                curveTo(14.0f, 25.5625f, 13.5625f, 26.0f, 13.0f, 26.0f)
                curveTo(12.4375f, 26.0f, 12.0f, 25.5625f, 12.0f, 25.0f)
                curveTo(12.0f, 24.4375f, 12.4375f, 24.0f, 13.0f, 24.0f)
                close()
                moveTo(24.0f, 24.0f)
                curveTo(24.5625f, 24.0f, 25.0f, 24.4375f, 25.0f, 25.0f)
                curveTo(25.0f, 25.5625f, 24.5625f, 26.0f, 24.0f, 26.0f)
                curveTo(23.4375f, 26.0f, 23.0f, 25.5625f, 23.0f, 25.0f)
                curveTo(23.0f, 24.4375f, 23.4375f, 24.0f, 24.0f, 24.0f)
                close()
            }
        }
        .build()
        return _babyCarriageSolid!!
    }

private var _babyCarriageSolid: ImageVector? = null
