package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BaconSolid: ImageVector
    get() {
        if (_baconSolid != null) {
            return _baconSolid!!
        }
        _baconSolid = Builder(name = "BaconSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.4375f, 5.0f)
                curveTo(7.6172f, 5.0f, 5.3438f, 7.25f, 5.3438f, 7.25f)
                lineTo(5.0f, 7.5625f)
                lineTo(5.0f, 15.0f)
                lineTo(6.4375f, 15.0f)
                lineTo(6.7188f, 14.7813f)
                curveTo(6.9023f, 14.6367f, 7.4844f, 14.1719f, 8.2188f, 13.75f)
                curveTo(8.9531f, 13.3281f, 9.8242f, 13.0f, 10.4375f, 13.0f)
                curveTo(11.2773f, 13.0f, 11.9844f, 13.2148f, 12.8438f, 13.4688f)
                curveTo(13.7031f, 13.7227f, 14.7148f, 14.0f, 16.0f, 14.0f)
                curveTo(17.2852f, 14.0f, 18.2578f, 13.7188f, 19.0938f, 13.4688f)
                curveTo(19.9297f, 13.2188f, 20.6328f, 13.0f, 21.5625f, 13.0f)
                curveTo(22.3008f, 13.0f, 23.1875f, 13.3516f, 23.9063f, 13.7813f)
                curveTo(24.625f, 14.2109f, 25.1172f, 14.6367f, 25.25f, 14.75f)
                lineTo(25.5313f, 15.0f)
                lineTo(27.0f, 15.0f)
                lineTo(27.0f, 7.5625f)
                lineTo(26.6563f, 7.25f)
                curveTo(26.6563f, 7.25f, 24.3828f, 5.0f, 21.5625f, 5.0f)
                curveTo(20.3008f, 5.0f, 19.332f, 5.2813f, 18.5f, 5.5313f)
                curveTo(17.668f, 5.7813f, 16.9609f, 6.0f, 16.0f, 6.0f)
                curveTo(15.0391f, 6.0f, 14.332f, 5.7813f, 13.5f, 5.5313f)
                curveTo(12.668f, 5.2813f, 11.6992f, 5.0f, 10.4375f, 5.0f)
                close()
                moveTo(10.4375f, 7.0f)
                curveTo(11.3984f, 7.0f, 12.1055f, 7.2188f, 12.9375f, 7.4688f)
                curveTo(13.7695f, 7.7188f, 14.7383f, 8.0f, 16.0f, 8.0f)
                curveTo(17.2617f, 8.0f, 18.2305f, 7.7188f, 19.0625f, 7.4688f)
                curveTo(19.8945f, 7.2188f, 20.6016f, 7.0f, 21.5625f, 7.0f)
                curveTo(22.9609f, 7.0f, 24.5352f, 8.1445f, 25.0f, 8.5f)
                lineTo(25.0f, 9.1563f)
                curveTo(24.9414f, 9.1211f, 24.9063f, 9.0977f, 24.8438f, 9.0625f)
                curveTo(23.9648f, 8.5391f, 22.8008f, 8.0f, 21.5625f, 8.0f)
                curveTo(20.4023f, 8.0f, 19.5195f, 8.2813f, 18.6875f, 8.5313f)
                curveTo(17.8555f, 8.7813f, 17.0625f, 9.0f, 16.0f, 9.0f)
                curveTo(14.9375f, 9.0f, 14.1016f, 8.7813f, 13.25f, 8.5313f)
                curveTo(12.3984f, 8.2813f, 11.5273f, 8.0f, 10.4375f, 8.0f)
                curveTo(9.2656f, 8.0f, 8.1172f, 8.543f, 7.2188f, 9.0625f)
                curveTo(7.125f, 9.1172f, 7.0859f, 9.1641f, 7.0f, 9.2188f)
                lineTo(7.0f, 8.5f)
                curveTo(7.4648f, 8.1445f, 9.0391f, 7.0f, 10.4375f, 7.0f)
                close()
                moveTo(10.4375f, 9.0f)
                curveTo(11.3594f, 9.0f, 12.1133f, 9.2188f, 12.9688f, 9.4688f)
                curveTo(13.8242f, 9.7188f, 14.7891f, 10.0f, 16.0f, 10.0f)
                curveTo(17.2109f, 10.0f, 18.1328f, 9.7188f, 18.9688f, 9.4688f)
                curveTo(19.8047f, 9.2188f, 20.5547f, 9.0f, 21.5625f, 9.0f)
                curveTo(22.4922f, 9.0f, 23.543f, 9.4609f, 24.3438f, 9.9375f)
                curveTo(24.6133f, 10.0977f, 24.8047f, 10.2344f, 25.0f, 10.375f)
                lineTo(25.0f, 12.0938f)
                curveTo(24.9688f, 12.0742f, 24.9688f, 12.082f, 24.9375f, 12.0625f)
                curveTo(24.0508f, 11.5352f, 22.8906f, 11.0f, 21.5625f, 11.0f)
                curveTo(20.3242f, 11.0f, 19.3633f, 11.2813f, 18.5313f, 11.5313f)
                curveTo(17.6992f, 11.7813f, 16.9922f, 12.0f, 16.0f, 12.0f)
                curveTo(15.0078f, 12.0f, 14.2539f, 11.7773f, 13.4063f, 11.5313f)
                curveTo(12.5586f, 11.2852f, 11.6094f, 11.0f, 10.4375f, 11.0f)
                curveTo(9.2031f, 11.0f, 8.1055f, 11.5234f, 7.2188f, 12.0313f)
                curveTo(7.1055f, 12.0977f, 7.1055f, 12.1211f, 7.0f, 12.1875f)
                lineTo(7.0f, 10.4063f)
                curveTo(7.2188f, 10.2617f, 7.4219f, 10.1094f, 7.7188f, 9.9375f)
                curveTo(8.543f, 9.457f, 9.5977f, 9.0f, 10.4375f, 9.0f)
                close()
                moveTo(10.4375f, 17.0f)
                curveTo(7.6172f, 17.0f, 5.3438f, 19.25f, 5.3438f, 19.25f)
                lineTo(5.0f, 19.5625f)
                lineTo(5.0f, 27.0f)
                lineTo(6.4375f, 27.0f)
                lineTo(6.7188f, 26.7813f)
                curveTo(6.9023f, 26.6367f, 7.4844f, 26.1719f, 8.2188f, 25.75f)
                curveTo(8.9531f, 25.3281f, 9.8242f, 25.0f, 10.4375f, 25.0f)
                curveTo(11.2773f, 25.0f, 11.9844f, 25.2148f, 12.8438f, 25.4688f)
                curveTo(13.7031f, 25.7227f, 14.7148f, 26.0f, 16.0f, 26.0f)
                curveTo(17.2852f, 26.0f, 18.2578f, 25.7188f, 19.0938f, 25.4688f)
                curveTo(19.9297f, 25.2188f, 20.6328f, 25.0f, 21.5625f, 25.0f)
                curveTo(22.3008f, 25.0f, 23.1875f, 25.3516f, 23.9063f, 25.7813f)
                curveTo(24.625f, 26.2109f, 25.1172f, 26.6367f, 25.25f, 26.75f)
                lineTo(25.5313f, 27.0f)
                lineTo(27.0f, 27.0f)
                lineTo(27.0f, 19.5625f)
                lineTo(26.6563f, 19.25f)
                curveTo(26.6563f, 19.25f, 24.3828f, 17.0f, 21.5625f, 17.0f)
                curveTo(20.3008f, 17.0f, 19.332f, 17.2813f, 18.5f, 17.5313f)
                curveTo(17.668f, 17.7813f, 16.9609f, 18.0f, 16.0f, 18.0f)
                curveTo(15.0391f, 18.0f, 14.332f, 17.7813f, 13.5f, 17.5313f)
                curveTo(12.668f, 17.2813f, 11.6992f, 17.0f, 10.4375f, 17.0f)
                close()
                moveTo(10.4375f, 19.0f)
                curveTo(11.3984f, 19.0f, 12.1055f, 19.2188f, 12.9375f, 19.4688f)
                curveTo(13.7695f, 19.7188f, 14.7383f, 20.0f, 16.0f, 20.0f)
                curveTo(17.2617f, 20.0f, 18.2305f, 19.7188f, 19.0625f, 19.4688f)
                curveTo(19.8945f, 19.2188f, 20.6016f, 19.0f, 21.5625f, 19.0f)
                curveTo(22.9609f, 19.0f, 24.5352f, 20.1445f, 25.0f, 20.5f)
                lineTo(25.0f, 22.1563f)
                curveTo(24.9414f, 22.1211f, 24.9063f, 22.0977f, 24.8438f, 22.0625f)
                curveTo(23.9648f, 21.5391f, 22.8008f, 21.0f, 21.5625f, 21.0f)
                curveTo(20.4023f, 21.0f, 19.5195f, 21.2813f, 18.6875f, 21.5313f)
                curveTo(17.8555f, 21.7813f, 17.0625f, 22.0f, 16.0f, 22.0f)
                curveTo(14.9375f, 22.0f, 14.1016f, 21.7813f, 13.25f, 21.5313f)
                curveTo(12.3984f, 21.2813f, 11.5273f, 21.0f, 10.4375f, 21.0f)
                curveTo(9.2656f, 21.0f, 8.1172f, 21.543f, 7.2188f, 22.0625f)
                curveTo(7.125f, 22.1172f, 7.0859f, 22.1641f, 7.0f, 22.2188f)
                lineTo(7.0f, 20.5f)
                curveTo(7.4648f, 20.1445f, 9.0391f, 19.0f, 10.4375f, 19.0f)
                close()
                moveTo(10.4375f, 22.0f)
                curveTo(11.3594f, 22.0f, 12.1133f, 22.2188f, 12.9688f, 22.4688f)
                curveTo(13.8242f, 22.7188f, 14.7891f, 23.0f, 16.0f, 23.0f)
                curveTo(17.2109f, 23.0f, 18.1328f, 22.7188f, 18.9688f, 22.4688f)
                curveTo(19.8047f, 22.2188f, 20.5547f, 22.0f, 21.5625f, 22.0f)
                curveTo(22.4922f, 22.0f, 23.543f, 22.4609f, 24.3438f, 22.9375f)
                curveTo(24.6133f, 23.0977f, 24.8047f, 23.2344f, 25.0f, 23.375f)
                lineTo(25.0f, 24.0938f)
                curveTo(24.9688f, 24.0742f, 24.9688f, 24.082f, 24.9375f, 24.0625f)
                curveTo(24.0508f, 23.5352f, 22.8906f, 23.0f, 21.5625f, 23.0f)
                curveTo(20.3242f, 23.0f, 19.3633f, 23.2813f, 18.5313f, 23.5313f)
                curveTo(17.6992f, 23.7813f, 16.9922f, 24.0f, 16.0f, 24.0f)
                curveTo(15.0078f, 24.0f, 14.2539f, 23.7773f, 13.4063f, 23.5313f)
                curveTo(12.5586f, 23.2852f, 11.6094f, 23.0f, 10.4375f, 23.0f)
                curveTo(9.2031f, 23.0f, 8.1055f, 23.5234f, 7.2188f, 24.0313f)
                curveTo(7.1055f, 24.0977f, 7.1055f, 24.1211f, 7.0f, 24.1875f)
                lineTo(7.0f, 23.4063f)
                curveTo(7.2188f, 23.2617f, 7.4219f, 23.1094f, 7.7188f, 22.9375f)
                curveTo(8.543f, 22.457f, 9.5977f, 22.0f, 10.4375f, 22.0f)
                close()
            }
        }
        .build()
        return _baconSolid!!
    }

private var _baconSolid: ImageVector? = null
