package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BalanceScaleRightSolid: ImageVector
    get() {
        if (_balanceScaleRightSolid != null) {
            return _balanceScaleRightSolid!!
        }
        _balanceScaleRightSolid = Builder(name = "BalanceScaleRightSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.4766f, 5.1094f)
                lineTo(7.4902f, 6.877f)
                lineTo(3.0f, 14.7344f)
                lineTo(3.0f, 15.0f)
                curveTo(3.0f, 17.757f, 5.243f, 20.0f, 8.0f, 20.0f)
                curveTo(10.757f, 20.0f, 13.0f, 17.757f, 13.0f, 15.0f)
                lineTo(13.0f, 14.7344f)
                lineTo(8.7891f, 7.3633f)
                lineTo(13.0059f, 8.9453f)
                curveTo(13.0055f, 8.964f, 13.0f, 8.9813f, 13.0f, 9.0f)
                curveTo(13.0f, 10.3016f, 13.8387f, 11.4021f, 15.0f, 11.8164f)
                lineTo(15.0f, 24.0f)
                lineTo(11.0f, 24.0f)
                lineTo(11.0f, 26.0f)
                lineTo(15.0f, 26.0f)
                lineTo(17.0f, 26.0f)
                lineTo(17.0f, 24.0f)
                lineTo(17.0f, 11.8164f)
                curveTo(17.5017f, 11.6374f, 17.9368f, 11.3299f, 18.2754f, 10.9316f)
                lineTo(22.9902f, 12.7656f)
                lineTo(19.0f, 19.75f)
                lineTo(19.0f, 20.0156f)
                curveTo(19.0f, 22.7716f, 21.243f, 25.0f, 24.0f, 25.0f)
                curveTo(26.757f, 25.0f, 29.0f, 22.7716f, 29.0f, 20.0156f)
                lineTo(29.0f, 19.75f)
                lineTo(24.0f, 11.0f)
                lineTo(18.9941f, 9.0625f)
                curveTo(18.9946f, 9.0412f, 19.0f, 9.0214f, 19.0f, 9.0f)
                curveTo(19.0f, 7.346f, 17.654f, 6.0f, 16.0f, 6.0f)
                curveTo(15.0818f, 6.0f, 14.2695f, 6.4241f, 13.7188f, 7.0762f)
                lineTo(8.4766f, 5.1094f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(16.552f, 8.0f, 17.0f, 8.449f, 17.0f, 9.0f)
                curveTo(17.0f, 9.551f, 16.552f, 10.0f, 16.0f, 10.0f)
                curveTo(15.448f, 10.0f, 15.0f, 9.551f, 15.0f, 9.0f)
                curveTo(15.0f, 8.449f, 15.448f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(8.0f, 10.0156f)
                lineTo(10.2773f, 14.0f)
                lineTo(5.7227f, 14.0f)
                lineTo(8.0f, 10.0156f)
                close()
                moveTo(24.0f, 15.0313f)
                lineTo(26.2676f, 19.0f)
                lineTo(21.7324f, 19.0f)
                lineTo(24.0f, 15.0313f)
                close()
                moveTo(5.1855f, 16.0f)
                lineTo(10.8145f, 16.0f)
                curveTo(10.4002f, 17.1616f, 9.3022f, 18.0f, 8.0f, 18.0f)
                curveTo(6.6978f, 18.0f, 5.5998f, 17.1616f, 5.1855f, 16.0f)
                close()
                moveTo(21.1797f, 21.0f)
                lineTo(26.8203f, 21.0f)
                curveTo(26.4105f, 22.1699f, 25.3081f, 23.0156f, 24.0f, 23.0156f)
                curveTo(22.6919f, 23.0156f, 21.5895f, 22.1699f, 21.1797f, 21.0f)
                close()
            }
        }
        .build()
        return _balanceScaleRightSolid!!
    }

private var _balanceScaleRightSolid: ImageVector? = null
