package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BinocularsSolid: ImageVector
    get() {
        if (_binocularsSolid != null) {
            return _binocularsSolid!!
        }
        _binocularsSolid = Builder(name = "BinocularsSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.0f, 5.0f)
                curveTo(9.0313f, 5.0f, 7.4609f, 6.4414f, 7.125f, 8.3125f)
                curveTo(5.2344f, 8.7891f, 3.5938f, 10.0195f, 2.875f, 11.9688f)
                lineTo(2.8438f, 11.9688f)
                lineTo(0.7188f, 17.9375f)
                curveTo(0.2656f, 18.8633f, 0.0f, 19.9023f, 0.0f, 21.0f)
                curveTo(0.0f, 24.8555f, 3.1445f, 28.0f, 7.0f, 28.0f)
                curveTo(10.4727f, 28.0f, 13.3672f, 25.4492f, 13.9063f, 22.125f)
                curveTo(14.4492f, 22.6602f, 15.1875f, 23.0f, 16.0f, 23.0f)
                curveTo(16.8125f, 23.0f, 17.5508f, 22.6602f, 18.0938f, 22.125f)
                curveTo(18.6328f, 25.4492f, 21.5273f, 28.0f, 25.0f, 28.0f)
                curveTo(28.8555f, 28.0f, 32.0f, 24.8555f, 32.0f, 21.0f)
                curveTo(32.0f, 20.0273f, 31.8008f, 19.0938f, 31.4375f, 18.25f)
                lineTo(29.1563f, 11.875f)
                lineTo(29.125f, 11.8438f)
                lineTo(29.125f, 11.8125f)
                curveTo(28.3945f, 10.0391f, 26.7773f, 8.8008f, 24.875f, 8.3125f)
                curveTo(24.5391f, 6.4414f, 22.9688f, 5.0f, 21.0f, 5.0f)
                curveTo(19.1445f, 5.0f, 17.6367f, 6.2852f, 17.1875f, 8.0f)
                lineTo(14.8125f, 8.0f)
                curveTo(14.3633f, 6.2852f, 12.8555f, 5.0f, 11.0f, 5.0f)
                close()
                moveTo(11.0f, 7.0f)
                curveTo(12.1914f, 7.0f, 13.0f, 7.8086f, 13.0f, 9.0f)
                lineTo(13.0f, 10.0f)
                lineTo(19.0f, 10.0f)
                lineTo(19.0f, 9.0f)
                curveTo(19.0f, 7.8086f, 19.8086f, 7.0f, 21.0f, 7.0f)
                curveTo(22.1914f, 7.0f, 23.0f, 7.8086f, 23.0f, 9.0f)
                lineTo(23.0f, 9.9063f)
                lineTo(23.9063f, 10.0f)
                curveTo(25.3906f, 10.1563f, 26.6719f, 11.1914f, 27.25f, 12.5313f)
                curveTo(27.2578f, 12.5508f, 27.2734f, 12.5742f, 27.2813f, 12.5938f)
                lineTo(28.0313f, 14.7188f)
                curveTo(27.1133f, 14.2734f, 26.0859f, 14.0f, 25.0f, 14.0f)
                curveTo(22.0742f, 14.0f, 19.5742f, 15.8164f, 18.5313f, 18.375f)
                curveTo(17.9961f, 17.543f, 17.0508f, 17.0f, 16.0f, 17.0f)
                curveTo(14.9492f, 17.0f, 14.0039f, 17.543f, 13.4688f, 18.375f)
                curveTo(12.4258f, 15.8164f, 9.9258f, 14.0f, 7.0f, 14.0f)
                curveTo(5.9297f, 14.0f, 4.9102f, 14.2539f, 4.0f, 14.6875f)
                lineTo(4.75f, 12.6563f)
                lineTo(4.75f, 12.625f)
                curveTo(5.332f, 11.0781f, 6.5586f, 10.1602f, 8.0938f, 10.0f)
                lineTo(9.0f, 9.9063f)
                lineTo(9.0f, 9.0f)
                curveTo(9.0f, 7.8086f, 9.8086f, 7.0f, 11.0f, 7.0f)
                close()
                moveTo(7.0f, 16.0f)
                curveTo(9.7734f, 16.0f, 12.0f, 18.2266f, 12.0f, 21.0f)
                curveTo(12.0f, 23.7734f, 9.7734f, 26.0f, 7.0f, 26.0f)
                curveTo(4.2266f, 26.0f, 2.0f, 23.7734f, 2.0f, 21.0f)
                curveTo(2.0f, 20.293f, 2.1758f, 19.6406f, 2.4375f, 19.0313f)
                curveTo(2.4531f, 18.9922f, 2.4531f, 18.9453f, 2.4688f, 18.9063f)
                curveTo(3.2578f, 17.1914f, 4.9805f, 16.0f, 7.0f, 16.0f)
                close()
                moveTo(25.0f, 16.0f)
                curveTo(27.7734f, 16.0f, 30.0f, 18.2266f, 30.0f, 21.0f)
                curveTo(30.0f, 23.7734f, 27.7734f, 26.0f, 25.0f, 26.0f)
                curveTo(22.2266f, 26.0f, 20.0f, 23.7734f, 20.0f, 21.0f)
                curveTo(20.0f, 18.2266f, 22.2266f, 16.0f, 25.0f, 16.0f)
                close()
                moveTo(16.0f, 19.0f)
                curveTo(16.5625f, 19.0f, 17.0f, 19.4375f, 17.0f, 20.0f)
                curveTo(17.0f, 20.5625f, 16.5625f, 21.0f, 16.0f, 21.0f)
                curveTo(15.4375f, 21.0f, 15.0f, 20.5625f, 15.0f, 20.0f)
                curveTo(15.0f, 19.4375f, 15.4375f, 19.0f, 16.0f, 19.0f)
                close()
            }
        }
        .build()
        return _binocularsSolid!!
    }

private var _binocularsSolid: ImageVector? = null
