package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BlenderPhoneSolid: ImageVector
    get() {
        if (_blenderPhoneSolid != null) {
            return _blenderPhoneSolid!!
        }
        _blenderPhoneSolid = Builder(name = "BlenderPhoneSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.5781f, 5.0f)
                curveTo(6.2481f, 5.0114f, 5.935f, 5.1815f, 5.7617f, 5.4785f)
                curveTo(4.6437f, 7.3915f, 4.0f, 9.622f, 4.0f, 12.0f)
                curveTo(4.0f, 14.378f, 4.6438f, 16.6075f, 5.7598f, 18.5215f)
                curveTo(5.9908f, 18.9165f, 6.4703f, 19.087f, 6.9063f, 18.957f)
                lineTo(8.8496f, 18.377f)
                curveTo(8.9856f, 18.239f, 9.0337f, 18.0356f, 8.9727f, 17.8516f)
                lineTo(8.1738f, 15.4277f)
                curveTo(8.1048f, 15.2177f, 7.9094f, 15.0762f, 7.6914f, 15.0762f)
                lineTo(6.8652f, 15.0762f)
                curveTo(6.6352f, 15.0762f, 6.4281f, 14.9223f, 6.3691f, 14.6973f)
                curveTo(6.1451f, 13.8353f, 6.0293f, 12.929f, 6.0293f, 12.0f)
                curveTo(6.0293f, 11.071f, 6.1451f, 10.1647f, 6.3691f, 9.3027f)
                curveTo(6.4271f, 9.0777f, 6.6352f, 8.9238f, 6.8652f, 8.9238f)
                lineTo(7.6934f, 8.9238f)
                curveTo(7.9114f, 8.9238f, 8.1058f, 8.7832f, 8.1758f, 8.5742f)
                lineTo(8.9746f, 6.1484f)
                curveTo(9.0346f, 5.9634f, 8.9876f, 5.76f, 8.8516f, 5.623f)
                lineTo(6.9082f, 5.043f)
                curveTo(6.7992f, 5.0102f, 6.6881f, 4.9962f, 6.5781f, 5.0f)
                close()
                moveTo(9.9961f, 5.0f)
                lineTo(11.877f, 21.0117f)
                curveTo(10.281f, 21.0779f, 9.0f, 22.3881f, 9.0f, 24.0f)
                lineTo(9.0f, 27.0f)
                lineTo(26.0f, 27.0f)
                lineTo(26.0f, 24.0f)
                curveTo(26.0f, 22.4323f, 24.7865f, 21.1559f, 23.252f, 21.0254f)
                lineTo(26.957f, 5.0f)
                lineTo(9.9961f, 5.0f)
                close()
                moveTo(12.2461f, 7.0f)
                lineTo(24.4414f, 7.0f)
                lineTo(23.9785f, 9.0f)
                lineTo(19.0f, 9.0f)
                lineTo(19.0f, 11.0f)
                lineTo(23.5176f, 11.0f)
                lineTo(23.0547f, 13.0f)
                lineTo(19.0f, 13.0f)
                lineTo(19.0f, 15.0f)
                lineTo(22.5918f, 15.0f)
                lineTo(22.1289f, 17.0f)
                lineTo(19.0f, 17.0f)
                lineTo(19.0f, 19.0f)
                lineTo(21.668f, 19.0f)
                lineTo(21.2051f, 21.0f)
                lineTo(13.8906f, 21.0f)
                lineTo(12.2461f, 7.0f)
                close()
                moveTo(12.0f, 23.0f)
                lineTo(12.1094f, 23.0f)
                lineTo(22.7949f, 23.0f)
                lineTo(23.0f, 23.0f)
                curveTo(23.551f, 23.0f, 24.0f, 23.449f, 24.0f, 24.0f)
                lineTo(24.0f, 25.0f)
                lineTo(11.0f, 25.0f)
                lineTo(11.0f, 24.0f)
                curveTo(11.0f, 23.449f, 11.449f, 23.0f, 12.0f, 23.0f)
                close()
            }
        }
        .build()
        return _blenderPhoneSolid!!
    }

private var _blenderPhoneSolid: ImageVector? = null
