package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.BusAltSolid: ImageVector
    get() {
        if (_busAltSolid != null) {
            return _busAltSolid!!
        }
        _busAltSolid = Builder(name = "BusAltSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 3.0f)
                curveTo(10.6984f, 3.0f, 9.5979f, 3.8387f, 9.1836f, 5.0f)
                lineTo(9.0f, 5.0f)
                curveTo(6.8f, 5.0f, 5.0f, 6.8f, 5.0f, 9.0f)
                lineTo(5.0f, 14.0f)
                lineTo(3.0f, 14.0f)
                lineTo(3.0f, 17.0f)
                lineTo(5.0f, 17.0f)
                lineTo(5.0f, 27.0f)
                curveTo(5.0f, 27.55f, 5.45f, 28.0f, 6.0f, 28.0f)
                lineTo(9.0f, 28.0f)
                lineTo(9.3398f, 27.0f)
                lineTo(22.6602f, 27.0f)
                lineTo(23.0f, 28.0f)
                lineTo(26.0f, 28.0f)
                curveTo(26.55f, 28.0f, 27.0f, 27.55f, 27.0f, 27.0f)
                lineTo(27.0f, 17.0f)
                lineTo(29.0f, 17.0f)
                lineTo(29.0f, 14.0f)
                lineTo(27.0f, 14.0f)
                lineTo(27.0f, 9.0f)
                curveTo(27.0f, 6.8f, 25.2f, 5.0f, 23.0f, 5.0f)
                lineTo(22.8164f, 5.0f)
                curveTo(22.4021f, 3.8387f, 21.3016f, 3.0f, 20.0f, 3.0f)
                lineTo(12.0f, 3.0f)
                close()
                moveTo(12.0f, 5.0f)
                lineTo(20.0f, 5.0f)
                curveTo(20.552f, 5.0f, 21.0f, 5.449f, 21.0f, 6.0f)
                lineTo(21.0f, 7.0f)
                lineTo(23.0f, 7.0f)
                curveTo(24.12f, 7.0f, 25.0f, 7.88f, 25.0f, 9.0f)
                lineTo(25.0f, 11.0f)
                lineTo(7.0f, 11.0f)
                lineTo(7.0f, 9.0f)
                curveTo(7.0f, 7.88f, 7.88f, 7.0f, 9.0f, 7.0f)
                lineTo(11.0f, 7.0f)
                lineTo(11.0f, 6.0f)
                curveTo(11.0f, 5.449f, 11.448f, 5.0f, 12.0f, 5.0f)
                close()
                moveTo(13.0f, 7.0f)
                lineTo(13.0f, 9.0f)
                lineTo(19.0f, 9.0f)
                lineTo(19.0f, 7.0f)
                lineTo(13.0f, 7.0f)
                close()
                moveTo(7.0f, 13.0f)
                lineTo(15.0f, 13.0f)
                lineTo(15.0f, 17.0f)
                lineTo(7.0f, 17.0f)
                lineTo(7.0f, 13.0f)
                close()
                moveTo(17.0f, 13.0f)
                lineTo(25.0f, 13.0f)
                lineTo(25.0f, 17.0f)
                lineTo(17.0f, 17.0f)
                lineTo(17.0f, 13.0f)
                close()
                moveTo(7.0f, 19.0f)
                lineTo(25.0f, 19.0f)
                lineTo(25.0f, 25.0f)
                lineTo(7.0f, 25.0f)
                lineTo(7.0f, 19.0f)
                close()
                moveTo(8.0f, 21.0f)
                lineTo(8.0f, 23.0f)
                lineTo(12.0f, 23.0f)
                lineTo(12.0f, 21.0f)
                lineTo(8.0f, 21.0f)
                close()
                moveTo(20.0f, 21.0f)
                lineTo(20.0f, 23.0f)
                lineTo(24.0f, 23.0f)
                lineTo(24.0f, 21.0f)
                lineTo(20.0f, 21.0f)
                close()
            }
        }
        .build()
        return _busAltSolid!!
    }

private var _busAltSolid: ImageVector? = null
