package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CandyCaneSolid: ImageVector
    get() {
        if (_candyCaneSolid != null) {
            return _candyCaneSolid!!
        }
        _candyCaneSolid = Builder(name = "CandyCaneSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.0f, 2.0f)
                curveTo(15.8516f, 2.0f, 13.8203f, 2.8477f, 12.3125f, 4.375f)
                lineTo(11.5938f, 5.0938f)
                lineTo(10.9063f, 5.8125f)
                lineTo(11.625f, 6.5f)
                lineTo(14.4688f, 9.3125f)
                lineTo(15.1563f, 10.0313f)
                lineTo(15.875f, 9.3125f)
                lineTo(16.5625f, 8.5938f)
                curveTo(16.9453f, 8.207f, 17.4531f, 8.0f, 18.0f, 8.0f)
                curveTo(19.1133f, 8.0f, 20.0f, 8.8867f, 20.0f, 10.0f)
                curveTo(20.0f, 10.543f, 19.7891f, 11.0234f, 19.4063f, 11.4063f)
                lineTo(5.7188f, 25.0313f)
                lineTo(5.0f, 25.75f)
                lineTo(5.7188f, 26.4375f)
                lineTo(8.5313f, 29.2813f)
                lineTo(9.25f, 30.0f)
                lineTo(9.9375f, 29.2813f)
                lineTo(23.6563f, 15.6563f)
                curveTo(25.1641f, 14.1484f, 26.0f, 12.1289f, 26.0f, 10.0f)
                curveTo(26.0f, 5.5977f, 22.4023f, 2.0f, 18.0f, 2.0f)
                close()
                moveTo(18.0f, 4.0f)
                curveTo(18.8047f, 4.0f, 19.582f, 4.1523f, 20.2813f, 4.4375f)
                lineTo(19.2188f, 6.2188f)
                curveTo(18.8516f, 6.1016f, 18.4648f, 6.0078f, 18.0625f, 6.0f)
                lineTo(17.4375f, 4.0313f)
                curveTo(17.625f, 4.0156f, 17.8086f, 4.0f, 18.0f, 4.0f)
                close()
                moveTo(15.5313f, 4.5625f)
                lineTo(16.125f, 6.5f)
                curveTo(15.7773f, 6.6875f, 15.4375f, 6.9023f, 15.1563f, 7.1875f)
                lineTo(13.7188f, 5.7813f)
                curveTo(14.2461f, 5.25f, 14.8711f, 4.8594f, 15.5313f, 4.5625f)
                close()
                moveTo(21.9688f, 5.5f)
                curveTo(22.5977f, 6.0547f, 23.1172f, 6.7266f, 23.4688f, 7.5f)
                lineTo(21.5313f, 8.1875f)
                curveTo(21.3672f, 7.8711f, 21.1758f, 7.5742f, 20.9375f, 7.3125f)
                close()
                moveTo(23.9688f, 9.4375f)
                curveTo(23.9844f, 9.6211f, 24.0f, 9.8125f, 24.0f, 10.0f)
                curveTo(24.0f, 10.6953f, 23.875f, 11.3672f, 23.6563f, 12.0f)
                lineTo(21.4688f, 12.0f)
                curveTo(21.7891f, 11.4453f, 21.9766f, 10.8086f, 22.0f, 10.1563f)
                close()
                moveTo(19.6563f, 14.0f)
                lineTo(22.4688f, 14.0f)
                curveTo(22.3945f, 14.082f, 22.3281f, 14.1719f, 22.25f, 14.25f)
                lineTo(20.5f, 16.0f)
                lineTo(17.6563f, 16.0f)
                close()
                moveTo(15.625f, 18.0f)
                lineTo(18.4688f, 18.0f)
                lineTo(16.4688f, 20.0f)
                lineTo(13.625f, 20.0f)
                close()
                moveTo(11.625f, 22.0f)
                lineTo(14.4375f, 22.0f)
                lineTo(12.4375f, 24.0f)
                lineTo(9.5938f, 24.0f)
                close()
                moveTo(8.0938f, 26.0f)
                lineTo(10.4063f, 26.0f)
                lineTo(9.25f, 27.1563f)
                close()
            }
        }
        .build()
        return _candyCaneSolid!!
    }

private var _candyCaneSolid: ImageVector? = null
