package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcDiscover: ImageVector
    get() {
        if (_ccDiscover != null) {
            return _ccDiscover!!
        }
        _ccDiscover = Builder(name = "CcDiscover", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.3555f, 6.0f, 2.0f, 7.3555f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.6445f, 3.3555f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.6445f, 26.0f, 30.0f, 24.6445f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.3555f, 28.6445f, 6.0f, 27.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.5664f, 8.0f, 28.0f, 8.4336f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.5664f, 27.5664f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.4336f, 24.0f, 4.0f, 23.5664f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.4336f, 4.4336f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(10.4375f, 14.1563f)
                curveTo(9.8125f, 14.1563f, 9.3438f, 14.6094f, 9.3438f, 15.1875f)
                curveTo(9.3438f, 15.6719f, 9.5742f, 15.9141f, 10.2188f, 16.1563f)
                curveTo(10.5938f, 16.2969f, 10.9063f, 16.3789f, 10.9063f, 16.7188f)
                curveTo(10.9063f, 17.0039f, 10.6836f, 17.2188f, 10.375f, 17.2188f)
                curveTo(10.0469f, 17.2188f, 9.7813f, 17.0586f, 9.625f, 16.75f)
                lineTo(9.1563f, 17.1563f)
                curveTo(9.4727f, 17.6211f, 9.8828f, 17.8438f, 10.4063f, 17.8438f)
                curveTo(11.1211f, 17.8438f, 11.5938f, 17.3711f, 11.5938f, 16.6875f)
                curveTo(11.5938f, 16.125f, 11.375f, 15.8477f, 10.5938f, 15.5625f)
                curveTo(10.1797f, 15.4102f, 10.0625f, 15.3164f, 10.0625f, 15.125f)
                curveTo(10.0625f, 14.9023f, 10.2656f, 14.75f, 10.5625f, 14.75f)
                curveTo(10.7695f, 14.75f, 10.9453f, 14.832f, 11.125f, 15.0313f)
                lineTo(11.5f, 14.5625f)
                curveTo(11.2031f, 14.3047f, 10.8242f, 14.1563f, 10.4375f, 14.1563f)
                close()
                moveTo(13.6875f, 14.1563f)
                curveTo(12.6445f, 14.1602f, 11.8125f, 14.9727f, 11.8125f, 16.0f)
                curveTo(11.8125f, 17.0352f, 12.6406f, 17.8438f, 13.6875f, 17.8438f)
                curveTo(13.9844f, 17.8438f, 14.25f, 17.7734f, 14.5625f, 17.625f)
                lineTo(14.5625f, 16.8125f)
                curveTo(14.2891f, 17.0859f, 14.0313f, 17.1875f, 13.7188f, 17.1875f)
                curveTo(13.0273f, 17.1875f, 12.5313f, 16.6836f, 12.5313f, 15.9688f)
                curveTo(12.5313f, 15.293f, 13.043f, 14.7813f, 13.6875f, 14.7813f)
                curveTo(14.0156f, 14.7813f, 14.2773f, 14.875f, 14.5625f, 15.1563f)
                lineTo(14.5625f, 14.3438f)
                curveTo(14.2617f, 14.1914f, 13.9844f, 14.1563f, 13.6875f, 14.1563f)
                close()
                moveTo(16.5938f, 14.1563f)
                curveTo(15.5781f, 14.1563f, 14.75f, 14.9844f, 14.75f, 16.0f)
                curveTo(14.75f, 17.0156f, 15.5781f, 17.8438f, 16.5938f, 17.8438f)
                curveTo(17.6094f, 17.8438f, 18.4375f, 17.0156f, 18.4375f, 16.0f)
                curveTo(18.4375f, 14.9844f, 17.6094f, 14.1563f, 16.5938f, 14.1563f)
                close()
                moveTo(5.0f, 14.2188f)
                lineTo(5.0f, 17.75f)
                lineTo(6.0f, 17.75f)
                curveTo(7.5352f, 17.75f, 7.9063f, 16.5508f, 7.9063f, 16.0f)
                curveTo(7.9063f, 14.9609f, 7.1172f, 14.2188f, 6.0f, 14.2188f)
                close()
                moveTo(8.2188f, 14.2188f)
                lineTo(8.2188f, 17.75f)
                lineTo(8.9063f, 17.75f)
                lineTo(8.9063f, 14.2188f)
                close()
                moveTo(18.3125f, 14.2188f)
                lineTo(19.8125f, 17.8438f)
                lineTo(20.1875f, 17.8438f)
                lineTo(21.7188f, 14.2188f)
                lineTo(20.9688f, 14.2188f)
                lineTo(20.0f, 16.5938f)
                lineTo(19.0625f, 14.2188f)
                close()
                moveTo(22.0313f, 14.2188f)
                lineTo(22.0313f, 17.75f)
                lineTo(23.9688f, 17.75f)
                lineTo(23.9688f, 17.1563f)
                lineTo(22.7188f, 17.1563f)
                lineTo(22.7188f, 16.1875f)
                lineTo(23.9375f, 16.1875f)
                lineTo(23.9375f, 15.5938f)
                lineTo(22.7188f, 15.5938f)
                lineTo(22.7188f, 14.8125f)
                lineTo(23.9688f, 14.8125f)
                lineTo(23.9688f, 14.2188f)
                close()
                moveTo(24.4375f, 14.2188f)
                lineTo(24.4375f, 17.75f)
                lineTo(25.125f, 17.75f)
                lineTo(25.125f, 16.3438f)
                lineTo(25.1875f, 16.3438f)
                lineTo(26.1563f, 17.75f)
                lineTo(27.0f, 17.75f)
                lineTo(25.875f, 16.25f)
                curveTo(26.3945f, 16.1445f, 26.6875f, 15.7891f, 26.6875f, 15.25f)
                curveTo(26.6875f, 14.5898f, 26.2305f, 14.2188f, 25.4375f, 14.2188f)
                close()
                moveTo(25.125f, 14.7813f)
                lineTo(25.3125f, 14.7813f)
                curveTo(25.7422f, 14.7813f, 26.0f, 14.9688f, 26.0f, 15.3125f)
                curveTo(26.0f, 15.668f, 25.7539f, 15.8438f, 25.3125f, 15.8438f)
                lineTo(25.125f, 15.8438f)
                close()
                moveTo(5.6875f, 14.8125f)
                lineTo(5.9063f, 14.8125f)
                curveTo(6.8438f, 14.8125f, 7.1875f, 15.4453f, 7.1875f, 16.0f)
                curveTo(7.1875f, 16.2656f, 7.1133f, 17.1563f, 5.875f, 17.1563f)
                lineTo(5.6875f, 17.1563f)
                close()
            }
        }
        .build()
        return _ccDiscover!!
    }

private var _ccDiscover: ImageVector? = null
