package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CcMastercard: ImageVector
    get() {
        if (_ccMastercard != null) {
            return _ccMastercard!!
        }
        _ccMastercard = Builder(name = "CcMastercard", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 6.0f)
                curveTo(3.3555f, 6.0f, 2.0f, 7.3555f, 2.0f, 9.0f)
                lineTo(2.0f, 23.0f)
                curveTo(2.0f, 24.6445f, 3.3555f, 26.0f, 5.0f, 26.0f)
                lineTo(27.0f, 26.0f)
                curveTo(28.6445f, 26.0f, 30.0f, 24.6445f, 30.0f, 23.0f)
                lineTo(30.0f, 9.0f)
                curveTo(30.0f, 7.3555f, 28.6445f, 6.0f, 27.0f, 6.0f)
                close()
                moveTo(5.0f, 8.0f)
                lineTo(27.0f, 8.0f)
                curveTo(27.5664f, 8.0f, 28.0f, 8.4336f, 28.0f, 9.0f)
                lineTo(28.0f, 23.0f)
                curveTo(28.0f, 23.5664f, 27.5664f, 24.0f, 27.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                curveTo(4.4336f, 24.0f, 4.0f, 23.5664f, 4.0f, 23.0f)
                lineTo(4.0f, 9.0f)
                curveTo(4.0f, 8.4336f, 4.4336f, 8.0f, 5.0f, 8.0f)
                close()
                moveTo(12.0f, 9.0f)
                curveTo(8.1445f, 9.0f, 5.0f, 12.1445f, 5.0f, 16.0f)
                curveTo(5.0f, 19.8555f, 8.1445f, 23.0f, 12.0f, 23.0f)
                curveTo(13.4844f, 23.0f, 14.8633f, 22.5469f, 16.0f, 21.75f)
                curveTo(17.1328f, 22.543f, 18.5117f, 23.0f, 20.0f, 23.0f)
                curveTo(23.8555f, 23.0f, 27.0f, 19.8555f, 27.0f, 16.0f)
                curveTo(27.0f, 12.1445f, 23.8555f, 9.0f, 20.0f, 9.0f)
                curveTo(18.5117f, 9.0f, 17.1328f, 9.457f, 16.0f, 10.25f)
                curveTo(14.8633f, 9.4531f, 13.4844f, 9.0f, 12.0f, 9.0f)
                close()
                moveTo(12.0f, 11.0f)
                curveTo(13.2813f, 11.0f, 14.4297f, 11.4961f, 15.3125f, 12.2813f)
                curveTo(14.9023f, 12.793f, 14.5664f, 13.3711f, 14.3438f, 14.0f)
                lineTo(16.5625f, 14.0f)
                curveTo(16.7031f, 14.3203f, 16.8359f, 14.6523f, 16.9063f, 15.0f)
                lineTo(14.0938f, 15.0f)
                curveTo(14.0391f, 15.3242f, 14.0f, 15.6563f, 14.0f, 16.0f)
                curveTo(14.0f, 16.3438f, 14.0391f, 16.6758f, 14.0938f, 17.0f)
                lineTo(16.9063f, 17.0f)
                curveTo(16.8359f, 17.3477f, 16.7031f, 17.6797f, 16.5625f, 18.0f)
                lineTo(14.3438f, 18.0f)
                curveTo(14.5664f, 18.6289f, 14.9023f, 19.207f, 15.3125f, 19.7188f)
                curveTo(14.4297f, 20.5039f, 13.2813f, 21.0f, 12.0f, 21.0f)
                curveTo(9.2266f, 21.0f, 7.0f, 18.7734f, 7.0f, 16.0f)
                curveTo(7.0f, 13.2266f, 9.2266f, 11.0f, 12.0f, 11.0f)
                close()
                moveTo(20.0f, 11.0f)
                curveTo(22.7734f, 11.0f, 25.0f, 13.2266f, 25.0f, 16.0f)
                curveTo(25.0f, 18.7734f, 22.7734f, 21.0f, 20.0f, 21.0f)
                curveTo(19.0859f, 21.0f, 18.2383f, 20.7422f, 17.5f, 20.3125f)
                curveTo(18.4414f, 19.1211f, 19.0f, 17.6289f, 19.0f, 16.0f)
                curveTo(19.0f, 14.3711f, 18.4414f, 12.8789f, 17.5f, 11.6875f)
                curveTo(18.2383f, 11.2578f, 19.0859f, 11.0f, 20.0f, 11.0f)
                close()
            }
        }
        .build()
        return _ccMastercard!!
    }

private var _ccMastercard: ImageVector? = null
