package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CloudSunRainSolid: ImageVector
    get() {
        if (_cloudSunRainSolid != null) {
            return _cloudSunRainSolid!!
        }
        _cloudSunRainSolid = Builder(name = "CloudSunRainSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.0f, 6.0f)
                lineTo(7.0f, 9.0938f)
                curveTo(6.3672f, 9.2227f, 5.7734f, 9.4961f, 5.25f, 9.8438f)
                lineTo(3.0625f, 7.625f)
                lineTo(1.625f, 9.0625f)
                lineTo(3.8438f, 11.25f)
                curveTo(3.4961f, 11.7734f, 3.2227f, 12.3672f, 3.0938f, 13.0f)
                lineTo(0.0f, 13.0f)
                lineTo(0.0f, 15.0f)
                lineTo(3.0938f, 15.0f)
                curveTo(3.2266f, 15.6367f, 3.4922f, 16.2266f, 3.8438f, 16.75f)
                lineTo(1.625f, 18.9375f)
                lineTo(3.0625f, 20.375f)
                lineTo(5.25f, 18.1563f)
                curveTo(5.5508f, 18.3555f, 5.875f, 18.5234f, 6.2188f, 18.6563f)
                curveTo(6.0977f, 19.0859f, 6.0f, 19.5352f, 6.0f, 20.0f)
                curveTo(6.0f, 22.7578f, 8.2422f, 25.0f, 11.0f, 25.0f)
                lineTo(12.1563f, 25.0f)
                curveTo(12.3359f, 24.3711f, 12.6602f, 23.6836f, 13.0313f, 23.0f)
                lineTo(11.0f, 23.0f)
                curveTo(9.3477f, 23.0f, 8.0f, 21.6523f, 8.0f, 20.0f)
                curveTo(8.0f, 18.3477f, 9.3477f, 17.0f, 11.0f, 17.0f)
                lineTo(12.0f, 17.0f)
                lineTo(12.0f, 16.0f)
                curveTo(12.0f, 14.8984f, 12.8945f, 14.0039f, 13.9063f, 14.0f)
                lineTo(14.9063f, 14.0625f)
                lineTo(15.0938f, 13.2188f)
                curveTo(15.4688f, 11.3594f, 17.1016f, 10.0f, 19.0f, 10.0f)
                curveTo(20.6055f, 10.0f, 22.0547f, 10.9609f, 22.6875f, 12.4375f)
                lineTo(22.9688f, 13.125f)
                lineTo(23.875f, 13.0313f)
                curveTo(23.918f, 13.0234f, 23.9531f, 13.0f, 24.0f, 13.0f)
                curveTo(25.6523f, 13.0f, 26.9961f, 14.3516f, 27.0f, 15.9375f)
                lineTo(26.9688f, 16.9063f)
                lineTo(27.75f, 17.0938f)
                curveTo(29.082f, 17.4336f, 30.0f, 18.6367f, 30.0f, 20.0f)
                curveTo(30.0f, 21.6523f, 28.6523f, 23.0f, 27.0f, 23.0f)
                lineTo(26.0f, 23.0f)
                curveTo(26.0f, 23.7305f, 25.7813f, 24.4102f, 25.4375f, 25.0f)
                lineTo(27.0f, 25.0f)
                curveTo(29.7578f, 25.0f, 32.0f, 22.7578f, 32.0f, 20.0f)
                curveTo(32.0f, 17.9805f, 30.7891f, 16.1797f, 28.9688f, 15.4063f)
                curveTo(28.6875f, 12.9883f, 26.6563f, 11.0977f, 24.1875f, 11.0f)
                curveTo(23.125f, 9.1523f, 21.1641f, 8.0f, 19.0f, 8.0f)
                curveTo(16.418f, 8.0f, 14.1328f, 9.6719f, 13.3125f, 12.0625f)
                curveTo(13.082f, 12.1016f, 12.8711f, 12.1406f, 12.6563f, 12.2188f)
                curveTo(12.5234f, 11.875f, 12.3555f, 11.5508f, 12.1563f, 11.25f)
                lineTo(14.375f, 9.0625f)
                lineTo(12.9375f, 7.625f)
                lineTo(10.75f, 9.8438f)
                curveTo(10.2266f, 9.4922f, 9.6367f, 9.2266f, 9.0f, 9.0938f)
                lineTo(9.0f, 6.0f)
                close()
                moveTo(8.0f, 11.0f)
                curveTo(9.4727f, 11.0f, 10.6719f, 12.0508f, 10.9375f, 13.4375f)
                curveTo(10.5469f, 13.9063f, 10.2383f, 14.4805f, 10.0938f, 15.0938f)
                curveTo(8.8867f, 15.3125f, 7.8633f, 15.957f, 7.125f, 16.875f)
                curveTo(5.8906f, 16.5039f, 5.0f, 15.3633f, 5.0f, 14.0f)
                curveTo(5.0f, 12.332f, 6.332f, 11.0f, 8.0f, 11.0f)
                close()
                moveTo(22.0f, 19.0f)
                curveTo(22.0f, 19.0f, 20.0f, 21.8945f, 20.0f, 23.0f)
                curveTo(20.0f, 24.1055f, 20.8945f, 25.0f, 22.0f, 25.0f)
                curveTo(22.1367f, 25.0f, 22.2773f, 24.9961f, 22.4063f, 24.9688f)
                curveTo(23.3164f, 24.7813f, 24.0f, 23.9688f, 24.0f, 23.0f)
                curveTo(24.0f, 21.8945f, 22.0f, 19.0f, 22.0f, 19.0f)
                close()
                moveTo(16.0f, 22.0f)
                curveTo(16.0f, 22.0f, 15.7148f, 22.4531f, 15.375f, 23.0f)
                curveTo(15.25f, 23.1992f, 15.1328f, 23.3633f, 15.0f, 23.5938f)
                curveTo(14.8203f, 23.9063f, 14.6563f, 24.2109f, 14.5f, 24.5313f)
                curveTo(14.4219f, 24.6914f, 14.3438f, 24.8477f, 14.2813f, 25.0f)
                curveTo(14.1172f, 25.3867f, 14.0f, 25.7461f, 14.0f, 26.0f)
                curveTo(14.0f, 27.1055f, 14.8945f, 28.0f, 16.0f, 28.0f)
                curveTo(17.1055f, 28.0f, 18.0f, 27.1055f, 18.0f, 26.0f)
                curveTo(18.0f, 25.7461f, 17.8828f, 25.3867f, 17.7188f, 25.0f)
                curveTo(17.7031f, 24.9688f, 17.7031f, 24.9414f, 17.6875f, 24.9063f)
                curveTo(17.6328f, 24.7852f, 17.5625f, 24.6563f, 17.5f, 24.5313f)
                curveTo(17.2266f, 23.9766f, 16.9141f, 23.4648f, 16.625f, 23.0f)
                curveTo(16.2852f, 22.4531f, 16.0f, 22.0f, 16.0f, 22.0f)
                close()
            }
        }
        .build()
        return _cloudSunRainSolid!!
    }

private var _cloudSunRainSolid: ImageVector? = null
