package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CommentsDollarSolid: ImageVector
    get() {
        if (_commentsDollarSolid != null) {
            return _commentsDollarSolid!!
        }
        _commentsDollarSolid = Builder(name = "CommentsDollarSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.0f, 3.0f)
                lineTo(2.0f, 21.0f)
                lineTo(6.0f, 21.0f)
                lineTo(6.0f, 26.0938f)
                lineTo(7.625f, 24.7813f)
                lineTo(12.3438f, 21.0f)
                lineTo(22.0f, 21.0f)
                lineTo(22.0f, 3.0f)
                lineTo(2.0f, 3.0f)
                close()
                moveTo(4.0f, 5.0f)
                lineTo(20.0f, 5.0f)
                lineTo(20.0f, 19.0f)
                lineTo(11.6563f, 19.0f)
                lineTo(11.375f, 19.2188f)
                lineTo(8.0f, 21.9063f)
                lineTo(8.0f, 19.0f)
                lineTo(4.0f, 19.0f)
                lineTo(4.0f, 5.0f)
                close()
                moveTo(11.0f, 7.0f)
                lineTo(11.0f, 8.0391f)
                curveTo(9.879f, 8.2271f, 9.0f, 9.203f, 9.0f, 10.375f)
                curveTo(9.0f, 11.129f, 9.4224f, 11.8279f, 10.1094f, 12.1719f)
                lineTo(13.0f, 13.6172f)
                curveTo(12.996f, 13.8402f, 12.8402f, 14.0f, 12.6172f, 14.0f)
                lineTo(11.3828f, 14.0f)
                curveTo(11.1598f, 14.0f, 11.0f, 13.8402f, 11.0f, 13.6172f)
                lineTo(11.0f, 13.0f)
                lineTo(9.0f, 13.0f)
                lineTo(9.0f, 13.6172f)
                curveTo(9.0f, 14.7892f, 9.875f, 15.7729f, 11.0f, 15.9609f)
                lineTo(11.0f, 17.0f)
                lineTo(13.0f, 17.0f)
                lineTo(13.0f, 15.9609f)
                curveTo(14.125f, 15.7729f, 15.0f, 14.7892f, 15.0f, 13.6172f)
                curveTo(15.0f, 12.8632f, 14.5695f, 12.1681f, 13.8945f, 11.8281f)
                lineTo(11.0f, 10.3789f)
                curveTo(11.008f, 10.3869f, 11.0f, 10.379f, 11.0f, 10.375f)
                curveTo(11.0f, 10.152f, 11.1558f, 10.0f, 11.3828f, 10.0f)
                lineTo(12.6172f, 10.0f)
                curveTo(12.8402f, 10.0f, 13.0f, 10.1598f, 13.0f, 10.3828f)
                lineTo(13.0f, 11.0f)
                lineTo(15.0f, 11.0f)
                lineTo(15.0f, 10.3828f)
                curveTo(15.0f, 9.2108f, 14.125f, 8.2271f, 13.0f, 8.0391f)
                lineTo(13.0f, 7.0f)
                lineTo(11.0f, 7.0f)
                close()
                moveTo(24.0f, 9.0f)
                lineTo(24.0f, 11.0f)
                lineTo(28.0f, 11.0f)
                lineTo(28.0f, 23.0f)
                lineTo(24.0f, 23.0f)
                lineTo(24.0f, 25.9063f)
                lineTo(20.3438f, 23.0f)
                lineTo(12.8438f, 23.0f)
                lineTo(10.3438f, 25.0f)
                lineTo(19.6563f, 25.0f)
                lineTo(26.0f, 30.0938f)
                lineTo(26.0f, 25.0f)
                lineTo(30.0f, 25.0f)
                lineTo(30.0f, 9.0f)
                lineTo(24.0f, 9.0f)
                close()
            }
        }
        .build()
        return _commentsDollarSolid!!
    }

private var _commentsDollarSolid: ImageVector? = null
