package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CreativeCommonsNcEu: ImageVector
    get() {
        if (_creativeCommonsNcEu != null) {
            return _creativeCommonsNcEu!!
        }
        _creativeCommonsNcEu = Builder(name = "CreativeCommonsNcEu", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(22.065f, 5.0f, 27.0f, 9.935f, 27.0f, 16.0f)
                curveTo(27.0f, 17.2385f, 26.7835f, 18.4253f, 26.4043f, 19.5371f)
                lineTo(17.0f, 15.3496f)
                lineTo(17.0f, 14.0f)
                lineTo(14.2813f, 14.0f)
                curveTo(14.3982f, 13.617f, 14.5428f, 13.273f, 14.7188f, 13.0f)
                curveTo(15.1597f, 12.316f, 15.6678f, 12.0f, 16.4688f, 12.0f)
                curveTo(17.2027f, 12.0f, 17.6283f, 12.3045f, 18.2813f, 13.0625f)
                lineTo(19.8125f, 11.75f)
                curveTo(19.0035f, 10.816f, 17.9058f, 10.0f, 16.4688f, 10.0f)
                curveTo(15.0077f, 10.0f, 13.7885f, 10.7813f, 13.0625f, 11.9063f)
                curveTo(12.7901f, 12.3289f, 12.5922f, 12.8117f, 12.4277f, 13.3145f)
                lineTo(6.4082f, 10.6348f)
                curveTo(8.2939f, 7.2776f, 11.8835f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(5.5957f, 12.4629f)
                lineTo(11.0f, 14.8691f)
                lineTo(11.0f, 15.5f)
                lineTo(12.0313f, 15.5f)
                curveTo(12.0232f, 15.668f, 12.0f, 15.832f, 12.0f, 16.0f)
                curveTo(12.0f, 16.168f, 12.0232f, 16.332f, 12.0313f, 16.5f)
                lineTo(11.0f, 16.5f)
                lineTo(11.0f, 18.0f)
                lineTo(12.2188f, 18.0f)
                curveTo(12.3907f, 18.762f, 12.6675f, 19.4797f, 13.0625f, 20.0938f)
                curveTo(13.7885f, 21.2188f, 15.0077f, 22.0f, 16.4688f, 22.0f)
                curveTo(17.8398f, 22.0f, 18.9765f, 21.3088f, 19.8125f, 20.3438f)
                lineTo(18.2813f, 19.0313f)
                curveTo(17.6553f, 19.7542f, 17.2698f, 20.0f, 16.4688f, 20.0f)
                curveTo(15.6678f, 20.0f, 15.1597f, 19.684f, 14.7188f, 19.0f)
                curveTo(14.5428f, 18.727f, 14.3993f, 18.383f, 14.2813f, 18.0f)
                lineTo(17.0f, 18.0f)
                lineTo(17.0f, 17.541f)
                lineTo(25.5918f, 21.3652f)
                curveTo(23.7061f, 24.7224f, 20.1165f, 27.0f, 16.0f, 27.0f)
                curveTo(9.935f, 27.0f, 5.0f, 22.065f, 5.0f, 16.0f)
                curveTo(5.0f, 14.7615f, 5.2165f, 13.5747f, 5.5957f, 12.4629f)
                close()
            }
        }
        .build()
        return _creativeCommonsNcEu!!
    }

private var _creativeCommonsNcEu: ImageVector? = null
