package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.CreativeCommonsSampling: ImageVector
    get() {
        if (_creativeCommonsSampling != null) {
            return _creativeCommonsSampling!!
        }
        _creativeCommonsSampling = Builder(name = "CreativeCommonsSampling", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.832f, 3.0f, 3.0f, 8.832f, 3.0f, 16.0f)
                curveTo(3.0f, 23.168f, 8.832f, 29.0f, 16.0f, 29.0f)
                curveTo(23.168f, 29.0f, 29.0f, 23.168f, 29.0f, 16.0f)
                curveTo(29.0f, 8.832f, 23.168f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(22.065f, 5.0f, 27.0f, 9.935f, 27.0f, 16.0f)
                curveTo(27.0f, 22.065f, 22.065f, 27.0f, 16.0f, 27.0f)
                curveTo(9.935f, 27.0f, 5.0f, 22.065f, 5.0f, 16.0f)
                curveTo(5.0f, 9.935f, 9.935f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(16.127f, 9.0f)
                curveTo(15.864f, 9.0f, 15.6459f, 9.2058f, 15.6289f, 9.4688f)
                lineTo(15.2773f, 14.9512f)
                lineTo(14.9648f, 10.3887f)
                curveTo(14.9458f, 10.1257f, 14.7278f, 9.9238f, 14.4648f, 9.9238f)
                curveTo(14.2018f, 9.9238f, 13.9858f, 10.1267f, 13.9668f, 10.3887f)
                lineTo(13.6523f, 14.8906f)
                lineTo(13.3594f, 11.3047f)
                curveTo(13.3374f, 11.0467f, 13.1223f, 10.8477f, 12.8633f, 10.8457f)
                lineTo(12.8594f, 10.8457f)
                curveTo(12.6014f, 10.8457f, 12.3853f, 11.0418f, 12.3613f, 11.2988f)
                lineTo(11.9063f, 16.002f)
                lineTo(11.7188f, 14.9492f)
                curveTo(11.6818f, 14.7442f, 11.5205f, 14.5839f, 11.3145f, 14.5469f)
                curveTo(11.1055f, 14.5139f, 10.8999f, 14.6032f, 10.7949f, 14.7832f)
                lineTo(10.0801f, 16.0f)
                lineTo(8.0f, 16.0f)
                lineTo(8.0f, 17.0f)
                lineTo(10.3652f, 17.0f)
                curveTo(10.5422f, 17.0f, 10.7089f, 16.9059f, 10.7969f, 16.7539f)
                lineTo(10.9727f, 16.4531f)
                lineTo(11.5645f, 19.7422f)
                curveTo(11.6095f, 19.9872f, 11.8412f, 20.1583f, 12.0762f, 20.1543f)
                curveTo(12.3252f, 20.1433f, 12.5307f, 19.9502f, 12.5547f, 19.7012f)
                lineTo(12.8184f, 16.9727f)
                lineTo(13.1914f, 21.541f)
                curveTo(13.2134f, 21.801f, 13.4314f, 22.0f, 13.6914f, 22.0f)
                lineTo(13.6934f, 22.0f)
                curveTo(13.9554f, 21.998f, 14.1705f, 21.7962f, 14.1895f, 21.5352f)
                lineTo(14.4609f, 17.6484f)
                lineTo(14.7969f, 22.5332f)
                curveTo(14.8149f, 22.7962f, 15.0339f, 23.0f, 15.2969f, 23.0f)
                lineTo(15.2988f, 23.0f)
                curveTo(15.5628f, 22.999f, 15.7799f, 22.7943f, 15.7969f, 22.5313f)
                lineTo(16.1113f, 17.6035f)
                lineTo(16.3457f, 21.5293f)
                curveTo(16.3607f, 21.7903f, 16.5749f, 21.996f, 16.8359f, 22.0f)
                lineTo(16.8438f, 22.0f)
                curveTo(17.1017f, 22.0f, 17.3178f, 21.8039f, 17.3418f, 21.5449f)
                lineTo(17.6895f, 17.6895f)
                lineTo(17.9492f, 21.5332f)
                curveTo(17.9672f, 21.7932f, 18.1824f, 21.997f, 18.4434f, 22.0f)
                lineTo(18.4492f, 22.0f)
                curveTo(18.7072f, 22.0f, 18.9233f, 21.8049f, 18.9473f, 21.5469f)
                lineTo(19.4043f, 16.6367f)
                lineTo(19.7012f, 18.7988f)
                curveTo(19.7312f, 19.0208f, 19.9069f, 19.1966f, 20.1289f, 19.2266f)
                curveTo(20.3579f, 19.2536f, 20.5653f, 19.1366f, 20.6543f, 18.9316f)
                lineTo(21.498f, 17.0f)
                lineTo(24.0f, 17.0f)
                lineTo(24.0f, 16.0f)
                lineTo(21.1699f, 16.0f)
                curveTo(20.9709f, 16.0f, 20.7929f, 16.1188f, 20.7129f, 16.3008f)
                lineTo(20.4492f, 16.9023f)
                lineTo(19.8027f, 12.2012f)
                curveTo(19.7687f, 11.9492f, 19.5539f, 11.7795f, 19.2969f, 11.7695f)
                curveTo(19.0429f, 11.7755f, 18.8345f, 11.9716f, 18.8105f, 12.2246f)
                lineTo(18.5273f, 15.2656f)
                lineTo(18.2598f, 11.3125f)
                curveTo(18.2428f, 11.0525f, 18.0266f, 10.8487f, 17.7656f, 10.8457f)
                curveTo(17.4886f, 10.8347f, 17.2847f, 11.0408f, 17.2617f, 11.3008f)
                lineTo(16.9453f, 14.8164f)
                lineTo(16.627f, 9.4707f)
                curveTo(16.611f, 9.2067f, 16.3929f, 9.001f, 16.1289f, 9.0f)
                lineTo(16.127f, 9.0f)
                close()
            }
        }
        .build()
        return _creativeCommonsSampling!!
    }

private var _creativeCommonsSampling: ImageVector? = null
