package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DemocratSolid: ImageVector
    get() {
        if (_democratSolid != null) {
            return _democratSolid!!
        }
        _democratSolid = Builder(name = "DemocratSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0488f, 5.0f)
                curveTo(5.9551f, 5.0075f, 5.8655f, 5.0556f, 5.8105f, 5.1406f)
                curveTo(5.3105f, 5.9006f, 5.2198f, 7.3892f, 6.0898f, 8.1992f)
                curveTo(6.2298f, 8.3292f, 6.3908f, 8.41f, 6.5508f, 8.5f)
                curveTo(6.4608f, 8.57f, 6.3591f, 8.6307f, 6.2891f, 8.7207f)
                lineTo(3.2598f, 12.7598f)
                curveTo(2.9598f, 13.1498f, 2.9206f, 13.6791f, 3.1406f, 14.1191f)
                lineTo(3.7207f, 15.2793f)
                curveTo(3.9407f, 15.7193f, 4.3909f, 16.0f, 4.8809f, 16.0f)
                lineTo(6.1406f, 16.0f)
                curveTo(6.4906f, 16.0f, 6.8105f, 15.8591f, 7.0605f, 15.6191f)
                lineTo(8.6094f, 14.2109f)
                lineTo(11.0f, 19.0f)
                lineTo(25.0f, 19.0f)
                lineTo(25.0f, 15.4902f)
                curveTo(25.66f, 15.9802f, 25.8405f, 16.3809f, 26.7305f, 17.7109f)
                curveTo(26.9305f, 18.0109f, 27.3309f, 18.0906f, 27.6309f, 17.8906f)
                lineTo(28.7109f, 17.1699f)
                curveTo(29.0109f, 16.9699f, 29.0906f, 16.5698f, 28.8906f, 16.2598f)
                lineTo(28.0898f, 15.0703f)
                curveTo(26.9498f, 13.3503f, 25.0407f, 12.0f, 22.9707f, 12.0f)
                lineTo(13.4004f, 12.0f)
                lineTo(9.9395f, 8.5898f)
                curveTo(10.9395f, 7.6298f, 11.0807f, 6.0997f, 10.4707f, 5.1797f)
                curveTo(10.3307f, 4.9697f, 10.0296f, 4.9391f, 9.8496f, 5.1191f)
                lineTo(8.0898f, 7.4395f)
                lineTo(6.3105f, 5.0996f)
                curveTo(6.2405f, 5.0246f, 6.1426f, 4.9925f, 6.0488f, 5.0f)
                close()
                moveTo(13.5684f, 14.0f)
                curveTo(13.6365f, 14.0f, 13.7052f, 14.034f, 13.7422f, 14.1035f)
                lineTo(14.1211f, 14.8809f)
                lineTo(14.9805f, 15.0098f)
                curveTo(15.1285f, 15.0288f, 15.1833f, 15.2213f, 15.0723f, 15.3223f)
                lineTo(14.4531f, 15.9336f)
                lineTo(14.6016f, 16.7832f)
                curveTo(14.6296f, 16.9402f, 14.463f, 17.0506f, 14.334f, 16.9766f)
                lineTo(13.5664f, 16.5801f)
                lineTo(12.8008f, 16.9766f)
                curveTo(12.6618f, 17.0506f, 12.5033f, 16.9402f, 12.5313f, 16.7832f)
                lineTo(12.6797f, 15.9336f)
                lineTo(12.0605f, 15.3223f)
                curveTo(11.9405f, 15.2203f, 12.0051f, 15.0278f, 12.1621f, 15.0098f)
                lineTo(13.0215f, 14.8809f)
                lineTo(13.4004f, 14.1035f)
                curveTo(13.4329f, 14.034f, 13.5002f, 14.0f, 13.5684f, 14.0f)
                close()
                moveTo(17.9512f, 14.0f)
                curveTo(18.0193f, 14.0f, 18.09f, 14.034f, 18.127f, 14.1035f)
                lineTo(18.5059f, 14.8809f)
                lineTo(19.3633f, 15.0098f)
                curveTo(19.5103f, 15.0288f, 19.5751f, 15.2213f, 19.4551f, 15.3223f)
                lineTo(18.8379f, 15.9336f)
                lineTo(18.9844f, 16.7832f)
                curveTo(19.0124f, 16.9402f, 18.8558f, 17.0506f, 18.7168f, 16.9766f)
                lineTo(17.9492f, 16.5801f)
                lineTo(17.1836f, 16.9766f)
                curveTo(17.0546f, 17.0506f, 16.8861f, 16.9402f, 16.9141f, 16.7832f)
                lineTo(17.0625f, 15.9336f)
                lineTo(16.4434f, 15.3223f)
                curveTo(16.3324f, 15.2203f, 16.3899f, 15.0278f, 16.5469f, 15.0098f)
                lineTo(17.4043f, 14.8809f)
                lineTo(17.7832f, 14.1035f)
                curveTo(17.8157f, 14.034f, 17.883f, 14.0f, 17.9512f, 14.0f)
                close()
                moveTo(22.4336f, 14.0f)
                curveTo(22.5017f, 14.0f, 22.5704f, 14.034f, 22.6074f, 14.1035f)
                lineTo(22.9863f, 14.8809f)
                lineTo(23.8457f, 15.0098f)
                curveTo(23.9937f, 15.0288f, 24.0575f, 15.2213f, 23.9375f, 15.3223f)
                lineTo(23.3184f, 15.9336f)
                lineTo(23.4668f, 16.7832f)
                curveTo(23.4948f, 16.9402f, 23.3363f, 17.0506f, 23.1973f, 16.9766f)
                lineTo(22.4316f, 16.5801f)
                lineTo(21.6641f, 16.9766f)
                curveTo(21.5351f, 17.0506f, 21.3685f, 16.9402f, 21.3965f, 16.7832f)
                lineTo(21.5449f, 15.9336f)
                lineTo(20.9258f, 15.3223f)
                curveTo(20.8148f, 15.2203f, 20.8703f, 15.0278f, 21.0273f, 15.0098f)
                lineTo(21.8867f, 14.8809f)
                lineTo(22.2656f, 14.1035f)
                curveTo(22.2981f, 14.034f, 22.3655f, 14.0f, 22.4336f, 14.0f)
                close()
                moveTo(11.0f, 21.0f)
                lineTo(11.0f, 26.3496f)
                curveTo(11.0f, 26.7096f, 11.2904f, 27.0f, 11.6504f, 27.0f)
                lineTo(14.3496f, 27.0f)
                curveTo(14.7096f, 27.0f, 15.0f, 26.7096f, 15.0f, 26.3496f)
                lineTo(15.0f, 23.0f)
                lineTo(21.0f, 23.0f)
                lineTo(21.0f, 26.3496f)
                curveTo(21.0f, 26.7096f, 21.2904f, 27.0f, 21.6504f, 27.0f)
                lineTo(24.3496f, 27.0f)
                curveTo(24.7096f, 27.0f, 25.0f, 26.7096f, 25.0f, 26.3496f)
                lineTo(25.0f, 21.0f)
                lineTo(11.0f, 21.0f)
                close()
            }
        }
        .build()
        return _democratSolid!!
    }

private var _democratSolid: ImageVector? = null
