package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.DungeonSolid: ImageVector
    get() {
        if (_dungeonSolid != null) {
            return _dungeonSolid!!
        }
        _dungeonSolid = Builder(name = "DungeonSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 5.0f)
                curveTo(14.962f, 5.0f, 13.9599f, 5.1547f, 13.0059f, 5.4277f)
                lineTo(14.4473f, 9.1797f)
                curveTo(14.9473f, 9.0657f, 15.466f, 9.0f, 16.0f, 9.0f)
                curveTo(16.534f, 9.0f, 17.0527f, 9.0657f, 17.5527f, 9.1797f)
                lineTo(18.9941f, 5.4277f)
                curveTo(18.0401f, 5.1557f, 17.038f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(11.1406f, 6.1523f)
                curveTo(9.6406f, 6.8983f, 8.3335f, 7.9741f, 7.3145f, 9.2871f)
                lineTo(10.6992f, 11.4414f)
                curveTo(10.7949f, 11.3304f, 10.8978f, 11.2259f, 11.0f, 11.1211f)
                lineTo(11.0f, 11.1309f)
                curveTo(11.03f, 11.0809f, 11.0809f, 11.03f, 11.1309f, 11.0f)
                lineTo(11.1133f, 11.0f)
                curveTo(11.5508f, 10.5716f, 12.0422f, 10.1989f, 12.5801f, 9.8965f)
                lineTo(11.1406f, 6.1523f)
                close()
                moveTo(20.8594f, 6.1523f)
                lineTo(19.4199f, 9.8984f)
                curveTo(19.9552f, 10.1998f, 20.4409f, 10.5743f, 20.877f, 11.0f)
                lineTo(20.8691f, 11.0f)
                curveTo(20.9191f, 11.03f, 20.97f, 11.0809f, 21.0f, 11.1309f)
                lineTo(21.0f, 11.1152f)
                curveTo(21.1666f, 11.2859f, 21.3259f, 11.4634f, 21.4746f, 11.6504f)
                lineTo(24.9395f, 9.6289f)
                curveTo(23.8885f, 8.1609f, 22.4884f, 6.9623f, 20.8594f, 6.1523f)
                close()
                moveTo(6.2344f, 10.9707f)
                curveTo(5.4514f, 12.4817f, 5.0f, 14.189f, 5.0f, 16.0f)
                lineTo(9.0f, 16.0f)
                curveTo(9.0f, 14.976f, 9.227f, 14.0059f, 9.623f, 13.1289f)
                lineTo(6.2344f, 10.9707f)
                close()
                moveTo(16.0f, 11.0f)
                curveTo(15.66f, 11.0f, 15.32f, 11.0296f, 15.0f, 11.0996f)
                lineTo(15.0f, 25.0f)
                lineTo(17.0f, 25.0f)
                lineTo(17.0f, 11.0996f)
                curveTo(16.68f, 11.0296f, 16.34f, 11.0f, 16.0f, 11.0f)
                close()
                moveTo(25.9492f, 11.3535f)
                lineTo(22.4844f, 13.375f)
                curveTo(22.8134f, 14.187f, 23.0f, 15.072f, 23.0f, 16.0f)
                lineTo(27.0f, 16.0f)
                curveTo(27.0f, 14.34f, 26.6152f, 12.7685f, 25.9492f, 11.3535f)
                close()
                moveTo(13.0f, 12.0f)
                curveTo(11.79f, 12.91f, 11.0f, 14.37f, 11.0f, 16.0f)
                lineTo(11.0f, 25.0f)
                lineTo(13.0f, 25.0f)
                lineTo(13.0f, 12.0f)
                close()
                moveTo(19.0f, 12.0f)
                lineTo(19.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                lineTo(21.0f, 16.0f)
                curveTo(21.0f, 14.37f, 20.21f, 12.91f, 19.0f, 12.0f)
                close()
                moveTo(5.0f, 18.0f)
                lineTo(5.0f, 22.0f)
                lineTo(9.0f, 22.0f)
                lineTo(9.0f, 18.0f)
                lineTo(5.0f, 18.0f)
                close()
                moveTo(23.0f, 18.0f)
                lineTo(23.0f, 22.0f)
                lineTo(27.0f, 22.0f)
                lineTo(27.0f, 18.0f)
                lineTo(23.0f, 18.0f)
                close()
                moveTo(5.0f, 24.0f)
                lineTo(5.0f, 27.0f)
                lineTo(9.0f, 27.0f)
                lineTo(9.0f, 24.0f)
                lineTo(5.0f, 24.0f)
                close()
                moveTo(23.0f, 24.0f)
                lineTo(23.0f, 27.0f)
                lineTo(27.0f, 27.0f)
                lineTo(27.0f, 24.0f)
                lineTo(23.0f, 24.0f)
                close()
            }
        }
        .build()
        return _dungeonSolid!!
    }

private var _dungeonSolid: ImageVector? = null
