package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GiftsSolid: ImageVector
    get() {
        if (_giftsSolid != null) {
            return _giftsSolid!!
        }
        _giftsSolid = Builder(name = "GiftsSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.0f, 4.0f)
                lineTo(9.0f, 7.2344f)
                lineTo(5.5156f, 5.1426f)
                lineTo(4.4844f, 6.8574f)
                lineTo(6.3887f, 8.0f)
                lineTo(3.0f, 8.0f)
                lineTo(3.0f, 27.0f)
                lineTo(9.0f, 27.0f)
                lineTo(9.0f, 25.0f)
                lineTo(5.0f, 25.0f)
                lineTo(5.0f, 10.0f)
                lineTo(13.0273f, 10.0f)
                curveTo(13.8603f, 9.38f, 14.884f, 9.0f, 16.0f, 9.0f)
                curveTo(16.352f, 9.0f, 16.682f, 9.0416f, 17.0f, 9.1016f)
                lineTo(17.0f, 8.0f)
                lineTo(13.6113f, 8.0f)
                lineTo(15.5156f, 6.8574f)
                lineTo(14.4844f, 5.1426f)
                lineTo(11.0f, 7.2344f)
                lineTo(11.0f, 4.0f)
                lineTo(9.0f, 4.0f)
                close()
                moveTo(16.0f, 11.0f)
                curveTo(14.355f, 11.0f, 13.0f, 12.355f, 13.0f, 14.0f)
                curveTo(13.0f, 14.352f, 13.0745f, 14.684f, 13.1875f, 15.0f)
                lineTo(11.0f, 15.0f)
                lineTo(11.0f, 17.0f)
                lineTo(11.0f, 27.0f)
                lineTo(29.0f, 27.0f)
                lineTo(29.0f, 17.0f)
                lineTo(29.0f, 15.0f)
                lineTo(26.8125f, 15.0f)
                curveTo(26.9265f, 14.684f, 27.0f, 14.352f, 27.0f, 14.0f)
                curveTo(27.0f, 12.355f, 25.645f, 11.0f, 24.0f, 11.0f)
                curveTo(22.25f, 11.0f, 21.0623f, 12.3275f, 20.2813f, 13.4375f)
                curveTo(20.1763f, 13.5855f, 20.093f, 13.732f, 20.0f, 13.877f)
                curveTo(19.906f, 13.732f, 19.8237f, 13.5865f, 19.7188f, 13.4375f)
                curveTo(18.9368f, 12.3275f, 17.75f, 11.0f, 16.0f, 11.0f)
                close()
                moveTo(16.0f, 13.0f)
                curveTo(16.625f, 13.0f, 17.4375f, 13.6715f, 18.0625f, 14.5625f)
                curveTo(18.2145f, 14.7815f, 18.1915f, 14.794f, 18.3125f, 15.002f)
                lineTo(16.0f, 15.002f)
                curveTo(15.434f, 15.002f, 15.0f, 14.568f, 15.0f, 14.002f)
                curveTo(15.0f, 13.436f, 15.434f, 13.0f, 16.0f, 13.0f)
                close()
                moveTo(24.0f, 13.0f)
                curveTo(24.566f, 13.0f, 25.0f, 13.434f, 25.0f, 14.0f)
                curveTo(25.0f, 14.566f, 24.566f, 15.0f, 24.0f, 15.0f)
                lineTo(21.6875f, 15.0f)
                curveTo(21.8095f, 14.793f, 21.7855f, 14.7805f, 21.9375f, 14.5625f)
                curveTo(22.5625f, 13.6715f, 23.375f, 13.0f, 24.0f, 13.0f)
                close()
                moveTo(13.0f, 17.0f)
                lineTo(19.0f, 17.0f)
                lineTo(19.0f, 25.0f)
                lineTo(13.0f, 25.0f)
                lineTo(13.0f, 17.0f)
                close()
                moveTo(21.0f, 17.0f)
                lineTo(27.0f, 17.0f)
                lineTo(27.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                lineTo(21.0f, 17.0f)
                close()
            }
        }
        .build()
        return _giftsSolid!!
    }

private var _giftsSolid: ImageVector? = null
