package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GitSquare: ImageVector
    get() {
        if (_gitSquare != null) {
            return _gitSquare!!
        }
        _gitSquare = Builder(name = "GitSquare", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 5.0f)
                lineTo(5.0f, 27.0f)
                lineTo(27.0f, 27.0f)
                lineTo(27.0f, 5.0f)
                lineTo(5.0f, 5.0f)
                close()
                moveTo(7.0f, 7.0f)
                lineTo(25.0f, 7.0f)
                lineTo(25.0f, 25.0f)
                lineTo(7.0f, 25.0f)
                lineTo(7.0f, 7.0f)
                close()
                moveTo(16.8711f, 10.3613f)
                curveTo(16.2391f, 10.3613f, 15.8691f, 10.6991f, 15.8691f, 11.3301f)
                curveTo(15.8691f, 11.9731f, 16.2401f, 12.332f, 16.8711f, 12.332f)
                curveTo(17.5131f, 12.332f, 17.8828f, 11.9721f, 17.8828f, 11.3301f)
                curveTo(17.8828f, 10.6981f, 17.5131f, 10.3613f, 16.8711f, 10.3613f)
                close()
                moveTo(19.9844f, 11.416f)
                curveTo(19.8644f, 12.624f, 19.4729f, 13.1137f, 18.5039f, 13.2227f)
                lineTo(18.5039f, 14.2148f)
                curveTo(19.3969f, 14.2148f, 19.3633f, 14.1803f, 19.3633f, 14.3223f)
                lineTo(19.3633f, 17.2402f)
                curveTo(19.3633f, 18.4922f, 19.8654f, 19.0f, 21.1934f, 19.0f)
                curveTo(21.8244f, 19.0f, 22.521f, 18.8201f, 23.0f, 18.5801f)
                lineTo(22.6953f, 17.5977f)
                curveTo(20.9103f, 18.2727f, 21.0f, 17.0541f, 21.0f, 16.8691f)
                lineTo(21.0f, 14.2129f)
                lineTo(22.6953f, 14.2129f)
                lineTo(22.6953f, 13.1035f)
                lineTo(21.0f, 13.1035f)
                lineTo(21.0f, 11.416f)
                lineTo(19.9844f, 11.416f)
                close()
                moveTo(11.7285f, 13.2148f)
                curveTo(10.571f, 13.2199f, 9.1738f, 13.6821f, 9.1738f, 15.3809f)
                curveTo(9.1738f, 16.1969f, 9.5888f, 16.7739f, 10.1328f, 17.0469f)
                curveTo(9.4468f, 17.6769f, 9.1191f, 17.9708f, 9.1191f, 18.3848f)
                curveTo(9.1191f, 18.6898f, 9.2504f, 18.96f, 9.6094f, 19.123f)
                curveTo(9.2284f, 19.483f, 9.0f, 19.7568f, 9.0f, 20.2578f)
                curveTo(9.0f, 21.1288f, 9.7724f, 21.6406f, 11.7754f, 21.6406f)
                curveTo(13.7134f, 21.6406f, 14.8359f, 20.9214f, 14.8359f, 19.6484f)
                curveTo(14.8359f, 18.0374f, 13.6055f, 18.103f, 10.6875f, 17.918f)
                lineTo(11.0566f, 17.3281f)
                curveTo(11.7966f, 17.5351f, 14.3008f, 17.6015f, 14.3008f, 15.4785f)
                curveTo(14.3008f, 14.9665f, 14.0937f, 14.6074f, 13.8867f, 14.3574f)
                lineTo(14.9102f, 14.2813f)
                lineTo(14.9102f, 13.332f)
                lineTo(12.7441f, 13.332f)
                curveTo(12.4719f, 13.2613f, 12.1143f, 13.2132f, 11.7285f, 13.2148f)
                close()
                moveTo(15.5547f, 13.2246f)
                lineTo(15.4336f, 14.1289f)
                curveTo(16.1196f, 14.3679f, 16.1738f, 14.3335f, 16.1738f, 14.5625f)
                lineTo(16.1738f, 17.8398f)
                curveTo(16.1738f, 18.0798f, 16.1626f, 18.0368f, 15.4336f, 18.1348f)
                lineTo(15.4336f, 19.0f)
                lineTo(18.6016f, 19.0f)
                lineTo(18.6016f, 18.1348f)
                lineTo(18.0352f, 18.0586f)
                curveTo(17.8722f, 18.0366f, 17.8613f, 18.0138f, 17.8613f, 17.8398f)
                lineTo(17.8613f, 13.2246f)
                lineTo(15.5547f, 13.2246f)
                close()
                moveTo(11.8203f, 14.3223f)
                curveTo(13.1803f, 14.3223f, 13.2131f, 16.2617f, 11.7871f, 16.2617f)
                curveTo(10.3501f, 16.2617f, 10.4153f, 14.3223f, 11.8203f, 14.3223f)
                close()
                moveTo(10.5996f, 19.418f)
                curveTo(12.7226f, 19.571f, 13.1797f, 19.5164f, 13.1797f, 19.9414f)
                curveTo(13.1797f, 20.8234f, 10.3164f, 20.8229f, 10.3164f, 20.0059f)
                curveTo(10.3164f, 19.7879f, 10.4576f, 19.603f, 10.5996f, 19.418f)
                close()
            }
        }
        .build()
        return _gitSquare!!
    }

private var _gitSquare: ImageVector? = null
