package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.GrinTearsSolid: ImageVector
    get() {
        if (_grinTearsSolid != null) {
            return _grinTearsSolid!!
        }
        _grinTearsSolid = Builder(name = "GrinTearsSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(8.87f, 3.0f, 3.0669f, 8.7717f, 3.0059f, 15.8887f)
                curveTo(3.5799f, 15.6587f, 4.259f, 15.4273f, 5.041f, 15.1973f)
                curveTo(5.454f, 9.5063f, 10.205f, 5.0f, 16.0f, 5.0f)
                curveTo(21.795f, 5.0f, 26.546f, 9.5063f, 26.959f, 15.1973f)
                curveTo(27.741f, 15.4273f, 28.4201f, 15.6587f, 28.9941f, 15.8887f)
                curveTo(28.9331f, 8.7717f, 23.13f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(9.0f, 14.0f)
                lineTo(9.0f, 16.0f)
                lineTo(14.0f, 16.0f)
                lineTo(14.0f, 14.0f)
                lineTo(9.0f, 14.0f)
                close()
                moveTo(18.0f, 14.0f)
                lineTo(18.0f, 16.0f)
                lineTo(23.0f, 16.0f)
                lineTo(23.0f, 14.0f)
                lineTo(18.0f, 14.0f)
                close()
                moveTo(6.0f, 17.0f)
                curveTo(6.0f, 17.0f, 3.0304f, 17.8348f, 2.4414f, 18.4238f)
                curveTo(1.8524f, 19.0128f, 1.8524f, 19.9696f, 2.4414f, 20.5586f)
                curveTo(3.0304f, 21.1476f, 3.9872f, 21.1476f, 4.5762f, 20.5586f)
                curveTo(5.1652f, 19.9696f, 6.0f, 17.0f, 6.0f, 17.0f)
                close()
                moveTo(26.0f, 17.0f)
                curveTo(26.0f, 17.0f, 26.8348f, 19.9696f, 27.4238f, 20.5586f)
                curveTo(28.0128f, 21.1476f, 28.9696f, 21.1476f, 29.5586f, 20.5586f)
                curveTo(30.1476f, 19.9696f, 30.1476f, 19.0128f, 29.5586f, 18.4238f)
                curveTo(28.9696f, 17.8348f, 26.0f, 17.0f, 26.0f, 17.0f)
                close()
                moveTo(9.0f, 19.0f)
                curveTo(9.0f, 19.0f, 10.61f, 24.0f, 16.0f, 24.0f)
                curveTo(21.39f, 24.0f, 23.0f, 19.0f, 23.0f, 19.0f)
                lineTo(9.0f, 19.0f)
                close()
                moveTo(6.4277f, 21.4004f)
                curveTo(6.2817f, 21.6334f, 6.1342f, 21.8287f, 5.9902f, 21.9727f)
                curveTo(5.6692f, 22.2937f, 5.2956f, 22.5408f, 4.8906f, 22.7148f)
                curveTo(7.1716f, 26.4748f, 11.291f, 29.0f, 16.0f, 29.0f)
                curveTo(20.709f, 29.0f, 24.8284f, 26.4748f, 27.1094f, 22.7148f)
                curveTo(26.7044f, 22.5408f, 26.3308f, 22.2947f, 26.0098f, 21.9727f)
                curveTo(25.8648f, 21.8277f, 25.7183f, 21.6324f, 25.5723f, 21.4004f)
                curveTo(23.6813f, 24.7384f, 20.103f, 27.0f, 16.0f, 27.0f)
                curveTo(11.897f, 27.0f, 8.3187f, 24.7384f, 6.4277f, 21.4004f)
                close()
            }
        }
        .build()
        return _grinTearsSolid!!
    }

private var _grinTearsSolid: ImageVector? = null
