package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.HamsaSolid: ImageVector
    get() {
        if (_hamsaSolid != null) {
            return _hamsaSolid!!
        }
        _hamsaSolid = Builder(name = "HamsaSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 3.0f)
                curveTo(14.3218f, 3.0f, 12.8878f, 4.0418f, 12.2949f, 5.5098f)
                curveTo(11.7683f, 5.1923f, 11.1585f, 5.0f, 10.5f, 5.0f)
                curveTo(8.57f, 5.0f, 7.0f, 6.57f, 7.0f, 8.5f)
                lineTo(7.0f, 15.0f)
                lineTo(7.0f, 17.0f)
                lineTo(5.5f, 17.0f)
                curveTo(4.121f, 17.0f, 3.0f, 18.121f, 3.0f, 19.5f)
                curveTo(3.0f, 20.184f, 3.2735f, 20.8228f, 3.7715f, 21.3008f)
                lineTo(8.7227f, 26.0605f)
                curveTo(10.6917f, 27.9565f, 13.276f, 29.0f, 16.0f, 29.0f)
                curveTo(18.724f, 29.0f, 21.3074f, 27.9565f, 23.2754f, 26.0605f)
                lineTo(28.2305f, 21.3008f)
                curveTo(28.7275f, 20.8228f, 29.0f, 20.184f, 29.0f, 19.5f)
                curveTo(29.0f, 18.121f, 27.879f, 17.0f, 26.5f, 17.0f)
                lineTo(25.0f, 17.0f)
                lineTo(25.0f, 15.0f)
                lineTo(25.0f, 8.5f)
                curveTo(25.0f, 6.57f, 23.43f, 5.0f, 21.5f, 5.0f)
                curveTo(20.8415f, 5.0f, 20.2317f, 5.1923f, 19.7051f, 5.5098f)
                curveTo(19.1122f, 4.0418f, 17.6782f, 3.0f, 16.0f, 3.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(17.103f, 5.0f, 18.0f, 5.897f, 18.0f, 7.0f)
                lineTo(18.0f, 15.0f)
                lineTo(20.0f, 15.0f)
                lineTo(20.0f, 8.5f)
                curveTo(20.0f, 7.673f, 20.673f, 7.0f, 21.5f, 7.0f)
                curveTo(22.327f, 7.0f, 23.0f, 7.673f, 23.0f, 8.5f)
                lineTo(23.0f, 15.0f)
                lineTo(23.0f, 18.0f)
                lineTo(23.0f, 19.0f)
                lineTo(26.5f, 19.0f)
                curveTo(26.775f, 19.0f, 27.0f, 19.225f, 27.0f, 19.5f)
                curveTo(27.0f, 19.682f, 26.9027f, 19.8044f, 26.8457f, 19.8594f)
                lineTo(21.8906f, 24.6172f)
                curveTo(20.2946f, 26.1532f, 18.203f, 27.0f, 16.0f, 27.0f)
                curveTo(13.797f, 27.0f, 11.7044f, 26.1532f, 10.1074f, 24.6172f)
                lineTo(5.1563f, 19.8594f)
                curveTo(5.0982f, 19.8044f, 5.0f, 19.682f, 5.0f, 19.5f)
                curveTo(5.0f, 19.225f, 5.225f, 19.0f, 5.5f, 19.0f)
                lineTo(9.0f, 19.0f)
                lineTo(9.0f, 18.0f)
                lineTo(9.0f, 15.0f)
                lineTo(9.0f, 8.5f)
                curveTo(9.0f, 7.673f, 9.673f, 7.0f, 10.5f, 7.0f)
                curveTo(11.327f, 7.0f, 12.0f, 7.673f, 12.0f, 8.5f)
                lineTo(12.0f, 15.0f)
                lineTo(14.0f, 15.0f)
                lineTo(14.0f, 8.5f)
                lineTo(14.0f, 7.0f)
                curveTo(14.0f, 5.897f, 14.897f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(16.0f, 17.0f)
                curveTo(12.505f, 17.0f, 10.262f, 20.3053f, 10.168f, 20.4453f)
                lineTo(9.7988f, 21.0f)
                lineTo(10.168f, 21.5547f)
                curveTo(10.262f, 21.6947f, 12.505f, 25.0f, 16.0f, 25.0f)
                curveTo(19.495f, 25.0f, 21.738f, 21.6947f, 21.832f, 21.5547f)
                lineTo(22.2012f, 21.0f)
                lineTo(21.832f, 20.4453f)
                curveTo(21.738f, 20.3053f, 19.495f, 17.0f, 16.0f, 17.0f)
                close()
                moveTo(16.0f, 19.0f)
                curveTo(17.697f, 19.0f, 19.0586f, 20.248f, 19.7246f, 21.0f)
                curveTo(19.0576f, 21.752f, 17.695f, 23.0f, 16.0f, 23.0f)
                curveTo(14.303f, 23.0f, 12.9414f, 21.752f, 12.2754f, 21.0f)
                curveTo(12.9424f, 20.248f, 14.305f, 19.0f, 16.0f, 19.0f)
                close()
                moveTo(16.0f, 20.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 16.0f, 22.0f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 16.0f, 20.0f)
                close()
            }
        }
        .build()
        return _hamsaSolid!!
    }

private var _hamsaSolid: ImageVector? = null
