package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Ioxhost: ImageVector
    get() {
        if (_ioxhost != null) {
            return _ioxhost!!
        }
        _ioxhost = Builder(name = "Ioxhost", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.0f, 4.0f)
                curveTo(9.3828f, 4.0f, 4.0f, 9.3828f, 4.0f, 16.0f)
                curveTo(4.0f, 17.0391f, 4.1563f, 18.0352f, 4.4063f, 19.0f)
                lineTo(2.0f, 19.0f)
                curveTo(1.4492f, 19.0f, 1.0f, 19.4492f, 1.0f, 20.0f)
                curveTo(1.0f, 20.5508f, 1.4492f, 21.0f, 2.0f, 21.0f)
                lineTo(5.0938f, 21.0f)
                curveTo(6.9961f, 25.1211f, 11.1719f, 28.0f, 16.0f, 28.0f)
                curveTo(22.6172f, 28.0f, 28.0f, 22.6172f, 28.0f, 16.0f)
                curveTo(28.0f, 14.9609f, 27.8438f, 13.9648f, 27.5938f, 13.0f)
                lineTo(30.0f, 13.0f)
                curveTo(30.5508f, 13.0f, 31.0f, 12.5508f, 31.0f, 12.0f)
                curveTo(31.0f, 11.4492f, 30.5508f, 11.0f, 30.0f, 11.0f)
                lineTo(26.9063f, 11.0f)
                curveTo(25.0039f, 6.8789f, 20.8281f, 4.0f, 16.0f, 4.0f)
                close()
                moveTo(16.0f, 6.0f)
                curveTo(19.7148f, 6.0f, 22.9297f, 8.0039f, 24.6563f, 11.0f)
                lineTo(11.0f, 11.0f)
                curveTo(10.4492f, 11.0f, 10.0f, 11.4492f, 10.0f, 12.0f)
                curveTo(10.0f, 12.5508f, 10.4492f, 13.0f, 11.0f, 13.0f)
                lineTo(25.5625f, 13.0f)
                curveTo(25.8594f, 13.9492f, 26.0f, 14.9531f, 26.0f, 16.0f)
                curveTo(26.0f, 21.5352f, 21.5352f, 26.0f, 16.0f, 26.0f)
                curveTo(12.2852f, 26.0f, 9.0703f, 23.9961f, 7.3438f, 21.0f)
                lineTo(21.0f, 21.0f)
                curveTo(21.5508f, 21.0f, 22.0f, 20.5508f, 22.0f, 20.0f)
                curveTo(22.0f, 19.4492f, 21.5508f, 19.0f, 21.0f, 19.0f)
                lineTo(6.4375f, 19.0f)
                curveTo(6.1406f, 18.0508f, 6.0f, 17.0469f, 6.0f, 16.0f)
                curveTo(6.0f, 10.4648f, 10.4648f, 6.0f, 16.0f, 6.0f)
                close()
                moveTo(11.0f, 15.0f)
                curveTo(10.4492f, 15.0f, 10.0f, 15.4492f, 10.0f, 16.0f)
                curveTo(10.0f, 16.5508f, 10.4492f, 17.0f, 11.0f, 17.0f)
                lineTo(21.0f, 17.0f)
                curveTo(21.5508f, 17.0f, 22.0f, 16.5508f, 22.0f, 16.0f)
                curveTo(22.0f, 15.4492f, 21.5508f, 15.0f, 21.0f, 15.0f)
                close()
            }
        }
        .build()
        return _ioxhost!!
    }

private var _ioxhost: ImageVector? = null
