package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.MagicSolid: ImageVector
    get() {
        if (_magicSolid != null) {
            return _magicSolid!!
        }
        _magicSolid = Builder(name = "MagicSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.875f, 2.5625f)
                lineTo(20.1875f, 3.3125f)
                lineTo(18.5f, 5.0938f)
                lineTo(14.9063f, 5.0938f)
                lineTo(14.9063f, 8.5938f)
                lineTo(13.1875f, 10.4063f)
                lineTo(12.5f, 11.125f)
                lineTo(14.6875f, 13.3125f)
                lineTo(3.0313f, 25.0f)
                lineTo(2.3125f, 25.7188f)
                lineTo(3.0313f, 26.4063f)
                lineTo(6.3125f, 29.6875f)
                lineTo(7.0f, 28.9688f)
                lineTo(18.6875f, 17.3125f)
                lineTo(20.875f, 19.5f)
                lineTo(21.5938f, 18.8125f)
                lineTo(23.4063f, 17.0938f)
                lineTo(26.9063f, 17.0938f)
                lineTo(26.9063f, 13.5f)
                lineTo(28.6875f, 11.8125f)
                lineTo(29.4375f, 11.125f)
                lineTo(26.9063f, 8.5938f)
                lineTo(26.9063f, 5.0938f)
                lineTo(23.4063f, 5.0938f)
                close()
                moveTo(20.9063f, 5.4375f)
                lineTo(22.2813f, 6.8125f)
                lineTo(22.5938f, 7.0938f)
                lineTo(24.9063f, 7.0938f)
                lineTo(24.9063f, 9.4063f)
                lineTo(25.1875f, 9.7188f)
                lineTo(26.5625f, 11.0938f)
                lineTo(25.2188f, 12.375f)
                lineTo(24.9063f, 12.6563f)
                lineTo(24.9063f, 15.0938f)
                lineTo(22.5938f, 15.0938f)
                lineTo(22.3125f, 15.375f)
                lineTo(20.9063f, 16.7188f)
                lineTo(20.0938f, 15.9063f)
                lineTo(24.625f, 11.375f)
                lineTo(20.6563f, 7.4063f)
                lineTo(19.9375f, 8.0938f)
                lineTo(16.125f, 11.9375f)
                lineTo(15.2813f, 11.0938f)
                lineTo(16.625f, 9.6875f)
                lineTo(16.9063f, 9.4063f)
                lineTo(16.9063f, 7.0938f)
                lineTo(19.3438f, 7.0938f)
                lineTo(19.625f, 6.7813f)
                close()
                moveTo(20.6563f, 10.2188f)
                lineTo(21.7813f, 11.375f)
                lineTo(6.3125f, 26.875f)
                lineTo(5.1563f, 25.7188f)
                close()
                moveTo(19.0f, 21.0f)
                lineTo(19.0f, 22.0f)
                lineTo(18.0f, 22.0f)
                lineTo(18.0f, 24.0f)
                lineTo(19.0f, 24.0f)
                lineTo(19.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                lineTo(21.0f, 24.0f)
                lineTo(22.0f, 24.0f)
                lineTo(22.0f, 22.0f)
                lineTo(21.0f, 22.0f)
                lineTo(21.0f, 21.0f)
                close()
                moveTo(25.0f, 23.0f)
                lineTo(25.0f, 25.0f)
                lineTo(23.0f, 25.0f)
                lineTo(23.0f, 27.0f)
                lineTo(25.0f, 27.0f)
                lineTo(25.0f, 29.0f)
                lineTo(27.0f, 29.0f)
                lineTo(27.0f, 27.0f)
                lineTo(29.0f, 27.0f)
                lineTo(29.0f, 25.0f)
                lineTo(27.0f, 25.0f)
                lineTo(27.0f, 23.0f)
                close()
            }
        }
        .build()
        return _magicSolid!!
    }

private var _magicSolid: ImageVector? = null
