package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PeopleCarrySolid: ImageVector
    get() {
        if (_peopleCarrySolid != null) {
            return _peopleCarrySolid!!
        }
        _peopleCarrySolid = Builder(name = "PeopleCarrySolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 5.0f)
                curveTo(6.346f, 5.0f, 5.0f, 6.346f, 5.0f, 8.0f)
                curveTo(5.0f, 9.654f, 6.346f, 11.0f, 8.0f, 11.0f)
                curveTo(9.654f, 11.0f, 11.0f, 9.654f, 11.0f, 8.0f)
                curveTo(11.0f, 6.346f, 9.654f, 5.0f, 8.0f, 5.0f)
                close()
                moveTo(24.0f, 5.0f)
                curveTo(22.346f, 5.0f, 21.0f, 6.346f, 21.0f, 8.0f)
                curveTo(21.0f, 9.654f, 22.346f, 11.0f, 24.0f, 11.0f)
                curveTo(25.654f, 11.0f, 27.0f, 9.654f, 27.0f, 8.0f)
                curveTo(27.0f, 6.346f, 25.654f, 5.0f, 24.0f, 5.0f)
                close()
                moveTo(8.0f, 7.0f)
                curveTo(8.552f, 7.0f, 9.0f, 7.448f, 9.0f, 8.0f)
                curveTo(9.0f, 8.552f, 8.552f, 9.0f, 8.0f, 9.0f)
                curveTo(7.448f, 9.0f, 7.0f, 8.552f, 7.0f, 8.0f)
                curveTo(7.0f, 7.448f, 7.448f, 7.0f, 8.0f, 7.0f)
                close()
                moveTo(24.0f, 7.0f)
                curveTo(24.552f, 7.0f, 25.0f, 7.448f, 25.0f, 8.0f)
                curveTo(25.0f, 8.552f, 24.552f, 9.0f, 24.0f, 9.0f)
                curveTo(23.448f, 9.0f, 23.0f, 8.552f, 23.0f, 8.0f)
                curveTo(23.0f, 7.448f, 23.448f, 7.0f, 24.0f, 7.0f)
                close()
                moveTo(6.8477f, 12.0f)
                curveTo(6.4167f, 12.0f, 6.0344f, 12.2746f, 5.8984f, 12.6836f)
                lineTo(4.127f, 17.998f)
                curveTo(3.854f, 18.815f, 4.1337f, 19.7141f, 4.8438f, 20.2461f)
                lineTo(8.0f, 22.5f)
                lineTo(8.0f, 28.0f)
                lineTo(10.0f, 28.0f)
                lineTo(10.0f, 22.5f)
                curveTo(10.0f, 21.873f, 9.7006f, 21.2737f, 9.1816f, 20.8867f)
                lineTo(6.0234f, 18.6328f)
                lineTo(7.4492f, 14.3594f)
                curveTo(7.7892f, 15.2544f, 8.3555f, 16.7012f, 8.3555f, 16.7012f)
                curveTo(8.5935f, 17.3182f, 9.0327f, 17.8425f, 9.5957f, 18.1855f)
                lineTo(12.0f, 20.0f)
                lineTo(20.0f, 20.0f)
                lineTo(22.4063f, 18.1855f)
                curveTo(22.9683f, 17.8435f, 23.4075f, 17.3181f, 23.6445f, 16.7051f)
                curveTo(23.6445f, 16.7051f, 24.2027f, 15.2775f, 24.5547f, 14.3535f)
                lineTo(25.9941f, 18.6191f)
                lineTo(22.8027f, 20.8984f)
                curveTo(22.3007f, 21.2734f, 22.0f, 21.873f, 22.0f, 22.5f)
                lineTo(22.0f, 28.0f)
                lineTo(24.0f, 28.0f)
                lineTo(23.9824f, 22.5137f)
                lineTo(27.1777f, 20.2324f)
                curveTo(27.8677f, 19.7144f, 28.146f, 18.816f, 27.873f, 18.0f)
                lineTo(26.1016f, 12.6836f)
                curveTo(25.9666f, 12.2746f, 25.5833f, 12.0f, 25.1523f, 12.0f)
                lineTo(24.5039f, 12.0f)
                curveTo(24.0519f, 12.0f, 23.2367f, 12.1579f, 22.8477f, 13.2109f)
                curveTo(22.5937f, 13.9069f, 21.7833f, 15.9755f, 21.7813f, 15.9805f)
                curveTo(21.6982f, 16.1945f, 21.5437f, 16.3753f, 21.3477f, 16.4883f)
                curveTo(21.3117f, 16.5083f, 21.2781f, 16.5307f, 21.2461f, 16.5547f)
                lineTo(20.0f, 17.4922f)
                lineTo(20.0f, 12.0f)
                lineTo(12.0f, 12.0f)
                lineTo(12.0f, 17.4922f)
                lineTo(10.7539f, 16.5547f)
                curveTo(10.7209f, 16.5307f, 10.6873f, 16.5093f, 10.6523f, 16.4883f)
                curveTo(10.4553f, 16.3743f, 10.3027f, 16.1946f, 10.2188f, 15.9766f)
                curveTo(10.2188f, 15.9766f, 9.4083f, 13.905f, 9.1523f, 13.207f)
                curveTo(8.7653f, 12.156f, 7.9481f, 12.0f, 7.4961f, 12.0f)
                lineTo(6.8477f, 12.0f)
                close()
                moveTo(14.0f, 14.0f)
                lineTo(18.0f, 14.0f)
                lineTo(18.0f, 18.0f)
                lineTo(14.0f, 18.0f)
                lineTo(14.0f, 14.0f)
                close()
                moveTo(4.2578f, 21.0566f)
                lineTo(4.0547f, 23.1055f)
                curveTo(4.0327f, 23.3265f, 3.9748f, 23.5392f, 3.8828f, 23.7402f)
                lineTo(1.9336f, 28.0f)
                lineTo(4.1328f, 28.0f)
                lineTo(5.7012f, 24.5723f)
                curveTo(5.8852f, 24.1713f, 5.9999f, 23.7447f, 6.0449f, 23.3027f)
                lineTo(6.1348f, 22.3965f)
                lineTo(4.2617f, 21.0605f)
                curveTo(4.2607f, 21.0595f, 4.2588f, 21.0576f, 4.2578f, 21.0566f)
                close()
                moveTo(27.7422f, 21.0566f)
                lineTo(25.8652f, 22.3965f)
                lineTo(25.9551f, 23.3047f)
                curveTo(26.0001f, 23.7447f, 26.1148f, 24.1703f, 26.2988f, 24.5723f)
                lineTo(27.8672f, 28.0f)
                lineTo(30.0664f, 28.0f)
                lineTo(28.1172f, 23.7402f)
                curveTo(28.0252f, 23.5392f, 27.9683f, 23.3255f, 27.9453f, 23.1055f)
                lineTo(27.7422f, 21.0566f)
                close()
            }
        }
        .build()
        return _peopleCarrySolid!!
    }

private var _peopleCarrySolid: ImageVector? = null
