package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PhoneSlashSolid: ImageVector
    get() {
        if (_phoneSlashSolid != null) {
            return _phoneSlashSolid!!
        }
        _phoneSlashSolid = Builder(name = "PhoneSlashSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.707f, 2.293f)
                lineTo(2.293f, 3.707f)
                lineTo(9.7246f, 11.1387f)
                lineTo(11.1406f, 12.5547f)
                lineTo(12.9902f, 14.4043f)
                curveTo(12.9902f, 14.4043f, 12.9902f, 14.4063f, 12.9902f, 14.4063f)
                lineTo(28.293f, 29.707f)
                lineTo(29.707f, 28.293f)
                lineTo(15.8008f, 14.3867f)
                curveTo(17.1589f, 13.2056f, 18.5427f, 12.5628f, 19.1328f, 12.3066f)
                lineTo(21.1328f, 14.3066f)
                curveTo(21.1809f, 14.3547f, 21.259f, 14.3359f, 21.3105f, 14.3789f)
                lineTo(21.084f, 14.5996f)
                lineTo(21.8457f, 14.5996f)
                curveTo(22.4219f, 14.8652f, 22.9656f, 14.8603f, 23.5332f, 14.5996f)
                lineTo(23.5371f, 14.5996f)
                lineTo(23.5371f, 14.5977f)
                curveTo(23.5415f, 14.5956f, 23.5464f, 14.5957f, 23.5508f, 14.5938f)
                lineTo(23.5371f, 14.5996f)
                lineTo(23.9453f, 14.5996f)
                lineTo(28.4785f, 10.1719f)
                lineTo(28.5156f, 10.125f)
                curveTo(29.2044f, 9.2705f, 29.2044f, 8.0264f, 28.5156f, 7.1719f)
                lineTo(28.4766f, 7.123f)
                lineTo(25.2344f, 3.9785f)
                lineTo(25.2949f, 4.0449f)
                curveTo(24.8459f, 3.5235f, 24.2665f, 3.1908f, 23.6504f, 3.0449f)
                curveTo(23.0362f, 2.8995f, 22.3872f, 2.9406f, 21.793f, 3.1641f)
                curveTo(19.498f, 3.9599f, 15.183f, 5.9449f, 11.1445f, 9.7305f)
                lineTo(3.707f, 2.293f)
                close()
                moveTo(22.8203f, 4.9707f)
                curveTo(23.1669f, 4.9546f, 23.5518f, 5.0832f, 23.7813f, 5.3496f)
                lineTo(23.8105f, 5.3828f)
                lineTo(26.959f, 8.4375f)
                curveTo(27.0647f, 8.5763f, 27.0657f, 8.7226f, 26.959f, 8.8613f)
                lineTo(22.748f, 12.9746f)
                curveTo(22.7497f, 12.9674f, 22.6649f, 13.0106f, 22.5469f, 12.8926f)
                lineTo(19.5898f, 9.9355f)
                lineTo(18.9863f, 10.1641f)
                curveTo(18.9863f, 10.1641f, 16.5467f, 11.0677f, 14.3867f, 12.9727f)
                lineTo(12.5586f, 11.1445f)
                curveTo(16.328f, 7.6314f, 20.4194f, 5.7532f, 22.4668f, 5.0449f)
                lineTo(22.4805f, 5.041f)
                lineTo(22.4941f, 5.0352f)
                curveTo(22.5943f, 4.9973f, 22.7048f, 4.9761f, 22.8203f, 4.9707f)
                close()
                moveTo(8.4063f, 12.6504f)
                curveTo(6.2952f, 15.2554f, 4.5474f, 18.3062f, 3.1914f, 21.7832f)
                curveTo(2.7844f, 22.9992f, 3.0346f, 24.2616f, 3.9316f, 25.3066f)
                lineTo(7.0293f, 28.4043f)
                curveTo(7.4733f, 28.8483f, 8.0289f, 29.0703f, 8.5859f, 29.0703f)
                curveTo(9.1419f, 29.0703f, 9.6986f, 28.8473f, 10.1426f, 28.4043f)
                lineTo(14.2441f, 24.3066f)
                curveTo(15.1331f, 23.4176f, 15.1331f, 22.0785f, 14.2441f, 21.1895f)
                lineTo(12.2441f, 19.1875f)
                curveTo(12.4581f, 18.7635f, 12.7926f, 18.1488f, 13.2266f, 17.4688f)
                lineTo(11.7793f, 16.0215f)
                curveTo(10.7323f, 17.5875f, 10.1541f, 18.921f, 10.1191f, 19.002f)
                lineTo(9.8516f, 19.623f)
                lineTo(12.8301f, 22.6035f)
                curveTo(12.8981f, 22.6715f, 12.8981f, 22.8256f, 12.8301f, 22.8926f)
                lineTo(8.7285f, 26.9902f)
                curveTo(8.6615f, 27.0562f, 8.5114f, 27.0562f, 8.4434f, 26.9902f)
                lineTo(5.4004f, 23.9492f)
                curveTo(5.1294f, 23.6332f, 4.8553f, 23.1099f, 5.0703f, 22.4629f)
                curveTo(6.3103f, 19.2869f, 7.9042f, 16.4744f, 9.8262f, 14.0684f)
                lineTo(8.4063f, 12.6504f)
                close()
            }
        }
        .build()
        return _phoneSlashSolid!!
    }

private var _phoneSlashSolid: ImageVector? = null
