package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PhoneVolumeSolid: ImageVector
    get() {
        if (_phoneVolumeSolid != null) {
            return _phoneVolumeSolid!!
        }
        _phoneVolumeSolid = Builder(name = "PhoneVolumeSolid", defaultWidth = 32.0.dp, defaultHeight
                = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.0f, 0.0f)
                lineTo(19.0f, 2.0f)
                curveTo(25.065f, 2.0f, 30.0f, 6.935f, 30.0f, 13.0f)
                lineTo(32.0f, 13.0f)
                curveTo(32.0f, 5.832f, 26.168f, 0.0f, 19.0f, 0.0f)
                close()
                moveTo(8.6504f, 3.0059f)
                curveTo(8.1255f, 3.0059f, 7.6011f, 3.1771f, 7.1738f, 3.5215f)
                lineTo(7.125f, 3.5605f)
                lineTo(3.9805f, 6.8047f)
                lineTo(4.0469f, 6.7422f)
                curveTo(3.0062f, 7.6384f, 2.7195f, 9.0541f, 3.166f, 10.2441f)
                curveTo(4.0087f, 12.6741f, 6.1569f, 17.373f, 10.3945f, 21.6055f)
                curveTo(14.6413f, 25.8574f, 19.3895f, 27.9134f, 21.7383f, 28.8301f)
                lineTo(21.7617f, 28.8379f)
                lineTo(21.7852f, 28.8457f)
                curveTo(22.9996f, 29.2528f, 24.3114f, 28.9624f, 25.252f, 28.1582f)
                lineTo(25.2813f, 28.1328f)
                lineTo(28.4063f, 25.0078f)
                curveTo(29.2358f, 24.1783f, 29.2358f, 22.724f, 28.4063f, 21.8945f)
                lineTo(24.3086f, 17.793f)
                curveTo(23.4767f, 16.9611f, 22.0233f, 16.9611f, 21.1914f, 17.793f)
                lineTo(19.207f, 19.7773f)
                curveTo(18.4966f, 19.4383f, 16.7488f, 18.5586f, 15.0879f, 16.9746f)
                curveTo(13.4486f, 15.4113f, 12.6117f, 13.6044f, 12.3086f, 12.9063f)
                lineTo(14.3086f, 10.9063f)
                curveTo(15.1862f, 10.0287f, 15.2361f, 8.522f, 14.2246f, 7.7168f)
                lineTo(14.3164f, 7.8008f)
                lineTo(10.1738f, 3.5605f)
                lineTo(10.127f, 3.5215f)
                curveTo(9.6997f, 3.1771f, 9.1753f, 3.0059f, 8.6504f, 3.0059f)
                close()
                moveTo(19.0f, 4.0f)
                lineTo(19.0f, 6.0f)
                curveTo(22.859f, 6.0f, 26.0f, 9.14f, 26.0f, 13.0f)
                lineTo(28.0f, 13.0f)
                curveTo(28.0f, 8.038f, 23.963f, 4.0f, 19.0f, 4.0f)
                close()
                moveTo(8.6523f, 5.0f)
                curveTo(8.7236f, 4.9999f, 8.7939f, 5.0267f, 8.8633f, 5.0801f)
                lineTo(12.9297f, 9.2441f)
                lineTo(12.9785f, 9.2832f)
                curveTo(12.967f, 9.2741f, 13.0169f, 9.3698f, 12.8945f, 9.4922f)
                lineTo(9.9375f, 12.4492f)
                lineTo(10.166f, 13.0527f)
                curveTo(10.166f, 13.0527f, 11.2947f, 16.1214f, 13.707f, 18.4219f)
                curveTo(16.0793f, 20.6843f, 19.0039f, 21.9199f, 19.0039f, 21.9199f)
                lineTo(19.627f, 22.1855f)
                lineTo(22.6055f, 19.207f)
                curveTo(22.7736f, 19.0389f, 22.7264f, 19.0389f, 22.8945f, 19.207f)
                lineTo(26.9922f, 23.3086f)
                curveTo(27.1627f, 23.4791f, 27.1627f, 23.4233f, 26.9922f, 23.5938f)
                lineTo(23.9453f, 26.6406f)
                curveTo(23.4814f, 27.035f, 23.0021f, 27.1383f, 22.4258f, 26.9473f)
                curveTo(20.1637f, 26.0627f, 15.7393f, 24.1269f, 11.8086f, 20.1914f)
                curveTo(7.8507f, 16.2383f, 5.7997f, 11.7466f, 5.0469f, 9.5703f)
                lineTo(5.043f, 9.5586f)
                lineTo(5.0371f, 9.5449f)
                curveTo(4.8857f, 9.1445f, 4.9964f, 8.5637f, 5.3516f, 8.2578f)
                lineTo(5.3848f, 8.2285f)
                lineTo(8.4395f, 5.0801f)
                curveTo(8.5089f, 5.0272f, 8.5811f, 5.0001f, 8.6523f, 5.0f)
                close()
                moveTo(19.0f, 8.0f)
                lineTo(19.0f, 10.0f)
                curveTo(20.654f, 10.0f, 22.0f, 11.346f, 22.0f, 13.0f)
                lineTo(24.0f, 13.0f)
                curveTo(24.0f, 10.243f, 21.757f, 8.0f, 19.0f, 8.0f)
                close()
            }
        }
        .build()
        return _phoneVolumeSolid!!
    }

private var _phoneVolumeSolid: ImageVector? = null
