package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.PiggyBankSolid: ImageVector
    get() {
        if (_piggyBankSolid != null) {
            return _piggyBankSolid!!
        }
        _piggyBankSolid = Builder(name = "PiggyBankSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.5f, 4.0f)
                curveTo(11.0273f, 4.0f, 9.0f, 6.0273f, 9.0f, 8.5f)
                curveTo(9.0f, 9.3008f, 9.2266f, 10.043f, 9.5938f, 10.6875f)
                curveTo(7.793f, 11.7422f, 6.3828f, 13.2383f, 5.625f, 15.0f)
                lineTo(5.5f, 15.0f)
                curveTo(5.2148f, 15.0f, 5.0f, 14.7852f, 5.0f, 14.5f)
                curveTo(5.0f, 14.3242f, 5.0898f, 14.1836f, 5.2188f, 14.0938f)
                lineTo(4.0625f, 12.4688f)
                curveTo(3.418f, 12.9219f, 3.0f, 13.6602f, 3.0f, 14.5f)
                curveTo(3.0f, 15.7305f, 3.918f, 16.7383f, 5.0938f, 16.9375f)
                curveTo(5.043f, 17.2891f, 5.0f, 17.6367f, 5.0f, 18.0f)
                curveTo(5.0f, 20.4922f, 6.3242f, 22.6523f, 8.25f, 24.25f)
                curveTo(8.0078f, 25.25f, 8.1289f, 26.3164f, 8.9063f, 27.0938f)
                curveTo(10.0898f, 28.2773f, 12.0352f, 28.2773f, 13.2188f, 27.0938f)
                lineTo(13.5938f, 26.7188f)
                curveTo(14.375f, 26.8633f, 15.1602f, 27.0f, 16.0f, 27.0f)
                curveTo(16.8398f, 27.0f, 17.625f, 26.8633f, 18.4063f, 26.7188f)
                lineTo(18.7813f, 27.0938f)
                curveTo(19.9648f, 28.2773f, 21.9102f, 28.2773f, 23.0938f, 27.0938f)
                curveTo(23.8555f, 26.332f, 23.9688f, 25.2969f, 23.75f, 24.3125f)
                curveTo(24.5664f, 23.6445f, 25.2461f, 22.8711f, 25.7813f, 22.0f)
                lineTo(28.0f, 22.0f)
                lineTo(28.0f, 14.0f)
                lineTo(25.7188f, 14.0f)
                curveTo(25.3594f, 13.418f, 24.9297f, 12.8672f, 24.4375f, 12.375f)
                lineTo(25.0f, 9.2813f)
                lineTo(25.0f, 8.0f)
                lineTo(24.0f, 8.0f)
                curveTo(24.0f, 8.0f, 21.5977f, 8.0391f, 19.5625f, 9.5625f)
                curveTo(19.0313f, 9.4102f, 18.4961f, 9.2852f, 17.9375f, 9.1875f)
                curveTo(17.9766f, 8.9648f, 18.0f, 8.7344f, 18.0f, 8.5f)
                curveTo(18.0f, 6.0273f, 15.9727f, 4.0f, 13.5f, 4.0f)
                close()
                moveTo(13.5f, 6.0f)
                curveTo(14.8906f, 6.0f, 16.0f, 7.1094f, 16.0f, 8.5f)
                curveTo(16.0f, 8.6719f, 15.9688f, 8.8359f, 15.9375f, 9.0f)
                curveTo(14.3242f, 9.0078f, 12.8008f, 9.3203f, 11.4063f, 9.8438f)
                curveTo(11.1484f, 9.4531f, 11.0f, 8.9961f, 11.0f, 8.5f)
                curveTo(11.0f, 7.1094f, 12.1094f, 6.0f, 13.5f, 6.0f)
                close()
                moveTo(22.75f, 10.1875f)
                curveTo(22.7656f, 10.1836f, 22.7656f, 10.1914f, 22.7813f, 10.1875f)
                lineTo(22.4063f, 12.4688f)
                lineTo(22.3125f, 13.0f)
                lineTo(22.75f, 13.375f)
                curveTo(23.4492f, 13.9922f, 23.9922f, 14.6836f, 24.375f, 15.4375f)
                lineTo(24.6563f, 16.0f)
                lineTo(26.0f, 16.0f)
                lineTo(26.0f, 20.0f)
                lineTo(24.6563f, 20.0f)
                lineTo(24.375f, 20.5625f)
                curveTo(23.8867f, 21.5273f, 23.1172f, 22.375f, 22.125f, 23.0938f)
                lineTo(21.4063f, 23.625f)
                lineTo(21.8438f, 24.4375f)
                curveTo(22.082f, 24.8398f, 22.0391f, 25.3359f, 21.6875f, 25.6875f)
                curveTo(21.2695f, 26.1055f, 20.6367f, 26.1055f, 20.2188f, 25.6875f)
                lineTo(19.5f, 24.9688f)
                lineTo(19.0938f, 24.5938f)
                lineTo(18.5625f, 24.7188f)
                curveTo(17.75f, 24.9063f, 16.8867f, 25.0f, 16.0f, 25.0f)
                curveTo(15.1133f, 25.0f, 14.2539f, 24.9063f, 13.4375f, 24.7188f)
                lineTo(12.9063f, 24.5938f)
                lineTo(12.5f, 24.9688f)
                lineTo(11.7813f, 25.6875f)
                curveTo(11.3633f, 26.1055f, 10.7305f, 26.1055f, 10.3125f, 25.6875f)
                curveTo(9.9609f, 25.3359f, 9.918f, 24.8398f, 10.1563f, 24.4375f)
                lineTo(10.5938f, 23.625f)
                lineTo(9.875f, 23.0938f)
                curveTo(8.0664f, 21.7813f, 7.0f, 19.9883f, 7.0f, 18.0f)
                curveTo(7.0f, 14.2578f, 10.9102f, 11.0f, 16.0f, 11.0f)
                curveTo(17.2305f, 11.0f, 18.4023f, 11.1836f, 19.4688f, 11.5313f)
                lineTo(20.0f, 11.7188f)
                lineTo(20.4375f, 11.3438f)
                curveTo(21.1523f, 10.707f, 22.0352f, 10.3633f, 22.75f, 10.1875f)
                close()
                moveTo(22.0f, 16.0f)
                curveTo(21.4492f, 16.0f, 21.0f, 16.4492f, 21.0f, 17.0f)
                curveTo(21.0f, 17.5508f, 21.4492f, 18.0f, 22.0f, 18.0f)
                curveTo(22.5508f, 18.0f, 23.0f, 17.5508f, 23.0f, 17.0f)
                curveTo(23.0f, 16.4492f, 22.5508f, 16.0f, 22.0f, 16.0f)
                close()
            }
        }
        .build()
        return _piggyBankSolid!!
    }

private var _piggyBankSolid: ImageVector? = null
