package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.QuidditchSolid: ImageVector
    get() {
        if (_quidditchSolid != null) {
            return _quidditchSolid!!
        }
        _quidditchSolid = Builder(name = "QuidditchSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(28.4023f, 5.2031f)
                lineTo(17.8398f, 13.1191f)
                lineTo(17.4102f, 12.5469f)
                lineTo(17.4063f, 12.5469f)
                lineTo(16.3613f, 11.1602f)
                lineTo(14.7637f, 12.3633f)
                lineTo(15.1582f, 12.8867f)
                lineTo(10.6152f, 13.5703f)
                curveTo(8.5702f, 13.8953f, 6.7596f, 14.9875f, 5.5176f, 16.6445f)
                lineTo(3.0f, 20.0f)
                lineTo(4.6914f, 20.0f)
                curveTo(3.5274f, 21.447f, 2.6854f, 23.1352f, 2.2324f, 24.9492f)
                lineTo(1.7207f, 27.0f)
                lineTo(8.8438f, 27.0f)
                curveTo(12.3468f, 27.0f, 15.5043f, 24.7878f, 16.6973f, 21.5098f)
                lineTo(18.3613f, 17.1367f)
                lineTo(18.7188f, 17.6113f)
                lineTo(20.3145f, 16.4082f)
                lineTo(19.041f, 14.7168f)
                lineTo(29.6016f, 6.8027f)
                lineTo(28.4023f, 5.2031f)
                close()
                moveTo(16.5254f, 14.7012f)
                lineTo(16.9375f, 15.25f)
                lineTo(14.8223f, 20.8125f)
                curveTo(13.9103f, 23.3175f, 11.5087f, 25.0f, 8.8438f, 25.0f)
                lineTo(4.2891f, 25.0f)
                curveTo(4.8031f, 23.257f, 5.7462f, 21.6669f, 7.0332f, 20.3809f)
                lineTo(9.4121f, 18.0f)
                lineTo(7.0f, 18.0f)
                lineTo(7.1152f, 17.8438f)
                curveTo(8.0452f, 16.6047f, 9.4009f, 15.7889f, 10.9219f, 15.5469f)
                lineTo(16.5254f, 14.7012f)
                close()
                moveTo(23.5f, 20.0f)
                curveTo(21.57f, 20.0f, 20.0f, 21.57f, 20.0f, 23.5f)
                curveTo(20.0f, 25.43f, 21.57f, 27.0f, 23.5f, 27.0f)
                curveTo(25.43f, 27.0f, 27.0f, 25.43f, 27.0f, 23.5f)
                curveTo(27.0f, 21.57f, 25.43f, 20.0f, 23.5f, 20.0f)
                close()
                moveTo(23.5f, 22.0f)
                curveTo(24.327f, 22.0f, 25.0f, 22.673f, 25.0f, 23.5f)
                curveTo(25.0f, 24.327f, 24.327f, 25.0f, 23.5f, 25.0f)
                curveTo(22.673f, 25.0f, 22.0f, 24.327f, 22.0f, 23.5f)
                curveTo(22.0f, 22.673f, 22.673f, 22.0f, 23.5f, 22.0f)
                close()
            }
        }
        .build()
        return _quidditchSolid!!
    }

private var _quidditchSolid: ImageVector? = null
