package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.QuranSolid: ImageVector
    get() {
        if (_quranSolid != null) {
            return _quranSolid!!
        }
        _quranSolid = Builder(name = "QuranSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.0f, 3.0f)
                curveTo(6.3555f, 3.0f, 5.0f, 4.3555f, 5.0f, 6.0f)
                lineTo(5.0f, 26.0f)
                curveTo(5.0f, 27.6445f, 6.3555f, 29.0f, 8.0f, 29.0f)
                lineTo(27.0f, 29.0f)
                lineTo(27.0f, 3.0f)
                close()
                moveTo(8.0f, 5.0f)
                lineTo(25.0f, 5.0f)
                lineTo(25.0f, 23.0f)
                lineTo(8.0f, 23.0f)
                curveTo(7.6484f, 23.0f, 7.3164f, 23.0742f, 7.0f, 23.1875f)
                lineTo(7.0f, 6.0f)
                curveTo(7.0f, 5.4336f, 7.4336f, 5.0f, 8.0f, 5.0f)
                close()
                moveTo(8.0f, 6.0f)
                lineTo(8.0f, 22.0f)
                lineTo(24.0f, 22.0f)
                lineTo(24.0f, 6.0f)
                close()
                moveTo(10.0f, 8.0f)
                lineTo(22.0f, 8.0f)
                lineTo(22.0f, 20.0f)
                lineTo(10.0f, 20.0f)
                close()
                moveTo(16.0f, 9.0f)
                curveTo(15.4492f, 9.0f, 15.0f, 9.4492f, 15.0f, 10.0f)
                curveTo(15.0f, 10.5508f, 15.4492f, 11.0f, 16.0f, 11.0f)
                curveTo(16.5508f, 11.0f, 17.0f, 10.5508f, 17.0f, 10.0f)
                curveTo(17.0f, 9.4492f, 16.5508f, 9.0f, 16.0f, 9.0f)
                close()
                moveTo(16.0f, 11.0f)
                lineTo(13.0f, 11.0f)
                lineTo(13.0f, 17.0f)
                lineTo(19.0f, 17.0f)
                lineTo(19.0f, 11.0f)
                close()
                moveTo(19.0f, 14.0f)
                curveTo(19.0f, 14.5508f, 19.4492f, 15.0f, 20.0f, 15.0f)
                curveTo(20.5508f, 15.0f, 21.0f, 14.5508f, 21.0f, 14.0f)
                curveTo(21.0f, 13.4492f, 20.5508f, 13.0f, 20.0f, 13.0f)
                curveTo(19.4492f, 13.0f, 19.0f, 13.4492f, 19.0f, 14.0f)
                close()
                moveTo(16.0f, 17.0f)
                curveTo(15.4492f, 17.0f, 15.0f, 17.4492f, 15.0f, 18.0f)
                curveTo(15.0f, 18.5508f, 15.4492f, 19.0f, 16.0f, 19.0f)
                curveTo(16.5508f, 19.0f, 17.0f, 18.5508f, 17.0f, 18.0f)
                curveTo(17.0f, 17.4492f, 16.5508f, 17.0f, 16.0f, 17.0f)
                close()
                moveTo(13.0f, 14.0f)
                curveTo(13.0f, 13.4492f, 12.5508f, 13.0f, 12.0f, 13.0f)
                curveTo(11.4492f, 13.0f, 11.0f, 13.4492f, 11.0f, 14.0f)
                curveTo(11.0f, 14.5508f, 11.4492f, 15.0f, 12.0f, 15.0f)
                curveTo(12.5508f, 15.0f, 13.0f, 14.5508f, 13.0f, 14.0f)
                close()
                moveTo(15.0f, 13.0f)
                lineTo(17.0f, 13.0f)
                lineTo(17.0f, 15.0f)
                lineTo(15.0f, 15.0f)
                close()
                moveTo(8.0f, 25.0f)
                lineTo(25.0f, 25.0f)
                lineTo(25.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                curveTo(7.4336f, 27.0f, 7.0f, 26.5664f, 7.0f, 26.0f)
                curveTo(7.0f, 25.4336f, 7.4336f, 25.0f, 8.0f, 25.0f)
                close()
            }
        }
        .build()
        return _quranSolid!!
    }

private var _quranSolid: ImageVector? = null
