package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.RedditSquare: ImageVector
    get() {
        if (_redditSquare != null) {
            return _redditSquare!!
        }
        _redditSquare = Builder(name = "RedditSquare", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.0f, 5.0f)
                lineTo(5.0f, 27.0f)
                lineTo(27.0f, 27.0f)
                lineTo(27.0f, 5.0f)
                lineTo(5.0f, 5.0f)
                close()
                moveTo(7.0f, 7.0f)
                lineTo(25.0f, 7.0f)
                lineTo(25.0f, 25.0f)
                lineTo(7.0f, 25.0f)
                lineTo(7.0f, 7.0f)
                close()
                moveTo(17.0586f, 8.9941f)
                curveTo(16.8806f, 8.9641f, 16.7041f, 9.0817f, 16.6621f, 9.2617f)
                lineTo(15.7988f, 13.0078f)
                curveTo(14.1288f, 13.0498f, 12.6341f, 13.6018f, 11.5801f, 14.4648f)
                curveTo(11.3071f, 14.1798f, 10.926f, 14.0f, 10.5f, 14.0f)
                curveTo(9.672f, 14.0f, 9.0f, 14.672f, 9.0f, 15.5f)
                curveTo(9.0f, 16.172f, 9.4457f, 16.7348f, 10.0547f, 16.9258f)
                curveTo(10.0227f, 17.1148f, 10.0f, 17.305f, 10.0f, 17.5f)
                curveTo(10.0f, 19.985f, 12.686f, 22.0f, 16.0f, 22.0f)
                curveTo(19.314f, 22.0f, 22.0f, 19.985f, 22.0f, 17.5f)
                curveTo(22.0f, 17.305f, 21.9773f, 17.1148f, 21.9453f, 16.9258f)
                curveTo(22.5543f, 16.7348f, 23.0f, 16.172f, 23.0f, 15.5f)
                curveTo(23.0f, 14.672f, 22.328f, 14.0f, 21.5f, 14.0f)
                curveTo(21.074f, 14.0f, 20.6929f, 14.1798f, 20.4199f, 14.4648f)
                curveTo(19.4319f, 13.6558f, 18.0567f, 13.1175f, 16.5137f, 13.0195f)
                lineTo(17.2695f, 9.7383f)
                lineTo(20.0391f, 10.1953f)
                curveTo(20.1321f, 10.6503f, 20.517f, 11.0f, 21.0f, 11.0f)
                curveTo(21.552f, 11.0f, 22.0f, 10.552f, 22.0f, 10.0f)
                curveTo(22.0f, 9.448f, 21.552f, 9.0f, 21.0f, 9.0f)
                curveTo(20.632f, 9.0f, 20.3244f, 9.2089f, 20.1504f, 9.5059f)
                lineTo(17.0586f, 8.9941f)
                close()
                moveTo(13.0918f, 15.8184f)
                curveTo(13.6948f, 15.8184f, 14.1816f, 16.3052f, 14.1816f, 16.9082f)
                curveTo(14.1816f, 17.5112f, 13.6938f, 18.0f, 13.0918f, 18.0f)
                curveTo(12.4898f, 18.0f, 12.0f, 17.5112f, 12.0f, 16.9082f)
                curveTo(12.0f, 16.3062f, 12.4888f, 15.8184f, 13.0918f, 15.8184f)
                close()
                moveTo(18.9082f, 15.8184f)
                curveTo(19.5112f, 15.8184f, 20.0f, 16.3062f, 20.0f, 16.9082f)
                curveTo(20.0f, 17.5102f, 19.5112f, 18.0f, 18.9082f, 18.0f)
                curveTo(18.3062f, 18.0f, 17.8184f, 17.5112f, 17.8184f, 16.9082f)
                curveTo(17.8184f, 16.3052f, 18.3052f, 15.8184f, 18.9082f, 15.8184f)
                close()
                moveTo(13.4727f, 19.0215f)
                curveTo(13.562f, 19.0146f, 13.6541f, 19.0425f, 13.7266f, 19.1055f)
                curveTo(14.8806f, 20.0935f, 17.1175f, 20.0935f, 18.2715f, 19.1055f)
                curveTo(18.4175f, 18.9805f, 18.6396f, 18.9956f, 18.7656f, 19.1426f)
                curveTo(18.8916f, 19.2896f, 18.8755f, 19.5107f, 18.7285f, 19.6367f)
                curveTo(18.0275f, 20.2387f, 17.033f, 20.584f, 16.0f, 20.584f)
                curveTo(14.967f, 20.584f, 13.9735f, 20.2387f, 13.2715f, 19.6367f)
                curveTo(13.1245f, 19.5107f, 13.1084f, 19.2896f, 13.2344f, 19.1426f)
                curveTo(13.2974f, 19.0691f, 13.3833f, 19.0284f, 13.4727f, 19.0215f)
                close()
            }
        }
        .build()
        return _redditSquare!!
    }

private var _redditSquare: ImageVector? = null
