package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.RepublicanSolid: ImageVector
    get() {
        if (_republicanSolid != null) {
            return _republicanSolid!!
        }
        _republicanSolid = Builder(name = "RepublicanSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 7.0f)
                curveTo(6.686f, 7.0f, 4.0f, 9.686f, 4.0f, 13.0f)
                lineTo(4.0f, 16.0f)
                lineTo(26.0f, 16.0f)
                lineTo(26.0f, 13.0f)
                curveTo(26.0f, 9.686f, 23.314f, 7.0f, 20.0f, 7.0f)
                lineTo(10.0f, 7.0f)
                close()
                moveTo(15.0137f, 10.1484f)
                curveTo(15.102f, 10.1484f, 15.1926f, 10.1899f, 15.2441f, 10.2734f)
                lineTo(15.7188f, 11.2754f)
                lineTo(16.8242f, 11.4414f)
                curveTo(17.0152f, 11.4674f, 17.1052f, 11.7118f, 16.9512f, 11.8398f)
                lineTo(16.1543f, 12.623f)
                lineTo(16.3359f, 13.7168f)
                curveTo(16.3749f, 13.9228f, 16.182f, 14.0627f, 16.002f, 13.9727f)
                lineTo(15.0117f, 13.459f)
                lineTo(14.0234f, 13.9727f)
                curveTo(13.8564f, 14.0627f, 13.6515f, 13.9228f, 13.6895f, 13.7168f)
                lineTo(13.8691f, 12.623f)
                lineTo(13.0723f, 11.8398f)
                curveTo(12.9313f, 11.7108f, 13.0098f, 11.4664f, 13.2148f, 11.4414f)
                lineTo(14.3066f, 11.2754f)
                lineTo(14.7949f, 10.2734f)
                curveTo(14.8399f, 10.1899f, 14.9253f, 10.1484f, 15.0137f, 10.1484f)
                close()
                moveTo(9.0039f, 10.1621f)
                curveTo(9.0903f, 10.1621f, 9.1762f, 10.2022f, 9.2207f, 10.2852f)
                lineTo(9.707f, 11.2832f)
                lineTo(10.8086f, 11.4492f)
                curveTo(11.0016f, 11.4752f, 11.0648f, 11.7197f, 10.9238f, 11.8477f)
                lineTo(10.1309f, 12.6289f)
                lineTo(10.3223f, 13.7168f)
                curveTo(10.3603f, 13.9218f, 10.1436f, 14.0627f, 9.9766f, 13.9727f)
                lineTo(9.0039f, 13.4609f)
                lineTo(8.0176f, 13.9727f)
                curveTo(7.8386f, 14.0627f, 7.6469f, 13.9218f, 7.6719f, 13.7168f)
                lineTo(7.8633f, 12.6289f)
                lineTo(7.0703f, 11.8477f)
                curveTo(6.9163f, 11.7197f, 7.0053f, 11.4752f, 7.1973f, 11.4492f)
                lineTo(8.3008f, 11.2832f)
                lineTo(8.7852f, 10.2852f)
                curveTo(8.8302f, 10.2022f, 8.9175f, 10.1621f, 9.0039f, 10.1621f)
                close()
                moveTo(21.002f, 10.166f)
                curveTo(21.0882f, 10.166f, 21.179f, 10.208f, 21.2305f, 10.291f)
                lineTo(21.7168f, 11.2871f)
                lineTo(22.8027f, 11.4531f)
                curveTo(22.9927f, 11.4791f, 23.0827f, 11.7226f, 22.9297f, 11.8496f)
                lineTo(22.1367f, 12.6309f)
                lineTo(22.3281f, 13.7168f)
                curveTo(22.3541f, 13.9218f, 22.1614f, 14.0617f, 21.9824f, 13.9727f)
                lineTo(20.998f, 13.4629f)
                lineTo(20.0156f, 13.9727f)
                curveTo(19.8626f, 14.0617f, 19.6446f, 13.9218f, 19.6836f, 13.7168f)
                lineTo(19.8613f, 12.6309f)
                lineTo(19.082f, 11.8496f)
                curveTo(18.929f, 11.7216f, 19.0059f, 11.4781f, 19.2109f, 11.4531f)
                lineTo(20.3086f, 11.2871f)
                lineTo(20.7949f, 10.291f)
                curveTo(20.8334f, 10.208f, 20.9157f, 10.166f, 21.002f, 10.166f)
                close()
                moveTo(4.0f, 18.0f)
                lineTo(4.0f, 19.0f)
                lineTo(4.0f, 21.0f)
                lineTo(4.0f, 24.0f)
                curveTo(4.0f, 24.552f, 4.448f, 25.0f, 5.0f, 25.0f)
                lineTo(8.0f, 25.0f)
                curveTo(8.552f, 25.0f, 9.0f, 24.552f, 9.0f, 24.0f)
                lineTo(9.0f, 21.0f)
                lineTo(17.0f, 21.0f)
                lineTo(17.0f, 24.0f)
                curveTo(17.0f, 24.552f, 17.448f, 25.0f, 18.0f, 25.0f)
                lineTo(21.0f, 25.0f)
                curveTo(21.552f, 25.0f, 22.0f, 24.552f, 22.0f, 24.0f)
                lineTo(22.0f, 21.0f)
                lineTo(22.0f, 20.0f)
                lineTo(24.0f, 20.0f)
                lineTo(24.0f, 21.8828f)
                curveTo(24.0f, 23.3328f, 24.9783f, 24.6644f, 26.4023f, 24.9414f)
                curveTo(28.3173f, 25.3134f, 30.0f, 23.85f, 30.0f, 22.0f)
                lineTo(30.0f, 19.709f)
                curveTo(30.0f, 19.317f, 29.684f, 19.0f, 29.293f, 19.0f)
                lineTo(28.709f, 19.0f)
                curveTo(28.317f, 19.0f, 28.0f, 19.317f, 28.0f, 19.709f)
                lineTo(28.0f, 22.0f)
                curveTo(28.0f, 22.551f, 27.551f, 23.0f, 27.0f, 23.0f)
                curveTo(26.449f, 23.0f, 26.0f, 22.551f, 26.0f, 22.0f)
                lineTo(26.0f, 18.0f)
                lineTo(22.0f, 18.0f)
                lineTo(4.0f, 18.0f)
                close()
            }
        }
        .build()
        return _republicanSolid!!
    }

private var _republicanSolid: ImageVector? = null
