package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.RouteSolid: ImageVector
    get() {
        if (_routeSolid != null) {
            return _routeSolid!!
        }
        _routeSolid = Builder(name = "RouteSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.0f, 4.0f)
                curveTo(4.9063f, 4.0f, 4.0f, 4.9063f, 4.0f, 6.0f)
                curveTo(4.0f, 7.0938f, 4.9063f, 8.0f, 6.0f, 8.0f)
                curveTo(7.0938f, 8.0f, 8.0f, 7.0938f, 8.0f, 6.0f)
                curveTo(8.0f, 4.9063f, 7.0938f, 4.0f, 6.0f, 4.0f)
                close()
                moveTo(10.0f, 5.0f)
                curveTo(9.4492f, 5.0f, 9.0f, 5.4492f, 9.0f, 6.0f)
                curveTo(9.0f, 6.5508f, 9.4492f, 7.0f, 10.0f, 7.0f)
                curveTo(10.5508f, 7.0f, 11.0f, 6.5508f, 11.0f, 6.0f)
                curveTo(11.0f, 5.4492f, 10.5508f, 5.0f, 10.0f, 5.0f)
                close()
                moveTo(13.0f, 5.0f)
                curveTo(12.4492f, 5.0f, 12.0f, 5.4492f, 12.0f, 6.0f)
                curveTo(12.0f, 6.5508f, 12.4492f, 7.0f, 13.0f, 7.0f)
                curveTo(13.5508f, 7.0f, 14.0f, 6.5508f, 14.0f, 6.0f)
                curveTo(14.0f, 5.4492f, 13.5508f, 5.0f, 13.0f, 5.0f)
                close()
                moveTo(16.0f, 5.0f)
                curveTo(15.4492f, 5.0f, 15.0f, 5.4492f, 15.0f, 6.0f)
                curveTo(15.0f, 6.5508f, 15.4492f, 7.0f, 16.0f, 7.0f)
                curveTo(16.5508f, 7.0f, 17.0f, 6.5508f, 17.0f, 6.0f)
                curveTo(17.0f, 5.4492f, 16.5508f, 5.0f, 16.0f, 5.0f)
                close()
                moveTo(19.0f, 5.0f)
                curveTo(18.4492f, 5.0f, 18.0f, 5.4492f, 18.0f, 6.0f)
                curveTo(18.0f, 6.5508f, 18.4492f, 7.0f, 19.0f, 7.0f)
                curveTo(19.5508f, 7.0f, 20.0f, 6.5508f, 20.0f, 6.0f)
                curveTo(20.0f, 5.4492f, 19.5508f, 5.0f, 19.0f, 5.0f)
                close()
                moveTo(22.0f, 5.0f)
                curveTo(21.4492f, 5.0f, 21.0f, 5.4492f, 21.0f, 6.0f)
                curveTo(21.0f, 6.5508f, 21.4492f, 7.0f, 22.0f, 7.0f)
                curveTo(22.5508f, 7.0f, 23.0f, 6.5508f, 23.0f, 6.0f)
                curveTo(23.0f, 5.4492f, 22.5508f, 5.0f, 22.0f, 5.0f)
                close()
                moveTo(25.0f, 5.0f)
                curveTo(24.4492f, 5.0f, 24.0f, 5.4492f, 24.0f, 6.0f)
                curveTo(24.0f, 6.5508f, 24.4492f, 7.0f, 25.0f, 7.0f)
                curveTo(25.5508f, 7.0f, 26.0f, 6.5508f, 26.0f, 6.0f)
                curveTo(26.0f, 5.4492f, 25.5508f, 5.0f, 25.0f, 5.0f)
                close()
                moveTo(27.0f, 7.0f)
                curveTo(26.4492f, 7.0f, 26.0f, 7.4492f, 26.0f, 8.0f)
                curveTo(26.0f, 8.5508f, 26.4492f, 9.0f, 27.0f, 9.0f)
                curveTo(27.5508f, 9.0f, 28.0f, 8.5508f, 28.0f, 8.0f)
                curveTo(28.0f, 7.4492f, 27.5508f, 7.0f, 27.0f, 7.0f)
                close()
                moveTo(16.0f, 10.0f)
                curveTo(14.3477f, 10.0f, 13.0f, 11.3477f, 13.0f, 13.0f)
                curveTo(13.0f, 14.25f, 14.6133f, 17.4922f, 15.1094f, 18.457f)
                lineTo(16.0f, 20.1875f)
                lineTo(16.8906f, 18.457f)
                curveTo(17.3867f, 17.4922f, 19.0f, 14.25f, 19.0f, 13.0f)
                curveTo(19.0f, 11.3477f, 17.6523f, 10.0f, 16.0f, 10.0f)
                close()
                moveTo(27.0f, 10.0f)
                curveTo(26.4492f, 10.0f, 26.0f, 10.4492f, 26.0f, 11.0f)
                curveTo(26.0f, 11.5508f, 26.4492f, 12.0f, 27.0f, 12.0f)
                curveTo(27.5508f, 12.0f, 28.0f, 11.5508f, 28.0f, 11.0f)
                curveTo(28.0f, 10.4492f, 27.5508f, 10.0f, 27.0f, 10.0f)
                close()
                moveTo(16.0f, 12.0f)
                curveTo(16.5508f, 12.0f, 17.0f, 12.4492f, 17.0f, 13.0f)
                curveTo(17.0f, 13.5508f, 16.5508f, 14.0f, 16.0f, 14.0f)
                curveTo(15.4492f, 14.0f, 15.0f, 13.5508f, 15.0f, 13.0f)
                curveTo(15.0f, 12.4492f, 15.4492f, 12.0f, 16.0f, 12.0f)
                close()
                moveTo(27.0f, 13.0f)
                curveTo(26.4492f, 13.0f, 26.0f, 13.4492f, 26.0f, 14.0f)
                curveTo(26.0f, 14.5508f, 26.4492f, 15.0f, 27.0f, 15.0f)
                curveTo(27.5508f, 15.0f, 28.0f, 14.5508f, 28.0f, 14.0f)
                curveTo(28.0f, 13.4492f, 27.5508f, 13.0f, 27.0f, 13.0f)
                close()
                moveTo(27.0f, 16.0f)
                curveTo(26.4492f, 16.0f, 26.0f, 16.4492f, 26.0f, 17.0f)
                curveTo(26.0f, 17.5508f, 26.4492f, 18.0f, 27.0f, 18.0f)
                curveTo(27.5508f, 18.0f, 28.0f, 17.5508f, 28.0f, 17.0f)
                curveTo(28.0f, 16.4492f, 27.5508f, 16.0f, 27.0f, 16.0f)
                close()
                moveTo(7.0f, 18.0f)
                curveTo(6.4492f, 18.0f, 6.0f, 18.4492f, 6.0f, 19.0f)
                curveTo(6.0f, 19.5508f, 6.4492f, 20.0f, 7.0f, 20.0f)
                curveTo(7.5508f, 20.0f, 8.0f, 19.5508f, 8.0f, 19.0f)
                curveTo(8.0f, 18.4492f, 7.5508f, 18.0f, 7.0f, 18.0f)
                close()
                moveTo(10.0f, 18.0f)
                curveTo(9.4492f, 18.0f, 9.0f, 18.4492f, 9.0f, 19.0f)
                curveTo(9.0f, 19.5508f, 9.4492f, 20.0f, 10.0f, 20.0f)
                curveTo(10.5508f, 20.0f, 11.0f, 19.5508f, 11.0f, 19.0f)
                curveTo(11.0f, 18.4492f, 10.5508f, 18.0f, 10.0f, 18.0f)
                close()
                moveTo(13.0f, 18.0f)
                curveTo(12.4492f, 18.0f, 12.0f, 18.4492f, 12.0f, 19.0f)
                curveTo(12.0f, 19.5508f, 12.4492f, 20.0f, 13.0f, 20.0f)
                curveTo(13.5508f, 20.0f, 14.0f, 19.5508f, 14.0f, 19.0f)
                curveTo(14.0f, 18.4492f, 13.5508f, 18.0f, 13.0f, 18.0f)
                close()
                moveTo(19.0f, 18.0f)
                curveTo(18.4492f, 18.0f, 18.0f, 18.4492f, 18.0f, 19.0f)
                curveTo(18.0f, 19.5508f, 18.4492f, 20.0f, 19.0f, 20.0f)
                curveTo(19.5508f, 20.0f, 20.0f, 19.5508f, 20.0f, 19.0f)
                curveTo(20.0f, 18.4492f, 19.5508f, 18.0f, 19.0f, 18.0f)
                close()
                moveTo(22.0f, 18.0f)
                curveTo(21.4492f, 18.0f, 21.0f, 18.4492f, 21.0f, 19.0f)
                curveTo(21.0f, 19.5508f, 21.4492f, 20.0f, 22.0f, 20.0f)
                curveTo(22.5508f, 20.0f, 23.0f, 19.5508f, 23.0f, 19.0f)
                curveTo(23.0f, 18.4492f, 22.5508f, 18.0f, 22.0f, 18.0f)
                close()
                moveTo(25.0f, 18.0f)
                curveTo(24.4492f, 18.0f, 24.0f, 18.4492f, 24.0f, 19.0f)
                curveTo(24.0f, 19.5508f, 24.4492f, 20.0f, 25.0f, 20.0f)
                curveTo(25.5508f, 20.0f, 26.0f, 19.5508f, 26.0f, 19.0f)
                curveTo(26.0f, 18.4492f, 25.5508f, 18.0f, 25.0f, 18.0f)
                close()
                moveTo(5.0f, 20.0f)
                curveTo(4.4492f, 20.0f, 4.0f, 20.4492f, 4.0f, 21.0f)
                curveTo(4.0f, 21.5508f, 4.4492f, 22.0f, 5.0f, 22.0f)
                curveTo(5.5508f, 22.0f, 6.0f, 21.5508f, 6.0f, 21.0f)
                curveTo(6.0f, 20.4492f, 5.5508f, 20.0f, 5.0f, 20.0f)
                close()
                moveTo(5.0f, 23.0f)
                curveTo(4.4492f, 23.0f, 4.0f, 23.4492f, 4.0f, 24.0f)
                curveTo(4.0f, 24.5508f, 4.4492f, 25.0f, 5.0f, 25.0f)
                curveTo(5.5508f, 25.0f, 6.0f, 24.5508f, 6.0f, 24.0f)
                curveTo(6.0f, 23.4492f, 5.5508f, 23.0f, 5.0f, 23.0f)
                close()
                moveTo(26.0f, 24.0f)
                curveTo(24.9063f, 24.0f, 24.0f, 24.9063f, 24.0f, 26.0f)
                curveTo(24.0f, 27.0938f, 24.9063f, 28.0f, 26.0f, 28.0f)
                curveTo(27.0938f, 28.0f, 28.0f, 27.0938f, 28.0f, 26.0f)
                curveTo(28.0f, 24.9063f, 27.0938f, 24.0f, 26.0f, 24.0f)
                close()
                moveTo(7.0f, 25.0f)
                curveTo(6.4492f, 25.0f, 6.0f, 25.4492f, 6.0f, 26.0f)
                curveTo(6.0f, 26.5508f, 6.4492f, 27.0f, 7.0f, 27.0f)
                curveTo(7.5508f, 27.0f, 8.0f, 26.5508f, 8.0f, 26.0f)
                curveTo(8.0f, 25.4492f, 7.5508f, 25.0f, 7.0f, 25.0f)
                close()
                moveTo(10.0f, 25.0f)
                curveTo(9.4492f, 25.0f, 9.0f, 25.4492f, 9.0f, 26.0f)
                curveTo(9.0f, 26.5508f, 9.4492f, 27.0f, 10.0f, 27.0f)
                curveTo(10.5508f, 27.0f, 11.0f, 26.5508f, 11.0f, 26.0f)
                curveTo(11.0f, 25.4492f, 10.5508f, 25.0f, 10.0f, 25.0f)
                close()
                moveTo(13.0f, 25.0f)
                curveTo(12.4492f, 25.0f, 12.0f, 25.4492f, 12.0f, 26.0f)
                curveTo(12.0f, 26.5508f, 12.4492f, 27.0f, 13.0f, 27.0f)
                curveTo(13.5508f, 27.0f, 14.0f, 26.5508f, 14.0f, 26.0f)
                curveTo(14.0f, 25.4492f, 13.5508f, 25.0f, 13.0f, 25.0f)
                close()
                moveTo(16.0f, 25.0f)
                curveTo(15.4492f, 25.0f, 15.0f, 25.4492f, 15.0f, 26.0f)
                curveTo(15.0f, 26.5508f, 15.4492f, 27.0f, 16.0f, 27.0f)
                curveTo(16.5508f, 27.0f, 17.0f, 26.5508f, 17.0f, 26.0f)
                curveTo(17.0f, 25.4492f, 16.5508f, 25.0f, 16.0f, 25.0f)
                close()
                moveTo(19.0f, 25.0f)
                curveTo(18.4492f, 25.0f, 18.0f, 25.4492f, 18.0f, 26.0f)
                curveTo(18.0f, 26.5508f, 18.4492f, 27.0f, 19.0f, 27.0f)
                curveTo(19.5508f, 27.0f, 20.0f, 26.5508f, 20.0f, 26.0f)
                curveTo(20.0f, 25.4492f, 19.5508f, 25.0f, 19.0f, 25.0f)
                close()
                moveTo(22.0f, 25.0f)
                curveTo(21.4492f, 25.0f, 21.0f, 25.4492f, 21.0f, 26.0f)
                curveTo(21.0f, 26.5508f, 21.4492f, 27.0f, 22.0f, 27.0f)
                curveTo(22.5508f, 27.0f, 23.0f, 26.5508f, 23.0f, 26.0f)
                curveTo(23.0f, 25.4492f, 22.5508f, 25.0f, 22.0f, 25.0f)
                close()
            }
        }
        .build()
        return _routeSolid!!
    }

private var _routeSolid: ImageVector? = null
