package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Salesforce: ImageVector
    get() {
        if (_salesforce != null) {
            return _salesforce!!
        }
        _salesforce = Builder(name = "Salesforce", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 6.0f)
                curveTo(6.1445f, 6.0f, 3.0f, 9.1445f, 3.0f, 13.0f)
                curveTo(3.0f, 13.4219f, 3.0742f, 13.8125f, 3.1484f, 14.2031f)
                curveTo(2.4688f, 15.2031f, 2.0f, 16.375f, 2.0f, 17.6875f)
                curveTo(2.0f, 21.1328f, 4.793f, 23.9336f, 8.2266f, 23.9844f)
                curveTo(9.4844f, 25.1836f, 11.1289f, 26.0f, 13.0f, 26.0f)
                curveTo(14.9219f, 26.0f, 16.5977f, 25.1406f, 17.8633f, 23.8867f)
                curveTo(17.9219f, 23.8906f, 17.9297f, 23.8945f, 18.0f, 23.8945f)
                curveTo(19.5977f, 23.8945f, 20.8984f, 23.0234f, 21.7891f, 21.8398f)
                curveTo(22.1875f, 21.9102f, 22.5781f, 22.0f, 23.0f, 22.0f)
                curveTo(26.8555f, 22.0f, 30.0f, 18.8555f, 30.0f, 15.0f)
                curveTo(30.0f, 11.1445f, 26.8555f, 8.0f, 23.0f, 8.0f)
                curveTo(22.3047f, 8.0f, 21.6641f, 8.1797f, 21.0313f, 8.3672f)
                curveTo(19.8867f, 7.543f, 18.5156f, 7.0f, 17.0f, 7.0f)
                curveTo(16.0547f, 7.0f, 15.2031f, 7.3125f, 14.375f, 7.6563f)
                curveTo(13.1719f, 6.668f, 11.6797f, 6.0f, 10.0f, 6.0f)
                close()
                moveTo(10.0f, 8.0f)
                curveTo(11.3633f, 8.0f, 12.582f, 8.5391f, 13.4844f, 9.4219f)
                lineTo(14.0078f, 9.9297f)
                lineTo(14.6523f, 9.5859f)
                curveTo(15.3516f, 9.2109f, 16.1484f, 9.0f, 17.0f, 9.0f)
                curveTo(18.2266f, 9.0f, 19.3398f, 9.4375f, 20.207f, 10.168f)
                lineTo(20.6602f, 10.5469f)
                lineTo(21.2109f, 10.3359f)
                curveTo(21.7734f, 10.1211f, 22.3711f, 10.0f, 23.0f, 10.0f)
                curveTo(25.7734f, 10.0f, 28.0f, 12.2266f, 28.0f, 15.0f)
                curveTo(28.0f, 17.7734f, 25.7734f, 20.0f, 23.0f, 20.0f)
                curveTo(22.5586f, 20.0f, 22.125f, 19.9336f, 21.7031f, 19.8242f)
                lineTo(20.9258f, 19.6133f)
                lineTo(20.5586f, 20.3281f)
                curveTo(20.0703f, 21.2617f, 19.1211f, 21.8945f, 18.0f, 21.8945f)
                curveTo(17.9922f, 21.8945f, 17.8984f, 21.8828f, 17.6992f, 21.8594f)
                lineTo(17.1719f, 21.8086f)
                lineTo(16.8281f, 22.2148f)
                curveTo(15.9102f, 23.3047f, 14.543f, 24.0f, 13.0f, 24.0f)
                curveTo(11.5078f, 24.0f, 10.1836f, 23.3477f, 9.2656f, 22.3125f)
                lineTo(8.9492f, 21.957f)
                lineTo(8.4766f, 21.9805f)
                curveTo(8.2617f, 21.9883f, 8.2109f, 22.0f, 8.3125f, 22.0f)
                curveTo(5.918f, 22.0f, 4.0f, 20.082f, 4.0f, 17.6875f)
                curveTo(4.0f, 16.6797f, 4.3594f, 15.7656f, 4.9531f, 15.0195f)
                lineTo(5.2578f, 14.6406f)
                lineTo(5.1406f, 14.168f)
                curveTo(5.0508f, 13.7813f, 5.0f, 13.3945f, 5.0f, 13.0f)
                curveTo(5.0f, 10.2266f, 7.2266f, 8.0f, 10.0f, 8.0f)
                close()
                moveTo(11.2656f, 13.0f)
                curveTo(11.2461f, 13.0f, 11.2305f, 13.0156f, 11.2305f, 13.0391f)
                lineTo(11.2305f, 15.957f)
                curveTo(11.2305f, 15.9805f, 11.2461f, 16.0f, 11.2656f, 16.0f)
                lineTo(11.6055f, 16.0f)
                curveTo(11.6289f, 16.0f, 11.6406f, 15.9805f, 11.6406f, 15.957f)
                lineTo(11.6406f, 13.0391f)
                curveTo(11.6406f, 13.0195f, 11.625f, 13.0f, 11.6055f, 13.0f)
                close()
                moveTo(17.1992f, 13.0f)
                curveTo(16.957f, 13.0f, 16.7695f, 13.0664f, 16.6367f, 13.2031f)
                curveTo(16.5039f, 13.3359f, 16.4102f, 13.5625f, 16.3633f, 13.8281f)
                lineTo(16.3398f, 14.0f)
                lineTo(16.0391f, 14.0f)
                curveTo(16.0391f, 14.0f, 16.0f, 14.0117f, 15.9961f, 14.0508f)
                lineTo(15.9453f, 14.3281f)
                curveTo(15.9414f, 14.3516f, 15.9531f, 14.3711f, 15.9883f, 14.3711f)
                lineTo(16.2813f, 14.3711f)
                lineTo(15.9883f, 16.0039f)
                curveTo(15.9648f, 16.1406f, 15.9375f, 16.25f, 15.9063f, 16.332f)
                curveTo(15.8789f, 16.4141f, 15.8516f, 16.4766f, 15.8164f, 16.5195f)
                curveTo(15.7813f, 16.5664f, 15.75f, 16.5977f, 15.6953f, 16.6133f)
                curveTo(15.6484f, 16.6289f, 15.5977f, 16.6367f, 15.5391f, 16.6367f)
                curveTo(15.5078f, 16.6367f, 15.4648f, 16.6328f, 15.4336f, 16.625f)
                curveTo(15.4023f, 16.6172f, 15.3867f, 16.6133f, 15.3594f, 16.6016f)
                curveTo(15.3594f, 16.6016f, 15.3281f, 16.5898f, 15.3125f, 16.625f)
                curveTo(15.3008f, 16.6523f, 15.2227f, 16.8672f, 15.2148f, 16.8906f)
                curveTo(15.207f, 16.918f, 15.2188f, 16.9375f, 15.2344f, 16.9453f)
                curveTo(15.2734f, 16.9609f, 15.3047f, 16.9688f, 15.3594f, 16.9805f)
                curveTo(15.4297f, 17.0f, 15.4922f, 17.0f, 15.5469f, 17.0f)
                curveTo(15.6719f, 17.0f, 15.7813f, 16.9805f, 15.875f, 16.9492f)
                curveTo(15.9688f, 16.9141f, 16.0469f, 16.8594f, 16.1211f, 16.7813f)
                curveTo(16.1953f, 16.6953f, 16.2461f, 16.6055f, 16.293f, 16.4844f)
                curveTo(16.3398f, 16.3633f, 16.375f, 16.2109f, 16.4063f, 16.0352f)
                lineTo(16.7031f, 14.3711f)
                lineTo(17.1406f, 14.3711f)
                curveTo(17.1406f, 14.3711f, 17.1797f, 14.3711f, 17.1875f, 14.3281f)
                lineTo(17.2344f, 14.0547f)
                curveTo(17.2383f, 14.0273f, 17.2266f, 14.0f, 17.1914f, 14.0f)
                lineTo(16.7695f, 14.0f)
                curveTo(16.7734f, 13.9922f, 16.8008f, 13.7344f, 16.8516f, 13.5938f)
                curveTo(16.8711f, 13.5352f, 16.9102f, 13.4844f, 16.9414f, 13.4531f)
                curveTo(16.9766f, 13.418f, 17.0156f, 13.3945f, 17.0547f, 13.3828f)
                curveTo(17.0977f, 13.3711f, 17.1445f, 13.3633f, 17.1992f, 13.3633f)
                curveTo(17.2383f, 13.3633f, 17.2773f, 13.3672f, 17.3086f, 13.375f)
                curveTo(17.3477f, 13.3828f, 17.3633f, 13.3867f, 17.375f, 13.3906f)
                curveTo(17.418f, 13.4023f, 17.4219f, 13.3906f, 17.4336f, 13.3711f)
                lineTo(17.5313f, 13.0938f)
                curveTo(17.543f, 13.0625f, 17.5195f, 13.0508f, 17.5117f, 13.0469f)
                curveTo(17.4688f, 13.0313f, 17.4297f, 13.0234f, 17.3789f, 13.0156f)
                curveTo(17.3281f, 13.0039f, 17.2656f, 13.0f, 17.1992f, 13.0f)
                close()
                moveTo(8.0234f, 14.0f)
                curveTo(7.5898f, 14.0f, 7.2891f, 14.2422f, 7.2891f, 14.5859f)
                lineTo(7.2891f, 14.5938f)
                curveTo(7.2891f, 14.9531f, 7.6211f, 15.0742f, 7.9336f, 15.1563f)
                lineTo(7.9844f, 15.1719f)
                curveTo(8.2109f, 15.2344f, 8.4063f, 15.2891f, 8.4063f, 15.4375f)
                lineTo(8.4063f, 15.4414f)
                curveTo(8.4063f, 15.5781f, 8.2773f, 15.6758f, 8.0742f, 15.6758f)
                curveTo(7.9961f, 15.6758f, 7.7422f, 15.6758f, 7.4688f, 15.5156f)
                curveTo(7.4336f, 15.5f, 7.4141f, 15.4883f, 7.3906f, 15.4727f)
                curveTo(7.375f, 15.4648f, 7.3438f, 15.4531f, 7.3281f, 15.4922f)
                lineTo(7.2344f, 15.7305f)
                curveTo(7.2188f, 15.7656f, 7.2383f, 15.7734f, 7.2422f, 15.7813f)
                curveTo(7.2891f, 15.8086f, 7.332f, 15.8281f, 7.375f, 15.8516f)
                curveTo(7.6094f, 15.9648f, 7.832f, 16.0f, 8.0625f, 16.0f)
                curveTo(8.5352f, 16.0f, 8.8281f, 15.7695f, 8.8281f, 15.3945f)
                lineTo(8.8281f, 15.3906f)
                curveTo(8.8281f, 15.043f, 8.4961f, 14.918f, 8.1875f, 14.8281f)
                lineTo(8.1484f, 14.8164f)
                curveTo(7.9141f, 14.7461f, 7.7109f, 14.6875f, 7.7109f, 14.5469f)
                lineTo(7.7109f, 14.5352f)
                curveTo(7.7109f, 14.4141f, 7.8281f, 14.3281f, 8.0117f, 14.3281f)
                curveTo(8.2148f, 14.3281f, 8.4531f, 14.3867f, 8.6094f, 14.4688f)
                curveTo(8.6094f, 14.4688f, 8.6563f, 14.4922f, 8.6719f, 14.4531f)
                curveTo(8.6836f, 14.4297f, 8.7617f, 14.2344f, 8.7695f, 14.2148f)
                curveTo(8.7773f, 14.1914f, 8.7617f, 14.1758f, 8.7461f, 14.168f)
                curveTo(8.5703f, 14.0664f, 8.3242f, 14.0f, 8.0703f, 14.0f)
                close()
                moveTo(9.9883f, 14.0f)
                curveTo(9.8867f, 14.0f, 9.7305f, 14.0117f, 9.6328f, 14.0313f)
                curveTo(9.6328f, 14.0313f, 9.3398f, 14.082f, 9.2188f, 14.1719f)
                curveTo(9.2188f, 14.1719f, 9.1953f, 14.1836f, 9.2109f, 14.2188f)
                lineTo(9.3047f, 14.4531f)
                curveTo(9.3164f, 14.4844f, 9.3477f, 14.4727f, 9.3477f, 14.4727f)
                curveTo(9.3477f, 14.4727f, 9.3555f, 14.4688f, 9.3672f, 14.4648f)
                curveTo(9.625f, 14.332f, 9.9492f, 14.3398f, 9.9492f, 14.3398f)
                curveTo(10.0938f, 14.3398f, 10.2031f, 14.3633f, 10.2813f, 14.418f)
                curveTo(10.3516f, 14.4688f, 10.3906f, 14.5508f, 10.3906f, 14.7148f)
                lineTo(10.3906f, 14.7656f)
                curveTo(10.2773f, 14.75f, 10.1719f, 14.7383f, 10.1719f, 14.7383f)
                curveTo(10.1172f, 14.7344f, 10.0469f, 14.7344f, 9.9609f, 14.7344f)
                curveTo(9.8477f, 14.7344f, 9.7383f, 14.7461f, 9.6328f, 14.7734f)
                curveTo(9.5273f, 14.8008f, 9.4336f, 14.8398f, 9.3555f, 14.8945f)
                curveTo(9.2734f, 14.9492f, 9.2109f, 15.0156f, 9.1641f, 15.0977f)
                curveTo(9.1133f, 15.1797f, 9.0898f, 15.2773f, 9.0898f, 15.3828f)
                curveTo(9.0898f, 15.4922f, 9.1094f, 15.5859f, 9.1484f, 15.6641f)
                curveTo(9.1914f, 15.7422f, 9.25f, 15.8086f, 9.3242f, 15.8594f)
                curveTo(9.3984f, 15.9063f, 9.4922f, 15.9453f, 9.5938f, 15.9688f)
                curveTo(9.6992f, 15.9883f, 9.8203f, 16.0f, 9.9492f, 16.0f)
                curveTo(10.0859f, 16.0f, 10.2227f, 15.9883f, 10.3555f, 15.9688f)
                curveTo(10.4883f, 15.9492f, 10.6445f, 15.918f, 10.6914f, 15.9063f)
                curveTo(10.7344f, 15.8984f, 10.7813f, 15.8867f, 10.7813f, 15.8867f)
                curveTo(10.8164f, 15.8789f, 10.8125f, 15.8477f, 10.8125f, 15.8477f)
                lineTo(10.8125f, 14.7188f)
                curveTo(10.8125f, 14.4688f, 10.7422f, 14.2852f, 10.6016f, 14.1719f)
                curveTo(10.4609f, 14.0586f, 10.2539f, 14.0f, 9.9883f, 14.0f)
                close()
                moveTo(12.9883f, 14.0f)
                curveTo(12.8242f, 14.0f, 12.6719f, 14.0234f, 12.5508f, 14.0781f)
                curveTo(12.4297f, 14.1328f, 12.3242f, 14.207f, 12.2461f, 14.2969f)
                curveTo(12.1641f, 14.3867f, 12.1016f, 14.4961f, 12.0625f, 14.6172f)
                curveTo(12.0234f, 14.7383f, 12.0039f, 14.8711f, 12.0039f, 15.0117f)
                curveTo(12.0039f, 15.1563f, 12.0273f, 15.2891f, 12.0664f, 15.4063f)
                curveTo(12.1055f, 15.5273f, 12.1719f, 15.6328f, 12.2617f, 15.7188f)
                curveTo(12.3477f, 15.8086f, 12.457f, 15.8789f, 12.5938f, 15.9258f)
                curveTo(12.7266f, 15.9766f, 12.8906f, 16.0f, 13.0781f, 16.0f)
                curveTo(13.4648f, 15.9961f, 13.6641f, 15.918f, 13.75f, 15.875f)
                curveTo(13.7617f, 15.8672f, 13.7773f, 15.8555f, 13.7617f, 15.8164f)
                lineTo(13.6719f, 15.5898f)
                curveTo(13.6602f, 15.5547f, 13.6211f, 15.5664f, 13.6211f, 15.5664f)
                curveTo(13.5234f, 15.6016f, 13.3906f, 15.6602f, 13.0742f, 15.6602f)
                curveTo(12.8672f, 15.6602f, 12.7148f, 15.6055f, 12.6211f, 15.5156f)
                curveTo(12.5195f, 15.4258f, 12.4727f, 15.293f, 12.4648f, 15.1055f)
                lineTo(13.7969f, 15.1055f)
                curveTo(13.7969f, 15.1055f, 13.832f, 15.1055f, 13.8359f, 15.0742f)
                curveTo(13.8359f, 15.0586f, 13.8828f, 14.8164f, 13.7969f, 14.5391f)
                curveTo(13.7656f, 14.4219f, 13.6797f, 14.3047f, 13.625f, 14.25f)
                curveTo(13.5391f, 14.1641f, 13.457f, 14.1055f, 13.375f, 14.0742f)
                curveTo(13.2656f, 14.0273f, 13.1328f, 14.0f, 12.9883f, 14.0f)
                close()
                moveTo(14.8906f, 14.0f)
                curveTo(14.4609f, 14.0f, 14.1563f, 14.2422f, 14.1563f, 14.5859f)
                lineTo(14.1563f, 14.5938f)
                curveTo(14.1563f, 14.9531f, 14.4922f, 15.0742f, 14.8008f, 15.1563f)
                lineTo(14.8555f, 15.1719f)
                curveTo(15.082f, 15.2344f, 15.2773f, 15.2891f, 15.2773f, 15.4375f)
                lineTo(15.2773f, 15.4414f)
                curveTo(15.2773f, 15.5781f, 15.1484f, 15.6758f, 14.9414f, 15.6758f)
                curveTo(14.8633f, 15.6758f, 14.6094f, 15.6758f, 14.3359f, 15.5156f)
                curveTo(14.3047f, 15.5f, 14.2813f, 15.4883f, 14.2578f, 15.4727f)
                curveTo(14.25f, 15.4688f, 14.2109f, 15.4531f, 14.1953f, 15.4922f)
                lineTo(14.1055f, 15.7305f)
                curveTo(14.0898f, 15.7656f, 14.1094f, 15.7734f, 14.1133f, 15.7813f)
                curveTo(14.1563f, 15.8086f, 14.1992f, 15.8281f, 14.2461f, 15.8516f)
                curveTo(14.4805f, 15.9648f, 14.6992f, 16.0f, 14.9336f, 16.0f)
                curveTo(15.4023f, 16.0f, 15.6992f, 15.7695f, 15.6992f, 15.3945f)
                lineTo(15.6992f, 15.3906f)
                curveTo(15.6992f, 15.043f, 15.3672f, 14.918f, 15.0586f, 14.8281f)
                lineTo(15.0156f, 14.8164f)
                curveTo(14.7813f, 14.7461f, 14.5781f, 14.6875f, 14.5781f, 14.5469f)
                lineTo(14.5781f, 14.5352f)
                curveTo(14.5781f, 14.4141f, 14.6992f, 14.3281f, 14.8789f, 14.3281f)
                curveTo(15.082f, 14.3281f, 15.3242f, 14.3867f, 15.4805f, 14.4688f)
                curveTo(15.4805f, 14.4688f, 15.5273f, 14.4922f, 15.543f, 14.4531f)
                curveTo(15.5508f, 14.4297f, 15.6289f, 14.2344f, 15.6406f, 14.2148f)
                curveTo(15.6484f, 14.1914f, 15.6328f, 14.1758f, 15.6133f, 14.168f)
                curveTo(15.4375f, 14.0664f, 15.1914f, 14.0f, 14.9375f, 14.0f)
                close()
                moveTo(18.1602f, 14.0f)
                curveTo(18.0f, 14.0f, 17.8555f, 14.0273f, 17.7344f, 14.0781f)
                curveTo(17.6172f, 14.1289f, 17.5156f, 14.2031f, 17.4375f, 14.293f)
                curveTo(17.3555f, 14.3828f, 17.293f, 14.4883f, 17.2539f, 14.6094f)
                curveTo(17.2188f, 14.7305f, 17.1992f, 14.8633f, 17.1992f, 15.0039f)
                curveTo(17.1992f, 15.1445f, 17.2188f, 15.2773f, 17.2539f, 15.3945f)
                curveTo(17.293f, 15.5156f, 17.3555f, 15.625f, 17.4375f, 15.7148f)
                curveTo(17.5156f, 15.8008f, 17.6172f, 15.875f, 17.7383f, 15.9258f)
                curveTo(17.8594f, 15.9766f, 18.0f, 16.0f, 18.1602f, 16.0f)
                curveTo(18.3203f, 16.0f, 18.4609f, 15.9766f, 18.582f, 15.9219f)
                curveTo(18.7031f, 15.8711f, 18.8047f, 15.8008f, 18.8867f, 15.7109f)
                curveTo(18.9648f, 15.6211f, 19.0273f, 15.5156f, 19.0625f, 15.3945f)
                curveTo(19.1016f, 15.2734f, 19.1211f, 15.1406f, 19.1211f, 15.0f)
                curveTo(19.1211f, 14.8633f, 19.1016f, 14.7305f, 19.0625f, 14.6094f)
                curveTo(19.0273f, 14.4883f, 18.9648f, 14.3828f, 18.8867f, 14.293f)
                curveTo(18.8047f, 14.2031f, 18.7031f, 14.1289f, 18.582f, 14.0781f)
                curveTo(18.4609f, 14.0273f, 18.3203f, 14.0f, 18.1602f, 14.0f)
                close()
                moveTo(21.6445f, 14.0f)
                curveTo(21.4805f, 14.0f, 21.332f, 14.0273f, 21.2031f, 14.0781f)
                curveTo(21.0781f, 14.1289f, 20.9727f, 14.2031f, 20.8906f, 14.293f)
                curveTo(20.8047f, 14.3789f, 20.7383f, 14.4883f, 20.6992f, 14.6094f)
                curveTo(20.6523f, 14.7266f, 20.6328f, 14.8633f, 20.6328f, 15.0f)
                curveTo(20.6328f, 15.3047f, 20.7188f, 15.5508f, 20.8945f, 15.7305f)
                curveTo(21.0703f, 15.9102f, 21.3281f, 16.0f, 21.6719f, 16.0f)
                curveTo(21.875f, 16.0f, 22.082f, 15.9609f, 22.2305f, 15.9063f)
                curveTo(22.2305f, 15.9063f, 22.2578f, 15.8945f, 22.2461f, 15.8633f)
                lineTo(22.1484f, 15.6172f)
                curveTo(22.1367f, 15.582f, 22.0977f, 15.5938f, 22.0977f, 15.5938f)
                curveTo(22.043f, 15.6172f, 21.9805f, 15.6328f, 21.918f, 15.6406f)
                curveTo(21.8516f, 15.6523f, 21.7773f, 15.6563f, 21.6992f, 15.6563f)
                curveTo(21.5078f, 15.6563f, 21.3555f, 15.6055f, 21.25f, 15.5f)
                curveTo(21.1406f, 15.3984f, 21.0781f, 15.2305f, 21.0781f, 15.0f)
                curveTo(21.082f, 14.7969f, 21.1328f, 14.6406f, 21.2305f, 14.5195f)
                curveTo(21.3281f, 14.4023f, 21.4727f, 14.3438f, 21.668f, 14.3438f)
                curveTo(21.8281f, 14.3438f, 21.9531f, 14.3633f, 22.082f, 14.3984f)
                curveTo(22.082f, 14.3984f, 22.1172f, 14.4102f, 22.1289f, 14.375f)
                curveTo(22.1641f, 14.2852f, 22.1914f, 14.2227f, 22.2266f, 14.125f)
                curveTo(22.2383f, 14.0938f, 22.2109f, 14.082f, 22.2031f, 14.0781f)
                curveTo(22.1484f, 14.0625f, 22.0313f, 14.0313f, 21.9375f, 14.0156f)
                curveTo(21.8555f, 14.0039f, 21.7539f, 14.0f, 21.6445f, 14.0f)
                close()
                moveTo(23.2773f, 14.0f)
                curveTo(23.1133f, 14.0f, 22.9609f, 14.0234f, 22.8398f, 14.0781f)
                curveTo(22.7148f, 14.1328f, 22.6133f, 14.207f, 22.5313f, 14.2969f)
                curveTo(22.4492f, 14.3867f, 22.3867f, 14.4961f, 22.3477f, 14.6172f)
                curveTo(22.3125f, 14.7383f, 22.293f, 14.8711f, 22.293f, 15.0117f)
                curveTo(22.293f, 15.1563f, 22.3125f, 15.2891f, 22.3555f, 15.4063f)
                curveTo(22.3945f, 15.5273f, 22.457f, 15.6328f, 22.5469f, 15.7188f)
                curveTo(22.6367f, 15.8086f, 22.7461f, 15.8789f, 22.8789f, 15.9258f)
                curveTo(23.0156f, 15.9766f, 23.1797f, 16.0f, 23.3633f, 16.0f)
                curveTo(23.75f, 15.9961f, 23.9531f, 15.918f, 24.0352f, 15.875f)
                curveTo(24.0508f, 15.8672f, 24.0664f, 15.8555f, 24.0469f, 15.8164f)
                lineTo(23.957f, 15.5898f)
                curveTo(23.9453f, 15.5547f, 23.9063f, 15.5664f, 23.9063f, 15.5664f)
                curveTo(23.8125f, 15.6016f, 23.6758f, 15.6602f, 23.3594f, 15.6602f)
                curveTo(23.1563f, 15.6602f, 23.0039f, 15.6055f, 22.9063f, 15.5156f)
                curveTo(22.8086f, 15.4258f, 22.7617f, 15.293f, 22.75f, 15.1055f)
                lineTo(24.082f, 15.1055f)
                curveTo(24.082f, 15.1055f, 24.1172f, 15.1055f, 24.125f, 15.0742f)
                curveTo(24.125f, 15.0586f, 24.168f, 14.8164f, 24.082f, 14.5391f)
                curveTo(24.0508f, 14.4219f, 23.9648f, 14.3047f, 23.9102f, 14.25f)
                curveTo(23.8242f, 14.1641f, 23.7422f, 14.1055f, 23.6602f, 14.0742f)
                curveTo(23.5508f, 14.0273f, 23.4219f, 14.0f, 23.2773f, 14.0f)
                close()
                moveTo(20.3867f, 14.0f)
                curveTo(20.2148f, 13.9922f, 20.1211f, 14.0195f, 20.0391f, 14.0547f)
                curveTo(19.957f, 14.0898f, 19.8672f, 14.1484f, 19.8125f, 14.2148f)
                lineTo(19.8125f, 14.0586f)
                curveTo(19.8125f, 14.0352f, 19.8008f, 14.0195f, 19.7773f, 14.0195f)
                lineTo(19.4375f, 14.0195f)
                curveTo(19.4141f, 14.0195f, 19.3945f, 14.0352f, 19.3945f, 14.0586f)
                lineTo(19.3945f, 15.9609f)
                curveTo(19.3945f, 15.9805f, 19.4141f, 16.0f, 19.4375f, 16.0f)
                lineTo(19.7852f, 16.0f)
                curveTo(19.8086f, 16.0f, 19.8281f, 15.9805f, 19.8281f, 15.9609f)
                lineTo(19.8281f, 15.0117f)
                curveTo(19.8281f, 14.8828f, 19.8438f, 14.7539f, 19.8711f, 14.6719f)
                curveTo(19.8984f, 14.5938f, 19.9375f, 14.5313f, 19.9883f, 14.4844f)
                curveTo(20.0391f, 14.4414f, 20.0938f, 14.4102f, 20.1563f, 14.3906f)
                curveTo(20.2148f, 14.3711f, 20.2852f, 14.3672f, 20.332f, 14.3672f)
                curveTo(20.4023f, 14.3672f, 20.4805f, 14.3867f, 20.4805f, 14.3867f)
                curveTo(20.5039f, 14.3867f, 20.5195f, 14.3711f, 20.5273f, 14.3477f)
                curveTo(20.5508f, 14.293f, 20.6133f, 14.1172f, 20.625f, 14.082f)
                curveTo(20.6367f, 14.0547f, 20.6172f, 14.0391f, 20.6094f, 14.0352f)
                curveTo(20.5859f, 14.0273f, 20.4727f, 14.0078f, 20.3867f, 14.0f)
                close()
                moveTo(12.957f, 14.3281f)
                curveTo(13.1328f, 14.3281f, 13.25f, 14.3906f, 13.332f, 14.5078f)
                curveTo(13.3867f, 14.5859f, 13.4102f, 14.6836f, 13.4219f, 14.7969f)
                lineTo(12.4688f, 14.7969f)
                curveTo(12.4883f, 14.6797f, 12.5234f, 14.5859f, 12.5781f, 14.5078f)
                curveTo(12.6563f, 14.3906f, 12.7813f, 14.3281f, 12.957f, 14.3281f)
                close()
                moveTo(23.2461f, 14.3281f)
                curveTo(23.4219f, 14.3281f, 23.5352f, 14.3906f, 23.6211f, 14.5078f)
                curveTo(23.6758f, 14.5859f, 23.6992f, 14.6836f, 23.707f, 14.7969f)
                lineTo(22.7578f, 14.7969f)
                curveTo(22.7773f, 14.6797f, 22.8125f, 14.5859f, 22.8633f, 14.5078f)
                curveTo(22.9453f, 14.3906f, 23.0703f, 14.3281f, 23.2461f, 14.3281f)
                close()
                moveTo(18.1602f, 14.3359f)
                curveTo(18.3359f, 14.3359f, 18.4609f, 14.3906f, 18.543f, 14.5078f)
                curveTo(18.6289f, 14.625f, 18.6719f, 14.7891f, 18.6719f, 15.0f)
                curveTo(18.6719f, 15.2148f, 18.6289f, 15.3789f, 18.5469f, 15.5f)
                curveTo(18.4609f, 15.6133f, 18.3359f, 15.6719f, 18.1602f, 15.6719f)
                curveTo(17.9844f, 15.6719f, 17.8594f, 15.6133f, 17.7813f, 15.5f)
                curveTo(17.6953f, 15.3789f, 17.6563f, 15.2148f, 17.6563f, 15.0f)
                curveTo(17.6563f, 14.7891f, 17.6953f, 14.625f, 17.7773f, 14.5078f)
                curveTo(17.8594f, 14.3945f, 17.9844f, 14.3359f, 18.1602f, 14.3359f)
                close()
                moveTo(10.0273f, 15.0469f)
                curveTo(10.2188f, 15.0508f, 10.3906f, 15.0781f, 10.3906f, 15.0781f)
                lineTo(10.3906f, 15.6406f)
                curveTo(10.3906f, 15.6406f, 10.2188f, 15.6719f, 10.0313f, 15.6836f)
                curveTo(9.7578f, 15.6953f, 9.6367f, 15.6094f, 9.6406f, 15.6094f)
                curveTo(9.5859f, 15.5703f, 9.582f, 15.5586f, 9.5625f, 15.5352f)
                curveTo(9.5352f, 15.4961f, 9.5234f, 15.4453f, 9.5234f, 15.375f)
                curveTo(9.5234f, 15.2656f, 9.5625f, 15.1875f, 9.6406f, 15.1367f)
                curveTo(9.6406f, 15.1367f, 9.7539f, 15.043f, 10.0273f, 15.0469f)
                close()
            }
        }
        .build()
        return _salesforce!!
    }

private var _salesforce: ImageVector? = null
