package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ShipSolid: ImageVector
    get() {
        if (_shipSolid != null) {
            return _shipSolid!!
        }
        _shipSolid = Builder(name = "ShipSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 3.0f)
                lineTo(15.0f, 5.0f)
                lineTo(11.0f, 5.0f)
                lineTo(11.0f, 8.0f)
                lineTo(7.0f, 8.0f)
                lineTo(7.0f, 13.9063f)
                lineTo(6.1563f, 14.0938f)
                lineTo(6.1563f, 14.125f)
                curveTo(4.3516f, 14.5156f, 3.457f, 16.6055f, 4.4063f, 18.1875f)
                lineTo(6.0f, 20.875f)
                lineTo(6.0f, 25.8438f)
                curveTo(5.1914f, 25.6172f, 4.625f, 25.2188f, 4.625f, 25.2188f)
                lineTo(3.375f, 26.7813f)
                curveTo(3.375f, 26.7813f, 4.918f, 28.0f, 7.0313f, 28.0f)
                curveTo(8.4922f, 28.0f, 9.4219f, 27.5156f, 10.0f, 27.1563f)
                curveTo(10.582f, 27.5117f, 11.5586f, 28.0f, 13.0313f, 28.0f)
                curveTo(14.4922f, 28.0f, 15.4219f, 27.5156f, 16.0f, 27.1563f)
                curveTo(16.582f, 27.5117f, 17.5586f, 28.0f, 19.0313f, 28.0f)
                curveTo(20.4922f, 28.0f, 21.4219f, 27.5156f, 22.0f, 27.1563f)
                curveTo(22.582f, 27.5117f, 23.5586f, 28.0f, 25.0313f, 28.0f)
                curveTo(27.1445f, 28.0f, 28.625f, 26.7813f, 28.625f, 26.7813f)
                lineTo(27.375f, 25.2188f)
                curveTo(27.375f, 25.2188f, 26.832f, 25.6523f, 26.0f, 25.875f)
                lineTo(26.0f, 20.875f)
                lineTo(27.5938f, 18.1875f)
                curveTo(28.543f, 16.6055f, 27.6484f, 14.5156f, 25.8438f, 14.125f)
                lineTo(25.0f, 13.9375f)
                lineTo(25.0f, 8.0f)
                lineTo(21.0f, 8.0f)
                lineTo(21.0f, 5.0f)
                lineTo(17.0f, 5.0f)
                lineTo(17.0f, 3.0f)
                close()
                moveTo(13.0f, 7.0f)
                lineTo(19.0f, 7.0f)
                lineTo(19.0f, 10.0f)
                lineTo(23.0f, 10.0f)
                lineTo(23.0f, 13.5f)
                lineTo(16.2188f, 12.0313f)
                lineTo(16.0f, 12.0f)
                lineTo(15.7813f, 12.0313f)
                lineTo(9.0f, 13.5f)
                lineTo(9.0f, 10.0f)
                lineTo(13.0f, 10.0f)
                close()
                moveTo(16.0f, 14.0625f)
                lineTo(25.4063f, 16.0625f)
                curveTo(25.9297f, 16.1758f, 26.1836f, 16.6992f, 25.9063f, 17.1563f)
                lineTo(24.1563f, 20.0938f)
                lineTo(24.0f, 20.3125f)
                lineTo(24.0f, 25.8438f)
                curveTo(23.1914f, 25.6172f, 22.625f, 25.2188f, 22.625f, 25.2188f)
                lineTo(22.0f, 24.7188f)
                lineTo(21.375f, 25.2188f)
                curveTo(21.375f, 25.2188f, 20.3711f, 26.0f, 19.0313f, 26.0f)
                curveTo(17.6914f, 26.0f, 16.625f, 25.2188f, 16.625f, 25.2188f)
                lineTo(16.0f, 24.7188f)
                lineTo(15.375f, 25.2188f)
                curveTo(15.375f, 25.2188f, 14.3711f, 26.0f, 13.0313f, 26.0f)
                curveTo(11.6914f, 26.0f, 10.625f, 25.2188f, 10.625f, 25.2188f)
                lineTo(10.0f, 24.7188f)
                lineTo(9.375f, 25.2188f)
                curveTo(9.375f, 25.2188f, 8.832f, 25.6523f, 8.0f, 25.875f)
                lineTo(8.0f, 20.3125f)
                lineTo(7.8438f, 20.0938f)
                lineTo(6.0938f, 17.1563f)
                curveTo(5.8164f, 16.6953f, 6.0703f, 16.1758f, 6.5938f, 16.0625f)
                close()
                moveTo(11.0f, 16.0f)
                curveTo(10.3984f, 16.0f, 10.0f, 16.6992f, 10.0f, 17.5f)
                curveTo(10.0f, 18.3008f, 10.3984f, 19.0f, 11.0f, 19.0f)
                curveTo(11.6016f, 19.0f, 12.0f, 18.3008f, 12.0f, 17.5f)
                curveTo(12.0f, 16.6992f, 11.6016f, 16.0f, 11.0f, 16.0f)
                close()
                moveTo(21.0f, 16.0f)
                curveTo(20.3984f, 16.0f, 20.0f, 16.6992f, 20.0f, 17.5f)
                curveTo(20.0f, 18.3008f, 20.3984f, 19.0f, 21.0f, 19.0f)
                curveTo(21.6016f, 19.0f, 22.0f, 18.3008f, 22.0f, 17.5f)
                curveTo(22.0f, 16.6992f, 21.6016f, 16.0f, 21.0f, 16.0f)
                close()
            }
        }
        .build()
        return _shipSolid!!
    }

private var _shipSolid: ImageVector? = null
