package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ShoePrintsSolid: ImageVector
    get() {
        if (_shoePrintsSolid != null) {
            return _shoePrintsSolid!!
        }
        _shoePrintsSolid = Builder(name = "ShoePrintsSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 3.0f)
                curveTo(7.8047f, 3.0f, 6.2031f, 4.6055f, 5.2813f, 6.5f)
                curveTo(4.3594f, 8.3945f, 3.9609f, 10.6797f, 4.0f, 12.6875f)
                curveTo(4.0469f, 15.0195f, 5.0625f, 17.375f, 5.0625f, 17.375f)
                lineTo(5.3438f, 18.0f)
                lineTo(13.75f, 18.0f)
                lineTo(13.9688f, 17.25f)
                curveTo(13.9688f, 17.25f, 14.7578f, 14.3086f, 14.9688f, 11.5f)
                curveTo(15.0508f, 10.3945f, 15.0156f, 8.4727f, 14.4063f, 6.6563f)
                curveTo(14.1016f, 5.7461f, 13.6602f, 4.8555f, 12.9375f, 4.1563f)
                curveTo(12.2148f, 3.457f, 11.1875f, 3.0f, 10.0f, 3.0f)
                close()
                moveTo(22.0f, 3.0f)
                curveTo(20.8125f, 3.0f, 19.7852f, 3.457f, 19.0625f, 4.1563f)
                curveTo(18.3398f, 4.8555f, 17.8984f, 5.7461f, 17.5938f, 6.6563f)
                curveTo(16.9844f, 8.4727f, 16.9492f, 10.3945f, 17.0313f, 11.5f)
                curveTo(17.2422f, 14.3086f, 18.0313f, 17.25f, 18.0313f, 17.25f)
                lineTo(18.25f, 18.0f)
                lineTo(26.6563f, 18.0f)
                lineTo(26.9375f, 17.375f)
                curveTo(26.9375f, 17.375f, 27.9531f, 15.0195f, 28.0f, 12.6875f)
                curveTo(28.0391f, 10.6797f, 27.6406f, 8.3945f, 26.7188f, 6.5f)
                curveTo(25.7969f, 4.6055f, 24.1953f, 3.0f, 22.0f, 3.0f)
                close()
                moveTo(10.0f, 5.0f)
                curveTo(10.7031f, 5.0f, 11.1289f, 5.2031f, 11.5313f, 5.5938f)
                curveTo(11.9336f, 5.9844f, 12.293f, 6.6055f, 12.5313f, 7.3125f)
                curveTo(13.0039f, 8.7266f, 13.0625f, 10.5273f, 13.0f, 11.375f)
                curveTo(12.8359f, 13.5508f, 12.3164f, 15.3711f, 12.1563f, 16.0f)
                lineTo(6.7188f, 16.0f)
                curveTo(6.4766f, 15.3164f, 6.0273f, 13.9844f, 6.0f, 12.6563f)
                curveTo(5.9648f, 10.9609f, 6.3555f, 8.8945f, 7.0938f, 7.375f)
                curveTo(7.832f, 5.8555f, 8.7695f, 5.0f, 10.0f, 5.0f)
                close()
                moveTo(22.0f, 5.0f)
                curveTo(23.2305f, 5.0f, 24.168f, 5.8555f, 24.9063f, 7.375f)
                curveTo(25.6445f, 8.8945f, 26.0313f, 10.9609f, 26.0f, 12.6563f)
                curveTo(25.9727f, 13.9844f, 25.5234f, 15.3164f, 25.2813f, 16.0f)
                lineTo(19.8438f, 16.0f)
                curveTo(19.6836f, 15.3711f, 19.1641f, 13.5508f, 19.0f, 11.375f)
                curveTo(18.9375f, 10.5273f, 18.9961f, 8.7266f, 19.4688f, 7.3125f)
                curveTo(19.707f, 6.6055f, 20.0664f, 5.9844f, 20.4688f, 5.5938f)
                curveTo(20.8711f, 5.2031f, 21.2969f, 5.0f, 22.0f, 5.0f)
                close()
                moveTo(5.0f, 21.0f)
                lineTo(5.0f, 22.0f)
                curveTo(4.9883f, 23.3789f, 5.1211f, 24.9883f, 5.8125f, 26.4063f)
                curveTo(6.5039f, 27.8242f, 7.957f, 29.0f, 10.0f, 29.0f)
                curveTo(12.2617f, 29.0f, 13.9805f, 26.7852f, 14.0f, 24.0f)
                curveTo(14.0039f, 23.3555f, 13.9766f, 22.5977f, 13.75f, 21.75f)
                lineTo(13.5625f, 21.0f)
                close()
                moveTo(18.4375f, 21.0f)
                lineTo(18.25f, 21.75f)
                curveTo(18.0234f, 22.5977f, 17.9961f, 23.3555f, 18.0f, 24.0f)
                curveTo(18.0195f, 26.7852f, 19.7383f, 29.0f, 22.0f, 29.0f)
                curveTo(24.043f, 29.0f, 25.4961f, 27.8242f, 26.1875f, 26.4063f)
                curveTo(26.8789f, 24.9883f, 27.0117f, 23.3789f, 27.0f, 22.0f)
                lineTo(27.0f, 21.0f)
                close()
                moveTo(7.1563f, 23.0f)
                lineTo(11.9063f, 23.0f)
                curveTo(11.9414f, 23.3281f, 12.0039f, 23.6641f, 12.0f, 24.0f)
                curveTo(11.9844f, 26.0234f, 10.9297f, 27.0f, 10.0f, 27.0f)
                curveTo(8.6211f, 27.0f, 8.0508f, 26.4648f, 7.5938f, 25.5313f)
                curveTo(7.2656f, 24.8633f, 7.2266f, 23.9023f, 7.1563f, 23.0f)
                close()
                moveTo(20.0938f, 23.0f)
                lineTo(24.8438f, 23.0f)
                curveTo(24.7734f, 23.9023f, 24.7344f, 24.8633f, 24.4063f, 25.5313f)
                curveTo(23.9492f, 26.4648f, 23.3789f, 27.0f, 22.0f, 27.0f)
                curveTo(21.0703f, 27.0f, 20.0156f, 26.0234f, 20.0f, 24.0f)
                curveTo(19.9961f, 23.6641f, 20.0586f, 23.3281f, 20.0938f, 23.0f)
                close()
            }
        }
        .build()
        return _shoePrintsSolid!!
    }

private var _shoePrintsSolid: ImageVector? = null
