package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.ShowerSolid: ImageVector
    get() {
        if (_showerSolid != null) {
            return _showerSolid!!
        }
        _showerSolid = Builder(name = "ShowerSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.0f, 4.0f)
                lineTo(15.0f, 6.0938f)
                curveTo(12.4766f, 6.5117f, 10.5117f, 8.4766f, 10.0938f, 11.0f)
                lineTo(9.0f, 11.0f)
                lineTo(9.0f, 13.0f)
                lineTo(23.0f, 13.0f)
                lineTo(23.0f, 11.0f)
                lineTo(21.9063f, 11.0f)
                curveTo(21.4883f, 8.4766f, 19.5234f, 6.5117f, 17.0f, 6.0938f)
                lineTo(17.0f, 4.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(17.918f, 8.0f, 19.3828f, 9.25f, 19.8125f, 11.0f)
                lineTo(12.1875f, 11.0f)
                curveTo(12.6172f, 9.25f, 14.082f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(14.0f, 14.0f)
                curveTo(13.4492f, 14.0f, 13.0f, 14.4492f, 13.0f, 15.0f)
                curveTo(13.0f, 15.5508f, 13.4492f, 16.0f, 14.0f, 16.0f)
                curveTo(14.5508f, 16.0f, 15.0f, 15.5508f, 15.0f, 15.0f)
                curveTo(15.0f, 14.4492f, 14.5508f, 14.0f, 14.0f, 14.0f)
                close()
                moveTo(18.0f, 14.0f)
                curveTo(17.4492f, 14.0f, 17.0f, 14.4492f, 17.0f, 15.0f)
                curveTo(17.0f, 15.5508f, 17.4492f, 16.0f, 18.0f, 16.0f)
                curveTo(18.5508f, 16.0f, 19.0f, 15.5508f, 19.0f, 15.0f)
                curveTo(19.0f, 14.4492f, 18.5508f, 14.0f, 18.0f, 14.0f)
                close()
                moveTo(12.0f, 17.0f)
                curveTo(11.4492f, 17.0f, 11.0f, 17.4492f, 11.0f, 18.0f)
                curveTo(11.0f, 18.5508f, 11.4492f, 19.0f, 12.0f, 19.0f)
                curveTo(12.5508f, 19.0f, 13.0f, 18.5508f, 13.0f, 18.0f)
                curveTo(13.0f, 17.4492f, 12.5508f, 17.0f, 12.0f, 17.0f)
                close()
                moveTo(16.0f, 17.0f)
                curveTo(15.4492f, 17.0f, 15.0f, 17.4492f, 15.0f, 18.0f)
                curveTo(15.0f, 18.5508f, 15.4492f, 19.0f, 16.0f, 19.0f)
                curveTo(16.5508f, 19.0f, 17.0f, 18.5508f, 17.0f, 18.0f)
                curveTo(17.0f, 17.4492f, 16.5508f, 17.0f, 16.0f, 17.0f)
                close()
                moveTo(20.0f, 17.0f)
                curveTo(19.4492f, 17.0f, 19.0f, 17.4492f, 19.0f, 18.0f)
                curveTo(19.0f, 18.5508f, 19.4492f, 19.0f, 20.0f, 19.0f)
                curveTo(20.5508f, 19.0f, 21.0f, 18.5508f, 21.0f, 18.0f)
                curveTo(21.0f, 17.4492f, 20.5508f, 17.0f, 20.0f, 17.0f)
                close()
                moveTo(10.0f, 20.0f)
                curveTo(9.4492f, 20.0f, 9.0f, 20.4492f, 9.0f, 21.0f)
                curveTo(9.0f, 21.5508f, 9.4492f, 22.0f, 10.0f, 22.0f)
                curveTo(10.5508f, 22.0f, 11.0f, 21.5508f, 11.0f, 21.0f)
                curveTo(11.0f, 20.4492f, 10.5508f, 20.0f, 10.0f, 20.0f)
                close()
                moveTo(14.0f, 20.0f)
                curveTo(13.4492f, 20.0f, 13.0f, 20.4492f, 13.0f, 21.0f)
                curveTo(13.0f, 21.5508f, 13.4492f, 22.0f, 14.0f, 22.0f)
                curveTo(14.5508f, 22.0f, 15.0f, 21.5508f, 15.0f, 21.0f)
                curveTo(15.0f, 20.4492f, 14.5508f, 20.0f, 14.0f, 20.0f)
                close()
                moveTo(18.0f, 20.0f)
                curveTo(17.4492f, 20.0f, 17.0f, 20.4492f, 17.0f, 21.0f)
                curveTo(17.0f, 21.5508f, 17.4492f, 22.0f, 18.0f, 22.0f)
                curveTo(18.5508f, 22.0f, 19.0f, 21.5508f, 19.0f, 21.0f)
                curveTo(19.0f, 20.4492f, 18.5508f, 20.0f, 18.0f, 20.0f)
                close()
                moveTo(22.0f, 20.0f)
                curveTo(21.4492f, 20.0f, 21.0f, 20.4492f, 21.0f, 21.0f)
                curveTo(21.0f, 21.5508f, 21.4492f, 22.0f, 22.0f, 22.0f)
                curveTo(22.5508f, 22.0f, 23.0f, 21.5508f, 23.0f, 21.0f)
                curveTo(23.0f, 20.4492f, 22.5508f, 20.0f, 22.0f, 20.0f)
                close()
                moveTo(8.0f, 23.0f)
                curveTo(7.4492f, 23.0f, 7.0f, 23.4492f, 7.0f, 24.0f)
                curveTo(7.0f, 24.5508f, 7.4492f, 25.0f, 8.0f, 25.0f)
                curveTo(8.5508f, 25.0f, 9.0f, 24.5508f, 9.0f, 24.0f)
                curveTo(9.0f, 23.4492f, 8.5508f, 23.0f, 8.0f, 23.0f)
                close()
                moveTo(12.0f, 23.0f)
                curveTo(11.4492f, 23.0f, 11.0f, 23.4492f, 11.0f, 24.0f)
                curveTo(11.0f, 24.5508f, 11.4492f, 25.0f, 12.0f, 25.0f)
                curveTo(12.5508f, 25.0f, 13.0f, 24.5508f, 13.0f, 24.0f)
                curveTo(13.0f, 23.4492f, 12.5508f, 23.0f, 12.0f, 23.0f)
                close()
                moveTo(16.0f, 23.0f)
                curveTo(15.4492f, 23.0f, 15.0f, 23.4492f, 15.0f, 24.0f)
                curveTo(15.0f, 24.5508f, 15.4492f, 25.0f, 16.0f, 25.0f)
                curveTo(16.5508f, 25.0f, 17.0f, 24.5508f, 17.0f, 24.0f)
                curveTo(17.0f, 23.4492f, 16.5508f, 23.0f, 16.0f, 23.0f)
                close()
                moveTo(20.0f, 23.0f)
                curveTo(19.4492f, 23.0f, 19.0f, 23.4492f, 19.0f, 24.0f)
                curveTo(19.0f, 24.5508f, 19.4492f, 25.0f, 20.0f, 25.0f)
                curveTo(20.5508f, 25.0f, 21.0f, 24.5508f, 21.0f, 24.0f)
                curveTo(21.0f, 23.4492f, 20.5508f, 23.0f, 20.0f, 23.0f)
                close()
                moveTo(24.0f, 23.0f)
                curveTo(23.4492f, 23.0f, 23.0f, 23.4492f, 23.0f, 24.0f)
                curveTo(23.0f, 24.5508f, 23.4492f, 25.0f, 24.0f, 25.0f)
                curveTo(24.5508f, 25.0f, 25.0f, 24.5508f, 25.0f, 24.0f)
                curveTo(25.0f, 23.4492f, 24.5508f, 23.0f, 24.0f, 23.0f)
                close()
                moveTo(6.0f, 26.0f)
                curveTo(5.4492f, 26.0f, 5.0f, 26.4492f, 5.0f, 27.0f)
                curveTo(5.0f, 27.5508f, 5.4492f, 28.0f, 6.0f, 28.0f)
                curveTo(6.5508f, 28.0f, 7.0f, 27.5508f, 7.0f, 27.0f)
                curveTo(7.0f, 26.4492f, 6.5508f, 26.0f, 6.0f, 26.0f)
                close()
                moveTo(10.0f, 26.0f)
                curveTo(9.4492f, 26.0f, 9.0f, 26.4492f, 9.0f, 27.0f)
                curveTo(9.0f, 27.5508f, 9.4492f, 28.0f, 10.0f, 28.0f)
                curveTo(10.5508f, 28.0f, 11.0f, 27.5508f, 11.0f, 27.0f)
                curveTo(11.0f, 26.4492f, 10.5508f, 26.0f, 10.0f, 26.0f)
                close()
                moveTo(14.0f, 26.0f)
                curveTo(13.4492f, 26.0f, 13.0f, 26.4492f, 13.0f, 27.0f)
                curveTo(13.0f, 27.5508f, 13.4492f, 28.0f, 14.0f, 28.0f)
                curveTo(14.5508f, 28.0f, 15.0f, 27.5508f, 15.0f, 27.0f)
                curveTo(15.0f, 26.4492f, 14.5508f, 26.0f, 14.0f, 26.0f)
                close()
                moveTo(18.0f, 26.0f)
                curveTo(17.4492f, 26.0f, 17.0f, 26.4492f, 17.0f, 27.0f)
                curveTo(17.0f, 27.5508f, 17.4492f, 28.0f, 18.0f, 28.0f)
                curveTo(18.5508f, 28.0f, 19.0f, 27.5508f, 19.0f, 27.0f)
                curveTo(19.0f, 26.4492f, 18.5508f, 26.0f, 18.0f, 26.0f)
                close()
                moveTo(22.0f, 26.0f)
                curveTo(21.4492f, 26.0f, 21.0f, 26.4492f, 21.0f, 27.0f)
                curveTo(21.0f, 27.5508f, 21.4492f, 28.0f, 22.0f, 28.0f)
                curveTo(22.5508f, 28.0f, 23.0f, 27.5508f, 23.0f, 27.0f)
                curveTo(23.0f, 26.4492f, 22.5508f, 26.0f, 22.0f, 26.0f)
                close()
                moveTo(26.0f, 26.0f)
                curveTo(25.4492f, 26.0f, 25.0f, 26.4492f, 25.0f, 27.0f)
                curveTo(25.0f, 27.5508f, 25.4492f, 28.0f, 26.0f, 28.0f)
                curveTo(26.5508f, 28.0f, 27.0f, 27.5508f, 27.0f, 27.0f)
                curveTo(27.0f, 26.4492f, 26.5508f, 26.0f, 26.0f, 26.0f)
                close()
            }
        }
        .build()
        return _showerSolid!!
    }

private var _showerSolid: ImageVector? = null
