package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.SleighSolid: ImageVector
    get() {
        if (_sleighSolid != null) {
            return _sleighSolid!!
        }
        _sleighSolid = Builder(name = "SleighSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.5f, 7.0f)
                curveTo(3.1328f, 7.0f, 2.0f, 8.1328f, 2.0f, 9.5f)
                lineTo(2.0f, 10.0f)
                lineTo(4.0f, 10.0f)
                lineTo(4.0f, 9.5f)
                curveTo(4.0f, 9.2148f, 4.2148f, 9.0f, 4.5f, 9.0f)
                curveTo(4.7578f, 9.0f, 5.0f, 9.2734f, 5.0f, 9.5f)
                curveTo(5.0f, 9.7031f, 4.6602f, 10.332f, 4.125f, 11.3125f)
                curveTo(3.5898f, 12.293f, 3.0f, 13.6523f, 3.0f, 15.5f)
                curveTo(3.0f, 18.3516f, 5.2109f, 20.7148f, 8.0f, 20.9688f)
                lineTo(8.0f, 23.0f)
                lineTo(3.0f, 23.0f)
                lineTo(3.0f, 25.0f)
                lineTo(27.0f, 25.0f)
                curveTo(28.6445f, 25.0f, 30.0f, 23.6445f, 30.0f, 22.0f)
                curveTo(30.0f, 20.3555f, 28.6445f, 19.0f, 27.0f, 19.0f)
                lineTo(27.0f, 21.0f)
                curveTo(27.5664f, 21.0f, 28.0f, 21.4336f, 28.0f, 22.0f)
                curveTo(28.0f, 22.5664f, 27.5664f, 23.0f, 27.0f, 23.0f)
                lineTo(22.0f, 23.0f)
                lineTo(22.0f, 20.7813f)
                curveTo(24.2969f, 20.1211f, 26.0f, 18.0f, 26.0f, 15.5f)
                lineTo(26.0f, 13.0f)
                curveTo(26.0f, 12.4336f, 26.4336f, 12.0f, 27.0f, 12.0f)
                curveTo(27.5664f, 12.0f, 28.0f, 12.4336f, 28.0f, 13.0f)
                lineTo(30.0f, 13.0f)
                curveTo(30.0f, 11.3555f, 28.6445f, 10.0f, 27.0f, 10.0f)
                curveTo(25.3555f, 10.0f, 24.0f, 11.3555f, 24.0f, 13.0f)
                curveTo(24.0f, 14.2695f, 23.5508f, 14.5508f, 23.0625f, 14.7813f)
                curveTo(22.5742f, 15.0117f, 22.0625f, 15.0f, 22.0625f, 15.0f)
                lineTo(17.0f, 15.0f)
                curveTo(15.8594f, 15.0f, 15.543f, 14.5781f, 15.2813f, 14.0625f)
                curveTo(15.0195f, 13.5469f, 15.0f, 13.0f, 15.0f, 13.0f)
                lineTo(15.0f, 12.0f)
                curveTo(15.0f, 9.7188f, 13.6953f, 8.2891f, 12.4688f, 7.6563f)
                curveTo(11.2422f, 7.0234f, 10.0313f, 7.0f, 10.0313f, 7.0f)
                close()
                moveTo(6.9375f, 9.0f)
                lineTo(10.0f, 9.0f)
                curveTo(10.0273f, 9.0f, 10.7734f, 9.0469f, 11.5313f, 9.4375f)
                curveTo(12.3047f, 9.8359f, 13.0f, 10.4063f, 13.0f, 12.0f)
                lineTo(13.0f, 13.0f)
                curveTo(13.0f, 13.0f, 13.0f, 13.9531f, 13.5f, 14.9375f)
                curveTo(14.0f, 15.9219f, 15.1836f, 17.0f, 17.0f, 17.0f)
                lineTo(21.9375f, 17.0f)
                curveTo(21.9375f, 17.0f, 22.0f, 17.0f, 22.0f, 17.0f)
                curveTo(22.0508f, 17.0039f, 22.8672f, 17.043f, 23.7813f, 16.6563f)
                curveTo(23.3047f, 18.0234f, 22.0273f, 19.0f, 20.5f, 19.0f)
                lineTo(8.5f, 19.0f)
                curveTo(6.5703f, 19.0f, 5.0f, 17.4297f, 5.0f, 15.5f)
                curveTo(5.0f, 14.0547f, 5.4102f, 13.1016f, 5.875f, 12.25f)
                curveTo(6.3398f, 11.3984f, 7.0f, 10.6719f, 7.0f, 9.5f)
                curveTo(7.0f, 9.332f, 6.9688f, 9.1602f, 6.9375f, 9.0f)
                close()
                moveTo(10.0f, 21.0f)
                lineTo(20.0f, 21.0f)
                lineTo(20.0f, 23.0f)
                lineTo(10.0f, 23.0f)
                close()
            }
        }
        .build()
        return _sleighSolid!!
    }

private var _sleighSolid: ImageVector? = null
