package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.StoreAltSolid: ImageVector
    get() {
        if (_storeAltSolid != null) {
            return _storeAltSolid!!
        }
        _storeAltSolid = Builder(name = "StoreAltSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.0f, 4.0f)
                lineTo(4.0f, 7.6563f)
                lineTo(1.0f, 11.6563f)
                lineTo(1.0f, 12.0f)
                curveTo(1.0f, 13.6445f, 2.3555f, 15.0f, 4.0f, 15.0f)
                lineTo(4.0f, 28.0f)
                lineTo(20.0f, 28.0f)
                lineTo(20.0f, 19.0f)
                lineTo(22.0f, 19.0f)
                lineTo(22.0f, 28.0f)
                lineTo(28.0f, 28.0f)
                lineTo(28.0f, 15.0f)
                curveTo(29.6445f, 15.0f, 31.0f, 13.6445f, 31.0f, 12.0f)
                lineTo(31.0f, 11.6563f)
                lineTo(28.0f, 7.6563f)
                lineTo(28.0f, 4.0f)
                close()
                moveTo(6.0f, 6.0f)
                lineTo(26.0f, 6.0f)
                lineTo(26.0f, 7.0f)
                lineTo(6.0f, 7.0f)
                close()
                moveTo(5.5f, 9.0f)
                lineTo(26.5f, 9.0f)
                lineTo(28.9063f, 12.2188f)
                curveTo(28.7969f, 12.6523f, 28.4688f, 13.0f, 28.0f, 13.0f)
                curveTo(27.4453f, 13.0f, 27.0f, 12.5547f, 27.0f, 12.0f)
                lineTo(25.0f, 12.0f)
                curveTo(25.0f, 12.5547f, 24.5547f, 13.0f, 24.0f, 13.0f)
                curveTo(23.4453f, 13.0f, 23.0f, 12.5547f, 23.0f, 12.0f)
                lineTo(21.0f, 12.0f)
                curveTo(21.0f, 12.5547f, 20.5547f, 13.0f, 20.0f, 13.0f)
                curveTo(19.4453f, 13.0f, 19.0f, 12.5547f, 19.0f, 12.0f)
                lineTo(17.0f, 12.0f)
                curveTo(17.0f, 12.5547f, 16.5547f, 13.0f, 16.0f, 13.0f)
                curveTo(15.4453f, 13.0f, 15.0f, 12.5547f, 15.0f, 12.0f)
                lineTo(13.0f, 12.0f)
                curveTo(13.0f, 12.5547f, 12.5547f, 13.0f, 12.0f, 13.0f)
                curveTo(11.4453f, 13.0f, 11.0f, 12.5547f, 11.0f, 12.0f)
                lineTo(9.0f, 12.0f)
                curveTo(9.0f, 12.5547f, 8.5547f, 13.0f, 8.0f, 13.0f)
                curveTo(7.4453f, 13.0f, 7.0f, 12.5547f, 7.0f, 12.0f)
                lineTo(5.0f, 12.0f)
                curveTo(5.0f, 12.5547f, 4.5547f, 13.0f, 4.0f, 13.0f)
                curveTo(3.5313f, 13.0f, 3.2031f, 12.6523f, 3.0938f, 12.2188f)
                close()
                moveTo(6.0f, 14.2188f)
                curveTo(6.5313f, 14.6992f, 7.2344f, 15.0f, 8.0f, 15.0f)
                curveTo(8.7656f, 15.0f, 9.4688f, 14.6992f, 10.0f, 14.2188f)
                curveTo(10.5313f, 14.6992f, 11.2344f, 15.0f, 12.0f, 15.0f)
                curveTo(12.7656f, 15.0f, 13.4688f, 14.6992f, 14.0f, 14.2188f)
                curveTo(14.5313f, 14.6992f, 15.2344f, 15.0f, 16.0f, 15.0f)
                curveTo(16.7656f, 15.0f, 17.4688f, 14.6992f, 18.0f, 14.2188f)
                curveTo(18.5313f, 14.6992f, 19.2344f, 15.0f, 20.0f, 15.0f)
                curveTo(20.7656f, 15.0f, 21.4688f, 14.6992f, 22.0f, 14.2188f)
                curveTo(22.5313f, 14.6992f, 23.2344f, 15.0f, 24.0f, 15.0f)
                curveTo(24.7656f, 15.0f, 25.4688f, 14.6992f, 26.0f, 14.2188f)
                lineTo(26.0f, 26.0f)
                lineTo(24.0f, 26.0f)
                lineTo(24.0f, 17.0f)
                lineTo(18.0f, 17.0f)
                lineTo(18.0f, 26.0f)
                lineTo(6.0f, 26.0f)
                close()
                moveTo(8.0f, 17.0f)
                lineTo(8.0f, 24.0f)
                lineTo(16.0f, 24.0f)
                lineTo(16.0f, 17.0f)
                close()
                moveTo(10.0f, 19.0f)
                lineTo(14.0f, 19.0f)
                lineTo(14.0f, 22.0f)
                lineTo(10.0f, 22.0f)
                close()
            }
        }
        .build()
        return _storeAltSolid!!
    }

private var _storeAltSolid: ImageVector? = null
