package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TeethOpenSolid: ImageVector
    get() {
        if (_teethOpenSolid != null) {
            return _teethOpenSolid!!
        }
        _teethOpenSolid = Builder(name = "TeethOpenSolid", defaultWidth = 32.0.dp, defaultHeight =
                32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 3.0f)
                curveTo(5.037f, 3.0f, 1.0f, 7.037f, 1.0f, 12.0f)
                lineTo(1.0f, 13.0f)
                curveTo(1.0f, 14.65f, 2.35f, 16.0f, 4.0f, 16.0f)
                curveTo(4.77f, 16.0f, 5.47f, 15.7007f, 6.0f, 15.2207f)
                curveTo(6.53f, 15.7007f, 7.23f, 16.0f, 8.0f, 16.0f)
                lineTo(9.0f, 16.0f)
                curveTo(9.77f, 16.0f, 10.47f, 15.7007f, 11.0f, 15.2207f)
                curveTo(11.53f, 15.7007f, 12.23f, 16.0f, 13.0f, 16.0f)
                lineTo(14.0f, 16.0f)
                curveTo(14.77f, 16.0f, 15.47f, 15.7007f, 16.0f, 15.2207f)
                curveTo(16.53f, 15.7007f, 17.23f, 16.0f, 18.0f, 16.0f)
                lineTo(19.0f, 16.0f)
                curveTo(19.77f, 16.0f, 20.47f, 15.7007f, 21.0f, 15.2207f)
                curveTo(21.53f, 15.7007f, 22.23f, 16.0f, 23.0f, 16.0f)
                lineTo(24.0f, 16.0f)
                curveTo(24.77f, 16.0f, 25.47f, 15.7007f, 26.0f, 15.2207f)
                curveTo(26.53f, 15.7007f, 27.23f, 16.0f, 28.0f, 16.0f)
                curveTo(29.65f, 16.0f, 31.0f, 14.65f, 31.0f, 13.0f)
                lineTo(31.0f, 12.0f)
                curveTo(31.0f, 7.037f, 26.963f, 3.0f, 22.0f, 3.0f)
                lineTo(10.0f, 3.0f)
                close()
                moveTo(10.0f, 5.0f)
                lineTo(22.0f, 5.0f)
                curveTo(24.798f, 5.0f, 27.2125f, 6.6542f, 28.332f, 9.0332f)
                curveTo(28.2217f, 9.0208f, 28.1135f, 9.0f, 28.0f, 9.0f)
                curveTo(27.39f, 9.0f, 26.8294f, 9.1802f, 26.3594f, 9.4902f)
                curveTo(25.7294f, 8.5902f, 24.68f, 8.0f, 23.5f, 8.0f)
                curveTo(22.74f, 8.0f, 22.0407f, 8.2502f, 21.4707f, 8.6602f)
                curveTo(20.8507f, 7.6702f, 19.75f, 7.0f, 18.5f, 7.0f)
                curveTo(17.52f, 7.0f, 16.64f, 7.4105f, 16.0f, 8.0605f)
                curveTo(15.36f, 7.4105f, 14.48f, 7.0f, 13.5f, 7.0f)
                curveTo(12.25f, 7.0f, 11.1493f, 7.6702f, 10.5293f, 8.6602f)
                curveTo(9.9593f, 8.2502f, 9.26f, 8.0f, 8.5f, 8.0f)
                curveTo(7.32f, 8.0f, 6.2706f, 8.5902f, 5.6406f, 9.4902f)
                curveTo(5.1706f, 9.1802f, 4.61f, 9.0f, 4.0f, 9.0f)
                curveTo(3.8865f, 9.0f, 3.7783f, 9.0208f, 3.668f, 9.0332f)
                curveTo(4.7875f, 6.6542f, 7.202f, 5.0f, 10.0f, 5.0f)
                close()
                moveTo(13.5f, 9.0f)
                curveTo(14.33f, 9.0f, 15.0f, 9.67f, 15.0f, 10.5f)
                lineTo(15.0f, 13.0f)
                curveTo(15.0f, 13.55f, 14.55f, 14.0f, 14.0f, 14.0f)
                lineTo(13.0f, 14.0f)
                curveTo(12.45f, 14.0f, 12.0f, 13.55f, 12.0f, 13.0f)
                lineTo(12.0f, 10.5f)
                curveTo(12.0f, 9.67f, 12.67f, 9.0f, 13.5f, 9.0f)
                close()
                moveTo(18.5f, 9.0f)
                curveTo(19.33f, 9.0f, 20.0f, 9.67f, 20.0f, 10.5f)
                lineTo(20.0f, 13.0f)
                curveTo(20.0f, 13.55f, 19.55f, 14.0f, 19.0f, 14.0f)
                lineTo(18.0f, 14.0f)
                curveTo(17.45f, 14.0f, 17.0f, 13.55f, 17.0f, 13.0f)
                lineTo(17.0f, 10.5f)
                curveTo(17.0f, 9.67f, 17.67f, 9.0f, 18.5f, 9.0f)
                close()
                moveTo(8.5f, 10.0f)
                curveTo(9.33f, 10.0f, 10.0f, 10.67f, 10.0f, 11.5f)
                lineTo(10.0f, 13.0f)
                curveTo(10.0f, 13.55f, 9.55f, 14.0f, 9.0f, 14.0f)
                lineTo(8.0f, 14.0f)
                curveTo(7.45f, 14.0f, 7.0f, 13.55f, 7.0f, 13.0f)
                lineTo(7.0f, 11.5f)
                curveTo(7.0f, 10.67f, 7.67f, 10.0f, 8.5f, 10.0f)
                close()
                moveTo(23.5f, 10.0f)
                curveTo(24.33f, 10.0f, 25.0f, 10.67f, 25.0f, 11.5f)
                lineTo(25.0f, 13.0f)
                curveTo(25.0f, 13.55f, 24.55f, 14.0f, 24.0f, 14.0f)
                lineTo(23.0f, 14.0f)
                curveTo(22.45f, 14.0f, 22.0f, 13.55f, 22.0f, 13.0f)
                lineTo(22.0f, 11.5f)
                curveTo(22.0f, 10.67f, 22.67f, 10.0f, 23.5f, 10.0f)
                close()
                moveTo(4.0f, 11.0f)
                curveTo(4.55f, 11.0f, 5.0f, 11.45f, 5.0f, 12.0f)
                lineTo(5.0f, 13.0f)
                curveTo(5.0f, 13.55f, 4.55f, 14.0f, 4.0f, 14.0f)
                curveTo(3.45f, 14.0f, 3.0f, 13.55f, 3.0f, 13.0f)
                lineTo(3.0f, 12.0f)
                curveTo(3.0f, 11.45f, 3.45f, 11.0f, 4.0f, 11.0f)
                close()
                moveTo(28.0f, 11.0f)
                curveTo(28.55f, 11.0f, 29.0f, 11.45f, 29.0f, 12.0f)
                lineTo(29.0f, 13.0f)
                curveTo(29.0f, 13.55f, 28.55f, 14.0f, 28.0f, 14.0f)
                curveTo(27.45f, 14.0f, 27.0f, 13.55f, 27.0f, 13.0f)
                lineTo(27.0f, 12.0f)
                curveTo(27.0f, 11.45f, 27.45f, 11.0f, 28.0f, 11.0f)
                close()
                moveTo(4.0f, 18.0f)
                curveTo(2.35f, 18.0f, 1.0f, 19.35f, 1.0f, 21.0f)
                lineTo(1.0f, 22.0f)
                curveTo(1.0f, 25.859f, 4.141f, 29.0f, 8.0f, 29.0f)
                lineTo(24.0f, 29.0f)
                curveTo(27.859f, 29.0f, 31.0f, 25.859f, 31.0f, 22.0f)
                lineTo(31.0f, 21.0f)
                curveTo(31.0f, 19.35f, 29.65f, 18.0f, 28.0f, 18.0f)
                curveTo(27.23f, 18.0f, 26.53f, 18.2993f, 26.0f, 18.7793f)
                curveTo(25.47f, 18.2993f, 24.77f, 18.0f, 24.0f, 18.0f)
                lineTo(23.0f, 18.0f)
                curveTo(22.23f, 18.0f, 21.53f, 18.2993f, 21.0f, 18.7793f)
                curveTo(20.47f, 18.2993f, 19.77f, 18.0f, 19.0f, 18.0f)
                lineTo(18.0f, 18.0f)
                curveTo(17.23f, 18.0f, 16.53f, 18.2993f, 16.0f, 18.7793f)
                curveTo(15.47f, 18.2993f, 14.77f, 18.0f, 14.0f, 18.0f)
                lineTo(13.0f, 18.0f)
                curveTo(12.23f, 18.0f, 11.53f, 18.2993f, 11.0f, 18.7793f)
                curveTo(10.47f, 18.2993f, 9.77f, 18.0f, 9.0f, 18.0f)
                lineTo(8.0f, 18.0f)
                curveTo(7.23f, 18.0f, 6.53f, 18.2993f, 6.0f, 18.7793f)
                curveTo(5.47f, 18.2993f, 4.77f, 18.0f, 4.0f, 18.0f)
                close()
                moveTo(4.0f, 20.0f)
                curveTo(4.55f, 20.0f, 5.0f, 20.45f, 5.0f, 21.0f)
                curveTo(5.0f, 21.55f, 4.55f, 22.0f, 4.0f, 22.0f)
                curveTo(3.45f, 22.0f, 3.0f, 21.55f, 3.0f, 21.0f)
                curveTo(3.0f, 20.45f, 3.45f, 20.0f, 4.0f, 20.0f)
                close()
                moveTo(8.0f, 20.0f)
                lineTo(9.0f, 20.0f)
                curveTo(9.55f, 20.0f, 10.0f, 20.45f, 10.0f, 21.0f)
                lineTo(10.0f, 22.0f)
                curveTo(10.0f, 22.55f, 9.55f, 23.0f, 9.0f, 23.0f)
                curveTo(7.9f, 23.0f, 7.0f, 22.1f, 7.0f, 21.0f)
                curveTo(7.0f, 20.45f, 7.45f, 20.0f, 8.0f, 20.0f)
                close()
                moveTo(13.0f, 20.0f)
                lineTo(14.0f, 20.0f)
                curveTo(14.55f, 20.0f, 15.0f, 20.45f, 15.0f, 21.0f)
                lineTo(15.0f, 22.0f)
                curveTo(15.0f, 22.55f, 14.55f, 23.0f, 14.0f, 23.0f)
                lineTo(13.0f, 23.0f)
                curveTo(12.45f, 23.0f, 12.0f, 22.55f, 12.0f, 22.0f)
                lineTo(12.0f, 21.0f)
                curveTo(12.0f, 20.45f, 12.45f, 20.0f, 13.0f, 20.0f)
                close()
                moveTo(18.0f, 20.0f)
                lineTo(19.0f, 20.0f)
                curveTo(19.55f, 20.0f, 20.0f, 20.45f, 20.0f, 21.0f)
                lineTo(20.0f, 22.0f)
                curveTo(20.0f, 22.55f, 19.55f, 23.0f, 19.0f, 23.0f)
                lineTo(18.0f, 23.0f)
                curveTo(17.45f, 23.0f, 17.0f, 22.55f, 17.0f, 22.0f)
                lineTo(17.0f, 21.0f)
                curveTo(17.0f, 20.45f, 17.45f, 20.0f, 18.0f, 20.0f)
                close()
                moveTo(23.0f, 20.0f)
                lineTo(24.0f, 20.0f)
                curveTo(24.55f, 20.0f, 25.0f, 20.45f, 25.0f, 21.0f)
                curveTo(25.0f, 22.1f, 24.1f, 23.0f, 23.0f, 23.0f)
                curveTo(22.45f, 23.0f, 22.0f, 22.55f, 22.0f, 22.0f)
                lineTo(22.0f, 21.0f)
                curveTo(22.0f, 20.45f, 22.45f, 20.0f, 23.0f, 20.0f)
                close()
                moveTo(28.0f, 20.0f)
                curveTo(28.55f, 20.0f, 29.0f, 20.45f, 29.0f, 21.0f)
                curveTo(29.0f, 21.55f, 28.55f, 22.0f, 28.0f, 22.0f)
                curveTo(27.45f, 22.0f, 27.0f, 21.55f, 27.0f, 21.0f)
                curveTo(27.0f, 20.45f, 27.45f, 20.0f, 28.0f, 20.0f)
                close()
                moveTo(5.8008f, 23.3809f)
                curveTo(6.5408f, 24.3609f, 7.69f, 25.0f, 9.0f, 25.0f)
                curveTo(9.77f, 25.0f, 10.47f, 24.7007f, 11.0f, 24.2207f)
                curveTo(11.53f, 24.7007f, 12.23f, 25.0f, 13.0f, 25.0f)
                lineTo(14.0f, 25.0f)
                curveTo(14.77f, 25.0f, 15.47f, 24.7007f, 16.0f, 24.2207f)
                curveTo(16.53f, 24.7007f, 17.23f, 25.0f, 18.0f, 25.0f)
                lineTo(19.0f, 25.0f)
                curveTo(19.77f, 25.0f, 20.47f, 24.7007f, 21.0f, 24.2207f)
                curveTo(21.53f, 24.7007f, 22.23f, 25.0f, 23.0f, 25.0f)
                curveTo(24.31f, 25.0f, 25.4592f, 24.3609f, 26.1992f, 23.3809f)
                curveTo(26.6992f, 23.7709f, 27.32f, 24.0f, 28.0f, 24.0f)
                curveTo(28.2084f, 24.0f, 28.4126f, 23.9785f, 28.6094f, 23.9375f)
                curveTo(27.851f, 25.7353f, 26.0706f, 27.0f, 24.0f, 27.0f)
                lineTo(8.0f, 27.0f)
                curveTo(5.9294f, 27.0f, 4.149f, 25.7353f, 3.3906f, 23.9375f)
                curveTo(3.5874f, 23.9785f, 3.7916f, 24.0f, 4.0f, 24.0f)
                curveTo(4.68f, 24.0f, 5.3008f, 23.7709f, 5.8008f, 23.3809f)
                close()
            }
        }
        .build()
        return _teethOpenSolid!!
    }

private var _teethOpenSolid: ImageVector? = null
