package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.Themeco: ImageVector
    get() {
        if (_themeco != null) {
            return _themeco!!
        }
        _themeco = Builder(name = "Themeco", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.8398f, 2.998f)
                curveTo(15.3545f, 3.001f, 14.8696f, 3.1144f, 14.4746f, 3.3359f)
                lineTo(5.3906f, 8.4414f)
                curveTo(4.5846f, 8.8934f, 4.0f, 9.8829f, 4.0f, 10.7949f)
                lineTo(4.0f, 21.1445f)
                curveTo(4.0f, 22.0505f, 4.5818f, 23.0401f, 5.3828f, 23.4961f)
                lineTo(14.4727f, 28.6602f)
                curveTo(14.8737f, 28.8882f, 15.3644f, 29.002f, 15.8574f, 29.002f)
                curveTo(16.3374f, 29.002f, 16.8179f, 28.8937f, 17.2109f, 28.6777f)
                lineTo(26.6035f, 23.4941f)
                curveTo(27.4125f, 23.0411f, 28.0f, 22.0535f, 28.0f, 21.1445f)
                lineTo(28.0f, 10.7949f)
                curveTo(28.0f, 9.8769f, 27.4087f, 8.8883f, 26.5957f, 8.4453f)
                lineTo(17.207f, 3.3184f)
                curveTo(16.8095f, 3.1019f, 16.3252f, 2.995f, 15.8398f, 2.998f)
                close()
                moveTo(15.8594f, 5.0f)
                curveTo(16.0094f, 5.0f, 16.158f, 5.0232f, 16.25f, 5.0742f)
                lineTo(25.6387f, 10.2031f)
                curveTo(25.8037f, 10.2931f, 26.0f, 10.6139f, 26.0f, 10.7949f)
                lineTo(26.0f, 21.1445f)
                curveTo(26.0f, 21.3105f, 25.8128f, 21.6441f, 25.6328f, 21.7441f)
                lineTo(16.2422f, 26.9258f)
                curveTo(16.0592f, 27.0268f, 15.6429f, 27.0259f, 15.4609f, 26.9219f)
                lineTo(6.3711f, 21.7578f)
                curveTo(6.1861f, 21.6538f, 6.0f, 21.3125f, 6.0f, 21.1445f)
                lineTo(6.0f, 10.7949f)
                curveTo(6.0f, 10.6109f, 6.1991f, 10.2805f, 6.3691f, 10.1855f)
                lineTo(15.4531f, 5.0801f)
                curveTo(15.5471f, 5.0261f, 15.7044f, 5.0f, 15.8594f, 5.0f)
                close()
                moveTo(21.1797f, 13.1367f)
                curveTo(17.4737f, 13.1367f, 17.3357f, 18.8633f, 21.1797f, 18.8633f)
                curveTo(24.9417f, 18.8623f, 24.9377f, 13.1367f, 21.1797f, 13.1367f)
                close()
                moveTo(10.5898f, 13.2383f)
                curveTo(9.7268f, 13.2383f, 8.863f, 13.2461f, 8.0f, 13.2461f)
                lineTo(8.0f, 18.7383f)
                lineTo(9.0352f, 18.7383f)
                lineTo(9.0352f, 17.1211f)
                lineTo(10.5898f, 17.1211f)
                curveTo(13.2798f, 17.1211f, 13.2728f, 13.2383f, 10.5898f, 13.2383f)
                close()
                moveTo(13.3105f, 13.2383f)
                lineTo(13.3105f, 18.7383f)
                lineTo(14.3477f, 18.7383f)
                lineTo(14.3477f, 16.9023f)
                lineTo(15.3438f, 16.9023f)
                lineTo(16.9434f, 18.7383f)
                lineTo(18.1758f, 18.7383f)
                lineTo(18.1758f, 18.668f)
                lineTo(16.5117f, 16.793f)
                curveTo(18.5147f, 16.386f, 18.3958f, 13.2611f, 15.9238f, 13.2461f)
                curveTo(15.0528f, 13.2461f, 14.1815f, 13.2383f, 13.3105f, 13.2383f)
                close()
                moveTo(21.1797f, 14.0781f)
                curveTo(23.5677f, 14.0781f, 23.6047f, 17.9141f, 21.1797f, 17.9141f)
                curveTo(18.7547f, 17.9141f, 18.7747f, 14.0781f, 21.1797f, 14.0781f)
                close()
                moveTo(9.002f, 14.123f)
                lineTo(10.752f, 14.123f)
                curveTo(11.899f, 14.123f, 11.895f, 16.2266f, 10.752f, 16.2266f)
                lineTo(9.002f, 16.2266f)
                lineTo(9.002f, 14.123f)
                close()
                moveTo(14.3477f, 14.2109f)
                lineTo(15.9238f, 14.2109f)
                curveTo(17.1878f, 14.2109f, 17.1828f, 15.9688f, 15.9238f, 15.9688f)
                lineTo(14.3477f, 15.9688f)
                lineTo(14.3477f, 14.2109f)
                close()
            }
        }
        .build()
        return _themeco!!
    }

private var _themeco: ImageVector? = null
