package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TrafficLightSolid: ImageVector
    get() {
        if (_trafficLightSolid != null) {
            return _trafficLightSolid!!
        }
        _trafficLightSolid = Builder(name = "TrafficLightSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.0f, 4.0f)
                lineTo(10.0f, 7.0f)
                lineTo(7.0f, 7.0f)
                lineTo(7.0f, 8.0f)
                curveTo(7.0f, 9.8867f, 7.7461f, 11.207f, 8.625f, 11.9688f)
                curveTo(9.0664f, 12.3516f, 9.5352f, 12.625f, 9.9375f, 12.7813f)
                curveTo(9.9609f, 12.7891f, 9.9766f, 12.7734f, 10.0f, 12.7813f)
                lineTo(10.0f, 13.0f)
                lineTo(7.0f, 13.0f)
                lineTo(7.0f, 14.0f)
                curveTo(7.0f, 15.8867f, 7.7461f, 17.207f, 8.625f, 17.9688f)
                curveTo(9.0664f, 18.3516f, 9.5352f, 18.625f, 9.9375f, 18.7813f)
                curveTo(9.9609f, 18.7891f, 9.9766f, 18.7734f, 10.0f, 18.7813f)
                lineTo(10.0f, 19.0f)
                lineTo(7.0f, 19.0f)
                lineTo(7.0f, 20.0f)
                curveTo(7.0f, 21.8867f, 7.7461f, 23.207f, 8.625f, 23.9688f)
                curveTo(9.0664f, 24.3516f, 9.5352f, 24.625f, 9.9375f, 24.7813f)
                curveTo(9.9609f, 24.7891f, 9.9766f, 24.7734f, 10.0f, 24.7813f)
                lineTo(10.0f, 28.0f)
                lineTo(22.0f, 28.0f)
                lineTo(22.0f, 24.7813f)
                curveTo(22.0234f, 24.7734f, 22.0391f, 24.7891f, 22.0625f, 24.7813f)
                curveTo(22.4648f, 24.625f, 22.9336f, 24.3516f, 23.375f, 23.9688f)
                curveTo(24.2539f, 23.207f, 25.0f, 21.8867f, 25.0f, 20.0f)
                lineTo(25.0f, 19.0f)
                lineTo(22.0f, 19.0f)
                lineTo(22.0f, 18.7813f)
                curveTo(22.0234f, 18.7734f, 22.0391f, 18.7891f, 22.0625f, 18.7813f)
                curveTo(22.4648f, 18.625f, 22.9336f, 18.3516f, 23.375f, 17.9688f)
                curveTo(24.2539f, 17.207f, 25.0f, 15.8867f, 25.0f, 14.0f)
                lineTo(25.0f, 13.0f)
                lineTo(22.0f, 13.0f)
                lineTo(22.0f, 12.7813f)
                curveTo(22.0234f, 12.7734f, 22.0391f, 12.7891f, 22.0625f, 12.7813f)
                curveTo(22.4648f, 12.625f, 22.9336f, 12.3516f, 23.375f, 11.9688f)
                curveTo(24.2539f, 11.207f, 25.0f, 9.8867f, 25.0f, 8.0f)
                lineTo(25.0f, 7.0f)
                lineTo(22.0f, 7.0f)
                lineTo(22.0f, 4.0f)
                close()
                moveTo(12.0f, 6.0f)
                lineTo(20.0f, 6.0f)
                lineTo(20.0f, 9.0f)
                lineTo(22.8125f, 9.0f)
                curveTo(22.6406f, 9.6719f, 22.3945f, 10.1836f, 22.0625f, 10.4688f)
                curveTo(21.8203f, 10.6797f, 21.5547f, 10.8242f, 21.3438f, 10.9063f)
                curveTo(21.1328f, 10.9883f, 20.918f, 11.0f, 21.0f, 11.0f)
                lineTo(20.0f, 11.0f)
                lineTo(20.0f, 15.0f)
                lineTo(22.8125f, 15.0f)
                curveTo(22.6406f, 15.6719f, 22.3945f, 16.1836f, 22.0625f, 16.4688f)
                curveTo(21.8203f, 16.6797f, 21.5547f, 16.8242f, 21.3438f, 16.9063f)
                curveTo(21.1328f, 16.9883f, 20.918f, 17.0f, 21.0f, 17.0f)
                lineTo(20.0f, 17.0f)
                lineTo(20.0f, 21.0f)
                lineTo(22.8125f, 21.0f)
                curveTo(22.6406f, 21.6719f, 22.3945f, 22.1836f, 22.0625f, 22.4688f)
                curveTo(21.8203f, 22.6797f, 21.5547f, 22.8242f, 21.3438f, 22.9063f)
                curveTo(21.1328f, 22.9883f, 20.918f, 23.0f, 21.0f, 23.0f)
                lineTo(20.0f, 23.0f)
                lineTo(20.0f, 26.0f)
                lineTo(12.0f, 26.0f)
                lineTo(12.0f, 23.0f)
                lineTo(11.0f, 23.0f)
                curveTo(11.082f, 23.0f, 10.8672f, 22.9883f, 10.6563f, 22.9063f)
                curveTo(10.4453f, 22.8242f, 10.1797f, 22.6797f, 9.9375f, 22.4688f)
                curveTo(9.6055f, 22.1836f, 9.3594f, 21.6719f, 9.1875f, 21.0f)
                lineTo(12.0f, 21.0f)
                lineTo(12.0f, 17.0f)
                lineTo(11.0f, 17.0f)
                curveTo(11.082f, 17.0f, 10.8672f, 16.9883f, 10.6563f, 16.9063f)
                curveTo(10.4453f, 16.8242f, 10.1797f, 16.6797f, 9.9375f, 16.4688f)
                curveTo(9.6055f, 16.1836f, 9.3594f, 15.6719f, 9.1875f, 15.0f)
                lineTo(12.0f, 15.0f)
                lineTo(12.0f, 11.0f)
                lineTo(11.0f, 11.0f)
                curveTo(11.082f, 11.0f, 10.8672f, 10.9883f, 10.6563f, 10.9063f)
                curveTo(10.4453f, 10.8242f, 10.1797f, 10.6797f, 9.9375f, 10.4688f)
                curveTo(9.6055f, 10.1836f, 9.3594f, 9.6719f, 9.1875f, 9.0f)
                lineTo(12.0f, 9.0f)
                close()
                moveTo(16.0f, 8.0f)
                curveTo(14.8945f, 8.0f, 14.0f, 8.8945f, 14.0f, 10.0f)
                curveTo(14.0f, 11.1055f, 14.8945f, 12.0f, 16.0f, 12.0f)
                curveTo(17.1055f, 12.0f, 18.0f, 11.1055f, 18.0f, 10.0f)
                curveTo(18.0f, 8.8945f, 17.1055f, 8.0f, 16.0f, 8.0f)
                close()
                moveTo(16.0f, 14.0f)
                curveTo(14.8945f, 14.0f, 14.0f, 14.8945f, 14.0f, 16.0f)
                curveTo(14.0f, 17.1055f, 14.8945f, 18.0f, 16.0f, 18.0f)
                curveTo(17.1055f, 18.0f, 18.0f, 17.1055f, 18.0f, 16.0f)
                curveTo(18.0f, 14.8945f, 17.1055f, 14.0f, 16.0f, 14.0f)
                close()
                moveTo(16.0f, 20.0f)
                curveTo(14.8945f, 20.0f, 14.0f, 20.8945f, 14.0f, 22.0f)
                curveTo(14.0f, 23.1055f, 14.8945f, 24.0f, 16.0f, 24.0f)
                curveTo(17.1055f, 24.0f, 18.0f, 23.1055f, 18.0f, 22.0f)
                curveTo(18.0f, 20.8945f, 17.1055f, 20.0f, 16.0f, 20.0f)
                close()
            }
        }
        .build()
        return _trafficLightSolid!!
    }

private var _trafficLightSolid: ImageVector? = null
