package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.TruckMonsterSolid: ImageVector
    get() {
        if (_truckMonsterSolid != null) {
            return _truckMonsterSolid!!
        }
        _truckMonsterSolid = Builder(name = "TruckMonsterSolid", defaultWidth = 32.0.dp,
                defaultHeight = 32.0.dp, viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.0f, 4.0f)
                curveTo(12.897f, 4.0f, 12.0f, 4.897f, 12.0f, 6.0f)
                lineTo(12.0f, 10.0f)
                lineTo(6.0f, 10.0f)
                curveTo(4.346f, 10.0f, 3.0f, 11.346f, 3.0f, 13.0f)
                lineTo(3.0f, 15.8203f)
                curveTo(1.7698f, 17.0037f, 1.0f, 18.6623f, 1.0f, 20.5f)
                curveTo(1.0f, 24.084f, 3.916f, 27.0f, 7.5f, 27.0f)
                curveTo(11.084f, 27.0f, 14.0f, 24.084f, 14.0f, 20.5f)
                curveTo(14.0f, 19.9832f, 13.9329f, 19.4823f, 13.8184f, 19.0f)
                lineTo(18.1816f, 19.0f)
                curveTo(18.0671f, 19.4823f, 18.0f, 19.9832f, 18.0f, 20.5f)
                curveTo(18.0f, 24.084f, 20.916f, 27.0f, 24.5f, 27.0f)
                curveTo(28.084f, 27.0f, 31.0f, 24.084f, 31.0f, 20.5f)
                curveTo(31.0f, 18.6623f, 30.2302f, 17.0037f, 29.0f, 15.8203f)
                lineTo(29.0f, 12.0f)
                curveTo(29.0f, 10.897f, 28.103f, 10.0f, 27.0f, 10.0f)
                lineTo(24.0f, 10.0f)
                lineTo(23.5352f, 10.0f)
                lineTo(20.7227f, 5.7813f)
                curveTo(19.9797f, 4.6663f, 18.7355f, 4.0f, 17.3945f, 4.0f)
                lineTo(14.0f, 4.0f)
                close()
                moveTo(14.0f, 6.0f)
                lineTo(17.3945f, 6.0f)
                curveTo(18.0635f, 6.0f, 18.6866f, 6.3326f, 19.0586f, 6.8906f)
                lineTo(21.1309f, 10.0f)
                lineTo(14.0f, 10.0f)
                lineTo(14.0f, 6.0f)
                close()
                moveTo(6.0f, 12.0f)
                lineTo(14.0f, 12.0f)
                lineTo(24.0f, 12.0f)
                lineTo(27.0f, 12.0f)
                lineTo(27.0f, 14.502f)
                curveTo(26.2298f, 14.1797f, 25.3858f, 14.0f, 24.5f, 14.0f)
                curveTo(22.2052f, 14.0f, 20.1882f, 15.1991f, 19.0313f, 17.0f)
                lineTo(12.9688f, 17.0f)
                curveTo(11.8118f, 15.1991f, 9.7948f, 14.0f, 7.5f, 14.0f)
                curveTo(6.6142f, 14.0f, 5.7702f, 14.1797f, 5.0f, 14.502f)
                lineTo(5.0f, 13.0f)
                curveTo(5.0f, 12.448f, 5.448f, 12.0f, 6.0f, 12.0f)
                close()
                moveTo(7.5f, 16.0f)
                curveTo(7.6731f, 16.0f, 7.8378f, 16.0317f, 8.0059f, 16.0508f)
                lineTo(7.9531f, 16.5273f)
                curveTo(8.5111f, 16.5883f, 9.0404f, 16.7648f, 9.5254f, 17.0508f)
                lineTo(9.7695f, 16.6367f)
                curveTo(10.5807f, 17.1154f, 11.2352f, 17.8287f, 11.6172f, 18.6973f)
                lineTo(11.166f, 18.8965f)
                curveTo(11.388f, 19.4015f, 11.5f, 19.941f, 11.5f, 20.5f)
                lineTo(11.5f, 20.5254f)
                lineTo(11.998f, 20.5137f)
                curveTo(11.995f, 21.5039f, 11.6623f, 22.4116f, 11.1152f, 23.1543f)
                lineTo(10.7246f, 22.8672f)
                curveTo(10.3966f, 23.3142f, 9.9683f, 23.6967f, 9.4863f, 23.9727f)
                lineTo(9.7246f, 24.3887f)
                curveTo(9.0657f, 24.7674f, 8.3129f, 25.0f, 7.5f, 25.0f)
                curveTo(7.3356f, 25.0f, 7.1794f, 24.9685f, 7.0195f, 24.9512f)
                lineTo(7.0684f, 24.4766f)
                curveTo(6.5104f, 24.4176f, 5.9792f, 24.2439f, 5.4922f, 23.9609f)
                lineTo(5.252f, 24.375f)
                curveTo(4.438f, 23.9006f, 3.7812f, 23.1903f, 3.3945f, 22.3242f)
                lineTo(3.8438f, 22.125f)
                curveTo(3.6147f, 21.612f, 3.499f, 21.0654f, 3.498f, 20.5254f)
                lineTo(3.502f, 20.4453f)
                lineTo(3.002f, 20.4727f)
                curveTo(3.008f, 19.4784f, 3.3484f, 18.5691f, 3.9023f, 17.8262f)
                lineTo(4.2891f, 18.1152f)
                curveTo(4.6201f, 17.6692f, 5.0502f, 17.2896f, 5.5332f, 17.0156f)
                lineTo(5.2988f, 16.5996f)
                curveTo(5.9525f, 16.2289f, 6.6965f, 16.0f, 7.5f, 16.0f)
                close()
                moveTo(24.5f, 16.0f)
                curveTo(25.3035f, 16.0f, 26.0475f, 16.2289f, 26.7012f, 16.5996f)
                lineTo(26.4668f, 17.0156f)
                curveTo(26.9498f, 17.2896f, 27.3799f, 17.6692f, 27.7109f, 18.1152f)
                lineTo(28.0977f, 17.8262f)
                curveTo(28.652f, 18.5696f, 28.9924f, 19.4795f, 28.998f, 20.4746f)
                lineTo(28.5f, 20.5f)
                curveTo(28.5f, 21.066f, 28.3853f, 21.612f, 28.1563f, 22.125f)
                lineTo(28.6055f, 22.3242f)
                curveTo(28.2186f, 23.1908f, 27.5608f, 23.9006f, 26.7461f, 24.375f)
                lineTo(26.5059f, 23.9609f)
                curveTo(26.0189f, 24.2449f, 25.4887f, 24.4176f, 24.9297f, 24.4766f)
                lineTo(24.9785f, 24.9512f)
                curveTo(24.8192f, 24.9683f, 24.6638f, 25.0f, 24.5f, 25.0f)
                curveTo(23.6871f, 25.0f, 22.9343f, 24.7674f, 22.2754f, 24.3887f)
                lineTo(22.5137f, 23.9727f)
                curveTo(22.0317f, 23.6967f, 21.6034f, 23.3122f, 21.2754f, 22.8652f)
                lineTo(20.8848f, 23.1523f)
                curveTo(20.3379f, 22.4094f, 20.0046f, 21.5022f, 20.002f, 20.5117f)
                lineTo(20.5f, 20.5f)
                curveTo(20.5f, 19.941f, 20.612f, 19.4015f, 20.834f, 18.8965f)
                lineTo(20.3828f, 18.6973f)
                curveTo(20.7648f, 17.8287f, 21.4193f, 17.1154f, 22.2305f, 16.6367f)
                lineTo(22.4746f, 17.0508f)
                curveTo(22.9596f, 16.7648f, 23.4879f, 16.5883f, 24.0469f, 16.5273f)
                lineTo(23.9941f, 16.0508f)
                curveTo(24.1622f, 16.0317f, 24.3269f, 16.0f, 24.5f, 16.0f)
                close()
                moveTo(7.5f, 19.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 7.5f, 22.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 7.5f, 19.0f)
                close()
                moveTo(24.5f, 19.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 24.5f, 22.0f)
                arcTo(1.5f, 1.5f, 0.0f, false, false, 24.5f, 19.0f)
                close()
            }
        }
        .build()
        return _truckMonsterSolid!!
    }

private var _truckMonsterSolid: ImageVector? = null
