package compose.icons.lineawesomeicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.LineAwesomeIcons

public val LineAwesomeIcons.WaterSolid: ImageVector
    get() {
        if (_waterSolid != null) {
            return _waterSolid!!
        }
        _waterSolid = Builder(name = "WaterSolid", defaultWidth = 32.0.dp, defaultHeight = 32.0.dp,
                viewportWidth = 32.0f, viewportHeight = 32.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.0f, 7.0f)
                curveTo(0.0f, 8.625f, 1.832f, 10.0f, 4.0f, 10.0f)
                curveTo(5.1875f, 10.0f, 6.2617f, 9.582f, 7.0f, 8.9414f)
                curveTo(7.7383f, 9.582f, 8.8125f, 10.0f, 10.0f, 10.0f)
                curveTo(11.1875f, 10.0f, 12.2617f, 9.582f, 13.0f, 8.9414f)
                curveTo(13.7383f, 9.582f, 14.8125f, 10.0f, 16.0f, 10.0f)
                curveTo(17.1875f, 10.0f, 18.2617f, 9.582f, 19.0f, 8.9414f)
                curveTo(19.7383f, 9.582f, 20.8125f, 10.0f, 22.0f, 10.0f)
                curveTo(23.1875f, 10.0f, 24.2617f, 9.582f, 25.0f, 8.9414f)
                curveTo(25.7383f, 9.582f, 26.8125f, 10.0f, 28.0f, 10.0f)
                curveTo(30.168f, 10.0f, 32.0f, 8.625f, 32.0f, 7.0f)
                lineTo(30.0f, 7.0f)
                curveTo(30.0f, 7.3047f, 29.2422f, 8.0f, 28.0f, 8.0f)
                curveTo(26.7773f, 8.0f, 26.0f, 7.2969f, 26.0f, 7.0f)
                lineTo(24.0f, 7.0f)
                curveTo(24.0f, 7.3047f, 23.2422f, 8.0f, 22.0f, 8.0f)
                curveTo(20.7773f, 8.0f, 20.0f, 7.2969f, 20.0f, 7.0f)
                lineTo(18.0f, 7.0f)
                curveTo(18.0f, 7.3047f, 17.2422f, 8.0f, 16.0f, 8.0f)
                curveTo(14.7773f, 8.0f, 14.0f, 7.2969f, 14.0f, 7.0f)
                lineTo(12.0f, 7.0f)
                curveTo(12.0f, 7.3047f, 11.2461f, 8.0f, 10.0f, 8.0f)
                curveTo(8.7773f, 8.0f, 8.0f, 7.2969f, 8.0f, 7.0f)
                lineTo(6.0f, 7.0f)
                curveTo(6.0f, 7.3047f, 5.2461f, 8.0f, 4.0f, 8.0f)
                curveTo(2.7773f, 8.0f, 2.0f, 7.2969f, 2.0f, 7.0f)
                close()
                moveTo(0.0f, 15.0f)
                curveTo(0.0f, 16.625f, 1.832f, 18.0f, 4.0f, 18.0f)
                curveTo(5.1875f, 18.0f, 6.2617f, 17.582f, 7.0f, 16.9414f)
                curveTo(7.7383f, 17.582f, 8.8125f, 18.0f, 10.0f, 18.0f)
                curveTo(11.1875f, 18.0f, 12.2617f, 17.582f, 13.0f, 16.9414f)
                curveTo(13.7383f, 17.582f, 14.8125f, 18.0f, 16.0f, 18.0f)
                curveTo(17.1875f, 18.0f, 18.2617f, 17.582f, 19.0f, 16.9414f)
                curveTo(19.7383f, 17.582f, 20.8125f, 18.0f, 22.0f, 18.0f)
                curveTo(23.1875f, 18.0f, 24.2617f, 17.582f, 25.0f, 16.9414f)
                curveTo(25.7383f, 17.582f, 26.8125f, 18.0f, 28.0f, 18.0f)
                curveTo(30.168f, 18.0f, 32.0f, 16.625f, 32.0f, 15.0f)
                lineTo(30.0f, 15.0f)
                curveTo(30.0f, 15.3047f, 29.2422f, 16.0f, 28.0f, 16.0f)
                curveTo(26.7773f, 16.0f, 26.0f, 15.2969f, 26.0f, 15.0f)
                lineTo(24.0f, 15.0f)
                curveTo(24.0f, 15.3047f, 23.2422f, 16.0f, 22.0f, 16.0f)
                curveTo(20.7773f, 16.0f, 20.0f, 15.2969f, 20.0f, 15.0f)
                lineTo(18.0f, 15.0f)
                curveTo(18.0f, 15.3047f, 17.2422f, 16.0f, 16.0f, 16.0f)
                curveTo(14.7773f, 16.0f, 14.0f, 15.2969f, 14.0f, 15.0f)
                lineTo(12.0f, 15.0f)
                curveTo(12.0f, 15.3047f, 11.2461f, 16.0f, 10.0f, 16.0f)
                curveTo(8.7773f, 16.0f, 8.0f, 15.2969f, 8.0f, 15.0f)
                lineTo(6.0f, 15.0f)
                curveTo(6.0f, 15.3047f, 5.2461f, 16.0f, 4.0f, 16.0f)
                curveTo(2.7773f, 16.0f, 2.0f, 15.2969f, 2.0f, 15.0f)
                close()
                moveTo(0.0f, 23.0f)
                curveTo(0.0f, 24.625f, 1.832f, 26.0f, 4.0f, 26.0f)
                curveTo(5.1875f, 26.0f, 6.2617f, 25.582f, 7.0f, 24.9414f)
                curveTo(7.7383f, 25.582f, 8.8125f, 26.0f, 10.0f, 26.0f)
                curveTo(11.1875f, 26.0f, 12.2617f, 25.582f, 13.0f, 24.9414f)
                curveTo(13.7383f, 25.582f, 14.8125f, 26.0f, 16.0f, 26.0f)
                curveTo(17.1875f, 26.0f, 18.2617f, 25.582f, 19.0f, 24.9414f)
                curveTo(19.7383f, 25.582f, 20.8125f, 26.0f, 22.0f, 26.0f)
                curveTo(23.1875f, 26.0f, 24.2617f, 25.582f, 25.0f, 24.9414f)
                curveTo(25.7383f, 25.582f, 26.8125f, 26.0f, 28.0f, 26.0f)
                curveTo(30.168f, 26.0f, 32.0f, 24.625f, 32.0f, 23.0f)
                lineTo(30.0f, 23.0f)
                curveTo(30.0f, 23.3047f, 29.2422f, 24.0f, 28.0f, 24.0f)
                curveTo(26.7773f, 24.0f, 26.0f, 23.2969f, 26.0f, 23.0f)
                lineTo(24.0f, 23.0f)
                curveTo(24.0f, 23.3047f, 23.2422f, 24.0f, 22.0f, 24.0f)
                curveTo(20.7773f, 24.0f, 20.0f, 23.2969f, 20.0f, 23.0f)
                lineTo(18.0f, 23.0f)
                curveTo(18.0f, 23.3047f, 17.2422f, 24.0f, 16.0f, 24.0f)
                curveTo(14.7773f, 24.0f, 14.0f, 23.2969f, 14.0f, 23.0f)
                lineTo(12.0f, 23.0f)
                curveTo(12.0f, 23.3047f, 11.2461f, 24.0f, 10.0f, 24.0f)
                curveTo(8.7773f, 24.0f, 8.0f, 23.2969f, 8.0f, 23.0f)
                lineTo(6.0f, 23.0f)
                curveTo(6.0f, 23.3047f, 5.2461f, 24.0f, 4.0f, 24.0f)
                curveTo(2.7773f, 24.0f, 2.0f, 23.2969f, 2.0f, 23.0f)
                close()
            }
        }
        .build()
        return _waterSolid!!
    }

private var _waterSolid: ImageVector? = null
