package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Database24: ImageVector
    get() {
        if (_database24 != null) {
            return _database24!!
        }
        _database24 = Builder(name = "Database24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.0f, 1.25f)
                curveToRelative(-2.487f, 0.0f, -4.774f, 0.402f, -6.466f, 1.079f)
                curveToRelative(-0.844f, 0.337f, -1.577f, 0.758f, -2.112f, 1.264f)
                curveTo(2.886f, 4.1f, 2.5f, 4.744f, 2.5f, 5.5f)
                verticalLineToRelative(12.987f)
                lineToRelative(0.026f, 0.013f)
                horizontalLineTo(2.5f)
                curveToRelative(0.0f, 0.756f, 0.386f, 1.4f, 0.922f, 1.907f)
                curveToRelative(0.535f, 0.506f, 1.268f, 0.927f, 2.112f, 1.264f)
                curveToRelative(1.692f, 0.677f, 3.979f, 1.079f, 6.466f, 1.079f)
                reflectiveCurveToRelative(4.773f, -0.402f, 6.466f, -1.079f)
                curveToRelative(0.844f, -0.337f, 1.577f, -0.758f, 2.112f, -1.264f)
                curveToRelative(0.536f, -0.507f, 0.922f, -1.151f, 0.922f, -1.907f)
                horizontalLineToRelative(-0.026f)
                lineToRelative(0.026f, -0.013f)
                verticalLineTo(5.5f)
                curveToRelative(0.0f, -0.756f, -0.386f, -1.4f, -0.922f, -1.907f)
                curveToRelative(-0.535f, -0.506f, -1.268f, -0.927f, -2.112f, -1.264f)
                curveTo(16.773f, 1.652f, 14.487f, 1.25f, 12.0f, 1.25f)
                close()
                moveTo(4.0f, 5.5f)
                curveToRelative(0.0f, -0.21f, 0.104f, -0.487f, 0.453f, -0.817f)
                curveToRelative(0.35f, -0.332f, 0.899f, -0.666f, 1.638f, -0.962f)
                curveTo(7.566f, 3.131f, 9.655f, 2.75f, 12.0f, 2.75f)
                curveToRelative(2.345f, 0.0f, 4.434f, 0.382f, 5.909f, 0.971f)
                curveToRelative(0.74f, 0.296f, 1.287f, 0.63f, 1.638f, 0.962f)
                curveToRelative(0.35f, 0.33f, 0.453f, 0.606f, 0.453f, 0.817f)
                curveToRelative(0.0f, 0.21f, -0.104f, 0.487f, -0.453f, 0.817f)
                curveToRelative(-0.35f, 0.332f, -0.899f, 0.666f, -1.638f, 0.962f)
                curveToRelative(-1.475f, 0.59f, -3.564f, 0.971f, -5.909f, 0.971f)
                curveToRelative(-2.345f, 0.0f, -4.434f, -0.382f, -5.909f, -0.971f)
                curveToRelative(-0.74f, -0.296f, -1.287f, -0.63f, -1.638f, -0.962f)
                curveTo(4.103f, 5.987f, 4.0f, 5.711f, 4.0f, 5.5f)
                close()
                moveTo(20.0f, 12.0f)
                verticalLineTo(7.871f)
                arcToRelative(7.842f, 7.842f, 0.0f, false, true, -1.534f, 0.8f)
                curveTo(16.773f, 9.348f, 14.487f, 9.75f, 12.0f, 9.75f)
                reflectiveCurveToRelative(-4.774f, -0.402f, -6.466f, -1.079f)
                arcTo(7.843f, 7.843f, 0.0f, false, true, 4.0f, 7.871f)
                verticalLineTo(12.0f)
                curveToRelative(0.0f, 0.21f, 0.104f, 0.487f, 0.453f, 0.817f)
                curveToRelative(0.35f, 0.332f, 0.899f, 0.666f, 1.638f, 0.961f)
                curveToRelative(1.475f, 0.59f, 3.564f, 0.972f, 5.909f, 0.972f)
                curveToRelative(2.345f, 0.0f, 4.434f, -0.382f, 5.909f, -0.972f)
                curveToRelative(0.74f, -0.295f, 1.287f, -0.629f, 1.638f, -0.96f)
                curveToRelative(0.35f, -0.33f, 0.453f, -0.607f, 0.453f, -0.818f)
                close()
                moveTo(4.0f, 14.371f)
                curveToRelative(0.443f, 0.305f, 0.963f, 0.572f, 1.534f, 0.8f)
                curveToRelative(1.692f, 0.677f, 3.979f, 1.079f, 6.466f, 1.079f)
                reflectiveCurveToRelative(4.773f, -0.402f, 6.466f, -1.079f)
                arcToRelative(7.842f, 7.842f, 0.0f, false, false, 1.534f, -0.8f)
                verticalLineToRelative(4.116f)
                lineToRelative(0.013f, 0.013f)
                horizontalLineTo(20.0f)
                curveToRelative(0.0f, 0.21f, -0.104f, 0.487f, -0.453f, 0.817f)
                curveToRelative(-0.35f, 0.332f, -0.899f, 0.666f, -1.638f, 0.962f)
                curveToRelative(-1.475f, 0.59f, -3.564f, 0.971f, -5.909f, 0.971f)
                curveToRelative(-2.345f, 0.0f, -4.434f, -0.382f, -5.909f, -0.971f)
                curveToRelative(-0.74f, -0.296f, -1.287f, -0.63f, -1.638f, -0.962f)
                curveToRelative(-0.35f, -0.33f, -0.453f, -0.606f, -0.453f, -0.817f)
                horizontalLineToRelative(-0.013f)
                lineTo(4.0f, 18.487f)
                verticalLineTo(14.37f)
                close()
            }
        }
        .build()
        return _database24!!
    }

private var _database24: ImageVector? = null
