package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.RepoTemplate16: ImageVector
    get() {
        if (_repoTemplate16 != null) {
            return _repoTemplate16!!
        }
        _repoTemplate16 = Builder(name = "RepoTemplate16", defaultWidth = 16.0.dp, defaultHeight =
                16.0.dp, viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(6.0f, 0.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 6.75f, 0.0f)
                horizontalLineToRelative(2.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-2.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 6.0f, 0.75f)
                close()
                moveTo(11.0f, 0.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, -0.75f)
                horizontalLineToRelative(1.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, 0.75f)
                verticalLineToRelative(1.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.5f, 0.0f)
                lineTo(12.5f, 1.5f)
                horizontalLineToRelative(-0.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 11.0f, 0.75f)
                close()
                moveTo(4.992f, 0.662f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -0.636f, 0.848f)
                curveToRelative(-0.436f, 0.063f, -0.783f, 0.41f, -0.846f, 0.846f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.485f, -0.212f)
                arcTo(2.501f, 2.501f, 0.0f, false, true, 4.144f, 0.025f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.848f, 0.637f)
                close()
                moveTo(2.75f, 4.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, 0.75f)
                verticalLineToRelative(1.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.5f, 0.0f)
                verticalLineToRelative(-1.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 2.75f, 4.0f)
                close()
                moveTo(13.25f, 4.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, 0.75f)
                verticalLineToRelative(1.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.5f, 0.0f)
                verticalLineToRelative(-1.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, -0.75f)
                close()
                moveTo(2.75f, 8.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, 0.75f)
                verticalLineToRelative(0.268f)
                arcTo(1.72f, 1.72f, 0.0f, false, true, 3.75f, 9.0f)
                horizontalLineToRelative(0.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-0.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, 0.25f)
                verticalLineToRelative(0.75f)
                curveToRelative(0.0f, 0.28f, 0.114f, 0.532f, 0.3f, 0.714f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -1.05f, 1.072f)
                arcTo(2.495f, 2.495f, 0.0f, false, true, 2.0f, 11.5f)
                lineTo(2.0f, 8.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 2.75f, 8.0f)
                close()
                moveTo(13.25f, 8.0f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, 0.75f)
                verticalLineToRelative(4.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -0.75f, 0.75f)
                horizontalLineToRelative(-2.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, -1.5f)
                horizontalLineToRelative(1.75f)
                verticalLineToRelative(-2.0f)
                horizontalLineToRelative(-0.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, -1.5f)
                horizontalLineToRelative(0.75f)
                verticalLineToRelative(-0.25f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.75f, -0.75f)
                close()
                moveTo(6.0f, 9.75f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 6.75f, 9.0f)
                horizontalLineToRelative(2.5f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, 1.5f)
                horizontalLineToRelative(-2.5f)
                arcTo(0.75f, 0.75f, 0.0f, false, true, 6.0f, 9.75f)
                close()
                moveTo(5.0f, 12.25f)
                verticalLineToRelative(3.25f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.4f, 0.2f)
                lineToRelative(1.45f, -1.087f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.3f, 0.0f)
                lineTo(8.6f, 15.7f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.4f, -0.2f)
                verticalLineToRelative(-3.25f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, -0.25f)
                horizontalLineToRelative(-3.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, -0.25f, 0.25f)
                close()
            }
        }
        .build()
        return _repoTemplate16!!
    }

private var _repoTemplate16: ImageVector? = null
