package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Squirrel24: ImageVector
    get() {
        if (_squirrel24 != null) {
            return _squirrel24!!
        }
        _squirrel24 = Builder(name = "Squirrel24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.377f, 3.49f)
                curveToRelative(-1.862f, -0.31f, -3.718f, 0.62f, -4.456f, 2.095f)
                curveToRelative(-0.428f, 0.857f, -0.691f, 1.624f, -0.728f, 2.361f)
                curveToRelative(-0.035f, 0.71f, 0.138f, 1.444f, 0.67f, 2.252f)
                curveToRelative(0.644f, 0.854f, 1.199f, 1.913f, 1.608f, 3.346f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, true, -1.442f, 0.412f)
                curveToRelative(-0.353f, -1.236f, -0.82f, -2.135f, -1.372f, -2.865f)
                lineToRelative(-0.008f, -0.01f)
                curveToRelative(-0.53f, -0.698f, -1.14f, -1.242f, -1.807f, -1.778f)
                arcToRelative(50.724f, 50.724f, 0.0f, false, false, -0.667f, -0.524f)
                curveTo(9.024f, 7.884f, 7.71f, 6.863f, 6.471f, 5.16f)
                curveToRelative(-0.59f, 0.287f, -1.248f, 0.798f, -1.806f, 1.454f)
                curveToRelative(-0.665f, 0.78f, -1.097f, 1.66f, -1.158f, 2.446f)
                curveToRelative(0.246f, 0.36f, 0.685f, 0.61f, 1.246f, 0.715f)
                curveToRelative(0.643f, 0.12f, 1.278f, 0.015f, 1.633f, -0.182f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, true, 0.728f, 1.311f)
                curveToRelative(-0.723f, 0.402f, -1.728f, 0.516f, -2.637f, 0.346f)
                curveToRelative(-0.916f, -0.172f, -1.898f, -0.667f, -2.398f, -1.666f)
                lineTo(2.0f, 9.427f)
                verticalLineTo(9.25f)
                curveToRelative(0.0f, -1.323f, 0.678f, -2.615f, 1.523f, -3.607f)
                curveToRelative(0.7f, -0.824f, 1.59f, -1.528f, 2.477f, -1.917f)
                verticalLineTo(2.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, true, 1.5f, 0.0f)
                verticalLineToRelative(1.27f)
                curveToRelative(1.154f, 1.67f, 2.363f, 2.612f, 3.568f, 3.551f)
                curveToRelative(0.207f, 0.162f, 0.415f, 0.323f, 0.621f, 0.489f)
                curveToRelative(0.001f, -0.063f, 0.003f, -0.126f, 0.006f, -0.188f)
                curveToRelative(0.052f, -1.034f, 0.414f, -2.017f, 0.884f, -2.958f)
                curveToRelative(1.06f, -2.118f, 3.594f, -3.313f, 6.044f, -2.904f)
                curveToRelative(1.225f, 0.204f, 2.329f, 0.795f, 3.125f, 1.748f)
                curveTo(22.546f, 4.713f, 23.0f, 5.988f, 23.0f, 7.5f)
                curveToRelative(0.0f, 1.496f, -0.913f, 3.255f, -2.688f, 3.652f)
                curveToRelative(0.838f, 1.699f, 1.438f, 3.768f, 1.181f, 5.697f)
                curveToRelative(-0.269f, 2.017f, -1.04f, 3.615f, -2.582f, 4.675f)
                curveTo(17.409f, 22.558f, 15.288f, 23.0f, 12.5f, 23.0f)
                horizontalLineTo(4.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 0.0f, -1.5f)
                horizontalLineToRelative(2.322f)
                curveToRelative(-0.58f, -0.701f, -0.998f, -1.578f, -1.223f, -2.471f)
                curveToRelative(-0.327f, -1.3f, -0.297f, -2.786f, 0.265f, -4.131f)
                curveToRelative(-0.92f, 0.091f, -1.985f, -0.02f, -3.126f, -0.445f)
                arcToRelative(0.75f, 0.75f, 0.0f, true, true, 0.524f, -1.406f)
                curveToRelative(1.964f, 0.733f, 3.428f, 0.266f, 4.045f, -0.19f)
                curveToRelative(0.068f, -0.06f, 0.137f, -0.12f, 0.208f, -0.18f)
                arcToRelative(0.745f, 0.745f, 0.0f, false, true, 0.861f, -0.076f)
                arcToRelative(0.746f, 0.746f, 0.0f, false, true, 0.32f, 0.368f)
                arcToRelative(0.752f, 0.752f, 0.0f, false, true, -0.173f, 0.819f)
                curveToRelative(-0.077f, 0.076f, -0.16f, 0.15f, -0.252f, 0.221f)
                curveToRelative(-1.322f, 1.234f, -1.62f, 3.055f, -1.218f, 4.654f)
                curveToRelative(0.438f, 1.737f, 1.574f, 2.833f, 2.69f, 2.837f)
                horizontalLineTo(12.5f)
                curveToRelative(2.674f, 0.0f, 4.429f, -0.433f, 5.56f, -1.212f)
                curveToRelative(1.094f, -0.752f, 1.715f, -1.904f, 1.946f, -3.637f)
                curveToRelative(0.236f, -1.768f, -0.445f, -3.845f, -1.407f, -5.529f)
                arcToRelative(0.576f, 0.576f, 0.0f, false, true, -0.012f, -0.02f)
                arcToRelative(3.557f, 3.557f, 0.0f, false, true, -1.553f, -0.94f)
                curveToRelative(-0.556f, -0.565f, -0.89f, -1.243f, -1.012f, -1.73f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, 1.456f, -0.364f)
                curveToRelative(0.057f, 0.231f, 0.26f, 0.67f, 0.626f, 1.043f)
                curveToRelative(0.35f, 0.357f, 0.822f, 0.623f, 1.443f, 0.623f)
                curveToRelative(1.172f, 0.0f, 1.953f, -1.058f, 1.953f, -2.234f)
                curveToRelative(0.0f, -1.205f, -0.357f, -2.127f, -0.903f, -2.78f)
                curveToRelative(-0.547f, -0.654f, -1.318f, -1.08f, -2.22f, -1.23f)
                close()
            }
        }
        .build()
        return _squirrel24!!
    }

private var _squirrel24: ImageVector? = null
