package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Thumbsup24: ImageVector
    get() {
        if (_thumbsup24 != null) {
            return _thumbsup24!!
        }
        _thumbsup24 = Builder(name = "Thumbsup24", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(12.596f, 2.043f)
                curveToRelative(-1.301f, -0.092f, -2.303f, 0.986f, -2.303f, 2.206f)
                verticalLineToRelative(1.053f)
                curveToRelative(0.0f, 2.666f, -1.813f, 3.785f, -2.774f, 4.2f)
                arcToRelative(1.866f, 1.866f, 0.0f, false, true, -0.523f, 0.131f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 5.25f, 8.0f)
                horizontalLineToRelative(-1.5f)
                arcTo(1.75f, 1.75f, 0.0f, false, false, 2.0f, 9.75f)
                verticalLineToRelative(10.5f)
                curveToRelative(0.0f, 0.967f, 0.784f, 1.75f, 1.75f, 1.75f)
                horizontalLineToRelative(1.5f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, false, 1.742f, -1.58f)
                curveToRelative(0.838f, 0.06f, 1.667f, 0.296f, 2.69f, 0.586f)
                lineToRelative(0.602f, 0.17f)
                curveToRelative(1.464f, 0.406f, 3.213f, 0.824f, 5.544f, 0.824f)
                curveToRelative(2.188f, 0.0f, 3.693f, -0.204f, 4.583f, -1.372f)
                curveToRelative(0.422f, -0.554f, 0.65f, -1.255f, 0.816f, -2.05f)
                curveToRelative(0.148f, -0.708f, 0.262f, -1.57f, 0.396f, -2.58f)
                lineToRelative(0.051f, -0.39f)
                curveToRelative(0.319f, -2.386f, 0.328f, -4.18f, -0.223f, -5.394f)
                curveToRelative(-0.293f, -0.644f, -0.743f, -1.125f, -1.355f, -1.431f)
                curveToRelative(-0.59f, -0.296f, -1.284f, -0.404f, -2.036f, -0.404f)
                horizontalLineToRelative(-2.05f)
                lineToRelative(0.056f, -0.429f)
                curveToRelative(0.025f, -0.18f, 0.05f, -0.372f, 0.076f, -0.572f)
                curveToRelative(0.06f, -0.483f, 0.117f, -1.006f, 0.117f, -1.438f)
                curveToRelative(0.0f, -1.245f, -0.222f, -2.253f, -0.92f, -2.941f)
                curveToRelative(-0.684f, -0.675f, -1.668f, -0.88f, -2.743f, -0.956f)
                close()
                moveTo(7.0f, 18.918f)
                curveToRelative(1.059f, 0.064f, 2.079f, 0.355f, 3.118f, 0.652f)
                lineToRelative(0.568f, 0.16f)
                curveToRelative(1.406f, 0.39f, 3.006f, 0.77f, 5.142f, 0.77f)
                curveToRelative(2.277f, 0.0f, 3.004f, -0.274f, 3.39f, -0.781f)
                curveToRelative(0.216f, -0.283f, 0.388f, -0.718f, 0.54f, -1.448f)
                curveToRelative(0.136f, -0.65f, 0.242f, -1.45f, 0.379f, -2.477f)
                lineToRelative(0.05f, -0.384f)
                curveToRelative(0.32f, -2.4f, 0.253f, -3.795f, -0.102f, -4.575f)
                curveToRelative(-0.16f, -0.352f, -0.375f, -0.568f, -0.66f, -0.711f)
                curveToRelative(-0.305f, -0.153f, -0.74f, -0.245f, -1.365f, -0.245f)
                horizontalLineToRelative(-2.37f)
                curveToRelative(-0.681f, 0.0f, -1.293f, -0.57f, -1.211f, -1.328f)
                curveToRelative(0.026f, -0.243f, 0.065f, -0.537f, 0.105f, -0.834f)
                lineToRelative(0.07f, -0.527f)
                curveToRelative(0.06f, -0.482f, 0.105f, -0.921f, 0.105f, -1.25f)
                curveToRelative(0.0f, -1.125f, -0.213f, -1.617f, -0.473f, -1.873f)
                curveToRelative(-0.275f, -0.27f, -0.774f, -0.455f, -1.795f, -0.528f)
                curveToRelative(-0.351f, -0.024f, -0.698f, 0.274f, -0.698f, 0.71f)
                verticalLineToRelative(1.053f)
                curveToRelative(0.0f, 3.55f, -2.488f, 5.063f, -3.68f, 5.577f)
                curveToRelative(-0.372f, 0.16f, -0.754f, 0.232f, -1.113f, 0.26f)
                verticalLineToRelative(7.78f)
                close()
                moveTo(3.75f, 20.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.25f, -0.25f)
                verticalLineTo(9.75f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, -0.25f)
                horizontalLineToRelative(1.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.25f, 0.25f)
                verticalLineToRelative(10.5f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, -0.25f, 0.25f)
                horizontalLineToRelative(-1.5f)
                close()
            }
        }
        .build()
        return _thumbsup24!!
    }

private var _thumbsup24: ImageVector? = null
