package compose.icons.octicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.EvenOdd
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.Octicons

public val Octicons.Verified16: ImageVector
    get() {
        if (_verified16 != null) {
            return _verified16!!
        }
        _verified16 = Builder(name = "Verified16", defaultWidth = 16.0.dp, defaultHeight = 16.0.dp,
                viewportWidth = 16.0f, viewportHeight = 16.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = EvenOdd) {
                moveTo(9.585f, 0.52f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -3.17f, 0.0f)
                lineToRelative(-0.928f, 0.68f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, true, -0.518f, 0.215f)
                lineTo(3.83f, 1.59f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -2.24f, 2.24f)
                lineToRelative(-0.175f, 1.14f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, true, -0.215f, 0.518f)
                lineToRelative(-0.68f, 0.928f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 0.0f, 3.17f)
                lineToRelative(0.68f, 0.928f)
                curveToRelative(0.113f, 0.153f, 0.186f, 0.33f, 0.215f, 0.518f)
                lineToRelative(0.175f, 1.138f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 2.24f, 2.24f)
                lineToRelative(1.138f, 0.175f)
                curveToRelative(0.187f, 0.029f, 0.365f, 0.102f, 0.518f, 0.215f)
                lineToRelative(0.928f, 0.68f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 3.17f, 0.0f)
                lineToRelative(0.928f, -0.68f)
                arcToRelative(1.17f, 1.17f, 0.0f, false, true, 0.518f, -0.215f)
                lineToRelative(1.138f, -0.175f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 2.241f, -2.241f)
                lineToRelative(0.175f, -1.138f)
                curveToRelative(0.029f, -0.187f, 0.102f, -0.365f, 0.215f, -0.518f)
                lineToRelative(0.68f, -0.928f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 0.0f, -3.17f)
                lineToRelative(-0.68f, -0.928f)
                arcToRelative(1.179f, 1.179f, 0.0f, false, true, -0.215f, -0.518f)
                lineTo(14.41f, 3.83f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -2.24f, -2.24f)
                lineToRelative(-1.138f, -0.175f)
                arcToRelative(1.179f, 1.179f, 0.0f, false, true, -0.518f, -0.215f)
                lineTo(9.585f, 0.52f)
                close()
                moveTo(7.303f, 1.728f)
                curveToRelative(0.415f, -0.305f, 0.98f, -0.305f, 1.394f, 0.0f)
                lineToRelative(0.928f, 0.68f)
                curveToRelative(0.348f, 0.256f, 0.752f, 0.423f, 1.18f, 0.489f)
                lineToRelative(1.136f, 0.174f)
                curveToRelative(0.51f, 0.078f, 0.909f, 0.478f, 0.987f, 0.987f)
                lineToRelative(0.174f, 1.137f)
                curveToRelative(0.066f, 0.427f, 0.233f, 0.831f, 0.489f, 1.18f)
                lineToRelative(0.68f, 0.927f)
                curveToRelative(0.305f, 0.415f, 0.305f, 0.98f, 0.0f, 1.394f)
                lineToRelative(-0.68f, 0.928f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -0.489f, 1.18f)
                lineToRelative(-0.174f, 1.136f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, true, -0.987f, 0.987f)
                lineToRelative(-1.137f, 0.174f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -1.18f, 0.489f)
                lineToRelative(-0.927f, 0.68f)
                curveToRelative(-0.415f, 0.305f, -0.98f, 0.305f, -1.394f, 0.0f)
                lineToRelative(-0.928f, -0.68f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -1.18f, -0.489f)
                lineToRelative(-1.136f, -0.174f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, true, -0.987f, -0.987f)
                lineToRelative(-0.174f, -1.137f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, -0.489f, -1.18f)
                lineToRelative(-0.68f, -0.927f)
                arcToRelative(1.178f, 1.178f, 0.0f, false, true, 0.0f, -1.394f)
                lineToRelative(0.68f, -0.928f)
                curveToRelative(0.256f, -0.348f, 0.423f, -0.752f, 0.489f, -1.18f)
                lineToRelative(0.174f, -1.136f)
                curveToRelative(0.078f, -0.51f, 0.478f, -0.909f, 0.987f, -0.987f)
                lineToRelative(1.137f, -0.174f)
                arcToRelative(2.678f, 2.678f, 0.0f, false, false, 1.18f, -0.489f)
                lineToRelative(0.927f, -0.68f)
                close()
                moveTo(11.28f, 6.78f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -1.06f, -1.06f)
                lineTo(7.0f, 8.94f)
                lineTo(5.78f, 7.72f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -1.06f, 1.06f)
                lineToRelative(1.75f, 1.75f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 1.06f, 0.0f)
                lineToRelative(3.75f, -3.75f)
                close()
            }
        }
        .build()
        return _verified16!!
    }

private var _verified16: ImageVector? = null
