package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Actigraph: ImageVector
    get() {
        if (_actigraph != null) {
            return _actigraph!!
        }
        _actigraph = Builder(name = "Actigraph", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.043f, 0.0f)
                curveToRelative(0.413f, 0.0f, 0.83f, 0.266f, 1.054f, 0.546f)
                curveToRelative(0.224f, 0.28f, 0.191f, 0.342f, 0.21f, 0.529f)
                curveToRelative(0.018f, 0.187f, 0.16f, 0.265f, 0.16f, 0.62f)
                reflectiveCurveToRelative(-0.16f, 0.494f, -0.272f, 0.644f)
                curveToRelative(-0.112f, 0.15f, -0.047f, 0.2f, -0.14f, 0.406f)
                curveToRelative(-0.094f, 0.206f, -0.118f, 0.168f, -0.193f, 0.336f)
                curveToRelative(-0.075f, 0.168f, 0.123f, 0.462f, 0.319f, 0.61f)
                curveToRelative(0.196f, 0.147f, 0.378f, 0.262f, 0.938f, 0.318f)
                curveToRelative(0.56f, 0.056f, 0.683f, 0.03f, 0.963f, 0.05f)
                curveToRelative(0.28f, 0.018f, 0.453f, 0.174f, 0.882f, 0.23f)
                curveToRelative(0.43f, 0.056f, 0.449f, 0.0f, 0.803f, 0.0f)
                curveToRelative(0.355f, 0.0f, 0.462f, 0.053f, 0.78f, 0.053f)
                curveToRelative(0.317f, 0.0f, 0.75f, -0.14f, 1.141f, -0.122f)
                curveToRelative(0.393f, 0.018f, 1.43f, 0.115f, 1.86f, 0.115f)
                curveToRelative(0.43f, 0.0f, 0.931f, -0.442f, 1.38f, -0.423f)
                curveToRelative(0.448f, 0.018f, 0.832f, 0.119f, 0.85f, 0.455f)
                curveToRelative(0.019f, 0.336f, -0.165f, 0.762f, -0.37f, 0.837f)
                curveToRelative(-0.206f, 0.074f, -0.609f, -0.067f, -0.852f, -0.067f)
                curveToRelative(-0.242f, 0.0f, -0.496f, 0.03f, -0.606f, 0.025f)
                curveToRelative(-0.133f, -0.007f, -0.232f, -0.09f, -0.381f, -0.053f)
                curveToRelative(-0.15f, 0.038f, -0.76f, 0.297f, -0.984f, 0.315f)
                curveToRelative(-0.224f, 0.02f, -0.689f, -0.034f, -0.875f, 0.003f)
                curveToRelative(-0.187f, 0.038f, -0.822f, 0.15f, -1.083f, 0.168f)
                curveToRelative(-0.262f, 0.02f, -0.786f, -0.02f, -1.029f, 0.018f)
                curveToRelative(-0.243f, 0.037f, -0.615f, 0.113f, -0.839f, 0.113f)
                curveToRelative(-0.224f, 0.0f, -0.702f, -0.172f, -0.866f, -0.054f)
                curveToRelative(-0.397f, 0.288f, -0.336f, 0.683f, -0.532f, 1.247f)
                curveToRelative(-0.187f, 0.538f, -0.488f, 0.88f, -0.525f, 1.29f)
                curveToRelative(-0.038f, 0.412f, 0.224f, 1.738f, 0.355f, 2.205f)
                curveToRelative(0.13f, 0.467f, 0.504f, 1.083f, 0.747f, 1.848f)
                curveToRelative(0.242f, 0.766f, 0.58f, 2.31f, 0.711f, 2.945f)
                curveToRelative(0.131f, 0.635f, 0.004f, 0.62f, 0.11f, 0.977f)
                curveToRelative(0.108f, 0.362f, 0.616f, 0.934f, 0.878f, 1.83f)
                curveToRelative(0.261f, 0.896f, 0.547f, 2.744f, 0.64f, 3.23f)
                curveToRelative(0.094f, 0.485f, 0.135f, 0.558f, 0.172f, 0.707f)
                curveToRelative(0.037f, 0.15f, -0.045f, 0.214f, 0.039f, 0.35f)
                curveToRelative(0.378f, 0.613f, 0.848f, 0.849f, 0.792f, 1.222f)
                curveToRelative(-0.056f, 0.374f, -0.652f, 0.513f, -1.083f, 0.448f)
                curveToRelative(-0.326f, -0.048f, -0.523f, -0.672f, -0.597f, -0.859f)
                curveToRelative(-0.075f, -0.186f, 0.003f, -0.239f, -0.072f, -0.37f)
                curveToRelative(-0.075f, -0.13f, -0.089f, -0.199f, -0.126f, -0.535f)
                curveToRelative(-0.037f, -0.336f, 0.016f, -0.36f, -0.039f, -0.582f)
                curveToRelative(-0.294f, -1.197f, -1.144f, -2.367f, -1.35f, -3.07f)
                curveToRelative(-0.117f, -0.393f, -0.049f, -0.444f, -0.124f, -0.799f)
                curveToRelative(-0.074f, -0.355f, -2.402f, -5.42f, -2.883f, -5.42f)
                curveToRelative(-0.496f, 0.0f, -2.783f, 5.006f, -2.877f, 5.323f)
                curveToRelative(-0.093f, 0.318f, -0.04f, 0.638f, -0.133f, 0.899f)
                reflectiveCurveToRelative(-1.208f, 2.388f, -1.36f, 3.042f)
                curveToRelative(-0.1f, 0.428f, -0.012f, 0.556f, -0.068f, 0.8f)
                curveToRelative(-0.056f, 0.242f, -0.266f, 1.303f, -0.659f, 1.509f)
                curveToRelative(-0.392f, 0.205f, -1.086f, 0.046f, -1.178f, -0.292f)
                curveToRelative(-0.142f, -0.52f, 0.678f, -0.906f, 0.765f, -1.382f)
                curveToRelative(0.076f, -0.41f, 0.804f, -4.165f, 1.102f, -4.893f)
                curveToRelative(0.299f, -0.728f, 0.486f, -0.654f, 0.616f, -1.064f)
                curveToRelative(0.042f, -0.13f, 0.043f, -0.514f, 0.113f, -0.945f)
                curveToRelative(0.153f, -0.934f, 0.433f, -2.294f, 0.765f, -3.201f)
                curveToRelative(0.486f, -1.326f, 1.157f, -2.611f, 1.032f, -3.893f)
                curveToRelative(-0.053f, -0.539f, -0.23f, -0.606f, -0.417f, -1.222f)
                curveToRelative(-0.187f, -0.616f, -0.428f, -1.347f, -0.67f, -1.384f)
                curveToRelative(-0.244f, -0.037f, -0.449f, 0.093f, -0.748f, 0.093f)
                reflectiveCurveToRelative(-0.896f, -0.13f, -1.12f, -0.13f)
                curveToRelative(-0.224f, 0.0f, -0.992f, -0.05f, -1.31f, -0.05f)
                curveToRelative(-0.318f, 0.0f, -0.54f, -0.081f, -0.726f, -0.063f)
                curveToRelative(-0.187f, 0.02f, -0.36f, 0.007f, -0.584f, 0.007f)
                curveToRelative(-0.28f, 0.0f, -1.017f, -0.34f, -1.204f, -0.34f)
                curveToRelative(-0.187f, 0.0f, -0.245f, 0.036f, -0.413f, 0.036f)
                curveToRelative(-0.168f, 0.0f, -0.325f, -0.063f, -0.512f, -0.063f)
                curveToRelative(-0.186f, 0.0f, -0.532f, 0.108f, -0.71f, 0.108f)
                curveToRelative(-0.186f, 0.0f, -0.54f, -0.419f, -0.484f, -0.886f)
                curveToRelative(0.056f, -0.466f, 0.805f, -0.42f, 0.991f, -0.42f)
                curveToRelative(0.263f, 0.0f, 0.889f, 0.355f, 1.131f, 0.392f)
                curveToRelative(0.243f, 0.038f, 1.538f, -0.101f, 1.818f, -0.101f)
                reflectiveCurveToRelative(1.08f, 0.126f, 1.509f, 0.126f)
                curveToRelative(0.43f, 0.0f, 1.014f, 0.01f, 1.369f, -0.046f)
                reflectiveCurveToRelative(0.68f, -0.244f, 0.903f, -0.262f)
                curveToRelative(0.224f, -0.019f, 1.238f, 0.091f, 1.807f, -0.306f)
                curveToRelative(0.375f, -0.261f, 0.411f, -0.486f, 0.392f, -0.654f)
                curveToRelative(-0.018f, -0.168f, -0.14f, -0.192f, -0.234f, -0.36f)
                curveToRelative(-0.094f, -0.168f, -0.053f, -0.305f, -0.109f, -0.417f)
                curveToRelative(-0.056f, -0.112f, -0.269f, -0.212f, -0.273f, -0.623f)
                curveToRelative(-0.004f, -0.322f, 0.035f, -0.278f, 0.147f, -0.596f)
                curveToRelative(0.112f, -0.317f, 0.116f, -0.451f, 0.378f, -0.707f)
                curveToRelative(0.19f, -0.184f, 0.575f, -0.371f, 0.988f, -0.371f)
            }
        }
        .build()
        return _actigraph!!
    }

private var _actigraph: ImageVector? = null
