package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Amazonaws: ImageVector
    get() {
        if (_amazonaws != null) {
            return _amazonaws!!
        }
        _amazonaws = Builder(name = "Amazonaws", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.763f, 10.036f)
                curveToRelative(0.0f, 0.296f, 0.032f, 0.535f, 0.088f, 0.71f)
                curveToRelative(0.064f, 0.176f, 0.144f, 0.368f, 0.256f, 0.576f)
                curveToRelative(0.04f, 0.063f, 0.056f, 0.127f, 0.056f, 0.183f)
                curveToRelative(0.0f, 0.08f, -0.048f, 0.16f, -0.152f, 0.24f)
                lineToRelative(-0.503f, 0.335f)
                arcToRelative(0.383f, 0.383f, 0.0f, false, true, -0.208f, 0.072f)
                curveToRelative(-0.08f, 0.0f, -0.16f, -0.04f, -0.239f, -0.112f)
                arcToRelative(2.47f, 2.47f, 0.0f, false, true, -0.287f, -0.375f)
                arcToRelative(6.18f, 6.18f, 0.0f, false, true, -0.248f, -0.471f)
                curveToRelative(-0.622f, 0.734f, -1.405f, 1.101f, -2.347f, 1.101f)
                curveToRelative(-0.67f, 0.0f, -1.205f, -0.191f, -1.596f, -0.574f)
                curveToRelative(-0.391f, -0.384f, -0.59f, -0.894f, -0.59f, -1.533f)
                curveToRelative(0.0f, -0.678f, 0.239f, -1.23f, 0.726f, -1.644f)
                curveToRelative(0.487f, -0.415f, 1.133f, -0.623f, 1.955f, -0.623f)
                curveToRelative(0.272f, 0.0f, 0.551f, 0.024f, 0.846f, 0.064f)
                curveToRelative(0.296f, 0.04f, 0.6f, 0.104f, 0.918f, 0.176f)
                verticalLineToRelative(-0.583f)
                curveToRelative(0.0f, -0.607f, -0.127f, -1.03f, -0.375f, -1.277f)
                curveToRelative(-0.255f, -0.248f, -0.686f, -0.367f, -1.3f, -0.367f)
                curveToRelative(-0.28f, 0.0f, -0.568f, 0.031f, -0.863f, 0.103f)
                curveToRelative(-0.295f, 0.072f, -0.583f, 0.16f, -0.862f, 0.272f)
                arcToRelative(2.287f, 2.287f, 0.0f, false, true, -0.28f, 0.104f)
                arcToRelative(0.488f, 0.488f, 0.0f, false, true, -0.127f, 0.023f)
                curveToRelative(-0.112f, 0.0f, -0.168f, -0.08f, -0.168f, -0.247f)
                verticalLineToRelative(-0.391f)
                curveToRelative(0.0f, -0.128f, 0.016f, -0.224f, 0.056f, -0.28f)
                arcToRelative(0.597f, 0.597f, 0.0f, false, true, 0.224f, -0.167f)
                curveToRelative(0.279f, -0.144f, 0.614f, -0.264f, 1.005f, -0.36f)
                arcToRelative(4.84f, 4.84f, 0.0f, false, true, 1.246f, -0.151f)
                curveToRelative(0.95f, 0.0f, 1.644f, 0.216f, 2.091f, 0.647f)
                curveToRelative(0.439f, 0.43f, 0.662f, 1.085f, 0.662f, 1.963f)
                verticalLineToRelative(2.586f)
                close()
                moveTo(3.523f, 11.25f)
                curveToRelative(0.263f, 0.0f, 0.534f, -0.048f, 0.822f, -0.144f)
                curveToRelative(0.287f, -0.096f, 0.543f, -0.271f, 0.758f, -0.51f)
                curveToRelative(0.128f, -0.152f, 0.224f, -0.32f, 0.272f, -0.512f)
                curveToRelative(0.047f, -0.191f, 0.08f, -0.423f, 0.08f, -0.694f)
                verticalLineToRelative(-0.335f)
                arcToRelative(6.66f, 6.66f, 0.0f, false, false, -0.735f, -0.136f)
                arcToRelative(6.02f, 6.02f, 0.0f, false, false, -0.75f, -0.048f)
                curveToRelative(-0.535f, 0.0f, -0.926f, 0.104f, -1.19f, 0.32f)
                curveToRelative(-0.263f, 0.215f, -0.39f, 0.518f, -0.39f, 0.917f)
                curveToRelative(0.0f, 0.375f, 0.095f, 0.655f, 0.295f, 0.846f)
                curveToRelative(0.191f, 0.2f, 0.47f, 0.296f, 0.838f, 0.296f)
                close()
                moveTo(9.933f, 12.112f)
                curveToRelative(-0.144f, 0.0f, -0.24f, -0.024f, -0.304f, -0.08f)
                curveToRelative(-0.064f, -0.048f, -0.12f, -0.16f, -0.168f, -0.311f)
                lineTo(7.586f, 5.55f)
                arcToRelative(1.398f, 1.398f, 0.0f, false, true, -0.072f, -0.32f)
                curveToRelative(0.0f, -0.128f, 0.064f, -0.2f, 0.191f, -0.2f)
                horizontalLineToRelative(0.783f)
                curveToRelative(0.151f, 0.0f, 0.255f, 0.025f, 0.31f, 0.08f)
                curveToRelative(0.065f, 0.048f, 0.113f, 0.16f, 0.16f, 0.312f)
                lineToRelative(1.342f, 5.284f)
                lineToRelative(1.245f, -5.284f)
                curveToRelative(0.04f, -0.16f, 0.088f, -0.264f, 0.151f, -0.312f)
                arcToRelative(0.549f, 0.549f, 0.0f, false, true, 0.32f, -0.08f)
                horizontalLineToRelative(0.638f)
                curveToRelative(0.152f, 0.0f, 0.256f, 0.025f, 0.32f, 0.08f)
                curveToRelative(0.063f, 0.048f, 0.12f, 0.16f, 0.151f, 0.312f)
                lineToRelative(1.261f, 5.348f)
                lineToRelative(1.381f, -5.348f)
                curveToRelative(0.048f, -0.16f, 0.104f, -0.264f, 0.16f, -0.312f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, true, 0.311f, -0.08f)
                horizontalLineToRelative(0.743f)
                curveToRelative(0.127f, 0.0f, 0.2f, 0.065f, 0.2f, 0.2f)
                curveToRelative(0.0f, 0.04f, -0.009f, 0.08f, -0.017f, 0.128f)
                arcToRelative(1.137f, 1.137f, 0.0f, false, true, -0.056f, 0.2f)
                lineToRelative(-1.923f, 6.17f)
                curveToRelative(-0.048f, 0.16f, -0.104f, 0.263f, -0.168f, 0.311f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.303f, 0.08f)
                horizontalLineToRelative(-0.687f)
                curveToRelative(-0.151f, 0.0f, -0.255f, -0.024f, -0.32f, -0.08f)
                curveToRelative(-0.063f, -0.056f, -0.119f, -0.16f, -0.15f, -0.32f)
                lineToRelative(-1.238f, -5.148f)
                lineToRelative(-1.23f, 5.14f)
                curveToRelative(-0.04f, 0.16f, -0.087f, 0.264f, -0.15f, 0.32f)
                curveToRelative(-0.065f, 0.056f, -0.177f, 0.08f, -0.32f, 0.08f)
                close()
                moveTo(20.189f, 12.327f)
                curveToRelative(-0.415f, 0.0f, -0.83f, -0.048f, -1.229f, -0.143f)
                curveToRelative(-0.399f, -0.096f, -0.71f, -0.2f, -0.918f, -0.32f)
                curveToRelative(-0.128f, -0.071f, -0.215f, -0.151f, -0.247f, -0.223f)
                arcToRelative(0.563f, 0.563f, 0.0f, false, true, -0.048f, -0.224f)
                verticalLineToRelative(-0.407f)
                curveToRelative(0.0f, -0.167f, 0.064f, -0.247f, 0.183f, -0.247f)
                curveToRelative(0.048f, 0.0f, 0.096f, 0.008f, 0.144f, 0.024f)
                curveToRelative(0.048f, 0.016f, 0.12f, 0.048f, 0.2f, 0.08f)
                curveToRelative(0.271f, 0.12f, 0.566f, 0.215f, 0.878f, 0.279f)
                curveToRelative(0.319f, 0.064f, 0.63f, 0.096f, 0.95f, 0.096f)
                curveToRelative(0.502f, 0.0f, 0.894f, -0.088f, 1.165f, -0.264f)
                arcToRelative(0.86f, 0.86f, 0.0f, false, false, 0.415f, -0.758f)
                arcToRelative(0.777f, 0.777f, 0.0f, false, false, -0.215f, -0.559f)
                curveToRelative(-0.144f, -0.151f, -0.416f, -0.287f, -0.807f, -0.415f)
                lineToRelative(-1.157f, -0.36f)
                curveToRelative(-0.583f, -0.183f, -1.014f, -0.454f, -1.277f, -0.813f)
                arcToRelative(1.902f, 1.902f, 0.0f, false, true, -0.4f, -1.158f)
                curveToRelative(0.0f, -0.335f, 0.073f, -0.63f, 0.216f, -0.886f)
                curveToRelative(0.144f, -0.255f, 0.335f, -0.479f, 0.575f, -0.654f)
                curveToRelative(0.24f, -0.184f, 0.51f, -0.32f, 0.83f, -0.415f)
                curveToRelative(0.32f, -0.096f, 0.655f, -0.136f, 1.006f, -0.136f)
                curveToRelative(0.175f, 0.0f, 0.359f, 0.008f, 0.535f, 0.032f)
                curveToRelative(0.183f, 0.024f, 0.35f, 0.056f, 0.518f, 0.088f)
                curveToRelative(0.16f, 0.04f, 0.312f, 0.08f, 0.455f, 0.127f)
                curveToRelative(0.144f, 0.048f, 0.256f, 0.096f, 0.336f, 0.144f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, true, 0.24f, 0.2f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, 0.071f, 0.263f)
                verticalLineToRelative(0.375f)
                curveToRelative(0.0f, 0.168f, -0.064f, 0.256f, -0.184f, 0.256f)
                arcToRelative(0.83f, 0.83f, 0.0f, false, true, -0.303f, -0.096f)
                arcToRelative(3.652f, 3.652f, 0.0f, false, false, -1.532f, -0.311f)
                curveToRelative(-0.455f, 0.0f, -0.815f, 0.071f, -1.062f, 0.223f)
                curveToRelative(-0.248f, 0.152f, -0.375f, 0.383f, -0.375f, 0.71f)
                curveToRelative(0.0f, 0.224f, 0.08f, 0.416f, 0.24f, 0.567f)
                curveToRelative(0.159f, 0.152f, 0.454f, 0.304f, 0.877f, 0.44f)
                lineToRelative(1.134f, 0.358f)
                curveToRelative(0.574f, 0.184f, 0.99f, 0.44f, 1.237f, 0.767f)
                curveToRelative(0.247f, 0.327f, 0.367f, 0.702f, 0.367f, 1.117f)
                curveToRelative(0.0f, 0.343f, -0.072f, 0.655f, -0.207f, 0.926f)
                curveToRelative(-0.144f, 0.272f, -0.336f, 0.511f, -0.583f, 0.703f)
                curveToRelative(-0.248f, 0.2f, -0.543f, 0.343f, -0.886f, 0.447f)
                curveToRelative(-0.36f, 0.111f, -0.734f, 0.167f, -1.142f, 0.167f)
                close()
                moveTo(21.698f, 16.207f)
                curveToRelative(-2.626f, 1.94f, -6.442f, 2.969f, -9.722f, 2.969f)
                curveToRelative(-4.598f, 0.0f, -8.74f, -1.7f, -11.87f, -4.526f)
                curveToRelative(-0.247f, -0.223f, -0.024f, -0.527f, 0.272f, -0.351f)
                curveToRelative(3.384f, 1.963f, 7.559f, 3.153f, 11.877f, 3.153f)
                curveToRelative(2.914f, 0.0f, 6.114f, -0.607f, 9.06f, -1.852f)
                curveToRelative(0.439f, -0.2f, 0.814f, 0.287f, 0.383f, 0.607f)
                close()
                moveTo(22.792f, 14.961f)
                curveToRelative(-0.336f, -0.43f, -2.22f, -0.207f, -3.074f, -0.103f)
                curveToRelative(-0.255f, 0.032f, -0.295f, -0.192f, -0.063f, -0.36f)
                curveToRelative(1.5f, -1.053f, 3.967f, -0.75f, 4.254f, -0.399f)
                curveToRelative(0.287f, 0.36f, -0.08f, 2.826f, -1.485f, 4.007f)
                curveToRelative(-0.215f, 0.184f, -0.423f, 0.088f, -0.327f, -0.151f)
                curveToRelative(0.32f, -0.79f, 1.03f, -2.57f, 0.695f, -2.994f)
                close()
            }
        }
        .build()
        return _amazonaws!!
    }

private var _amazonaws: ImageVector? = null
