package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Audacity: ImageVector
    get() {
        if (_audacity != null) {
            return _audacity!!
        }
        _audacity = Builder(name = "Audacity", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 2.145f)
                curveToRelative(-2.487f, 0.0f, -4.755f, 0.776f, -6.428f, 2.08f)
                curveToRelative(-1.673f, 1.303f, -2.76f, 3.169f, -2.76f, 5.244f)
                verticalLineToRelative(0.75f)
                curveTo(1.153f, 11.06f, 0.0f, 13.268f, 0.0f, 15.856f)
                curveToRelative(0.0f, 3.312f, 1.884f, 6.0f, 4.312f, 6.0f)
                lineTo(4.312f, 9.468f)
                curveToRelative(0.0f, -1.554f, 0.805f, -2.984f, 2.186f, -4.06f)
                curveTo(7.879f, 4.331f, 9.829f, 3.643f, 12.0f, 3.643f)
                curveToRelative(2.17f, 0.0f, 4.12f, 0.688f, 5.502f, 1.764f)
                curveToRelative(1.38f, 1.077f, 2.186f, 2.507f, 2.186f, 4.06f)
                verticalLineToRelative(12.387f)
                curveToRelative(2.428f, 0.0f, 4.312f, -2.687f, 4.312f, -6.0f)
                curveToRelative(0.0f, -2.587f, -1.152f, -4.795f, -2.813f, -5.636f)
                verticalLineToRelative(-0.75f)
                curveToRelative(0.0f, -2.075f, -1.086f, -3.94f, -2.76f, -5.244f)
                curveToRelative(-1.672f, -1.304f, -3.94f, -2.08f, -6.427f, -2.08f)
                close()
                moveTo(12.0f, 8.298f)
                lineToRelative(-1.125f, 8.683f)
                lineTo(9.75f, 9.105f)
                lineToRelative(-0.562f, 6.75f)
                lineToRelative(-0.376f, -0.75f)
                lineToRelative(-0.375f, -4.5f)
                lineToRelative(-0.187f, 4.5f)
                lineToRelative(-0.563f, 1.313f)
                lineToRelative(-0.374f, -4.5f)
                lineToRelative(-0.376f, 3.562f)
                lineToRelative(-0.562f, -0.937f)
                verticalLineToRelative(2.625f)
                lineToRelative(-0.563f, -2.11f)
                verticalLineToRelative(-4.64f)
                arcToRelative(1.432f, 1.432f, 0.0f, false, false, -0.937f, -0.375f)
                verticalLineToRelative(11.812f)
                curveToRelative(0.375f, 0.0f, 0.75f, -0.187f, 0.937f, -0.562f)
                verticalLineToRelative(-3.375f)
                lineToRelative(0.188f, 0.187f)
                lineToRelative(0.563f, 1.875f)
                lineToRelative(0.187f, -2.25f)
                lineToRelative(0.563f, 2.813f)
                verticalLineToRelative(-3.562f)
                lineToRelative(0.374f, 0.937f)
                lineToRelative(0.563f, 2.625f)
                verticalLineToRelative(-3.562f)
                lineToRelative(0.375f, 0.374f)
                lineToRelative(0.563f, 3.188f)
                lineToRelative(0.562f, -4.313f)
                lineToRelative(1.24f, 4.86f)
                lineToRelative(0.072f, -2.985f)
                lineToRelative(0.375f, -1.124f)
                lineToRelative(0.376f, 4.687f)
                lineToRelative(1.124f, -4.687f)
                lineToRelative(0.375f, 3.937f)
                lineToRelative(0.938f, -4.125f)
                lineToRelative(0.938f, 4.5f)
                lineToRelative(0.187f, -3.375f)
                lineToRelative(0.562f, -1.125f)
                lineToRelative(0.188f, 4.313f)
                lineToRelative(0.938f, -4.125f)
                lineToRelative(0.562f, 1.875f)
                lineToRelative(0.188f, -1.688f)
                lineToRelative(0.374f, 0.75f)
                verticalLineToRelative(3.375f)
                curveToRelative(0.188f, 0.375f, 0.563f, 0.562f, 0.938f, 0.562f)
                lineTo(19.125f, 10.043f)
                curveToRelative(-0.375f, 0.0f, -0.75f, 0.188f, -0.938f, 0.375f)
                verticalLineToRelative(4.813f)
                lineToRelative(-0.374f, 1.0f)
                lineToRelative(-0.188f, -3.188f)
                lineToRelative(-0.375f, 2.437f)
                lineToRelative(-0.375f, -0.75f)
                lineToRelative(-0.188f, -2.625f)
                lineToRelative(-0.937f, 3.563f)
                lineToRelative(-0.188f, -0.75f)
                lineTo(15.0f, 9.293f)
                lineToRelative(-0.562f, 4.875f)
                lineToRelative(-0.376f, 1.5f)
                lineToRelative(-0.75f, -5.062f)
                lineToRelative(-0.75f, 4.312f)
                lineToRelative(-0.375f, 1.125f)
                close()
            }
        }
        .build()
        return _audacity!!
    }

private var _audacity: ImageVector? = null
