package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Barclays: ImageVector
    get() {
        if (_barclays != null) {
            return _barclays!!
        }
        _barclays = Builder(name = "Barclays", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.043f, 3.629f)
                arcToRelative(3.235f, 3.235f, 0.0f, false, false, -1.048f, -0.54f)
                arcToRelative(3.076f, 3.076f, 0.0f, false, false, -0.937f, -0.144f)
                horizontalLineToRelative(-0.046f)
                curveToRelative(-0.413f, 0.006f, -1.184f, 0.105f, -1.701f, 0.71f)
                arcToRelative(1.138f, 1.138f, 0.0f, false, false, -0.226f, 1.023f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, false, 0.555f, 0.63f)
                reflectiveCurveToRelative(0.088f, 0.032f, 0.228f, 0.058f)
                curveToRelative(-0.04f, 0.078f, -0.136f, 0.214f, -0.136f, 0.214f)
                curveToRelative(-0.179f, 0.265f, -0.576f, 0.612f, -1.668f, 0.612f)
                horizontalLineToRelative(-0.063f)
                curveToRelative(-0.578f, -0.038f, -1.056f, -0.189f, -1.616f, -0.915f)
                curveToRelative(-0.347f, -0.45f, -0.523f, -1.207f, -0.549f, -2.452f)
                curveToRelative(-0.022f, -0.624f, -0.107f, -1.165f, -0.256f, -1.6f)
                curveToRelative(-0.1f, -0.29f, -0.333f, -0.596f, -0.557f, -0.742f)
                arcToRelative(2.55f, 2.55f, 0.0f, false, false, -0.694f, -0.336f)
                curveToRelative(-0.373f, -0.12f, -0.848f, -0.14f, -1.204f, -0.146f)
                curveToRelative(-0.462f, -0.01f, -0.717f, 0.096f, -0.878f, 0.292f)
                curveToRelative(-0.027f, 0.033f, -0.032f, 0.05f, -0.068f, 0.046f)
                curveToRelative(-0.084f, -0.006f, -0.272f, -0.006f, -0.328f, -0.006f)
                curveToRelative(-0.264f, 0.0f, -0.498f, 0.043f, -0.721f, 0.09f)
                curveToRelative(-0.47f, 0.1f, -0.761f, 0.295f, -1.019f, 0.503f)
                curveToRelative(-0.12f, 0.095f, -0.347f, 0.365f, -0.399f, 0.653f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, 0.097f, 0.578f)
                curveToRelative(0.14f, -0.148f, 0.374f, -0.264f, 0.816f, -0.266f)
                curveToRelative(0.493f, -0.002f, 1.169f, 0.224f, 1.406f, 0.608f)
                curveToRelative(0.336f, 0.547f, 0.27f, 0.99f, 0.199f, 1.517f)
                curveToRelative(-0.183f, 1.347f, -0.68f, 2.048f, -1.783f, 2.203f)
                curveToRelative(-0.191f, 0.026f, -0.38f, 0.04f, -0.56f, 0.04f)
                curveToRelative(-0.776f, 0.0f, -1.34f, -0.248f, -1.63f, -0.716f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, true, -0.088f, -0.168f)
                reflectiveCurveToRelative(0.087f, -0.021f, 0.163f, -0.056f)
                curveToRelative(0.294f, -0.14f, 0.514f, -0.344f, 0.594f, -0.661f)
                curveToRelative(0.09f, -0.353f, 0.004f, -0.728f, -0.23f, -1.007f)
                curveToRelative(-0.415f, -0.47f, -0.991f, -0.708f, -1.713f, -0.708f)
                curveToRelative(-0.4f, 0.0f, -0.755f, 0.076f, -0.982f, 0.14f)
                curveToRelative(-0.908f, 0.256f, -1.633f, 0.947f, -2.214f, 2.112f)
                curveToRelative(-0.412f, 0.824f, -0.7f, 1.912f, -0.81f, 3.067f)
                curveToRelative(-0.11f, 1.13f, -0.056f, 2.085f, 0.019f, 2.949f)
                curveToRelative(0.124f, 1.437f, 0.363f, 2.298f, 0.708f, 3.22f)
                arcToRelative(15.68f, 15.68f, 0.0f, false, false, 1.609f, 3.19f)
                curveToRelative(0.09f, -0.094f, 0.15f, -0.161f, 0.308f, -0.318f)
                curveToRelative(0.188f, -0.19f, 0.724f, -0.893f, 0.876f, -1.11f)
                curveToRelative(0.19f, -0.27f, 0.51f, -0.779f, 0.664f, -1.147f)
                lineToRelative(0.15f, 0.119f)
                curveToRelative(0.16f, 0.127f, 0.252f, 0.348f, 0.249f, 0.592f)
                curveToRelative(-0.003f, 0.215f, -0.053f, 0.464f, -0.184f, 0.922f)
                arcToRelative(8.703f, 8.703f, 0.0f, false, true, -0.784f, 1.818f)
                curveToRelative(-0.189f, 0.341f, -0.27f, 0.508f, -0.199f, 0.584f)
                curveToRelative(0.015f, 0.015f, 0.038f, 0.03f, 0.06f, 0.026f)
                curveToRelative(0.116f, 0.0f, 0.34f, -0.117f, 0.585f, -0.304f)
                curveToRelative(0.222f, -0.17f, 0.813f, -0.672f, 1.527f, -1.675f)
                arcToRelative(15.449f, 15.449f, 0.0f, false, false, 1.452f, -2.521f)
                curveToRelative(0.12f, 0.046f, 0.255f, 0.101f, 0.317f, 0.226f)
                arcToRelative(0.92f, 0.92f, 0.0f, false, true, 0.08f, 0.563f)
                curveToRelative(-0.065f, 0.539f, -0.379f, 1.353f, -0.63f, 1.94f)
                curveToRelative(-0.425f, 0.998f, -1.208f, 2.115f, -1.788f, 2.877f)
                curveToRelative(-0.022f, 0.03f, -0.163f, 0.197f, -0.186f, 0.227f)
                curveToRelative(0.9f, 0.792f, 1.944f, 1.555f, 3.007f, 2.136f)
                curveToRelative(0.725f, 0.408f, 2.203f, 1.162f, 3.183f, 1.424f)
                curveToRelative(0.98f, -0.262f, 2.458f, -1.016f, 3.184f, -1.424f)
                arcToRelative(17.063f, 17.063f, 0.0f, false, false, 3.003f, -2.134f)
                curveToRelative(-0.05f, -0.076f, -0.13f, -0.158f, -0.183f, -0.23f)
                curveToRelative(-0.582f, -0.763f, -1.365f, -1.881f, -1.79f, -2.875f)
                curveToRelative(-0.25f, -0.59f, -0.563f, -1.405f, -0.628f, -1.94f)
                curveToRelative(-0.028f, -0.221f, -0.002f, -0.417f, 0.08f, -0.565f)
                curveToRelative(0.033f, -0.098f, 0.274f, -0.218f, 0.317f, -0.226f)
                curveToRelative(0.405f, 0.884f, 0.887f, 1.73f, 1.452f, 2.522f)
                curveToRelative(0.715f, 1.003f, 1.306f, 1.506f, 1.527f, 1.674f)
                curveToRelative(0.248f, 0.191f, 0.467f, 0.304f, 0.586f, 0.304f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, false, 0.044f, -0.012f)
                curveToRelative(0.094f, -0.069f, 0.017f, -0.234f, -0.183f, -0.594f)
                arcToRelative(9.003f, 9.003f, 0.0f, false, true, -0.786f, -1.822f)
                curveToRelative(-0.13f, -0.456f, -0.18f, -0.706f, -0.182f, -0.92f)
                curveToRelative(-0.004f, -0.246f, 0.088f, -0.466f, 0.248f, -0.594f)
                lineToRelative(0.15f, -0.118f)
                curveToRelative(0.155f, 0.373f, 0.5f, 0.919f, 0.665f, 1.147f)
                curveToRelative(0.15f, 0.216f, 0.685f, 0.919f, 0.876f, 1.11f)
                curveToRelative(0.156f, 0.158f, 0.22f, 0.222f, 0.308f, 0.32f)
                arcToRelative(15.672f, 15.672f, 0.0f, false, false, 1.609f, -3.19f)
                curveToRelative(0.343f, -0.923f, 0.583f, -1.784f, 0.707f, -3.222f)
                curveToRelative(0.075f, -0.86f, 0.128f, -1.81f, 0.02f, -2.948f)
                curveToRelative(-0.101f, -1.116f, -0.404f, -2.264f, -0.81f, -3.068f)
                curveToRelative(-0.249f, -0.49f, -0.605f, -1.112f, -1.171f, -1.566f)
                close()
            }
        }
        .build()
        return _barclays!!
    }

private var _barclays: ImageVector? = null
