package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Bitrise: ImageVector
    get() {
        if (_bitrise != null) {
            return _bitrise!!
        }
        _bitrise = Builder(name = "Bitrise", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.5154f, 13.4558f)
                curveToRelative(-0.2744f, -1.8854f, -0.692f, -3.7828f, -0.9904f, -5.0477f)
                curveToRelative(-0.358f, -1.5035f, -1.6349f, -2.5775f, -3.1742f, -2.673f)
                curveToRelative(-1.5155f, -0.0955f, -4.0215f, -0.2028f, -7.3627f, -0.2028f)
                curveToRelative(-3.3413f, 0.0f, -5.8472f, 0.1074f, -7.3627f, 0.2028f)
                curveToRelative(-1.5394f, 0.0955f, -2.8163f, 1.1695f, -3.1743f, 2.673f)
                curveToRelative(-0.2983f, 1.265f, -0.716f, 3.1623f, -0.9904f, 5.0477f)
                curveToRelative(-0.191f, 1.2769f, -0.3341f, 2.7685f, -0.4535f, 4.463f)
                curveToRelative(-0.0596f, 0.9427f, 0.2506f, 1.8496f, 0.8831f, 2.5537f)
                curveToRelative(0.6324f, 0.704f, 1.4916f, 1.1217f, 2.4463f, 1.1575f)
                curveToRelative(2.0763f, 0.0955f, 5.2625f, 0.2148f, 8.6634f, 0.2148f)
                curveToRelative(3.401f, 0.0f, 6.587f, -0.1193f, 8.6634f, -0.2148f)
                curveToRelative(0.9427f, -0.0477f, 1.8139f, -0.4535f, 2.4463f, -1.1575f)
                curveToRelative(0.6325f, -0.704f, 0.9427f, -1.611f, 0.883f, -2.5537f)
                curveToRelative(-0.1312f, -1.6945f, -0.2863f, -3.198f, -0.4773f, -4.463f)
                close()
                moveTo(21.8687f, 19.3746f)
                curveToRelative(-0.3342f, 0.37f, -0.7876f, 0.5848f, -1.2888f, 0.6086f)
                curveToRelative(-2.0644f, 0.0955f, -5.2148f, 0.2148f, -8.5918f, 0.2148f)
                curveToRelative(-3.3771f, 0.0f, -6.5274f, -0.1193f, -8.5919f, -0.2148f)
                curveToRelative(-0.5011f, -0.0239f, -0.9546f, -0.2386f, -1.2887f, -0.6086f)
                curveToRelative(-0.3342f, -0.3699f, -0.5012f, -0.8472f, -0.4654f, -1.3484f)
                curveToRelative(0.1074f, -1.6468f, 0.2506f, -3.1026f, 0.4415f, -4.3317f)
                curveToRelative(0.2625f, -1.8258f, 0.6683f, -3.6754f, 0.9666f, -4.9045f)
                curveToRelative(0.191f, -0.7995f, 0.8592f, -1.3604f, 1.6826f, -1.42f)
                curveTo(6.2244f, 7.2745f, 8.6945f, 7.167f, 12.0f, 7.167f)
                curveToRelative(3.2935f, 0.0f, 5.7756f, 0.1074f, 7.2673f, 0.2029f)
                curveToRelative(0.8114f, 0.0477f, 1.4916f, 0.6205f, 1.6825f, 1.42f)
                curveToRelative(0.2864f, 1.2291f, 0.6921f, 3.0787f, 0.9666f, 4.9045f)
                curveToRelative(0.179f, 1.2291f, 0.3222f, 2.685f, 0.4415f, 4.3317f)
                curveToRelative(0.0f, 0.5012f, -0.167f, 0.9785f, -0.4892f, 1.3484f)
                close()
                moveTo(11.988f, 4.1958f)
                curveToRelative(0.5608f, 0.0f, 1.0262f, -0.4535f, 1.0262f, -1.0143f)
                curveToRelative(0.0f, -0.561f, -0.4534f, -1.0263f, -1.0262f, -1.0263f)
                curveToRelative(-0.5609f, 0.0f, -1.0263f, 0.4535f, -1.0263f, 1.0263f)
                curveToRelative(0.0f, 0.5489f, 0.4654f, 1.0143f, 1.0263f, 1.0143f)
                close()
                moveTo(17.9545f, 12.0358f)
                curveToRelative(-0.9069f, 0.0f, -1.6468f, 0.7399f, -1.6468f, 1.6468f)
                horizontalLineToRelative(3.2936f)
                curveToRelative(0.0f, -0.907f, -0.728f, -1.6468f, -1.6468f, -1.6468f)
                close()
                moveTo(6.0215f, 12.0358f)
                curveToRelative(-0.907f, 0.0f, -1.6468f, 0.7399f, -1.6468f, 1.6468f)
                horizontalLineToRelative(3.2935f)
                curveToRelative(0.0f, -0.907f, -0.728f, -1.6468f, -1.6468f, -1.6468f)
                close()
                moveTo(11.988f, 18.0023f)
                curveToRelative(1.4677f, 0.0f, 2.661f, -1.1933f, 2.661f, -2.661f)
                horizontalLineToRelative(-5.334f)
                curveToRelative(0.0f, 1.4558f, 1.1933f, 2.661f, 2.673f, 2.661f)
                close()
            }
        }
        .build()
        return _bitrise!!
    }

private var _bitrise: ImageVector? = null
