package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Bower: ImageVector
    get() {
        if (_bower != null) {
            return _bower!!
        }
        _bower = Builder(name = "Bower", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.542f, 11.756f)
                curveToRelative(-1.235f, -1.187f, -7.408f, -1.927f, -9.355f, -2.142f)
                curveToRelative(0.094f, -0.223f, 0.175f, -0.454f, 0.242f, -0.691f)
                curveToRelative(0.266f, -0.117f, 0.552f, -0.225f, 0.848f, -0.315f)
                curveToRelative(0.036f, 0.107f, 0.207f, 0.515f, 0.303f, 0.709f)
                curveToRelative(3.917f, 0.108f, 4.118f, -2.91f, 4.277f, -3.738f)
                curveToRelative(0.156f, -0.808f, 0.149f, -1.59f, 1.492f, -3.018f)
                curveToRelative(-2.001f, -0.584f, -4.88f, 0.904f, -5.844f, 3.118f)
                arcToRelative(5.981f, 5.981f, 0.0f, false, false, -1.085f, -0.298f)
                curveToRelative(-0.257f, -1.038f, -1.597f, -3.93f, -5.114f, -3.93f)
                curveToRelative(-2.278f, 0.0f, -4.574f, 0.94f, -6.301f, 2.58f)
                arcToRelative(9.421f, 9.421f, 0.0f, false, false, -2.173f, 3.12f)
                curveTo(0.28f, 8.43f, 0.0f, 9.84f, 0.0f, 11.342f)
                curveToRelative(0.0f, 5.227f, 3.568f, 9.807f, 5.584f, 9.807f)
                curveToRelative(0.88f, 0.0f, 1.638f, -0.659f, 1.816f, -1.25f)
                curveToRelative(0.15f, 0.406f, 0.606f, 1.665f, 0.757f, 1.985f)
                curveToRelative(0.222f, 0.475f, 1.249f, 0.885f, 1.698f, 0.392f)
                curveToRelative(0.577f, 0.321f, 1.638f, 0.514f, 2.215f, -0.342f)
                curveToRelative(1.113f, 0.235f, 2.097f, -0.428f, 2.118f, -1.22f)
                curveToRelative(0.546f, -0.029f, 0.814f, -0.796f, 0.695f, -1.406f)
                curveToRelative(-0.088f, -0.45f, -1.026f, -2.063f, -1.393f, -2.62f)
                curveToRelative(0.725f, 0.59f, 2.562f, 0.757f, 2.784f, 0.0f)
                curveToRelative(1.169f, 0.918f, 2.991f, 0.437f, 3.135f, -0.31f)
                curveToRelative(1.42f, 0.369f, 3.05f, -0.441f, 2.782f, -1.423f)
                curveToRelative(2.282f, -0.157f, 1.99f, -2.585f, 1.35f, -3.2f)
                close()
                moveTo(17.599f, 7.732f)
                curveToRelative(-0.6f, -0.236f, -1.363f, -0.386f, -1.897f, -0.386f)
                curveToRelative(-0.757f, 0.0f, -1.22f, 0.43f, -1.932f, 0.43f)
                curveToRelative(-0.15f, 0.0f, -0.507f, 0.0f, -0.794f, -0.102f)
                curveToRelative(0.189f, 0.198f, 0.423f, 0.305f, 0.877f, 0.305f)
                curveToRelative(0.272f, 0.0f, 0.81f, -0.139f, 1.245f, -0.27f)
                curveToRelative(0.007f, 0.093f, 0.016f, 0.183f, 0.029f, 0.274f)
                curveToRelative(-0.816f, 0.195f, -1.672f, 0.714f, -1.92f, 0.849f)
                curveToRelative(-0.55f, -1.218f, -0.077f, -2.368f, 0.36f, -2.899f)
                curveToRelative(1.962f, 0.004f, 3.548f, 1.352f, 4.032f, 1.8f)
                close()
                moveTo(18.449f, 7.641f)
                lineToRelative(-0.3f, -0.28f)
                curveToRelative(-0.309f, -0.29f, -0.63f, -0.55f, -0.96f, -0.783f)
                curveToRelative(0.491f, -0.974f, 1.109f, -2.04f, 1.889f, -2.698f)
                curveToRelative(-0.859f, 0.346f, -1.707f, 1.38f, -2.208f, 2.485f)
                arcToRelative(7.635f, 7.635f, 0.0f, false, false, -0.777f, -0.433f)
                curveToRelative(0.7f, -1.493f, 2.323f, -2.739f, 4.114f, -2.836f)
                curveToRelative(-1.2f, 1.088f, -0.75f, 3.258f, -1.76f, 4.544f)
                lineToRelative(0.001f, 0.001f)
                close()
                moveTo(15.985f, 8.658f)
                curveToRelative(-0.133f, -0.288f, -0.266f, -0.763f, -0.25f, -1.042f)
                curveToRelative(0.222f, -0.006f, 0.65f, 0.078f, 0.718f, 0.094f)
                curveToRelative(-0.026f, 0.131f, -0.04f, 0.42f, -0.04f, 0.456f)
                curveToRelative(0.042f, -0.073f, 0.16f, -0.324f, 0.208f, -0.423f)
                curveToRelative(0.428f, 0.081f, 0.99f, 0.218f, 1.32f, 0.372f)
                curveToRelative(-0.388f, 0.25f, -1.045f, 0.523f, -1.957f, 0.543f)
                close()
                moveTo(8.912f, 6.706f)
                curveToRelative(-0.484f, -0.174f, -0.484f, -0.611f, 0.0f, -0.785f)
                curveToRelative(0.485f, -0.174f, 1.095f, 0.045f, 1.095f, 0.392f)
                curveToRelative(0.0f, 0.348f, -0.61f, 0.567f, -1.095f, 0.393f)
                close()
                moveTo(10.529f, 6.868f)
                arcTo(1.252f, 1.252f, 0.0f, true, false, 8.65f, 7.951f)
                curveToRelative(0.832f, 0.48f, 1.879f, -0.123f, 1.879f, -1.083f)
                close()
                moveTo(13.312f, 5.293f)
                curveToRelative(-1.565f, 1.586f, -0.947f, 3.593f, -0.377f, 4.499f)
                curveToRelative(-0.81f, 1.348f, -2.404f, 2.27f, -4.255f, 2.69f)
                curveToRelative(2.078f, 0.0f, 3.3f, -0.535f, 4.011f, -1.059f)
                curveToRelative(0.454f, -0.335f, 0.7f, -0.664f, 0.825f, -0.847f)
                curveToRelative(3.081f, 0.199f, 7.96f, 1.192f, 8.435f, 1.513f)
                curveToRelative(0.19f, 0.129f, 0.388f, 0.414f, 0.417f, 0.687f)
                curveToRelative(-2.315f, -0.324f, -6.488f, -0.665f, -7.58f, -0.722f)
                curveToRelative(0.775f, 0.11f, 6.433f, 1.18f, 7.414f, 1.432f)
                curveToRelative(-0.299f, 0.486f, -0.98f, 0.83f, -2.004f, 0.591f)
                curveToRelative(0.555f, 0.754f, -0.52f, 1.66f, -2.019f, 1.161f)
                curveToRelative(0.33f, 0.74f, -1.003f, 1.407f, -2.52f, 0.636f)
                curveToRelative(0.02f, 0.74f, -1.88f, 0.826f, -2.63f, 0.007f)
                curveToRelative(0.015f, 0.098f, 0.104f, 0.284f, 0.142f, 0.367f)
                curveToRelative(-0.241f, 2.163f, -2.014f, 3.506f, -3.829f, 3.506f)
                curveToRelative(-4.443f, 0.0f, -8.314f, -3.61f, -8.314f, -8.411f)
                curveToRelative(0.0f, -5.076f, 3.751f, -8.865f, 8.278f, -8.865f)
                curveToRelative(2.594f, 0.0f, 3.766f, 2.042f, 4.006f, 2.815f)
                close()
            }
        }
        .build()
        return _bower!!
    }

private var _bower: ImageVector? = null
