package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Breaker: ImageVector
    get() {
        if (_breaker != null) {
            return _breaker!!
        }
        _breaker = Builder(name = "Breaker", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.556f, 12.924f)
                curveToRelative(0.21f, 0.0f, 0.386f, 0.017f, 0.585f, 0.056f)
                curveToRelative(1.043f, 0.206f, 1.898f, 0.964f, 2.246f, 1.956f)
                curveToRelative(0.101f, 0.319f, 0.234f, 0.797f, 0.319f, 1.125f)
                lineToRelative(0.111f, 0.433f)
                lineToRelative(0.446f, -0.009f)
                curveToRelative(3.552f, -0.075f, 6.456f, -2.965f, 6.456f, -6.546f)
                curveTo(23.72f, 4.513f, 19.195f, 0.0f, 12.281f, 0.0f)
                curveTo(9.429f, 0.009f, 6.725f, 1.046f, 4.678f, 2.715f)
                curveToRelative(-2.683f, 2.2f, -4.397f, 5.543f, -4.397f, 9.286f)
                curveToRelative(0.002f, 0.96f, 0.118f, 1.926f, 0.334f, 2.818f)
                curveToRelative(0.788f, 3.268f, 2.91f, 6.015f, 5.759f, 7.628f)
                curveToRelative(1.723f, 0.971f, 3.784f, 1.547f, 5.909f, 1.553f)
                curveToRelative(0.521f, 0.0f, 1.052f, -0.036f, 1.554f, -0.099f)
                curveToRelative(3.126f, -0.405f, 5.873f, -2.012f, 7.765f, -4.339f)
                lineToRelative(0.124f, -0.152f)
                lineToRelative(-0.24f, -0.868f)
                lineToRelative(-0.463f, 0.122f)
                curveToRelative(-1.436f, 0.381f, -2.908f, 0.578f, -4.463f, 0.576f)
                curveToRelative(-1.243f, 0.0f, -2.428f, -0.128f, -3.598f, -0.375f)
                curveToRelative(-1.054f, -0.212f, -1.911f, -0.979f, -2.248f, -1.98f)
                curveToRelative(-0.109f, -0.315f, -0.158f, -0.608f, -0.156f, -0.958f)
                curveToRelative(-0.011f, -0.782f, 0.257f, -1.425f, 0.741f, -1.975f)
                curveTo(11.848f, 13.321f, 12.656f, 12.924f, 13.556f, 12.924f)
                close()
                moveTo(12.281f, 1.125f)
                curveToRelative(6.398f, 0.0f, 10.313f, 4.11f, 10.313f, 8.813f)
                curveToRelative(0.0f, 2.811f, -2.168f, 5.119f, -4.919f, 5.397f)
                curveToRelative(-0.073f, -0.261f, -0.152f, -0.536f, -0.219f, -0.746f)
                curveTo(15.715f, 9.132f, 11.567f, 4.907f, 6.23f, 2.957f)
                curveTo(7.965f, 1.78f, 10.01f, 1.118f, 12.281f, 1.125f)
                close()
                moveTo(1.405f, 12.001f)
                curveToRelative(0.0f, -3.283f, 1.455f, -6.227f, 3.756f, -8.223f)
                curveToRelative(4.377f, 1.403f, 7.964f, 4.397f, 10.058f, 8.371f)
                curveToRelative(-0.272f, -0.12f, -0.559f, -0.212f, -0.859f, -0.272f)
                curveToRelative(-1.219f, -0.253f, -2.511f, -0.394f, -3.807f, -0.394f)
                curveToRelative(-3.24f, 0.006f, -6.345f, 0.859f, -9.001f, 2.325f)
                curveTo(1.454f, 13.222f, 1.405f, 12.625f, 1.405f, 12.001f)
                close()
                moveTo(12.729f, 19.967f)
                curveToRelative(1.224f, 0.257f, 2.526f, 0.398f, 3.829f, 0.398f)
                curveToRelative(0.996f, 0.0f, 1.986f, -0.083f, 2.948f, -0.234f)
                curveToRelative(-1.519f, 1.352f, -3.418f, 2.282f, -5.519f, 2.614f)
                curveToRelative(-0.799f, -0.938f, -1.493f, -1.95f, -2.072f, -3.032f)
                curveTo(12.174f, 19.822f, 12.446f, 19.908f, 12.729f, 19.967f)
                close()
                moveTo(12.645f, 22.871f)
                curveToRelative(-0.12f, 0.004f, -0.242f, 0.006f, -0.364f, 0.006f)
                curveToRelative(-1.825f, 0.006f, -3.486f, -0.424f, -4.994f, -1.209f)
                curveToRelative(0.433f, -1.907f, 1.172f, -3.675f, 2.171f, -5.277f)
                curveToRelative(0.034f, 0.294f, 0.099f, 0.587f, 0.186f, 0.848f)
                curveTo(10.314f, 19.28f, 11.347f, 21.202f, 12.645f, 22.871f)
                close()
                moveTo(10.453f, 13.207f)
                curveToRelative(-1.954f, 2.19f, -3.43f, 4.913f, -4.176f, 7.864f)
                curveToRelative(-2.143f, -1.421f, -3.752f, -3.582f, -4.467f, -6.117f)
                curveToRelative(2.586f, -1.508f, 5.532f, -2.351f, 8.744f, -2.346f)
                curveToRelative(0.18f, 0.0f, 0.358f, 0.002f, 0.536f, 0.008f)
                curveTo(10.858f, 12.79f, 10.644f, 12.987f, 10.453f, 13.207f)
                close()
            }
        }
        .build()
        return _breaker!!
    }

private var _breaker: ImageVector? = null
