package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Carto: ImageVector
    get() {
        if (_carto != null) {
            return _carto!!
        }
        _carto = Builder(name = "Carto", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.138f, 7.138f)
                curveTo(21.823f, 7.138f, 24.0f, 9.3147f, 24.0f, 12.0f)
                reflectiveCurveToRelative(-2.1769f, 4.862f, -4.862f, 4.862f)
                curveToRelative(-1.9046f, 0.0f, -3.5532f, -1.0949f, -4.351f, -2.6896f)
                horizontalLineToRelative(0.4683f)
                curveToRelative(0.7615f, 1.358f, 2.215f, 2.2759f, 3.8826f, 2.2759f)
                curveToRelative(2.4567f, 0.0f, 4.4483f, -1.9916f, 4.4483f, -4.4483f)
                curveToRelative(0.0f, -2.4567f, -1.9916f, -4.4483f, -4.4483f, -4.4483f)
                curveToRelative(-1.6677f, 0.0f, -3.1211f, 0.9178f, -3.8826f, 2.2759f)
                horizontalLineToRelative(-0.4683f)
                curveToRelative(0.7978f, -1.5947f, 2.4464f, -2.6897f, 4.351f, -2.6897f)
                close()
                moveTo(19.138f, 10.4483f)
                curveToRelative(0.8569f, 0.0f, 1.5517f, 0.6947f, 1.5517f, 1.5517f)
                curveToRelative(0.0f, 0.857f, -0.6948f, 1.5517f, -1.5518f, 1.5517f)
                curveToRelative(-0.857f, 0.0f, -1.5517f, -0.6947f, -1.5517f, -1.5517f)
                curveToRelative(0.0f, -0.857f, 0.6948f, -1.5517f, 1.5517f, -1.5517f)
                close()
                moveTo(1.5608f, 10.4592f)
                curveToRelative(0.6066f, 0.0f, 0.9968f, 0.2545f, 1.2597f, 0.615f)
                lineToRelative(-0.6192f, 0.4793f)
                curveToRelative(-0.1697f, -0.2079f, -0.3648f, -0.3478f, -0.649f, -0.3478f)
                curveToRelative(-0.4156f, 0.0f, -0.7083f, 0.3562f, -0.7083f, 0.7889f)
                verticalLineToRelative(0.008f)
                curveToRelative(0.0f, 0.4453f, 0.2927f, 0.793f, 0.7083f, 0.793f)
                curveToRelative(0.3096f, 0.0f, 0.492f, -0.144f, 0.6702f, -0.3604f)
                lineToRelative(0.6192f, 0.4411f)
                curveToRelative(-0.2799f, 0.386f, -0.6574f, 0.6701f, -1.3105f, 0.6701f)
                curveTo(0.6829f, 13.547f, 0.0f, 12.898f, 0.0f, 12.0116f)
                verticalLineToRelative(-0.008f)
                curveToRelative(0.0f, -0.8652f, 0.6617f, -1.5439f, 1.5608f, -1.5439f)
                close()
                moveTo(6.2954f, 10.4974f)
                lineToRelative(1.264f, 2.9902f)
                horizontalLineToRelative(-0.8822f)
                lineToRelative(-0.212f, -0.5344f)
                lineTo(5.3156f, 12.9532f)
                lineToRelative(-0.212f, 0.5344f)
                horizontalLineToRelative(-0.861f)
                lineToRelative(1.2596f, -2.9902f)
                close()
                moveTo(10.5654f, 10.5186f)
                curveToRelative(0.454f, 0.0f, 0.7678f, 0.1187f, 0.9671f, 0.318f)
                curveToRelative(0.174f, 0.174f, 0.263f, 0.3988f, 0.263f, 0.6914f)
                verticalLineToRelative(0.008f)
                curveToRelative(0.0f, 0.458f, -0.2418f, 0.7592f, -0.6108f, 0.9162f)
                lineToRelative(0.7083f, 1.0349f)
                horizontalLineToRelative(-0.9458f)
                lineToRelative(-0.598f, -0.8992f)
                horizontalLineToRelative(-0.3648f)
                verticalLineToRelative(0.8992f)
                horizontalLineToRelative(-0.8228f)
                verticalLineToRelative(-2.969f)
                close()
                moveTo(15.9637f, 10.5186f)
                verticalLineToRelative(0.721f)
                horizontalLineToRelative(-0.8907f)
                verticalLineToRelative(2.248f)
                horizontalLineToRelative(-0.8228f)
                verticalLineToRelative(-2.248f)
                horizontalLineToRelative(-0.8864f)
                verticalLineToRelative(-0.721f)
                close()
                moveTo(5.8925f, 11.4729f)
                lineToRelative(-0.335f, 0.8398f)
                horizontalLineToRelative(0.6658f)
                close()
                moveTo(10.5273f, 11.2269f)
                horizontalLineToRelative(-0.5429f)
                verticalLineToRelative(0.7168f)
                horizontalLineToRelative(0.5472f)
                curveToRelative(0.2756f, 0.0f, 0.441f, -0.1357f, 0.441f, -0.352f)
                verticalLineToRelative(-0.008f)
                curveToRelative(0.0f, -0.2375f, -0.1738f, -0.3563f, -0.4453f, -0.3563f)
                close()
            }
        }
        .build()
        return _carto!!
    }

private var _carto: ImageVector? = null
