package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Cisco: ImageVector
    get() {
        if (_cisco != null) {
            return _cisco!!
        }
        _cisco = Builder(name = "Cisco", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.331f, 18.171f)
                lineTo(16.331f, 17.06f)
                lineToRelative(-0.022f, 0.01f)
                curveToRelative(-0.25f, 0.121f, -0.522f, 0.19f, -0.801f, 0.203f)
                arcToRelative(1.186f, 1.186f, 0.0f, false, true, -0.806f, -0.237f)
                arcToRelative(1.038f, 1.038f, 0.0f, false, true, -0.352f, -0.498f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, true, -0.023f, -0.667f)
                curveToRelative(0.052f, -0.225f, 0.178f, -0.426f, 0.357f, -0.569f)
                curveToRelative(0.16f, -0.134f, 0.355f, -0.218f, 0.562f, -0.242f)
                arcToRelative(1.85f, 1.85f, 0.0f, false, true, 1.061f, 0.198f)
                lineToRelative(0.024f, 0.013f)
                verticalLineToRelative(-1.117f)
                lineToRelative(-0.051f, -0.014f)
                arcToRelative(2.862f, 2.862f, 0.0f, false, false, -1.011f, -0.132f)
                arcToRelative(2.34f, 2.34f, 0.0f, false, false, -0.903f, 0.206f)
                curveToRelative(-0.287f, 0.132f, -0.54f, 0.327f, -0.739f, 0.571f)
                arcToRelative(2.221f, 2.221f, 0.0f, false, false, -0.04f, 2.705f)
                curveToRelative(0.295f, 0.378f, 0.709f, 0.645f, 1.175f, 0.756f)
                curveToRelative(0.491f, 0.12f, 1.006f, 0.102f, 1.487f, -0.052f)
                lineToRelative(0.082f, -0.023f)
                moveTo(5.336f, 18.171f)
                lineTo(5.336f, 17.06f)
                lineToRelative(-0.022f, 0.01f)
                curveToRelative(-0.25f, 0.121f, -0.522f, 0.19f, -0.801f, 0.203f)
                arcToRelative(1.183f, 1.183f, 0.0f, false, true, -0.806f, -0.237f)
                arcToRelative(1.03f, 1.03f, 0.0f, false, true, -0.351f, -0.498f)
                arcToRelative(1.202f, 1.202f, 0.0f, false, true, -0.024f, -0.667f)
                curveToRelative(0.052f, -0.225f, 0.177f, -0.426f, 0.357f, -0.569f)
                curveToRelative(0.16f, -0.134f, 0.355f, -0.218f, 0.562f, -0.242f)
                arcToRelative(1.85f, 1.85f, 0.0f, false, true, 1.061f, 0.198f)
                lineToRelative(0.024f, 0.013f)
                verticalLineToRelative(-1.117f)
                lineToRelative(-0.051f, -0.014f)
                arcToRelative(2.862f, 2.862f, 0.0f, false, false, -1.011f, -0.132f)
                arcToRelative(2.344f, 2.344f, 0.0f, false, false, -0.903f, 0.206f)
                arcToRelative(2.08f, 2.08f, 0.0f, false, false, -0.74f, 0.571f)
                arcToRelative(2.224f, 2.224f, 0.0f, false, false, -0.041f, 2.705f)
                arcToRelative(2.11f, 2.11f, 0.0f, false, false, 1.176f, 0.756f)
                curveToRelative(0.491f, 0.12f, 1.005f, 0.102f, 1.487f, -0.052f)
                lineToRelative(0.083f, -0.023f)
                moveTo(9.26f, 17.249f)
                lineToRelative(-0.004f, 0.957f)
                lineToRelative(0.07f, 0.012f)
                curveToRelative(0.22f, 0.041f, 0.441f, 0.069f, 0.664f, 0.085f)
                curveToRelative(0.195f, 0.019f, 0.391f, 0.022f, 0.587f, 0.012f)
                curveToRelative(0.187f, -0.014f, 0.372f, -0.049f, 0.551f, -0.104f)
                curveToRelative(0.21f, -0.06f, 0.405f, -0.163f, 0.571f, -0.305f)
                arcToRelative(1.16f, 1.16f, 0.0f, false, false, 0.333f, -0.478f)
                arcToRelative(1.31f, 1.31f, 0.0f, false, false, -0.007f, -0.96f)
                arcToRelative(1.068f, 1.068f, 0.0f, false, false, -0.298f, -0.414f)
                arcToRelative(1.261f, 1.261f, 0.0f, false, false, -0.438f, -0.255f)
                lineToRelative(-0.722f, -0.268f)
                arcToRelative(0.388f, 0.388f, 0.0f, false, true, -0.197f, -0.188f)
                arcToRelative(0.245f, 0.245f, 0.0f, false, true, 0.008f, -0.219f)
                arcToRelative(0.382f, 0.382f, 0.0f, false, true, 0.154f, -0.142f)
                arcToRelative(0.798f, 0.798f, 0.0f, false, true, 0.257f, -0.074f)
                curveToRelative(0.153f, -0.022f, 0.308f, -0.021f, 0.46f, 0.005f)
                curveToRelative(0.18f, 0.02f, 0.358f, 0.051f, 0.533f, 0.096f)
                lineToRelative(0.038f, 0.008f)
                verticalLineToRelative(-0.883f)
                lineToRelative(-0.069f, -0.015f)
                arcToRelative(4.749f, 4.749f, 0.0f, false, false, -0.543f, -0.097f)
                arcToRelative(2.844f, 2.844f, 0.0f, false, false, -0.714f, -0.003f)
                curveToRelative(-0.3f, 0.027f, -0.585f, 0.143f, -0.821f, 0.33f)
                curveToRelative(-0.16f, 0.126f, -0.281f, 0.293f, -0.351f, 0.484f)
                curveToRelative(-0.104f, 0.29f, -0.105f, 0.608f, 0.0f, 0.899f)
                curveToRelative(0.054f, 0.145f, 0.14f, 0.274f, 0.252f, 0.381f)
                curveToRelative(0.097f, 0.093f, 0.207f, 0.173f, 0.327f, 0.236f)
                curveToRelative(0.157f, 0.084f, 0.324f, 0.149f, 0.497f, 0.195f)
                curveToRelative(0.057f, 0.017f, 0.114f, 0.035f, 0.17f, 0.054f)
                lineToRelative(0.085f, 0.031f)
                lineToRelative(0.024f, 0.01f)
                curveToRelative(0.084f, 0.03f, 0.162f, 0.078f, 0.226f, 0.14f)
                curveToRelative(0.045f, 0.042f, 0.08f, 0.094f, 0.101f, 0.151f)
                arcToRelative(0.325f, 0.325f, 0.0f, false, true, 0.001f, 0.161f)
                arcToRelative(0.339f, 0.339f, 0.0f, false, true, -0.166f, 0.198f)
                arcToRelative(0.856f, 0.856f, 0.0f, false, true, -0.275f, 0.086f)
                arcToRelative(2.032f, 2.032f, 0.0f, false, true, -0.427f, 0.021f)
                arcToRelative(5.208f, 5.208f, 0.0f, false, true, -0.557f, -0.074f)
                arcToRelative(9.195f, 9.195f, 0.0f, false, true, -0.287f, -0.067f)
                lineToRelative(-0.033f, -0.006f)
                close()
                moveTo(6.785f, 18.244f)
                horizontalLineToRelative(1.05f)
                verticalLineToRelative(-4.167f)
                horizontalLineToRelative(-1.05f)
                verticalLineToRelative(4.167f)
                close()
                moveTo(18.947f, 15.308f)
                arcToRelative(1.095f, 1.095f, 0.0f, false, true, 1.541f, 0.158f)
                arcToRelative(1.094f, 1.094f, 0.0f, false, true, -0.157f, 1.541f)
                lineToRelative(-0.017f, 0.014f)
                arcToRelative(1.096f, 1.096f, 0.0f, false, true, -1.367f, -1.713f)
                moveToRelative(-1.525f, 0.854f)
                arcToRelative(2.193f, 2.193f, 0.0f, false, false, 2.666f, 2.107f)
                arcToRelative(2.139f, 2.139f, 0.0f, false, false, 0.701f, -3.937f)
                arcToRelative(2.207f, 2.207f, 0.0f, false, false, -3.367f, 1.83f)
                moveTo(22.961f, 10.728f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(24.0f, 9.573f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(1.155f)
                moveTo(20.117f, 10.728f)
                arcToRelative(0.522f, 0.522f, 0.0f, false, false, 1.041f, 0.0f)
                lineTo(21.158f, 8.139f)
                arcToRelative(0.521f, 0.521f, 0.0f, false, false, -1.04f, 0.0f)
                verticalLineToRelative(2.589f)
                moveTo(17.231f, 11.771f)
                arcToRelative(0.521f, 0.521f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(18.27f, 6.17f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(5.601f)
                moveTo(14.393f, 10.728f)
                arcToRelative(0.521f, 0.521f, 0.0f, false, false, 1.04f, 0.0f)
                lineTo(15.433f, 8.139f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(2.589f)
                moveTo(11.494f, 10.728f)
                arcToRelative(0.522f, 0.522f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(12.533f, 9.573f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(1.155f)
                moveTo(8.624f, 10.728f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(9.663f, 8.139f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(2.589f)
                moveTo(5.737f, 11.771f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(6.776f, 6.17f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(5.601f)
                moveTo(2.876f, 10.728f)
                arcToRelative(0.522f, 0.522f, 0.0f, false, false, 1.04f, 0.0f)
                lineTo(3.916f, 8.139f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(2.589f)
                moveTo(0.0f, 10.728f)
                arcToRelative(0.521f, 0.521f, 0.0f, false, false, 1.039f, 0.0f)
                lineTo(1.039f, 9.573f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -1.039f, 0.0f)
                verticalLineToRelative(1.155f)
            }
        }
        .build()
        return _cisco!!
    }

private var _cisco: ImageVector? = null
