package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codemirror: ImageVector
    get() {
        if (_codemirror != null) {
            return _codemirror!!
        }
        _codemirror = Builder(name = "Codemirror", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.313f, 0.858f)
                curveToRelative(1.044f, -0.002f, 2.016f, 0.364f, 2.966f, 1.178f)
                curveToRelative(0.799f, 0.685f, 1.167f, 1.52f, 1.453f, 2.159f)
                curveToRelative(0.455f, 1.018f, 0.321f, 1.112f, -0.18f, 1.398f)
                arcToRelative(1.27f, 1.27f, 0.0f, false, true, -0.26f, 0.108f)
                curveToRelative(0.12f, 1.502f, 0.962f, 1.637f, 1.232f, 2.165f)
                curveToRelative(0.176f, 0.34f, 0.262f, 0.752f, -0.553f, 0.881f)
                curveToRelative(-0.819f, 0.13f, -0.552f, 0.76f, -1.763f, 0.815f)
                curveToRelative(-0.864f, 0.041f, -1.372f, -0.257f, -1.665f, -0.568f)
                arcToRelative(4.639f, 4.639f, 0.0f, false, true, -0.623f, 2.478f)
                curveToRelative(0.21f, 0.104f, 0.67f, 0.306f, 1.305f, 0.422f)
                curveToRelative(0.881f, 0.16f, 2.155f, -0.522f, 2.644f, -0.522f)
                curveToRelative(0.153f, 0.0f, 0.313f, -0.022f, 0.49f, -0.025f)
                curveToRelative(0.374f, -0.007f, 0.827f, 0.072f, 1.47f, 0.622f)
                lineToRelative(0.034f, -0.075f)
                curveToRelative(-0.376f, -0.515f, -0.212f, -1.885f, 0.49f, -3.535f)
                curveToRelative(0.811f, -1.904f, 1.803f, -3.534f, 2.606f, -3.099f)
                verticalLineToRelative(-0.004f)
                curveToRelative(0.725f, 0.392f, 0.36f, 1.916f, -0.45f, 3.82f)
                curveToRelative(-0.697f, 1.636f, -1.377f, 2.939f, -2.083f, 3.043f)
                lineToRelative(-0.079f, 0.241f)
                curveToRelative(0.834f, 0.662f, 0.667f, 0.978f, 0.441f, 1.52f)
                curveToRelative(-0.262f, 0.619f, 0.114f, 1.175f, -1.222f, 1.403f)
                arcToRelative(0.969f, 0.969f, 0.0f, false, true, -0.434f, -0.025f)
                curveToRelative(-0.098f, 0.232f, -0.177f, 0.412f, -0.177f, 0.412f)
                reflectiveCurveToRelative(-0.13f, 0.357f, -0.478f, 0.232f)
                curveToRelative(-0.357f, -0.13f, -0.263f, -0.388f, -0.263f, -0.388f)
                lineToRelative(0.344f, -0.625f)
                curveToRelative(-0.214f, -0.231f, -0.327f, -0.492f, -0.297f, -0.586f)
                curveToRelative(0.133f, -0.294f, 0.455f, -0.031f, 0.423f, -0.356f)
                curveToRelative(-0.619f, 0.066f, -1.206f, -0.294f, -1.336f, -0.326f)
                curveToRelative(-0.13f, -0.031f, -0.066f, -0.325f, -1.109f, 0.326f)
                curveToRelative(-0.414f, 0.258f, -0.794f, 0.517f, -1.18f, 0.762f)
                curveToRelative(0.153f, 0.784f, 1.057f, 2.016f, 1.74f, 2.106f)
                curveToRelative(2.152f, -0.098f, 2.152f, 1.34f, 1.991f, 1.37f)
                curveToRelative(-0.325f, -0.618f, -0.846f, -0.489f, -1.532f, -0.097f)
                reflectiveCurveToRelative(0.13f, 0.325f, 0.423f, 0.552f)
                curveToRelative(-1.437f, 0.608f, -2.848f, -0.537f, -3.247f, -0.901f)
                curveToRelative(-0.568f, 0.903f, -1.673f, 1.543f, -2.438f, 1.885f)
                curveToRelative(-0.944f, 0.423f, -1.65f, 0.983f, -0.944f, 1.336f)
                curveToRelative(0.588f, 0.294f, 0.913f, -0.455f, 1.763f, -0.588f)
                curveToRelative(0.846f, -0.13f, 1.599f, 0.196f, 1.665f, 0.686f)
                curveToRelative(-0.356f, -0.196f, -0.619f, -0.196f, -0.619f, -0.196f)
                reflectiveCurveToRelative(0.294f, 0.196f, 0.325f, 0.52f)
                curveToRelative(0.032f, 0.326f, -0.03f, 0.162f, -0.227f, 0.162f)
                curveToRelative(-0.49f, 0.0f, -0.552f, -0.424f, -0.98f, -0.357f)
                curveToRelative(-1.077f, 0.098f, -1.14f, 0.552f, -1.727f, 0.62f)
                curveToRelative(-0.588f, 0.062f, -1.567f, -0.26f, -1.434f, -1.012f)
                curveToRelative(0.13f, -0.748f, 1.14f, -1.273f, 2.088f, -1.665f)
                curveToRelative(0.944f, -0.392f, 2.382f, -1.63f, 2.186f, -2.743f)
                curveToRelative(-0.096f, -0.546f, -0.351f, -0.768f, -0.585f, -0.852f)
                curveToRelative(-0.683f, 0.27f, -1.4f, 0.45f, -2.13f, 0.531f)
                curveToRelative(-2.1f, 0.257f, -2.804f, -0.742f, -2.983f, -1.09f)
                curveToRelative(-1.302f, 0.933f, -3.153f, 1.275f, -3.842f, 2.422f)
                curveToRelative(0.294f, -1.63f, 1.175f, -2.155f, 3.232f, -3.099f)
                curveToRelative(2.052f, -0.942f, 2.478f, -2.891f, 2.48f, -2.901f)
                verticalLineToRelative(-0.006f)
                verticalLineToRelative(0.006f)
                curveToRelative(-0.002f, 0.03f, -0.101f, 1.773f, -1.247f, 3.03f)
                curveToRelative(0.39f, 0.746f, 0.984f, 1.125f, 2.36f, 0.984f)
                curveToRelative(1.567f, -0.16f, 3.828f, -1.52f, 5.419f, -2.316f)
                curveToRelative(1.109f, -0.556f, 1.598f, 0.49f, 2.382f, 0.553f)
                curveToRelative(1.09f, 0.09f, 0.196f, 1.238f, 0.196f, 1.238f)
                reflectiveCurveToRelative(0.819f, -0.13f, 0.98f, -0.423f)
                curveToRelative(0.16f, -0.294f, -0.099f, -0.49f, 0.16f, -0.749f)
                curveToRelative(0.262f, -0.262f, 0.227f, -0.556f, -0.145f, -0.83f)
                curveToRelative(-0.33f, -0.243f, -0.537f, -0.568f, -1.614f, -1.058f)
                curveToRelative(-1.078f, -0.49f, -1.994f, 0.454f, -3.233f, 0.748f)
                curveToRelative(-0.932f, 0.22f, -1.77f, -0.183f, -2.129f, -0.399f)
                curveToRelative(-0.956f, 1.024f, -2.141f, 1.222f, -2.141f, 1.222f)
                verticalLineToRelative(-0.004f)
                curveToRelative(1.175f, -0.686f, 1.908f, -1.931f, 2.225f, -3.009f)
                curveToRelative(0.234f, -0.795f, 0.07f, -1.655f, -0.033f, -2.052f)
                curveToRelative(-1.51f, -0.03f, -2.627f, -1.478f, -2.627f, -1.478f)
                horizontalLineToRelative(0.004f)
                reflectiveCurveToRelative(1.924f, 1.238f, 3.49f, 0.717f)
                curveToRelative(1.564f, -0.521f, 1.305f, -3.554f, 1.337f, -3.393f)
                curveToRelative(0.015f, 0.078f, 0.262f, 0.692f, 0.3f, 1.436f)
                curveToRelative(0.367f, -0.044f, 1.705f, -0.25f, 1.424f, -0.887f)
                curveToRelative(-0.884f, -1.99f, -2.486f, -3.235f, -5.312f, -3.374f)
                curveToRelative(0.518f, 2.805f, -1.864f, 2.038f, -5.616f, 3.961f)
                curveTo(1.687f, 7.243f, 0.653f, 10.448f, 1.107f, 14.17f)
                curveToRelative(0.277f, 2.245f, 1.718f, 4.716f, 4.387f, 6.323f)
                arcToRelative(2.58f, 2.58f, 0.0f, false, false, 1.647f, -0.834f)
                curveToRelative(0.815f, -0.913f, 0.356f, -2.35f, 1.696f, -2.872f)
                arcToRelative(4.109f, 4.109f, 0.0f, false, true, 1.472f, -0.296f)
                curveToRelative(0.491f, -0.003f, 0.781f, 0.1f, 0.781f, 0.1f)
                reflectiveCurveToRelative(-2.382f, 0.325f, -2.578f, 1.697f)
                curveToRelative(-0.196f, 1.371f, -0.52f, 1.99f, -1.042f, 2.413f)
                curveToRelative(-0.238f, 0.186f, -0.51f, 0.324f, -0.802f, 0.405f)
                curveToRelative(1.564f, 0.7f, 3.462f, 1.127f, 5.703f, 1.127f)
                curveToRelative(7.15f, 0.0f, 10.0f, -5.673f, 10.305f, -7.193f)
                curveToRelative(0.34f, -1.681f, 1.324f, -2.08f, 1.324f, -0.286f)
                curveToRelative(0.0f, 3.428f, -5.136f, 8.388f, -11.601f, 8.388f)
                curveToRelative(-6.465f, 0.0f, -10.054f, -3.495f, -11.523f, -6.3f)
                curveTo(-0.594f, 14.032f, -0.2f, 9.758f, 1.954f, 7.18f)
                curveToRelative(2.154f, -2.582f, 5.081f, -3.166f, 7.2f, -3.851f)
                curveToRelative(2.017f, -0.653f, 1.91f, -1.86f, 1.895f, -1.975f)
                curveToRelative(-0.33f, -0.015f, -0.662f, -0.017f, -0.993f, -0.004f)
                curveToRelative(0.796f, -0.318f, 1.543f, -0.491f, 2.257f, -0.492f)
                close()
                moveTo(21.612f, 5.35f)
                curveToRelative(-0.358f, 0.006f, -1.19f, 1.31f, -1.863f, 2.994f)
                curveToRelative(-0.705f, 1.77f, -0.909f, 3.314f, -0.69f, 3.436f)
                curveToRelative(0.122f, 0.067f, 1.168f, -1.203f, 1.873f, -2.97f)
                curveToRelative(0.706f, -1.77f, 1.054f, -3.326f, 0.729f, -3.452f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, false, -0.05f, -0.008f)
                close()
                moveTo(14.952f, 5.852f)
                curveToRelative(-0.01f, 0.779f, -0.283f, 1.647f, -1.284f, 2.178f)
                curveToRelative(-0.08f, 0.043f, -0.158f, 0.08f, -0.236f, 0.112f)
                arcToRelative(3.9f, 3.9f, 0.0f, false, true, 0.076f, 0.42f)
                curveToRelative(0.27f, 0.151f, 0.672f, 0.34f, 1.112f, 0.413f)
                curveToRelative(0.784f, 0.129f, 1.34f, -0.396f, 1.568f, -0.588f)
                curveToRelative(0.227f, -0.192f, 0.572f, -0.047f, 0.732f, -0.016f)
                curveToRelative(0.16f, 0.036f, 0.486f, -0.062f, 0.259f, -0.16f)
                curveToRelative(-0.231f, -0.098f, -0.49f, -0.44f, -0.686f, -0.862f)
                curveToRelative(-0.208f, -0.833f, -0.5f, -1.19f, -0.653f, -1.33f)
                curveToRelative(-0.248f, 0.122f, -0.579f, 0.029f, -0.8f, -0.12f)
                curveToRelative(-0.03f, -0.015f, -0.06f, -0.03f, -0.088f, -0.047f)
                close()
                moveTo(21.348f, 6.018f)
                horizontalLineToRelative(0.014f)
                lineToRelative(-0.036f, 0.014f)
                curveToRelative(-0.006f, 0.004f, -0.01f, 0.01f, -0.015f, 0.016f)
                curveToRelative(0.016f, 0.07f, 0.007f, 0.146f, 0.007f, 0.225f)
                arcToRelative(0.806f, 0.806f, 0.0f, false, true, -0.03f, 0.24f)
                curveToRelative(0.006f, 0.015f, 0.0f, 0.04f, 0.0f, 0.059f)
                curveToRelative(-0.019f, 0.024f, -0.004f, 0.044f, -0.009f, 0.064f)
                curveToRelative(0.03f, 0.029f, 0.074f, 0.063f, 0.054f, 0.102f)
                curveToRelative(-0.01f, 0.025f, -0.04f, 0.035f, -0.069f, 0.044f)
                curveToRelative(-0.014f, 0.07f, -0.034f, 0.147f, -0.049f, 0.226f)
                curveToRelative(0.0f, 0.02f, 0.0f, 0.049f, -0.004f, 0.068f)
                curveToRelative(-0.015f, 0.05f, -0.03f, 0.093f, -0.045f, 0.147f)
                curveToRelative(-0.01f, 0.044f, 0.0f, 0.128f, -0.048f, 0.137f)
                curveToRelative(-0.02f, 0.05f, -0.03f, 0.089f, -0.054f, 0.138f)
                curveToRelative(-0.01f, 0.004f, -0.02f, -0.005f, -0.03f, 0.0f)
                verticalLineToRelative(0.001f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, true, -0.03f, 0.18f)
                curveToRelative(0.0f, 0.02f, -0.004f, 0.054f, -0.004f, 0.078f)
                curveToRelative(-0.025f, 0.034f, -0.01f, 0.059f, -0.02f, 0.088f)
                curveToRelative(0.035f, 0.04f, 0.079f, 0.079f, 0.054f, 0.137f)
                curveToRelative(-0.014f, 0.04f, -0.054f, 0.05f, -0.088f, 0.069f)
                curveToRelative(-0.03f, 0.093f, -0.059f, 0.206f, -0.088f, 0.308f)
                curveToRelative(-0.005f, 0.03f, -0.01f, 0.064f, -0.02f, 0.094f)
                curveToRelative(-0.024f, 0.063f, -0.054f, 0.127f, -0.073f, 0.2f)
                curveToRelative(-0.02f, 0.06f, -0.015f, 0.167f, -0.078f, 0.177f)
                curveToRelative(-0.03f, 0.063f, -0.045f, 0.112f, -0.079f, 0.176f)
                curveToRelative(-0.015f, 0.01f, -0.024f, -0.005f, -0.039f, 0.0f)
                curveToRelative(-0.015f, 0.02f, -0.02f, 0.049f, -0.034f, 0.069f)
                curveToRelative(-0.01f, 0.01f, -0.025f, 0.01f, -0.035f, 0.024f)
                curveToRelative(-0.02f, 0.03f, -0.014f, 0.073f, -0.034f, 0.118f)
                arcToRelative(0.318f, 0.318f, 0.0f, false, false, -0.054f, 0.063f)
                lineToRelative(-0.005f, 0.01f)
                curveToRelative(-0.023f, 0.062f, -0.034f, 0.136f, -0.062f, 0.196f)
                curveToRelative(0.023f, -0.197f, 0.045f, -0.426f, 0.063f, -0.662f)
                curveToRelative(0.009f, -0.17f, 0.022f, -0.382f, 0.037f, -0.599f)
                arcToRelative(6.43f, 6.43f, 0.0f, false, false, -0.01f, -0.89f)
                lineToRelative(0.031f, -0.063f)
                lineToRelative(0.064f, -0.123f)
                curveToRelative(0.014f, -0.151f, 0.026f, -0.256f, 0.03f, -0.24f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, true, 0.023f, 0.14f)
                curveToRelative(0.035f, -0.061f, 0.071f, -0.124f, 0.113f, -0.193f)
                curveToRelative(0.04f, -0.069f, 0.074f, -0.142f, 0.118f, -0.196f)
                curveToRelative(0.03f, -0.04f, 0.078f, -0.117f, 0.113f, -0.19f)
                curveToRelative(0.01f, -0.025f, 0.01f, -0.05f, 0.048f, -0.055f)
                curveToRelative(0.035f, -0.044f, 0.064f, -0.098f, 0.103f, -0.137f)
                curveToRelative(0.01f, -0.01f, 0.025f, -0.015f, 0.035f, -0.02f)
                curveToRelative(0.01f, -0.01f, 0.014f, -0.024f, 0.029f, -0.034f)
                curveToRelative(0.024f, -0.02f, 0.069f, -0.039f, 0.098f, -0.078f)
                curveToRelative(0.005f, -0.01f, 0.01f, -0.02f, 0.02f, -0.03f)
                curveToRelative(0.012f, -0.015f, 0.03f, -0.045f, 0.05f, -0.068f)
                lineToRelative(-0.001f, -0.01f)
                lineToRelative(0.017f, -0.006f)
                arcToRelative(0.062f, 0.062f, 0.0f, false, true, 0.022f, -0.014f)
                close()
                moveTo(20.355f, 7.471f)
                curveToRelative(-0.057f, 0.724f, -0.1f, 1.45f, -0.128f, 2.175f)
                arcToRelative(1.87f, 1.87f, 0.0f, false, false, -0.045f, 0.095f)
                curveToRelative(-0.049f, 0.117f, -0.122f, 0.254f, -0.171f, 0.391f)
                lineToRelative(-0.015f, 0.079f)
                curveToRelative(-0.02f, 0.054f, -0.049f, 0.107f, -0.064f, 0.161f)
                curveToRelative(-0.03f, 0.084f, -0.068f, 0.23f, -0.147f, 0.309f)
                curveToRelative(-0.004f, 0.01f, -0.024f, 0.02f, -0.034f, 0.03f)
                curveToRelative(-0.01f, 0.014f, -0.005f, 0.034f, -0.02f, 0.053f)
                lineToRelative(-0.017f, 0.011f)
                lineToRelative(0.117f, -1.412f)
                curveToRelative(0.006f, -0.26f, 0.033f, -0.515f, 0.07f, -0.746f)
                lineToRelative(-0.003f, -0.032f)
                curveToRelative(0.015f, -0.083f, 0.025f, -0.147f, 0.049f, -0.24f)
                lineToRelative(0.01f, -0.03f)
                curveToRelative(0.078f, -0.384f, 0.164f, -0.645f, 0.164f, -0.645f)
                lineToRelative(-0.032f, 0.308f)
                curveToRelative(0.012f, -0.028f, 0.025f, -0.056f, 0.04f, -0.084f)
                curveToRelative(0.014f, -0.03f, 0.038f, -0.054f, 0.053f, -0.088f)
                curveToRelative(0.005f, -0.015f, 0.01f, -0.04f, 0.015f, -0.059f)
                curveToRelative(0.046f, -0.095f, 0.102f, -0.184f, 0.158f, -0.276f)
                close()
                moveTo(19.756f, 9.05f)
                curveToRelative(-0.073f, 0.505f, -0.127f, 1.15f, -0.06f, 1.744f)
                curveToRelative(-0.006f, 0.011f, -0.01f, 0.023f, -0.018f, 0.034f)
                curveToRelative(-0.025f, 0.024f, -0.06f, 0.039f, -0.084f, 0.068f)
                curveToRelative(-0.014f, 0.02f, -0.024f, 0.05f, -0.044f, 0.074f)
                arcToRelative(0.98f, 0.98f, 0.0f, false, true, -0.068f, 0.078f)
                lineToRelative(-0.088f, 0.128f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, true, -0.098f, 0.088f)
                curveToRelative(-0.02f, 0.01f, -0.05f, 0.005f, -0.074f, 0.01f)
                curveToRelative(-0.014f, -0.02f, 0.0f, -0.05f, 0.0f, -0.074f)
                curveToRelative(0.0f, -0.01f, -0.01f, -0.024f, -0.01f, -0.034f)
                curveToRelative(0.0f, -0.03f, -0.004f, -0.084f, 0.0f, -0.113f)
                curveToRelative(0.0f, -0.03f, 0.025f, -0.054f, 0.035f, -0.098f)
                curveToRelative(0.005f, -0.034f, 0.0f, -0.073f, 0.0f, -0.112f)
                curveToRelative(0.0f, -0.015f, 0.005f, -0.035f, 0.005f, -0.06f)
                curveToRelative(0.0f, -0.029f, 0.0f, -0.043f, 0.004f, -0.083f)
                arcToRelative(0.598f, 0.598f, 0.0f, false, false, -0.004f, -0.132f)
                curveToRelative(0.02f, -0.103f, 0.029f, -0.186f, 0.058f, -0.308f)
                curveToRelative(0.01f, -0.054f, 0.035f, -0.152f, 0.06f, -0.216f)
                curveToRelative(0.019f, -0.063f, 0.043f, -0.127f, 0.063f, -0.196f)
                curveToRelative(0.02f, -0.068f, 0.044f, -0.137f, 0.068f, -0.205f)
                curveToRelative(0.015f, -0.044f, 0.04f, -0.084f, 0.06f, -0.133f)
                curveToRelative(0.009f, -0.024f, 0.009f, -0.053f, 0.019f, -0.083f)
                curveToRelative(0.02f, -0.059f, 0.044f, -0.122f, 0.073f, -0.176f)
                lineToRelative(0.083f, -0.162f)
                close()
                moveTo(13.488f, 15.056f)
                curveToRelative(-0.13f, 0.074f, -0.263f, 0.146f, -0.4f, 0.215f)
                curveToRelative(0.283f, 0.203f, 0.905f, 0.778f, 0.65f, 1.775f)
                arcToRelative(2.183f, 2.183f, 0.0f, false, true, -0.038f, 0.132f)
                curveToRelative(0.525f, 0.729f, 1.273f, 1.112f, 1.657f, 1.168f)
                curveToRelative(0.42f, 0.063f, 0.239f, -0.164f, 0.176f, -0.391f)
                curveToRelative(-0.066f, -0.228f, 0.392f, -0.294f, 0.65f, -0.455f)
                curveToRelative(0.26f, -0.164f, 0.13f, -0.423f, -0.716f, -0.294f)
                curveToRelative(-0.762f, 0.12f, -1.833f, -1.545f, -1.979f, -2.15f)
                close()
            }
        }
        .build()
        return _codemirror!!
    }

private var _codemirror: ImageVector? = null
