package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codeproject: ImageVector
    get() {
        if (_codeproject != null) {
            return _codeproject!!
        }
        _codeproject = Builder(name = "Codeproject", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.644f, 21.576f)
                curveToRelative(-0.837f, -0.038f, -2.143f, 0.467f, -2.43f, 0.209f)
                curveToRelative(-0.378f, -0.34f, 0.28f, -1.882f, 0.531f, -2.19f)
                curveToRelative(0.172f, -0.204f, 0.452f, -0.523f, 0.605f, -0.663f)
                curveToRelative(0.594f, -0.552f, 0.967f, -1.32f, 0.964f, -2.177f)
                curveToRelative(-0.004f, -0.941f, -0.281f, -1.278f, 0.659f, -0.532f)
                curveToRelative(0.324f, 0.258f, 0.768f, 0.59f, 1.335f, 0.854f)
                curveToRelative(1.14f, 0.524f, -1.32f, -1.68f, -1.788f, -2.102f)
                curveToRelative(-0.788f, -0.698f, -1.045f, -1.08f, -0.609f, -1.353f)
                curveToRelative(0.346f, -0.217f, 0.672f, -0.46f, 0.977f, -0.723f)
                curveToRelative(1.195f, -1.036f, 2.047f, -2.607f, 1.878f, -4.897f)
                curveToRelative(-0.15f, -2.091f, -4.09f, -7.979f, -5.14f, -8.002f)
                curveToRelative(-0.851f, -0.018f, -2.58f, 2.107f, -3.527f, 3.256f)
                curveToRelative(-1.028f, 1.247f, -2.637f, 3.408f, -2.958f, 4.677f)
                arcToRelative(4.726f, 4.726f, 0.0f, false, false, -0.135f, 1.181f)
                curveToRelative(0.0f, 1.44f, 0.75f, 2.784f, 1.898f, 3.744f)
                curveToRelative(0.703f, 0.586f, 1.48f, 1.038f, 0.237f, 2.31f)
                curveToRelative(-0.74f, 0.76f, -2.433f, 2.363f, -1.452f, 1.91f)
                curveToRelative(0.572f, -0.265f, 1.0f, -0.614f, 1.34f, -0.855f)
                curveToRelative(0.71f, -0.504f, 0.99f, -0.669f, 0.833f, -0.03f)
                curveToRelative(-0.034f, 0.133f, -0.028f, 0.274f, -0.028f, 0.41f)
                curveToRelative(0.0f, 0.893f, 0.37f, 1.69f, 0.95f, 2.278f)
                curveToRelative(0.15f, 0.154f, 0.586f, 0.486f, 0.833f, 0.7f)
                curveToRelative(0.586f, 0.506f, 1.196f, 1.864f, 0.816f, 2.202f)
                curveToRelative(-0.287f, 0.259f, -1.593f, -0.246f, -2.426f, -0.208f)
                curveToRelative(-0.837f, 0.037f, -2.276f, 0.566f, -2.239f, 1.563f)
                curveToRelative(0.037f, 0.998f, 3.17f, 0.851f, 3.9f, 0.858f)
                curveToRelative(1.645f, 0.012f, 1.089f, -0.643f, 1.645f, -0.631f)
                curveToRelative(0.555f, 0.016f, 0.0f, 0.611f, 1.85f, 0.621f)
                curveToRelative(0.73f, 0.004f, 3.678f, 0.15f, 3.715f, -0.847f)
                curveToRelative(0.042f, -0.998f, -1.4f, -1.525f, -2.234f, -1.563f)
                close()
                moveTo(10.142f, 23.365f)
                curveToRelative(-0.665f, 0.281f, -1.536f, 0.244f, -1.764f, -0.15f)
                curveToRelative(-0.226f, -0.398f, 1.138f, -0.717f, 1.498f, -0.772f)
                curveToRelative(0.359f, -0.057f, 1.138f, -0.132f, 1.422f, 0.396f)
                curveToRelative(0.332f, 0.613f, -0.495f, 0.241f, -1.156f, 0.526f)
                close()
                moveTo(8.257f, 9.099f)
                curveToRelative(0.0f, -0.348f, 0.028f, -0.685f, 0.103f, -1.007f)
                curveToRelative(0.254f, -1.088f, 1.467f, -2.977f, 2.272f, -4.042f)
                curveToRelative(0.744f, -0.984f, 1.761f, -2.88f, 2.43f, -2.863f)
                curveToRelative(0.82f, 0.02f, 4.274f, 5.173f, 4.395f, 6.96f)
                curveToRelative(0.127f, 1.961f, -0.535f, 3.305f, -1.47f, 4.193f)
                curveToRelative(-0.807f, 0.764f, -1.783f, 1.367f, -2.939f, 1.367f)
                curveToRelative(-2.31f, 0.0f, -4.791f, -2.098f, -4.791f, -4.608f)
                close()
                moveTo(10.386f, 16.813f)
                curveToRelative(0.0f, -1.216f, 0.994f, -2.204f, 2.221f, -2.204f)
                arcToRelative(2.21f, 2.21f, 0.0f, false, true, 2.219f, 2.204f)
                curveToRelative(0.0f, 1.218f, -0.99f, 2.201f, -2.219f, 2.201f)
                arcToRelative(2.208f, 2.208f, 0.0f, false, true, -2.221f, -2.201f)
                close()
                moveTo(12.313f, 21.799f)
                curveToRelative(-0.237f, 0.0f, -0.46f, -0.905f, -0.463f, -1.145f)
                curveToRelative(-0.007f, -0.356f, 0.038f, -0.755f, 0.474f, -0.755f)
                reflectiveCurveToRelative(0.47f, 0.398f, 0.473f, 0.755f)
                curveToRelative(0.005f, 0.33f, -0.248f, 1.145f, -0.484f, 1.145f)
                close()
                moveTo(16.267f, 23.214f)
                curveToRelative(-0.226f, 0.395f, -1.1f, 0.432f, -1.765f, 0.15f)
                curveToRelative(-0.66f, -0.284f, -1.487f, 0.087f, -1.155f, -0.526f)
                curveToRelative(0.284f, -0.527f, 1.063f, -0.452f, 1.423f, -0.396f)
                curveToRelative(0.358f, 0.055f, 1.727f, 0.375f, 1.497f, 0.772f)
                close()
                moveTo(15.081f, 5.857f)
                curveToRelative(-0.456f, 0.0f, -0.85f, 0.31f, -1.172f, 0.775f)
                curveToRelative(-0.158f, 0.23f, -0.45f, 0.41f, -0.826f, -0.23f)
                curveToRelative(-0.35f, -0.593f, -0.92f, -0.922f, -1.508f, -0.922f)
                curveToRelative(-1.178f, 0.0f, -2.135f, 1.413f, -2.135f, 3.156f)
                curveToRelative(0.0f, 1.74f, 0.957f, 3.153f, 2.135f, 3.153f)
                curveToRelative(0.737f, 0.0f, 1.37f, -0.557f, 1.769f, -1.39f)
                curveToRelative(0.154f, -0.324f, 0.386f, -0.263f, 0.566f, -0.02f)
                curveToRelative(0.336f, 0.457f, 0.716f, 0.776f, 1.172f, 0.776f)
                curveToRelative(0.92f, 0.0f, 1.663f, -1.187f, 1.663f, -2.646f)
                curveToRelative(-0.001f, -1.466f, -0.744f, -2.652f, -1.664f, -2.652f)
                close()
                moveTo(11.575f, 10.844f)
                curveToRelative(-0.826f, 0.0f, -1.498f, -0.99f, -1.498f, -2.21f)
                curveToRelative(0.0f, -1.226f, 0.672f, -2.216f, 1.498f, -2.216f)
                reflectiveCurveToRelative(1.498f, 0.99f, 1.498f, 2.217f)
                curveToRelative(0.0f, 1.218f, -0.672f, 2.21f, -1.498f, 2.21f)
                close()
                moveTo(15.081f, 10.361f)
                curveToRelative(-0.641f, 0.0f, -1.162f, -0.83f, -1.162f, -1.856f)
                curveToRelative(0.0f, -1.028f, 0.52f, -1.857f, 1.162f, -1.857f)
                curveToRelative(0.644f, 0.0f, 1.167f, 0.829f, 1.167f, 1.857f)
                curveToRelative(0.0f, 1.026f, -0.522f, 1.856f, -1.167f, 1.856f)
                close()
                moveTo(15.552f, 8.456f)
                curveToRelative(0.0f, 0.481f, -0.189f, 0.876f, -0.419f, 0.876f)
                curveToRelative(-0.23f, 0.0f, -0.418f, -0.395f, -0.418f, -0.876f)
                curveToRelative(0.0f, -0.488f, 0.188f, -0.882f, 0.418f, -0.882f)
                curveToRelative(0.23f, 0.0f, 0.42f, 0.393f, 0.42f, 0.882f)
                close()
                moveTo(13.138f, 17.434f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, -0.836f, 0.0f)
                curveToRelative(0.0f, -0.229f, 0.189f, -0.413f, 0.418f, -0.413f)
                curveToRelative(0.228f, 0.0f, 0.418f, 0.185f, 0.418f, 0.413f)
                close()
                moveTo(5.57f, 17.36f)
                curveToRelative(-0.165f, 0.0f, -1.688f, 0.02f, -2.163f, 0.227f)
                curveToRelative(-0.474f, 0.21f, 0.284f, 0.508f, 0.928f, 0.544f)
                curveToRelative(0.322f, 0.02f, 0.22f, 0.26f, 0.076f, 0.453f)
                curveToRelative(-1.155f, 1.58f, -0.265f, 1.263f, 0.513f, 0.565f)
                curveToRelative(0.192f, -0.17f, 0.265f, 0.057f, 0.285f, 0.265f)
                curveToRelative(0.018f, 0.206f, 0.51f, 1.75f, 0.665f, -0.208f)
                curveToRelative(0.063f, -0.81f, 0.113f, -1.241f, 0.077f, -1.526f)
                curveToRelative(-0.038f, -0.282f, -0.193f, -0.32f, -0.381f, -0.32f)
                close()
                moveTo(18.428f, 17.36f)
                curveToRelative(0.161f, 0.0f, 1.687f, 0.02f, 2.163f, 0.227f)
                curveToRelative(0.474f, 0.21f, -0.284f, 0.508f, -0.932f, 0.544f)
                curveToRelative(-0.32f, 0.02f, -0.217f, 0.26f, -0.076f, 0.453f)
                curveToRelative(1.158f, 1.58f, 0.268f, 1.263f, -0.51f, 0.565f)
                curveToRelative(-0.192f, -0.17f, -0.265f, 0.057f, -0.285f, 0.265f)
                curveToRelative(-0.021f, 0.206f, -0.516f, 1.75f, -0.665f, -0.208f)
                curveToRelative(-0.064f, -0.81f, -0.113f, -1.241f, -0.076f, -1.526f)
                curveToRelative(0.04f, -0.282f, 0.19f, -0.32f, 0.381f, -0.32f)
                close()
                moveTo(12.174f, 8.548f)
                curveToRelative(0.0f, 0.607f, -0.235f, 1.101f, -0.524f, 1.101f)
                curveToRelative(-0.288f, 0.0f, -0.521f, -0.494f, -0.521f, -1.1f)
                curveToRelative(0.0f, -0.608f, 0.233f, -1.101f, 0.52f, -1.101f)
                curveToRelative(0.289f, 0.0f, 0.525f, 0.493f, 0.525f, 1.1f)
                close()
                moveTo(15.551f, 8.457f)
                curveToRelative(0.0f, 0.481f, -0.189f, 0.876f, -0.419f, 0.876f)
                curveToRelative(-0.23f, 0.0f, -0.418f, -0.395f, -0.418f, -0.876f)
                curveToRelative(0.0f, -0.488f, 0.188f, -0.882f, 0.418f, -0.882f)
                curveToRelative(0.23f, 0.0f, 0.42f, 0.393f, 0.42f, 0.882f)
                close()
            }
        }
        .build()
        return _codeproject!!
    }

private var _codeproject: ImageVector? = null
