package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Concourse: ImageVector
    get() {
        if (_concourse != null) {
            return _concourse!!
        }
        _concourse = Builder(name = "Concourse", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.9679f, 11.2451f)
                curveToRelative(-0.041f, -0.4858f, -0.1227f, -0.9615f, -0.2353f, -1.4372f)
                curveToRelative(-0.0511f, -0.243f, -0.133f, -0.4758f, -0.1943f, -0.7187f)
                lineToRelative(-0.1125f, -0.334f)
                lineToRelative(-0.0614f, -0.162f)
                lineToRelative(-0.0716f, -0.1821f)
                curveToRelative(-0.1739f, -0.4454f, -0.3887f, -0.8705f, -0.6342f, -1.2855f)
                arcToRelative(9.801f, 9.801f, 0.0f, false, false, -1.5752f, -2.0345f)
                lineToRelative(-0.092f, -0.091f)
                lineToRelative(-0.041f, -0.0507f)
                lineToRelative(-0.0716f, -0.0607f)
                curveToRelative(-0.0614f, -0.0607f, -0.1227f, -0.1113f, -0.1841f, -0.172f)
                curveToRelative(-0.0614f, -0.0507f, -0.1228f, -0.1114f, -0.1739f, -0.162f)
                curveToRelative(-0.0716f, -0.0608f, -0.133f, -0.1114f, -0.2046f, -0.162f)
                lineToRelative(-0.1636f, -0.1316f)
                lineToRelative(-0.0819f, -0.0607f)
                lineToRelative(-0.0204f, -0.0202f)
                lineToRelative(-0.0512f, -0.0405f)
                lineToRelative(-0.0102f, -0.0101f)
                lineToRelative(-0.041f, -0.0304f)
                curveToRelative(-0.1022f, -0.0709f, -0.1943f, -0.1316f, -0.2863f, -0.1923f)
                curveToRelative(-0.1637f, -0.1114f, -0.2864f, -0.2025f, -0.3785f, -0.2632f)
                curveToRelative(0.1023f, -0.3846f, 0.1841f, -0.7794f, 0.2455f, -1.1741f)
                curveToRelative(0.1023f, -0.5972f, 0.5217f, -1.832f, -0.3375f, -2.1863f)
                curveToRelative(-0.8081f, -0.334f, -1.8617f, 1.1842f, -1.8617f, 1.1842f)
                curveToRelative(-2.1173f, 2.4394f, -3.396f, 5.4759f, -3.6823f, 8.6744f)
                curveToRelative(0.5319f, 0.1113f, 1.0433f, 0.3441f, 1.4729f, 0.6781f)
                horizontalLineToRelative(0.0102f)
                curveTo(16.1838f, 9.7876f, 17.084f, 8.6135f, 17.8f, 7.3382f)
                curveToRelative(0.6854f, 0.425f, 1.2889f, 0.9716f, 1.7696f, 1.6194f)
                lineToRelative(0.0716f, 0.0911f)
                lineToRelative(0.0716f, 0.1114f)
                lineToRelative(0.1432f, 0.2226f)
                curveToRelative(0.0819f, 0.1417f, 0.174f, 0.2733f, 0.2455f, 0.4252f)
                curveToRelative(0.3171f, 0.587f, 0.5421f, 1.2146f, 0.6751f, 1.8623f)
                curveToRelative(0.0614f, 0.3037f, 0.1023f, 0.6074f, 0.1228f, 0.9211f)
                arcToRelative(5.7575f, 5.7575f, 0.0f, false, true, 0.0f, 0.8401f)
                curveToRelative(-0.0103f, 0.2328f, -0.041f, 0.4758f, -0.0819f, 0.7086f)
                arcToRelative(4.6387f, 4.6387f, 0.0f, false, true, -0.1125f, 0.5465f)
                curveToRelative(-0.0818f, 0.2936f, -0.133f, 0.4656f, -0.133f, 0.4656f)
                reflectiveCurveToRelative(0.0716f, -0.162f, 0.1944f, -0.4453f)
                curveToRelative(0.0511f, -0.1417f, 0.1227f, -0.324f, 0.1841f, -0.5365f)
                curveToRelative(0.0716f, -0.2328f, 0.133f, -0.4757f, 0.1739f, -0.7085f)
                curveToRelative(0.0511f, -0.2834f, 0.092f, -0.577f, 0.1125f, -0.8705f)
                arcToRelative(7.8611f, 7.8611f, 0.0f, false, false, 0.0f, -0.9818f)
                curveToRelative(-0.0204f, -0.3542f, -0.0716f, -0.7085f, -0.1432f, -1.0526f)
                arcToRelative(9.0875f, 9.0875f, 0.0f, false, false, -0.3069f, -1.0628f)
                curveToRelative(-0.0613f, -0.172f, -0.1432f, -0.3543f, -0.225f, -0.5264f)
                lineToRelative(-0.1125f, -0.2328f)
                lineToRelative(-0.0614f, -0.1214f)
                lineToRelative(-0.0307f, -0.1316f)
                curveToRelative(-0.1739f, -0.3239f, -0.3784f, -0.6275f, -0.6035f, -0.921f)
                curveToRelative(-0.3887f, -0.5163f, -0.849f, -0.9718f, -1.3604f, -1.3766f)
                curveToRelative(0.1534f, -0.3442f, 0.3069f, -0.6984f, 0.4296f, -1.0628f)
                lineToRelative(0.0614f, 0.0304f)
                lineToRelative(0.3069f, 0.1619f)
                lineToRelative(0.0409f, 0.0202f)
                lineToRelative(0.0102f, 0.0102f)
                curveToRelative(0.041f, 0.0303f, -0.0614f, -0.0405f, -0.0511f, -0.0304f)
                lineToRelative(0.0204f, 0.0101f)
                lineToRelative(0.0818f, 0.0506f)
                lineToRelative(0.174f, 0.1114f)
                lineToRelative(0.092f, 0.0607f)
                lineToRelative(0.0511f, 0.0304f)
                lineToRelative(0.0205f, 0.0202f)
                horizontalLineToRelative(0.0102f)
                curveToRelative(0.0103f, 0.0101f, -0.0511f, -0.0405f, -0.0307f, -0.0202f)
                lineToRelative(0.0103f, 0.01f)
                curveToRelative(0.0613f, 0.0507f, 0.1227f, 0.0912f, 0.1943f, 0.1418f)
                lineToRelative(0.2046f, 0.1518f)
                lineToRelative(0.0307f, 0.0203f)
                curveToRelative(-0.041f, -0.0304f, -0.0103f, -0.0102f, -0.0205f, -0.0203f)
                horizontalLineToRelative(0.0102f)
                lineToRelative(0.0103f, 0.0101f)
                lineToRelative(0.0511f, 0.0405f)
                lineToRelative(0.1023f, 0.081f)
                arcToRelative(8.8213f, 8.8213f, 0.0f, false, true, 2.2401f, 2.743f)
                lineToRelative(0.0716f, 0.1417f)
                lineToRelative(0.0716f, 0.162f)
                lineToRelative(0.1534f, 0.3137f)
                curveToRelative(0.0819f, 0.2025f, 0.174f, 0.4049f, 0.2353f, 0.6174f)
                curveToRelative(0.2966f, 0.8401f, 0.4705f, 1.7309f, 0.5012f, 2.6216f)
                curveToRelative(0.0102f, 0.2125f, 0.0102f, 0.425f, 0.0102f, 0.6376f)
                curveToRelative(0.0f, 0.2126f, -0.0204f, 0.415f, -0.0306f, 0.6073f)
                curveToRelative(-0.0307f, 0.3745f, -0.0921f, 0.739f, -0.174f, 1.1134f)
                curveToRelative(-0.0715f, 0.3138f, -0.1534f, 0.6175f, -0.2557f, 0.9211f)
                curveToRelative(-0.0818f, 0.2733f, -0.184f, 0.5061f, -0.2557f, 0.6984f)
                curveToRelative(-0.0818f, 0.1923f, -0.1534f, 0.334f, -0.1943f, 0.4352f)
                curveToRelative(-0.0512f, 0.1013f, -0.0716f, 0.1519f, -0.0716f, 0.1519f)
                reflectiveCurveToRelative(0.0307f, -0.0506f, 0.092f, -0.1417f)
                curveToRelative(0.0512f, -0.0911f, 0.1432f, -0.2328f, 0.2455f, -0.415f)
                curveToRelative(0.092f, -0.1822f, 0.2148f, -0.4049f, 0.3274f, -0.668f)
                curveToRelative(0.133f, -0.2936f, 0.2557f, -0.5972f, 0.3477f, -0.911f)
                curveToRelative(0.1228f, -0.3644f, 0.2148f, -0.7389f, 0.2967f, -1.1235f)
                curveToRelative(0.0409f, -0.2025f, 0.0818f, -0.415f, 0.1023f, -0.6276f)
                arcToRelative(6.8334f, 6.8334f, 0.0f, false, false, 0.0613f, -0.6579f)
                curveToRelative(0.0307f, -0.4555f, 0.0307f, -0.921f, -0.0102f, -1.3867f)
                close()
                moveTo(11.1733f, 11.9443f)
                arcToRelative(15.3453f, 15.3453f, 0.0f, false, false, -4.4414f, -0.625f)
                curveToRelative(0.0404f, -0.8037f, 0.2428f, -1.5875f, 0.5868f, -2.3118f)
                lineToRelative(0.0506f, -0.0992f)
                lineToRelative(0.0607f, -0.119f)
                lineToRelative(0.1214f, -0.2283f)
                curveToRelative(0.0809f, -0.1389f, 0.1517f, -0.2778f, 0.2529f, -0.4068f)
                curveToRelative(0.3642f, -0.5456f, 0.8094f, -1.0318f, 1.3152f, -1.4485f)
                curveToRelative(0.2327f, -0.1984f, 0.4856f, -0.377f, 0.7487f, -0.5358f)
                curveToRelative(0.2327f, -0.1488f, 0.4856f, -0.2778f, 0.7385f, -0.3968f)
                arcToRelative(7.5772f, 7.5772f, 0.0f, false, true, 0.6576f, -0.268f)
                curveToRelative(0.2024f, -0.0793f, 0.3845f, -0.119f, 0.5261f, -0.1587f)
                curveToRelative(0.2934f, -0.0694f, 0.4755f, -0.1091f, 0.4755f, -0.1091f)
                reflectiveCurveToRelative(-0.172f, 0.01f, -0.4856f, 0.0496f)
                curveToRelative(-0.1517f, 0.0198f, -0.344f, 0.0397f, -0.5564f, 0.0893f)
                arcToRelative(8.1925f, 8.1925f, 0.0f, false, false, -0.7082f, 0.1786f)
                curveToRelative(-0.2732f, 0.0893f, -0.5464f, 0.1885f, -0.8195f, 0.3076f)
                curveToRelative(-0.3035f, 0.129f, -0.5868f, 0.2877f, -0.86f, 0.4563f)
                curveToRelative(-0.3035f, 0.1886f, -0.5868f, 0.387f, -0.86f, 0.6152f)
                curveToRelative(-0.2832f, 0.2381f, -0.5462f, 0.4861f, -0.789f, 0.764f)
                curveToRelative(-0.1215f, 0.129f, -0.2429f, 0.2877f, -0.3643f, 0.4365f)
                lineToRelative(-0.1517f, 0.2083f)
                lineToRelative(-0.0708f, 0.1092f)
                lineToRelative(-0.081f, 0.119f)
                curveToRelative(-0.1922f, 0.2977f, -0.3743f, 0.6152f, -0.516f, 0.9426f)
                arcToRelative(6.974f, 6.974f, 0.0f, false, false, -0.5665f, 1.8454f)
                verticalLineToRelative(0.0298f)
                curveToRelative(-0.3642f, 0.0297f, -0.7284f, 0.0793f, -1.0927f, 0.1389f)
                verticalLineToRelative(-0.1885f)
                verticalLineToRelative(-0.3969f)
                curveToRelative(0.0102f, -0.0496f, -0.01f, 0.0694f, -0.01f, 0.0595f)
                lineTo(4.3342f, 10.972f)
                curveToRelative(0.0f, -0.0298f, 0.01f, -0.0596f, 0.01f, -0.0993f)
                curveToRelative(0.0102f, -0.0694f, 0.0102f, -0.129f, 0.0203f, -0.1984f)
                curveToRelative(0.0f, -0.0397f, 0.01f, -0.0694f, 0.01f, -0.1091f)
                verticalLineToRelative(-0.0894f)
                curveToRelative(0.0f, -0.0098f, -0.01f, 0.0695f, -0.01f, 0.0298f)
                verticalLineToRelative(-0.0099f)
                curveToRelative(0.01f, -0.0694f, 0.0202f, -0.1488f, 0.0303f, -0.2282f)
                curveToRelative(0.0101f, -0.0793f, 0.0203f, -0.1587f, 0.0405f, -0.238f)
                verticalLineToRelative(-0.0299f)
                curveToRelative(-0.0101f, 0.0497f, 0.0f, 0.01f, -0.0101f, 0.0199f)
                verticalLineToRelative(-0.0298f)
                lineToRelative(0.01f, -0.0595f)
                lineToRelative(0.0203f, -0.129f)
                curveToRelative(0.253f, -1.141f, 0.7082f, -2.2323f, 1.3658f, -3.1947f)
                lineToRelative(0.091f, -0.129f)
                lineToRelative(0.1013f, -0.139f)
                lineToRelative(0.2124f, -0.2777f)
                curveToRelative(0.1417f, -0.1588f, 0.2732f, -0.3373f, 0.435f, -0.496f)
                curveToRelative(0.597f, -0.645f, 1.295f, -1.2105f, 2.064f, -1.657f)
                arcToRelative(5.9648f, 5.9648f, 0.0f, false, true, 0.5564f, -0.2976f)
                curveToRelative(0.182f, -0.0993f, 0.3743f, -0.1786f, 0.5463f, -0.258f)
                curveToRelative(0.344f, -0.1488f, 0.698f, -0.2679f, 1.0522f, -0.377f)
                curveToRelative(0.3035f, -0.0893f, 0.6171f, -0.1588f, 0.9308f, -0.2183f)
                curveToRelative(0.2832f, -0.0595f, 0.526f, -0.0794f, 0.7284f, -0.1091f)
                curveToRelative(0.2023f, -0.0199f, 0.3642f, -0.0298f, 0.4755f, -0.0397f)
                horizontalLineToRelative(0.1619f)
                lineToRelative(-0.172f, -0.01f)
                curveToRelative(-0.1113f, 0.0f, -0.2732f, -0.0099f, -0.4755f, -0.0099f)
                curveToRelative(-0.2024f, 0.01f, -0.4553f, 0.0f, -0.7487f, 0.0298f)
                curveToRelative(-0.3237f, 0.0298f, -0.6475f, 0.0695f, -0.9611f, 0.129f)
                curveToRelative(-0.3845f, 0.0694f, -0.7588f, 0.1587f, -1.123f, 0.2778f)
                arcToRelative(8.6512f, 8.6512f, 0.0f, false, false, -0.597f, 0.2083f)
                curveToRelative(-0.2023f, 0.0695f, -0.4046f, 0.1588f, -0.607f, 0.258f)
                curveToRelative(-0.4249f, 0.1984f, -0.8296f, 0.4167f, -1.2241f, 0.6647f)
                curveToRelative(-0.4047f, 0.258f, -0.7892f, 0.5557f, -1.1534f, 0.8731f)
                curveToRelative(-0.182f, 0.1489f, -0.3642f, 0.3374f, -0.5362f, 0.506f)
                lineToRelative(-0.2327f, 0.258f)
                lineToRelative(-0.1214f, 0.129f)
                lineToRelative(-0.1214f, 0.1488f)
                curveToRelative(-0.3035f, 0.3572f, -0.5868f, 0.7441f, -0.8296f, 1.141f)
                curveToRelative(-0.4451f, 0.7143f, -0.7992f, 1.4882f, -1.042f, 2.2919f)
                lineToRelative(-0.0405f, 0.119f)
                lineToRelative(-0.0202f, 0.0596f)
                lineToRelative(-0.0203f, 0.0893f)
                lineToRelative(-0.0607f, 0.238f)
                curveToRelative(-0.0202f, 0.0794f, -0.0405f, 0.1489f, -0.0607f, 0.2283f)
                curveToRelative(-0.0202f, 0.0893f, -0.0303f, 0.1686f, -0.0506f, 0.248f)
                curveToRelative(-0.01f, 0.0695f, -0.0303f, 0.139f, -0.0404f, 0.1984f)
                curveToRelative(-0.0102f, 0.0298f, -0.0102f, 0.0596f, -0.0203f, 0.0993f)
                verticalLineToRelative(0.0298f)
                lineToRelative(-0.01f, 0.0594f)
                verticalLineToRelative(0.0596f)
                curveToRelative(-0.0102f, 0.119f, -0.0203f, 0.2282f, -0.0406f, 0.3373f)
                curveToRelative(-0.0303f, 0.3076f, -0.0505f, 0.506f, -0.0607f, 0.5953f)
                curveToRelative(-0.354f, 0.0893f, -0.7082f, 0.1984f, -1.0521f, 0.3175f)
                curveToRelative(0.0f, 0.0f, -1.8515f, 0.4266f, -1.7503f, 1.3196f)
                curveToRelative(0.1012f, 0.8433f, 1.9223f, 1.012f, 1.9223f, 1.012f)
                curveToRelative(3.1464f, 0.635f, 6.4142f, 0.2877f, 9.3482f, -0.9922f)
                curveToRelative(-0.1518f, -0.516f, -0.1923f, -1.0517f, -0.1012f, -1.5775f)
                close()
                moveTo(15.5843f, 13.8823f)
                curveToRelative(-0.3645f, 0.4088f, -0.81f, 0.7255f, -1.3162f, 0.9299f)
                verticalLineToRelative(0.0102f)
                curveToRelative(0.3848f, 1.4816f, 0.982f, 2.8916f, 1.7718f, 4.1995f)
                curveToRelative(-0.6986f, 0.3678f, -1.4478f, 0.613f, -2.2274f, 0.7152f)
                lineToRelative(-0.1113f, 0.0102f)
                lineToRelative(-0.1317f, 0.0103f)
                lineToRelative(-0.2632f, 0.0204f)
                curveToRelative(-0.162f, 0.0f, -0.324f, 0.0102f, -0.486f, 0.0f)
                curveToRelative(-0.6682f, -0.0102f, -1.3262f, -0.1226f, -1.954f, -0.3372f)
                curveToRelative(-0.2936f, -0.092f, -0.5872f, -0.2146f, -0.8605f, -0.3474f)
                curveToRelative(-0.2531f, -0.1226f, -0.4961f, -0.2554f, -0.729f, -0.4087f)
                curveToRelative(-0.2025f, -0.1328f, -0.3948f, -0.2657f, -0.577f, -0.419f)
                curveToRelative(-0.1722f, -0.1328f, -0.3038f, -0.2656f, -0.4253f, -0.3678f)
                curveToRelative(-0.2227f, -0.2145f, -0.3442f, -0.3474f, -0.3442f, -0.3474f)
                reflectiveCurveToRelative(0.1012f, 0.143f, 0.2936f, 0.3883f)
                curveToRelative(0.1012f, 0.1226f, 0.2227f, 0.2657f, 0.3746f, 0.419f)
                curveToRelative(0.1721f, 0.1839f, 0.3442f, 0.3473f, 0.5366f, 0.5108f)
                curveToRelative(0.2227f, 0.1942f, 0.4556f, 0.3679f, 0.6986f, 0.5313f)
                curveToRelative(0.2733f, 0.184f, 0.5568f, 0.3474f, 0.8504f, 0.4905f)
                curveToRelative(0.3139f, 0.1533f, 0.648f, 0.286f, 0.982f, 0.3985f)
                curveToRelative(0.3544f, 0.1124f, 0.7088f, 0.1941f, 1.0733f, 0.2554f)
                curveToRelative(0.1822f, 0.0307f, 0.3746f, 0.0511f, 0.567f, 0.0716f)
                lineToRelative(0.2631f, 0.0204f)
                lineToRelative(0.1317f, 0.0102f)
                horizontalLineToRelative(0.1518f)
                curveToRelative(0.3645f, 0.0f, 0.729f, -0.0204f, 1.0935f, -0.0715f)
                curveToRelative(0.6175f, -0.0818f, 1.225f, -0.2452f, 1.8122f, -0.4802f)
                curveToRelative(0.2227f, 0.3065f, 0.4556f, 0.6028f, 0.6986f, 0.8889f)
                curveToRelative(-0.0101f, 0.0102f, -0.0203f, 0.0102f, -0.0304f, 0.0204f)
                lineToRelative(-0.2936f, 0.184f)
                lineToRelative(-0.0405f, 0.0204f)
                lineToRelative(-0.0101f, 0.0102f)
                curveToRelative(-0.0506f, 0.0204f, 0.0607f, -0.0306f, 0.0506f, -0.0204f)
                horizontalLineToRelative(-0.0101f)
                lineToRelative(-0.0203f, 0.0102f)
                curveToRelative(-0.0303f, 0.0102f, -0.0607f, 0.0306f, -0.091f, 0.0409f)
                lineToRelative(-0.1823f, 0.092f)
                lineToRelative(-0.1013f, 0.051f)
                lineToRelative(-0.0506f, 0.0307f)
                lineToRelative(-0.0202f, 0.0102f)
                horizontalLineToRelative(-0.0102f)
                curveToRelative(-0.01f, 0.0f, 0.0608f, -0.0307f, 0.0304f, -0.0102f)
                lineToRelative(-0.0101f, 0.0102f)
                lineToRelative(-0.2126f, 0.092f)
                curveToRelative(-0.0709f, 0.0306f, -0.1519f, 0.0612f, -0.2228f, 0.1021f)
                lineToRelative(-0.0303f, 0.0102f)
                curveToRelative(0.0506f, -0.0204f, 0.0101f, 0.0f, 0.0202f, -0.0102f)
                horizontalLineToRelative(-0.0101f)
                lineToRelative(-0.0101f, 0.0102f)
                lineToRelative(-0.0608f, 0.0205f)
                lineToRelative(-0.1215f, 0.051f)
                arcToRelative(8.7816f, 8.7816f, 0.0f, false, true, -3.4827f, 0.5927f)
                lineToRelative(-0.1519f, -0.0102f)
                lineToRelative(-0.1721f, -0.0102f)
                lineToRelative(-0.3544f, -0.0307f)
                curveToRelative(-0.2126f, -0.0307f, -0.4353f, -0.051f, -0.658f, -0.1022f)
                curveToRelative(-0.8809f, -0.1635f, -1.7313f, -0.4496f, -2.5311f, -0.8685f)
                curveToRelative(-0.1924f, -0.1022f, -0.3746f, -0.2043f, -0.5569f, -0.3065f)
                curveToRelative(-0.1822f, -0.1022f, -0.3442f, -0.2248f, -0.5163f, -0.3372f)
                curveToRelative(-0.3037f, -0.2146f, -0.6075f, -0.4496f, -0.8808f, -0.6948f)
                curveToRelative(-0.243f, -0.2146f, -0.4657f, -0.4394f, -0.6784f, -0.6744f)
                curveToRelative(-0.2024f, -0.2043f, -0.3442f, -0.4087f, -0.4758f, -0.5722f)
                curveToRelative(-0.1316f, -0.1635f, -0.2126f, -0.2963f, -0.2835f, -0.3883f)
                lineToRelative(-0.1012f, -0.143f)
                reflectiveCurveToRelative(0.0303f, 0.051f, 0.081f, 0.143f)
                curveToRelative(0.0607f, 0.092f, 0.1316f, 0.2453f, 0.243f, 0.419f)
                curveToRelative(0.1113f, 0.1737f, 0.243f, 0.3882f, 0.4252f, 0.6233f)
                curveToRelative(0.1923f, 0.2656f, 0.405f, 0.521f, 0.6176f, 0.756f)
                curveToRelative(0.2632f, 0.2862f, 0.5365f, 0.562f, 0.8302f, 0.8073f)
                curveToRelative(0.162f, 0.1328f, 0.324f, 0.2759f, 0.496f, 0.3985f)
                curveToRelative(0.1722f, 0.1328f, 0.3544f, 0.2656f, 0.5468f, 0.3882f)
                arcToRelative(11.06f, 11.06f, 0.0f, false, false, 1.225f, 0.6846f)
                curveToRelative(0.4455f, 0.2044f, 0.901f, 0.378f, 1.3668f, 0.511f)
                curveToRelative(0.2328f, 0.0714f, 0.486f, 0.1225f, 0.729f, 0.1838f)
                lineToRelative(0.3442f, 0.0613f)
                lineToRelative(0.172f, 0.0307f)
                lineToRelative(0.1924f, 0.0307f)
                curveToRelative(0.4759f, 0.0613f, 0.9517f, 0.092f, 1.4276f, 0.092f)
                curveToRelative(0.8605f, -0.0103f, 1.711f, -0.133f, 2.5412f, -0.3577f)
                lineToRelative(0.1215f, -0.0307f)
                lineToRelative(0.0607f, -0.0204f)
                lineToRelative(0.0911f, -0.0307f)
                curveToRelative(0.081f, -0.0306f, 0.162f, -0.051f, 0.2329f, -0.0817f)
                lineToRelative(0.2227f, -0.0715f)
                lineToRelative(0.243f, -0.092f)
                curveToRelative(0.0709f, -0.0306f, 0.1316f, -0.051f, 0.1924f, -0.0715f)
                curveToRelative(0.0304f, -0.0102f, 0.0607f, -0.0204f, 0.0911f, -0.0409f)
                lineToRelative(0.0203f, -0.0102f)
                horizontalLineToRelative(0.01f)
                lineToRelative(0.0608f, -0.0306f)
                lineToRelative(0.0101f, -0.0103f)
                lineToRelative(0.0405f, -0.0204f)
                lineToRelative(0.3038f, -0.1533f)
                curveToRelative(0.162f, -0.0817f, 0.2835f, -0.143f, 0.3847f, -0.1839f)
                curveToRelative(0.2632f, 0.2555f, 0.5265f, 0.5007f, 0.81f, 0.7255f)
                curveToRelative(0.0f, 0.0f, 1.3262f, 1.3794f, 2.0552f, 0.8174f)
                curveToRelative(0.6884f, -0.5313f, -0.1013f, -2.207f, -0.1013f, -2.207f)
                curveToRelative(-1.0529f, -3.0245f, -3.0474f, -5.6811f, -5.6797f, -7.5407f)
                close()
                moveTo(15.5294f, 12.4706f)
                arcToRelative(1.8824f, 1.8824f, 0.0f, false, true, -1.8823f, 1.8823f)
                arcToRelative(1.8824f, 1.8824f, 0.0f, false, true, -1.8824f, -1.8823f)
                arcToRelative(1.8824f, 1.8824f, 0.0f, false, true, 1.8824f, -1.8824f)
                arcToRelative(1.8824f, 1.8824f, 0.0f, false, true, 1.8823f, 1.8824f)
                close()
            }
        }
        .build()
        return _concourse!!
    }

private var _concourse: ImageVector? = null
