package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Contentful: ImageVector
    get() {
        if (_contentful != null) {
            return _contentful!!
        }
        _contentful = Builder(name = "Contentful", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.875f, 16.361f)
                curveToRelative(-0.043f, -0.048f, -1.067f, -1.18f, -2.365f, -1.19f)
                curveToRelative(-0.68f, 0.0f, -1.288f, 0.283f, -1.815f, 0.858f)
                curveToRelative(-0.773f, 0.842f, -2.35f, 1.85f, -4.25f, 1.921f)
                curveToRelative(-1.598f, 0.059f, -3.085f, -0.548f, -4.423f, -1.805f)
                curveToRelative(-1.644f, -1.544f, -2.155f, -4.016f, -1.302f, -6.297f)
                curveToRelative(0.834f, -2.23f, 2.752f, -3.616f, 5.131f, -3.707f)
                lineToRelative(0.044f, -0.004f)
                curveToRelative(0.024f, -0.003f, 2.302f, -0.258f, 4.325f, 1.548f)
                curveToRelative(0.17f, 0.185f, 1.154f, 1.197f, 2.475f, 1.228f)
                curveToRelative(0.823f, 0.018f, 1.586f, -0.336f, 2.27f, -1.055f)
                curveToRelative(0.602f, -0.632f, 0.87f, -1.342f, 0.797f, -2.112f)
                curveToRelative(-0.154f, -1.61f, -1.806f, -2.876f, -2.03f, -3.04f)
                curveToRelative(-0.212f, -0.184f, -1.878f, -1.578f, -4.476f, -2.294f)
                curveToRelative(-2.52f, -0.695f, -6.42f, -0.853f, -10.685f, 2.349f)
                arcToRelative(7.31f, 7.31f, 0.0f, false, false, -0.557f, 0.49f)
                curveToRelative(-0.28f, 0.208f, -0.523f, 0.462f, -0.716f, 0.753f)
                arcToRelative(12.469f, 12.469f, 0.0f, false, false, -3.064f, 8.677f)
                curveToRelative(0.207f, 6.283f, 5.265f, 9.293f, 5.646f, 9.51f)
                curveToRelative(0.262f, 0.17f, 2.906f, 1.81f, 6.495f, 1.809f)
                curveToRelative(2.106f, 0.0f, 4.538f, -0.565f, 7.005f, -2.322f)
                curveToRelative(0.248f, -0.138f, 1.714f, -1.012f, 2.103f, -2.52f)
                curveToRelative(0.23f, -0.894f, 0.042f, -1.815f, -0.562f, -2.737f)
                lineToRelative(-0.046f, -0.06f)
                close()
                moveTo(4.943f, 18.331f)
                curveToRelative(0.0f, -1.09f, 0.887f, -1.977f, 1.977f, -1.977f)
                reflectiveCurveToRelative(1.977f, 0.886f, 1.977f, 1.977f)
                curveToRelative(0.0f, 1.09f, -0.887f, 1.977f, -1.977f, 1.977f)
                reflectiveCurveToRelative(-1.977f, -0.887f, -1.977f, -1.977f)
                close()
                moveTo(5.082f, 4.674f)
                curveToRelative(0.236f, -0.275f, 0.451f, -0.498f, 0.628f, -0.67f)
                arcToRelative(1.965f, 1.965f, 0.0f, false, true, 1.088f, -0.329f)
                curveToRelative(1.09f, 0.0f, 1.977f, 0.887f, 1.977f, 1.977f)
                reflectiveCurveTo(7.888f, 7.63f, 6.798f, 7.63f)
                reflectiveCurveToRelative(-1.977f, -0.887f, -1.977f, -1.977f)
                curveToRelative(0.0f, -0.356f, 0.096f, -0.69f, 0.261f, -0.978f)
                close()
                moveTo(13.249f, 0.999f)
                curveToRelative(3.954f, 0.0f, 6.657f, 2.336f, 6.826f, 2.486f)
                lineToRelative(0.043f, 0.034f)
                curveToRelative(0.42f, 0.3f, 1.532f, 1.301f, 1.63f, 2.324f)
                curveToRelative(0.044f, 0.469f, -0.126f, 0.898f, -0.52f, 1.313f)
                curveToRelative(-0.477f, 0.5f, -0.983f, 0.752f, -1.504f, 0.738f)
                curveToRelative(-0.964f, -0.019f, -1.743f, -0.887f, -1.76f, -0.905f)
                lineToRelative(-0.042f, -0.044f)
                curveToRelative(-2.292f, -2.063f, -4.83f, -1.855f, -5.13f, -1.822f)
                arcToRelative(6.82f, 6.82f, 0.0f, false, false, -3.012f, 0.818f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, false, -2.34f, -3.214f)
                curveTo(9.543f, 1.45f, 11.516f, 0.999f, 13.248f, 0.999f)
                close()
                moveTo(3.884f, 6.34f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, false, 2.914f, 2.31f)
                curveToRelative(0.122f, 0.0f, 0.24f, -0.01f, 0.358f, -0.024f)
                arcToRelative(7.336f, 7.336f, 0.0f, false, false, -0.39f, 0.866f)
                curveToRelative(-0.75f, 2.003f, -0.59f, 4.14f, 0.359f, 5.854f)
                curveToRelative(-0.068f, -0.005f, -0.136f, -0.01f, -0.205f, -0.01f)
                arcToRelative(2.999f, 2.999f, 0.0f, false, false, -2.967f, 2.6f)
                arcToRelative(10.075f, 10.075f, 0.0f, false, true, -1.7f, -5.288f)
                arcToRelative(11.43f, 11.43f, 0.0f, false, true, 1.63f, -6.309f)
                close()
                moveTo(21.497f, 18.9f)
                curveToRelative(-0.3f, 1.174f, -1.615f, 1.89f, -1.627f, 1.896f)
                lineToRelative(-0.058f, 0.036f)
                curveToRelative(-6.287f, 4.499f, -12.137f, 0.667f, -12.382f, 0.502f)
                lineToRelative(-0.036f, -0.022f)
                arcToRelative(2.848f, 2.848f, 0.0f, false, true, -0.034f, -0.02f)
                arcToRelative(2.998f, 2.998f, 0.0f, false, false, 2.543f, -3.228f)
                curveToRelative(1.124f, 0.64f, 2.336f, 0.951f, 3.58f, 0.906f)
                curveToRelative(2.214f, -0.083f, 4.057f, -1.264f, 4.962f, -2.25f)
                curveToRelative(0.327f, -0.356f, 0.67f, -0.53f, 1.048f, -0.53f)
                horizontalLineToRelative(0.005f)
                curveToRelative(0.762f, 0.004f, 1.46f, 0.688f, 1.593f, 0.826f)
                curveToRelative(0.421f, 0.658f, 0.558f, 1.291f, 0.406f, 1.884f)
                close()
            }
        }
        .build()
        return _contentful!!
    }

private var _contentful: ImageVector? = null
