package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Datadog: ImageVector
    get() {
        if (_datadog != null) {
            return _datadog!!
        }
        _datadog = Builder(name = "Datadog", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.57f, 17.04f)
                lineToRelative(-1.997f, -1.316f)
                lineToRelative(-1.665f, 2.782f)
                lineToRelative(-1.937f, -0.567f)
                lineToRelative(-1.706f, 2.604f)
                lineToRelative(0.087f, 0.82f)
                lineToRelative(9.274f, -1.71f)
                lineToRelative(-0.538f, -5.794f)
                close()
                moveTo(10.921f, 14.542f)
                lineToRelative(1.488f, -0.204f)
                curveToRelative(0.241f, 0.108f, 0.409f, 0.15f, 0.697f, 0.223f)
                curveToRelative(0.45f, 0.117f, 0.97f, 0.23f, 1.741f, -0.16f)
                curveToRelative(0.18f, -0.088f, 0.553f, -0.43f, 0.704f, -0.625f)
                lineToRelative(6.096f, -1.106f)
                lineToRelative(0.622f, 7.527f)
                lineToRelative(-10.444f, 1.882f)
                close()
                moveTo(22.246f, 11.83f)
                lineToRelative(-0.602f, 0.115f)
                lineTo(20.488f, 0.0f)
                lineTo(0.789f, 2.285f)
                lineToRelative(2.427f, 19.693f)
                lineToRelative(2.306f, -0.334f)
                curveToRelative(-0.184f, -0.263f, -0.471f, -0.581f, -0.96f, -0.989f)
                curveToRelative(-0.68f, -0.564f, -0.44f, -1.522f, -0.039f, -2.127f)
                curveToRelative(0.53f, -1.022f, 3.26f, -2.322f, 3.106f, -3.956f)
                curveToRelative(-0.056f, -0.594f, -0.15f, -1.368f, -0.702f, -1.898f)
                curveToRelative(-0.02f, 0.22f, 0.017f, 0.432f, 0.017f, 0.432f)
                reflectiveCurveToRelative(-0.227f, -0.289f, -0.34f, -0.683f)
                curveToRelative(-0.112f, -0.15f, -0.2f, -0.199f, -0.319f, -0.4f)
                curveToRelative(-0.085f, 0.233f, -0.073f, 0.503f, -0.073f, 0.503f)
                reflectiveCurveToRelative(-0.186f, -0.437f, -0.216f, -0.807f)
                curveToRelative(-0.11f, 0.166f, -0.137f, 0.48f, -0.137f, 0.48f)
                reflectiveCurveToRelative(-0.241f, -0.69f, -0.186f, -1.062f)
                curveToRelative(-0.11f, -0.323f, -0.436f, -0.965f, -0.343f, -2.424f)
                curveToRelative(0.6f, 0.421f, 1.924f, 0.321f, 2.44f, -0.439f)
                curveToRelative(0.171f, -0.251f, 0.288f, -0.939f, -0.086f, -2.293f)
                curveToRelative(-0.24f, -0.868f, -0.835f, -2.16f, -1.066f, -2.651f)
                lineToRelative(-0.028f, 0.02f)
                curveToRelative(0.122f, 0.395f, 0.374f, 1.223f, 0.47f, 1.625f)
                curveToRelative(0.293f, 1.218f, 0.372f, 1.642f, 0.234f, 2.204f)
                curveToRelative(-0.116f, 0.488f, -0.397f, 0.808f, -1.107f, 1.165f)
                curveToRelative(-0.71f, 0.358f, -1.653f, -0.514f, -1.713f, -0.562f)
                curveToRelative(-0.69f, -0.55f, -1.224f, -1.447f, -1.284f, -1.883f)
                curveToRelative(-0.062f, -0.477f, 0.275f, -0.763f, 0.445f, -1.153f)
                curveToRelative(-0.243f, 0.07f, -0.514f, 0.192f, -0.514f, 0.192f)
                reflectiveCurveToRelative(0.323f, -0.334f, 0.722f, -0.624f)
                curveToRelative(0.165f, -0.109f, 0.262f, -0.178f, 0.436f, -0.323f)
                arcToRelative(9.762f, 9.762f, 0.0f, false, false, -0.456f, 0.003f)
                reflectiveCurveToRelative(0.42f, -0.227f, 0.855f, -0.392f)
                curveToRelative(-0.318f, -0.014f, -0.623f, -0.003f, -0.623f, -0.003f)
                reflectiveCurveToRelative(0.937f, -0.419f, 1.678f, -0.727f)
                curveToRelative(0.509f, -0.208f, 1.006f, -0.147f, 1.286f, 0.257f)
                curveToRelative(0.367f, 0.53f, 0.752f, 0.817f, 1.569f, 0.996f)
                curveToRelative(0.501f, -0.223f, 0.653f, -0.337f, 1.284f, -0.509f)
                curveToRelative(0.554f, -0.61f, 0.99f, -0.688f, 0.99f, -0.688f)
                reflectiveCurveToRelative(-0.216f, 0.198f, -0.274f, 0.51f)
                curveToRelative(0.314f, -0.249f, 0.66f, -0.455f, 0.66f, -0.455f)
                reflectiveCurveToRelative(-0.134f, 0.164f, -0.259f, 0.426f)
                lineToRelative(0.03f, 0.043f)
                curveToRelative(0.366f, -0.22f, 0.797f, -0.394f, 0.797f, -0.394f)
                reflectiveCurveToRelative(-0.123f, 0.156f, -0.268f, 0.358f)
                curveToRelative(0.277f, -0.002f, 0.838f, 0.012f, 1.056f, 0.037f)
                curveToRelative(1.285f, 0.028f, 1.552f, -1.374f, 2.045f, -1.55f)
                curveToRelative(0.618f, -0.22f, 0.894f, -0.353f, 1.947f, 0.68f)
                curveToRelative(0.903f, 0.888f, 1.609f, 2.477f, 1.259f, 2.833f)
                curveToRelative(-0.294f, 0.295f, -0.874f, -0.115f, -1.516f, -0.916f)
                arcToRelative(3.466f, 3.466f, 0.0f, false, true, -0.716f, -1.562f)
                arcToRelative(1.533f, 1.533f, 0.0f, false, false, -0.497f, -0.85f)
                reflectiveCurveToRelative(0.23f, 0.51f, 0.23f, 0.96f)
                curveToRelative(0.0f, 0.246f, 0.03f, 1.165f, 0.424f, 1.68f)
                curveToRelative(-0.039f, 0.076f, -0.057f, 0.374f, -0.1f, 0.43f)
                curveToRelative(-0.458f, -0.554f, -1.443f, -0.95f, -1.604f, -1.067f)
                curveToRelative(0.544f, 0.445f, 1.793f, 1.468f, 2.273f, 2.449f)
                curveToRelative(0.453f, 0.927f, 0.186f, 1.777f, 0.416f, 1.997f)
                curveToRelative(0.065f, 0.063f, 0.976f, 1.197f, 1.15f, 1.767f)
                curveToRelative(0.306f, 0.994f, 0.019f, 2.038f, -0.381f, 2.685f)
                lineToRelative(-1.117f, 0.174f)
                curveToRelative(-0.163f, -0.045f, -0.273f, -0.068f, -0.42f, -0.153f)
                curveToRelative(0.08f, -0.143f, 0.241f, -0.5f, 0.243f, -0.572f)
                lineToRelative(-0.063f, -0.111f)
                curveToRelative(-0.348f, 0.492f, -0.93f, 0.97f, -1.414f, 1.245f)
                curveToRelative(-0.633f, 0.359f, -1.363f, 0.304f, -1.838f, 0.156f)
                curveToRelative(-1.348f, -0.415f, -2.623f, -1.327f, -2.93f, -1.566f)
                curveToRelative(0.0f, 0.0f, -0.01f, 0.191f, 0.048f, 0.234f)
                curveToRelative(0.34f, 0.383f, 1.119f, 1.077f, 1.872f, 1.56f)
                lineToRelative(-1.605f, 0.177f)
                lineToRelative(0.759f, 5.908f)
                curveToRelative(-0.337f, 0.048f, -0.39f, 0.071f, -0.757f, 0.124f)
                curveToRelative(-0.325f, -1.147f, -0.946f, -1.895f, -1.624f, -2.332f)
                curveToRelative(-0.599f, -0.384f, -1.424f, -0.47f, -2.214f, -0.314f)
                lineToRelative(-0.05f, 0.059f)
                arcToRelative(2.851f, 2.851f, 0.0f, false, true, 1.863f, 0.444f)
                curveToRelative(0.654f, 0.413f, 1.181f, 1.481f, 1.375f, 2.124f)
                curveToRelative(0.248f, 0.822f, 0.42f, 1.7f, -0.248f, 2.632f)
                curveToRelative(-0.476f, 0.662f, -1.864f, 1.028f, -2.986f, 0.237f)
                curveToRelative(0.3f, 0.481f, 0.705f, 0.876f, 1.25f, 0.95f)
                curveToRelative(0.809f, 0.11f, 1.577f, -0.03f, 2.106f, -0.574f)
                curveToRelative(0.452f, -0.464f, 0.69f, -1.434f, 0.628f, -2.456f)
                lineToRelative(0.714f, -0.104f)
                lineToRelative(0.258f, 1.834f)
                lineToRelative(11.827f, -1.424f)
                close()
                moveTo(15.05f, 6.848f)
                curveToRelative(-0.034f, 0.075f, -0.085f, 0.125f, -0.007f, 0.37f)
                lineToRelative(0.004f, 0.014f)
                lineToRelative(0.013f, 0.032f)
                lineToRelative(0.032f, 0.073f)
                curveToRelative(0.14f, 0.287f, 0.295f, 0.558f, 0.552f, 0.696f)
                curveToRelative(0.067f, -0.011f, 0.136f, -0.019f, 0.207f, -0.023f)
                curveToRelative(0.242f, -0.01f, 0.395f, 0.028f, 0.492f, 0.08f)
                curveToRelative(0.009f, -0.048f, 0.01f, -0.119f, 0.005f, -0.222f)
                curveToRelative(-0.018f, -0.364f, 0.072f, -0.982f, -0.626f, -1.308f)
                curveToRelative(-0.264f, -0.122f, -0.634f, -0.084f, -0.757f, 0.068f)
                arcToRelative(0.302f, 0.302f, 0.0f, false, true, 0.058f, 0.013f)
                curveToRelative(0.186f, 0.066f, 0.06f, 0.13f, 0.027f, 0.207f)
                moveToRelative(1.958f, 3.392f)
                curveToRelative(-0.092f, -0.05f, -0.52f, -0.03f, -0.821f, 0.005f)
                curveToRelative(-0.574f, 0.068f, -1.193f, 0.267f, -1.328f, 0.372f)
                curveToRelative(-0.247f, 0.191f, -0.135f, 0.523f, 0.047f, 0.66f)
                curveToRelative(0.511f, 0.382f, 0.96f, 0.638f, 1.432f, 0.575f)
                curveToRelative(0.29f, -0.038f, 0.546f, -0.497f, 0.728f, -0.914f)
                curveToRelative(0.124f, -0.288f, 0.124f, -0.598f, -0.058f, -0.698f)
                moveToRelative(-5.077f, -2.942f)
                curveToRelative(0.162f, -0.154f, -0.805f, -0.355f, -1.556f, 0.156f)
                curveToRelative(-0.554f, 0.378f, -0.571f, 1.187f, -0.041f, 1.646f)
                curveToRelative(0.053f, 0.046f, 0.096f, 0.078f, 0.137f, 0.104f)
                arcToRelative(4.77f, 4.77f, 0.0f, false, true, 1.396f, -0.412f)
                curveToRelative(0.113f, -0.125f, 0.243f, -0.345f, 0.21f, -0.745f)
                curveToRelative(-0.044f, -0.542f, -0.455f, -0.456f, -0.146f, -0.749f)
            }
        }
        .build()
        return _datadog!!
    }

private var _datadog: ImageVector? = null
