package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.DevDotTo: ImageVector
    get() {
        if (_devDotTo != null) {
            return _devDotTo!!
        }
        _devDotTo = Builder(name = "DevDotTo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.42f, 10.05f)
                curveToRelative(-0.18f, -0.16f, -0.46f, -0.23f, -0.84f, -0.23f)
                lineTo(6.0f, 9.82f)
                lineToRelative(0.02f, 2.44f)
                lineToRelative(0.04f, 2.45f)
                lineToRelative(0.56f, -0.02f)
                curveToRelative(0.41f, 0.0f, 0.63f, -0.07f, 0.83f, -0.26f)
                curveToRelative(0.24f, -0.24f, 0.26f, -0.36f, 0.26f, -2.2f)
                curveToRelative(0.0f, -1.91f, -0.02f, -1.96f, -0.29f, -2.18f)
                close()
                moveTo(0.0f, 4.94f)
                verticalLineToRelative(14.12f)
                horizontalLineToRelative(24.0f)
                lineTo(24.0f, 4.94f)
                lineTo(0.0f, 4.94f)
                close()
                moveTo(8.56f, 15.3f)
                curveToRelative(-0.44f, 0.58f, -1.06f, 0.77f, -2.53f, 0.77f)
                lineTo(4.71f, 16.07f)
                lineTo(4.71f, 8.53f)
                horizontalLineToRelative(1.4f)
                curveToRelative(1.67f, 0.0f, 2.16f, 0.18f, 2.6f, 0.9f)
                curveToRelative(0.27f, 0.43f, 0.29f, 0.6f, 0.32f, 2.57f)
                curveToRelative(0.05f, 2.23f, -0.02f, 2.73f, -0.47f, 3.3f)
                close()
                moveTo(13.65f, 9.83f)
                horizontalLineToRelative(-2.47f)
                verticalLineToRelative(1.77f)
                horizontalLineToRelative(1.52f)
                verticalLineToRelative(1.28f)
                lineToRelative(-0.72f, 0.04f)
                lineToRelative(-0.75f, 0.03f)
                verticalLineToRelative(1.77f)
                lineToRelative(1.22f, 0.03f)
                lineToRelative(1.2f, 0.04f)
                verticalLineToRelative(1.28f)
                horizontalLineToRelative(-1.6f)
                curveToRelative(-1.53f, 0.0f, -1.6f, -0.01f, -1.87f, -0.3f)
                lineToRelative(-0.3f, -0.28f)
                verticalLineToRelative(-3.16f)
                curveToRelative(0.0f, -3.02f, 0.01f, -3.18f, 0.25f, -3.48f)
                curveToRelative(0.23f, -0.31f, 0.25f, -0.31f, 1.88f, -0.31f)
                horizontalLineToRelative(1.64f)
                verticalLineToRelative(1.3f)
                close()
                moveTo(18.33f, 15.28f)
                curveToRelative(-0.17f, 0.43f, -0.64f, 0.79f, -1.0f, 0.79f)
                curveToRelative(-0.18f, 0.0f, -0.45f, -0.15f, -0.67f, -0.39f)
                curveToRelative(-0.32f, -0.32f, -0.45f, -0.63f, -0.82f, -2.08f)
                lineToRelative(-0.9f, -3.39f)
                lineToRelative(-0.45f, -1.67f)
                horizontalLineToRelative(0.76f)
                curveToRelative(0.4f, 0.0f, 0.75f, 0.02f, 0.75f, 0.05f)
                curveToRelative(0.0f, 0.06f, 1.16f, 4.54f, 1.26f, 4.83f)
                curveToRelative(0.04f, 0.15f, 0.32f, -0.7f, 0.73f, -2.3f)
                lineToRelative(0.66f, -2.52f)
                lineToRelative(0.74f, -0.04f)
                curveToRelative(0.4f, -0.02f, 0.73f, 0.0f, 0.73f, 0.04f)
                curveToRelative(0.0f, 0.14f, -1.67f, 6.38f, -1.8f, 6.68f)
                close()
            }
        }
        .build()
        return _devDotTo!!
    }

private var _devDotTo: ImageVector? = null
