package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Duolingo: ImageVector
    get() {
        if (_duolingo != null) {
            return _duolingo!!
        }
        _duolingo = Builder(name = "Duolingo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.2f, 2.869f)
                arcToRelative(2.458f, 2.458f, 0.0f, false, false, -2.45f, 2.455f)
                verticalLineToRelative(3.117f)
                lineToRelative(-3.672f, -0.913f)
                horizontalLineToRelative(-0.002f)
                arcToRelative(0.864f, 0.864f, 0.0f, false, false, -0.242f, -0.026f)
                arcToRelative(0.864f, 0.864f, 0.0f, false, false, -0.832f, 0.919f)
                arcToRelative(6.573f, 6.573f, 0.0f, false, false, 4.886f, 5.87f)
                arcTo(7.286f, 7.286f, 0.0f, false, false, 12.0f, 20.18f)
                arcToRelative(7.286f, 7.286f, 0.0f, false, false, 7.106f, -5.888f)
                arcToRelative(6.573f, 6.573f, 0.0f, false, false, 4.892f, -5.871f)
                arcToRelative(0.864f, 0.864f, 0.0f, false, false, -0.831f, -0.92f)
                arcToRelative(0.864f, 0.864f, 0.0f, false, false, -0.245f, 0.027f)
                lineToRelative(-3.673f, 0.913f)
                lineTo(19.249f, 5.324f)
                arcToRelative(2.458f, 2.458f, 0.0f, false, false, -2.45f, -2.455f)
                arcToRelative(2.845f, 2.845f, 0.0f, false, false, -0.96f, 0.192f)
                curveToRelative(-1.87f, 0.797f, -3.114f, 1.188f, -3.831f, 1.2f)
                curveToRelative(-0.717f, -0.012f, -1.962f, -0.403f, -3.832f, -1.2f)
                arcToRelative(2.845f, 2.845f, 0.0f, false, false, -0.975f, -0.192f)
                close()
                moveTo(15.335f, 4.277f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, true, 0.036f, 0.0f)
                curveToRelative(0.065f, 0.008f, 0.127f, 0.05f, 0.176f, 0.127f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.07f, 0.143f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.037f, 0.088f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.035f, 0.092f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.029f, 0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.025f, 0.093f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.019f, 0.096f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.015f, 0.097f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.01f, 0.093f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.005f, 0.102f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.0f, 0.157f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.007f, 0.0f)
                lineToRelative(0.473f, -0.526f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.009f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, -0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, -0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, -0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.009f, -0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.004f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.016f, -0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.02f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.005f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.017f, 0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, 0.004f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, 0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.001f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.004f, 0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.016f, 0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.008f, 0.004f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, 0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, 0.011f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, 0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.006f, 0.007f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.014f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.003f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.017f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.06f, 0.121f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.04f, 0.088f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.035f, 0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.03f, 0.088f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.025f, 0.097f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.021f, 0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.016f, 0.098f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.016f, 0.132f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.192f, 0.119f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.11f, 0.079f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.11f, 0.083f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.1f, 0.088f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.101f, 0.095f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.092f, 0.098f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.09f, 0.103f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.082f, 0.108f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.08f, 0.112f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.07f, 0.114f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.068f, 0.12f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.059f, 0.122f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.054f, 0.123f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.048f, 0.131f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.042f, 0.126f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.034f, 0.135f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.03f, 0.13f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.02f, 0.135f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.016f, 0.136f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.011f, 0.225f)
                verticalLineToRelative(1.758f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.011f, 0.237f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.017f, 0.132f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.02f, 0.135f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.03f, 0.136f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.033f, 0.127f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.044f, 0.134f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.045f, 0.123f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.057f, 0.126f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.058f, 0.12f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.068f, 0.118f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.07f, 0.116f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.078f, 0.109f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.084f, 0.11f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.09f, 0.102f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.09f, 0.097f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.104f, 0.096f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.098f, 0.087f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.107f, 0.081f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.113f, 0.081f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.113f, 0.07f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.12f, 0.068f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.119f, 0.057f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.127f, 0.058f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.123f, 0.045f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.133f, 0.044f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.132f, 0.033f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.13f, 0.03f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.14f, 0.02f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.129f, 0.017f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.237f, 0.011f)
                horizontalLineToRelative(-0.21f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.244f, -0.012f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.134f, -0.017f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.133f, -0.02f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.136f, -0.032f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.127f, -0.032f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.131f, -0.045f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.126f, -0.046f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.124f, -0.056f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.121f, -0.059f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.118f, -0.068f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.116f, -0.071f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.107f, -0.079f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.11f, -0.083f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.102f, -0.09f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.098f, -0.092f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.094f, -0.102f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.088f, -0.1f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.081f, -0.109f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.08f, -0.11f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.068f, -0.115f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.028f, -0.048f)
                verticalLineToRelative(0.98f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.004f, 0.073f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.004f, 0.05f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.008f, 0.054f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, 0.0f, 0.002f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.009f, 0.042f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.016f, 0.063f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.01f, 0.034f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.024f, 0.065f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.012f, 0.031f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.033f, 0.067f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.018f, 0.034f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.025f, 0.04f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.032f, 0.047f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.028f, 0.037f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.034f, 0.042f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.035f, 0.038f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.037f, 0.036f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.04f, 0.034f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.038f, 0.031f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.044f, 0.032f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.041f, 0.027f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.046f, 0.026f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.045f, 0.024f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.047f, 0.02f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, 0.02f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.047f, 0.016f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.049f, 0.014f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.052f, 0.012f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, 0.009f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.052f, 0.006f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.049f, 0.004f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.053f, 0.0f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.052f, 0.0f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, -0.004f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.051f, -0.006f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.052f, -0.01f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, -0.011f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, -0.014f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.047f, -0.016f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.05f, -0.02f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.046f, -0.02f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.046f, -0.024f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.046f, -0.026f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.04f, -0.027f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.045f, -0.032f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.038f, -0.031f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.04f, -0.034f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.036f, -0.036f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.035f, -0.038f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.035f, -0.042f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.028f, -0.037f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.032f, -0.047f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.018f, -0.03f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.046f, -0.087f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.003f, -0.006f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.034f, -0.084f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.005f, -0.015f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.022f, -0.073f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.008f, -0.032f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.011f, -0.06f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.007f, -0.043f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.003f, -0.034f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.002f, -0.02f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, 0.0f, -0.002f)
                arcToRelative(1.032f, 1.032f, 0.0f, false, true, -0.003f, -0.068f)
                verticalLineToRelative(-0.979f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.026f, 0.046f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.07f, 0.116f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.077f, 0.107f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.084f, 0.113f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.086f, 0.097f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.095f, 0.104f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.1f, 0.092f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.1f, 0.09f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.11f, 0.083f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.108f, 0.079f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.114f, 0.07f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.12f, 0.069f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.12f, 0.058f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.124f, 0.056f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.129f, 0.047f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.128f, 0.044f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.127f, 0.032f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.137f, 0.032f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.13f, 0.02f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.137f, 0.017f)
                arcToRelative(2.714f, 2.714f, 0.0f, false, true, -0.245f, 0.012f)
                horizontalLineToRelative(-0.21f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.237f, -0.012f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.13f, -0.016f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.14f, -0.02f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.128f, -0.03f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.133f, -0.033f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.132f, -0.044f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.123f, -0.045f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.128f, -0.058f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.12f, -0.057f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.119f, -0.069f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.113f, -0.069f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.113f, -0.08f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.106f, -0.082f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.099f, -0.087f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.103f, -0.096f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.09f, -0.097f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.09f, -0.102f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.084f, -0.11f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.078f, -0.109f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.071f, -0.116f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.068f, -0.118f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.058f, -0.12f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.056f, -0.126f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.045f, -0.124f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.045f, -0.133f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.032f, -0.127f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.03f, -0.136f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.02f, -0.135f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.017f, -0.132f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, true, -0.012f, -0.238f)
                lineTo(5.671f, 8.17f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.012f, -0.227f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.016f, -0.135f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.02f, -0.132f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.03f, -0.136f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.035f, -0.13f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.042f, -0.129f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.047f, -0.128f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.056f, -0.126f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.058f, -0.119f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.07f, -0.123f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.069f, -0.111f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.081f, -0.114f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.08f, -0.106f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.091f, -0.103f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.093f, -0.1f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.097f, -0.09f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.106f, -0.093f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.104f, -0.08f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.114f, -0.08f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.192f, -0.119f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.016f, -0.133f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.015f, -0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.021f, -0.096f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.025f, -0.093f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.03f, -0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.034f, -0.091f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.04f, -0.089f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.058f, -0.118f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.018f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.004f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.013f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.006f, -0.007f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, -0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.011f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, -0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.009f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, -0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.008f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.016f, -0.009f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.006f, -0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.004f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, -0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, -0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, -0.001f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.017f, -0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.006f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.019f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, 0.0f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.016f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.002f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.014f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, 0.004f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.011f, 0.003f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.013f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, 0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.009f, 0.006f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, 0.008f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.007f, 0.005f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.012f, 0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.01f)
                arcToRelative(0.248f, 0.248f, 0.0f, false, true, 0.01f, 0.01f)
                verticalLineToRelative(-0.005f)
                lineToRelative(0.471f, 0.523f)
                arcToRelative(2.723f, 2.723f, 0.0f, false, true, 0.01f, 0.0f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, -0.001f, -0.155f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.006f, -0.103f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.009f, -0.093f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.015f, -0.097f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.02f, -0.095f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.024f, -0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.03f, -0.094f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.034f, -0.092f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.036f, -0.087f)
                arcToRelative(1.95f, 1.95f, 0.0f, false, true, 0.07f, -0.142f)
                curveToRelative(0.085f, -0.135f, 0.214f, -0.163f, 0.32f, -0.083f)
                curveToRelative(0.015f, 0.011f, 0.03f, 0.025f, 0.044f, 0.04f)
                lineToRelative(1.78f, 1.94f)
                verticalLineToRelative(-0.002f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.092f, 0.089f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.071f, 0.064f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.076f, 0.06f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.078f, 0.057f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.08f, 0.05f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.084f, 0.05f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.085f, 0.043f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.087f, 0.04f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.092f, 0.036f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.089f, 0.03f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.095f, 0.026f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.091f, 0.022f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.097f, 0.016f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.094f, 0.013f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.096f, 0.006f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.096f, 0.003f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.097f, -0.003f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.096f, -0.006f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.094f, -0.013f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.097f, -0.016f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.09f, -0.022f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.096f, -0.025f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.089f, -0.031f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.092f, -0.036f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.087f, -0.04f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.085f, -0.043f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.084f, -0.05f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.08f, -0.05f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.078f, -0.058f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.075f, -0.059f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.072f, -0.064f)
                arcToRelative(1.926f, 1.926f, 0.0f, false, false, 0.092f, -0.089f)
                lineTo(13.403f, 6.3f)
                lineToRelative(1.78f, -1.94f)
                arcToRelative(0.294f, 0.294f, 0.0f, false, true, 0.044f, -0.04f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, true, 0.107f, -0.044f)
                close()
                moveTo(15.355f, 4.445f)
                curveToRelative(-0.813f, 0.742f, -1.419f, 1.714f, -2.325f, 2.358f)
                curveToRelative(-0.932f, 0.557f, -2.21f, 0.194f, -2.823f, -0.67f)
                curveToRelative(-0.512f, -0.56f, -1.007f, -1.17f, -1.563f, -1.667f)
                curveToRelative(-0.324f, 0.258f, -0.164f, 0.745f, -0.332f, 1.078f)
                curveToRelative(-0.208f, 0.206f, -0.42f, -0.181f, -0.526f, -0.316f)
                curveToRelative(-0.084f, -0.17f, -0.317f, -0.283f, -0.386f, -0.048f)
                curveToRelative(-0.163f, 0.278f, -0.04f, 0.74f, -0.416f, 0.857f)
                curveToRelative(-0.919f, 0.59f, -1.277f, 1.757f, -1.149f, 2.792f)
                curveToRelative(-0.03f, 0.982f, -0.066f, 2.116f, 0.698f, 2.859f)
                curveToRelative(1.106f, 1.18f, 3.29f, 1.048f, 4.174f, -0.32f)
                curveToRelative(0.058f, -0.14f, 0.145f, -0.301f, 0.261f, -0.42f)
                verticalLineToRelative(-0.42f)
                arcToRelative(1.048f, 1.048f, 0.0f, false, true, 0.0f, -0.006f)
                lineToRelative(-0.35f, -0.059f)
                arcToRelative(0.052f, 0.052f, 0.0f, false, true, -0.042f, -0.058f)
                arcToRelative(1.446f, 1.446f, 0.0f, false, true, 1.418f, -1.194f)
                arcToRelative(1.446f, 1.446f, 0.0f, false, true, 1.43f, 1.194f)
                arcToRelative(0.052f, 0.052f, 0.0f, false, true, -0.043f, 0.058f)
                lineToRelative(-0.35f, 0.06f)
                arcToRelative(1.03f, 1.03f, 0.0f, false, true, 0.0f, 0.001f)
                verticalLineToRelative(0.38f)
                lineToRelative(0.007f, 0.001f)
                curveToRelative(0.584f, 1.534f, 2.728f, 2.067f, 4.017f, 1.128f)
                arcToRelative(2.694f, 2.694f, 0.0f, false, false, 1.106f, -2.535f)
                curveToRelative(0.014f, -1.033f, 0.13f, -2.231f, -0.653f, -3.042f)
                curveToRelative(-0.216f, -0.27f, -0.604f, -0.399f, -0.762f, -0.697f)
                curveToRelative(-0.055f, -0.25f, -0.041f, -0.588f, -0.286f, -0.736f)
                curveToRelative(-0.31f, 0.129f, -0.381f, 0.556f, -0.728f, 0.634f)
                curveToRelative(-0.2f, -0.38f, -0.055f, -0.897f, -0.377f, -1.213f)
                close()
                moveTo(8.422f, 6.468f)
                arcToRelative(1.995f, 1.995f, 0.0f, false, true, 1.994f, 1.995f)
                verticalLineToRelative(1.2f)
                arcToRelative(1.996f, 1.996f, 0.0f, false, true, -0.245f, 0.913f)
                arcToRelative(27.203f, 27.203f, 0.0f, false, false, -0.815f, -0.328f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.035f, -0.037f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.016f, -0.018f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.048f, -0.058f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.012f, -0.017f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.04f, -0.06f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.013f, -0.02f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.032f, -0.062f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.011f, -0.022f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.024f, -0.06f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.012f, -0.031f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.017f, -0.058f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.009f, -0.033f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.01f, -0.054f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, -0.043f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, -0.082f)
                lineTo(9.649f, 8.56f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.004f, -0.08f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.005f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.007f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.01f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.012f, -0.045f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.016f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.015f, -0.042f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.02f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.02f, -0.04f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.025f, -0.042f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.024f, -0.04f)
                arcTo(0.95f, 0.95f, 0.0f, false, false, 9.464f, 8.0f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.03f, -0.039f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.03f, -0.034f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.033f, -0.036f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.035f, -0.032f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.035f, -0.031f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.038f, -0.029f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.039f, -0.028f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.04f, -0.025f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.04f, -0.023f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.043f, -0.02f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.046f, -0.02f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.043f, -0.017f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.043f, -0.014f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.049f, -0.012f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.046f, -0.01f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.045f, -0.008f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.048f, -0.006f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.08f, -0.004f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.06f, 0.004f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.05f, 0.005f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.043f, 0.007f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.051f, 0.01f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.045f, 0.012f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.047f, 0.014f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.046f, 0.018f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.055f, 0.023f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.04f, 0.04f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.022f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.017f, 0.02f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.018f, 0.025f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.017f, 0.026f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.013f, 0.023f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.016f, 0.028f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.011f, 0.026f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.013f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.008f, 0.025f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.01f, 0.031f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.007f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.006f, 0.029f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.004f, 0.037f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.002f, 0.021f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.0f, 0.041f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.0f, 0.02f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.002f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.003f, 0.031f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.004f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.007f, 0.034f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.008f, 0.028f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.01f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.012f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.01f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.016f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.013f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.02f, 0.03f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.012f, 0.018f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.026f, 0.032f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.013f, 0.015f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.02f, 0.02f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.024f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.02f, 0.015f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.025f, 0.021f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.027f, 0.018f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.024f, 0.015f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.023f, 0.012f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.03f, 0.016f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.034f, 0.013f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.02f, 0.008f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.038f, 0.011f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.02f, 0.006f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.034f, 0.006f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.026f, 0.005f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.04f, 0.003f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.018f, 0.002f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.035f, 0.0f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.028f, 0.0f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.031f, -0.005f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.026f, -0.003f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.056f, -0.012f)
                verticalLineToRelative(0.859f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.004f, 0.048f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, 0.062f)
                arcToRelative(15.08f, 15.08f, 0.0f, false, false, -1.336f, -0.332f)
                verticalLineToRelative(-0.908f)
                arcToRelative(1.987f, 1.987f, 0.0f, false, true, 1.996f, -1.995f)
                close()
                moveTo(15.578f, 6.468f)
                arcToRelative(1.995f, 1.995f, 0.0f, false, true, 1.996f, 1.995f)
                verticalLineToRelative(0.909f)
                curveToRelative(-0.425f, 0.085f, -0.87f, 0.195f, -1.336f, 0.333f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, -0.066f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.004f, -0.046f)
                lineTo(16.249f, 8.56f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.004f, -0.081f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.006f, -0.046f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.007f, -0.047f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.01f, -0.046f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.012f, -0.048f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.014f, -0.041f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.018f, -0.048f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.019f, -0.043f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.02f, -0.042f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.024f, -0.04f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.025f, -0.042f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.028f, -0.039f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.028f, -0.036f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.032f, -0.037f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.032f, -0.035f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.036f, -0.033f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.033f, -0.03f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.04f, -0.03f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.037f, -0.026f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.042f, -0.026f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.04f, -0.023f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.042f, -0.02f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.046f, -0.02f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.04f, -0.016f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.048f, -0.015f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.046f, -0.012f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.047f, -0.01f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.047f, -0.007f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.045f, -0.006f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, -0.081f, -0.004f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.057f, 0.004f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.045f, 0.004f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.052f, 0.008f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.044f, 0.008f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.046f, 0.012f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.047f, 0.014f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.043f, 0.016f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.045f, 0.018f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.045f, 0.023f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.048f, 0.024f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.04f, 0.045f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.033f, 0.05f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.03f, 0.052f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.024f, 0.055f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.018f, 0.057f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.005f, 0.025f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.007f, 0.034f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.005f, 0.042f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.002f, 0.017f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.0f, 0.001f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.0f, 0.06f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.005f, 0.06f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.004f, 0.022f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.007f, 0.036f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.017f, 0.057f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, 0.0f, 0.001f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.023f, 0.055f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.028f, 0.053f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.033f, 0.05f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.039f, 0.046f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.042f, 0.042f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.046f, 0.038f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.05f, 0.033f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.001f, 0.0f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.053f, 0.027f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.055f, 0.023f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.058f, 0.016f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.032f, 0.006f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.087f, 0.01f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, true, -0.06f, 0.0f)
                verticalLineToRelative(0.838f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, 0.084f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.007f, 0.042f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.01f, 0.054f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.01f, 0.032f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.016f, 0.06f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.011f, 0.029f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.025f, 0.06f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.01f, 0.022f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.034f, 0.063f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.011f, 0.018f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.041f, 0.063f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.01f, 0.012f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.052f, 0.063f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.008f, 0.008f)
                arcToRelative(0.95f, 0.95f, 0.0f, false, false, 0.043f, 0.046f)
                curveToRelative(-0.268f, 0.103f, -0.54f, 0.213f, -0.815f, 0.33f)
                arcToRelative(1.996f, 1.996f, 0.0f, false, true, -0.247f, -0.916f)
                verticalLineToRelative(-1.2f)
                arcToRelative(1.986f, 1.986f, 0.0f, false, true, 1.995f, -1.995f)
                close()
                moveTo(12.035f, 9.32f)
                curveToRelative(-0.038f, 0.0f, -0.077f, 0.0f, -0.115f, 0.003f)
                arcToRelative(1.35f, 1.35f, 0.0f, false, false, -1.224f, 1.042f)
                lineToRelative(1.301f, 0.198f)
                lineToRelative(0.688f, -0.108f)
                lineToRelative(0.603f, -0.138f)
                curveToRelative(-0.13f, -0.565f, -0.68f, -0.983f, -1.253f, -0.997f)
                close()
                moveTo(12.895f, 10.504f)
                curveToRelative(-0.084f, -0.005f, -0.009f, 0.142f, -0.024f, 0.214f)
                curveToRelative(0.01f, 0.453f, 0.025f, 0.912f, -0.024f, 1.362f)
                curveToRelative(-0.143f, 0.554f, -0.892f, 0.836f, -1.35f, 0.477f)
                curveToRelative(-0.337f, -0.235f, -0.425f, -0.684f, -0.371f, -1.068f)
                curveToRelative(-0.001f, -0.32f, -0.02f, -0.641f, 0.014f, -0.96f)
                curveToRelative(-0.161f, -0.086f, -0.06f, 0.106f, -0.086f, 0.194f)
                curveToRelative(0.01f, 0.609f, -0.049f, 1.226f, 0.045f, 1.829f)
                curveToRelative(0.186f, 0.598f, 1.027f, 0.855f, 1.5f, 0.43f)
                curveToRelative(0.31f, -0.25f, 0.399f, -0.685f, 0.35f, -1.067f)
                curveToRelative(-0.004f, -0.466f, 0.012f, -0.933f, -0.009f, -1.399f)
                arcToRelative(0.142f, 0.142f, 0.0f, false, false, -0.046f, -0.012f)
                close()
                moveTo(12.751f, 10.55f)
                arcToRelative(0.399f, 0.399f, 0.0f, false, false, -0.066f, 0.013f)
                arcToRelative(1.568f, 1.568f, 0.0f, false, true, -0.112f, 0.036f)
                lineToRelative(-0.03f, 0.008f)
                arcToRelative(1.3f, 1.3f, 0.0f, false, true, -0.085f, 0.02f)
                lineToRelative(-0.028f, 0.006f)
                arcToRelative(1.681f, 1.681f, 0.0f, false, true, -0.27f, 0.03f)
                lineToRelative(-0.035f, 0.002f)
                arcToRelative(3.33f, 3.33f, 0.0f, false, true, -0.148f, 0.0f)
                horizontalLineToRelative(-0.016f)
                arcToRelative(2.6f, 2.6f, 0.0f, false, true, -0.171f, -0.013f)
                curveToRelative(-0.006f, 0.0f, -0.012f, 0.0f, -0.017f, -0.002f)
                arcToRelative(5.958f, 5.958f, 0.0f, false, true, -0.279f, -0.038f)
                lineToRelative(-0.072f, -0.01f)
                lineToRelative(-0.182f, -0.033f)
                arcToRelative(0.794f, 0.754f, 0.0f, false, false, -0.035f, 0.223f)
                verticalLineToRelative(1.087f)
                arcToRelative(0.803f, 0.763f, 0.0f, false, false, 0.795f, 0.755f)
                arcToRelative(0.794f, 0.754f, 0.0f, false, false, 0.794f, -0.755f)
                lineTo(12.794f, 10.79f)
                arcToRelative(0.795f, 0.755f, 0.0f, false, false, -0.043f, -0.243f)
                close()
                moveTo(12.791f, 11.917f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.005f, 0.035f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.004f, -0.035f)
                close()
                moveTo(12.778f, 11.999f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.007f, 0.03f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.007f, -0.03f)
                close()
                moveTo(12.758f, 12.074f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.01f, 0.03f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.01f, -0.03f)
                close()
                moveTo(12.73f, 12.153f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.01f, 0.022f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.01f, -0.022f)
                close()
                moveTo(12.695f, 12.224f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.012f, 0.02f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.012f, -0.02f)
                close()
                moveTo(12.651f, 12.294f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.01f, 0.014f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.01f, -0.014f)
                close()
                moveTo(12.601f, 12.358f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.01f, 0.01f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.01f, -0.01f)
                close()
                moveTo(12.548f, 12.414f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, true, -0.006f, 0.006f)
                arcToRelative(0.794f, 0.794f, 0.0f, false, false, 0.006f, -0.006f)
                close()
                moveTo(9.482f, 15.034f)
                arcToRelative(0.132f, 0.132f, 0.0f, false, true, 0.014f, 0.0f)
                horizontalLineToRelative(1.823f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.14f, 0.181f)
                curveToRelative(-0.14f, 0.42f, -0.573f, 0.709f, -1.056f, 0.712f)
                arcToRelative(1.085f, 1.085f, 0.0f, false, true, -1.047f, -0.712f)
                arcToRelative(0.132f, 0.132f, 0.0f, false, true, 0.126f, -0.182f)
                close()
                moveTo(12.685f, 15.034f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, 0.005f, 0.0f)
                horizontalLineToRelative(1.824f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.14f, 0.179f)
                curveToRelative(-0.14f, 0.418f, -0.572f, 0.71f, -1.06f, 0.71f)
                arcToRelative(1.085f, 1.085f, 0.0f, false, true, -1.043f, -0.708f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, 0.134f, -0.18f)
                close()
                moveTo(11.085f, 16.582f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.005f, 0.0f)
                horizontalLineToRelative(1.824f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.139f, 0.182f)
                curveToRelative(-0.135f, 0.423f, -0.568f, 0.711f, -1.056f, 0.711f)
                arcToRelative(1.085f, 1.085f, 0.0f, false, true, -1.046f, -0.711f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, 0.135f, -0.182f)
                close()
                moveTo(4.45f, 18.236f)
                arcToRelative(0.931f, 0.931f, 0.0f, false, false, -0.66f, 0.299f)
                verticalLineToRelative(-0.002f)
                arcToRelative(0.944f, 0.944f, 0.0f, false, false, 0.041f, 1.325f)
                lineToRelative(1.088f, 1.02f)
                arcToRelative(0.938f, 0.938f, 0.0f, false, false, 1.284f, -1.367f)
                lineToRelative(-1.088f, -1.019f)
                arcToRelative(0.931f, 0.931f, 0.0f, false, false, -0.665f, -0.256f)
                close()
                moveTo(19.565f, 18.236f)
                arcToRelative(0.931f, 0.931f, 0.0f, false, false, -0.678f, 0.256f)
                lineToRelative(-1.089f, 1.019f)
                arcToRelative(0.938f, 0.938f, 0.0f, false, false, 1.285f, 1.368f)
                lineToRelative(1.087f, -1.019f)
                arcToRelative(0.944f, 0.944f, 0.0f, false, false, 0.042f, -1.325f)
                arcToRelative(0.931f, 0.931f, 0.0f, false, false, -0.647f, -0.299f)
                close()
            }
        }
        .build()
        return _duolingo!!
    }

private var _duolingo: ImageVector? = null
