package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Epson: ImageVector
    get() {
        if (_epson != null) {
            return _epson!!
        }
        _epson = Builder(name = "Epson", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.616f, 13.915f)
                curveToRelative(-1.029f, 0.0f, -1.428f, -0.952f, -1.428f, -1.915f)
                curveToRelative(0.0f, -0.975f, 0.398f, -1.927f, 1.428f, -1.927f)
                curveToRelative(1.03f, 0.0f, 1.429f, 0.952f, 1.429f, 1.927f)
                curveToRelative(0.0f, 0.963f, -0.399f, 1.915f, -1.429f, 1.915f)
                moveToRelative(0.0f, -4.805f)
                curveToRelative(-1.627f, 0.0f, -2.567f, 1.218f, -2.567f, 2.89f)
                reflectiveCurveToRelative(0.94f, 2.89f, 2.567f, 2.89f)
                curveToRelative(1.628f, 0.0f, 2.568f, -1.218f, 2.568f, -2.89f)
                reflectiveCurveToRelative(-0.94f, -2.89f, -2.568f, -2.89f)
                close()
                moveTo(0.0f, 9.266f)
                horizontalLineToRelative(4.085f)
                verticalLineToRelative(0.974f)
                horizontalLineTo(1.141f)
                verticalLineToRelative(1.207f)
                horizontalLineToRelative(2.745f)
                verticalLineToRelative(0.952f)
                horizontalLineTo(1.141f)
                verticalLineToRelative(1.351f)
                horizontalLineToRelative(2.944f)
                verticalLineToRelative(0.975f)
                horizontalLineTo(0.0f)
                verticalLineTo(9.266f)
                close()
                moveTo(6.73f, 12.11f)
                horizontalLineTo(5.701f)
                verticalLineToRelative(-1.871f)
                horizontalLineTo(6.73f)
                curveToRelative(0.709f, 0.0f, 1.185f, 0.311f, 1.185f, 0.941f)
                curveToRelative(0.0f, 0.621f, -0.476f, 0.93f, -1.185f, 0.93f)
                moveToRelative(-2.168f, 2.614f)
                horizontalLineToRelative(1.14f)
                verticalLineToRelative(-1.639f)
                horizontalLineTo(6.73f)
                curveToRelative(1.384f, 0.0f, 2.314f, -0.687f, 2.314f, -1.904f)
                curveToRelative(0.0f, -1.229f, -0.931f, -1.915f, -2.314f, -1.915f)
                horizontalLineTo(4.562f)
                verticalLineToRelative(5.458f)
                close()
                moveTo(20.768f, 9.266f)
                horizontalLineToRelative(-1.162f)
                verticalLineToRelative(5.458f)
                horizontalLineToRelative(1.118f)
                verticalLineToRelative(-2.215f)
                curveToRelative(0.0f, -0.598f, -0.022f, -1.14f, -0.044f, -1.605f)
                curveToRelative(0.133f, 0.267f, 0.531f, 1.085f, 0.708f, 1.396f)
                lineToRelative(1.45f, 2.425f)
                horizontalLineTo(24.0f)
                verticalLineTo(9.266f)
                horizontalLineToRelative(-1.106f)
                verticalLineToRelative(2.158f)
                curveToRelative(0.0f, 0.599f, 0.022f, 1.196f, 0.044f, 1.672f)
                curveToRelative(-0.133f, -0.276f, -0.531f, -1.096f, -0.72f, -1.406f)
                lineToRelative(-1.45f, -2.424f)
                close()
                moveTo(10.34f, 12.919f)
                curveToRelative(0.0f, 0.73f, 0.608f, 1.019f, 1.251f, 1.019f)
                curveToRelative(0.421f, 0.0f, 1.118f, -0.122f, 1.118f, -0.687f)
                curveToRelative(0.0f, -0.598f, -0.842f, -0.709f, -1.649f, -0.919f)
                curveToRelative(-0.853f, -0.232f, -1.672f, -0.543f, -1.672f, -1.561f)
                curveToRelative(0.0f, -1.13f, 1.063f, -1.661f, 2.059f, -1.661f)
                curveToRelative(1.152f, 0.0f, 2.204f, 0.498f, 2.204f, 1.771f)
                horizontalLineToRelative(-1.13f)
                curveToRelative(-0.044f, -0.664f, -0.554f, -0.83f, -1.129f, -0.83f)
                curveToRelative(-0.388f, 0.0f, -0.875f, 0.154f, -0.875f, 0.619f)
                curveToRelative(0.0f, 0.421f, 0.277f, 0.487f, 1.661f, 0.842f)
                curveToRelative(0.398f, 0.11f, 1.66f, 0.354f, 1.66f, 1.595f)
                curveToRelative(0.0f, 1.018f, -0.797f, 1.771f, -2.292f, 1.771f)
                curveToRelative(-1.217f, 0.0f, -2.357f, -0.598f, -2.347f, -1.959f)
                horizontalLineToRelative(1.141f)
                close()
            }
        }
        .build()
        return _epson!!
    }

private var _epson: ImageVector? = null
