package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fastify: ImageVector
    get() {
        if (_fastify != null) {
            return _fastify!!
        }
        _fastify = Builder(name = "Fastify", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.245f, 6.49f)
                lineTo(24.0f, 4.533f)
                lineToRelative(-0.031f, -0.121f)
                lineToRelative(-7.473f, 1.967f)
                curveToRelative(0.797f, -1.153f, 0.523f, -2.078f, 0.523f, -2.078f)
                reflectiveCurveToRelative(-2.387f, 1.524f, -4.193f, 1.485f)
                curveToRelative(-1.804f, -0.04f, -2.387f, -0.52f, -5.155f, 0.362f)
                curveToRelative(-2.768f, 0.882f, -3.551f, 3.59f, -4.351f, 4.173f)
                curveToRelative(-0.804f, 0.583f, -3.32f, 2.477f, -3.32f, 2.477f)
                lineToRelative(0.006f, 0.034f)
                lineToRelative(2.27f, -0.724f)
                reflectiveCurveToRelative(-0.622f, 0.585f, -1.945f, 2.37f)
                lineToRelative(-0.062f, -0.057f)
                lineToRelative(0.002f, 0.011f)
                reflectiveCurveToRelative(1.064f, 1.626f, 2.107f, 1.324f)
                arcToRelative(2.14f, 2.14f, 0.0f, false, false, 0.353f, -0.147f)
                curveToRelative(0.419f, 0.234f, 0.967f, 0.463f, 1.572f, 0.525f)
                curveToRelative(0.0f, 0.0f, -0.41f, -0.475f, -0.752f, -1.017f)
                lineToRelative(0.238f, -0.154f)
                lineToRelative(0.865f, 0.318f)
                lineToRelative(-0.096f, -0.812f)
                curveToRelative(0.003f, -0.003f, 0.006f, -0.003f, 0.008f, -0.006f)
                lineToRelative(0.849f, 0.311f)
                lineToRelative(-0.105f, -0.738f)
                arcToRelative(5.65f, 5.65f, 0.0f, false, true, 0.322f, -0.158f)
                lineToRelative(0.885f, -3.345f)
                lineToRelative(3.662f, -2.497f)
                lineToRelative(-0.291f, 0.733f)
                curveToRelative(-0.741f, 1.826f, -2.135f, 2.256f, -2.135f, 2.256f)
                lineToRelative(-0.582f, 0.22f)
                curveToRelative(-0.433f, 0.512f, -0.614f, 0.637f, -0.764f, 2.353f)
                curveToRelative(0.348f, -0.088f, 0.682f, -0.107f, 0.984f, -0.028f)
                curveToRelative(1.564f, 0.421f, 2.107f, 2.307f, 1.685f, 2.827f)
                curveToRelative(-0.104f, 0.13f, -0.356f, 0.354f, -0.673f, 0.617f)
                lineTo(7.77f, 17.014f)
                lineToRelative(-0.008f, 0.514f)
                lineToRelative(-0.065f, 0.051f)
                horizontalLineToRelative(-0.645f)
                lineToRelative(-0.009f, 0.504f)
                lineToRelative(-0.17f, 0.127f)
                curveToRelative(-0.607f, 0.011f, -1.373f, -0.518f, -1.373f, -0.518f)
                curveToRelative(0.0f, 0.481f, 0.401f, 1.225f, 0.401f, 1.225f)
                lineToRelative(0.07f, -0.034f)
                lineToRelative(-0.061f, 0.045f)
                reflectiveCurveToRelative(1.625f, 1.083f, 2.646f, 0.681f)
                curveToRelative(0.91f, -0.356f, 3.263f, -2.213f, 5.296f, -3.093f)
                lineToRelative(6.15f, -1.62f)
                lineToRelative(0.811f, -2.1f)
                lineToRelative(-4.688f, 1.235f)
                verticalLineToRelative(-1.889f)
                lineToRelative(5.5f, -1.448f)
                lineToRelative(0.811f, -2.1f)
                lineToRelative(-6.31f, 1.662f)
                lineTo(16.126f, 8.367f)
                close()
                moveTo(12.082f, 10.49f)
                lineToRelative(1.459f, -0.384f)
                lineToRelative(0.02f, 0.074f)
                lineToRelative(-0.455f, 1.179f)
                lineToRelative(-1.513f, 0.398f)
                close()
                moveTo(12.585f, 13.016f)
                lineToRelative(-1.512f, 0.398f)
                lineToRelative(0.489f, -1.266f)
                lineToRelative(1.459f, -0.385f)
                lineToRelative(0.02f, 0.074f)
                close()
                moveTo(14.556f, 12.592f)
                lineToRelative(-1.513f, 0.398f)
                lineToRelative(0.49f, -1.266f)
                lineToRelative(1.459f, -0.385f)
                lineToRelative(0.02f, 0.073f)
                close()
            }
        }
        .build()
        return _fastify!!
    }

private var _fastify: ImageVector? = null
