package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Ferrari: ImageVector
    get() {
        if (_ferrari != null) {
            return _ferrari!!
        }
        _ferrari = Builder(name = "Ferrari", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.543f, 0.0f)
                reflectiveCurveToRelative(-0.01f, 0.141f, -0.053f, 0.227f)
                curveToRelative(-0.032f, 0.075f, -0.118f, 0.128f, -0.107f, 0.182f)
                curveToRelative(0.01f, 0.054f, 0.064f, 0.119f, 0.15f, 0.162f)
                curveToRelative(0.086f, 0.043f, 0.117f, 0.074f, 0.203f, 0.096f)
                curveToRelative(0.075f, 0.021f, 0.184f, 0.076f, 0.205f, 0.011f)
                curveToRelative(0.033f, -0.064f, -0.01f, -0.151f, -0.064f, -0.226f)
                curveToRelative(-0.086f, -0.14f, -0.13f, -0.172f, -0.248f, -0.365f)
                curveTo(11.607f, 0.044f, 11.586f, 0.0f, 11.543f, 0.0f)
                close()
                moveTo(12.221f, 0.0f)
                curveToRelative(-0.022f, 0.011f, -0.054f, 0.174f, -0.108f, 0.313f)
                curveToRelative(-0.064f, 0.161f, -0.022f, 0.236f, 0.01f, 0.3f)
                curveToRelative(0.043f, 0.065f, 0.098f, 0.108f, -0.01f, 0.173f)
                curveToRelative(-0.107f, 0.064f, -0.248f, 0.043f, -0.248f, 0.043f)
                reflectiveCurveToRelative(-0.118f, -0.023f, -0.215f, -0.076f)
                arcToRelative(23.832f, 23.832f, 0.0f, false, false, -0.3f, -0.13f)
                reflectiveCurveToRelative(-0.194f, -0.053f, -0.323f, -0.042f)
                curveToRelative(-0.129f, 0.01f, -0.14f, 0.022f, -0.236f, 0.033f)
                curveToRelative(-0.054f, 0.0f, -0.075f, -0.001f, -0.129f, 0.01f)
                curveToRelative(-0.043f, 0.01f, -0.096f, -0.02f, -0.096f, 0.033f)
                reflectiveCurveToRelative(0.107f, 0.054f, 0.182f, 0.086f)
                curveToRelative(0.075f, 0.032f, 0.247f, 0.031f, 0.215f, 0.074f)
                curveToRelative(-0.043f, 0.043f, -0.204f, 0.054f, -0.215f, 0.043f)
                curveToRelative(-0.01f, 0.0f, -0.117f, -0.021f, -0.203f, -0.021f)
                curveToRelative(-0.14f, 0.01f, -0.15f, 0.01f, -0.353f, 0.107f)
                curveToRelative(-0.033f, 0.01f, -0.022f, 0.086f, 0.042f, 0.064f)
                arcToRelative(1.12f, 1.12f, 0.0f, false, true, 0.301f, -0.043f)
                curveToRelative(0.13f, 0.0f, 0.203f, 0.044f, 0.332f, 0.077f)
                curveToRelative(0.108f, 0.032f, 0.118f, 0.052f, 0.28f, 0.074f)
                curveToRelative(0.032f, 0.0f, 0.095f, -0.022f, 0.095f, 0.021f)
                curveToRelative(0.0f, 0.022f, -0.043f, 0.055f, -0.043f, 0.055f)
                reflectiveCurveToRelative(-0.096f, 0.02f, -0.086f, 0.053f)
                curveToRelative(0.022f, 0.043f, 0.108f, 0.0f, 0.15f, 0.0f)
                curveToRelative(0.044f, 0.0f, 0.11f, 0.012f, 0.098f, 0.054f)
                lineToRelative(-0.021f, 0.032f)
                arcToRelative(2.312f, 2.312f, 0.0f, false, false, -0.291f, 0.097f)
                curveToRelative(-0.269f, 0.108f, -0.375f, 0.237f, -0.633f, 0.366f)
                curveToRelative(-0.247f, 0.118f, -0.644f, 0.267f, -0.644f, 0.267f)
                reflectiveCurveToRelative(-0.118f, 0.065f, -0.29f, 0.107f)
                curveToRelative(-0.171f, 0.044f, -0.182f, 0.034f, -0.3f, 0.055f)
                arcToRelative(0.571f, 0.571f, 0.0f, false, false, -0.27f, 0.086f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, false, -0.15f, 0.117f)
                lineToRelative(-0.15f, 0.227f)
                lineToRelative(-0.087f, 0.127f)
                curveToRelative(-0.021f, 0.043f, -0.042f, 0.064f, -0.052f, 0.107f)
                curveToRelative(-0.022f, 0.054f, -0.033f, 0.076f, -0.043f, 0.13f)
                curveToRelative(-0.032f, 0.128f, 0.0f, 0.204f, 0.021f, 0.333f)
                curveToRelative(0.011f, 0.032f, 0.011f, 0.054f, 0.022f, 0.086f)
                curveToRelative(0.01f, 0.032f, 0.052f, 0.065f, 0.052f, 0.065f)
                lineToRelative(0.043f, 0.01f)
                reflectiveCurveToRelative(0.152f, -0.01f, 0.248f, -0.032f)
                curveToRelative(0.097f, -0.021f, 0.237f, -0.055f, 0.237f, -0.055f)
                lineToRelative(0.181f, -0.052f)
                lineToRelative(0.12f, -0.043f)
                reflectiveCurveToRelative(0.075f, 0.0f, 0.086f, 0.043f)
                curveToRelative(0.01f, 0.032f, -0.022f, 0.086f, -0.022f, 0.086f)
                reflectiveCurveToRelative(-0.065f, 0.03f, -0.119f, 0.052f)
                curveToRelative(-0.054f, 0.022f, -0.183f, 0.054f, -0.193f, 0.065f)
                lineToRelative(-0.14f, 0.043f)
                lineToRelative(-0.118f, 0.011f)
                reflectiveCurveToRelative(-0.022f, 0.011f, -0.043f, 0.043f)
                curveToRelative(-0.022f, 0.033f, -0.022f, 0.032f, -0.022f, 0.053f)
                curveToRelative(0.022f, 0.022f, 0.033f, 0.043f, 0.055f, 0.065f)
                curveToRelative(0.043f, 0.032f, 0.064f, 0.053f, 0.117f, 0.064f)
                curveToRelative(0.075f, 0.032f, 0.118f, 0.022f, 0.193f, 0.022f)
                arcToRelative(0.587f, 0.587f, 0.0f, false, false, 0.27f, -0.065f)
                curveToRelative(0.086f, -0.054f, 0.118f, -0.053f, 0.236f, -0.096f)
                arcToRelative(0.543f, 0.543f, 0.0f, false, true, 0.118f, -0.021f)
                curveToRelative(0.204f, -0.022f, 0.32f, 0.01f, 0.525f, 0.043f)
                curveToRelative(0.204f, 0.032f, 0.302f, 0.097f, 0.506f, 0.129f)
                curveToRelative(0.215f, 0.032f, 0.343f, 0.096f, 0.568f, 0.043f)
                curveToRelative(0.108f, -0.022f, 0.173f, -0.076f, 0.227f, 0.031f)
                curveToRelative(0.053f, 0.097f, 0.043f, 0.15f, 0.043f, 0.15f)
                reflectiveCurveToRelative(-0.001f, 0.066f, -0.076f, 0.27f)
                curveToRelative(-0.076f, 0.204f, -0.311f, 0.709f, -0.311f, 0.709f)
                lineToRelative(-0.162f, 0.322f)
                reflectiveCurveToRelative(-0.13f, 0.257f, -0.43f, 0.59f)
                arcToRelative(54.284f, 54.284f, 0.0f, false, true, -0.32f, 0.353f)
                reflectiveCurveToRelative(-0.161f, 0.119f, -0.322f, 0.323f)
                curveToRelative(-0.161f, 0.204f, -0.163f, 0.279f, -0.313f, 0.43f)
                curveToRelative(-0.097f, 0.096f, -0.15f, 0.15f, -0.268f, 0.226f)
                curveToRelative(-0.118f, 0.075f, -0.258f, 0.053f, -0.634f, 0.31f)
                curveToRelative(-0.322f, 0.226f, -0.494f, 0.41f, -0.516f, 0.399f)
                curveToRelative(-0.021f, -0.01f, -0.129f, -0.098f, -0.172f, -0.12f)
                curveToRelative(-0.032f, -0.02f, -0.654f, -0.439f, -0.654f, -0.439f)
                lineToRelative(-0.258f, -0.172f)
                lineToRelative(-0.119f, -0.076f)
                lineToRelative(-0.021f, -0.043f)
                lineToRelative(-0.063f, -0.086f)
                reflectiveCurveToRelative(-0.097f, -0.118f, -0.215f, -0.214f)
                arcToRelative(0.92f, 0.92f, 0.0f, false, false, -0.441f, -0.237f)
                curveToRelative(-0.183f, -0.053f, -0.3f, -0.086f, -0.482f, -0.021f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, false, -0.27f, 0.172f)
                curveToRelative(-0.107f, 0.107f, -0.129f, 0.193f, -0.215f, 0.322f)
                reflectiveCurveToRelative(-0.172f, 0.248f, -0.215f, 0.312f)
                curveToRelative(-0.043f, 0.065f, -0.129f, 0.237f, -0.129f, 0.237f)
                reflectiveCurveToRelative(-0.214f, 0.343f, -0.332f, 0.568f)
                curveToRelative(-0.14f, 0.247f, -0.193f, 0.399f, -0.322f, 0.635f)
                curveToRelative(-0.204f, 0.376f, -0.495f, 0.762f, -0.57f, 0.933f)
                lineToRelative(-0.084f, 0.194f)
                reflectiveCurveToRelative(-0.023f, 0.095f, -0.033f, 0.16f)
                curveToRelative(-0.011f, 0.064f, -0.011f, 0.172f, -0.022f, 0.215f)
                arcToRelative(0.312f, 0.312f, 0.0f, false, true, -0.053f, 0.119f)
                curveToRelative(-0.01f, 0.01f, -0.129f, 0.257f, -0.172f, 0.418f)
                curveToRelative(-0.043f, 0.16f, -0.14f, 0.666f, -0.021f, 0.73f)
                curveToRelative(0.118f, 0.065f, 0.987f, -0.31f, 1.105f, -0.676f)
                curveToRelative(0.076f, -0.236f, -0.236f, -0.355f, -0.15f, -0.57f)
                curveToRelative(0.032f, -0.075f, 0.054f, -0.085f, 0.107f, -0.16f)
                curveToRelative(0.086f, -0.14f, 0.054f, -0.429f, 0.215f, -0.697f)
                curveToRelative(0.118f, -0.193f, 0.354f, -0.442f, 0.676f, -0.807f)
                curveToRelative(0.204f, -0.225f, 0.398f, -0.59f, 0.398f, -0.59f)
                reflectiveCurveToRelative(0.043f, -0.129f, 0.13f, -0.107f)
                curveToRelative(0.096f, 0.021f, 0.181f, 0.01f, 0.181f, 0.01f)
                lineToRelative(0.043f, 0.033f)
                lineToRelative(0.086f, 0.086f)
                lineToRelative(0.129f, 0.193f)
                reflectiveCurveToRelative(0.216f, 0.31f, 0.29f, 0.397f)
                curveToRelative(0.076f, 0.086f, 0.151f, 0.15f, 0.259f, 0.236f)
                curveToRelative(0.118f, 0.107f, 0.16f, 0.161f, 0.31f, 0.28f)
                curveToRelative(0.215f, 0.171f, 0.139f, 0.236f, -0.14f, 0.085f)
                arcToRelative(1.82f, 1.82f, 0.0f, false, false, -0.364f, -0.138f)
                curveToRelative(-0.128f, -0.033f, -0.612f, -0.162f, -0.859f, -0.194f)
                curveToRelative(-0.236f, -0.032f, -0.28f, -0.021f, -0.28f, -0.021f)
                reflectiveCurveToRelative(-0.118f, -0.012f, -0.257f, 0.074f)
                curveToRelative(-0.14f, 0.086f, -0.215f, 0.15f, -0.215f, 0.15f)
                reflectiveCurveToRelative(-0.161f, 0.183f, -0.172f, 0.215f)
                curveToRelative(-0.01f, 0.032f, -0.086f, 0.16f, -0.086f, 0.16f)
                reflectiveCurveToRelative(-0.044f, 0.066f, -0.054f, 0.14f)
                curveToRelative(-0.022f, 0.076f, -0.01f, 0.151f, -0.01f, 0.151f)
                lineToRelative(0.01f, 0.16f)
                lineToRelative(0.011f, 0.15f)
                reflectiveCurveToRelative(0.033f, 0.377f, 0.108f, 0.753f)
                curveToRelative(0.021f, 0.107f, 0.043f, 0.279f, 0.043f, 0.279f)
                lineToRelative(0.052f, 0.387f)
                reflectiveCurveToRelative(0.033f, 0.409f, 0.065f, 0.548f)
                curveToRelative(0.032f, 0.13f, 0.054f, 0.14f, 0.076f, 0.225f)
                curveToRelative(0.043f, 0.161f, -0.032f, 0.236f, 0.043f, 0.43f)
                curveToRelative(0.075f, 0.193f, 0.14f, 0.17f, 0.215f, 0.289f)
                curveToRelative(0.054f, 0.086f, 0.074f, 0.107f, 0.117f, 0.215f)
                curveToRelative(0.043f, 0.107f, 0.183f, 0.463f, 0.344f, 0.72f)
                curveToRelative(0.172f, 0.269f, 0.398f, 0.601f, 0.549f, 0.569f)
                curveToRelative(0.15f, -0.033f, 0.257f, -0.268f, 0.257f, -0.268f)
                reflectiveCurveToRelative(0.172f, -0.463f, 0.065f, -0.914f)
                curveToRelative(-0.108f, -0.462f, -0.602f, -0.245f, -0.666f, -0.578f)
                curveToRelative(-0.01f, -0.075f, 0.0f, -0.193f, 0.0f, -0.193f)
                reflectiveCurveToRelative(-0.012f, -0.141f, -0.033f, -0.184f)
                curveToRelative(-0.022f, -0.043f, -0.194f, -0.364f, -0.258f, -0.633f)
                curveToRelative(-0.054f, -0.204f, -0.043f, -0.86f, -0.086f, -1.043f)
                curveToRelative(-0.118f, -0.472f, -0.129f, -0.43f, -0.065f, -0.515f)
                curveToRelative(0.076f, -0.086f, 0.141f, -0.065f, 0.141f, -0.065f)
                lineToRelative(0.096f, 0.012f)
                lineToRelative(0.076f, 0.031f)
                lineToRelative(0.139f, 0.086f)
                curveToRelative(0.043f, 0.032f, 0.193f, 0.15f, 0.193f, 0.15f)
                lineToRelative(0.365f, 0.237f)
                reflectiveCurveToRelative(0.205f, 0.119f, 0.291f, 0.162f)
                curveToRelative(0.086f, 0.043f, 0.16f, 0.096f, 0.16f, 0.096f)
                lineToRelative(0.096f, 0.064f)
                lineToRelative(0.162f, 0.12f)
                lineToRelative(0.031f, 0.03f)
                lineToRelative(0.022f, 0.043f)
                reflectiveCurveToRelative(0.076f, 0.173f, 0.398f, 0.356f)
                curveToRelative(0.258f, 0.15f, 0.484f, 0.106f, 0.58f, 0.225f)
                curveToRelative(0.022f, 0.021f, 0.203f, 0.27f, 0.29f, 0.42f)
                curveToRelative(0.107f, 0.171f, 0.236f, 0.374f, 0.279f, 0.439f)
                curveToRelative(0.043f, 0.064f, 0.312f, 0.396f, 0.312f, 0.396f)
                lineToRelative(0.354f, 0.387f)
                lineToRelative(0.463f, 0.43f)
                lineToRelative(0.418f, 0.355f)
                lineToRelative(0.267f, 0.215f)
                reflectiveCurveToRelative(0.237f, 0.226f, 0.506f, 0.408f)
                curveToRelative(0.258f, 0.172f, 0.268f, 0.193f, 0.44f, 0.31f)
                curveToRelative(0.128f, 0.087f, 0.3f, 0.206f, 0.472f, 0.335f)
                curveToRelative(0.172f, 0.14f, 0.366f, 0.396f, 0.291f, 0.482f)
                curveToRelative(-0.054f, 0.032f, -0.151f, -0.106f, -0.334f, -0.267f)
                arcToRelative(4.298f, 4.298f, 0.0f, false, false, -0.375f, -0.301f)
                curveToRelative(-0.193f, -0.15f, -0.291f, -0.227f, -0.506f, -0.356f)
                curveToRelative(-0.107f, -0.064f, -0.3f, -0.181f, -0.31f, -0.16f)
                curveToRelative(-0.075f, 0.226f, -0.066f, 0.44f, -0.055f, 0.719f)
                curveToRelative(0.01f, 0.193f, 0.043f, 0.386f, 0.107f, 0.633f)
                curveToRelative(0.054f, 0.236f, 0.108f, 0.366f, 0.194f, 0.591f)
                curveToRelative(0.086f, 0.226f, 0.248f, 0.58f, 0.248f, 0.58f)
                lineToRelative(0.246f, 0.495f)
                lineToRelative(0.226f, 0.375f)
                lineToRelative(0.118f, 0.193f)
                lineToRelative(0.043f, 0.064f)
                reflectiveCurveToRelative(0.053f, 0.13f, 0.0f, 0.215f)
                reflectiveCurveToRelative(-0.119f, 0.269f, -0.215f, 0.28f)
                curveToRelative(-0.097f, 0.021f, -0.322f, 0.033f, -0.322f, 0.033f)
                lineToRelative(-1.278f, -0.022f)
                lineToRelative(-0.666f, -0.054f)
                reflectiveCurveToRelative(-0.074f, -0.043f, -0.46f, -0.043f)
                curveToRelative(-0.226f, 0.0f, -0.409f, 0.096f, -0.538f, 0.107f)
                curveToRelative(-0.107f, 0.01f, -0.634f, -0.032f, -0.988f, 0.107f)
                curveToRelative(-0.333f, 0.14f, -0.484f, 0.172f, -0.602f, 0.387f)
                curveToRelative(-0.086f, 0.161f, 0.42f, 0.42f, 0.838f, 0.516f)
                curveToRelative(0.677f, 0.15f, 0.483f, -0.14f, 0.74f, -0.322f)
                curveToRelative(0.033f, -0.022f, 0.044f, -0.042f, 0.077f, -0.053f)
                curveToRelative(0.171f, -0.054f, 0.267f, 0.084f, 0.44f, 0.084f)
                curveToRelative(0.192f, 0.0f, 0.3f, -0.064f, 0.493f, -0.096f)
                curveToRelative(0.977f, -0.129f, 2.502f, 0.332f, 2.502f, 0.332f)
                reflectiveCurveToRelative(0.377f, 0.118f, 0.549f, 0.086f)
                curveToRelative(0.204f, -0.043f, 0.16f, -0.118f, 0.224f, -0.236f)
                curveToRelative(0.054f, -0.097f, 0.033f, -0.117f, 0.043f, -0.225f)
                curveToRelative(0.0f, -0.064f, -0.01f, -0.096f, -0.021f, -0.16f)
                curveToRelative(-0.043f, -0.183f, -0.16f, -0.441f, -0.16f, -0.441f)
                reflectiveCurveToRelative(-0.087f, -0.193f, -0.12f, -0.29f)
                curveToRelative(-0.042f, -0.139f, -0.085f, -0.226f, -0.107f, -0.376f)
                curveToRelative(-0.064f, -0.398f, -0.053f, -0.365f, -0.053f, -0.59f)
                curveToRelative(0.0f, -0.408f, 0.043f, -0.634f, 0.15f, -1.031f)
                curveToRelative(0.162f, -0.58f, 0.463f, -0.827f, 0.688f, -1.385f)
                curveToRelative(0.065f, -0.15f, 0.064f, -0.365f, 0.14f, -0.387f)
                curveToRelative(0.085f, -0.01f, 0.075f, 0.269f, 0.032f, 0.43f)
                curveToRelative(-0.14f, 0.558f, -0.483f, 0.794f, -0.644f, 1.363f)
                curveToRelative(-0.118f, 0.44f, -0.183f, 0.697f, -0.15f, 1.148f)
                curveToRelative(0.01f, 0.247f, 0.107f, 0.635f, 0.107f, 0.635f)
                reflectiveCurveToRelative(0.129f, 0.429f, 0.193f, 0.59f)
                curveToRelative(0.065f, 0.161f, 0.193f, 0.43f, 0.193f, 0.43f)
                lineToRelative(0.29f, 0.515f)
                lineToRelative(0.15f, 0.246f)
                reflectiveCurveToRelative(0.106f, 0.097f, 0.053f, 0.258f)
                curveToRelative(-0.054f, 0.161f, -0.16f, 0.26f, -0.29f, 0.399f)
                curveToRelative(-0.364f, 0.43f, -1.212f, 1.062f, -1.427f, 1.212f)
                curveToRelative(-0.3f, 0.226f, -0.291f, 0.291f, -0.313f, 0.356f)
                curveToRelative(-0.118f, 0.344f, -0.462f, 0.354f, -0.837f, 0.762f)
                curveToRelative(-0.086f, 0.086f, -0.311f, 0.321f, -0.268f, 0.525f)
                curveToRelative(0.021f, 0.075f, 0.945f, 0.237f, 1.482f, 0.012f)
                curveToRelative(0.42f, -0.183f, 0.054f, -0.388f, 0.172f, -0.592f)
                curveToRelative(0.086f, -0.15f, 0.3f, -0.15f, 0.397f, -0.28f)
                curveToRelative(0.16f, -0.214f, 0.053f, -0.203f, 0.193f, -0.374f)
                curveToRelative(0.462f, -0.559f, 0.763f, -0.88f, 1.59f, -1.385f)
                curveToRelative(0.075f, -0.043f, 0.215f, -0.107f, 0.215f, -0.107f)
                reflectiveCurveToRelative(0.117f, -0.055f, 0.16f, -0.12f)
                curveToRelative(0.054f, -0.086f, 0.043f, -0.16f, 0.043f, -0.257f)
                curveToRelative(0.0f, -0.065f, -0.01f, -0.096f, -0.01f, -0.16f)
                curveToRelative(0.0f, -0.076f, 0.01f, -0.119f, -0.012f, -0.194f)
                curveToRelative(-0.021f, -0.118f, -0.095f, -0.215f, -0.138f, -0.28f)
                arcToRelative(0.772f, 0.772f, 0.0f, false, true, -0.162f, -0.355f)
                arcToRelative(0.894f, 0.894f, 0.0f, false, true, 0.033f, -0.6f)
                curveToRelative(0.086f, -0.225f, 0.279f, -0.407f, 0.279f, -0.407f)
                lineToRelative(0.482f, -0.323f)
                reflectiveCurveToRelative(0.42f, -0.301f, 0.55f, -0.42f)
                curveToRelative(0.139f, -0.118f, 0.407f, -0.365f, 0.6f, -0.644f)
                curveToRelative(0.226f, -0.311f, 0.344f, -0.505f, 0.44f, -0.88f)
                curveToRelative(0.032f, -0.14f, 0.065f, -0.354f, 0.065f, -0.354f)
                reflectiveCurveToRelative(0.0f, -0.15f, 0.086f, -0.16f)
                curveToRelative(0.085f, -0.011f, 0.107f, 0.02f, 0.107f, 0.02f)
                reflectiveCurveToRelative(0.074f, 0.042f, 0.096f, 0.257f)
                curveToRelative(0.01f, 0.215f, -0.053f, 0.463f, -0.053f, 0.463f)
                reflectiveCurveToRelative(-0.065f, 0.246f, -0.086f, 0.396f)
                curveToRelative(-0.01f, 0.097f, -0.012f, 0.15f, -0.012f, 0.258f)
                curveToRelative(0.0f, 0.183f, 0.076f, 0.334f, 0.076f, 0.334f)
                reflectiveCurveToRelative(0.043f, 0.032f, 0.043f, -0.043f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, 0.055f, -0.344f)
                curveToRelative(0.032f, -0.107f, 0.053f, -0.087f, 0.117f, -0.27f)
                curveToRelative(0.086f, -0.236f, 0.01f, -0.213f, 0.053f, -0.353f)
                curveToRelative(0.022f, -0.064f, 0.076f, -0.129f, 0.14f, -0.129f)
                curveToRelative(0.065f, 0.0f, 0.075f, 0.086f, 0.075f, 0.086f)
                reflectiveCurveToRelative(0.065f, 0.28f, 0.012f, 0.537f)
                curveToRelative(-0.054f, 0.258f, -0.248f, 0.612f, -0.248f, 0.612f)
                lineToRelative(-0.149f, 0.257f)
                reflectiveCurveToRelative(-0.107f, 0.183f, -0.15f, 0.301f)
                curveToRelative(-0.043f, 0.129f, -0.055f, 0.183f, -0.033f, 0.3f)
                curveToRelative(0.032f, 0.13f, 0.13f, 0.303f, 0.183f, 0.27f)
                curveToRelative(0.043f, -0.032f, -0.064f, -0.14f, 0.065f, -0.398f)
                reflectiveCurveToRelative(0.298f, -0.418f, 0.298f, -0.418f)
                reflectiveCurveToRelative(0.237f, -0.28f, 0.344f, -0.494f)
                curveToRelative(0.097f, -0.193f, 0.194f, -0.506f, 0.194f, -0.506f)
                reflectiveCurveToRelative(0.076f, -0.28f, 0.054f, -0.516f)
                curveToRelative(-0.01f, -0.225f, -0.054f, -0.343f, -0.054f, -0.343f)
                lineToRelative(-0.096f, -0.172f)
                lineToRelative(-0.055f, -0.127f)
                lineToRelative(0.022f, -0.076f)
                curveToRelative(0.021f, -0.011f, 0.097f, 0.043f, 0.162f, 0.129f)
                arcToRelative(0.854f, 0.854f, 0.0f, false, true, 0.16f, 0.343f)
                arcToRelative(1.018f, 1.018f, 0.0f, false, true, 0.043f, 0.301f)
                curveToRelative(0.0f, 0.086f, -0.031f, 0.44f, 0.097f, 0.666f)
                curveToRelative(0.054f, 0.108f, 0.183f, 0.354f, 0.194f, 0.246f)
                curveToRelative(0.021f, -0.247f, -0.087f, -0.364f, -0.076f, -0.59f)
                curveToRelative(0.01f, -0.257f, 0.076f, -0.193f, 0.097f, -0.322f)
                curveToRelative(0.022f, -0.14f, 0.053f, -0.173f, 0.032f, -0.355f)
                arcToRelative(2.632f, 2.632f, 0.0f, false, false, -0.096f, -0.397f)
                lineToRelative(-0.076f, -0.172f)
                lineToRelative(-0.032f, -0.064f)
                reflectiveCurveToRelative(0.021f, -0.031f, 0.053f, -0.031f)
                lineToRelative(0.258f, -0.086f)
                reflectiveCurveToRelative(0.334f, -0.15f, 0.463f, -0.258f)
                curveToRelative(0.14f, -0.097f, 0.3f, -0.27f, 0.3f, -0.27f)
                reflectiveCurveToRelative(0.215f, -0.267f, 0.323f, -0.46f)
                curveToRelative(0.258f, -0.484f, 0.257f, -1.096f, 0.246f, -1.376f)
                curveToRelative(-0.01f, -0.268f, -0.086f, -0.623f, -0.086f, -0.623f)
                reflectiveCurveToRelative(-0.086f, -0.43f, -0.064f, -0.709f)
                curveToRelative(0.021f, -0.279f, 0.043f, -0.408f, 0.043f, -0.408f)
                reflectiveCurveToRelative(-0.01f, -0.279f, 0.226f, -0.58f)
                curveToRelative(0.236f, -0.3f, 0.342f, -0.493f, 0.385f, -0.719f)
                curveToRelative(0.043f, -0.193f, -0.022f, -0.504f, -0.108f, -0.386f)
                curveToRelative(-0.096f, 0.129f, -0.137f, 0.387f, -0.277f, 0.601f)
                curveToRelative(-0.193f, 0.301f, -0.474f, 0.666f, -0.613f, 0.666f)
                curveToRelative(-0.075f, 0.0f, -0.096f, -0.172f, -0.096f, -0.172f)
                reflectiveCurveToRelative(-0.096f, -0.29f, 0.065f, -0.656f)
                curveToRelative(0.118f, -0.258f, 0.181f, -0.332f, 0.332f, -0.525f)
                curveToRelative(0.14f, -0.183f, 0.225f, -0.28f, 0.322f, -0.473f)
                curveToRelative(0.086f, -0.172f, 0.106f, -0.204f, 0.16f, -0.472f)
                curveToRelative(0.01f, -0.065f, -0.01f, -0.204f, -0.074f, -0.194f)
                curveToRelative(-0.086f, 0.0f, -0.322f, 0.517f, -0.569f, 0.807f)
                curveToRelative(-0.236f, 0.268f, -0.677f, 0.611f, -0.677f, 0.611f)
                reflectiveCurveToRelative(-0.043f, 0.031f, -0.043f, -0.055f)
                curveToRelative(-0.01f, -0.075f, -0.022f, -0.3f, 0.021f, -0.503f)
                arcToRelative(2.22f, 2.22f, 0.0f, false, true, 0.291f, -0.72f)
                curveToRelative(0.204f, -0.354f, 0.461f, -0.6f, 0.59f, -0.73f)
                curveToRelative(0.054f, -0.053f, 0.215f, -0.151f, 0.13f, -0.205f)
                curveToRelative(-0.076f, -0.043f, -0.302f, 0.15f, -0.474f, 0.28f)
                curveToRelative(-0.214f, 0.16f, -0.289f, 0.205f, -0.503f, 0.463f)
                curveToRelative(-0.215f, 0.257f, -0.27f, 0.365f, -0.27f, 0.365f)
                reflectiveCurveToRelative(-0.204f, 0.332f, -0.258f, 0.654f)
                curveToRelative(-0.054f, 0.322f, -0.053f, 0.504f, -0.053f, 0.504f)
                reflectiveCurveToRelative(0.0f, 0.291f, 0.032f, 0.463f)
                curveToRelative(0.021f, 0.182f, 0.097f, 0.46f, 0.097f, 0.46f)
                reflectiveCurveToRelative(0.108f, 0.313f, 0.15f, 0.507f)
                curveToRelative(0.044f, 0.193f, 0.118f, 0.761f, 0.118f, 0.761f)
                reflectiveCurveToRelative(0.054f, 0.409f, 0.021f, 0.795f)
                curveToRelative(-0.032f, 0.387f, -0.064f, 0.612f, -0.107f, 0.73f)
                curveToRelative(-0.043f, 0.119f, -0.16f, 0.43f, -0.354f, 0.645f)
                curveToRelative(-0.182f, 0.204f, -0.226f, 0.236f, -0.226f, 0.236f)
                reflectiveCurveToRelative(-0.193f, 0.16f, -0.354f, 0.246f)
                arcToRelative(3.743f, 3.743f, 0.0f, false, true, -0.505f, 0.227f)
                arcToRelative(2.211f, 2.211f, 0.0f, false, true, -0.268f, 0.031f)
                horizontalLineToRelative(-0.139f)
                lineToRelative(-0.043f, -0.03f)
                lineToRelative(-0.023f, -0.087f)
                reflectiveCurveToRelative(-0.106f, -0.419f, -0.234f, -0.687f)
                curveToRelative(-0.108f, -0.226f, -0.334f, -0.537f, -0.334f, -0.537f)
                reflectiveCurveToRelative(-0.387f, -0.527f, -0.688f, -0.817f)
                curveToRelative(-0.344f, -0.343f, -0.73f, -0.6f, -0.967f, -0.783f)
                curveToRelative(-0.086f, -0.064f, -0.279f, -0.184f, -0.279f, -0.184f)
                reflectiveCurveToRelative(-0.783f, -0.783f, -1.062f, -1.406f)
                curveToRelative(-0.194f, -0.43f, -0.322f, -0.74f, -0.268f, -1.213f)
                curveToRelative(0.01f, -0.107f, 0.053f, -0.312f, 0.074f, -0.312f)
                lineToRelative(0.14f, 0.043f)
                curveToRelative(0.012f, 0.01f, 0.14f, 0.129f, 0.259f, 0.172f)
                curveToRelative(0.064f, 0.021f, 0.181f, 0.043f, 0.181f, 0.043f)
                reflectiveCurveToRelative(0.097f, 0.01f, 0.15f, 0.021f)
                curveToRelative(0.054f, 0.022f, 0.151f, 0.054f, 0.215f, 0.086f)
                curveToRelative(0.065f, 0.032f, 0.16f, 0.098f, 0.16f, 0.098f)
                lineToRelative(0.184f, 0.138f)
                lineToRelative(0.194f, 0.15f)
                reflectiveCurveToRelative(0.106f, 0.076f, 0.138f, 0.087f)
                curveToRelative(0.032f, 0.01f, 0.054f, 0.021f, 0.065f, 0.021f)
                horizontalLineToRelative(0.043f)
                reflectiveCurveToRelative(0.044f, -0.012f, 0.054f, -0.055f)
                curveToRelative(0.011f, -0.053f, -0.053f, -0.01f, -0.15f, -0.117f)
                arcToRelative(0.698f, 0.698f, 0.0f, false, true, -0.15f, -0.181f)
                reflectiveCurveToRelative(-0.022f, -0.087f, -0.108f, -0.184f)
                reflectiveCurveToRelative(-0.193f, -0.182f, -0.193f, -0.182f)
                reflectiveCurveToRelative(-0.076f, -0.053f, -0.184f, -0.086f)
                curveToRelative(-0.107f, -0.032f, -0.14f, -0.033f, -0.15f, -0.076f)
                curveToRelative(-0.01f, -0.043f, 0.129f, -0.021f, 0.129f, -0.021f)
                reflectiveCurveToRelative(0.162f, 0.021f, 0.29f, 0.086f)
                curveToRelative(0.13f, 0.064f, 0.204f, 0.14f, 0.204f, 0.14f)
                lineToRelative(0.086f, 0.075f)
                lineToRelative(0.055f, 0.054f)
                lineToRelative(0.052f, 0.032f)
                reflectiveCurveToRelative(0.054f, 0.053f, 0.065f, -0.022f)
                curveToRelative(0.01f, -0.064f, -0.011f, -0.118f, -0.022f, -0.129f)
                lineToRelative(-0.053f, -0.053f)
                lineToRelative(-0.214f, -0.183f)
                arcToRelative(1.076f, 1.076f, 0.0f, false, false, -0.172f, -0.15f)
                arcToRelative(1.303f, 1.303f, 0.0f, false, false, -0.28f, -0.15f)
                curveToRelative(-0.107f, -0.044f, -0.171f, -0.033f, -0.279f, -0.087f)
                curveToRelative(-0.075f, -0.032f, -0.14f, -0.053f, -0.183f, -0.117f)
                curveToRelative(-0.011f, -0.01f, -0.064f, -0.055f, 0.033f, -0.033f)
                curveToRelative(0.096f, 0.021f, 0.16f, 0.054f, 0.267f, 0.076f)
                curveToRelative(0.172f, 0.043f, 0.28f, 0.042f, 0.442f, 0.096f)
                curveToRelative(0.064f, 0.021f, 0.15f, 0.064f, 0.15f, 0.064f)
                lineToRelative(0.203f, 0.086f)
                reflectiveCurveToRelative(0.28f, 0.151f, 0.473f, 0.162f)
                arcToRelative(0.938f, 0.938f, 0.0f, false, false, 0.42f, -0.064f)
                arcToRelative(0.814f, 0.814f, 0.0f, false, false, 0.215f, -0.13f)
                arcToRelative(0.36f, 0.36f, 0.0f, false, false, 0.052f, -0.064f)
                lineToRelative(0.022f, -0.054f)
                verticalLineToRelative(-0.043f)
                curveToRelative(-0.054f, -0.065f, -0.16f, 0.108f, -0.332f, 0.14f)
                curveToRelative(-0.183f, 0.033f, -0.173f, 0.053f, -0.291f, 0.032f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, true, -0.3f, -0.15f)
                curveToRelative(-0.173f, -0.162f, -0.236f, -0.312f, -0.462f, -0.409f)
                curveToRelative(-0.096f, -0.043f, -0.27f, -0.086f, -0.27f, -0.086f)
                reflectiveCurveToRelative(-0.236f, -0.075f, -0.365f, -0.15f)
                curveToRelative(-0.096f, -0.054f, -0.298f, -0.086f, -0.234f, -0.172f)
                curveToRelative(0.032f, -0.043f, 0.29f, 0.107f, 0.482f, 0.129f)
                curveToRelative(0.14f, 0.021f, 0.237f, 0.011f, 0.344f, 0.011f)
                reflectiveCurveToRelative(0.258f, -0.033f, 0.28f, -0.033f)
                curveToRelative(0.021f, -0.01f, 0.106f, 0.0f, 0.181f, 0.022f)
                curveToRelative(0.075f, 0.021f, 0.118f, 0.053f, 0.193f, 0.086f)
                curveToRelative(0.076f, 0.032f, 0.163f, 0.086f, 0.184f, 0.086f)
                lineToRelative(0.043f, 0.011f)
                lineToRelative(0.022f, -0.021f)
                lineToRelative(0.01f, -0.022f)
                lineToRelative(-0.01f, -0.021f)
                lineToRelative(-0.034f, -0.022f)
                lineToRelative(-0.064f, -0.043f)
                reflectiveCurveToRelative(-0.096f, -0.054f, -0.182f, -0.14f)
                curveToRelative(-0.086f, -0.086f, -0.162f, -0.182f, -0.29f, -0.225f)
                curveToRelative(-0.13f, -0.043f, -0.28f, -0.064f, -0.28f, -0.064f)
                lineToRelative(-0.15f, -0.012f)
                lineToRelative(-0.065f, -0.01f)
                reflectiveCurveToRelative(-0.107f, -0.033f, -0.021f, -0.054f)
                arcToRelative(0.888f, 0.888f, 0.0f, false, true, 0.15f, -0.032f)
                arcToRelative(0.495f, 0.495f, 0.0f, false, true, 0.248f, 0.01f)
                curveToRelative(0.086f, 0.032f, 0.226f, 0.107f, 0.236f, 0.107f)
                curveToRelative(0.011f, 0.011f, 0.14f, 0.109f, 0.28f, 0.141f)
                curveToRelative(0.14f, 0.032f, 0.322f, 0.043f, 0.322f, 0.043f)
                lineToRelative(0.086f, -0.021f)
                lineToRelative(0.043f, -0.012f)
                lineToRelative(0.031f, -0.022f)
                lineToRelative(-0.01f, -0.052f)
                reflectiveCurveToRelative(0.0f, -0.044f, -0.064f, -0.055f)
                arcToRelative(0.697f, 0.697f, 0.0f, false, true, -0.313f, -0.117f)
                curveToRelative(-0.118f, -0.086f, -0.203f, -0.172f, -0.203f, -0.172f)
                reflectiveCurveToRelative(-0.086f, -0.076f, -0.258f, -0.12f)
                curveToRelative(-0.16f, -0.042f, -0.214f, -0.042f, -0.214f, -0.042f)
                lineToRelative(-0.055f, -0.022f)
                lineToRelative(-0.117f, -0.052f)
                reflectiveCurveToRelative(-0.055f, -0.033f, -0.098f, -0.086f)
                curveToRelative(-0.043f, -0.054f, -0.106f, -0.152f, 0.076f, -0.098f)
                curveToRelative(0.183f, 0.054f, 0.225f, 0.086f, 0.225f, 0.086f)
                reflectiveCurveToRelative(0.097f, 0.097f, 0.183f, 0.107f)
                curveToRelative(0.054f, 0.011f, 0.097f, 0.022f, 0.13f, -0.021f)
                curveToRelative(0.053f, -0.054f, -0.098f, -0.118f, -0.206f, -0.194f)
                arcToRelative(0.725f, 0.725f, 0.0f, false, true, -0.172f, -0.193f)
                reflectiveCurveToRelative(-0.063f, -0.053f, 0.034f, -0.031f)
                curveToRelative(0.096f, 0.021f, 0.267f, 0.129f, 0.267f, 0.129f)
                reflectiveCurveToRelative(0.086f, 0.042f, 0.13f, 0.053f)
                curveToRelative(0.031f, 0.01f, 0.118f, 0.064f, 0.161f, 0.085f)
                curveToRelative(0.032f, 0.011f, 0.13f, 0.033f, 0.193f, 0.065f)
                curveToRelative(0.086f, 0.054f, 0.13f, 0.14f, 0.172f, 0.172f)
                curveToRelative(0.043f, 0.032f, 0.076f, 0.087f, 0.13f, 0.097f)
                curveToRelative(0.053f, 0.011f, 0.063f, 0.032f, 0.095f, 0.01f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, false, 0.043f, -0.031f)
                reflectiveCurveToRelative(0.01f, -0.023f, -0.043f, -0.055f)
                reflectiveCurveToRelative(-0.117f, -0.117f, -0.117f, -0.117f)
                lineToRelative(-0.022f, -0.043f)
                lineToRelative(-0.011f, -0.043f)
                lineToRelative(-0.053f, -0.086f)
                lineToRelative(-0.098f, -0.14f)
                reflectiveCurveToRelative(-0.15f, -0.204f, -0.289f, -0.28f)
                curveToRelative(-0.129f, -0.075f, -0.226f, -0.117f, -0.226f, -0.117f)
                reflectiveCurveToRelative(-0.064f, -0.031f, -0.096f, -0.053f)
                curveToRelative(-0.054f, -0.043f, -0.076f, -0.077f, -0.12f, -0.13f)
                curveToRelative(-0.053f, -0.065f, -0.073f, -0.106f, -0.138f, -0.17f)
                curveToRelative(-0.118f, -0.118f, -0.483f, -0.184f, -0.344f, -0.27f)
                curveToRelative(0.076f, -0.043f, 0.172f, -0.02f, 0.215f, -0.01f)
                curveToRelative(0.043f, 0.011f, 0.14f, 0.052f, 0.237f, 0.084f)
                curveToRelative(0.064f, 0.022f, 0.107f, 0.024f, 0.171f, 0.045f)
                curveToRelative(0.065f, 0.022f, 0.14f, 0.031f, 0.172f, 0.053f)
                curveToRelative(0.032f, 0.021f, 0.065f, 0.065f, 0.086f, 0.076f)
                curveToRelative(0.011f, 0.01f, 0.096f, 0.15f, 0.246f, 0.225f)
                curveToRelative(0.15f, 0.075f, 0.227f, 0.128f, 0.377f, 0.138f)
                curveToRelative(0.118f, 0.011f, 0.31f, -0.03f, 0.31f, -0.03f)
                reflectiveCurveToRelative(0.055f, -0.023f, 0.012f, -0.077f)
                curveToRelative(-0.053f, -0.054f, -0.054f, -0.064f, -0.097f, -0.074f)
                curveToRelative(-0.172f, -0.065f, -0.31f, -0.043f, -0.44f, -0.172f)
                curveToRelative(-0.053f, -0.054f, -0.076f, -0.065f, -0.119f, -0.15f)
                curveToRelative(-0.043f, -0.086f, -0.02f, -0.107f, -0.052f, -0.16f)
                curveToRelative(-0.022f, -0.054f, -0.077f, -0.13f, -0.077f, -0.13f)
                reflectiveCurveToRelative(-0.16f, -0.194f, -0.332f, -0.29f)
                arcToRelative(1.955f, 1.955f, 0.0f, false, true, -0.334f, -0.215f)
                curveToRelative(-0.032f, -0.022f, -0.095f, -0.108f, -0.095f, -0.108f)
                lineToRelative(-0.055f, -0.086f)
                lineToRelative(-0.031f, -0.064f)
                curveToRelative(-0.022f, -0.118f, 0.192f, 0.033f, 0.31f, 0.076f)
                curveToRelative(0.194f, 0.064f, 0.291f, 0.15f, 0.485f, 0.215f)
                curveToRelative(0.107f, 0.032f, 0.172f, 0.031f, 0.279f, 0.074f)
                curveToRelative(0.182f, 0.075f, 0.236f, 0.258f, 0.43f, 0.28f)
                curveToRelative(0.107f, 0.01f, 0.322f, 0.053f, 0.279f, -0.044f)
                curveToRelative(-0.043f, -0.107f, -0.258f, -0.107f, -0.365f, -0.236f)
                curveToRelative(-0.054f, -0.054f, -0.054f, -0.106f, -0.108f, -0.16f)
                curveToRelative(-0.086f, -0.108f, -0.29f, -0.205f, -0.29f, -0.205f)
                reflectiveCurveToRelative(-0.064f, -0.053f, -0.14f, -0.203f)
                curveToRelative(-0.064f, -0.15f, -0.225f, -0.26f, -0.515f, -0.399f)
                curveToRelative(-0.193f, -0.096f, -0.58f, -0.118f, -0.43f, -0.215f)
                curveToRelative(0.086f, -0.064f, 0.161f, -0.053f, 0.28f, -0.021f)
                curveToRelative(0.118f, 0.043f, 0.16f, 0.098f, 0.257f, 0.14f)
                curveToRelative(0.097f, 0.044f, 0.14f, 0.054f, 0.16f, 0.065f)
                curveToRelative(0.022f, 0.01f, 0.097f, 0.043f, 0.13f, 0.043f)
                curveToRelative(0.02f, 0.01f, 0.183f, 0.032f, 0.226f, 0.043f)
                lineToRelative(0.215f, 0.053f)
                lineToRelative(0.172f, 0.064f)
                reflectiveCurveToRelative(0.085f, 0.033f, 0.138f, 0.033f)
                reflectiveCurveToRelative(0.141f, -0.021f, 0.141f, -0.021f)
                lineToRelative(0.064f, -0.043f)
                lineToRelative(0.01f, -0.022f)
                reflectiveCurveToRelative(0.033f, -0.053f, -0.053f, -0.064f)
                arcToRelative(0.986f, 0.986f, 0.0f, false, false, -0.128f, -0.012f)
                lineToRelative(-0.077f, -0.021f)
                lineToRelative(-0.03f, -0.01f)
                reflectiveCurveToRelative(-0.151f, -0.118f, -0.28f, -0.172f)
                arcToRelative(4.841f, 4.841f, 0.0f, false, true, -0.162f, -0.064f)
                lineToRelative(-0.053f, -0.012f)
                lineToRelative(-0.064f, -0.01f)
                reflectiveCurveToRelative(-0.055f, 0.0f, -0.141f, -0.076f)
                curveToRelative(-0.086f, -0.075f, -0.118f, -0.118f, -0.193f, -0.193f)
                lineToRelative(-0.096f, -0.096f)
                reflectiveCurveToRelative(-0.086f, -0.066f, -0.086f, -0.12f)
                curveToRelative(0.01f, -0.085f, 0.193f, 0.098f, 0.193f, 0.098f)
                lineToRelative(0.13f, 0.086f)
                reflectiveCurveToRelative(0.107f, 0.076f, 0.3f, 0.086f)
                curveToRelative(0.193f, 0.011f, 0.43f, -0.054f, 0.43f, -0.054f)
                reflectiveCurveToRelative(0.031f, -0.02f, 0.138f, 0.011f)
                reflectiveCurveToRelative(0.194f, 0.096f, 0.194f, 0.096f)
                lineToRelative(0.086f, 0.076f)
                lineToRelative(0.129f, 0.139f)
                lineToRelative(0.021f, -0.01f)
                curveToRelative(0.01f, -0.01f, 0.065f, -0.065f, -0.031f, -0.183f)
                curveToRelative(-0.097f, -0.119f, -0.258f, -0.225f, -0.258f, -0.225f)
                reflectiveCurveToRelative(-0.215f, -0.129f, -0.43f, -0.172f)
                curveToRelative(-0.214f, -0.043f, -0.312f, -0.043f, -0.312f, -0.043f)
                reflectiveCurveToRelative(-0.161f, 0.0f, -0.258f, -0.107f)
                curveToRelative(-0.097f, -0.108f, -0.16f, -0.215f, -0.16f, -0.215f)
                lineToRelative(-0.033f, -0.15f)
                reflectiveCurveToRelative(-0.053f, -0.065f, -0.16f, -0.108f)
                curveToRelative(-0.097f, -0.043f, -0.206f, -0.107f, -0.206f, -0.107f)
                reflectiveCurveToRelative(-0.16f, -0.054f, -0.172f, -0.13f)
                curveToRelative(-0.032f, -0.139f, 0.27f, 0.0f, 0.43f, 0.032f)
                curveToRelative(0.15f, 0.032f, 0.215f, 0.087f, 0.365f, 0.12f)
                arcToRelative(0.915f, 0.915f, 0.0f, false, false, 0.344f, 0.03f)
                curveToRelative(0.075f, 0.0f, 0.118f, -0.008f, 0.193f, -0.02f)
                curveToRelative(0.076f, 0.0f, 0.13f, -0.01f, 0.206f, 0.0f)
                curveToRelative(0.107f, 0.022f, 0.15f, 0.075f, 0.257f, 0.118f)
                curveToRelative(0.065f, 0.032f, 0.097f, 0.063f, 0.172f, 0.074f)
                curveToRelative(0.065f, 0.011f, 0.194f, 0.055f, 0.172f, -0.01f)
                lineToRelative(-0.033f, -0.043f)
                curveToRelative(-0.054f, -0.075f, -0.117f, -0.075f, -0.182f, -0.128f)
                curveToRelative(-0.14f, -0.108f, -0.204f, -0.193f, -0.365f, -0.268f)
                arcToRelative(0.932f, 0.932f, 0.0f, false, false, -0.29f, -0.098f)
                curveToRelative(-0.087f, -0.01f, -0.151f, 0.012f, -0.237f, -0.01f)
                curveToRelative(-0.097f, -0.032f, -0.128f, -0.075f, -0.225f, -0.128f)
                curveToRelative(-0.15f, -0.086f, -0.237f, -0.162f, -0.398f, -0.227f)
                arcToRelative(2.663f, 2.663f, 0.0f, false, false, -0.29f, -0.086f)
                lineToRelative(-0.076f, -0.01f)
                lineToRelative(-0.03f, -0.011f)
                curveToRelative(-0.151f, -0.054f, 0.267f, -0.171f, 0.46f, -0.225f)
                curveToRelative(0.097f, -0.021f, 0.14f, -0.044f, 0.236f, -0.033f)
                curveToRelative(0.086f, 0.01f, 0.183f, 0.13f, 0.28f, 0.076f)
                curveToRelative(0.14f, -0.075f, -0.161f, -0.28f, -0.258f, -0.312f)
                curveToRelative(-0.129f, -0.054f, -0.354f, -0.01f, -0.354f, -0.01f)
                lineToRelative(-0.494f, -0.012f)
                lineToRelative(-0.14f, -0.021f)
                reflectiveCurveToRelative(-0.086f, 0.0f, -0.15f, -0.075f)
                curveToRelative(-0.065f, -0.075f, -0.311f, -0.377f, -0.59f, -0.42f)
                curveToRelative(-0.29f, -0.043f, -0.376f, 0.0f, -0.397f, -0.02f)
                curveToRelative(-0.247f, -0.388f, -0.506f, -0.473f, -0.7f, -0.655f)
                curveToRelative(-0.053f, -0.054f, -0.138f, -0.173f, -0.16f, -0.162f)
                close()
                moveTo(13.394f, 1.14f)
                arcToRelative(0.53f, 0.53f, 0.0f, false, true, 0.051f, 0.0f)
                lineToRelative(0.053f, 0.033f)
                arcToRelative(0.54f, 0.54f, 0.0f, false, true, 0.107f, 0.15f)
                curveToRelative(0.011f, 0.043f, -0.128f, -0.01f, -0.181f, -0.022f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, -0.15f, -0.076f)
                reflectiveCurveToRelative(-0.023f, -0.032f, 0.03f, -0.064f)
                arcToRelative(0.197f, 0.197f, 0.0f, false, true, 0.09f, -0.022f)
                close()
                moveTo(13.646f, 1.67f)
                curveToRelative(0.026f, 0.0f, 0.045f, 0.006f, 0.045f, 0.006f)
                lineToRelative(0.053f, 0.034f)
                arcToRelative(0.538f, 0.538f, 0.0f, false, true, 0.107f, 0.15f)
                curveToRelative(0.011f, 0.043f, -0.128f, -0.01f, -0.181f, -0.022f)
                arcToRelative(0.43f, 0.43f, 0.0f, false, true, -0.15f, -0.076f)
                reflectiveCurveToRelative(-0.022f, -0.032f, 0.043f, -0.064f)
                arcToRelative(0.133f, 0.133f, 0.0f, false, true, 0.083f, -0.027f)
                close()
                moveTo(11.764f, 1.684f)
                arcToRelative(0.398f, 0.398f, 0.0f, false, true, 0.08f, 0.004f)
                reflectiveCurveToRelative(0.043f, 0.0f, 0.107f, 0.031f)
                curveToRelative(0.065f, 0.043f, 0.108f, 0.172f, 0.108f, 0.172f)
                reflectiveCurveToRelative(0.01f, 0.022f, -0.043f, 0.022f)
                curveToRelative(-0.033f, 0.0f, -0.033f, -0.053f, -0.065f, -0.075f)
                curveToRelative(-0.043f, -0.032f, -0.075f, -0.043f, -0.129f, -0.064f)
                curveToRelative(-0.053f, -0.021f, -0.128f, 0.01f, -0.138f, -0.043f)
                curveToRelative(0.0f, -0.032f, 0.04f, -0.044f, 0.08f, -0.047f)
                close()
                moveTo(10.92f, 1.809f)
                curveToRelative(0.042f, -0.012f, 0.0f, 0.072f, 0.0f, 0.072f)
                reflectiveCurveToRelative(-0.139f, 0.225f, -0.332f, 0.311f)
                reflectiveCurveToRelative(-0.322f, 0.13f, -0.688f, 0.162f)
                curveToRelative(-0.053f, 0.0f, -0.03f, -0.033f, -0.03f, -0.033f)
                reflectiveCurveToRelative(0.417f, -0.117f, 0.654f, -0.246f)
                arcToRelative(2.36f, 2.36f, 0.0f, false, false, 0.322f, -0.215f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, true, 0.074f, -0.05f)
                close()
                moveTo(11.672f, 1.869f)
                reflectiveCurveToRelative(0.065f, 0.002f, 0.14f, 0.055f)
                curveToRelative(0.076f, 0.054f, 0.14f, 0.237f, 0.14f, 0.237f)
                reflectiveCurveToRelative(0.022f, 0.117f, -0.032f, 0.16f)
                reflectiveCurveToRelative(-0.14f, -0.031f, -0.184f, -0.096f)
                arcToRelative(0.269f, 0.269f, 0.0f, false, false, -0.16f, -0.107f)
                curveToRelative(-0.086f, -0.032f, -0.215f, 0.064f, -0.236f, 0.0f)
                curveToRelative(0.0f, -0.022f, 0.01f, -0.076f, 0.01f, -0.076f)
                reflectiveCurveToRelative(0.022f, -0.064f, 0.119f, -0.117f)
                curveToRelative(0.086f, -0.054f, 0.203f, -0.055f, 0.203f, -0.055f)
                close()
                moveTo(13.67f, 2.284f)
                curveToRelative(0.043f, 0.004f, 0.103f, 0.037f, 0.15f, 0.037f)
                curveToRelative(0.14f, 0.0f, 0.257f, 0.0f, 0.354f, 0.021f)
                curveToRelative(0.086f, 0.022f, 0.107f, 0.075f, 0.064f, 0.075f)
                arcToRelative(0.33f, 0.33f, 0.0f, false, true, -0.096f, 0.011f)
                curveToRelative(-0.096f, 0.0f, -0.086f, -0.043f, -0.214f, 0.022f)
                curveToRelative(-0.13f, 0.064f, -0.033f, 0.033f, -0.215f, 0.097f)
                curveToRelative(-0.172f, 0.065f, -0.13f, -0.107f, -0.13f, -0.107f)
                reflectiveCurveToRelative(0.013f, -0.033f, 0.034f, -0.12f)
                curveToRelative(0.008f, -0.031f, 0.027f, -0.039f, 0.053f, -0.036f)
                close()
                moveTo(8.826f, 2.782f)
                curveToRelative(0.065f, 0.0f, 0.184f, 0.044f, 0.184f, 0.14f)
                curveToRelative(0.01f, 0.097f, -0.066f, 0.054f, -0.12f, 0.086f)
                curveToRelative(-0.031f, 0.022f, -0.052f, 0.033f, -0.095f, 0.065f)
                curveToRelative(-0.054f, 0.043f, -0.108f, 0.15f, -0.14f, 0.117f)
                curveToRelative(-0.044f, -0.032f, -0.022f, -0.15f, -0.022f, -0.15f)
                reflectiveCurveToRelative(0.033f, -0.086f, 0.076f, -0.172f)
                curveToRelative(0.054f, -0.086f, 0.117f, -0.086f, 0.117f, -0.086f)
                close()
                moveTo(13.963f, 2.893f)
                arcToRelative(0.228f, 0.228f, 0.0f, false, true, 0.05f, 0.008f)
                reflectiveCurveToRelative(0.032f, 0.01f, 0.053f, 0.031f)
                curveToRelative(0.022f, 0.022f, 0.108f, 0.098f, 0.108f, 0.14f)
                curveToRelative(0.0f, 0.033f, -0.139f, -0.022f, -0.203f, -0.032f)
                curveToRelative(-0.065f, -0.011f, -0.15f, -0.075f, -0.15f, -0.075f)
                reflectiveCurveToRelative(-0.022f, -0.02f, 0.042f, -0.052f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, 0.1f, -0.02f)
                close()
                moveTo(12.068f, 2.981f)
                curveToRelative(0.01f, 0.0f, 0.009f, 0.015f, -0.01f, 0.049f)
                curveToRelative(-0.042f, 0.086f, -0.171f, 0.193f, -0.171f, 0.193f)
                reflectiveCurveToRelative(-0.15f, 0.214f, -0.182f, 0.246f)
                curveToRelative(-0.14f, 0.108f, -0.312f, 0.044f, -0.387f, 0.055f)
                curveToRelative(-0.064f, 0.01f, -0.021f, -0.055f, -0.021f, -0.055f)
                reflectiveCurveToRelative(0.183f, -0.074f, 0.3f, -0.138f)
                curveToRelative(0.158f, -0.079f, 0.427f, -0.35f, 0.471f, -0.35f)
                close()
                moveTo(9.86f, 3.17f)
                curveToRelative(0.023f, 0.0f, 0.041f, 0.01f, 0.041f, 0.043f)
                curveToRelative(0.011f, 0.075f, -0.128f, 0.128f, -0.128f, 0.128f)
                reflectiveCurveToRelative(-0.042f, 0.011f, -0.053f, -0.064f)
                curveToRelative(-0.01f, -0.075f, 0.053f, -0.086f, 0.053f, -0.086f)
                reflectiveCurveToRelative(0.05f, -0.024f, 0.087f, -0.021f)
                close()
                moveTo(12.52f, 3.287f)
                curveToRelative(0.018f, -0.01f, 0.003f, 0.097f, 0.003f, 0.097f)
                reflectiveCurveToRelative(-0.033f, 0.141f, -0.108f, 0.184f)
                curveToRelative(-0.096f, 0.054f, -0.334f, 0.118f, -0.355f, 0.086f)
                curveToRelative(0.0f, -0.022f, 0.311f, -0.12f, 0.45f, -0.355f)
                arcToRelative(0.034f, 0.034f, 0.0f, false, true, 0.01f, -0.012f)
                close()
                moveTo(13.974f, 3.326f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, true, 0.052f, 0.006f)
                reflectiveCurveToRelative(0.03f, 0.01f, 0.063f, 0.03f)
                curveToRelative(0.032f, 0.033f, 0.108f, 0.12f, 0.119f, 0.163f)
                curveToRelative(0.01f, 0.043f, -0.14f, -0.01f, -0.215f, -0.021f)
                curveToRelative(-0.064f, -0.011f, -0.162f, -0.086f, -0.162f, -0.086f)
                reflectiveCurveToRelative(-0.02f, -0.033f, 0.045f, -0.065f)
                arcToRelative(0.175f, 0.175f, 0.0f, false, true, 0.098f, -0.027f)
                close()
                moveTo(12.673f, 3.57f)
                curveToRelative(0.02f, -0.006f, -0.012f, 0.084f, -0.012f, 0.084f)
                reflectiveCurveToRelative(-0.043f, 0.14f, -0.129f, 0.172f)
                curveToRelative(-0.107f, 0.032f, -0.514f, 0.042f, -0.525f, 0.01f)
                curveToRelative(-0.01f, -0.033f, 0.472f, -0.076f, 0.654f, -0.258f)
                arcToRelative(0.026f, 0.026f, 0.0f, false, true, 0.012f, -0.008f)
                close()
                moveTo(14.007f, 3.755f)
                arcToRelative(0.3f, 0.3f, 0.0f, false, true, 0.06f, 0.006f)
                reflectiveCurveToRelative(0.033f, 0.01f, 0.065f, 0.032f)
                curveToRelative(0.032f, 0.032f, 0.118f, 0.13f, 0.129f, 0.183f)
                curveToRelative(0.01f, 0.065f, -0.15f, 0.0f, -0.225f, -0.021f)
                arcToRelative(0.535f, 0.535f, 0.0f, false, true, -0.184f, -0.098f)
                reflectiveCurveToRelative(-0.021f, -0.031f, 0.043f, -0.074f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, true, 0.112f, -0.028f)
                close()
                moveTo(14.007f, 4.292f)
                arcToRelative(0.3f, 0.3f, 0.0f, false, true, 0.06f, 0.006f)
                reflectiveCurveToRelative(0.033f, 0.01f, 0.065f, 0.032f)
                curveToRelative(0.032f, 0.032f, 0.118f, 0.13f, 0.129f, 0.183f)
                curveToRelative(0.01f, 0.054f, -0.15f, -0.011f, -0.225f, -0.033f)
                arcToRelative(0.525f, 0.525f, 0.0f, false, true, -0.184f, -0.096f)
                reflectiveCurveToRelative(-0.021f, -0.021f, 0.043f, -0.064f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, true, 0.112f, -0.027f)
                close()
                moveTo(12.439f, 4.806f)
                curveToRelative(0.083f, 0.024f, 0.007f, 0.629f, -0.153f, 0.91f)
                arcToRelative(4.718f, 4.718f, 0.0f, false, true, -0.742f, 0.944f)
                curveToRelative(-0.15f, 0.107f, -0.053f, -0.086f, -0.053f, -0.086f)
                reflectiveCurveToRelative(0.418f, -0.579f, 0.612f, -0.987f)
                curveToRelative(0.14f, -0.29f, 0.226f, -0.676f, 0.29f, -0.752f)
                curveToRelative(0.02f, -0.022f, 0.034f, -0.032f, 0.046f, -0.029f)
                close()
                moveTo(13.989f, 4.814f)
                arcToRelative(0.314f, 0.314f, 0.0f, false, true, 0.069f, 0.01f)
                reflectiveCurveToRelative(0.042f, 0.01f, 0.074f, 0.043f)
                curveToRelative(0.032f, 0.032f, 0.14f, 0.151f, 0.15f, 0.205f)
                curveToRelative(0.0f, 0.064f, -0.182f, -0.023f, -0.267f, -0.033f)
                arcToRelative(0.54f, 0.54f, 0.0f, false, true, -0.203f, -0.108f)
                reflectiveCurveToRelative(-0.023f, -0.043f, 0.052f, -0.086f)
                arcToRelative(0.206f, 0.206f, 0.0f, false, true, 0.125f, -0.031f)
                close()
                moveTo(13.921f, 5.334f)
                arcToRelative(0.3f, 0.3f, 0.0f, false, true, 0.06f, 0.005f)
                reflectiveCurveToRelative(0.033f, 0.012f, 0.065f, 0.034f)
                curveToRelative(0.032f, 0.032f, 0.118f, 0.128f, 0.129f, 0.181f)
                curveToRelative(0.01f, 0.054f, -0.15f, -0.01f, -0.225f, -0.021f)
                arcToRelative(0.526f, 0.526f, 0.0f, false, true, -0.182f, -0.096f)
                reflectiveCurveToRelative(-0.02f, -0.033f, 0.043f, -0.076f)
                arcToRelative(0.201f, 0.201f, 0.0f, false, true, 0.11f, -0.027f)
                close()
                moveTo(13.89f, 5.8f)
                arcToRelative(0.482f, 0.482f, 0.0f, false, true, 0.048f, 0.0f)
                lineToRelative(0.055f, 0.033f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, true, 0.108f, 0.15f)
                curveToRelative(0.0f, 0.044f, -0.13f, -0.01f, -0.194f, -0.02f)
                curveToRelative(-0.064f, -0.011f, -0.15f, -0.075f, -0.15f, -0.075f)
                reflectiveCurveToRelative(-0.022f, -0.032f, 0.043f, -0.064f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, true, 0.09f, -0.024f)
                close()
                moveTo(13.831f, 6.257f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, true, 0.045f, 0.006f)
                lineToRelative(0.043f, 0.022f)
                curveToRelative(0.021f, 0.021f, 0.084f, 0.085f, 0.084f, 0.117f)
                curveToRelative(0.0f, 0.043f, -0.117f, -0.01f, -0.16f, -0.01f)
                arcToRelative(0.32f, 0.32f, 0.0f, false, true, -0.117f, -0.064f)
                reflectiveCurveToRelative(-0.012f, -0.023f, 0.03f, -0.055f)
                curveToRelative(0.022f, -0.016f, 0.05f, -0.017f, 0.075f, -0.016f)
                close()
                moveTo(13.741f, 6.679f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, true, 0.037f, 0.002f)
                lineToRelative(0.043f, 0.022f)
                curveToRelative(0.022f, 0.021f, 0.074f, 0.075f, 0.074f, 0.107f)
                curveToRelative(-0.01f, 0.022f, -0.107f, -0.021f, -0.15f, -0.021f)
                arcToRelative(0.475f, 0.475f, 0.0f, false, true, -0.107f, -0.053f)
                reflectiveCurveToRelative(-0.01f, -0.022f, 0.033f, -0.043f)
                arcToRelative(0.165f, 0.165f, 0.0f, false, true, 0.07f, -0.014f)
                close()
                moveTo(6.132f, 6.886f)
                curveToRelative(0.118f, 0.022f, 0.14f, 0.032f, 0.129f, 0.086f)
                curveToRelative(0.01f, 0.054f, -0.139f, 0.053f, -0.139f, 0.053f)
                reflectiveCurveToRelative(-0.216f, 0.044f, -0.183f, -0.031f)
                curveToRelative(0.043f, -0.076f, 0.193f, -0.108f, 0.193f, -0.108f)
                close()
                moveTo(13.643f, 7.011f)
                curveToRelative(0.022f, 0.0f, 0.04f, 0.004f, 0.04f, 0.004f)
                lineToRelative(0.043f, 0.022f)
                curveToRelative(0.021f, 0.021f, 0.074f, 0.075f, 0.074f, 0.107f)
                curveToRelative(-0.011f, 0.032f, -0.108f, -0.01f, -0.15f, -0.021f)
                curveToRelative(-0.044f, -0.011f, -0.108f, -0.055f, -0.108f, -0.055f)
                reflectiveCurveToRelative(-0.01f, -0.022f, 0.033f, -0.043f)
                arcToRelative(0.156f, 0.156f, 0.0f, false, true, 0.068f, -0.014f)
                close()
                moveTo(13.523f, 7.388f)
                arcToRelative(0.22f, 0.22f, 0.0f, false, true, 0.03f, 0.002f)
                lineToRelative(0.032f, 0.022f)
                curveToRelative(0.01f, 0.01f, 0.064f, 0.064f, 0.064f, 0.086f)
                curveToRelative(0.0f, 0.032f, -0.076f, 0.0f, -0.119f, -0.01f)
                curveToRelative(-0.032f, -0.01f, -0.084f, -0.043f, -0.084f, -0.043f)
                reflectiveCurveToRelative(-0.01f, -0.022f, 0.022f, -0.043f)
                arcToRelative(0.1f, 0.1f, 0.0f, false, true, 0.054f, -0.014f)
                close()
                moveTo(10.462f, 7.508f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, 0.182f, 0.011f)
                curveToRelative(0.3f, 0.043f, 0.59f, 0.312f, 0.546f, 0.344f)
                curveToRelative(-0.043f, 0.032f, -0.107f, 0.0f, -0.129f, 0.0f)
                lineToRelative(-0.107f, -0.053f)
                lineToRelative(-0.162f, -0.043f)
                reflectiveCurveToRelative(-0.29f, -0.065f, -0.504f, -0.055f)
                curveToRelative(-0.215f, 0.011f, -0.408f, 0.086f, -0.408f, 0.086f)
                reflectiveCurveToRelative(-0.086f, 0.044f, -0.107f, -0.01f)
                curveToRelative(-0.011f, -0.064f, 0.033f, -0.097f, 0.033f, -0.097f)
                lineToRelative(0.01f, -0.022f)
                reflectiveCurveToRelative(0.246f, -0.164f, 0.646f, -0.162f)
                close()
                moveTo(5.349f, 7.636f)
                curveToRelative(0.007f, 0.0f, 0.01f, 0.002f, 0.01f, 0.002f)
                lineToRelative(0.021f, 0.022f)
                curveToRelative(-0.01f, 0.0f, 0.032f, 0.107f, -0.064f, 0.214f)
                curveToRelative(-0.097f, 0.108f, -0.397f, 0.677f, -0.461f, 0.58f)
                curveToRelative(-0.065f, -0.075f, 0.29f, -0.613f, 0.365f, -0.72f)
                curveToRelative(0.056f, -0.089f, 0.107f, -0.098f, 0.129f, -0.098f)
                close()
                moveTo(13.399f, 7.753f)
                curveToRelative(0.015f, 0.0f, 0.026f, 0.002f, 0.026f, 0.002f)
                lineToRelative(0.031f, 0.012f)
                lineToRelative(0.055f, 0.074f)
                curveToRelative(-0.011f, 0.032f, -0.076f, 0.011f, -0.108f, 0.0f)
                curveToRelative(-0.032f, 0.0f, -0.076f, -0.043f, -0.076f, -0.043f)
                reflectiveCurveToRelative(-0.01f, -0.01f, 0.022f, -0.03f)
                arcToRelative(0.094f, 0.094f, 0.0f, false, true, 0.05f, -0.015f)
                close()
                moveTo(6.616f, 8.056f)
                curveToRelative(0.017f, -0.006f, 0.029f, 0.008f, 0.043f, 0.012f)
                lineToRelative(0.053f, 0.021f)
                lineToRelative(0.033f, 0.032f)
                lineToRelative(0.108f, 0.107f)
                curveToRelative(0.043f, 0.064f, 0.16f, 0.28f, 0.138f, 0.3f)
                curveToRelative(-0.096f, 0.097f, -0.128f, -0.032f, -0.267f, -0.193f)
                curveToRelative(-0.14f, -0.15f, -0.108f, -0.279f, -0.108f, -0.279f)
                close()
                moveTo(13.249f, 8.106f)
                arcToRelative(0.079f, 0.079f, 0.0f, false, true, 0.025f, 0.005f)
                lineToRelative(0.032f, 0.01f)
                lineToRelative(0.054f, 0.076f)
                curveToRelative(0.0f, 0.021f, -0.065f, -0.012f, -0.097f, -0.012f)
                curveToRelative(-0.033f, 0.0f, -0.075f, -0.043f, -0.075f, -0.043f)
                reflectiveCurveToRelative(-0.022f, -0.01f, 0.01f, -0.021f)
                arcToRelative(0.094f, 0.094f, 0.0f, false, true, 0.051f, -0.014f)
                close()
                moveTo(8.4f, 8.497f)
                curveToRelative(0.035f, 0.003f, -0.013f, 0.065f, -0.013f, 0.065f)
                reflectiveCurveToRelative(-0.184f, 0.246f, -0.291f, 0.397f)
                curveToRelative(-0.14f, 0.203f, -0.312f, 0.514f, -0.344f, 0.482f)
                curveToRelative(-0.032f, -0.032f, 0.151f, -0.374f, 0.248f, -0.557f)
                curveToRelative(0.107f, -0.225f, 0.268f, -0.343f, 0.332f, -0.365f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, true, 0.068f, -0.021f)
                close()
                moveTo(5.348f, 9.302f)
                lineToRelative(0.021f, 0.022f)
                reflectiveCurveToRelative(0.011f, 0.042f, -0.064f, 0.16f)
                reflectiveCurveToRelative(-0.13f, 0.119f, -0.13f, 0.119f)
                curveToRelative(0.0f, -0.01f, -0.02f, -0.053f, 0.044f, -0.182f)
                reflectiveCurveToRelative(0.129f, -0.119f, 0.129f, -0.119f)
                close()
                moveTo(4.031f, 9.722f)
                arcToRelative(0.032f, 0.032f, 0.0f, false, true, 0.016f, 0.01f)
                curveToRelative(0.032f, 0.043f, -0.064f, 0.236f, -0.064f, 0.236f)
                reflectiveCurveToRelative(-0.097f, 0.203f, -0.13f, 0.117f)
                curveToRelative(-0.032f, -0.075f, 0.034f, -0.214f, 0.034f, -0.214f)
                curveToRelative(0.075f, -0.066f, 0.108f, -0.156f, 0.144f, -0.149f)
                close()
                moveTo(12.596f, 9.999f)
                curveToRelative(0.096f, 0.011f, 0.086f, 0.194f, 0.086f, 0.237f)
                curveToRelative(0.032f, 0.311f, 0.162f, 0.624f, 0.398f, 1.0f)
                curveToRelative(0.333f, 0.526f, 0.87f, 0.934f, 0.848f, 0.967f)
                curveToRelative(-0.054f, 0.053f, -0.59f, -0.366f, -0.784f, -0.602f)
                curveToRelative(-0.322f, -0.387f, -0.56f, -0.806f, -0.634f, -1.332f)
                curveToRelative(-0.022f, -0.118f, -0.022f, -0.291f, 0.086f, -0.27f)
                close()
                moveTo(6.272f, 10.149f)
                curveToRelative(0.021f, 0.0f, 0.117f, 0.034f, 0.117f, 0.034f)
                lineToRelative(0.236f, 0.096f)
                curveToRelative(0.01f, 0.0f, 0.13f, 0.054f, 0.227f, 0.107f)
                lineToRelative(0.234f, 0.15f)
                lineToRelative(0.066f, 0.055f)
                curveToRelative(0.0f, 0.022f, 0.075f, 0.14f, -0.076f, 0.108f)
                curveToRelative(-0.15f, -0.033f, -0.472f, -0.28f, -0.601f, -0.344f)
                curveToRelative(-0.13f, -0.064f, -0.343f, -0.086f, -0.246f, -0.172f)
                curveToRelative(0.01f, -0.01f, 0.021f, -0.033f, 0.043f, -0.033f)
                close()
                moveTo(5.132f, 10.742f)
                arcToRelative(0.058f, 0.058f, 0.0f, false, true, 0.022f, 0.0f)
                curveToRelative(0.065f, 0.0f, 0.065f, 0.052f, 0.065f, 0.052f)
                verticalLineToRelative(0.033f)
                reflectiveCurveToRelative(-0.001f, 0.194f, 0.01f, 0.344f)
                curveToRelative(0.0f, 0.043f, 0.119f, 0.526f, 0.119f, 0.526f)
                reflectiveCurveToRelative(0.021f, 0.043f, -0.022f, 0.043f)
                curveToRelative(-0.032f, 0.0f, -0.064f, -0.065f, -0.064f, -0.065f)
                reflectiveCurveToRelative(-0.087f, -0.128f, -0.12f, -0.224f)
                curveToRelative(-0.031f, -0.086f, -0.042f, -0.227f, -0.042f, -0.227f)
                reflectiveCurveToRelative(-0.022f, -0.182f, -0.022f, -0.246f)
                curveToRelative(0.011f, -0.086f, 0.011f, -0.162f, 0.022f, -0.205f)
                arcToRelative(0.039f, 0.039f, 0.0f, false, true, 0.031f, -0.031f)
                close()
                moveTo(3.642f, 10.999f)
                arcToRelative(0.06f, 0.06f, 0.0f, false, true, 0.03f, 0.0f)
                curveToRelative(0.064f, 0.011f, 0.031f, 0.128f, 0.031f, 0.182f)
                reflectiveCurveToRelative(-0.062f, 0.15f, -0.084f, 0.15f)
                curveToRelative(-0.021f, 0.0f, -0.065f, -0.096f, -0.054f, -0.15f)
                curveToRelative(0.01f, -0.047f, 0.018f, -0.167f, 0.078f, -0.182f)
                close()
                moveTo(9.084f, 11.892f)
                curveToRelative(0.122f, -0.01f, 0.475f, 0.497f, 0.988f, 1.05f)
                curveToRelative(0.58f, 0.624f, 1.256f, 1.215f, 1.278f, 1.29f)
                curveToRelative(0.043f, 0.129f, -0.473f, -0.28f, -0.752f, -0.494f)
                curveToRelative(-0.741f, -0.57f, -1.643f, -1.729f, -1.535f, -1.836f)
                arcToRelative(0.036f, 0.036f, 0.0f, false, true, 0.021f, -0.01f)
                close()
                moveTo(19.357f, 12.415f)
                curveToRelative(0.02f, -0.002f, 0.037f, 0.024f, 0.037f, 0.024f)
                lineToRelative(0.022f, 0.031f)
                curveToRelative(0.0f, 0.022f, 0.128f, 0.526f, 0.117f, 0.848f)
                curveToRelative(-0.022f, 0.45f, -0.042f, 0.773f, -0.31f, 1.117f)
                curveToRelative(-0.323f, 0.419f, -0.882f, 0.85f, -0.764f, 0.506f)
                curveToRelative(0.075f, -0.204f, 0.57f, -0.462f, 0.763f, -1.031f)
                curveToRelative(0.108f, -0.344f, 0.13f, -0.667f, 0.13f, -0.667f)
                lineToRelative(-0.022f, -0.654f)
                reflectiveCurveToRelative(-0.012f, -0.053f, -0.012f, -0.129f)
                curveToRelative(0.012f, -0.032f, 0.027f, -0.043f, 0.04f, -0.045f)
                close()
                moveTo(13.879f, 13.535f)
                curveToRelative(0.1f, 0.011f, 0.145f, 0.074f, 0.027f, 0.16f)
                curveToRelative(-0.14f, 0.096f, -0.193f, 0.085f, -0.28f, 0.181f)
                curveToRelative(-0.096f, 0.118f, -0.127f, 0.517f, -0.224f, 0.356f)
                curveToRelative(-0.096f, -0.161f, -0.032f, -0.387f, 0.13f, -0.559f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, true, 0.347f, -0.139f)
                close()
                moveTo(6.08f, 13.974f)
                curveToRelative(0.041f, -0.008f, 0.149f, 0.074f, 0.149f, 0.074f)
                curveToRelative(0.053f, 0.01f, 0.107f, 0.108f, 0.107f, 0.108f)
                reflectiveCurveToRelative(0.022f, 0.076f, -0.043f, 0.097f)
                curveToRelative(-0.064f, 0.032f, -0.107f, -0.033f, -0.107f, -0.033f)
                reflectiveCurveToRelative(-0.14f, -0.193f, -0.12f, -0.236f)
                arcToRelative(0.019f, 0.019f, 0.0f, false, true, 0.014f, -0.01f)
                close()
                moveTo(16.387f, 15.499f)
                curveToRelative(0.021f, 0.0f, 0.065f, 0.022f, 0.119f, 0.13f)
                reflectiveCurveToRelative(-0.086f, 0.868f, -0.258f, 0.76f)
                curveToRelative(-0.097f, -0.064f, 0.053f, -0.256f, 0.053f, -0.417f)
                curveToRelative(0.0f, -0.129f, -0.022f, -0.227f, -0.022f, -0.334f)
                curveToRelative(0.0f, -0.107f, 0.108f, -0.139f, 0.108f, -0.139f)
                close()
                moveTo(13.2f, 16.824f)
                curveToRelative(0.038f, 0.004f, 0.048f, 0.058f, -0.004f, 0.166f)
                curveToRelative(-0.075f, 0.161f, -0.096f, 0.215f, -0.107f, 0.366f)
                curveToRelative(-0.022f, 0.16f, 0.076f, 0.61f, -0.074f, 0.44f)
                curveToRelative(-0.054f, -0.076f, -0.108f, -0.43f, -0.065f, -0.602f)
                curveToRelative(0.047f, -0.242f, 0.186f, -0.375f, 0.25f, -0.37f)
                close()
                moveTo(12.38f, 18.942f)
                curveToRelative(0.036f, -0.005f, 0.054f, 0.013f, 0.054f, 0.013f)
                curveToRelative(0.022f, 0.043f, -0.022f, 0.087f, -0.033f, 0.098f)
                arcToRelative(0.435f, 0.435f, 0.0f, false, true, -0.129f, 0.043f)
                curveToRelative(-0.064f, 0.01f, -0.03f, -0.043f, -0.03f, -0.043f)
                reflectiveCurveToRelative(0.041f, -0.066f, 0.095f, -0.098f)
                arcToRelative(0.134f, 0.134f, 0.0f, false, true, 0.043f, -0.013f)
                close()
                moveTo(9.503f, 19.17f)
                curveToRelative(0.086f, 0.0f, 0.086f, 0.043f, 0.086f, 0.043f)
                curveToRelative(0.0f, 0.032f, -0.033f, 0.044f, -0.12f, 0.033f)
                curveToRelative(-0.074f, -0.01f, -0.084f, -0.032f, -0.073f, -0.043f)
                curveToRelative(0.0f, -0.01f, 0.021f, -0.033f, 0.107f, -0.033f)
                close()
                moveTo(10.155f, 19.201f)
                arcToRelative(0.063f, 0.063f, 0.0f, false, true, 0.024f, 0.002f)
                reflectiveCurveToRelative(0.365f, 0.064f, 0.601f, 0.074f)
                curveToRelative(0.172f, 0.011f, 0.258f, 0.023f, 0.43f, 0.012f)
                curveToRelative(0.097f, 0.0f, 0.043f, -0.012f, 0.193f, -0.012f)
                curveToRelative(0.054f, -0.01f, 0.022f, 0.066f, -0.021f, 0.077f)
                curveToRelative(-0.161f, 0.043f, -0.226f, 0.02f, -0.365f, 0.031f)
                curveToRelative(-0.119f, 0.01f, -0.173f, 0.021f, -0.291f, 0.021f)
                curveToRelative(-0.204f, 0.0f, -0.224f, 0.012f, -0.514f, -0.074f)
                curveToRelative(-0.054f, -0.021f, -0.12f, -0.086f, -0.098f, -0.107f)
                arcToRelative(0.055f, 0.055f, 0.0f, false, true, 0.041f, -0.024f)
                close()
                moveTo(7.72f, 19.266f)
                curveToRelative(0.126f, 0.003f, 0.086f, 0.045f, 0.086f, 0.045f)
                reflectiveCurveToRelative(-0.001f, 0.042f, -0.076f, 0.095f)
                curveToRelative(-0.076f, 0.054f, -0.107f, 0.022f, -0.118f, 0.022f)
                curveToRelative(-0.01f, 0.0f, -0.086f, -0.043f, -0.086f, -0.086f)
                curveToRelative(0.011f, -0.043f, 0.13f, -0.074f, 0.13f, -0.074f)
                arcToRelative(0.489f, 0.489f, 0.0f, false, true, 0.064f, -0.002f)
                close()
                moveTo(14.481f, 20.746f)
                arcToRelative(0.133f, 0.133f, 0.0f, false, true, 0.026f, 0.002f)
                lineToRelative(0.021f, 0.043f)
                curveToRelative(0.0f, 0.01f, -0.086f, 0.13f, -0.129f, 0.13f)
                curveToRelative(-0.053f, -0.012f, -0.033f, -0.075f, -0.033f, -0.075f)
                reflectiveCurveToRelative(-0.021f, -0.065f, 0.043f, -0.086f)
                arcToRelative(0.232f, 0.232f, 0.0f, false, true, 0.072f, -0.014f)
                close()
                moveTo(13.679f, 21.064f)
                curveToRelative(0.008f, 0.0f, 0.018f, 0.001f, 0.023f, 0.006f)
                verticalLineToRelative(0.043f)
                curveToRelative(0.01f, 0.033f, -0.27f, 0.345f, -0.463f, 0.528f)
                curveToRelative(-0.182f, 0.172f, -0.494f, 0.408f, -0.494f, 0.408f)
                horizontalLineToRelative(-0.043f)
                verticalLineToRelative(-0.055f)
                lineToRelative(0.012f, -0.021f)
                lineToRelative(0.021f, -0.032f)
                lineToRelative(0.022f, -0.033f)
                lineToRelative(0.021f, -0.03f)
                lineToRelative(0.065f, -0.077f)
                lineToRelative(0.15f, -0.139f)
                lineToRelative(0.15f, -0.14f)
                lineToRelative(0.237f, -0.237f)
                reflectiveCurveToRelative(0.085f, -0.095f, 0.117f, -0.117f)
                curveToRelative(0.032f, -0.021f, 0.054f, -0.043f, 0.086f, -0.064f)
                curveToRelative(0.032f, -0.016f, 0.07f, -0.038f, 0.096f, -0.04f)
                close()
                moveTo(12.126f, 22.357f)
                arcToRelative(0.064f, 0.064f, 0.0f, false, true, 0.05f, 0.014f)
                curveToRelative(0.033f, 0.075f, -0.02f, 0.096f, -0.02f, 0.096f)
                lineToRelative(-0.098f, 0.076f)
                curveToRelative(-0.011f, 0.0f, -0.075f, 0.054f, -0.096f, 0.021f)
                curveToRelative(-0.022f, -0.032f, 0.01f, -0.075f, 0.01f, -0.086f)
                curveToRelative(0.0f, -0.01f, 0.065f, -0.085f, 0.119f, -0.107f)
                arcToRelative(0.093f, 0.093f, 0.0f, false, true, 0.035f, -0.014f)
                close()
                moveTo(11.079f, 23.351f)
                curveToRelative(0.044f, -0.005f, 0.076f, 0.061f, 0.076f, 0.061f)
                reflectiveCurveToRelative(0.022f, 0.031f, 0.022f, 0.074f)
                curveToRelative(0.0f, 0.033f, -0.097f, 0.022f, -0.15f, 0.065f)
                curveToRelative(-0.065f, 0.043f, 0.065f, 0.173f, -0.14f, 0.162f)
                curveToRelative(-0.117f, -0.01f, -0.053f, -0.118f, -0.042f, -0.129f)
                lineToRelative(0.074f, -0.107f)
                curveToRelative(0.054f, -0.076f, 0.087f, -0.087f, 0.14f, -0.12f)
                arcToRelative(0.046f, 0.046f, 0.0f, false, true, 0.02f, -0.006f)
                close()
            }
        }
        .build()
        return _ferrari!!
    }

private var _ferrari: ImageVector? = null
