package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fluentd: ImageVector
    get() {
        if (_fluentd != null) {
            return _fluentd!!
        }
        _fluentd = Builder(name = "Fluentd", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.83f, 2.195f)
                curveTo(1.279f, 2.191f, 0.8f, 2.377f, 0.425f, 2.82f)
                curveTo(-0.429f, 3.823f, 0.03f, 6.135f, 1.787f, 8.917f)
                lineToRelative(0.02f, 0.028f)
                arcToRelative(10.177f, 10.177f, 0.0f, false, false, 0.197f, 0.297f)
                curveToRelative(1.733f, 2.579f, 4.249f, 4.677f, 3.743f, 7.586f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, true, -0.599f, 1.564f)
                curveTo(3.615f, 20.797f, 0.003f, 21.047f, 0.003f, 21.047f)
                lineToRelative(0.042f, 0.001f)
                lineToRelative(-0.045f, 0.005f)
                reflectiveCurveToRelative(4.355f, 1.344f, 8.533f, 0.438f)
                curveToRelative(0.598f, -0.13f, 1.192f, -0.305f, 1.769f, -0.537f)
                arcToRelative(12.331f, 12.331f, 0.0f, false, false, 0.023f, -0.01f)
                curveToRelative(0.343f, -0.138f, 0.667f, -0.284f, 0.975f, -0.437f)
                arcToRelative(12.331f, 12.331f, 0.0f, false, false, 0.282f, -0.145f)
                curveToRelative(0.285f, -0.15f, 0.556f, -0.306f, 0.814f, -0.467f)
                arcToRelative(12.331f, 12.331f, 0.0f, false, false, 0.152f, -0.095f)
                curveToRelative(0.316f, -0.204f, 0.61f, -0.416f, 0.888f, -0.635f)
                arcToRelative(12.331f, 12.331f, 0.0f, false, false, 0.146f, -0.116f)
                curveToRelative(0.164f, -0.134f, 0.323f, -0.27f, 0.476f, -0.407f)
                arcToRelative(12.331f, 12.331f, 0.0f, false, false, 0.123f, -0.105f)
                lineToRelative(0.036f, -0.04f)
                curveToRelative(0.008f, -0.008f, 0.015f, -0.016f, 0.024f, -0.023f)
                arcToRelative(12.842f, 12.842f, 0.0f, false, false, 0.86f, -0.888f)
                curveToRelative(0.05f, -0.056f, 0.1f, -0.112f, 0.148f, -0.169f)
                curveToRelative(0.059f, -0.068f, 0.118f, -0.135f, 0.175f, -0.203f)
                lineToRelative(0.1f, -0.123f)
                curveToRelative(0.127f, -0.154f, 0.25f, -0.31f, 0.372f, -0.465f)
                lineToRelative(0.032f, -0.042f)
                curveToRelative(0.679f, -0.88f, 1.28f, -1.779f, 1.933f, -2.639f)
                lineToRelative(0.216f, -0.278f)
                curveToRelative(0.294f, -0.374f, 0.6f, -0.74f, 0.932f, -1.091f)
                lineToRelative(0.03f, -0.031f)
                curveToRelative(0.108f, -0.114f, 0.22f, -0.226f, 0.334f, -0.337f)
                lineToRelative(0.07f, -0.067f)
                arcToRelative(10.997f, 10.997f, 0.0f, false, true, 0.264f, -0.243f)
                curveToRelative(0.036f, -0.032f, 0.072f, -0.065f, 0.109f, -0.096f)
                arcToRelative(5.003f, 5.003f, 0.0f, false, true, 0.374f, -0.293f)
                curveToRelative(0.012f, -0.01f, 0.025f, -0.018f, 0.038f, -0.027f)
                arcToRelative(5.003f, 5.003f, 0.0f, false, true, 0.85f, -0.48f)
                lineToRelative(-0.065f, 0.03f)
                lineToRelative(0.022f, -0.01f)
                lineToRelative(0.06f, -0.027f)
                arcToRelative(5.623f, 5.623f, 0.0f, false, true, 1.63f, -0.412f)
                horizontalLineToRelative(0.001f)
                arcToRelative(5.623f, 5.623f, 0.0f, false, true, 0.533f, -0.026f)
                horizontalLineToRelative(0.07f)
                arcToRelative(5.623f, 5.623f, 0.0f, false, true, 0.115f, 0.002f)
                lineToRelative(0.428f, -0.003f)
                arcToRelative(0.204f, 0.204f, 0.0f, false, false, 0.088f, -0.016f)
                curveToRelative(0.062f, -0.03f, 0.047f, -0.102f, -0.012f, -0.186f)
                arcToRelative(1.38f, 1.38f, 0.0f, false, false, -0.39f, -0.343f)
                arcToRelative(3.688f, 3.688f, 0.0f, false, true, -0.098f, -0.052f)
                arcToRelative(3.871f, 3.871f, 0.0f, false, true, -0.036f, -0.022f)
                arcToRelative(3.688f, 3.688f, 0.0f, false, true, -0.256f, -0.161f)
                arcToRelative(3.871f, 3.871f, 0.0f, false, true, -0.129f, -0.096f)
                arcToRelative(3.688f, 3.688f, 0.0f, false, true, -0.193f, -0.15f)
                curveToRelative(-0.205f, -0.2f, -0.432f, -0.733f, -0.523f, -0.888f)
                arcToRelative(2.05f, 2.05f, 0.0f, false, false, -0.24f, -0.33f)
                curveToRelative(-0.272f, -0.306f, -0.665f, -0.533f, -1.302f, -0.615f)
                curveToRelative(-0.891f, -0.115f, -1.727f, 0.072f, -2.565f, 0.333f)
                lineToRelative(0.1f, -0.035f)
                curveToRelative(-1.168f, 0.354f, -2.334f, 0.87f, -3.655f, 0.94f)
                horizontalLineToRelative(-0.04f)
                arcToRelative(5.553f, 5.553f, 0.0f, false, true, -0.668f, -0.01f)
                lineToRelative(-0.06f, -0.004f)
                arcToRelative(5.473f, 5.473f, 0.0f, false, true, -1.16f, -0.233f)
                curveToRelative(-1.312f, -0.412f, -3.154f, -1.88f, -5.047f, -3.316f)
                arcToRelative(113.017f, 113.017f, 0.0f, false, false, -0.651f, -0.49f)
                arcToRelative(51.56f, 51.56f, 0.0f, false, false, -0.789f, -0.58f)
                lineToRelative(-0.222f, -0.155f)
                lineToRelative(-0.236f, -0.166f)
                lineToRelative(-0.086f, -0.06f)
                arcToRelative(17.622f, 17.622f, 0.0f, false, false, -1.612f, -0.997f)
                lineToRelative(-0.019f, -0.01f)
                arcToRelative(10.036f, 10.036f, 0.0f, false, false, -0.367f, -0.186f)
                curveToRelative(-0.039f, -0.019f, -0.078f, -0.035f, -0.117f, -0.053f)
                arcToRelative(7.732f, 7.732f, 0.0f, false, false, -0.548f, -0.23f)
                lineToRelative(-0.05f, -0.017f)
                arcToRelative(5.023f, 5.023f, 0.0f, false, false, -0.316f, -0.101f)
                lineToRelative(-0.026f, -0.007f)
                arcToRelative(3.055f, 3.055f, 0.0f, false, false, -0.816f, -0.125f)
                close()
                moveTo(20.6f, 8.641f)
                arcToRelative(0.504f, 0.5f, 0.0f, false, true, 0.505f, 0.5f)
                arcToRelative(0.504f, 0.5f, 0.0f, false, true, -0.505f, 0.5f)
                arcToRelative(0.504f, 0.5f, 0.0f, false, true, -0.504f, -0.5f)
                arcToRelative(0.504f, 0.5f, 0.0f, false, true, 0.504f, -0.5f)
                close()
            }
        }
        .build()
        return _fluentd!!
    }

private var _fluentd: ImageVector? = null
