package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Hive: ImageVector
    get() {
        if (_hive != null) {
            return _hive!!
        }
        _hive = Builder(name = "Hive", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.442f, 21.355f)
                curveToRelative(0.55f, -0.19f, 0.74f, -0.256f, 0.99f, -0.373f)
                curveToRelative(0.342f, -0.152f, 0.605f, -0.39f, 0.605f, -0.818f)
                arcToRelative(0.846f, 0.846f, 0.0f, false, false, -0.605f, -0.813f)
                curveToRelative(-0.318f, -0.092f, -0.703f, 0.042f, -0.99f, 0.122f)
                lineToRelative(-5.42f, 1.46f)
                arcToRelative(7.808f, 7.808f, 0.0f, false, true, -4.057f, 0.0f)
                lineToRelative(-5.407f, -1.46f)
                curveToRelative(-0.287f, -0.08f, -0.672f, -0.214f, -0.99f, -0.122f)
                arcToRelative(0.847f, 0.847f, 0.0f, false, false, -0.605f, 0.813f)
                curveToRelative(0.0f, 0.427f, 0.263f, 0.666f, 0.605f, 0.818f)
                curveToRelative(0.25f, 0.117f, 0.44f, 0.184f, 0.99f, 0.373f)
                lineToRelative(5.138f, 1.79f)
                curveToRelative(1.491f, 0.52f, 3.104f, 0.52f, 4.601f, 0.0f)
                close()
                moveTo(10.179f, 18.131f)
                arcToRelative(7.622f, 7.622f, 0.0f, false, false, 3.636f, 0.0f)
                lineToRelative(8.01f, -1.967f)
                curveToRelative(0.507f, -0.122f, 0.709f, -0.165f, 0.99f, -0.257f)
                curveToRelative(0.354f, -0.116f, 0.605f, -0.415f, 0.605f, -0.806f)
                arcToRelative(0.847f, 0.847f, 0.0f, false, false, -0.605f, -0.813f)
                curveToRelative(-0.281f, -0.08f, -0.697f, 0.024f, -0.99f, 0.08f)
                lineToRelative(-8.664f, 1.545f)
                arcToRelative(6.813f, 6.813f, 0.0f, false, true, -2.334f, 0.0f)
                lineToRelative(-8.652f, -1.545f)
                curveToRelative(-0.293f, -0.056f, -0.708f, -0.16f, -0.99f, -0.08f)
                arcToRelative(0.847f, 0.847f, 0.0f, false, false, -0.604f, 0.813f)
                curveToRelative(0.0f, 0.39f, 0.25f, 0.69f, 0.604f, 0.806f)
                curveToRelative(0.282f, 0.092f, 0.483f, 0.135f, 0.99f, 0.257f)
                close()
                moveTo(14.75f, 0.621f)
                arcToRelative(24.43f, 24.43f, 0.0f, false, false, -5.511f, 0.0f)
                lineTo(6.495f, 0.933f)
                curveToRelative(-0.294f, 0.03f, -0.715f, 0.055f, -0.99f, 0.14f)
                curveToRelative(-0.28f, 0.092f, -0.605f, 0.355f, -0.605f, 0.807f)
                curveToRelative(0.0f, 0.39f, 0.257f, 0.702f, 0.605f, 0.806f)
                curveToRelative(0.281f, 0.08f, 0.696f, 0.074f, 0.99f, 0.074f)
                horizontalLineToRelative(11.01f)
                curveToRelative(0.293f, 0.0f, 0.709f, 0.006f, 0.99f, -0.074f)
                arcToRelative(0.835f, 0.835f, 0.0f, false, false, 0.605f, -0.806f)
                curveToRelative(0.0f, -0.452f, -0.324f, -0.715f, -0.605f, -0.807f)
                curveToRelative(-0.275f, -0.085f, -0.697f, -0.11f, -0.99f, -0.14f)
                close()
                moveTo(20.787f, 7.388f)
                curveToRelative(0.3f, -0.019f, 0.709f, -0.037f, 0.99f, -0.116f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, 0.0f, -1.614f)
                curveToRelative(-0.281f, -0.085f, -0.69f, -0.073f, -0.99f, -0.073f)
                lineTo(3.214f, 5.585f)
                curveToRelative(-0.3f, 0.0f, -0.709f, -0.012f, -0.99f, 0.073f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, 0.0f, 1.614f)
                curveToRelative(0.281f, 0.079f, 0.69f, 0.097f, 0.99f, 0.116f)
                lineToRelative(7.808f, 0.556f)
                curveToRelative(0.642f, 0.042f, 1.308f, 0.042f, 1.943f, 0.0f)
                close()
                moveTo(22.407f, 11.63f)
                curveToRelative(0.513f, -0.08f, 0.708f, -0.104f, 0.989f, -0.202f)
                curveToRelative(0.354f, -0.121f, 0.605f, -0.409f, 0.605f, -0.806f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.605f, -0.806f)
                curveToRelative(-0.28f, -0.086f, -0.69f, -0.019f, -0.99f, 0.012f)
                lineToRelative(-9.232f, 0.929f)
                curveToRelative(-0.776f, 0.079f, -1.582f, 0.079f, -2.358f, 0.0f)
                lineToRelative(-9.22f, -0.93f)
                curveToRelative(-0.3f, -0.03f, -0.715f, -0.097f, -0.99f, -0.011f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, false, -0.605f, 0.806f)
                curveToRelative(0.0f, 0.397f, 0.25f, 0.685f, 0.605f, 0.806f)
                curveToRelative(0.275f, 0.092f, 0.476f, 0.123f, 0.99f, 0.202f)
                lineToRelative(8.823f, 1.418f)
                curveToRelative(1.038f, 0.165f, 2.12f, 0.165f, 3.158f, 0.0f)
                close()
            }
        }
        .build()
        return _hive!!
    }

private var _hive: ImageVector? = null
