package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Hyperledger: ImageVector
    get() {
        if (_hyperledger != null) {
            return _hyperledger!!
        }
        _hyperledger = Builder(name = "Hyperledger", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.593f, 1.008f)
                lineTo(5.725f, 2.067f)
                arcToRelative(0.671f, 0.671f, 0.0f, false, false, -0.688f, -0.585f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.71f, 0.71f)
                curveToRelative(0.0f, 0.256f, 0.14f, 0.455f, 0.326f, 0.58f)
                lineTo(0.106f, 12.636f)
                lineToRelative(-0.047f, 0.044f)
                curveToRelative(-0.06f, 0.06f, -0.059f, 0.06f, -0.059f, 0.12f)
                curveToRelative(0.0f, 0.0f, 0.0f, 0.058f, 0.059f, 0.058f)
                lineToRelative(6.338f, 8.974f)
                arcToRelative(0.716f, 0.716f, 0.0f, false, false, -0.175f, 0.449f)
                curveToRelative(0.0f, 0.415f, 0.355f, 0.71f, 0.71f, 0.71f)
                arcToRelative(0.68f, 0.68f, 0.0f, false, false, 0.705f, -0.666f)
                lineToRelative(10.66f, -1.04f)
                lineToRelative(0.132f, 0.048f)
                arcToRelative(0.226f, 0.226f, 0.0f, false, false, 0.052f, -0.065f)
                curveToRelative(0.037f, -0.004f, 0.068f, -0.014f, 0.068f, -0.054f)
                lineToRelative(4.55f, -9.876f)
                curveToRelative(0.062f, 0.018f, 0.125f, 0.039f, 0.19f, 0.039f)
                curveToRelative(0.356f, 0.0f, 0.711f, -0.355f, 0.711f, -0.71f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.71f, -0.713f)
                arcToRelative(0.693f, 0.693f, 0.0f, false, false, -0.263f, 0.054f)
                lineTo(16.71f, 1.067f)
                curveToRelative(-0.06f, -0.06f, -0.06f, -0.06f, -0.118f, -0.06f)
                close()
                moveTo(16.071f, 1.288f)
                lineToRelative(-4.952f, 2.711f)
                lineToRelative(-5.434f, -1.598f)
                arcToRelative(0.962f, 0.962f, 0.0f, false, false, 0.045f, -0.15f)
                close()
                moveTo(16.475f, 1.304f)
                lineToRelative(1.36f, 5.907f)
                lineToRelative(-3.115f, -1.933f)
                arcToRelative(0.944f, 0.944f, 0.0f, false, false, 0.154f, -0.36f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.71f, -0.71f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, false, -0.667f, 0.49f)
                lineToRelative(-2.07f, -0.608f)
                close()
                moveTo(16.747f, 1.548f)
                lineToRelative(6.062f, 8.607f)
                curveToRelative(-0.03f, 0.028f, -0.052f, 0.06f, -0.076f, 0.093f)
                lineToRelative(-4.676f, -2.9f)
                close()
                moveTo(5.653f, 2.492f)
                lineToRelative(5.339f, 1.577f)
                lineToRelative(-3.644f, 1.995f)
                lineToRelative(-1.876f, -3.339f)
                arcToRelative(0.802f, 0.802f, 0.0f, false, false, 0.18f, -0.233f)
                close()
                moveTo(5.273f, 2.855f)
                lineTo(7.118f, 6.14f)
                lineToRelative(0.012f, 0.059f)
                lineToRelative(-2.093f, 1.917f)
                lineTo(5.037f, 2.903f)
                arcToRelative(0.625f, 0.625f, 0.0f, false, false, 0.236f, -0.048f)
                close()
                moveTo(4.843f, 2.865f)
                curveToRelative(0.044f, 0.014f, 0.09f, 0.023f, 0.135f, 0.027f)
                verticalLineToRelative(5.28f)
                lineTo(0.561f, 12.22f)
                close()
                moveTo(11.299f, 4.16f)
                lineToRelative(2.176f, 0.643f)
                curveToRelative(-0.008f, 0.039f, -0.024f, 0.076f, -0.024f, 0.115f)
                curveToRelative(0.0f, 0.166f, 0.067f, 0.304f, 0.158f, 0.42f)
                lineToRelative(-2.53f, 2.188f)
                lineToRelative(-3.564f, -1.278f)
                close()
                moveTo(13.638f, 5.38f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, 0.525f, 0.25f)
                curveToRelative(0.022f, 0.0f, 0.043f, -0.005f, 0.065f, -0.008f)
                lineToRelative(0.625f, 3.257f)
                lineToRelative(-3.723f, -1.334f)
                close()
                moveTo(14.637f, 5.398f)
                lineToRelative(3.245f, 2.017f)
                lineToRelative(0.64f, 2.779f)
                lineToRelative(-3.598f, -1.29f)
                lineToRelative(-0.62f, -3.295f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, false, 0.333f, -0.211f)
                close()
                moveTo(7.407f, 6.4f)
                lineToRelative(3.527f, 1.251f)
                lineToRelative(-2.803f, 2.424f)
                close()
                moveTo(7.187f, 6.488f)
                lineToRelative(0.748f, 3.756f)
                lineToRelative(-2.38f, 2.056f)
                arcToRelative(0.705f, 0.705f, 0.0f, false, false, -0.518f, -0.211f)
                lineTo(5.037f, 8.457f)
                close()
                moveTo(18.103f, 7.553f)
                lineToRelative(4.545f, 2.826f)
                curveToRelative(-0.015f, 0.033f, -0.022f, 0.066f, -0.032f, 0.1f)
                lineToRelative(-3.917f, -0.285f)
                close()
                moveTo(10.985f, 7.67f)
                lineToRelative(3.902f, 1.384f)
                lineToRelative(0.707f, 3.69f)
                lineToRelative(-3.077f, 2.64f)
                lineToRelative(-3.584f, -1.238f)
                lineToRelative(-0.793f, -4.023f)
                close()
                moveTo(4.978f, 8.51f)
                verticalLineToRelative(3.585f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.652f, 0.705f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, 0.711f, 0.711f)
                curveToRelative(0.03f, 0.0f, 0.056f, -0.013f, 0.085f, -0.017f)
                lineToRelative(0.407f, 2.147f)
                lineToRelative(-5.174f, -2.9f)
                close()
                moveTo(14.958f, 9.078f)
                lineToRelative(3.471f, 1.233f)
                lineToRelative(-2.79f, 2.394f)
                close()
                moveTo(7.944f, 10.292f)
                lineToRelative(0.752f, 3.772f)
                lineToRelative(-3.015f, -1.041f)
                arcToRelative(0.955f, 0.955f, 0.0f, false, false, 0.067f, -0.223f)
                arcToRelative(0.708f, 0.708f, 0.0f, false, false, -0.17f, -0.466f)
                close()
                moveTo(18.724f, 10.432f)
                lineToRelative(3.858f, 0.283f)
                arcToRelative(0.67f, 0.67f, 0.0f, false, false, 0.117f, 0.321f)
                lineToRelative(-4.068f, 3.644f)
                close()
                moveTo(18.543f, 10.57f)
                lineToRelative(-0.095f, 4.273f)
                lineToRelative(-1.566f, 1.403f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, -0.468f, -0.186f)
                curveToRelative(-0.05f, 0.0f, -0.093f, 0.017f, -0.14f, 0.025f)
                lineToRelative(-0.576f, -3.068f)
                close()
                moveTo(22.816f, 11.188f)
                curveToRelative(0.026f, 0.024f, 0.059f, 0.037f, 0.088f, 0.057f)
                lineToRelative(-4.407f, 9.576f)
                lineToRelative(0.13f, -5.94f)
                close()
                moveTo(15.654f, 13.054f)
                lineToRelative(0.582f, 3.038f)
                arcToRelative(0.654f, 0.654f, 0.0f, false, false, -0.483f, 0.412f)
                lineToRelative(-2.932f, -1.014f)
                close()
                moveTo(5.646f, 13.109f)
                lineToRelative(3.07f, 1.062f)
                lineToRelative(0.73f, 3.664f)
                lineToRelative(-3.838f, -2.15f)
                lineToRelative(-0.427f, -2.204f)
                arcToRelative(0.713f, 0.713f, 0.0f, false, false, 0.465f, -0.372f)
                close()
                moveTo(0.523f, 13.121f)
                lineToRelative(5.07f, 2.85f)
                lineToRelative(1.075f, 5.653f)
                curveToRelative(-0.03f, 0.013f, -0.054f, 0.034f, -0.081f, 0.05f)
                close()
                moveTo(8.953f, 14.253f)
                lineToRelative(3.482f, 1.202f)
                lineToRelative(-2.775f, 2.382f)
                close()
                moveTo(18.444f, 15.041f)
                lineToRelative(-0.133f, 5.997f)
                lineToRelative(-5.669f, -2.02f)
                lineToRelative(3.198f, -1.855f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, false, 0.574f, 0.32f)
                arcToRelative(0.722f, 0.722f, 0.0f, false, false, 0.712f, -0.713f)
                arcToRelative(0.676f, 0.676f, 0.0f, false, false, -0.162f, -0.426f)
                close()
                moveTo(12.74f, 15.56f)
                lineToRelative(2.996f, 1.035f)
                curveToRelative(-0.013f, 0.058f, -0.032f, 0.112f, -0.032f, 0.175f)
                curveToRelative(0.0f, 0.11f, 0.028f, 0.21f, 0.071f, 0.301f)
                lineTo(12.5f, 18.967f)
                lineToRelative(-2.633f, -0.937f)
                close()
                moveTo(5.671f, 16.016f)
                lineToRelative(3.786f, 2.13f)
                lineToRelative(-2.213f, 3.493f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, -0.492f, -0.043f)
                close()
                moveTo(9.655f, 18.233f)
                lineToRelative(2.553f, 0.903f)
                lineToRelative(-4.706f, 2.723f)
                curveToRelative(-0.025f, -0.035f, -0.047f, -0.073f, -0.08f, -0.103f)
                close()
                moveTo(12.352f, 19.187f)
                lineToRelative(5.533f, 1.955f)
                lineToRelative(-10.274f, 0.957f)
                curveToRelative(-0.011f, -0.047f, -0.022f, -0.094f, -0.042f, -0.137f)
                close()
            }
        }
        .build()
        return _hyperledger!!
    }

private var _hyperledger: ImageVector? = null
