package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jabber: ImageVector
    get() {
        if (_jabber != null) {
            return _jabber!!
        }
        _jabber = Builder(name = "Jabber", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.597f, 11.737f)
                curveToRelative(0.0f, -0.35f, -0.065f, -0.732f, -0.268f, -1.025f)
                curveToRelative(-0.408f, -0.588f, -1.283f, -0.775f, -1.892f, -0.405f)
                curveToRelative(-0.308f, 0.188f, -0.48f, 0.515f, -0.576f, 0.851f)
                curveToRelative(-0.191f, 0.668f, -0.104f, 1.43f, 0.03f, 2.1f)
                curveToRelative(0.043f, 0.214f, 0.088f, 0.428f, 0.148f, 0.639f)
                curveToRelative(0.021f, 0.076f, 0.031f, 0.186f, 0.08f, 0.25f)
                curveToRelative(0.087f, 0.11f, 0.297f, 0.141f, 0.426f, 0.12f)
                curveToRelative(0.387f, -0.065f, 0.291f, -0.703f, 0.278f, -0.974f)
                curveToRelative(-0.03f, -0.634f, -0.218f, -1.25f, -0.036f, -1.881f)
                curveToRelative(0.076f, -0.268f, 0.225f, -0.568f, 0.494f, -0.684f)
                curveToRelative(0.244f, -0.105f, 0.49f, 0.023f, 0.586f, 0.261f)
                curveToRelative(0.156f, 0.385f, 0.117f, 0.83f, 0.215f, 1.23f)
                curveToRelative(0.033f, 0.137f, 0.07f, 0.272f, 0.131f, 0.399f)
                curveToRelative(0.018f, 0.037f, 0.043f, 0.113f, 0.094f, 0.108f)
                curveToRelative(0.126f, -0.011f, 0.304f, -0.22f, 0.398f, -0.298f)
                curveToRelative(0.304f, -0.25f, 0.616f, -0.52f, 0.965f, -0.705f)
                curveToRelative(0.165f, -0.088f, 0.435f, -0.23f, 0.603f, -0.08f)
                arcToRelative(0.612f, 0.612f, 0.0f, false, true, 0.108f, 0.13f)
                curveToRelative(0.198f, 0.31f, 0.002f, 0.55f, -0.127f, 0.845f)
                curveToRelative(-0.166f, 0.38f, -0.336f, 0.758f, -0.577f, 1.098f)
                curveToRelative(-0.207f, 0.293f, -0.49f, 0.549f, -0.655f, 0.869f)
                curveToRelative(-0.107f, 0.205f, -0.167f, 0.43f, -0.123f, 0.663f)
                curveToRelative(0.036f, 0.188f, 0.181f, 0.301f, 0.373f, 0.257f)
                curveToRelative(0.143f, -0.033f, 0.24f, -0.156f, 0.322f, -0.269f)
                curveToRelative(0.146f, -0.202f, 0.281f, -0.412f, 0.426f, -0.615f)
                curveToRelative(0.28f, -0.393f, 0.61f, -0.76f, 0.846f, -1.183f)
                arcToRelative(3.41f, 3.41f, 0.0f, false, false, 0.42f, -1.664f)
                curveToRelative(0.0f, -0.474f, -0.171f, -1.198f, -0.723f, -1.298f)
                arcToRelative(0.974f, 0.974f, 0.0f, false, false, -0.326f, 0.01f)
                arcToRelative(1.432f, 1.432f, 0.0f, false, false, -0.374f, 0.12f)
                arcToRelative(2.715f, 2.715f, 0.0f, false, false, -0.818f, 0.637f)
                curveToRelative(-0.146f, 0.16f, -0.276f, 0.363f, -0.449f, 0.495f)
                moveTo(9.078f, 0.016f)
                curveToRelative(-0.435f, 0.058f, -0.878f, 0.052f, -1.315f, 0.12f)
                curveToRelative(-0.838f, 0.129f, -1.64f, 0.389f, -2.425f, 0.703f)
                curveToRelative(-0.286f, 0.114f, -0.568f, 0.241f, -0.845f, 0.376f)
                curveToRelative(-0.103f, 0.05f, -0.26f, 0.09f, -0.343f, 0.17f)
                curveToRelative(-0.043f, 0.041f, -0.039f, 0.139f, -0.044f, 0.195f)
                curveToRelative(-0.014f, 0.156f, -0.034f, 0.313f, -0.05f, 0.47f)
                curveToRelative(-0.058f, 0.605f, -0.1f, 1.229f, -0.013f, 1.834f)
                curveToRelative(0.028f, 0.195f, 0.09f, 0.55f, 0.33f, 0.587f)
                curveToRelative(0.369f, 0.058f, 0.656f, -0.397f, 0.837f, -0.648f)
                curveToRelative(0.424f, -0.586f, 0.905f, -1.132f, 1.6f, -1.394f)
                curveToRelative(0.817f, -0.308f, 1.753f, -0.381f, 2.618f, -0.44f)
                curveToRelative(2.426f, -0.167f, 5.078f, 0.277f, 6.865f, 2.064f)
                curveToRelative(0.254f, 0.254f, 0.495f, 0.524f, 0.7f, 0.82f)
                curveToRelative(0.8f, 1.159f, 1.223f, 2.477f, 1.427f, 3.86f)
                curveToRelative(0.096f, 0.65f, 0.161f, 1.308f, 0.013f, 1.955f)
                curveToRelative(-0.257f, 1.122f, -0.932f, 2.1f, -1.706f, 2.931f)
                curveToRelative(-0.53f, 0.57f, -1.128f, 1.084f, -1.749f, 1.552f)
                curveToRelative(-0.347f, 0.261f, -0.736f, 0.483f, -1.062f, 0.768f)
                curveToRelative(-0.375f, 0.329f, -0.688f, 0.74f, -0.925f, 1.179f)
                curveToRelative(-0.639f, 1.181f, -0.81f, 2.602f, -0.622f, 3.92f)
                curveToRelative(0.038f, 0.27f, 0.073f, 0.542f, 0.134f, 0.809f)
                curveToRelative(0.018f, 0.08f, 0.022f, 0.217f, 0.073f, 0.282f)
                curveToRelative(0.097f, 0.122f, 0.36f, 0.189f, 0.508f, 0.196f)
                curveToRelative(0.154f, 0.007f, 0.256f, -0.11f, 0.294f, -0.249f)
                curveToRelative(0.064f, -0.236f, 0.026f, -0.498f, -0.012f, -0.736f)
                curveToRelative(-0.076f, -0.487f, -0.147f, -0.977f, -0.125f, -1.471f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, 1.026f, -2.425f)
                curveToRelative(0.643f, -0.673f, 1.512f, -1.061f, 2.243f, -1.625f)
                curveToRelative(1.474f, -1.136f, 2.794f, -2.668f, 3.301f, -4.492f)
                arcToRelative(5.194f, 5.194f, 0.0f, false, false, 0.159f, -2.015f)
                curveToRelative(-0.105f, -0.849f, -0.415f, -1.697f, -0.708f, -2.497f)
                curveToRelative(-0.892f, -2.437f, -2.422f, -4.755f, -4.851f, -5.87f)
                curveToRelative(-0.964f, -0.443f, -1.973f, -0.645f, -3.016f, -0.79f)
                curveToRelative(-0.49f, -0.068f, -0.98f, -0.11f, -1.472f, -0.132f)
                curveToRelative(-0.274f, -0.012f, -0.572f, -0.042f, -0.845f, -0.006f)
                moveTo(5.277f, 15.796f)
                curveToRelative(-0.473f, 0.068f, -0.61f, 0.447f, -0.523f, 0.876f)
                curveToRelative(0.112f, 0.548f, 0.543f, 0.965f, 0.97f, 1.295f)
                arcToRelative(6.03f, 6.03f, 0.0f, false, false, 3.884f, 1.238f)
                curveToRelative(0.538f, -0.023f, 1.124f, -0.112f, 1.617f, -0.34f)
                curveToRelative(0.265f, -0.122f, 0.542f, -0.563f, 0.181f, -0.751f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, -0.169f, -0.051f)
                curveToRelative(-0.157f, -0.026f, -0.333f, 0.041f, -0.482f, 0.084f)
                curveToRelative(-0.263f, 0.075f, -0.526f, 0.153f, -0.797f, 0.196f)
                curveToRelative(-0.808f, 0.13f, -1.683f, -0.055f, -2.352f, -0.534f)
                curveToRelative(-0.542f, -0.387f, -0.98f, -0.898f, -1.393f, -1.415f)
                curveToRelative(-0.253f, -0.316f, -0.482f, -0.663f, -0.936f, -0.598f)
                moveTo(4.662f, 18.474f)
                curveToRelative(-0.12f, 0.016f, -0.259f, 0.011f, -0.362f, 0.087f)
                curveToRelative(-0.215f, 0.158f, 0.022f, 0.476f, 0.135f, 0.62f)
                curveToRelative(0.328f, 0.417f, 0.76f, 0.763f, 1.192f, 1.068f)
                arcToRelative(7.832f, 7.832f, 0.0f, false, false, 4.03f, 1.442f)
                curveToRelative(0.421f, 0.03f, 0.85f, 0.0f, 1.267f, -0.07f)
                curveToRelative(0.152f, -0.026f, 0.342f, -0.037f, 0.482f, -0.103f)
                curveToRelative(0.399f, -0.186f, 0.284f, -0.939f, -0.072f, -1.106f)
                curveToRelative(-0.155f, -0.073f, -0.404f, 0.023f, -0.567f, 0.046f)
                curveToRelative(-0.385f, 0.054f, -0.771f, 0.06f, -1.158f, 0.05f)
                curveToRelative(-1.015f, -0.025f, -2.096f, -0.338f, -2.98f, -0.831f)
                arcToRelative(5.589f, 5.589f, 0.0f, false, true, -0.966f, -0.693f)
                curveToRelative(-0.181f, -0.16f, -0.368f, -0.42f, -0.603f, -0.502f)
                curveToRelative(-0.11f, -0.037f, -0.284f, -0.023f, -0.398f, -0.008f)
                moveTo(4.903f, 20.73f)
                arcToRelative(0.638f, 0.638f, 0.0f, false, false, -0.413f, 0.236f)
                curveToRelative(-0.078f, 0.088f, -0.152f, 0.167f, -0.197f, 0.278f)
                curveToRelative(-0.246f, 0.609f, 0.41f, 1.183f, 0.864f, 1.47f)
                curveToRelative(0.504f, 0.32f, 1.055f, 0.558f, 1.616f, 0.758f)
                curveToRelative(1.266f, 0.45f, 2.752f, 0.739f, 4.066f, 0.336f)
                curveToRelative(0.391f, -0.12f, 0.778f, -0.338f, 1.062f, -0.634f)
                curveToRelative(0.16f, -0.167f, 0.27f, -0.419f, -0.024f, -0.526f)
                curveToRelative(-0.174f, -0.063f, -0.385f, 0.098f, -0.543f, 0.162f)
                arcToRelative(4.57f, 4.57f, 0.0f, false, true, -1.158f, 0.312f)
                curveToRelative(-0.527f, 0.064f, -1.001f, -0.052f, -1.508f, -0.179f)
                curveToRelative(-0.434f, -0.108f, -0.872f, -0.217f, -1.291f, -0.373f)
                arcToRelative(4.457f, 4.457f, 0.0f, false, true, -1.026f, -0.513f)
                curveToRelative(-0.094f, -0.066f, -0.206f, -0.125f, -0.282f, -0.211f)
                curveToRelative(-0.25f, -0.282f, -0.439f, -0.612f, -0.707f, -0.88f)
                curveToRelative(-0.116f, -0.116f, -0.281f, -0.256f, -0.459f, -0.236f)
            }
        }
        .build()
        return _jabber!!
    }

private var _jabber: ImageVector? = null
