package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Jenkins: ImageVector
    get() {
        if (_jenkins != null) {
            return _jenkins!!
        }
        _jenkins = Builder(name = "Jenkins", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.872f, 24.0f)
                horizontalLineToRelative(-0.975f)
                arcToRelative(3.866f, 3.866f, 0.0f, false, true, -0.07f, -0.197f)
                curveToRelative(-0.215f, -0.666f, -0.594f, -1.49f, -0.692f, -2.154f)
                curveToRelative(-0.146f, -0.984f, 0.78f, -1.039f, 1.374f, -1.465f)
                curveToRelative(0.915f, -0.66f, 1.635f, -1.025f, 2.627f, -1.62f)
                curveToRelative(0.295f, -0.179f, 1.182f, -0.624f, 1.281f, -0.829f)
                curveToRelative(0.201f, -0.408f, -0.345f, -0.982f, -0.49f, -1.3f)
                curveToRelative(-0.225f, -0.507f, -0.345f, -0.937f, -0.376f, -1.435f)
                curveToRelative(-0.824f, -0.13f, -1.455f, -0.627f, -1.844f, -1.185f)
                curveToRelative(-0.63f, -0.925f, -1.066f, -2.635f, -0.525f, -3.936f)
                curveToRelative(0.045f, -0.103f, 0.254f, -0.305f, 0.285f, -0.463f)
                curveToRelative(0.06f, -0.308f, -0.105f, -0.72f, -0.12f, -1.048f)
                curveToRelative(-0.06f, -1.692f, 0.284f, -3.15f, 1.425f, -3.66f)
                curveToRelative(0.463f, -1.84f, 2.113f, -2.453f, 3.673f, -3.367f)
                curveToRelative(0.58f, -0.342f, 1.224f, -0.562f, 1.89f, -0.807f)
                curveToRelative(2.372f, -0.877f, 6.027f, -0.712f, 7.994f, 0.783f)
                curveToRelative(0.836f, 0.633f, 2.176f, 1.97f, 2.656f, 2.939f)
                curveToRelative(1.262f, 2.555f, 1.17f, 6.825f, 0.287f, 9.934f)
                curveToRelative(-0.12f, 0.421f, -0.29f, 1.032f, -0.533f, 1.533f)
                curveToRelative(-0.168f, 0.35f, -0.689f, 1.05f, -0.625f, 1.36f)
                curveToRelative(0.064f, 0.314f, 1.19f, 1.17f, 1.432f, 1.395f)
                curveToRelative(0.434f, 0.422f, 1.26f, 0.975f, 1.324f, 1.5f)
                curveToRelative(0.07f, 0.557f, -0.248f, 1.336f, -0.41f, 1.875f)
                curveToRelative(-0.217f, 0.721f, -0.436f, 1.441f, -0.654f, 2.131f)
                lineTo(2.87f, 23.984f)
                close()
                moveTo(13.976f, 20.46f)
                curveToRelative(-0.545f, -0.3f, -1.361f, -0.622f, -2.065f, -0.757f)
                curveToRelative(-0.87f, -0.164f, -0.78f, 1.188f, -0.75f, 1.994f)
                curveToRelative(0.03f, 0.643f, 0.36f, 1.316f, 0.51f, 1.744f)
                curveToRelative(0.076f, 0.197f, 0.09f, 0.41f, 0.256f, 0.449f)
                curveToRelative(0.3f, 0.068f, 1.29f, -0.326f, 1.575f, -0.479f)
                curveToRelative(0.6f, -0.328f, 1.064f, -0.844f, 1.574f, -1.189f)
                curveToRelative(0.016f, -0.17f, 0.016f, -0.34f, 0.03f, -0.508f)
                arcToRelative(2.648f, 2.648f, 0.0f, false, false, -1.095f, -0.277f)
                curveToRelative(0.314f, -0.15f, 0.75f, -0.15f, 1.035f, -0.332f)
                lineToRelative(0.016f, -0.193f)
                curveToRelative(-0.496f, -0.03f, -0.69f, -0.254f, -1.021f, -0.436f)
                close()
                moveTo(21.43f, 23.395f)
                arcToRelative(17.78f, 17.78f, 0.0f, false, false, 0.465f, -1.752f)
                curveToRelative(0.06f, -0.287f, 0.215f, -0.918f, 0.178f, -1.176f)
                curveToRelative(-0.059f, -0.459f, -0.684f, -0.799f, -1.004f, -1.086f)
                curveToRelative(-0.584f, -0.525f, -0.95f, -0.975f, -1.56f, -1.469f)
                curveToRelative(-0.249f, 0.375f, -0.78f, 0.615f, -0.983f, 0.914f)
                curveToRelative(1.447f, -0.689f, 1.71f, 2.625f, 1.141f, 3.69f)
                curveToRelative(0.09f, 0.329f, 0.391f, 0.45f, 0.514f, 0.735f)
                lineToRelative(-0.086f, 0.166f)
                horizontalLineToRelative(1.29f)
                curveToRelative(0.013f, 0.0f, 0.03f, 0.0f, 0.044f, 0.014f)
                close()
                moveTo(14.796f, 23.383f)
                curveToRelative(-0.05f, -0.074f, -0.1f, -0.135f, -0.15f, -0.209f)
                lineToRelative(-0.301f, 0.195f)
                horizontalLineToRelative(0.45f)
                close()
                moveTo(17.566f, 23.383f)
                curveToRelative(0.008f, -0.209f, 0.018f, -0.404f, 0.03f, -0.598f)
                curveToRelative(-0.53f, 0.029f, -0.825f, -0.48f, -1.196f, -0.527f)
                curveToRelative(-0.324f, -0.045f, -0.6f, 0.361f, -1.02f, 0.195f)
                curveToRelative(-0.095f, 0.105f, -0.183f, 0.227f, -0.284f, 0.316f)
                curveToRelative(0.154f, 0.18f, 0.295f, 0.375f, 0.424f, 0.584f)
                horizontalLineToRelative(0.815f)
                curveToRelative(0.014f, -0.164f, 0.135f, -0.285f, 0.3f, -0.285f)
                curveToRelative(0.165f, 0.0f, 0.284f, 0.121f, 0.284f, 0.27f)
                horizontalLineToRelative(0.66f)
                close()
                moveTo(19.682f, 23.383f)
                curveToRelative(-0.314f, -0.479f, -0.947f, -0.898f, -1.68f, -0.555f)
                lineToRelative(-0.03f, 0.541f)
                horizontalLineToRelative(1.71f)
                close()
                moveTo(11.172f, 23.383f)
                lineToRelative(-0.104f, -0.344f)
                curveToRelative(-0.225f, -0.72f, -0.36f, -1.26f, -0.405f, -1.68f)
                curveToRelative(-0.914f, -0.436f, -1.875f, -0.87f, -2.654f, -1.426f)
                curveToRelative(-0.15f, -0.105f, -1.109f, -1.35f, -1.23f, -1.305f)
                curveToRelative(-1.739f, 0.676f, -3.359f, 1.86f, -4.814f, 2.984f)
                curveToRelative(0.256f, 0.557f, 0.48f, 1.141f, 0.69f, 1.74f)
                horizontalLineToRelative(8.505f)
                close()
                moveTo(19.437f, 21.27f)
                curveToRelative(-0.029f, -0.512f, -0.164f, -1.56f, -0.48f, -1.74f)
                curveToRelative(-0.66f, -0.39f, -1.846f, 0.78f, -2.34f, 0.943f)
                curveToRelative(0.045f, 0.15f, 0.135f, 0.271f, 0.15f, 0.48f)
                curveToRelative(0.285f, -0.074f, 0.645f, -0.029f, 0.898f, 0.092f)
                curveToRelative(-0.299f, 0.03f, -0.629f, 0.03f, -0.824f, 0.164f)
                curveToRelative(-0.074f, 0.195f, 0.016f, 0.48f, -0.029f, 0.764f)
                curveToRelative(0.69f, 0.197f, 1.5f, 0.303f, 2.385f, 0.332f)
                curveToRelative(0.164f, -0.227f, 0.225f, -0.645f, 0.211f, -1.082f)
                close()
                moveTo(15.357f, 20.91f)
                curveToRelative(-0.044f, 0.375f, 0.046f, 0.51f, 0.12f, 0.943f)
                curveToRelative(1.26f, 0.391f, 1.034f, -1.74f, -0.135f, -0.959f)
                close()
                moveTo(8.76f, 19.5f)
                curveToRelative(-0.45f, 0.457f, 1.27f, 1.082f, 1.814f, 1.115f)
                curveToRelative(0.0f, -0.29f, 0.165f, -0.564f, 0.135f, -0.77f)
                curveToRelative(-0.65f, -0.118f, -1.502f, -0.042f, -1.945f, -0.347f)
                close()
                moveTo(14.325f, 19.715f)
                curveToRelative(0.0f, 0.043f, -0.061f, 0.03f, -0.068f, 0.064f)
                curveToRelative(0.58f, 0.451f, 1.014f, 0.545f, 1.802f, 0.51f)
                curveToRelative(0.354f, -0.262f, 0.67f, -0.563f, 1.043f, -0.807f)
                curveToRelative(-0.855f, 0.074f, -1.931f, 0.607f, -2.774f, 0.23f)
                close()
                moveTo(17.745f, 1.989f)
                curveToRelative(-1.606f, -0.906f, -4.35f, -1.591f, -6.076f, -0.731f)
                curveToRelative(-1.38f, 0.692f, -3.27f, 1.84f, -3.899f, 3.292f)
                curveToRelative(0.6f, 1.402f, -0.166f, 2.686f, -0.226f, 4.109f)
                curveToRelative(-0.018f, 0.757f, 0.36f, 1.42f, 0.391f, 2.242f)
                curveToRelative(-0.2f, 0.338f, -0.825f, 0.38f, -1.26f, 0.356f)
                curveToRelative(-0.146f, -0.729f, -0.4f, -1.549f, -1.155f, -1.63f)
                curveToRelative(-1.064f, -0.116f, -1.845f, 0.764f, -1.89f, 1.683f)
                curveToRelative(-0.06f, 1.08f, 0.833f, 2.864f, 2.085f, 2.745f)
                curveToRelative(0.488f, -0.046f, 0.608f, -0.54f, 1.139f, -0.54f)
                curveToRelative(0.285f, 0.57f, -0.445f, 0.75f, -0.523f, 1.154f)
                curveToRelative(-0.016f, 0.105f, 0.06f, 0.511f, 0.104f, 0.705f)
                curveToRelative(0.233f, 0.944f, 0.744f, 2.16f, 1.245f, 2.88f)
                curveToRelative(0.635f, 0.9f, 1.884f, 1.051f, 3.229f, 1.141f)
                curveToRelative(0.24f, -0.525f, 1.125f, -0.48f, 1.706f, -0.346f)
                curveToRelative(-0.691f, -0.27f, -1.336f, -0.945f, -1.875f, -1.529f)
                curveToRelative(-0.615f, -0.676f, -1.23f, -1.41f, -1.261f, -2.28f)
                curveToRelative(1.155f, 1.604f, 2.1f, 3.0f, 4.2f, 3.704f)
                curveToRelative(1.59f, 0.525f, 3.45f, -0.254f, 4.664f, -1.109f)
                curveToRelative(0.51f, -0.359f, 0.811f, -0.93f, 1.17f, -1.439f)
                curveToRelative(1.35f, -1.936f, 1.98f, -4.71f, 1.846f, -7.394f)
                curveToRelative(-0.06f, -1.111f, -0.06f, -2.221f, -0.436f, -2.955f)
                curveToRelative(-0.389f, -0.781f, -1.695f, -1.471f, -2.475f, -0.781f)
                curveToRelative(-0.15f, -0.764f, 0.63f, -1.23f, 1.545f, -0.96f)
                curveToRelative(-0.66f, -0.854f, -1.336f, -1.858f, -2.266f, -2.384f)
                close()
                moveTo(13.58f, 14.896f)
                curveToRelative(0.615f, 1.544f, 2.724f, 1.363f, 4.505f, 1.323f)
                curveToRelative(-0.084f, 0.194f, -0.256f, 0.435f, -0.465f, 0.515f)
                curveToRelative(-0.57f, 0.232f, -2.145f, 0.408f, -2.937f, -0.012f)
                curveToRelative(-0.506f, -0.27f, -0.824f, -0.873f, -1.102f, -1.227f)
                curveToRelative(-0.137f, -0.172f, -0.795f, -0.608f, -0.012f, -0.609f)
                close()
                moveTo(13.744f, 14.026f)
                curveToRelative(0.893f, 0.464f, 2.52f, 0.517f, 3.731f, 0.48f)
                curveToRelative(0.066f, 0.267f, 0.066f, 0.593f, 0.068f, 0.913f)
                curveToRelative(-1.55f, 0.08f, -3.386f, -0.304f, -3.794f, -1.395f)
                horizontalLineToRelative(-0.005f)
                close()
                moveTo(20.419f, 13.44f)
                curveToRelative(-0.473f, 0.9f, -1.145f, 1.897f, -2.539f, 1.928f)
                curveToRelative(-0.023f, -0.284f, -0.045f, -0.735f, 0.0f, -0.904f)
                curveToRelative(1.064f, -0.103f, 1.727f, -0.646f, 2.543f, -1.017f)
                close()
                moveTo(19.77f, 12.773f)
                curveToRelative(-1.02f, 0.66f, -2.154f, 1.375f, -3.824f, 1.21f)
                curveToRelative(-0.351f, -0.31f, -0.485f, -1.0f, -0.14f, -1.458f)
                curveToRelative(0.181f, 0.313f, 0.06f, 0.885f, 0.57f, 0.97f)
                curveToRelative(0.944f, 0.165f, 2.038f, -0.579f, 2.73f, -0.84f)
                curveToRelative(0.42f, -0.713f, -0.046f, -0.976f, -0.42f, -1.433f)
                curveToRelative(-0.782f, -0.93f, -1.83f, -2.1f, -1.802f, -3.51f)
                curveToRelative(0.314f, -0.224f, 0.346f, 0.346f, 0.391f, 0.45f)
                curveToRelative(0.404f, 0.96f, 1.424f, 2.175f, 2.174f, 3.0f)
                curveToRelative(0.18f, 0.21f, 0.48f, 0.39f, 0.51f, 0.524f)
                curveToRelative(0.092f, 0.39f, -0.254f, 0.854f, -0.209f, 1.11f)
                close()
                moveTo(6.331f, 12.098f)
                curveToRelative(-0.314f, -0.184f, -0.393f, -0.99f, -0.768f, -1.01f)
                curveToRelative(-0.535f, -0.03f, -0.438f, 1.05f, -0.436f, 1.68f)
                curveToRelative(-0.37f, -0.33f, -0.435f, -1.365f, -0.164f, -1.89f)
                curveToRelative(-0.308f, -0.15f, -0.445f, 0.164f, -0.618f, 0.284f)
                curveToRelative(0.22f, -1.59f, 2.34f, -0.734f, 1.99f, 0.96f)
                close()
                moveTo(4.713f, 5.995f)
                curveToRelative(-0.685f, 0.756f, -0.54f, 2.174f, -0.459f, 3.188f)
                curveToRelative(1.244f, -0.785f, 2.898f, 0.06f, 2.883f, 1.394f)
                curveToRelative(0.595f, -0.016f, 0.223f, -0.744f, 0.115f, -1.215f)
                curveToRelative(-0.353f, -1.528f, 0.592f, -3.187f, 0.041f, -4.59f)
                curveToRelative(-1.064f, 0.084f, -1.939f, 0.52f, -2.578f, 1.215f)
                close()
                moveTo(13.833f, 7.108f)
                curveToRelative(0.307f, 0.562f, 0.404f, 1.148f, 0.84f, 1.57f)
                curveToRelative(0.195f, 0.19f, 0.574f, 0.424f, 0.387f, 0.95f)
                curveToRelative(-0.045f, 0.121f, -0.365f, 0.391f, -0.551f, 0.45f)
                curveToRelative(-0.674f, 0.195f, -2.254f, 0.03f, -1.721f, -0.81f)
                curveToRelative(0.563f, 0.015f, 1.314f, 0.36f, 1.732f, -0.045f)
                curveToRelative(-0.314f, -0.524f, -0.885f, -1.53f, -0.674f, -2.13f)
                close()
                moveTo(20.031f, 7.095f)
                horizontalLineToRelative(0.068f)
                curveToRelative(0.33f, 0.668f, 0.6f, 1.375f, 1.004f, 1.965f)
                curveToRelative(-0.27f, 0.628f, -2.053f, 1.19f, -2.023f, 0.057f)
                curveToRelative(0.39f, -0.17f, 1.05f, -0.035f, 1.395f, -0.25f)
                curveToRelative(-0.193f, -0.556f, -0.48f, -1.006f, -0.434f, -1.771f)
                close()
                moveTo(13.104f, 5.478f)
                curveToRelative(-1.422f, -0.33f, -2.131f, 0.592f, -2.56f, 1.553f)
                curveToRelative(-0.384f, -0.094f, -0.231f, -0.615f, -0.135f, -0.883f)
                curveToRelative(0.255f, -0.701f, 1.28f, -1.633f, 2.119f, -1.506f)
                curveToRelative(0.359f, 0.057f, 0.848f, 0.386f, 0.576f, 0.834f)
                close()
                moveTo(9.642f, 1.593f)
                curveToRelative(-1.56f, 0.44f, -3.56f, 1.574f, -4.2f, 2.974f)
                curveToRelative(0.495f, -0.07f, 0.84f, -0.321f, 1.33f, -0.351f)
                curveToRelative(0.186f, -0.016f, 0.428f, 0.074f, 0.641f, 0.015f)
                curveToRelative(0.424f, -0.104f, 0.78f, -1.065f, 1.102f, -1.41f)
                curveToRelative(0.31f, -0.345f, 0.685f, -0.496f, 0.94f, -0.81f)
                curveToRelative(0.167f, -0.09f, 0.409f, -0.074f, 0.42f, -0.33f)
                curveToRelative(-0.073f, -0.075f, -0.15f, -0.135f, -0.232f, -0.105f)
                verticalLineToRelative(0.017f)
                close()
            }
        }
        .build()
        return _jenkins!!
    }

private var _jenkins: ImageVector? = null
