package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kakao: ImageVector
    get() {
        if (_kakao != null) {
            return _kakao!!
        }
        _kakao = Builder(name = "Kakao", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.0743f, 10.4403f)
                lineToRelative(0.655f, 0.4728f)
                lineToRelative(-1.6101f, 2.0192f)
                lineToRelative(1.8647f, 2.2373f)
                lineToRelative(-0.646f, 0.5004f)
                lineToRelative(-2.201f, -2.6924f)
                close()
                moveTo(0.8367f, 15.5423f)
                lineTo(0.0f, 15.5423f)
                lineTo(0.0f, 8.5121f)
                lineToRelative(0.8367f, -0.182f)
                close()
                moveTo(21.7807f, 11.1586f)
                curveToRelative(-0.4364f, 0.0f, -0.7715f, 0.1637f, -1.0049f, 0.4912f)
                curveToRelative(-0.2338f, 0.3274f, -0.3505f, 0.8064f, -0.3505f, 1.437f)
                curveToRelative(0.0f, 0.6247f, 0.1167f, 1.096f, 0.3505f, 1.4143f)
                curveToRelative(0.2334f, 0.3183f, 0.5685f, 0.4775f, 1.0049f, 0.4775f)
                curveToRelative(0.4423f, 0.0f, 0.7804f, -0.1593f, 1.0143f, -0.4775f)
                curveToRelative(0.2332f, -0.3182f, 0.35f, -0.7896f, 0.35f, -1.4142f)
                curveToRelative(0.0f, -0.6307f, -0.1168f, -1.1097f, -0.35f, -1.4371f)
                curveToRelative(-0.234f, -0.3275f, -0.572f, -0.4912f, -1.0143f, -0.4912f)
                moveToRelative(0.0f, -0.673f)
                curveToRelative(0.691f, 0.0f, 1.234f, 0.2245f, 1.6277f, 0.673f)
                curveToRelative(0.3944f, 0.4488f, 0.5916f, 1.0915f, 0.5916f, 1.9283f)
                curveToRelative(0.0f, 0.8244f, -0.1955f, 1.4583f, -0.5868f, 1.901f)
                curveToRelative(-0.3909f, 0.4422f, -0.9356f, 0.6637f, -1.6325f, 0.6637f)
                curveToRelative(-0.691f, 0.0f, -1.234f, -0.2215f, -1.6277f, -0.6638f)
                curveToRelative(-0.3944f, -0.4426f, -0.5916f, -1.0765f, -0.5916f, -1.901f)
                curveToRelative(0.0f, -0.8367f, 0.1984f, -1.4794f, 0.5957f, -1.9282f)
                curveToRelative(0.3973f, -0.4485f, 0.9385f, -0.673f, 1.6236f, -0.673f)
                moveToRelative(-5.534f, 4.4658f)
                arcToRelative(1.496f, 1.496f, 0.0f, false, false, 0.3576f, -0.0456f)
                arcToRelative(2.8804f, 2.8804f, 0.0f, false, false, 0.3713f, -0.1181f)
                arcToRelative(2.0066f, 2.0066f, 0.0f, false, false, 0.3488f, -0.1774f)
                arcToRelative(2.0778f, 2.0778f, 0.0f, false, false, 0.2895f, -0.2229f)
                verticalLineToRelative(-1.1641f)
                horizontalLineToRelative(-0.8693f)
                curveToRelative(-0.441f, 0.0f, -0.7626f, 0.0758f, -0.9645f, 0.2274f)
                curveToRelative(-0.2025f, 0.1516f, -0.3031f, 0.391f, -0.3031f, 0.7185f)
                curveToRelative(0.0f, 0.5214f, 0.2563f, 0.7822f, 0.7697f, 0.7822f)
                moveToRelative(-1.5704f, -0.7458f)
                curveToRelative(0.0f, -0.5032f, 0.1682f, -0.887f, 0.5045f, -1.1504f)
                curveToRelative(0.337f, -0.2638f, 0.826f, -0.396f, 1.4691f, -0.396f)
                horizontalLineToRelative(0.964f)
                verticalLineToRelative(-0.3182f)
                curveToRelative(0.0f, -0.77f, -0.3393f, -1.155f, -1.0185f, -1.155f)
                curveToRelative(-0.2184f, 0.0f, -0.447f, 0.0304f, -0.6869f, 0.091f)
                curveToRelative(-0.2398f, 0.0608f, -0.4594f, 0.1365f, -0.659f, 0.2274f)
                lineToRelative(-0.2457f, -0.5913f)
                curveToRelative(0.2487f, -0.1394f, 0.517f, -0.2469f, 0.8047f, -0.323f)
                curveToRelative(0.2878f, -0.0754f, 0.5685f, -0.1136f, 0.8414f, -0.1136f)
                curveToRelative(1.176f, 0.0f, 1.7646f, 0.6276f, 1.7646f, 1.8826f)
                verticalLineToRelative(3.1833f)
                horizontalLineToRelative(-0.6188f)
                lineToRelative(-0.1f, -0.5457f)
                curveToRelative(-0.2488f, 0.2001f, -0.5134f, 0.3547f, -0.796f, 0.464f)
                curveToRelative(-0.2817f, 0.1092f, -0.55f, 0.1637f, -0.8046f, 0.1637f)
                curveToRelative(-0.4429f, 0.0f, -0.7899f, -0.1258f, -1.0416f, -0.3775f)
                curveToRelative(-0.2515f, -0.2517f, -0.3772f, -0.5987f, -0.3772f, -1.0413f)
                moveToRelative(-1.6508f, -3.7653f)
                lineToRelative(0.655f, 0.4728f)
                lineToRelative(-1.6095f, 2.0192f)
                lineToRelative(1.864f, 2.2373f)
                lineToRelative(-0.6454f, 0.5004f)
                lineToRelative(-2.201f, -2.6924f)
                close()
                moveTo(10.7885f, 15.5423f)
                horizontalLineToRelative(-0.8367f)
                lineTo(9.9518f, 8.5121f)
                lineToRelative(0.8368f, -0.182f)
                close()
                moveTo(6.2949f, 14.9514f)
                curveToRelative(0.1148f, 0.0f, 0.2339f, -0.0151f, 0.3576f, -0.0456f)
                arcToRelative(2.8794f, 2.8794f, 0.0f, false, false, 0.3713f, -0.1181f)
                arcToRelative(1.9842f, 1.9842f, 0.0f, false, false, 0.3488f, -0.1774f)
                arcToRelative(2.0477f, 2.0477f, 0.0f, false, false, 0.29f, -0.2229f)
                verticalLineToRelative(-1.1641f)
                horizontalLineToRelative(-0.8698f)
                curveToRelative(-0.4404f, 0.0f, -0.762f, 0.0758f, -0.9645f, 0.2274f)
                curveToRelative(-0.202f, 0.1516f, -0.3031f, 0.391f, -0.3031f, 0.7185f)
                curveToRelative(0.0f, 0.5214f, 0.2563f, 0.7822f, 0.7697f, 0.7822f)
                moveToRelative(-1.5704f, -0.7458f)
                curveToRelative(0.0f, -0.5032f, 0.1682f, -0.887f, 0.5052f, -1.1504f)
                curveToRelative(0.3363f, -0.2638f, 0.826f, -0.396f, 1.4684f, -0.396f)
                horizontalLineToRelative(0.9646f)
                verticalLineToRelative(-0.3182f)
                curveToRelative(0.0f, -0.77f, -0.3399f, -1.155f, -1.019f, -1.155f)
                curveToRelative(-0.218f, 0.0f, -0.4471f, 0.0304f, -0.6863f, 0.091f)
                curveToRelative(-0.2398f, 0.0608f, -0.4595f, 0.1365f, -0.6597f, 0.2274f)
                lineToRelative(-0.2457f, -0.5913f)
                curveToRelative(0.2487f, -0.1394f, 0.517f, -0.2469f, 0.8053f, -0.323f)
                curveToRelative(0.2878f, -0.0754f, 0.5684f, -0.1136f, 0.8408f, -0.1136f)
                curveToRelative(1.1766f, 0.0f, 1.7646f, 0.6276f, 1.7646f, 1.8826f)
                verticalLineToRelative(3.1833f)
                horizontalLineToRelative(-0.6182f)
                lineToRelative(-0.1001f, -0.5457f)
                curveToRelative(-0.2487f, 0.2001f, -0.514f, 0.3547f, -0.7958f, 0.464f)
                curveToRelative(-0.282f, 0.1092f, -0.5501f, 0.1637f, -0.8053f, 0.1637f)
                curveToRelative(-0.4423f, 0.0f, -0.7893f, -0.1258f, -1.041f, -0.3775f)
                curveToRelative(-0.2516f, -0.2517f, -0.3778f, -0.5987f, -0.3778f, -1.0413f)
                close()
            }
        }
        .build()
        return _kakao!!
    }

private var _kakao: ImageVector? = null
