package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kakaotalk: ImageVector
    get() {
        if (_kakaotalk != null) {
            return _kakaotalk!!
        }
        _kakaotalk = Builder(name = "Kakaotalk", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(22.125f, 0.0f)
                lineTo(1.875f, 0.0f)
                curveTo(0.8394f, 0.0f, 0.0f, 0.8394f, 0.0f, 1.875f)
                verticalLineToRelative(20.25f)
                curveTo(0.0f, 23.1606f, 0.8394f, 24.0f, 1.875f, 24.0f)
                horizontalLineToRelative(20.25f)
                curveTo(23.1606f, 24.0f, 24.0f, 23.1606f, 24.0f, 22.125f)
                lineTo(24.0f, 1.875f)
                curveTo(24.0f, 0.8394f, 23.1606f, 0.0f, 22.125f, 0.0f)
                close()
                moveTo(12.0f, 18.75f)
                curveToRelative(-0.591f, 0.0f, -1.1697f, -0.0413f, -1.7317f, -0.1209f)
                curveToRelative(-0.5626f, 0.3965f, -3.813f, 2.6797f, -4.1198f, 2.7225f)
                curveToRelative(0.0f, 0.0f, -0.1258f, 0.0489f, -0.2328f, -0.0141f)
                reflectiveCurveToRelative(-0.0876f, -0.2282f, -0.0876f, -0.2282f)
                curveToRelative(0.0322f, -0.2198f, 0.8426f, -3.0183f, 0.992f, -3.5333f)
                curveToRelative(-2.7452f, -1.36f, -4.5701f, -3.7686f, -4.5701f, -6.5135f)
                curveTo(2.25f, 6.8168f, 6.6152f, 3.375f, 12.0f, 3.375f)
                reflectiveCurveToRelative(9.75f, 3.4418f, 9.75f, 7.6875f)
                curveToRelative(0.0f, 4.2457f, -4.3652f, 7.6875f, -9.75f, 7.6875f)
                close()
                moveTo(8.0496f, 9.8672f)
                horizontalLineToRelative(-0.8777f)
                verticalLineToRelative(3.3417f)
                curveToRelative(0.0f, 0.2963f, -0.2523f, 0.5372f, -0.5625f, 0.5372f)
                reflectiveCurveToRelative(-0.5625f, -0.2409f, -0.5625f, -0.5372f)
                lineTo(6.0469f, 9.8672f)
                horizontalLineToRelative(-0.8777f)
                curveToRelative(-0.3044f, 0.0f, -0.552f, -0.2471f, -0.552f, -0.5508f)
                reflectiveCurveToRelative(0.2477f, -0.5508f, 0.552f, -0.5508f)
                horizontalLineToRelative(2.8804f)
                curveToRelative(0.3044f, 0.0f, 0.552f, 0.2471f, 0.552f, 0.5508f)
                reflectiveCurveToRelative(-0.2477f, 0.5508f, -0.552f, 0.5508f)
                close()
                moveTo(19.0375f, 12.8238f)
                arcToRelative(0.558f, 0.558f, 0.0f, false, true, 0.108f, 0.4167f)
                arcToRelative(0.5588f, 0.5588f, 0.0f, false, true, -0.2183f, 0.371f)
                arcToRelative(0.5572f, 0.5572f, 0.0f, false, true, -0.3383f, 0.1135f)
                arcToRelative(0.558f, 0.558f, 0.0f, false, true, -0.4493f, -0.2236f)
                lineToRelative(-1.3192f, -1.7479f)
                lineToRelative(-0.1952f, 0.1952f)
                verticalLineToRelative(1.2273f)
                arcToRelative(0.5635f, 0.5635f, 0.0f, false, true, -0.5627f, 0.5628f)
                arcToRelative(0.563f, 0.563f, 0.0f, false, true, -0.5625f, -0.5625f)
                lineTo(15.5f, 9.3281f)
                curveToRelative(0.0f, -0.3102f, 0.2523f, -0.5625f, 0.5625f, -0.5625f)
                reflectiveCurveToRelative(0.5625f, 0.2523f, 0.5625f, 0.5625f)
                verticalLineToRelative(1.209f)
                lineToRelative(1.5694f, -1.5694f)
                curveToRelative(0.0807f, -0.0807f, 0.1916f, -0.1252f, 0.312f, -0.1252f)
                curveToRelative(0.1404f, 0.0f, 0.2814f, 0.0606f, 0.3871f, 0.1661f)
                curveToRelative(0.0985f, 0.0984f, 0.1573f, 0.2251f, 0.1654f, 0.3566f)
                curveToRelative(0.0082f, 0.1327f, -0.036f, 0.2542f, -0.1241f, 0.3425f)
                lineToRelative(-1.2818f, 1.2817f)
                lineToRelative(1.3845f, 1.8344f)
                close()
                moveTo(10.6873f, 9.3215f)
                curveToRelative(-0.095f, -0.2699f, -0.3829f, -0.5475f, -0.7503f, -0.5557f)
                curveToRelative(-0.3663f, 0.0083f, -0.6542f, 0.2858f, -0.749f, 0.5551f)
                lineToRelative(-1.3455f, 3.5415f)
                curveToRelative(-0.1708f, 0.5305f, -0.0217f, 0.7272f, 0.1333f, 0.7988f)
                arcToRelative(0.8568f, 0.8568f, 0.0f, false, false, 0.3576f, 0.0776f)
                curveToRelative(0.2346f, 0.0f, 0.4139f, -0.0952f, 0.4678f, -0.2481f)
                lineToRelative(0.2787f, -0.7297f)
                lineToRelative(1.7152f, 1.0E-4f)
                lineToRelative(0.2785f, 0.7292f)
                curveToRelative(0.0541f, 0.1532f, 0.2335f, 0.2484f, 0.4681f, 0.2484f)
                arcToRelative(0.8601f, 0.8601f, 0.0f, false, false, 0.3576f, -0.0775f)
                curveToRelative(0.1551f, -0.0713f, 0.3041f, -0.2681f, 0.1329f, -0.7999f)
                lineToRelative(-1.3449f, -3.5398f)
                close()
                moveTo(9.3757f, 11.7648f)
                lineToRelative(0.5618f, -1.5961f)
                lineToRelative(0.5618f, 1.5961f)
                lineTo(9.3757f, 11.7648f)
                close()
                moveTo(15.2813f, 13.1484f)
                curveToRelative(0.0f, 0.2843f, -0.2418f, 0.5156f, -0.5391f, 0.5156f)
                horizontalLineToRelative(-1.8047f)
                curveToRelative(-0.2973f, 0.0f, -0.5391f, -0.2314f, -0.5391f, -0.5156f)
                lineTo(12.3984f, 9.3281f)
                curveToRelative(0.0f, -0.3102f, 0.2576f, -0.5625f, 0.5742f, -0.5625f)
                reflectiveCurveToRelative(0.5742f, 0.2523f, 0.5742f, 0.5625f)
                verticalLineToRelative(3.3047f)
                horizontalLineToRelative(1.1953f)
                curveToRelative(0.2974f, 0.0f, 0.5392f, 0.2314f, 0.5392f, 0.5156f)
                close()
            }
        }
        .build()
        return _kakaotalk!!
    }

private var _kakaotalk: ImageVector? = null
