package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kentico: ImageVector
    get() {
        if (_kentico != null) {
            return _kentico!!
        }
        _kentico = Builder(name = "Kentico", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.0f, 0.0f)
                verticalLineToRelative(24.0f)
                horizontalLineToRelative(24.0f)
                lineTo(24.0f, 0.0f)
                close()
                moveTo(11.65f, 3.417f)
                curveToRelative(0.698f, 0.0f, 1.566f, 0.216f, 1.566f, 1.279f)
                verticalLineToRelative(2.72f)
                curveToRelative(0.0f, 1.5f, -2.433f, 1.533f, -2.433f, 0.018f)
                lineTo(10.783f, 3.63f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, true, 0.118f, -0.142f)
                curveToRelative(0.15f, -0.028f, 0.432f, -0.072f, 0.75f, -0.071f)
                close()
                moveTo(17.158f, 5.177f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, true, 0.079f, 0.026f)
                curveToRelative(0.408f, 0.277f, 1.875f, 1.397f, 0.782f, 2.49f)
                lineTo(16.091f, 9.62f)
                curveToRelative(-1.06f, 1.06f, -2.803f, -0.64f, -1.733f, -1.707f)
                lineToRelative(2.695f, -2.695f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, true, 0.105f, -0.041f)
                close()
                moveTo(6.888f, 5.577f)
                curveToRelative(0.263f, 0.01f, 0.538f, 0.123f, 0.811f, 0.396f)
                lineToRelative(1.928f, 1.93f)
                curveToRelative(1.061f, 1.059f, -0.64f, 2.803f, -1.707f, 1.73f)
                lineTo(5.226f, 6.94f)
                arcToRelative(0.142f, 0.142f, 0.0f, false, true, -0.018f, -0.182f)
                curveToRelative(0.209f, -0.307f, 0.891f, -1.208f, 1.68f, -1.18f)
                close()
                moveTo(11.992f, 10.227f)
                arcToRelative(1.773f, 1.773f, 0.0f, false, true, 0.008f, 0.0f)
                arcTo(1.773f, 1.773f, 0.0f, true, true, 10.227f, 12.0f)
                arcToRelative(1.773f, 1.773f, 0.0f, false, true, 1.765f, -1.773f)
                close()
                moveTo(4.701f, 10.777f)
                horizontalLineToRelative(2.728f)
                curveToRelative(1.499f, 0.0f, 1.532f, 2.433f, 0.017f, 2.433f)
                horizontalLineToRelative(-3.81f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, -0.142f, -0.117f)
                curveToRelative(-0.092f, -0.48f, -0.337f, -2.315f, 1.207f, -2.315f)
                close()
                moveTo(16.56f, 10.777f)
                horizontalLineToRelative(3.802f)
                arcToRelative(0.142f, 0.142f, 0.0f, false, true, 0.142f, 0.117f)
                curveToRelative(0.093f, 0.48f, 0.338f, 2.316f, -1.206f, 2.316f)
                horizontalLineToRelative(-2.72f)
                curveToRelative(-1.5f, 0.0f, -1.533f, -2.433f, -0.018f, -2.433f)
                close()
                moveTo(15.322f, 14.017f)
                curveToRelative(0.259f, 0.002f, 0.523f, 0.102f, 0.756f, 0.337f)
                lineToRelative(2.695f, 2.692f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, true, 0.017f, 0.184f)
                curveToRelative(-0.278f, 0.41f, -1.398f, 1.876f, -2.49f, 0.784f)
                lineToRelative(-1.929f, -1.93f)
                curveToRelative(-0.829f, -0.827f, 0.028f, -2.072f, 0.951f, -2.066f)
                close()
                moveTo(8.665f, 14.03f)
                curveToRelative(0.93f, -0.011f, 1.811f, 1.209f, 0.975f, 2.044f)
                lineToRelative(-2.694f, 2.692f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, -0.184f, 0.018f)
                curveToRelative(-0.408f, -0.278f, -1.876f, -1.398f, -0.783f, -2.49f)
                lineToRelative(1.928f, -1.93f)
                arcToRelative(1.08f, 1.08f, 0.0f, false, true, 0.758f, -0.334f)
                close()
                moveTo(11.999f, 15.433f)
                curveToRelative(0.608f, -0.007f, 1.217f, 0.364f, 1.217f, 1.122f)
                verticalLineToRelative(3.802f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, true, -0.118f, 0.14f)
                curveToRelative(-0.48f, 0.093f, -2.316f, 0.338f, -2.316f, -1.206f)
                verticalLineToRelative(-2.72f)
                curveToRelative(0.0f, -0.749f, 0.609f, -1.132f, 1.217f, -1.138f)
                close()
            }
        }
        .build()
        return _kentico!!
    }

private var _kentico: ImageVector? = null
