package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Keycdn: ImageVector
    get() {
        if (_keycdn != null) {
            return _keycdn!!
        }
        _keycdn = Builder(name = "Keycdn", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.3043f, 19.0607f)
                curveToRelative(0.2259f, 0.01f, 0.4538f, 0.04f, 0.6667f, 0.12f)
                verticalLineToRelative(-0.003f)
                lineToRelative(0.032f, 0.012f)
                lineToRelative(2.8091f, -2.7391f)
                lineToRelative(0.102f, 0.137f)
                curveToRelative(0.146f, 0.1998f, 0.2999f, 0.3798f, 0.4638f, 0.5597f)
                lineToRelative(0.06f, 0.068f)
                curveToRelative(0.043f, 0.043f, 0.077f, 0.086f, 0.12f, 0.13f)
                lineToRelative(0.3259f, 0.3249f)
                lineToRelative(0.077f, 0.07f)
                lineToRelative(0.07f, 0.06f)
                arcToRelative(7.4626f, 7.4626f, 0.0f, false, false, 4.6534f, 1.7753f)
                arcToRelative(7.5146f, 7.5146f, 0.0f, false, false, 4.0087f, -1.0396f)
                lineToRelative(0.216f, 0.224f)
                curveToRelative(0.2499f, 0.2658f, 0.5068f, 0.5327f, 0.7557f, 0.7997f)
                arcToRelative(8.8581f, 8.8581f, 0.0f, false, true, -5.0154f, 1.3995f)
                arcToRelative(8.8341f, 8.8341f, 0.0f, false, true, -5.4612f, -2.0623f)
                lineToRelative(0.01f, -0.015f)
                lineToRelative(-1.8024f, 1.7764f)
                arcTo(2.2463f, 2.2463f, 0.0f, true, true, 0.0f, 21.305f)
                arcToRelative(2.2453f, 2.2453f, 0.0f, false, true, 2.2453f, -2.2453f)
                horizontalLineToRelative(0.058f)
                close()
                moveTo(19.4737f, 7.4765f)
                arcToRelative(8.8321f, 8.8321f, 0.0f, false, true, 1.2796f, 4.8264f)
                arcToRelative(8.7872f, 8.7872f, 0.0f, false, true, -2.2073f, 5.6152f)
                lineToRelative(0.01f, 0.01f)
                lineToRelative(1.1066f, 1.1766f)
                curveToRelative(0.4459f, -0.06f, 0.8918f, 0.094f, 1.2017f, 0.4199f)
                arcToRelative(1.3935f, 1.3935f, 0.0f, false, true, -0.052f, 1.9663f)
                arcToRelative(1.3935f, 1.3935f, 0.0f, false, true, -1.9664f, -0.052f)
                arcToRelative(1.3826f, 1.3826f, 0.0f, false, true, -0.3519f, -1.2196f)
                arcToRelative(336.5811f, 336.5811f, 0.0f, false, false, -1.9493f, -2.0693f)
                lineToRelative(-0.11f, -0.12f)
                lineToRelative(0.128f, -0.103f)
                arcToRelative(6.9212f, 6.9212f, 0.0f, false, false, 0.9277f, -0.8846f)
                arcToRelative(7.4256f, 7.4256f, 0.0f, false, false, 1.8793f, -4.7755f)
                arcToRelative(7.4376f, 7.4376f, 0.0f, false, false, -0.9267f, -3.8118f)
                lineToRelative(1.0297f, -0.9796f)
                close()
                moveTo(3.8267f, 2.226f)
                curveToRelative(0.395f, -0.006f, 0.7648f, 0.15f, 1.0397f, 0.432f)
                curveToRelative(0.31f, 0.3258f, 0.4399f, 0.7817f, 0.353f, 1.2195f)
                lineTo(7.3475f, 6.111f)
                lineToRelative(-0.128f, 0.104f)
                arcToRelative(6.9208f, 6.9208f, 0.0f, false, false, -0.9276f, 0.8847f)
                arcToRelative(7.4906f, 7.4906f, 0.0f, false, false, -0.9617f, 8.5942f)
                lineToRelative(-1.0217f, 0.9957f)
                arcTo(8.7602f, 8.7602f, 0.0f, false, true, 3.021f, 11.838f)
                curveToRelative(0.044f, -2.0673f, 0.8498f, -4.0646f, 2.2033f, -5.6201f)
                lineTo(4.0517f, 4.9933f)
                arcToRelative(1.4005f, 1.4005f, 0.0f, false, true, -1.2026f, -0.42f)
                arcToRelative(1.3955f, 1.3955f, 0.0f, false, true, 0.052f, -1.9673f)
                curveToRelative(0.2169f, -0.204f, 0.4968f, -0.3349f, 0.7937f, -0.3699f)
                curveToRelative(0.044f, -0.006f, 0.09f, -0.007f, 0.133f, -0.01f)
                close()
                moveTo(21.746f, 0.4427f)
                arcToRelative(2.2473f, 2.2473f, 0.0f, true, true, -0.6998f, 4.3806f)
                lineToRelative(-0.002f, 0.002f)
                lineToRelative(-0.033f, -0.012f)
                lineToRelative(-3.049f, 2.894f)
                lineToRelative(-0.102f, -0.1379f)
                arcToRelative(7.1777f, 7.1777f, 0.0f, false, false, -0.5328f, -0.6268f)
                lineToRelative(-0.034f, -0.043f)
                lineToRelative(-0.2659f, -0.2659f)
                lineToRelative(-0.12f, -0.103f)
                lineToRelative(-0.077f, -0.07f)
                lineToRelative(-0.06f, -0.0499f)
                lineToRelative(-0.0769f, -0.07f)
                arcToRelative(7.4556f, 7.4556f, 0.0f, false, false, -4.6185f, -1.7514f)
                arcTo(7.4336f, 7.4336f, 0.0f, false, false, 8.0724f, 5.629f)
                lineToRelative(-0.9797f, -1.0216f)
                arcToRelative(8.8371f, 8.8371f, 0.0f, false, true, 5.0154f, -1.3996f)
                arcToRelative(8.7912f, 8.7912f, 0.0f, false, true, 5.4622f, 2.0694f)
                horizontalLineToRelative(0.017f)
                lineToRelative(2.0194f, -1.9164f)
                arcTo(2.2463f, 2.2463f, 0.0f, false, true, 21.75f, 0.4438f)
                close()
                moveTo(11.956f, 5.4581f)
                curveToRelative(0.254f, 0.0f, 0.5069f, 0.02f, 0.7598f, 0.05f)
                curveToRelative(3.6228f, 0.4548f, 6.19f, 3.7608f, 5.7441f, 7.3846f)
                arcToRelative(6.6239f, 6.6239f, 0.0f, false, true, -7.3846f, 5.7451f)
                arcToRelative(6.6239f, 6.6239f, 0.0f, false, true, -5.7461f, -7.3846f)
                curveToRelative(0.4318f, -3.3619f, 3.257f, -5.7831f, 6.6258f, -5.7951f)
                close()
                moveTo(11.856f, 8.2971f)
                curveToRelative(-1.4655f, 0.117f, -2.5271f, 1.2267f, -2.5651f, 2.6992f)
                curveToRelative(0.027f, 1.0537f, 0.5648f, 1.9394f, 1.5045f, 2.4252f)
                lineToRelative(-0.5118f, 2.3993f)
                horizontalLineToRelative(3.4219f)
                lineToRelative(-0.5099f, -2.3993f)
                curveToRelative(0.9347f, -0.5068f, 1.4896f, -1.3455f, 1.5046f, -2.4222f)
                curveToRelative(-0.02f, -1.5215f, -1.1977f, -2.6671f, -2.7052f, -2.7051f)
                lineToRelative(-0.14f, 0.004f)
                close()
                moveTo(11.908f, 8.2821f)
                horizontalLineToRelative(-0.01f)
                close()
            }
        }
        .build()
        return _keycdn!!
    }

private var _keycdn: ImageVector? = null
