package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Lamborghini: ImageVector
    get() {
        if (_lamborghini != null) {
            return _lamborghini!!
        }
        _lamborghini = Builder(name = "Lamborghini", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.865f, 0.0f)
                arcToRelative(31.57f, 31.57f, 0.0f, false, false, -3.712f, 0.245f)
                lineToRelative(-0.272f, 0.037f)
                lineToRelative(-0.338f, 0.046f)
                curveToRelative(-0.073f, 0.009f, -0.18f, 0.026f, -0.236f, 0.038f)
                arcToRelative(3.7f, 3.7f, 0.0f, false, true, -0.206f, 0.036f)
                arcToRelative(7.728f, 7.728f, 0.0f, false, false, -0.265f, 0.043f)
                lineToRelative(-0.265f, 0.048f)
                curveToRelative(-0.193f, 0.034f, -0.763f, 0.15f, -1.051f, 0.215f)
                curveToRelative(-1.064f, 0.238f, -2.245f, 0.594f, -2.73f, 0.824f)
                curveToRelative(-0.343f, 0.163f, -0.772f, 0.506f, -0.93f, 0.743f)
                arcToRelative(2.157f, 2.157f, 0.0f, false, false, -0.287f, 0.777f)
                curveToRelative(-0.029f, 0.158f, -0.032f, 0.23f, -0.034f, 0.832f)
                curveToRelative(-0.003f, 0.728f, 0.009f, 1.223f, 0.044f, 1.865f)
                curveToRelative(0.166f, 3.019f, 0.696f, 5.54f, 1.686f, 8.0f)
                arcToRelative(20.797f, 20.797f, 0.0f, false, false, 2.635f, 4.81f)
                curveToRelative(1.0f, 1.363f, 2.12f, 2.572f, 3.395f, 3.67f)
                curveToRelative(0.769f, 0.66f, 1.737f, 1.405f, 2.076f, 1.595f)
                curveToRelative(0.386f, 0.217f, 0.82f, 0.234f, 1.19f, 0.047f)
                curveToRelative(0.3f, -0.153f, 1.382f, -0.974f, 2.113f, -1.604f)
                arcToRelative(24.361f, 24.361f, 0.0f, false, false, 3.119f, -3.27f)
                curveToRelative(0.51f, -0.645f, 1.541f, -2.254f, 1.977f, -3.085f)
                curveToRelative(1.622f, -3.09f, 2.549f, -6.883f, 2.651f, -10.812f)
                curveToRelative(0.03f, -0.642f, 0.045f, -1.224f, 0.03f, -1.529f)
                arcToRelative(4.107f, 4.107f, 0.0f, false, false, -0.017f, -0.228f)
                lineToRelative(0.001f, -0.397f)
                lineToRelative(-0.165f, -0.343f)
                arcToRelative(1.683f, 1.683f, 0.0f, false, false, -0.383f, -0.533f)
                curveToRelative(-0.196f, -0.205f, -0.372f, -0.321f, -0.783f, -0.519f)
                curveToRelative(-0.997f, -0.48f, -2.338f, -0.858f, -3.958f, -1.118f)
                arcToRelative(25.346f, 25.346f, 0.0f, false, false, -1.552f, -0.216f)
                lineToRelative(-0.404f, -0.048f)
                arcToRelative(7.685f, 7.685f, 0.0f, false, false, -0.41f, -0.037f)
                arcToRelative(41.827f, 41.827f, 0.0f, false, false, -1.988f, -0.12f)
                arcToRelative(21.41f, 21.41f, 0.0f, false, false, -0.931f, -0.011f)
                close()
                moveTo(12.032f, 0.83f)
                curveToRelative(3.34f, -0.007f, 6.128f, 0.436f, 8.399f, 1.332f)
                curveToRelative(0.84f, 0.33f, 0.99f, 0.433f, 1.16f, 0.792f)
                curveToRelative(0.128f, 0.27f, 0.13f, 0.31f, 0.094f, 1.691f)
                curveToRelative(-0.197f, 7.59f, -2.8f, 13.219f, -8.113f, 17.541f)
                curveToRelative(-0.644f, 0.525f, -1.316f, 1.003f, -1.484f, 1.056f)
                curveToRelative(-0.083f, 0.026f, -0.235f, -0.033f, -0.483f, -0.187f)
                curveToRelative(-0.492f, -0.305f, -1.718f, -1.303f, -2.54f, -2.068f)
                curveToRelative(-1.352f, -1.255f, -2.707f, -2.937f, -3.63f, -4.506f)
                curveToRelative(-1.97f, -3.344f, -2.993f, -7.244f, -3.114f, -11.866f)
                curveToRelative(-0.035f, -1.35f, -0.032f, -1.392f, 0.096f, -1.662f)
                curveToRelative(0.17f, -0.357f, 0.322f, -0.462f, 1.13f, -0.777f)
                curveTo(5.777f, 1.303f, 8.132f, 0.9f, 11.357f, 0.837f)
                curveToRelative(0.228f, -0.004f, 0.453f, -0.007f, 0.675f, -0.007f)
                close()
                moveTo(11.091f, 1.538f)
                lineToRelative(-0.045f, 0.003f)
                curveToRelative(-0.2f, 0.024f, -0.448f, 0.206f, -0.567f, 0.422f)
                curveToRelative(-0.273f, 0.495f, -0.22f, 1.592f, 0.096f, 1.974f)
                curveToRelative(0.123f, 0.15f, 0.188f, 0.176f, 0.421f, 0.176f)
                curveToRelative(0.155f, 0.0f, 0.334f, -0.04f, 0.407f, -0.093f)
                curveToRelative(0.073f, -0.052f, 0.19f, -0.207f, 0.26f, -0.345f)
                curveToRelative(0.184f, -0.36f, 0.188f, -1.265f, 0.007f, -1.668f)
                curveToRelative(-0.116f, -0.257f, -0.333f, -0.443f, -0.538f, -0.466f)
                lineToRelative(-0.022f, -0.002f)
                horizontalLineToRelative(-0.02f)
                close()
                moveTo(12.185f, 1.598f)
                lineToRelative(-0.017f, 1.233f)
                arcToRelative(59.48f, 59.48f, 0.0f, false, false, -0.01f, 1.184f)
                arcToRelative(0.346f, 0.346f, 0.0f, false, false, 0.02f, 0.06f)
                curveToRelative(0.025f, 0.005f, 0.089f, 0.009f, 0.173f, 0.009f)
                horizontalLineToRelative(0.182f)
                verticalLineToRelative(-0.529f)
                curveToRelative(0.0f, -0.506f, 0.005f, -0.527f, 0.126f, -0.509f)
                curveToRelative(0.1f, 0.015f, 0.162f, 0.126f, 0.307f, 0.543f)
                lineToRelative(0.182f, 0.524f)
                horizontalLineToRelative(0.44f)
                lineToRelative(-0.194f, -0.564f)
                lineToRelative(-0.193f, -0.565f)
                lineToRelative(0.158f, -0.151f)
                curveToRelative(0.193f, -0.186f, 0.253f, -0.456f, 0.17f, -0.767f)
                curveToRelative(-0.091f, -0.347f, -0.322f, -0.467f, -0.891f, -0.468f)
                close()
                moveTo(14.561f, 1.658f)
                curveToRelative(-0.505f, 0.0f, -0.733f, 0.383f, -0.73f, 1.228f)
                curveToRelative(0.0f, 0.558f, 0.084f, 0.91f, 0.264f, 1.113f)
                curveToRelative(0.208f, 0.233f, 0.66f, 0.274f, 0.945f, 0.084f)
                curveToRelative(0.154f, -0.102f, 0.252f, -0.416f, 0.255f, -0.808f)
                curveToRelative(0.0f, -0.104f, -0.004f, -0.186f, -0.018f, -0.244f)
                curveToRelative(-0.033f, -0.094f, -0.13f, -0.106f, -0.407f, -0.133f)
                lineToRelative(-0.235f, -0.023f)
                curveToRelative(-0.041f, 0.024f, -0.044f, 0.08f, -0.044f, 0.204f)
                verticalLineToRelative(0.04f)
                lineToRelative(0.001f, 0.018f)
                curveToRelative(0.006f, 0.118f, 0.035f, 0.138f, 0.146f, 0.138f)
                curveToRelative(0.118f, 0.0f, 0.146f, 0.03f, 0.146f, 0.154f)
                curveToRelative(0.0f, 0.355f, -0.28f, 0.512f, -0.49f, 0.276f)
                curveToRelative(-0.288f, -0.324f, -0.223f, -1.56f, 0.087f, -1.66f)
                curveToRelative(0.13f, -0.042f, 0.345f, 0.115f, 0.345f, 0.251f)
                curveToRelative(0.0f, 0.052f, 0.072f, 0.08f, 0.205f, 0.08f)
                curveToRelative(0.234f, 0.0f, 0.26f, -0.079f, 0.118f, -0.358f)
                arcToRelative(0.605f, 0.605f, 0.0f, false, false, -0.588f, -0.36f)
                close()
                moveTo(9.362f, 1.696f)
                arcToRelative(2.322f, 2.322f, 0.0f, false, false, -0.327f, 0.014f)
                lineToRelative(-0.353f, 0.038f)
                lineToRelative(-0.032f, 2.498f)
                lineToRelative(0.428f, -0.042f)
                curveToRelative(0.235f, -0.024f, 0.49f, -0.074f, 0.569f, -0.111f)
                curveToRelative(0.241f, -0.118f, 0.378f, -0.366f, 0.383f, -0.695f)
                curveToRelative(0.003f, -0.23f, -0.025f, -0.329f, -0.123f, -0.429f)
                curveToRelative(-0.126f, -0.128f, -0.126f, -0.13f, -0.015f, -0.316f)
                arcToRelative(0.685f, 0.685f, 0.0f, false, false, 0.024f, -0.697f)
                curveToRelative(-0.083f, -0.163f, -0.263f, -0.249f, -0.554f, -0.26f)
                close()
                moveTo(15.649f, 1.77f)
                verticalLineToRelative(2.51f)
                lineToRelative(0.205f, 0.024f)
                lineToRelative(0.206f, 0.025f)
                verticalLineToRelative(-0.557f)
                curveToRelative(0.0f, -0.617f, -0.019f, -0.594f, 0.427f, -0.519f)
                lineToRelative(0.22f, 0.038f)
                verticalLineToRelative(0.556f)
                curveToRelative(0.0f, 0.48f, 0.014f, 0.561f, 0.103f, 0.585f)
                curveToRelative(0.26f, 0.069f, 0.253f, 0.1f, 0.236f, -1.202f)
                lineToRelative(-0.016f, -1.243f)
                lineToRelative(-0.161f, -0.019f)
                lineToRelative(-0.162f, -0.019f)
                verticalLineToRelative(0.968f)
                lineToRelative(-0.25f, -0.036f)
                curveToRelative(-0.41f, -0.058f, -0.397f, -0.04f, -0.397f, -0.562f)
                curveToRelative(0.0f, -0.345f, -0.02f, -0.482f, -0.073f, -0.482f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, true, -0.206f, -0.037f)
                lineToRelative(-0.096f, -0.027f)
                close()
                moveTo(8.241f, 1.802f)
                lineToRelative(-0.2f, 0.024f)
                curveToRelative(-0.197f, 0.023f, -0.204f, 0.034f, -0.357f, 0.541f)
                curveToRelative(-0.085f, 0.285f, -0.19f, 0.626f, -0.232f, 0.758f)
                lineToRelative(-0.077f, 0.24f)
                lineToRelative(-0.191f, -0.629f)
                curveToRelative(-0.105f, -0.346f, -0.212f, -0.652f, -0.238f, -0.68f)
                curveToRelative(-0.025f, -0.028f, -0.128f, -0.033f, -0.228f, -0.01f)
                lineToRelative(-0.182f, 0.04f)
                lineTo(6.536f, 3.31f)
                curveToRelative(0.0f, 1.165f, 0.005f, 1.223f, 0.113f, 1.223f)
                arcToRelative(0.64f, 0.64f, 0.0f, false, false, 0.19f, -0.03f)
                curveToRelative(0.058f, -0.023f, 0.074f, -0.14f, 0.06f, -0.437f)
                arcToRelative(6.524f, 6.524f, 0.0f, false, true, 0.0f, -0.643f)
                curveToRelative(0.018f, -0.22f, 0.036f, -0.188f, 0.248f, 0.446f)
                lineToRelative(0.229f, 0.685f)
                lineToRelative(0.212f, -0.768f)
                lineToRelative(0.212f, -0.767f)
                lineToRelative(0.009f, 0.36f)
                arcToRelative(0.236f, 0.236f, 0.0f, false, true, 0.003f, 0.14f)
                lineToRelative(0.005f, 0.173f)
                curveToRelative(0.014f, 0.578f, 0.03f, 0.667f, 0.107f, 0.637f)
                arcToRelative(0.672f, 0.672f, 0.0f, false, true, 0.204f, -0.036f)
                curveToRelative(0.108f, 0.0f, 0.113f, -0.058f, 0.113f, -1.246f)
                close()
                moveTo(12.533f, 1.942f)
                lineToRelative(0.248f, 0.033f)
                curveToRelative(0.352f, 0.049f, 0.5f, 0.296f, 0.325f, 0.541f)
                curveToRelative(-0.08f, 0.11f, -0.456f, 0.2f, -0.53f, 0.125f)
                curveToRelative(-0.023f, -0.024f, -0.043f, -0.192f, -0.043f, -0.372f)
                close()
                moveTo(11.071f, 1.967f)
                curveToRelative(0.083f, 0.004f, 0.163f, 0.07f, 0.227f, 0.2f)
                curveToRelative(0.132f, 0.268f, 0.122f, 1.21f, -0.016f, 1.425f)
                curveToRelative(-0.133f, 0.207f, -0.305f, 0.207f, -0.438f, 0.0f)
                curveToRelative(-0.076f, -0.118f, -0.11f, -0.309f, -0.122f, -0.703f)
                curveToRelative(-0.015f, -0.464f, 0.0f, -0.571f, 0.105f, -0.74f)
                curveToRelative(0.076f, -0.125f, 0.161f, -0.185f, 0.244f, -0.182f)
                close()
                moveTo(9.064f, 2.077f)
                horizontalLineToRelative(0.194f)
                curveToRelative(0.235f, 0.0f, 0.335f, 0.09f, 0.335f, 0.304f)
                curveToRelative(0.0f, 0.19f, -0.08f, 0.265f, -0.338f, 0.315f)
                lineToRelative(-0.19f, 0.037f)
                verticalLineToRelative(-0.328f)
                close()
                moveTo(17.561f, 2.082f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, false, -0.031f, 0.023f)
                verticalLineToRelative(2.48f)
                lineToRelative(0.162f, 0.025f)
                curveToRelative(0.089f, 0.013f, 0.181f, 0.029f, 0.206f, 0.033f)
                curveToRelative(0.024f, 0.005f, 0.044f, -0.541f, 0.044f, -1.215f)
                curveToRelative(0.0f, -0.673f, -0.02f, -1.235f, -0.044f, -1.25f)
                arcToRelative(1.238f, 1.238f, 0.0f, false, false, -0.206f, -0.064f)
                close()
                moveTo(5.582f, 2.3f)
                arcToRelative(0.699f, 0.699f, 0.0f, false, false, -0.137f, 0.025f)
                curveToRelative(-0.18f, 0.05f, -0.182f, 0.058f, -0.4f, 1.025f)
                curveToRelative(-0.12f, 0.536f, -0.256f, 1.13f, -0.3f, 1.322f)
                lineToRelative(-0.081f, 0.348f)
                lineToRelative(0.186f, -0.04f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, false, 0.224f, -0.063f)
                curveToRelative(0.02f, -0.012f, 0.055f, -0.17f, 0.078f, -0.352f)
                curveToRelative(0.045f, -0.37f, 0.041f, -0.364f, 0.334f, -0.42f)
                lineToRelative(0.213f, -0.041f)
                lineToRelative(0.07f, 0.302f)
                curveToRelative(0.07f, 0.296f, 0.076f, 0.301f, 0.258f, 0.266f)
                arcToRelative(0.944f, 0.944f, 0.0f, false, false, 0.21f, -0.057f)
                curveToRelative(0.03f, -0.025f, -0.528f, -2.253f, -0.577f, -2.304f)
                curveToRelative(-0.01f, -0.01f, -0.039f, -0.014f, -0.078f, -0.011f)
                close()
                moveTo(18.353f, 2.318f)
                verticalLineToRelative(1.226f)
                curveToRelative(0.0f, 0.942f, 0.017f, 1.228f, 0.074f, 1.229f)
                curveToRelative(0.04f, 0.0f, 0.132f, 0.017f, 0.204f, 0.037f)
                curveToRelative(0.128f, 0.035f, 0.13f, 0.026f, 0.147f, -0.694f)
                lineToRelative(0.016f, -0.73f)
                lineToRelative(0.322f, 0.817f)
                curveToRelative(0.176f, 0.45f, 0.362f, 0.842f, 0.411f, 0.871f)
                curveToRelative(0.234f, 0.14f, 0.24f, 0.106f, 0.224f, -1.18f)
                lineToRelative(-0.016f, -1.24f)
                lineToRelative(-0.162f, -0.043f)
                lineToRelative(-0.162f, -0.044f)
                verticalLineToRelative(0.668f)
                curveToRelative(-0.002f, 0.767f, -0.008f, 0.764f, -0.36f, -0.14f)
                curveToRelative(-0.258f, -0.662f, -0.341f, -0.778f, -0.562f, -0.778f)
                close()
                moveTo(3.753f, 2.857f)
                curveToRelative(-0.012f, 0.0f, -0.105f, 0.03f, -0.207f, 0.065f)
                lineToRelative(-0.185f, 0.066f)
                verticalLineToRelative(0.31f)
                lineToRelative(0.017f, 0.988f)
                curveToRelative(0.008f, 0.47f, 0.02f, 0.845f, 0.046f, 1.182f)
                curveToRelative(0.011f, 0.004f, 0.024f, 0.002f, 0.04f, -0.005f)
                curveToRelative(0.057f, -0.023f, 0.321f, -0.122f, 0.588f, -0.222f)
                curveToRelative(0.456f, -0.169f, 0.485f, -0.19f, 0.485f, -0.354f)
                curveToRelative(0.0f, -0.095f, -0.009f, -0.174f, -0.02f, -0.174f)
                curveToRelative(-0.011f, 0.0f, -0.174f, 0.054f, -0.362f, 0.12f)
                arcToRelative(5.96f, 5.96f, 0.0f, false, true, -0.362f, 0.12f)
                curveToRelative(-0.011f, 0.0f, -0.02f, -0.472f, -0.02f, -1.048f)
                curveToRelative(0.0f, -0.577f, -0.01f, -1.048f, -0.02f, -1.048f)
                close()
                moveTo(20.255f, 2.857f)
                curveToRelative(-0.011f, 0.0f, -0.02f, 0.562f, -0.02f, 1.249f)
                verticalLineToRelative(1.249f)
                lineToRelative(0.19f, 0.062f)
                curveToRelative(0.106f, 0.035f, 0.198f, 0.065f, 0.206f, 0.069f)
                curveToRelative(0.008f, 0.003f, 0.015f, -0.557f, 0.015f, -1.246f)
                lineTo(20.646f, 2.987f)
                lineToRelative(-0.185f, -0.066f)
                arcToRelative(1.991f, 1.991f, 0.0f, false, false, -0.206f, -0.065f)
                close()
                moveTo(9.307f, 3.063f)
                curveToRelative(0.263f, 0.01f, 0.427f, 0.297f, 0.279f, 0.568f)
                curveToRelative(-0.063f, 0.115f, -0.14f, 0.159f, -0.303f, 0.173f)
                lineToRelative(-0.219f, 0.018f)
                verticalLineToRelative(-0.356f)
                curveToRelative(0.0f, -0.311f, 0.015f, -0.36f, 0.124f, -0.389f)
                arcToRelative(0.406f, 0.406f, 0.0f, false, true, 0.119f, -0.014f)
                close()
                moveTo(5.455f, 3.066f)
                lineToRelative(0.078f, 0.322f)
                curveToRelative(0.043f, 0.18f, 0.057f, 0.265f, 0.041f, 0.316f)
                arcToRelative(0.05f, 0.05f, 0.0f, false, true, -0.02f, 0.037f)
                arcToRelative(0.13f, 0.13f, 0.0f, false, true, -0.025f, 0.02f)
                curveToRelative(-0.141f, 0.091f, -0.238f, 0.063f, -0.2f, -0.06f)
                curveToRelative(0.02f, -0.062f, 0.056f, -0.23f, 0.08f, -0.374f)
                close()
                moveTo(12.334f, 4.726f)
                curveToRelative(-0.555f, 0.013f, -1.034f, 0.17f, -1.306f, 0.446f)
                curveToRelative(-0.243f, 0.247f, -0.27f, 0.51f, -0.068f, 0.645f)
                curveToRelative(0.255f, 0.169f, 0.673f, 0.22f, 2.168f, 0.268f)
                curveToRelative(1.368f, 0.044f, 1.532f, 0.06f, 1.77f, 0.177f)
                curveToRelative(0.292f, 0.145f, 0.419f, 0.333f, 0.41f, 0.61f)
                curveToRelative(-0.006f, 0.23f, -0.157f, 0.477f, -0.293f, 0.477f)
                curveToRelative(-0.229f, 0.0f, -0.989f, -0.194f, -1.526f, -0.39f)
                arcToRelative(5.355f, 5.355f, 0.0f, false, false, -0.661f, -0.205f)
                lineToRelative(-0.038f, -0.003f)
                curveToRelative(-0.144f, 0.004f, -0.318f, 0.121f, -0.818f, 0.551f)
                curveToRelative(-0.22f, 0.189f, -0.61f, 0.454f, -0.867f, 0.59f)
                curveToRelative(-0.834f, 0.443f, -1.091f, 0.794f, -1.207f, 1.649f)
                curveToRelative(-0.063f, 0.463f, -0.14f, 0.648f, -0.499f, 1.187f)
                curveToRelative(-0.298f, 0.448f, -0.508f, 1.05f, -0.51f, 1.457f)
                curveToRelative(0.0f, 0.197f, -0.07f, 0.511f, -0.184f, 0.839f)
                curveToRelative(-0.15f, 0.433f, -0.184f, 0.627f, -0.195f, 1.122f)
                curveToRelative(-0.012f, 0.514f, -0.035f, 0.64f, -0.163f, 0.879f)
                curveToRelative(-0.093f, 0.172f, -0.166f, 0.43f, -0.192f, 0.674f)
                curveToRelative(-0.037f, 0.36f, -0.067f, 0.426f, -0.33f, 0.74f)
                curveToRelative(-0.159f, 0.188f, -0.289f, 0.375f, -0.289f, 0.415f)
                curveToRelative(0.0f, 0.022f, -0.025f, 0.07f, -0.063f, 0.128f)
                curveToRelative(-0.008f, 0.038f, -0.026f, 0.065f, -0.049f, 0.068f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, true, -0.066f, 0.083f)
                curveToRelative(-0.224f, 0.26f, -0.334f, 0.559f, -0.24f, 0.654f)
                curveToRelative(0.049f, 0.05f, 0.089f, 0.034f, 0.157f, -0.064f)
                curveToRelative(0.129f, -0.188f, 0.203f, -0.165f, 0.144f, 0.044f)
                curveToRelative(-0.034f, 0.12f, -0.028f, 0.186f, 0.019f, 0.207f)
                curveToRelative(0.088f, 0.039f, 0.422f, -0.014f, 0.597f, -0.095f)
                curveToRelative(0.092f, -0.043f, 0.16f, -0.153f, 0.21f, -0.34f)
                curveToRelative(0.04f, -0.153f, 0.114f, -0.327f, 0.164f, -0.386f)
                curveToRelative(0.055f, -0.066f, 0.101f, -0.265f, 0.116f, -0.506f)
                curveToRelative(0.022f, -0.352f, 0.051f, -0.431f, 0.25f, -0.688f)
                curveToRelative(0.13f, -0.166f, 0.267f, -0.437f, 0.321f, -0.632f)
                curveToRelative(0.053f, -0.188f, 0.137f, -0.423f, 0.188f, -0.522f)
                curveToRelative(0.377f, -0.74f, 0.62f, -1.168f, 0.663f, -1.168f)
                curveToRelative(0.13f, 0.0f, 0.234f, 0.284f, 0.234f, 0.64f)
                curveToRelative(0.0f, 0.28f, 0.024f, 0.386f, 0.094f, 0.426f)
                curveToRelative(0.085f, 0.048f, 0.086f, 0.073f, 0.009f, 0.228f)
                arcToRelative(1.978f, 1.978f, 0.0f, false, false, -0.128f, 0.35f)
                curveToRelative(-0.057f, 0.24f, -0.245f, 0.497f, -0.442f, 0.6f)
                curveToRelative(-0.09f, 0.048f, -0.286f, 0.208f, -0.436f, 0.357f)
                curveToRelative(-0.216f, 0.214f, -0.273f, 0.31f, -0.272f, 0.467f)
                curveToRelative(0.001f, 0.264f, 0.086f, 0.402f, 0.185f, 0.3f)
                curveToRelative(0.118f, -0.12f, 0.172f, -0.085f, 0.13f, 0.085f)
                curveToRelative(-0.038f, 0.154f, -0.032f, 0.158f, 0.158f, 0.12f)
                curveToRelative(0.243f, -0.05f, 0.463f, -0.193f, 0.504f, -0.327f)
                curveToRelative(0.017f, -0.056f, 0.054f, -0.142f, 0.082f, -0.191f)
                curveToRelative(0.029f, -0.05f, 0.137f, -0.274f, 0.242f, -0.5f)
                curveToRelative(0.13f, -0.28f, 0.273f, -0.478f, 0.453f, -0.628f)
                curveToRelative(0.144f, -0.12f, 0.3f, -0.313f, 0.348f, -0.428f)
                curveToRelative(0.139f, -0.338f, 0.543f, -0.628f, 0.543f, -0.388f)
                curveToRelative(0.0f, 0.14f, -0.228f, 0.564f, -0.394f, 0.733f)
                curveToRelative(-0.209f, 0.213f, -0.37f, 0.499f, -0.37f, 0.657f)
                curveToRelative(0.0f, 0.139f, 0.082f, 0.18f, 0.147f, 0.075f)
                curveToRelative(0.064f, -0.106f, 0.137f, -0.064f, 0.105f, 0.06f)
                arcToRelative(0.334f, 0.334f, 0.0f, false, false, -0.007f, 0.035f)
                curveToRelative(0.01f, 0.03f, 0.025f, 0.055f, 0.045f, 0.075f)
                curveToRelative(0.025f, 0.007f, 0.06f, 0.01f, 0.112f, 0.01f)
                curveToRelative(0.302f, 0.0f, 0.587f, -0.174f, 0.63f, -0.385f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, 0.152f, -0.375f)
                curveToRelative(0.074f, -0.124f, 0.1f, -0.242f, 0.076f, -0.341f)
                curveToRelative(-0.04f, -0.161f, 0.068f, -0.577f, 0.15f, -0.577f)
                curveToRelative(0.06f, 0.0f, 0.274f, 0.447f, 0.328f, 0.69f)
                arcToRelative(0.823f, 0.823f, 0.0f, false, false, 0.156f, 0.308f)
                curveToRelative(0.108f, 0.121f, 0.155f, 0.128f, 0.683f, 0.098f)
                curveToRelative(0.547f, -0.031f, 0.573f, -0.04f, 0.715f, -0.217f)
                curveToRelative(0.106f, -0.134f, 0.156f, -0.285f, 0.18f, -0.547f)
                curveToRelative(0.042f, -0.462f, 0.242f, -0.776f, 0.7f, -1.104f)
                lineToRelative(0.342f, -0.244f)
                lineToRelative(0.084f, 0.134f)
                curveToRelative(0.047f, 0.073f, 0.147f, 0.289f, 0.223f, 0.479f)
                curveToRelative(0.128f, 0.316f, 0.133f, 0.368f, 0.065f, 0.64f)
                curveToRelative(-0.041f, 0.164f, -0.057f, 0.354f, -0.036f, 0.423f)
                curveToRelative(0.022f, 0.07f, -0.007f, 0.256f, -0.065f, 0.42f)
                lineToRelative(-0.045f, 0.128f)
                lineToRelative(-0.009f, 0.056f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, false, -0.014f, 0.152f)
                lineToRelative(0.103f, 0.11f)
                curveToRelative(0.157f, 0.172f, 0.266f, 0.193f, 0.316f, 0.062f)
                curveToRelative(0.044f, -0.12f, 0.155f, -0.116f, 0.155f, 0.005f)
                curveToRelative(0.0f, 0.127f, 0.115f, 0.08f, 0.248f, -0.1f)
                curveToRelative(0.102f, -0.14f, 0.103f, -0.165f, 0.016f, -0.416f)
                curveToRelative(-0.052f, -0.148f, -0.081f, -0.315f, -0.067f, -0.371f)
                curveToRelative(0.014f, -0.057f, 0.0f, -0.219f, -0.032f, -0.36f)
                arcToRelative(2.63f, 2.63f, 0.0f, false, true, 0.011f, -1.095f)
                curveToRelative(0.057f, -0.278f, 0.05f, -0.339f, -0.083f, -0.63f)
                curveToRelative(-0.081f, -0.177f, -0.136f, -0.334f, -0.123f, -0.347f)
                curveToRelative(0.014f, -0.014f, 0.125f, 0.015f, 0.248f, 0.064f)
                curveToRelative(0.57f, 0.228f, 1.015f, 0.176f, 1.286f, -0.15f)
                lineToRelative(0.138f, -0.167f)
                arcToRelative(0.154f, 0.154f, 0.0f, false, false, 0.004f, -0.028f)
                lineToRelative(-0.329f, -0.03f)
                arcToRelative(6.802f, 6.802f, 0.0f, false, true, -0.225f, -0.025f)
                curveToRelative(-0.199f, -0.033f, -0.286f, -0.105f, -0.604f, -0.389f)
                curveToRelative(-0.294f, -0.262f, -0.304f, -0.282f, -0.273f, -0.516f)
                curveToRelative(0.019f, -0.139f, -0.01f, -0.442f, -0.067f, -0.701f)
                curveToRelative(-0.092f, -0.422f, -0.092f, -0.483f, -0.006f, -0.784f)
                curveToRelative(0.051f, -0.18f, 0.093f, -0.407f, 0.093f, -0.503f)
                curveToRelative(0.0f, -0.29f, -0.158f, -0.736f, -0.345f, -0.973f)
                arcToRelative(1.535f, 1.535f, 0.0f, false, true, -0.238f, -0.462f)
                arcToRelative(1.843f, 1.843f, 0.0f, false, false, -0.208f, -0.458f)
                curveToRelative(-0.136f, -0.204f, -0.14f, -0.229f, -0.059f, -0.425f)
                arcToRelative(1.74f, 1.74f, 0.0f, false, false, 0.086f, -0.538f)
                curveToRelative(0.0f, -0.287f, -0.025f, -0.359f, -0.191f, -0.551f)
                curveToRelative(-0.36f, -0.418f, -0.53f, -0.457f, -2.25f, -0.508f)
                curveToRelative(-1.985f, -0.06f, -2.297f, -0.136f, -1.989f, -0.483f)
                curveToRelative(0.126f, -0.142f, 0.332f, -0.138f, 0.76f, 0.014f)
                curveToRelative(0.469f, 0.166f, 1.042f, 0.207f, 1.377f, 0.099f)
                curveToRelative(0.288f, -0.093f, 0.293f, -0.088f, -0.206f, -0.194f)
                curveToRelative(-0.08f, -0.017f, -0.147f, -0.06f, -0.147f, -0.097f)
                curveToRelative(0.0f, -0.013f, 0.008f, -0.022f, 0.021f, -0.029f)
                curveToRelative(0.009f, -0.018f, 0.051f, -0.022f, 0.13f, -0.013f)
                curveToRelative(0.036f, 0.002f, 0.078f, 0.006f, 0.128f, 0.013f)
                curveToRelative(0.769f, 0.104f, 0.897f, 0.112f, 0.897f, 0.053f)
                curveToRelative(0.0f, -0.097f, -0.516f, -0.297f, -1.055f, -0.408f)
                arcToRelative(3.533f, 3.533f, 0.0f, false, false, -0.79f, -0.074f)
                close()
                moveTo(12.547f, 5.217f)
                arcToRelative(0.86f, 0.86f, 0.0f, false, true, 0.232f, 0.054f)
                lineToRelative(0.254f, 0.092f)
                lineToRelative(-0.182f, 0.003f)
                lineToRelative(-0.024f, 0.001f)
                lineToRelative(-0.031f, -0.002f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, true, -0.262f, -0.05f)
                curveToRelative(-0.103f, -0.067f, -0.08f, -0.103f, 0.013f, -0.098f)
                close()
            }
        }
        .build()
        return _lamborghini!!
    }

private var _lamborghini: ImageVector? = null
