package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Laravel: ImageVector
    get() {
        if (_laravel != null) {
            return _laravel!!
        }
        _laravel = Builder(name = "Laravel", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.642f, 5.43f)
                arcToRelative(0.364f, 0.364f, 0.0f, false, true, 0.014f, 0.1f)
                verticalLineToRelative(5.149f)
                curveToRelative(0.0f, 0.135f, -0.073f, 0.26f, -0.189f, 0.326f)
                lineToRelative(-4.323f, 2.49f)
                verticalLineToRelative(4.934f)
                arcToRelative(0.378f, 0.378f, 0.0f, false, true, -0.188f, 0.326f)
                lineTo(9.93f, 23.949f)
                arcToRelative(0.316f, 0.316f, 0.0f, false, true, -0.066f, 0.027f)
                curveToRelative(-0.008f, 0.002f, -0.016f, 0.008f, -0.024f, 0.01f)
                arcToRelative(0.348f, 0.348f, 0.0f, false, true, -0.192f, 0.0f)
                curveToRelative(-0.011f, -0.002f, -0.02f, -0.008f, -0.03f, -0.012f)
                curveToRelative(-0.02f, -0.008f, -0.042f, -0.014f, -0.062f, -0.025f)
                lineTo(0.533f, 18.755f)
                arcToRelative(0.376f, 0.376f, 0.0f, false, true, -0.189f, -0.326f)
                lineTo(0.344f, 2.974f)
                curveToRelative(0.0f, -0.033f, 0.005f, -0.066f, 0.014f, -0.098f)
                curveToRelative(0.003f, -0.012f, 0.01f, -0.02f, 0.014f, -0.032f)
                arcToRelative(0.369f, 0.369f, 0.0f, false, true, 0.023f, -0.058f)
                curveToRelative(0.004f, -0.013f, 0.015f, -0.022f, 0.023f, -0.033f)
                lineToRelative(0.033f, -0.045f)
                curveToRelative(0.012f, -0.01f, 0.025f, -0.018f, 0.037f, -0.027f)
                curveToRelative(0.014f, -0.012f, 0.027f, -0.024f, 0.041f, -0.034f)
                lineTo(0.53f, 2.647f)
                lineTo(5.043f, 0.05f)
                arcToRelative(0.375f, 0.375f, 0.0f, false, true, 0.375f, 0.0f)
                lineTo(9.93f, 2.647f)
                horizontalLineToRelative(0.002f)
                curveToRelative(0.015f, 0.01f, 0.027f, 0.021f, 0.04f, 0.033f)
                lineToRelative(0.038f, 0.027f)
                curveToRelative(0.013f, 0.014f, 0.02f, 0.03f, 0.033f, 0.045f)
                curveToRelative(0.008f, 0.011f, 0.02f, 0.021f, 0.025f, 0.033f)
                curveToRelative(0.01f, 0.02f, 0.017f, 0.038f, 0.024f, 0.058f)
                curveToRelative(0.003f, 0.011f, 0.01f, 0.021f, 0.013f, 0.032f)
                curveToRelative(0.01f, 0.031f, 0.014f, 0.064f, 0.014f, 0.098f)
                verticalLineToRelative(9.652f)
                lineToRelative(3.76f, -2.164f)
                lineTo(13.879f, 5.527f)
                curveToRelative(0.0f, -0.033f, 0.004f, -0.066f, 0.013f, -0.098f)
                curveToRelative(0.003f, -0.01f, 0.01f, -0.02f, 0.013f, -0.032f)
                arcToRelative(0.487f, 0.487f, 0.0f, false, true, 0.024f, -0.059f)
                curveToRelative(0.007f, -0.012f, 0.018f, -0.02f, 0.025f, -0.033f)
                curveToRelative(0.012f, -0.015f, 0.021f, -0.03f, 0.033f, -0.043f)
                curveToRelative(0.012f, -0.012f, 0.025f, -0.02f, 0.037f, -0.028f)
                curveToRelative(0.014f, -0.01f, 0.026f, -0.023f, 0.041f, -0.032f)
                horizontalLineToRelative(0.001f)
                lineToRelative(4.513f, -2.598f)
                arcToRelative(0.375f, 0.375f, 0.0f, false, true, 0.375f, 0.0f)
                lineToRelative(4.513f, 2.598f)
                curveToRelative(0.016f, 0.01f, 0.027f, 0.021f, 0.042f, 0.031f)
                curveToRelative(0.012f, 0.01f, 0.025f, 0.018f, 0.036f, 0.028f)
                curveToRelative(0.013f, 0.014f, 0.022f, 0.03f, 0.034f, 0.044f)
                curveToRelative(0.008f, 0.012f, 0.019f, 0.021f, 0.024f, 0.033f)
                curveToRelative(0.011f, 0.02f, 0.018f, 0.04f, 0.024f, 0.06f)
                curveToRelative(0.006f, 0.01f, 0.012f, 0.021f, 0.015f, 0.032f)
                close()
                moveTo(22.902f, 10.462f)
                lineTo(22.902f, 6.179f)
                lineToRelative(-1.578f, 0.908f)
                lineToRelative(-2.182f, 1.256f)
                verticalLineToRelative(4.283f)
                close()
                moveTo(18.392f, 18.212f)
                verticalLineToRelative(-4.287f)
                lineToRelative(-2.147f, 1.225f)
                lineToRelative(-6.126f, 3.498f)
                verticalLineToRelative(4.325f)
                close()
                moveTo(1.093f, 3.624f)
                verticalLineToRelative(14.588f)
                lineToRelative(8.273f, 4.761f)
                verticalLineToRelative(-4.325f)
                lineToRelative(-4.322f, -2.445f)
                lineToRelative(-0.002f, -0.003f)
                lineTo(5.04f, 16.2f)
                curveToRelative(-0.014f, -0.01f, -0.025f, -0.021f, -0.04f, -0.031f)
                curveToRelative(-0.011f, -0.01f, -0.024f, -0.018f, -0.035f, -0.027f)
                lineToRelative(-0.001f, -0.002f)
                curveToRelative(-0.013f, -0.012f, -0.021f, -0.025f, -0.031f, -0.04f)
                curveToRelative(-0.01f, -0.011f, -0.021f, -0.022f, -0.028f, -0.036f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-0.008f, -0.014f, -0.013f, -0.031f, -0.02f, -0.047f)
                curveToRelative(-0.006f, -0.016f, -0.014f, -0.027f, -0.018f, -0.043f)
                arcToRelative(0.49f, 0.49f, 0.0f, false, true, -0.008f, -0.057f)
                curveToRelative(-0.002f, -0.014f, -0.006f, -0.027f, -0.006f, -0.041f)
                lineTo(4.851f, 5.789f)
                lineToRelative(-2.18f, -1.257f)
                close()
                moveTo(5.23f, 0.81f)
                lineTo(1.47f, 2.974f)
                lineToRelative(3.76f, 2.164f)
                lineToRelative(3.758f, -2.164f)
                close()
                moveTo(7.186f, 14.315f)
                lineToRelative(2.182f, -1.256f)
                lineTo(9.368f, 3.624f)
                lineToRelative(-1.58f, 0.91f)
                lineToRelative(-2.182f, 1.255f)
                verticalLineToRelative(9.435f)
                close()
                moveTo(18.767f, 3.365f)
                lineToRelative(-3.76f, 2.163f)
                lineToRelative(3.76f, 2.163f)
                lineToRelative(3.759f, -2.164f)
                close()
                moveTo(18.391f, 8.343f)
                lineTo(16.21f, 7.087f)
                lineTo(14.63f, 6.18f)
                verticalLineToRelative(4.283f)
                lineToRelative(2.182f, 1.256f)
                lineToRelative(1.58f, 0.908f)
                close()
                moveTo(9.741f, 17.997f)
                lineToRelative(5.514f, -3.148f)
                lineToRelative(2.756f, -1.572f)
                lineToRelative(-3.757f, -2.163f)
                lineToRelative(-4.323f, 2.489f)
                lineToRelative(-3.941f, 2.27f)
                close()
            }
        }
        .build()
        return _laravel!!
    }

private var _laravel: ImageVector? = null
