package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Meetup: ImageVector
    get() {
        if (_meetup != null) {
            return _meetup!!
        }
        _meetup = Builder(name = "Meetup", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.98f, 0.555f)
                arcToRelative(0.518f, 0.518f, 0.0f, false, false, -0.105f, 0.011f)
                arcToRelative(0.53f, 0.53f, 0.0f, true, false, 0.222f, 1.04f)
                arcToRelative(0.533f, 0.533f, 0.0f, false, false, 0.409f, -0.633f)
                arcToRelative(0.531f, 0.531f, 0.0f, false, false, -0.526f, -0.418f)
                close()
                moveTo(13.435f, 1.193f)
                arcToRelative(0.984f, 0.984f, 0.0f, false, false, -0.514f, 0.143f)
                arcToRelative(0.99f, 0.99f, 0.0f, true, false, 1.02f, 1.699f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, false, 0.34f, -1.36f)
                arcToRelative(0.992f, 0.992f, 0.0f, false, false, -0.846f, -0.482f)
                close()
                moveTo(10.405f, 3.429f)
                arcToRelative(5.029f, 5.029f, 0.0f, false, false, -4.668f, 3.248f)
                arcToRelative(3.33f, 3.33f, 0.0f, false, false, -1.46f, 0.551f)
                arcToRelative(3.374f, 3.374f, 0.0f, false, false, -0.94f, 4.562f)
                arcToRelative(3.634f, 3.634f, 0.0f, false, false, -0.605f, 4.649f)
                arcToRelative(3.603f, 3.603f, 0.0f, false, false, 2.465f, 1.597f)
                curveToRelative(0.018f, 0.732f, 0.238f, 1.466f, 0.686f, 2.114f)
                arcToRelative(3.9f, 3.9f, 0.0f, false, false, 5.423f, 0.992f)
                curveToRelative(0.068f, -0.047f, 0.12f, -0.106f, 0.184f, -0.157f)
                curveToRelative(0.987f, 0.881f, 2.47f, 1.026f, 3.607f, 0.24f)
                arcToRelative(2.91f, 2.91f, 0.0f, false, false, 1.162f, -1.69f)
                arcToRelative(4.238f, 4.238f, 0.0f, false, false, 2.584f, -0.739f)
                arcToRelative(4.274f, 4.274f, 0.0f, false, false, 1.19f, -5.789f)
                arcToRelative(2.466f, 2.466f, 0.0f, false, false, 0.433f, -3.308f)
                arcToRelative(2.448f, 2.448f, 0.0f, false, false, -1.316f, -0.934f)
                arcToRelative(4.436f, 4.436f, 0.0f, false, false, -0.776f, -2.873f)
                arcToRelative(4.467f, 4.467f, 0.0f, false, false, -5.195f, -1.656f)
                arcToRelative(5.106f, 5.106f, 0.0f, false, false, -2.773f, -0.807f)
                close()
                moveTo(4.802f, 4.246f)
                arcToRelative(0.759f, 0.759f, 0.0f, false, false, -0.423f, 0.135f)
                arcToRelative(0.758f, 0.758f, 0.0f, true, false, 0.863f, 1.248f)
                arcToRelative(0.757f, 0.757f, 0.0f, false, false, 0.193f, -1.055f)
                arcToRelative(0.758f, 0.758f, 0.0f, false, false, -0.633f, -0.328f)
                close()
                moveTo(20.796f, 6.616f)
                arcToRelative(0.842f, 0.842f, 0.0f, false, false, -0.47f, 0.151f)
                arcToRelative(0.845f, 0.845f, 0.0f, true, false, 1.175f, 0.215f)
                arcToRelative(0.845f, 0.845f, 0.0f, false, false, -0.705f, -0.365f)
                close()
                moveTo(12.646f, 7.644f)
                curveToRelative(0.063f, 0.0f, 0.124f, 0.005f, 0.182f, 0.014f)
                arcToRelative(0.901f, 0.901f, 0.0f, false, true, 0.45f, 0.187f)
                curveToRelative(0.169f, 0.134f, 0.273f, 0.241f, 0.432f, 0.393f)
                curveToRelative(0.24f, 0.227f, 0.414f, 0.089f, 0.534f, 0.02f)
                curveToRelative(0.208f, -0.122f, 0.369f, -0.219f, 0.984f, -0.208f)
                curveToRelative(0.633f, 0.011f, 1.363f, 0.237f, 1.514f, 1.317f)
                curveToRelative(0.168f, 1.199f, -1.966f, 4.289f, -1.817f, 5.722f)
                curveToRelative(0.106f, 1.01f, 1.815f, 0.299f, 1.96f, 1.22f)
                curveToRelative(0.186f, 1.198f, -2.136f, 0.753f, -2.667f, 0.493f)
                curveToRelative(-0.832f, -0.408f, -1.337f, -1.34f, -1.12f, -2.26f)
                curveToRelative(0.16f, -0.688f, 1.7f, -3.498f, 1.757f, -3.93f)
                curveToRelative(0.059f, -0.44f, -0.177f, -0.476f, -0.324f, -0.484f)
                curveToRelative(-0.19f, -0.01f, -0.34f, 0.081f, -0.526f, 0.362f)
                curveToRelative(-0.169f, 0.255f, -2.082f, 4.085f, -2.248f, 4.398f)
                curveToRelative(-0.296f, 0.56f, -0.67f, 0.694f, -1.044f, 0.674f)
                curveToRelative(-0.548f, -0.029f, -0.798f, -0.32f, -0.72f, -0.848f)
                curveToRelative(0.047f, -0.31f, 1.26f, -3.049f, 1.323f, -3.476f)
                curveToRelative(0.039f, -0.265f, -0.013f, -0.546f, -0.275f, -0.68f)
                curveToRelative(-0.263f, -0.135f, -0.572f, 0.07f, -0.664f, 0.227f)
                curveToRelative(-0.128f, 0.215f, -1.848f, 4.706f, -2.032f, 5.038f)
                curveToRelative(-0.316f, 0.576f, -0.65f, 0.76f, -1.152f, 0.784f)
                curveToRelative(-1.186f, 0.056f, -2.065f, -0.92f, -1.678f, -2.116f)
                curveToRelative(0.173f, -0.532f, 1.316f, -4.571f, 1.895f, -5.599f)
                curveToRelative(0.389f, -0.69f, 1.468f, -1.216f, 2.217f, -0.892f)
                curveToRelative(0.387f, 0.167f, 0.925f, 0.437f, 1.084f, 0.507f)
                curveToRelative(0.366f, 0.163f, 0.759f, -0.277f, 0.913f, -0.412f)
                curveToRelative(0.155f, -0.134f, 0.302f, -0.276f, 0.49f, -0.357f)
                curveToRelative(0.142f, -0.06f, 0.343f, -0.095f, 0.532f, -0.094f)
                close()
                moveTo(23.526f, 9.701f)
                arcToRelative(0.468f, 0.468f, 0.0f, false, false, -0.093f, 0.011f)
                arcToRelative(0.467f, 0.467f, 0.0f, false, false, -0.36f, 0.555f)
                arcToRelative(0.47f, 0.47f, 0.0f, false, false, 0.557f, 0.36f)
                arcToRelative(0.47f, 0.47f, 0.0f, false, false, 0.36f, -0.557f)
                arcToRelative(0.47f, 0.47f, 0.0f, false, false, -0.464f, -0.37f)
                close()
                moveTo(1.008f, 10.511f)
                arcToRelative(0.997f, 0.997f, 0.0f, false, false, -0.832f, 0.434f)
                arcToRelative(1.0f, 1.0f, 0.0f, true, false, 1.39f, -0.258f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.558f, -0.176f)
                close()
                moveTo(22.302f, 12.605f)
                arcToRelative(0.635f, 0.635f, 0.0f, false, false, -0.127f, 0.013f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, false, -0.48f, 0.746f)
                arcToRelative(0.628f, 0.628f, 0.0f, false, false, 0.746f, 0.483f)
                arcToRelative(0.628f, 0.628f, 0.0f, false, false, 0.482f, -0.746f)
                arcToRelative(0.63f, 0.63f, 0.0f, false, false, -0.621f, -0.496f)
                close()
                moveTo(4.062f, 18.702f)
                arcToRelative(0.453f, 0.453f, 0.0f, false, false, -0.092f, 0.012f)
                arcToRelative(0.464f, 0.464f, 0.0f, true, false, 0.195f, 0.908f)
                arcToRelative(0.464f, 0.464f, 0.0f, false, false, 0.356f, -0.553f)
                arcToRelative(0.465f, 0.465f, 0.0f, false, false, -0.459f, -0.367f)
                close()
                moveTo(17.737f, 20.252f)
                arcToRelative(1.044f, 1.044f, 0.0f, false, false, -0.583f, 0.187f)
                arcToRelative(1.047f, 1.047f, 0.0f, true, false, 1.456f, 0.265f)
                arcToRelative(1.044f, 1.044f, 0.0f, false, false, -0.873f, -0.451f)
                close()
                moveTo(11.4f, 22.154f)
                arcToRelative(0.643f, 0.643f, 0.0f, false, false, -0.36f, 0.115f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, false, -0.164f, 0.899f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, false, 0.899f, 0.164f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, false, 0.164f, -0.898f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, false, -0.54f, -0.28f)
                close()
            }
        }
        .build()
        return _meetup!!
    }

private var _meetup: ImageVector? = null
