package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Openbsd: ImageVector
    get() {
        if (_openbsd != null) {
            return _openbsd!!
        }
        _openbsd = Builder(name = "Openbsd", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.695f, 1.653f)
                curveToRelative(-0.202f, 0.47f, -0.146f, 1.02f, -0.293f, 1.509f)
                curveToRelative(-0.034f, 0.112f, -0.146f, 0.452f, -0.308f, 0.429f)
                curveToRelative(-0.333f, -0.048f, -0.16f, -0.688f, -0.545f, -0.7f)
                lineToRelative(0.12f, 0.934f)
                curveToRelative(-0.577f, 0.073f, -0.498f, -0.829f, -0.733f, -1.195f)
                curveToRelative(-0.27f, -0.423f, -0.335f, 0.192f, -0.317f, 0.38f)
                curveToRelative(0.011f, 0.122f, 0.036f, 0.242f, 0.05f, 0.363f)
                curveToRelative(0.026f, 0.21f, 0.032f, 0.393f, 0.005f, 0.603f)
                curveToRelative(-0.552f, -0.007f, -0.35f, -0.733f, -0.754f, -0.844f)
                lineToRelative(0.03f, 0.874f)
                curveToRelative(-0.612f, -0.005f, -0.89f, -0.557f, -1.159f, -1.025f)
                curveToRelative(-0.112f, -0.196f, -0.261f, -0.574f, -0.53f, -0.453f)
                curveToRelative(0.126f, 0.544f, 0.423f, 1.064f, 0.454f, 1.63f)
                curveToRelative(0.007f, 0.145f, -0.13f, 0.516f, -0.333f, 0.448f)
                curveToRelative(-0.469f, -0.158f, -0.406f, -1.008f, -0.796f, -1.231f)
                curveToRelative(-0.08f, -0.045f, -0.204f, -0.006f, -0.29f, -0.002f)
                curveToRelative(0.0f, 0.45f, 0.198f, 0.996f, 0.356f, 1.418f)
                curveToRelative(0.034f, 0.09f, 0.129f, 0.41f, -0.069f, 0.403f)
                curveToRelative(-0.353f, -0.01f, -0.441f, -0.695f, -0.8f, -0.615f)
                curveToRelative(0.044f, 0.185f, 0.153f, 0.335f, 0.215f, 0.513f)
                curveToRelative(0.037f, 0.109f, 0.106f, 0.219f, 0.126f, 0.332f)
                curveToRelative(0.044f, 0.247f, -0.269f, 0.267f, -0.432f, 0.22f)
                curveToRelative(-0.384f, -0.114f, -0.66f, -0.428f, -0.935f, -0.703f)
                curveToRelative(-0.076f, -0.076f, -0.277f, -0.344f, -0.404f, -0.222f)
                curveToRelative(-0.141f, 0.135f, 0.136f, 0.373f, 0.215f, 0.464f)
                curveToRelative(0.234f, 0.271f, 0.488f, 0.589f, 0.6f, 0.935f)
                curveToRelative(0.049f, 0.148f, 0.058f, 0.36f, -0.09f, 0.462f)
                curveToRelative(-0.146f, 0.1f, -0.384f, -0.083f, -0.502f, -0.16f)
                curveToRelative(-0.362f, -0.239f, -0.721f, -0.654f, -1.176f, -0.664f)
                lineToRelative(-0.107f, 0.271f)
                lineToRelative(0.29f, 0.392f)
                lineToRelative(0.752f, 0.845f)
                lineToRelative(-0.875f, -0.362f)
                curveToRelative(0.035f, 0.229f, 0.583f, 0.506f, 0.475f, 0.742f)
                curveToRelative(-0.064f, 0.14f, -0.38f, 0.142f, -0.505f, 0.124f)
                curveToRelative(-0.446f, -0.064f, -0.762f, -0.396f, -1.177f, -0.515f)
                curveToRelative(-0.366f, -0.105f, -0.298f, 0.18f, -0.09f, 0.343f)
                curveToRelative(0.072f, 0.057f, 0.141f, 0.117f, 0.211f, 0.177f)
                curveToRelative(0.125f, 0.108f, 0.245f, 0.219f, 0.362f, 0.336f)
                curveToRelative(0.183f, 0.183f, 0.343f, 0.378f, 0.513f, 0.573f)
                lineToRelative(-0.875f, -0.03f)
                verticalLineToRelative(0.06f)
                lineToRelative(0.845f, 0.392f)
                lineToRelative(-0.151f, 0.603f)
                curveToRelative(-0.244f, 0.0f, -0.442f, -0.067f, -0.664f, -0.163f)
                curveToRelative(-0.151f, -0.066f, -0.31f, -0.175f, -0.482f, -0.163f)
                curveToRelative(-0.206f, 0.014f, -0.328f, 0.202f, -0.19f, 0.377f)
                curveToRelative(0.206f, 0.263f, 0.62f, 0.412f, 0.883f, 0.617f)
                curveToRelative(0.1f, 0.078f, 0.247f, 0.212f, 0.133f, 0.345f)
                curveToRelative(-0.225f, 0.264f, -0.832f, -0.074f, -1.128f, 0.013f)
                verticalLineToRelative(0.06f)
                curveToRelative(0.275f, 0.161f, 0.839f, 0.253f, 1.0f, 0.549f)
                curveToRelative(0.128f, 0.231f, -0.232f, 0.756f, -0.487f, 0.736f)
                curveToRelative(-0.227f, -0.019f, -0.436f, -0.275f, -0.603f, -0.41f)
                curveToRelative(-0.401f, -0.322f, -0.83f, -0.7f, -1.298f, -0.923f)
                curveToRelative(-0.801f, -0.38f, -1.597f, 0.226f, -2.232f, 0.622f)
                curveToRelative(0.081f, 0.256f, 0.402f, -0.017f, 0.603f, 0.029f)
                curveToRelative(0.271f, 0.061f, 0.477f, 0.313f, 0.651f, 0.513f)
                curveToRelative(0.84f, 0.968f, 1.543f, 2.064f, 1.857f, 3.319f)
                curveToRelative(0.083f, 0.33f, 0.224f, 0.725f, -0.023f, 1.021f)
                curveToRelative(-0.066f, 0.08f, -0.165f, 0.09f, -0.238f, 0.155f)
                curveToRelative(-0.055f, 0.05f, -0.052f, 0.118f, 0.023f, 0.141f)
                curveToRelative(0.138f, 0.043f, 0.34f, -0.021f, 0.475f, -0.054f)
                curveToRelative(0.443f, -0.107f, 0.949f, -0.346f, 1.15f, -0.78f)
                curveToRelative(0.125f, -0.271f, 0.169f, -0.797f, 0.48f, -0.905f)
                curveToRelative(0.068f, 0.29f, 0.394f, 0.673f, 0.363f, 0.965f)
                curveToRelative(-0.029f, 0.259f, -0.302f, 0.56f, -0.461f, 0.751f)
                curveToRelative(-0.057f, 0.068f, -0.193f, 0.217f, -0.112f, 0.315f)
                curveToRelative(0.082f, 0.097f, 0.25f, -0.112f, 0.3f, -0.16f)
                curveToRelative(0.229f, -0.216f, 0.73f, -0.558f, 0.865f, -0.062f)
                curveToRelative(0.118f, 0.432f, -0.261f, 1.13f, -0.45f, 1.509f)
                curveToRelative(-0.054f, 0.105f, -0.297f, 0.435f, -0.202f, 0.553f)
                curveToRelative(0.11f, 0.135f, 0.338f, -0.218f, 0.387f, -0.282f)
                curveToRelative(0.19f, -0.249f, 0.856f, -0.987f, 1.21f, -0.722f)
                curveToRelative(0.431f, 0.324f, 0.282f, 0.555f, 0.119f, 0.994f)
                curveToRelative(-0.046f, 0.123f, -0.216f, 0.433f, -0.1f, 0.55f)
                curveToRelative(0.111f, 0.114f, 0.258f, 0.01f, 0.315f, -0.098f)
                curveToRelative(0.104f, -0.197f, 0.383f, -0.78f, 0.661f, -0.631f)
                curveToRelative(0.175f, 0.093f, 0.441f, 0.251f, 0.543f, 0.425f)
                curveToRelative(0.158f, 0.272f, 0.02f, 0.815f, -0.022f, 1.111f)
                curveToRelative(-0.024f, 0.17f, -0.207f, 0.702f, -0.055f, 0.825f)
                curveToRelative(0.14f, 0.113f, 0.254f, -0.228f, 0.296f, -0.312f)
                curveToRelative(0.149f, -0.295f, 0.32f, -0.597f, 0.54f, -0.845f)
                curveToRelative(0.08f, -0.089f, 0.192f, -0.237f, 0.327f, -0.212f)
                curveToRelative(0.7f, 0.131f, -0.015f, 0.829f, 0.273f, 1.185f)
                curveToRelative(0.058f, 0.072f, 0.215f, 0.067f, 0.3f, 0.083f)
                lineToRelative(0.362f, -0.935f)
                curveToRelative(0.184f, 0.07f, 0.455f, 0.095f, 0.591f, 0.248f)
                curveToRelative(0.114f, 0.128f, 0.137f, 0.344f, 0.17f, 0.506f)
                curveToRelative(0.092f, 0.454f, 0.142f, 0.896f, 0.084f, 1.357f)
                curveToRelative(0.057f, 0.042f, 0.148f, 0.138f, 0.225f, 0.088f)
                curveToRelative(0.097f, -0.062f, 0.11f, -0.315f, 0.143f, -0.42f)
                curveToRelative(0.106f, -0.332f, 0.269f, -0.65f, 0.42f, -0.965f)
                curveToRelative(0.099f, -0.207f, 0.37f, -0.427f, 0.565f, -0.142f)
                curveToRelative(0.2f, 0.292f, 0.12f, 0.804f, 0.246f, 1.138f)
                curveToRelative(0.32f, -0.158f, 0.355f, -0.825f, 0.362f, -1.147f)
                lineToRelative(0.415f, 0.061f)
                lineToRelative(0.25f, 0.513f)
                lineToRelative(0.45f, 1.297f)
                curveToRelative(0.234f, -0.09f, 0.16f, -0.538f, 0.187f, -0.754f)
                curveToRelative(0.035f, -0.293f, 0.103f, -0.882f, 0.318f, -1.1f)
                curveToRelative(0.086f, -0.087f, 0.258f, -0.095f, 0.37f, -0.137f)
                curveToRelative(0.129f, 0.312f, 0.199f, 0.666f, 0.354f, 0.965f)
                curveToRelative(0.06f, 0.116f, 0.198f, 0.242f, 0.337f, 0.17f)
                curveToRelative(0.133f, -0.068f, 0.128f, -0.224f, 0.111f, -0.35f)
                curveToRelative(-0.042f, -0.313f, -0.113f, -0.62f, -0.138f, -0.936f)
                curveToRelative(0.598f, -0.042f, 0.95f, 0.441f, 1.325f, 0.845f)
                curveToRelative(0.145f, 0.155f, 0.271f, 0.362f, 0.485f, 0.422f)
                lineToRelative(-0.31f, -0.905f)
                lineToRelative(-0.172f, -0.845f)
                curveToRelative(0.217f, -0.09f, 0.676f, -0.534f, 0.905f, -0.47f)
                curveToRelative(0.34f, 0.097f, 0.6f, 1.046f, 1.023f, 0.823f)
                curveToRelative(0.18f, -0.095f, 0.088f, -0.257f, 0.003f, -0.383f)
                curveToRelative(-0.126f, -0.188f, -0.506f, -0.639f, -0.465f, -0.874f)
                curveToRelative(0.03f, -0.175f, 0.324f, -0.379f, 0.494f, -0.377f)
                curveToRelative(0.391f, 0.006f, 1.071f, 0.304f, 1.297f, 0.618f)
                lineToRelative(0.272f, -0.03f)
                curveToRelative(-0.04f, -0.54f, -0.85f, -0.787f, -0.966f, -1.328f)
                arcToRelative(0.404f, 0.404f, 0.0f, false, true, 0.004f, -0.172f)
                curveToRelative(0.086f, -0.347f, 0.294f, -0.195f, 0.51f, -0.102f)
                curveToRelative(0.067f, 0.029f, 0.213f, 0.103f, 0.269f, 0.02f)
                curveToRelative(0.06f, -0.091f, -0.048f, -0.212f, -0.087f, -0.289f)
                curveToRelative(-0.082f, -0.156f, -0.156f, -0.337f, -0.122f, -0.513f)
                curveToRelative(0.282f, 0.074f, 0.455f, 0.242f, 0.694f, 0.4f)
                curveToRelative(0.056f, 0.038f, 0.18f, 0.131f, 0.251f, 0.08f)
                curveToRelative(0.075f, -0.056f, -0.036f, -0.167f, -0.071f, -0.208f)
                curveToRelative(-0.106f, -0.123f, -0.432f, -0.42f, -0.4f, -0.6f)
                curveToRelative(0.022f, -0.122f, 0.227f, -0.252f, 0.31f, -0.335f)
                curveToRelative(0.276f, -0.276f, 0.59f, -0.556f, 0.815f, -0.875f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.532f, 0.621f, 2.203f, 0.186f, 1.99f, -0.754f)
                curveToRelative(-0.132f, 0.019f, -0.256f, 0.123f, -0.392f, 0.077f)
                curveToRelative(-0.594f, -0.205f, -0.45f, -1.157f, -1.116f, -1.163f)
                curveToRelative(-0.049f, -0.62f, -0.298f, -1.24f, -0.599f, -1.78f)
                curveToRelative(-0.138f, -0.247f, -0.424f, -0.473f, -0.525f, -0.725f)
                curveToRelative(-0.055f, -0.14f, -0.046f, -0.36f, -0.052f, -0.512f)
                curveToRelative(0.349f, -0.054f, 0.177f, -0.407f, 0.05f, -0.603f)
                curveToRelative(-0.142f, -0.218f, -0.292f, -0.477f, -0.475f, -0.66f)
                curveToRelative(-0.226f, -0.227f, -0.562f, -0.374f, -0.533f, -0.758f)
                curveToRelative(0.027f, -0.357f, 0.642f, -0.311f, 0.747f, -0.633f)
                curveToRelative(-0.183f, 0.008f, -0.363f, 0.053f, -0.543f, 0.083f)
                curveToRelative(-0.449f, 0.075f, -0.527f, -0.076f, -0.317f, -0.475f)
                curveToRelative(0.183f, -0.349f, 0.474f, -0.613f, 0.73f, -0.905f)
                curveToRelative(0.083f, -0.093f, 0.336f, -0.306f, 0.205f, -0.441f)
                curveToRelative(-0.107f, -0.112f, -0.286f, 0.058f, -0.377f, 0.119f)
                curveToRelative(-0.333f, 0.22f, -0.705f, 0.384f, -1.086f, 0.502f)
                curveToRelative(-0.113f, 0.035f, -0.448f, 0.166f, -0.486f, -0.035f)
                curveToRelative(-0.051f, -0.272f, 0.463f, -0.322f, 0.395f, -0.628f)
                curveToRelative(-0.205f, 0.049f, -0.61f, 0.374f, -0.807f, 0.223f)
                curveToRelative(-0.238f, -0.18f, 0.111f, -0.643f, 0.149f, -0.856f)
                curveToRelative(0.038f, -0.216f, -0.136f, -0.224f, -0.258f, -0.09f)
                curveToRelative(-0.043f, 0.048f, -0.081f, 0.1f, -0.12f, 0.15f)
                curveToRelative(-0.07f, 0.087f, -0.126f, 0.17f, -0.17f, 0.271f)
                curveToRelative(-0.494f, -0.288f, 0.44f, -0.623f, 0.265f, -0.89f)
                curveToRelative(-0.063f, -0.095f, -0.179f, 0.0f, -0.235f, 0.05f)
                curveToRelative(-0.117f, 0.102f, -0.558f, 0.61f, -0.654f, 0.237f)
                curveToRelative(-0.106f, -0.412f, 0.108f, -0.908f, 0.22f, -1.297f)
                curveToRelative(0.028f, -0.102f, 0.159f, -0.376f, 0.032f, -0.449f)
                curveToRelative(-0.185f, -0.106f, -0.266f, 0.253f, -0.31f, 0.359f)
                arcToRelative(2.333f, 2.333f, 0.0f, false, true, -0.615f, 0.839f)
                curveToRelative(-0.086f, 0.077f, -0.232f, 0.225f, -0.36f, 0.19f)
                curveToRelative(-0.187f, -0.051f, -0.188f, -0.57f, -0.182f, -0.728f)
                curveToRelative(0.003f, -0.075f, 0.045f, -0.205f, -0.028f, -0.26f)
                curveToRelative(-0.096f, -0.071f, -0.147f, 0.072f, -0.16f, 0.14f)
                curveToRelative(-0.048f, 0.222f, -0.186f, 0.856f, -0.515f, 0.44f)
                curveToRelative(-0.298f, -0.376f, 0.163f, -1.157f, -0.444f, -1.315f)
                lineToRelative(-0.332f, 1.056f)
                curveToRelative(-0.398f, -0.087f, -0.31f, -0.656f, -0.211f, -0.966f)
                lineToRelative(-0.181f, -0.06f)
                arcToRelative(3.303f, 3.303f, 0.0f, false, true, -0.112f, 0.362f)
                curveToRelative(-0.16f, 0.451f, -0.375f, 0.539f, -0.541f, 0.03f)
                curveToRelative(-0.127f, -0.388f, -0.082f, -0.807f, -0.145f, -1.207f)
                curveToRelative(-0.025f, -0.159f, -0.04f, -0.32f, -0.198f, -0.392f)
                close()
                moveTo(13.725f, 2.558f)
                curveToRelative(0.153f, 0.364f, -0.008f, 0.82f, 0.237f, 1.176f)
                curveToRelative(0.25f, 0.364f, 0.716f, 0.168f, 1.02f, 0.397f)
                curveToRelative(0.108f, 0.081f, 0.022f, 0.256f, -0.007f, 0.358f)
                curveToRelative(-0.1f, 0.347f, -0.278f, 0.604f, -0.465f, 0.905f)
                curveToRelative(0.655f, -0.335f, 0.875f, -1.29f, 0.965f, -1.96f)
                horizontalLineToRelative(0.03f)
                curveToRelative(-0.026f, 0.596f, -0.007f, 1.182f, 0.0f, 1.779f)
                curveToRelative(0.003f, 0.27f, -0.037f, 0.582f, 0.272f, 0.633f)
                lineTo(15.777f, 4.46f)
                curveToRelative(0.323f, 0.093f, 0.808f, 0.502f, 1.159f, 0.381f)
                curveToRelative(0.179f, -0.061f, 0.342f, -0.277f, 0.467f, -0.411f)
                curveToRelative(0.094f, -0.102f, 0.175f, -0.212f, 0.244f, -0.332f)
                horizontalLineToRelative(0.03f)
                lineToRelative(-0.12f, 0.965f)
                lineToRelative(-0.302f, -0.06f)
                lineToRelative(0.663f, 0.473f)
                lineToRelative(0.261f, 0.226f)
                lineToRelative(-0.2f, 0.294f)
                lineToRelative(-0.875f, 0.636f)
                curveToRelative(0.637f, -0.094f, 0.958f, -0.564f, 1.418f, -0.935f)
                curveToRelative(-0.15f, 0.63f, -0.491f, 1.262f, -0.332f, 1.93f)
                horizontalLineToRelative(0.03f)
                lineToRelative(0.362f, -1.448f)
                curveToRelative(0.274f, 0.13f, 0.37f, 0.476f, 0.633f, 0.633f)
                curveToRelative(0.383f, 0.228f, 0.919f, -0.204f, 1.267f, -0.331f)
                curveToRelative(-0.227f, 0.322f, -0.57f, 0.548f, -0.633f, 0.965f)
                lineToRelative(-0.272f, -0.12f)
                curveToRelative(0.236f, 0.606f, 0.519f, 1.19f, 0.62f, 1.84f)
                curveToRelative(0.093f, 0.594f, -0.024f, 1.183f, 0.016f, 1.78f)
                curveToRelative(0.02f, 0.275f, 0.133f, 0.517f, 0.179f, 0.784f)
                curveToRelative(-0.563f, 0.191f, -0.666f, 0.98f, -1.207f, 1.236f)
                curveToRelative(0.043f, -0.188f, 0.11f, -0.377f, 0.11f, -0.573f)
                curveToRelative(0.0f, -0.14f, -0.066f, -0.282f, -0.03f, -0.422f)
                curveToRelative(0.073f, -0.277f, 0.314f, -0.508f, 0.412f, -0.784f)
                curveToRelative(0.152f, -0.43f, 0.05f, -0.835f, -0.009f, -1.267f)
                lineToRelative(0.301f, 0.03f)
                lineToRelative(-0.758f, -1.177f)
                lineToRelative(-0.376f, -0.573f)
                lineToRelative(0.139f, -0.392f)
                curveToRelative(-0.762f, 0.586f, -1.867f, 1.188f, -1.87f, 2.293f)
                lineToRelative(0.271f, -0.091f)
                lineToRelative(0.09f, 0.664f)
                lineToRelative(-0.422f, 0.06f)
                verticalLineToRelative(0.06f)
                curveToRelative(0.353f, 0.1f, 0.722f, 0.149f, 1.056f, 0.306f)
                curveToRelative(0.244f, 0.114f, 0.514f, 0.265f, 0.682f, 0.479f)
                curveToRelative(0.56f, 0.71f, 0.112f, 1.818f, -0.31f, 2.473f)
                curveToRelative(-0.213f, 0.33f, -0.594f, 0.634f, -0.734f, 0.996f)
                curveToRelative(0.382f, -0.092f, 0.577f, -0.457f, 0.792f, -0.754f)
                curveToRelative(0.091f, -0.127f, 0.17f, -0.303f, 0.325f, -0.362f)
                curveToRelative(0.24f, -0.09f, 0.32f, 0.354f, 0.371f, 0.512f)
                curveToRelative(0.065f, 0.2f, 0.218f, 0.546f, 0.18f, 0.755f)
                curveToRelative(-0.071f, 0.401f, -0.415f, 0.662f, -0.34f, 1.116f)
                curveToRelative(0.166f, -0.202f, 0.217f, -0.604f, 0.482f, -0.702f)
                curveToRelative(0.17f, -0.062f, 0.347f, 0.095f, 0.513f, 0.12f)
                curveToRelative(0.36f, 0.053f, 0.73f, -0.082f, 0.996f, -0.326f)
                curveToRelative(0.285f, -0.263f, 0.48f, -0.686f, 0.408f, -1.083f)
                curveToRelative(-0.043f, -0.24f, -0.177f, -0.476f, -0.16f, -0.724f)
                curveToRelative(0.012f, -0.2f, 0.148f, -0.362f, 0.22f, -0.543f)
                curveToRelative(0.173f, -0.427f, 0.152f, -0.912f, -0.257f, -1.189f)
                arcToRelative(0.86f, 0.86f, 0.0f, false, false, -0.362f, -0.138f)
                curveToRelative(0.033f, -0.222f, 0.264f, -0.706f, 0.53f, -0.418f)
                curveToRelative(0.188f, 0.202f, 0.29f, 0.558f, 0.396f, 0.81f)
                curveToRelative(0.389f, 0.918f, 0.392f, 2.006f, -0.163f, 2.865f)
                curveToRelative(-0.394f, 0.61f, -1.02f, 1.11f, -1.548f, 1.6f)
                lineToRelative(-0.21f, -0.604f)
                horizontalLineToRelative(-0.061f)
                curveToRelative(-0.07f, 0.36f, 0.185f, 0.772f, 0.332f, 1.086f)
                curveToRelative(-0.33f, -0.075f, -0.645f, -0.415f, -0.996f, -0.362f)
                curveToRelative(0.099f, 0.17f, 0.748f, 0.572f, 0.242f, 0.754f)
                curveToRelative(0.003f, 0.148f, -0.11f, 0.25f, -0.2f, 0.362f)
                curveToRelative(-0.201f, 0.248f, -0.454f, 0.618f, -0.766f, 0.724f)
                lineToRelative(-0.573f, -1.508f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(0.084f, 0.661f, 0.314f, 1.305f, 0.61f, 1.9f)
                curveToRelative(0.154f, 0.307f, 0.403f, 0.611f, 0.506f, 0.935f)
                curveToRelative(-0.187f, -0.159f, -0.306f, -0.413f, -0.466f, -0.603f)
                arcToRelative(6.313f, 6.313f, 0.0f, false, false, -0.952f, -0.892f)
                curveToRelative(-0.227f, -0.177f, -0.45f, -0.376f, -0.754f, -0.345f)
                curveToRelative(0.345f, 0.31f, 0.868f, 0.475f, 0.835f, 1.056f)
                curveToRelative(-0.01f, 0.165f, -0.193f, 0.237f, -0.322f, 0.296f)
                curveToRelative(-0.339f, 0.155f, -0.67f, 0.322f, -1.026f, 0.438f)
                curveToRelative(-0.098f, 0.032f, -0.279f, 0.12f, -0.382f, 0.087f)
                curveToRelative(-0.11f, -0.037f, -0.097f, -0.277f, -0.109f, -0.369f)
                curveToRelative(-0.037f, -0.285f, 0.121f, -1.028f, -0.172f, -1.146f)
                curveToRelative(-0.128f, 1.01f, 0.132f, 1.929f, 0.21f, 2.926f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.17f, -0.737f, -0.439f, -1.558f, -0.838f, -2.202f)
                curveToRelative(-0.11f, -0.177f, -0.343f, -0.597f, -0.579f, -0.543f)
                lineToRelative(0.62f, 1.086f)
                lineToRelative(0.013f, 0.46f)
                lineToRelative(-0.452f, 0.08f)
                lineToRelative(-1.297f, 0.033f)
                curveToRelative(0.047f, -0.373f, 0.13f, -0.746f, 0.2f, -1.116f)
                curveToRelative(0.014f, -0.081f, 0.074f, -0.326f, -0.078f, -0.326f)
                curveToRelative(-0.14f, 0.0f, -0.169f, 0.408f, -0.189f, 0.507f)
                curveToRelative(-0.108f, 0.542f, -0.204f, 1.106f, -0.205f, 1.66f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(0.0f, -0.913f, -0.41f, -1.73f, -0.784f, -2.535f)
                curveToRelative(-0.104f, 0.155f, 0.041f, 0.377f, 0.086f, 0.543f)
                curveToRelative(0.099f, 0.371f, 0.113f, 0.737f, 0.065f, 1.116f)
                curveToRelative(-0.612f, -0.118f, -1.275f, -0.278f, -1.84f, -0.543f)
                curveToRelative(0.149f, -0.357f, 0.576f, -0.889f, 0.573f, -1.267f)
                curveToRelative(-0.554f, 0.556f, -0.804f, 1.335f, -1.086f, 2.052f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(0.12f, -1.448f)
                lineToRelative(-0.21f, -1.237f)
                curveToRelative(-0.132f, 0.133f, -0.06f, 0.399f, -0.04f, 0.573f)
                curveToRelative(0.033f, 0.275f, 0.015f, 0.688f, -0.188f, 0.9f)
                curveToRelative(-0.112f, 0.117f, -0.226f, 0.014f, -0.346f, -0.034f)
                curveToRelative(-0.335f, -0.136f, -0.582f, -0.36f, -0.875f, -0.564f)
                curveToRelative(-0.104f, -0.072f, -0.293f, -0.15f, -0.28f, -0.302f)
                curveToRelative(0.032f, -0.433f, 0.656f, -0.638f, 0.672f, -1.026f)
                curveToRelative(-0.72f, 0.31f, -1.062f, 1.088f, -1.629f, 1.57f)
                curveToRelative(0.186f, -0.785f, 0.782f, -1.703f, 0.634f, -2.535f)
                curveToRelative(-0.152f, 0.084f, -0.145f, 0.295f, -0.185f, 0.453f)
                arcToRelative(4.324f, 4.324f, 0.0f, false, true, -0.388f, 0.965f)
                curveToRelative(-0.4f, -0.231f, -0.72f, -0.623f, -0.983f, -0.996f)
                curveToRelative(-0.073f, -0.102f, -0.233f, -0.26f, -0.235f, -0.392f)
                curveToRelative(-0.002f, -0.128f, 0.145f, -0.274f, 0.225f, -0.362f)
                curveToRelative(0.244f, -0.265f, 0.54f, -0.465f, 0.872f, -0.603f)
                curveToRelative(-0.237f, -0.147f, -0.706f, 0.2f, -0.965f, 0.272f)
                curveToRelative(0.175f, -0.37f, 0.65f, -0.732f, 0.513f, -1.177f)
                curveToRelative(-0.393f, 0.307f, -0.66f, 0.97f, -0.935f, 1.388f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(-0.574f, -1.267f)
                lineToRelative(0.754f, 0.271f)
                curveToRelative(0.023f, -0.27f, -0.36f, -0.373f, -0.573f, -0.422f)
                curveToRelative(0.126f, -0.328f, 0.476f, -0.578f, 0.392f, -0.965f)
                horizontalLineToRelative(-0.06f)
                curveToRelative(-0.087f, 0.28f, -0.269f, 0.759f, -0.573f, 0.844f)
                lineToRelative(-0.09f, -0.482f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.119f, 0.253f, 0.029f, 0.447f, -0.04f, 0.687f)
                curveToRelative(-0.037f, 0.125f, -0.217f, 0.106f, -0.28f, 0.222f)
                curveToRelative(-0.085f, 0.158f, -0.092f, 0.37f, -0.164f, 0.539f)
                curveToRelative(-0.172f, 0.407f, -0.5f, 0.706f, -0.904f, 0.874f)
                lineToRelative(-0.037f, -0.54f)
                lineToRelative(0.459f, -0.515f)
                lineToRelative(-0.483f, 0.361f)
                curveToRelative(-0.062f, -0.161f, -0.203f, -0.465f, -0.12f, -0.633f)
                curveToRelative(0.073f, -0.145f, 0.254f, -0.24f, 0.362f, -0.362f)
                lineToRelative(-0.483f, 0.241f)
                curveToRelative(-0.163f, -0.422f, 0.135f, -0.3f, 0.302f, -0.603f)
                curveToRelative(-0.122f, 0.07f, -0.325f, 0.2f, -0.471f, 0.133f)
                curveToRelative(-0.187f, -0.085f, -0.384f, -0.64f, -0.464f, -0.827f)
                lineToRelative(0.512f, -0.09f)
                verticalLineToRelative(-0.03f)
                curveToRelative(-0.242f, 0.03f, -0.626f, 0.12f, -0.663f, -0.211f)
                horizontalLineToRelative(0.633f)
                verticalLineToRelative(-0.03f)
                lineToRelative(-0.712f, -0.08f)
                lineToRelative(-0.194f, -0.252f)
                lineToRelative(-0.421f, -0.543f)
                curveToRelative(0.251f, -0.075f, 0.683f, -0.075f, 0.935f, 0.0f)
                curveToRelative(-0.368f, -0.387f, -1.024f, 0.182f, -1.327f, -0.453f)
                lineToRelative(0.754f, -0.15f)
                verticalLineToRelative(-0.03f)
                curveToRelative(-0.234f, 0.0f, -0.67f, 0.135f, -0.874f, 0.028f)
                curveToRelative(-0.054f, -0.028f, -0.094f, -0.075f, -0.134f, -0.12f)
                curveToRelative(-0.388f, -0.438f, 0.48f, -0.478f, 0.766f, -0.44f)
                curveToRelative(0.55f, 0.076f, 0.975f, 0.452f, 1.358f, 0.833f)
                curveToRelative(0.194f, 0.193f, 0.473f, 0.538f, 0.754f, 0.595f)
                curveToRelative(0.278f, 0.055f, 0.51f, -0.122f, 0.724f, -0.263f)
                curveToRelative(0.0f, 0.212f, -0.022f, 0.422f, 0.15f, 0.573f)
                curveToRelative(0.0f, -0.416f, 0.005f, -0.857f, 0.07f, -1.267f)
                curveToRelative(0.023f, -0.152f, 0.083f, -0.352f, 0.263f, -0.38f)
                curveToRelative(0.225f, -0.034f, 0.531f, 0.309f, 0.693f, 0.44f)
                curveToRelative(0.002f, -0.234f, -0.175f, -0.432f, -0.319f, -0.603f)
                curveToRelative(-0.396f, -0.47f, -1.025f, -0.914f, -1.58f, -1.177f)
                verticalLineToRelative(-0.03f)
                curveToRelative(0.823f, 0.142f, 1.442f, 0.625f, 2.322f, 0.392f)
                verticalLineToRelative(-0.06f)
                lineToRelative(-1.026f, -0.15f)
                curveToRelative(0.043f, -0.321f, 0.276f, -0.734f, 0.203f, -1.057f)
                curveToRelative(-0.1f, -0.44f, -0.568f, -0.644f, -0.746f, -1.025f)
                curveToRelative(0.306f, 0.118f, 0.63f, 0.29f, 0.966f, 0.297f)
                curveToRelative(0.188f, 0.005f, 0.336f, -0.098f, 0.512f, -0.14f)
                curveToRelative(0.485f, -0.113f, 0.766f, 0.123f, 1.086f, 0.446f)
                curveToRelative(0.088f, -0.305f, -0.15f, -0.559f, -0.334f, -0.784f)
                curveToRelative(-0.186f, -0.229f, -0.35f, -0.46f, -0.57f, -0.659f)
                curveToRelative(-0.267f, -0.24f, -0.662f, -0.52f, -0.815f, -0.85f)
                curveToRelative(0.25f, 0.049f, 0.49f, 0.256f, 0.694f, 0.402f)
                curveToRelative(0.359f, 0.255f, 0.715f, 0.503f, 1.116f, 0.691f)
                curveToRelative(0.211f, 0.1f, 0.578f, 0.265f, 0.754f, 0.054f)
                lineToRelative(-0.965f, -0.362f)
                curveToRelative(0.07f, -0.101f, 0.17f, -0.188f, 0.221f, -0.302f)
                curveToRelative(0.138f, -0.307f, -0.104f, -0.568f, -0.191f, -0.844f)
                curveToRelative(0.185f, 0.068f, 0.345f, 0.227f, 0.543f, 0.26f)
                curveToRelative(0.464f, 0.078f, 0.734f, -0.47f, 1.086f, -0.653f)
                lineTo(9.11f, 6.45f)
                curveToRelative(0.201f, -0.168f, 0.112f, -0.494f, 0.078f, -0.724f)
                curveToRelative(-0.099f, -0.664f, -0.493f, -1.251f, -0.59f, -1.9f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.381f, 0.816f, 0.835f, 1.696f, 1.598f, 2.201f)
                lineToRelative(-0.277f, -0.363f)
                lineToRelative(-0.477f, -0.723f)
                curveToRelative(0.095f, -0.037f, 0.188f, -0.077f, 0.269f, -0.142f)
                curveToRelative(0.528f, -0.423f, 0.078f, -1.012f, 0.002f, -1.517f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.065f, 0.155f, 0.14f, 0.314f, 0.235f, 0.453f)
                curveToRelative(0.441f, 0.638f, 1.023f, 0.536f, 1.696f, 0.482f)
                lineToRelative(-0.18f, 1.328f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.089f, -0.283f, 0.258f, -0.516f, 0.318f, -0.815f)
                curveToRelative(0.11f, -0.544f, -0.006f, -1.084f, -0.017f, -1.629f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.048f, 0.322f, 0.179f, 0.63f, 0.282f, 0.936f)
                curveToRelative(0.162f, 0.482f, 0.293f, 1.01f, 0.653f, 1.387f)
                lineToRelative(-0.331f, -1.357f)
                curveToRelative(0.958f, -0.001f, 1.219f, -0.647f, 1.236f, -1.509f)
                close()
                moveTo(13.454f, 4.64f)
                lineToRelative(-0.483f, 2.172f)
                curveToRelative(0.372f, -0.227f, 0.45f, -1.053f, 0.483f, -1.448f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.065f, 0.348f, 0.096f, 0.696f, 0.238f, 1.025f)
                curveToRelative(0.056f, 0.13f, 0.117f, 0.305f, 0.275f, 0.302f)
                lineToRelative(-0.386f, -1.357f)
                close()
                moveTo(10.498f, 5.032f)
                curveToRelative(0.006f, 0.771f, 0.387f, 1.473f, 0.24f, 2.262f)
                curveToRelative(0.146f, -0.088f, 0.15f, -0.295f, 0.152f, -0.452f)
                curveToRelative(0.004f, -0.365f, -0.06f, -0.723f, -0.06f, -1.086f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.105f, 0.364f, 0.39f, 1.09f, 0.814f, 1.146f)
                curveToRelative(-0.05f, -0.196f, -0.211f, -0.344f, -0.319f, -0.513f)
                curveToRelative(-0.238f, -0.374f, -0.472f, -1.13f, -0.857f, -1.357f)
                close()
                moveTo(16.682f, 5.364f)
                curveToRelative(-0.336f, 0.526f, -0.736f, 1.245f, -1.237f, 1.629f)
                verticalLineToRelative(0.03f)
                curveToRelative(0.38f, -0.068f, 0.791f, -0.549f, 0.905f, -0.905f)
                horizontalLineToRelative(0.03f)
                curveToRelative(-0.005f, 0.536f, -0.251f, 1.105f, -0.03f, 1.629f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.16f, -0.543f, 0.077f, -1.184f, 0.215f, -1.75f)
                curveToRelative(0.043f, -0.177f, 0.203f, -0.473f, 0.087f, -0.633f)
                close()
                moveTo(14.69f, 6.57f)
                curveToRelative(-0.178f, 0.402f, -0.265f, 0.775f, -0.634f, 1.056f)
                verticalLineToRelative(0.06f)
                curveToRelative(0.265f, 0.07f, 0.45f, -0.262f, 0.513f, -0.482f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.026f, 0.203f, 0.05f, 0.624f, 0.272f, 0.694f)
                lineToRelative(-0.149f, -0.694f)
                close()
                moveTo(8.234f, 6.6f)
                curveToRelative(0.065f, 0.743f, 1.063f, 1.244f, 0.935f, 2.052f)
                curveToRelative(0.16f, -0.094f, 0.119f, -0.269f, 0.065f, -0.423f)
                curveToRelative(-0.112f, -0.317f, -0.298f, -0.596f, -0.427f, -0.905f)
                curveToRelative(0.289f, 0.264f, 0.716f, 0.562f, 1.117f, 0.393f)
                lineToRelative(-0.633f, -0.263f)
                close()
                moveTo(12.397f, 6.842f)
                curveToRelative(-0.091f, 0.3f, -0.347f, 0.886f, -0.241f, 1.176f)
                horizontalLineToRelative(0.06f)
                lineToRelative(0.211f, -0.724f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.075f, 0.273f, 0.153f, 0.687f, 0.483f, 0.724f)
                lineToRelative(-0.483f, -1.176f)
                close()
                moveTo(10.376f, 7.596f)
                lineToRelative(0.15f, 1.267f)
                horizontalLineToRelative(0.061f)
                lineToRelative(-0.03f, -0.905f)
                curveToRelative(0.197f, 0.137f, 0.463f, 0.474f, 0.724f, 0.362f)
                curveToRelative(-0.1f, -0.11f, -0.247f, -0.129f, -0.362f, -0.222f)
                curveToRelative(-0.187f, -0.151f, -0.286f, -0.482f, -0.543f, -0.502f)
                close()
                moveTo(17.012f, 7.776f)
                curveToRelative(-0.318f, 0.32f, -0.584f, 0.539f, -1.025f, 0.664f)
                verticalLineToRelative(0.061f)
                curveToRelative(0.261f, 0.075f, 0.514f, -0.07f, 0.724f, -0.211f)
                curveToRelative(-0.035f, 0.177f, -0.26f, 0.64f, -0.09f, 0.754f)
                lineToRelative(0.289f, -0.875f)
                close()
                moveTo(18.551f, 8.4f)
                curveToRelative(0.138f, 0.01f, 0.242f, 0.186f, 0.323f, 0.282f)
                curveToRelative(0.239f, 0.279f, 0.508f, 0.575f, 0.612f, 0.935f)
                curveToRelative(-0.697f, -0.144f, -1.452f, -0.045f, -2.142f, 0.12f)
                curveToRelative(0.154f, -0.405f, 0.446f, -0.834f, 0.785f, -1.1f)
                curveToRelative(0.115f, -0.092f, 0.258f, -0.25f, 0.422f, -0.237f)
                close()
                moveTo(11.854f, 8.47f)
                lineToRelative(-0.181f, 0.936f)
                curveToRelative(0.151f, -0.115f, 0.187f, -0.481f, 0.211f, -0.664f)
                lineToRelative(0.272f, 0.302f)
                arcToRelative(1.058f, 1.058f, 0.0f, false, false, -0.302f, -0.573f)
                close()
                moveTo(14.81f, 8.561f)
                lineToRelative(-0.573f, 0.573f)
                lineToRelative(0.543f, -0.392f)
                lineToRelative(0.09f, 0.543f)
                curveToRelative(0.106f, -0.154f, 0.05f, -0.578f, -0.06f, -0.724f)
                close()
                moveTo(8.476f, 8.639f)
                arcToRelative(0.252f, 0.252f, 0.0f, false, false, -0.06f, 0.013f)
                verticalLineToRelative(0.03f)
                curveToRelative(0.253f, 0.256f, 0.463f, 0.61f, 0.621f, 0.935f)
                curveToRelative(0.088f, 0.179f, 0.063f, 0.376f, 0.253f, 0.483f)
                curveToRelative(-0.015f, -0.353f, -0.166f, -0.62f, -0.302f, -0.935f)
                curveToRelative(0.214f, 0.124f, 0.5f, 0.31f, 0.754f, 0.24f)
                verticalLineToRelative(-0.06f)
                curveToRelative(-0.342f, -0.152f, -0.607f, -0.281f, -0.905f, -0.518f)
                curveToRelative(-0.11f, -0.088f, -0.224f, -0.2f, -0.361f, -0.188f)
                close()
                moveTo(6.394f, 8.923f)
                curveToRelative(0.029f, 0.255f, 0.237f, 0.35f, 0.422f, 0.49f)
                arcToRelative(3.5f, 3.5f, 0.0f, false, true, 0.687f, 0.657f)
                curveToRelative(0.127f, 0.166f, 0.205f, 0.452f, 0.37f, 0.573f)
                curveToRelative(-0.036f, -0.444f, -0.298f, -0.966f, -0.725f, -1.147f)
                verticalLineToRelative(-0.03f)
                curveToRelative(0.434f, 0.084f, 0.867f, 0.246f, 1.297f, 0.06f)
                verticalLineToRelative(-0.06f)
                lineToRelative(-0.513f, -0.02f)
                close()
                moveTo(20.421f, 9.013f)
                curveToRelative(0.296f, 0.115f, 0.613f, 0.522f, 0.724f, 0.815f)
                lineToRelative(-0.664f, -0.09f)
                close()
                moveTo(13.121f, 9.043f)
                lineToRelative(-0.271f, 0.514f)
                lineToRelative(0.301f, -0.332f)
                lineToRelative(0.181f, 0.302f)
                close()
                moveTo(19.071f, 9.755f)
                arcToRelative(0.536f, 0.536f, 0.0f, false, true, 0.172f, 0.031f)
                curveToRelative(0.365f, 0.143f, 0.267f, 0.9f, 0.19f, 1.188f)
                curveToRelative(-0.061f, 0.234f, -0.17f, 0.495f, -0.4f, 0.604f)
                curveToRelative(-0.167f, -0.3f, -0.415f, -0.496f, -0.724f, -0.64f)
                curveToRelative(-0.154f, -0.073f, -0.41f, -0.101f, -0.517f, -0.243f)
                curveToRelative(-0.103f, -0.137f, -0.208f, -0.646f, -0.068f, -0.78f)
                curveToRelative(0.152f, -0.147f, 0.57f, -0.117f, 0.766f, -0.117f)
                curveToRelative(0.163f, 0.0f, 0.392f, -0.051f, 0.581f, -0.043f)
                close()
                moveTo(16.017f, 9.768f)
                lineToRelative(-0.513f, 0.392f)
                lineToRelative(0.453f, -0.241f)
                lineToRelative(-0.06f, 0.362f)
                curveToRelative(0.128f, -0.09f, 0.175f, -0.371f, 0.12f, -0.513f)
                close()
                moveTo(20.421f, 9.948f)
                curveToRelative(0.136f, 0.011f, 0.37f, -0.002f, 0.47f, 0.1f)
                curveToRelative(0.331f, 0.34f, 0.145f, 1.25f, -0.259f, 1.44f)
                lineToRelative(-0.12f, -0.695f)
                curveToRelative(0.032f, 0.002f, 0.062f, 0.0f, 0.09f, -0.003f)
                verticalLineToRelative(0.003f)
                horizontalLineToRelative(0.09f)
                lineToRelative(-0.04f, -0.013f)
                curveToRelative(0.356f, -0.085f, 0.295f, -0.577f, -0.051f, -0.59f)
                lineToRelative(-0.09f, -0.03f)
                lineToRelative(0.049f, 0.032f)
                lineToRelative(-0.018f, 0.001f)
                verticalLineToRelative(-0.003f)
                horizontalLineToRelative(-0.06f)
                lineToRelative(0.01f, 0.011f)
                curveToRelative(-0.023f, 0.005f, -0.046f, 0.01f, -0.071f, 0.02f)
                close()
                moveTo(18.883f, 10.07f)
                curveToRelative(-0.062f, 0.063f, -0.152f, 0.11f, -0.198f, 0.187f)
                curveToRelative(-0.318f, 0.545f, 0.886f, 0.559f, 0.546f, -0.03f)
                curveToRelative(-0.039f, -0.068f, -0.108f, -0.111f, -0.167f, -0.157f)
                lineToRelative(-0.121f, 0.06f)
                horizontalLineToRelative(-0.06f)
                close()
                moveTo(12.548f, 10.19f)
                curveToRelative(0.0f, 0.154f, -0.03f, 0.31f, 0.12f, 0.392f)
                verticalLineToRelative(-0.301f)
                lineToRelative(0.363f, 0.12f)
                close()
                moveTo(10.872f, 10.276f)
                curveToRelative(-0.046f, 0.002f, -0.092f, 0.005f, -0.134f, 0.005f)
                curveToRelative(0.053f, 0.194f, 0.137f, 0.36f, 0.302f, 0.482f)
                lineToRelative(-0.181f, -0.392f)
                lineToRelative(0.362f, 0.03f)
                curveToRelative(-0.07f, -0.127f, -0.211f, -0.131f, -0.349f, -0.125f)
                close()
                moveTo(14.557f, 10.287f)
                curveToRelative(-0.09f, 0.01f, -0.168f, 0.168f, -0.169f, 0.325f)
                lineToRelative(0.15f, -0.271f)
                lineToRelative(0.182f, 0.12f)
                curveToRelative(-0.05f, -0.132f, -0.109f, -0.18f, -0.163f, -0.174f)
                close()
                moveTo(9.712f, 10.371f)
                lineToRelative(-0.513f, 0.09f)
                lineToRelative(0.423f, 0.513f)
                lineToRelative(-0.241f, -0.422f)
                lineToRelative(0.361f, -0.06f)
                close()
                moveTo(7.057f, 10.791f)
                curveToRelative(-0.307f, 0.013f, -0.66f, 0.365f, -0.904f, 0.515f)
                verticalLineToRelative(0.06f)
                lineToRelative(0.875f, 0.302f)
                curveToRelative(-0.018f, -0.229f, -0.315f, -0.297f, -0.513f, -0.331f)
                lineToRelative(0.603f, -0.544f)
                arcToRelative(0.386f, 0.386f, 0.0f, false, false, -0.06f, -0.002f)
                close()
                moveTo(8.657f, 10.854f)
                lineToRelative(-1.237f, 0.332f)
                verticalLineToRelative(0.06f)
                lineToRelative(0.663f, 0.238f)
                lineToRelative(0.393f, 0.275f)
                curveToRelative(-0.043f, -0.32f, -0.383f, -0.375f, -0.604f, -0.543f)
                curveToRelative(0.28f, -0.053f, 0.66f, -0.058f, 0.785f, -0.362f)
                close()
                moveTo(11.764f, 11.186f)
                curveToRelative(-0.129f, 0.02f, -0.23f, 0.12f, -0.091f, 0.21f)
                close()
                moveTo(12.759f, 11.366f)
                lineToRelative(-0.03f, 0.212f)
                curveToRelative(0.094f, -0.056f, 0.11f, -0.105f, 0.09f, -0.211f)
                close()
                moveTo(14.116f, 11.366f)
                curveToRelative(-0.117f, 0.035f, -0.214f, 0.118f, -0.09f, 0.212f)
                close()
                moveTo(15.233f, 11.668f)
                lineToRelative(-0.302f, 0.09f)
                verticalLineToRelative(0.121f)
                close()
                moveTo(16.379f, 11.698f)
                verticalLineToRelative(0.362f)
                curveToRelative(0.113f, -0.11f, 0.113f, -0.25f, 0.0f, -0.362f)
                close()
                moveTo(20.651f, 11.877f)
                curveToRelative(0.425f, 0.004f, 0.846f, 0.395f, 0.75f, 0.847f)
                curveToRelative(-0.062f, 0.29f, -0.242f, 0.605f, -0.528f, 0.718f)
                curveToRelative(-0.149f, 0.06f, -0.486f, 0.04f, -0.498f, -0.175f)
                curveToRelative(-0.01f, -0.2f, 0.388f, -0.478f, 0.468f, -0.694f)
                curveToRelative(-0.558f, 0.427f, -0.9f, 0.79f, -1.659f, 0.694f)
                verticalLineToRelative(-0.03f)
                curveToRelative(0.447f, -0.331f, 0.634f, -0.895f, 1.059f, -1.224f)
                arcToRelative(0.645f, 0.645f, 0.0f, false, true, 0.408f, -0.136f)
                close()
                moveTo(10.708f, 11.909f)
                curveToRelative(-0.146f, 0.076f, -0.235f, 0.236f, -0.272f, 0.393f)
                lineToRelative(0.362f, 0.09f)
                lineToRelative(-0.2f, -0.193f)
                close()
                moveTo(6.123f, 11.97f)
                lineToRelative(-1.147f, 0.603f)
                curveToRelative(0.04f, 0.225f, 0.262f, 0.104f, 0.423f, 0.093f)
                curveToRelative(0.23f, -0.015f, 0.657f, 0.06f, 0.784f, 0.27f)
                lineToRelative(0.211f, -0.03f)
                curveToRelative(-0.054f, -0.342f, -0.546f, -0.342f, -0.814f, -0.363f)
                curveToRelative(0.197f, -0.2f, 0.48f, -0.259f, 0.543f, -0.573f)
                close()
                moveTo(11.945f, 12.211f)
                lineToRelative(-0.332f, 0.423f)
                lineToRelative(0.422f, 0.15f)
                lineToRelative(-0.302f, -0.18f)
                curveToRelative(0.063f, -0.132f, 0.31f, -0.247f, 0.212f, -0.393f)
                close()
                moveTo(9.32f, 12.301f)
                lineToRelative(-0.362f, 0.333f)
                curveToRelative(0.142f, 0.047f, 0.468f, 0.233f, 0.573f, 0.09f)
                lineToRelative(-0.392f, -0.15f)
                close()
                moveTo(17.133f, 12.301f)
                lineToRelative(0.422f, 0.333f)
                verticalLineToRelative(0.06f)
                lineToRelative(-0.392f, 0.211f)
                arcToRelative(0.938f, 0.938f, 0.0f, false, false, 0.543f, -0.211f)
                arcToRelative(0.883f, 0.883f, 0.0f, false, false, -0.573f, -0.392f)
                close()
                moveTo(7.45f, 12.422f)
                curveToRelative(-0.183f, 0.41f, -0.464f, 0.743f, -0.784f, 1.056f)
                curveToRelative(-0.184f, 0.179f, -0.471f, 0.346f, -0.543f, 0.603f)
                lineTo(7.45f, 13.8f)
                lineToRelative(0.694f, -0.14f)
                curveToRelative(-0.414f, -0.296f, -1.14f, 0.033f, -1.539f, 0.21f)
                curveToRelative(0.275f, -0.55f, 0.813f, -0.769f, 0.935f, -1.418f)
                lineToRelative(-0.03f, -0.03f)
                close()
                moveTo(13.151f, 12.452f)
                curveToRelative(-0.13f, 0.043f, -0.146f, 0.149f, -0.18f, 0.272f)
                lineToRelative(0.18f, 0.03f)
                close()
                moveTo(14.388f, 12.664f)
                lineToRelative(0.03f, 0.332f)
                arcToRelative(0.503f, 0.503f, 0.0f, false, false, 0.272f, -0.332f)
                lineToRelative(-0.212f, 0.15f)
                close()
                moveTo(10.195f, 13.086f)
                curveToRelative(-0.13f, 0.038f, -0.2f, 0.131f, -0.06f, 0.211f)
                close()
                moveTo(15.535f, 13.267f)
                lineToRelative(-0.031f, 0.422f)
                lineToRelative(-0.271f, -0.18f)
                curveToRelative(0.028f, 0.182f, 0.156f, 0.27f, 0.332f, 0.3f)
                lineToRelative(0.03f, -0.542f)
                close()
                moveTo(8.777f, 13.297f)
                curveToRelative(-0.22f, 0.069f, -0.596f, 0.692f, -0.694f, 0.905f)
                curveToRelative(0.2f, -0.008f, 0.895f, 0.018f, 0.996f, -0.12f)
                lineToRelative(-0.664f, -0.091f)
                close()
                moveTo(12.477f, 13.356f)
                curveToRelative(-0.166f, 0.01f, -0.327f, 0.105f, -0.502f, 0.105f)
                curveToRelative(-0.507f, 0.0f, -1.34f, -0.252f, -1.775f, 0.092f)
                curveToRelative(-0.396f, 0.314f, -0.42f, 0.734f, -0.669f, 1.132f)
                curveToRelative(-0.121f, 0.194f, -0.336f, 0.325f, -0.512f, 0.465f)
                curveToRelative(-0.065f, 0.052f, -0.184f, 0.127f, -0.159f, 0.227f)
                curveToRelative(0.03f, 0.122f, 0.238f, 0.187f, 0.34f, 0.233f)
                curveToRelative(0.228f, 0.105f, 0.477f, 0.187f, 0.724f, 0.238f)
                curveToRelative(0.131f, 0.027f, 0.328f, 0.022f, 0.44f, 0.103f)
                curveToRelative(0.204f, 0.148f, 0.135f, 0.653f, 0.163f, 0.876f)
                curveToRelative(0.227f, -0.13f, 0.524f, -0.52f, 0.633f, -0.755f)
                curveToRelative(-0.241f, 0.073f, -0.347f, 0.31f, -0.513f, 0.483f)
                lineToRelative(-0.09f, -0.633f)
                curveToRelative(0.705f, -0.062f, 1.015f, -0.833f, 1.43f, -1.296f)
                curveToRelative(0.253f, -0.282f, 0.57f, -0.405f, 0.893f, -0.575f)
                curveToRelative(-0.19f, -0.227f, -0.455f, 0.013f, -0.634f, 0.15f)
                curveToRelative(-0.479f, 0.37f, -0.755f, 0.816f, -1.176f, 1.238f)
                lineToRelative(0.241f, -0.633f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.131f, 0.314f, -0.288f, 0.65f, -0.603f, 0.814f)
                lineToRelative(0.12f, -0.422f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.127f, 0.303f, -0.27f, 0.452f, -0.603f, 0.452f)
                lineToRelative(0.301f, -0.694f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(-0.392f, 0.664f)
                lineToRelative(-0.12f, -0.03f)
                lineToRelative(0.301f, -0.573f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.152f, 0.244f, -0.313f, 0.59f, -0.633f, 0.512f)
                lineToRelative(0.27f, -0.512f)
                curveToRelative(-0.15f, 0.118f, -0.216f, 0.4f, -0.394f, 0.471f)
                curveToRelative(-0.081f, 0.032f, -0.235f, -0.027f, -0.202f, -0.135f)
                curveToRelative(0.042f, -0.14f, 0.272f, -0.278f, 0.363f, -0.397f)
                curveToRelative(0.31f, -0.405f, 0.56f, -1.067f, 1.018f, -1.316f)
                curveToRelative(0.376f, -0.205f, 0.947f, 0.054f, 1.358f, 0.05f)
                curveToRelative(0.235f, -0.004f, 0.503f, -0.084f, 0.573f, -0.333f)
                arcToRelative(0.427f, 0.427f, 0.0f, false, false, -0.072f, -0.001f)
                close()
                moveTo(4.886f, 13.448f)
                lineToRelative(-0.03f, 0.181f)
                lineToRelative(0.12f, -0.181f)
                close()
                moveTo(19.761f, 13.477f)
                curveToRelative(0.228f, 0.004f, 0.48f, 0.037f, 0.61f, 0.214f)
                curveToRelative(0.133f, 0.18f, 0.101f, 0.427f, 0.17f, 0.632f)
                curveToRelative(0.052f, -0.216f, 0.046f, -1.024f, 0.477f, -0.57f)
                curveToRelative(0.349f, 0.367f, 0.256f, 1.162f, -0.087f, 1.502f)
                curveToRelative(-0.216f, 0.213f, -0.735f, 0.343f, -0.992f, 0.144f)
                curveToRelative(-0.393f, -0.303f, -0.494f, -0.926f, -0.608f, -1.378f)
                curveToRelative(-0.027f, -0.109f, -0.154f, -0.36f, -0.084f, -0.461f)
                curveToRelative(0.058f, -0.086f, 0.209f, -0.08f, 0.3f, -0.082f)
                curveToRelative(0.065f, 0.0f, 0.138f, -0.002f, 0.214f, -0.001f)
                close()
                moveTo(22.411f, 13.659f)
                curveToRelative(0.569f, 0.103f, 0.615f, 0.907f, 1.117f, 1.147f)
                verticalLineToRelative(0.06f)
                curveToRelative(-0.285f, 0.143f, -0.38f, -0.002f, -0.573f, -0.211f)
                lineToRelative(0.211f, 0.392f)
                curveToRelative(-0.233f, -0.036f, -0.283f, -0.262f, -0.422f, -0.423f)
                lineToRelative(0.21f, 0.453f)
                curveToRelative(-0.346f, 0.0f, -0.493f, -0.057f, -0.633f, -0.392f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(0.06f, 0.271f)
                lineToRelative(-0.214f, -0.152f)
                lineToRelative(0.114f, -0.39f)
                close()
                moveTo(17.676f, 13.689f)
                curveToRelative(-0.123f, 0.036f, -0.188f, 0.105f, -0.09f, 0.212f)
                close()
                moveTo(13.513f, 13.931f)
                lineToRelative(0.332f, 0.362f)
                lineToRelative(0.15f, -0.362f)
                lineToRelative(-0.15f, 0.241f)
                close()
                moveTo(16.56f, 13.931f)
                lineToRelative(-0.03f, 0.452f)
                lineToRelative(-0.302f, -0.18f)
                curveToRelative(-0.017f, 0.198f, 0.288f, 0.424f, 0.453f, 0.512f)
                lineToRelative(-0.06f, -0.784f)
                close()
                moveTo(8.385f, 14.443f)
                curveToRelative(-0.094f, 0.452f, -0.417f, 0.859f, -0.707f, 1.207f)
                curveToRelative(-0.138f, 0.166f, -0.35f, 0.333f, -0.41f, 0.543f)
                curveToRelative(0.5f, -0.144f, 1.063f, -0.652f, 1.6f, -0.603f)
                curveToRelative(-0.138f, -0.268f, -0.783f, 0.103f, -1.026f, 0.15f)
                curveToRelative(0.196f, -0.29f, 0.463f, -0.542f, 0.59f, -0.874f)
                curveToRelative(0.052f, -0.14f, 0.086f, -0.327f, -0.047f, -0.423f)
                close()
                moveTo(15.383f, 14.715f)
                curveToRelative(-0.23f, 0.036f, -0.218f, 0.264f, -0.271f, 0.452f)
                curveToRelative(-0.128f, -0.127f, -0.258f, -0.303f, -0.452f, -0.271f)
                lineToRelative(0.573f, 0.694f)
                close()
                moveTo(12.578f, 14.745f)
                lineToRelative(-0.302f, 0.272f)
                lineToRelative(-0.03f, -0.151f)
                horizontalLineToRelative(-0.09f)
                lineToRelative(0.03f, 0.392f)
                curveToRelative(0.176f, -0.03f, 0.358f, -0.347f, 0.392f, -0.513f)
                close()
                moveTo(13.393f, 15.228f)
                lineToRelative(-0.151f, 0.392f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(-0.242f, -0.332f)
                lineToRelative(0.211f, 0.694f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.08f, -0.202f, 0.365f, -0.572f, 0.182f, -0.754f)
                close()
                moveTo(16.741f, 15.408f)
                lineToRelative(-0.09f, 0.031f)
                lineToRelative(0.18f, 0.995f)
                curveToRelative(-0.192f, -0.168f, -0.785f, -0.942f, -1.025f, -0.663f)
                curveToRelative(0.555f, 0.177f, 0.786f, 0.825f, 1.267f, 1.116f)
                lineToRelative(-0.15f, -0.573f)
                close()
                moveTo(18.249f, 15.65f)
                curveToRelative(-0.153f, 0.374f, 0.22f, 0.775f, 0.362f, 1.116f)
                curveToRelative(-0.392f, -0.202f, -0.74f, -0.539f, -1.207f, -0.543f)
                verticalLineToRelative(0.12f)
                curveToRelative(0.672f, 0.06f, 1.03f, 0.747f, 1.569f, 1.057f)
                curveToRelative(-0.005f, -0.563f, -0.488f, -1.21f, -0.664f, -1.75f)
                close()
                moveTo(12.126f, 16.103f)
                lineToRelative(-0.212f, 0.03f)
                curveToRelative(0.072f, 0.169f, 0.197f, 0.306f, 0.256f, 0.482f)
                curveToRelative(0.065f, 0.196f, 0.023f, 0.466f, 0.227f, 0.573f)
                curveToRelative(0.095f, -0.212f, 0.327f, -0.557f, 0.271f, -0.784f)
                curveToRelative(-0.17f, 0.085f, -0.252f, 0.268f, -0.27f, 0.453f)
                horizontalLineToRelative(-0.031f)
                close()
                moveTo(9.32f, 16.133f)
                curveToRelative(0.0f, 0.592f, -0.08f, 1.148f, -0.241f, 1.72f)
                curveToRelative(0.21f, 0.007f, 0.32f, -0.211f, 0.433f, -0.363f)
                curveToRelative(0.225f, -0.299f, 0.45f, -0.628f, 0.804f, -0.784f)
                verticalLineToRelative(-0.03f)
                curveToRelative(-0.359f, -0.047f, -0.807f, 0.49f, -0.935f, 0.784f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(0.106f, -0.41f, 0.2f, -0.924f, 0.03f, -1.327f)
                close()
                moveTo(14.63f, 16.163f)
                curveToRelative(-0.244f, 0.093f, -0.182f, 0.42f, -0.182f, 0.633f)
                lineToRelative(-0.693f, -0.482f)
                curveToRelative(0.038f, 0.123f, 0.136f, 0.16f, 0.228f, 0.245f)
                curveToRelative(0.18f, 0.167f, 0.337f, 0.557f, 0.586f, 0.6f)
                close()
                moveTo(16.168f, 16.736f)
                curveToRelative(-0.213f, 0.377f, 0.097f, 1.154f, 0.15f, 1.569f)
                horizontalLineToRelative(-0.03f)
                curveToRelative(-0.168f, -0.355f, -0.492f, -0.649f, -0.754f, -0.935f)
                curveToRelative(-0.037f, -0.04f, -0.228f, -0.301f, -0.296f, -0.192f)
                curveToRelative(-0.071f, 0.114f, 0.278f, 0.385f, 0.343f, 0.463f)
                curveToRelative(0.241f, 0.286f, 0.459f, 0.609f, 0.642f, 0.935f)
                curveToRelative(0.105f, 0.189f, 0.197f, 0.44f, 0.397f, 0.543f)
                curveToRelative(-0.15f, -0.778f, -0.39f, -1.586f, -0.392f, -2.383f)
                close()
                moveTo(6.123f, 17.038f)
                curveToRelative(0.223f, 0.066f, 0.35f, 0.219f, 0.362f, 0.452f)
                lineToRelative(-0.694f, 0.483f)
                close()
                moveTo(11.13f, 17.278f)
                lineToRelative(-0.03f, 0.031f)
                curveToRelative(0.147f, 0.405f, 0.293f, 0.742f, 0.364f, 1.177f)
                curveToRelative(0.034f, 0.202f, 0.013f, 0.465f, 0.179f, 0.603f)
                curveToRelative(0.17f, -0.322f, 0.23f, -0.695f, 0.385f, -1.026f)
                curveToRelative(0.09f, -0.19f, 0.234f, -0.356f, 0.188f, -0.573f)
                curveToRelative(-0.29f, 0.143f, -0.461f, 0.787f, -0.543f, 1.086f)
                curveToRelative(-0.15f, -0.399f, -0.104f, -1.092f, -0.543f, -1.297f)
                close()
                moveTo(13.181f, 17.581f)
                curveToRelative(0.341f, 0.677f, 0.594f, 1.314f, 0.785f, 2.05f)
                curveToRelative(0.212f, -0.118f, 0.183f, -0.329f, 0.18f, -0.542f)
                curveToRelative(-0.005f, -0.497f, 0.186f, -0.99f, 0.152f, -1.478f)
                curveToRelative(-0.143f, 0.048f, -0.168f, 0.194f, -0.193f, 0.332f)
                curveToRelative(-0.06f, 0.329f, -0.06f, 0.669f, -0.14f, 0.995f)
                curveToRelative(-0.163f, -0.38f, -0.293f, -1.279f, -0.784f, -1.357f)
                close()
                moveTo(19.546f, 17.821f)
                lineToRelative(0.453f, 0.665f)
                lineToRelative(-0.664f, -0.302f)
                close()
                moveTo(8.657f, 19.18f)
                curveToRelative(0.647f, 0.057f, 0.205f, 0.652f, -0.06f, 0.935f)
                close()
                moveTo(16.953f, 19.904f)
                lineToRelative(0.272f, 0.845f)
                curveToRelative(-0.224f, -0.157f, -0.488f, -0.414f, -0.604f, -0.664f)
                close()
                moveTo(11.451f, 20.359f)
                lineToRelative(0.344f, 0.058f)
                lineToRelative(-0.272f, 0.965f)
                horizontalLineToRelative(-0.03f)
                lineToRelative(-0.06f, -0.754f)
                close()
                moveTo(14.301f, 20.533f)
                curveToRelative(0.062f, 0.0f, 0.121f, 0.013f, 0.169f, 0.053f)
                curveToRelative(0.163f, 0.138f, -0.067f, 0.805f, -0.141f, 0.977f)
                lineToRelative(-0.332f, -0.965f)
                curveToRelative(0.086f, -0.022f, 0.2f, -0.063f, 0.304f, -0.065f)
                close()
            }
        }
        .build()
        return _openbsd!!
    }

private var _openbsd: ImageVector? = null
