package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Plotly: ImageVector
    get() {
        if (_plotly != null) {
            return _plotly!!
        }
        _plotly = Builder(name = "Plotly", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.021f, 0.0f)
                curveTo(0.967f, 0.0f, 0.111f, 0.883f, 0.111f, 1.973f)
                verticalLineToRelative(20.054f)
                curveToRelative(0.0f, 1.09f, 0.857f, 1.973f, 1.91f, 1.973f)
                lineTo(21.98f, 24.0f)
                curveToRelative(1.054f, 0.0f, 1.91f, -0.884f, 1.91f, -1.973f)
                lineTo(23.89f, 1.973f)
                curveTo(23.89f, 0.883f, 23.034f, 0.0f, 21.98f, 0.0f)
                lineTo(2.02f, 0.0f)
                close()
                moveTo(10.1f, 4.648f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, 0.304f, 0.127f)
                arcToRelative(1.196f, 1.196f, 0.0f, false, true, 0.356f, 0.373f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, true, 0.084f, 0.163f)
                curveToRelative(0.165f, 0.388f, 0.135f, 0.857f, -0.149f, 1.203f)
                curveToRelative(-0.19f, 0.232f, -0.429f, 0.305f, -0.648f, 0.263f)
                arcToRelative(0.241f, 0.241f, 0.0f, false, true, -0.096f, 0.04f)
                curveToRelative(-0.41f, 0.13f, -0.884f, -0.218f, -0.994f, -0.663f)
                curveToRelative(-0.065f, -0.26f, -0.087f, -0.674f, 0.076f, -0.908f)
                arcToRelative(0.367f, 0.367f, 0.0f, false, true, 0.082f, -0.086f)
                arcToRelative(0.917f, 0.917f, 0.0f, false, true, 0.05f, -0.264f)
                curveToRelative(0.077f, -0.214f, 0.256f, -0.214f, 0.425f, -0.148f)
                arcToRelative(0.542f, 0.542f, 0.0f, false, true, 0.09f, -0.006f)
                arcToRelative(1.938f, 1.938f, 0.0f, false, true, 0.158f, 0.008f)
                arcToRelative(0.277f, 0.277f, 0.0f, false, true, 0.262f, -0.102f)
                close()
                moveTo(18.53f, 4.648f)
                curveToRelative(0.098f, 0.012f, 0.204f, 0.06f, 0.304f, 0.127f)
                arcToRelative(1.196f, 1.196f, 0.0f, false, true, 0.355f, 0.373f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, true, 0.084f, 0.163f)
                curveToRelative(0.166f, 0.388f, 0.136f, 0.857f, -0.148f, 1.203f)
                curveToRelative(-0.19f, 0.232f, -0.43f, 0.305f, -0.648f, 0.263f)
                arcToRelative(0.241f, 0.241f, 0.0f, false, true, -0.096f, 0.04f)
                curveToRelative(-0.41f, 0.13f, -0.885f, -0.218f, -0.994f, -0.663f)
                curveToRelative(-0.065f, -0.26f, -0.087f, -0.674f, 0.076f, -0.908f)
                arcToRelative(0.367f, 0.367f, 0.0f, false, true, 0.082f, -0.086f)
                arcToRelative(0.91f, 0.91f, 0.0f, false, true, 0.049f, -0.264f)
                curveToRelative(0.077f, -0.214f, 0.256f, -0.214f, 0.424f, -0.148f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, true, 0.091f, -0.006f)
                arcToRelative(1.938f, 1.938f, 0.0f, false, true, 0.159f, 0.008f)
                arcToRelative(0.277f, 0.277f, 0.0f, false, true, 0.261f, -0.102f)
                close()
                moveTo(5.371f, 4.808f)
                curveToRelative(0.224f, -0.013f, 0.461f, 0.063f, 0.649f, 0.198f)
                arcToRelative(1.069f, 1.069f, 0.0f, false, true, 0.23f, 0.223f)
                arcToRelative(1.518f, 1.518f, 0.0f, false, true, 0.059f, 0.039f)
                curveToRelative(0.341f, 0.244f, 0.312f, 0.679f, 0.074f, 0.992f)
                lineToRelative(-0.004f, 0.008f)
                arcToRelative(0.91f, 0.91f, 0.0f, false, true, -0.897f, 0.558f)
                curveToRelative(-0.302f, -0.008f, -0.611f, -0.084f, -0.82f, -0.271f)
                curveToRelative(-0.2f, -0.143f, -0.34f, -0.356f, -0.332f, -0.627f)
                arcToRelative(0.131f, 0.131f, 0.0f, false, true, 0.092f, -0.127f)
                arcToRelative(1.042f, 1.042f, 0.0f, false, true, 0.342f, -0.6f)
                arcToRelative(0.704f, 0.704f, 0.0f, false, true, 0.607f, -0.393f)
                close()
                moveTo(14.053f, 4.811f)
                curveToRelative(0.224f, -0.014f, 0.461f, 0.06f, 0.648f, 0.195f)
                arcToRelative(1.069f, 1.069f, 0.0f, false, true, 0.229f, 0.224f)
                arcToRelative(1.518f, 1.518f, 0.0f, false, true, 0.058f, 0.04f)
                curveToRelative(0.342f, 0.244f, 0.315f, 0.679f, 0.076f, 0.992f)
                lineToRelative(-0.005f, 0.006f)
                arcToRelative(0.907f, 0.907f, 0.0f, false, true, -0.895f, 0.558f)
                curveToRelative(-0.302f, -0.008f, -0.614f, -0.084f, -0.822f, -0.271f)
                arcToRelative(0.73f, 0.73f, 0.0f, false, true, -0.33f, -0.627f)
                arcToRelative(0.131f, 0.131f, 0.0f, false, true, 0.092f, -0.125f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, true, 0.34f, -0.6f)
                arcToRelative(0.705f, 0.705f, 0.0f, false, true, 0.61f, -0.393f)
                close()
                moveTo(5.771f, 5.307f)
                arcToRelative(0.563f, 0.563f, 0.0f, false, true, 0.034f, 0.04f)
                lineToRelative(0.011f, 0.005f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, true, 0.088f, 0.076f)
                arcToRelative(0.596f, 0.596f, 0.0f, false, true, 0.225f, 0.125f)
                arcToRelative(0.659f, 0.659f, 0.0f, false, false, -0.078f, -0.135f)
                arcToRelative(1.161f, 1.161f, 0.0f, false, false, -0.28f, -0.111f)
                close()
                moveTo(14.451f, 5.307f)
                arcToRelative(0.563f, 0.563f, 0.0f, false, true, 0.033f, 0.04f)
                lineToRelative(0.012f, 0.005f)
                curveToRelative(0.039f, 0.007f, 0.07f, 0.038f, 0.088f, 0.076f)
                arcToRelative(0.596f, 0.596f, 0.0f, false, true, 0.225f, 0.125f)
                arcToRelative(0.659f, 0.659f, 0.0f, false, false, -0.079f, -0.135f)
                arcToRelative(1.153f, 1.153f, 0.0f, false, false, -0.279f, -0.111f)
                close()
                moveTo(9.898f, 5.426f)
                arcToRelative(1.912f, 1.912f, 0.0f, false, false, -0.005f, 0.295f)
                curveToRelative(0.075f, -0.042f, 0.081f, -0.17f, 0.064f, -0.262f)
                arcToRelative(0.322f, 0.322f, 0.0f, false, false, -0.059f, -0.033f)
                close()
                moveTo(18.326f, 5.426f)
                arcToRelative(1.943f, 1.943f, 0.0f, false, false, -0.004f, 0.295f)
                curveToRelative(0.076f, -0.042f, 0.08f, -0.17f, 0.063f, -0.262f)
                lineToRelative(-0.02f, -0.014f)
                arcToRelative(0.303f, 0.303f, 0.0f, false, false, -0.039f, -0.02f)
                close()
                moveTo(5.55f, 5.65f)
                lineToRelative(-0.086f, 0.028f)
                lineToRelative(0.01f, 0.04f)
                curveToRelative(0.057f, -0.032f, 0.133f, -0.028f, 0.175f, 0.028f)
                arcToRelative(0.435f, 0.435f, 0.0f, false, false, -0.003f, -0.057f)
                arcToRelative(0.335f, 0.335f, 0.0f, false, true, -0.075f, -0.023f)
                curveToRelative(-0.008f, -0.004f, -0.014f, -0.01f, -0.021f, -0.016f)
                close()
                moveTo(14.23f, 5.65f)
                lineToRelative(-0.086f, 0.028f)
                lineToRelative(0.011f, 0.04f)
                curveToRelative(0.057f, -0.032f, 0.134f, -0.028f, 0.176f, 0.028f)
                arcToRelative(0.435f, 0.435f, 0.0f, false, false, -0.004f, -0.057f)
                arcToRelative(0.335f, 0.335f, 0.0f, false, true, -0.074f, -0.023f)
                arcToRelative(0.153f, 0.153f, 0.0f, false, true, -0.023f, -0.016f)
                close()
                moveTo(5.198f, 5.738f)
                curveToRelative(0.003f, 0.017f, 0.005f, 0.036f, 0.01f, 0.053f)
                arcToRelative(0.888f, 0.888f, 0.0f, false, false, 0.023f, 0.078f)
                curveToRelative(-0.026f, -0.029f, -0.038f, -0.073f, -0.033f, -0.13f)
                close()
                moveTo(13.878f, 5.74f)
                arcToRelative(0.866f, 0.866f, 0.0f, false, false, 0.033f, 0.13f)
                curveToRelative(-0.026f, -0.029f, -0.038f, -0.072f, -0.033f, -0.13f)
                close()
                moveTo(10.698f, 5.76f)
                lineToRelative(-0.011f, 0.017f)
                arcToRelative(0.38f, 0.38f, 0.0f, false, true, -0.13f, 0.237f)
                arcToRelative(0.183f, 0.183f, 0.0f, false, false, -0.001f, 0.006f)
                arcToRelative(0.119f, 0.119f, 0.0f, false, true, -0.04f, 0.119f)
                arcToRelative(0.9f, 0.9f, 0.0f, false, true, -0.029f, 0.064f)
                arcToRelative(1.862f, 1.862f, 0.0f, false, true, -0.148f, 0.285f)
                arcToRelative(0.572f, 0.572f, 0.0f, false, false, 0.217f, -0.205f)
                curveToRelative(0.1f, -0.156f, 0.147f, -0.34f, 0.142f, -0.523f)
                close()
                moveTo(19.128f, 5.76f)
                lineToRelative(-0.012f, 0.017f)
                arcToRelative(0.378f, 0.378f, 0.0f, false, true, -0.129f, 0.237f)
                curveToRelative(0.0f, 0.001f, 0.0f, 0.004f, -0.002f, 0.006f)
                curveToRelative(0.013f, 0.043f, -0.005f, 0.088f, -0.039f, 0.119f)
                arcToRelative(1.163f, 1.163f, 0.0f, false, true, -0.029f, 0.064f)
                arcToRelative(1.862f, 1.862f, 0.0f, false, true, -0.148f, 0.285f)
                arcToRelative(0.566f, 0.566f, 0.0f, false, false, 0.216f, -0.205f)
                curveToRelative(0.1f, -0.156f, 0.148f, -0.34f, 0.143f, -0.523f)
                close()
                moveTo(9.167f, 5.799f)
                arcToRelative(1.314f, 1.314f, 0.0f, false, false, 0.004f, 0.133f)
                curveToRelative(0.017f, 0.185f, 0.078f, 0.383f, 0.219f, 0.513f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, 0.086f, 0.067f)
                arcToRelative(1.038f, 1.038f, 0.0f, false, true, -0.143f, -0.278f)
                arcToRelative(2.565f, 2.565f, 0.0f, false, true, -0.166f, -0.435f)
                close()
                moveTo(17.597f, 5.799f)
                arcToRelative(1.314f, 1.314f, 0.0f, false, false, 0.004f, 0.133f)
                curveToRelative(0.017f, 0.185f, 0.078f, 0.383f, 0.218f, 0.513f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, false, 0.086f, 0.067f)
                arcToRelative(1.054f, 1.054f, 0.0f, false, true, -0.142f, -0.278f)
                arcToRelative(2.522f, 2.522f, 0.0f, false, true, -0.166f, -0.435f)
                close()
                moveTo(5.927f, 5.945f)
                arcToRelative(0.434f, 0.434f, 0.0f, false, true, -0.028f, 0.065f)
                lineToRelative(0.036f, 0.068f)
                arcToRelative(0.238f, 0.238f, 0.0f, false, false, -0.008f, -0.133f)
                close()
                moveTo(14.608f, 5.945f)
                arcToRelative(0.51f, 0.51f, 0.0f, false, true, -0.029f, 0.065f)
                lineToRelative(0.035f, 0.068f)
                arcToRelative(0.241f, 0.241f, 0.0f, false, false, -0.006f, -0.133f)
                close()
                moveTo(5.518f, 6.355f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, true, -0.18f, 0.038f)
                lineToRelative(-0.013f, 0.015f)
                arcToRelative(0.532f, 0.532f, 0.0f, false, false, 0.229f, -0.013f)
                arcToRelative(0.495f, 0.495f, 0.0f, false, true, -0.035f, -0.04f)
                close()
                moveTo(14.198f, 6.355f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, true, -0.18f, 0.038f)
                lineToRelative(-0.013f, 0.015f)
                arcToRelative(0.532f, 0.532f, 0.0f, false, false, 0.228f, -0.013f)
                arcToRelative(0.625f, 0.625f, 0.0f, false, true, -0.035f, -0.04f)
                close()
                moveTo(9.89f, 8.655f)
                arcToRelative(1.061f, 1.061f, 0.0f, false, true, 1.052f, 1.072f)
                verticalLineToRelative(8.58f)
                curveToRelative(0.0f, 0.592f, -0.47f, 1.072f, -1.052f, 1.072f)
                curveToRelative(-0.583f, 0.0f, -1.055f, -0.48f, -1.055f, -1.072f)
                verticalLineToRelative(-8.58f)
                curveToRelative(0.0f, -0.592f, 0.472f, -1.072f, 1.055f, -1.073f)
                close()
                moveTo(18.321f, 8.655f)
                arcToRelative(1.062f, 1.062f, 0.0f, false, true, 1.053f, 1.072f)
                verticalLineToRelative(8.58f)
                curveToRelative(0.0f, 0.592f, -0.47f, 1.072f, -1.053f, 1.072f)
                curveToRelative(-0.582f, 0.0f, -1.054f, -0.48f, -1.054f, -1.072f)
                verticalLineToRelative(-8.58f)
                curveToRelative(0.0f, -0.592f, 0.472f, -1.072f, 1.054f, -1.073f)
                close()
                moveTo(5.371f, 8.76f)
                curveToRelative(0.224f, -0.013f, 0.461f, 0.06f, 0.649f, 0.195f)
                arcToRelative(1.075f, 1.075f, 0.0f, false, true, 0.23f, 0.225f)
                arcToRelative(1.871f, 1.871f, 0.0f, false, true, 0.059f, 0.039f)
                curveToRelative(0.341f, 0.244f, 0.312f, 0.679f, 0.074f, 0.992f)
                lineToRelative(-0.004f, 0.006f)
                arcToRelative(0.91f, 0.91f, 0.0f, false, true, -0.897f, 0.558f)
                curveToRelative(-0.302f, -0.007f, -0.611f, -0.083f, -0.82f, -0.271f)
                curveToRelative(-0.2f, -0.142f, -0.34f, -0.354f, -0.332f, -0.625f)
                arcToRelative(0.131f, 0.131f, 0.0f, false, true, 0.092f, -0.127f)
                arcToRelative(1.042f, 1.042f, 0.0f, false, true, 0.342f, -0.6f)
                arcToRelative(0.701f, 0.701f, 0.0f, false, true, 0.607f, -0.393f)
                close()
                moveTo(14.053f, 8.76f)
                curveToRelative(0.224f, -0.013f, 0.461f, 0.06f, 0.648f, 0.195f)
                arcToRelative(1.075f, 1.075f, 0.0f, false, true, 0.229f, 0.225f)
                arcToRelative(1.871f, 1.871f, 0.0f, false, true, 0.058f, 0.039f)
                curveToRelative(0.342f, 0.244f, 0.315f, 0.679f, 0.076f, 0.992f)
                lineToRelative(-0.005f, 0.006f)
                arcToRelative(0.907f, 0.907f, 0.0f, false, true, -0.895f, 0.558f)
                curveToRelative(-0.302f, -0.007f, -0.614f, -0.083f, -0.822f, -0.271f)
                arcToRelative(0.727f, 0.727f, 0.0f, false, true, -0.33f, -0.625f)
                arcToRelative(0.131f, 0.131f, 0.0f, false, true, 0.092f, -0.127f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, true, 0.34f, -0.6f)
                arcToRelative(0.705f, 0.705f, 0.0f, false, true, 0.61f, -0.393f)
                close()
                moveTo(5.771f, 9.256f)
                arcToRelative(0.567f, 0.567f, 0.0f, false, true, 0.034f, 0.043f)
                lineToRelative(0.011f, 0.002f)
                arcToRelative(0.126f, 0.126f, 0.0f, false, true, 0.088f, 0.076f)
                arcToRelative(0.599f, 0.599f, 0.0f, false, true, 0.225f, 0.125f)
                arcToRelative(0.659f, 0.659f, 0.0f, false, false, -0.078f, -0.133f)
                arcToRelative(1.21f, 1.21f, 0.0f, false, false, -0.28f, -0.113f)
                close()
                moveTo(14.451f, 9.256f)
                arcToRelative(0.567f, 0.567f, 0.0f, false, true, 0.033f, 0.043f)
                lineToRelative(0.012f, 0.002f)
                curveToRelative(0.039f, 0.007f, 0.07f, 0.038f, 0.088f, 0.076f)
                arcToRelative(0.599f, 0.599f, 0.0f, false, true, 0.225f, 0.125f)
                arcToRelative(0.659f, 0.659f, 0.0f, false, false, -0.079f, -0.133f)
                arcToRelative(1.2f, 1.2f, 0.0f, false, false, -0.279f, -0.113f)
                close()
                moveTo(5.55f, 9.6f)
                lineToRelative(-0.086f, 0.027f)
                lineToRelative(0.01f, 0.041f)
                curveToRelative(0.057f, -0.032f, 0.133f, -0.029f, 0.175f, 0.027f)
                arcToRelative(0.437f, 0.437f, 0.0f, false, false, -0.003f, -0.054f)
                arcToRelative(0.323f, 0.323f, 0.0f, false, true, -0.075f, -0.026f)
                curveToRelative(-0.008f, -0.004f, -0.014f, -0.01f, -0.021f, -0.015f)
                close()
                moveTo(14.23f, 9.6f)
                lineToRelative(-0.086f, 0.027f)
                lineToRelative(0.011f, 0.041f)
                curveToRelative(0.057f, -0.032f, 0.134f, -0.029f, 0.176f, 0.027f)
                arcToRelative(0.437f, 0.437f, 0.0f, false, false, -0.004f, -0.054f)
                arcToRelative(0.323f, 0.323f, 0.0f, false, true, -0.074f, -0.026f)
                arcToRelative(0.153f, 0.153f, 0.0f, false, true, -0.023f, -0.015f)
                close()
                moveTo(5.198f, 9.69f)
                arcToRelative(0.575f, 0.575f, 0.0f, false, false, 0.032f, 0.123f)
                arcToRelative(0.164f, 0.164f, 0.0f, false, true, -0.032f, -0.124f)
                close()
                moveTo(13.878f, 9.69f)
                arcToRelative(0.575f, 0.575f, 0.0f, false, false, 0.031f, 0.123f)
                arcToRelative(0.169f, 0.169f, 0.0f, false, true, -0.031f, -0.124f)
                close()
                moveTo(5.927f, 9.896f)
                arcToRelative(0.419f, 0.419f, 0.0f, false, true, -0.028f, 0.063f)
                arcToRelative(18.358f, 18.358f, 0.0f, false, true, 0.036f, 0.07f)
                arcToRelative(0.237f, 0.237f, 0.0f, false, false, -0.008f, -0.133f)
                close()
                moveTo(14.608f, 9.896f)
                arcToRelative(0.419f, 0.419f, 0.0f, false, true, -0.029f, 0.063f)
                arcToRelative(18.358f, 18.358f, 0.0f, false, true, 0.035f, 0.07f)
                arcToRelative(0.241f, 0.241f, 0.0f, false, false, -0.006f, -0.133f)
                close()
                moveTo(5.518f, 10.305f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, true, -0.18f, 0.037f)
                verticalLineToRelative(0.002f)
                lineToRelative(-0.013f, 0.015f)
                arcToRelative(0.548f, 0.548f, 0.0f, false, false, 0.229f, -0.015f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, true, -0.035f, -0.04f)
                close()
                moveTo(14.198f, 10.305f)
                arcToRelative(0.627f, 0.627f, 0.0f, false, true, -0.18f, 0.037f)
                verticalLineToRelative(0.002f)
                lineToRelative(-0.013f, 0.015f)
                arcToRelative(0.548f, 0.548f, 0.0f, false, false, 0.228f, -0.015f)
                lineToRelative(-0.035f, -0.04f)
                close()
                moveTo(5.673f, 12.945f)
                curveToRelative(0.582f, 0.0f, 1.053f, 0.48f, 1.053f, 1.073f)
                verticalLineToRelative(4.289f)
                curveToRelative(0.0f, 0.592f, -0.47f, 1.072f, -1.053f, 1.072f)
                curveToRelative(-0.582f, 0.0f, -1.055f, -0.48f, -1.055f, -1.072f)
                verticalLineToRelative(-4.29f)
                curveToRelative(0.0f, -0.592f, 0.473f, -1.072f, 1.055f, -1.072f)
                close()
                moveTo(14.105f, 12.945f)
                curveToRelative(0.581f, 0.0f, 1.054f, 0.48f, 1.054f, 1.073f)
                verticalLineToRelative(4.289f)
                curveToRelative(0.0f, 0.592f, -0.473f, 1.072f, -1.054f, 1.072f)
                curveToRelative(-0.583f, 0.0f, -1.053f, -0.48f, -1.053f, -1.072f)
                verticalLineToRelative(-4.29f)
                curveToRelative(0.0f, -0.592f, 0.47f, -1.072f, 1.053f, -1.072f)
                close()
            }
        }
        .build()
        return _plotly!!
    }

private var _plotly: ImageVector? = null
