package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Prismic: ImageVector
    get() {
        if (_prismic != null) {
            return _prismic!!
        }
        _prismic = Builder(name = "Prismic", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.7f, 0.0f)
                curveTo(5.033f, 0.0f, 4.066f, 0.278f, 3.09f, 0.8f)
                arcTo(5.447f, 5.447f, 0.0f, false, false, 0.825f, 3.07f)
                curveToRelative(-0.522f, 0.977f, -0.8f, 1.947f, -0.8f, 4.622f)
                verticalLineToRelative(0.998f)
                curveToRelative(0.0f, 0.199f, 0.078f, 0.388f, 0.218f, 0.529f)
                lineToRelative(1.77f, 1.774f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, 0.257f, -0.106f)
                lineTo(2.27f, 8.019f)
                curveToRelative(0.0f, -2.006f, 0.208f, -2.733f, 0.6f, -3.467f)
                arcTo(4.088f, 4.088f, 0.0f, false, true, 4.568f, 2.85f)
                curveToRelative(0.731f, -0.392f, 1.457f, -0.6f, 3.459f, -0.6f)
                horizontalLineToRelative(2.164f)
                curveToRelative(0.199f, 0.0f, 0.39f, -0.08f, 0.53f, -0.221f)
                lineToRelative(1.77f, -1.772f)
                arcTo(0.15f, 0.15f, 0.0f, false, false, 12.387f, 0.0f)
                close()
                moveTo(15.305f, 0.0f)
                curveToRelative(-0.2f, 0.0f, -0.392f, 0.08f, -0.532f, 0.22f)
                lineToRelative(-1.769f, 1.775f)
                arcToRelative(0.147f, 0.147f, 0.0f, false, false, -0.044f, 0.104f)
                curveToRelative(0.0f, 0.083f, 0.068f, 0.15f, 0.15f, 0.15f)
                horizontalLineToRelative(2.862f)
                curveToRelative(2.002f, 0.0f, 2.728f, 0.21f, 3.46f, 0.601f)
                arcToRelative(4.089f, 4.089f, 0.0f, false, true, 1.698f, 1.702f)
                curveToRelative(0.39f, 0.734f, 0.599f, 1.461f, 0.599f, 3.467f)
                verticalLineToRelative(2.17f)
                curveToRelative(0.0f, 0.198f, 0.078f, 0.39f, 0.218f, 0.53f)
                lineToRelative(1.77f, 1.774f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, 0.257f, -0.106f)
                lineTo(23.974f, 7.692f)
                curveToRelative(0.0f, -2.675f, -0.278f, -3.645f, -0.8f, -4.623f)
                arcTo(5.446f, 5.446f, 0.0f, false, false, 20.91f, 0.801f)
                curveTo(19.935f, 0.278f, 18.968f, 0.0f, 16.3f, 0.0f)
                close()
                moveTo(6.761f, 3.75f)
                arcToRelative(2.995f, 2.995f, 0.0f, false, false, -2.993f, 2.999f)
                verticalLineToRelative(5.691f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.219f, 0.529f)
                lineToRelative(1.77f, 1.776f)
                arcToRelative(0.149f, 0.149f, 0.0f, false, false, 0.255f, -0.106f)
                verticalLineToRelative(-7.14f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, 0.097f, -0.53f)
                curveToRelative(0.072f, -0.2f, 0.188f, -0.385f, 0.348f, -0.545f)
                lineToRelative(2.308f, -2.421f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.11f, -0.253f)
                close()
                moveTo(11.563f, 3.75f)
                curveToRelative(-0.2f, 0.0f, -0.39f, 0.08f, -0.53f, 0.22f)
                lineTo(9.26f, 5.744f)
                arcTo(0.151f, 0.151f, 0.0f, false, false, 9.366f, 6.0f)
                horizontalLineToRelative(7.124f)
                curveToRelative(0.186f, 0.0f, 0.364f, 0.034f, 0.528f, 0.097f)
                curveToRelative(0.2f, 0.072f, 0.386f, 0.188f, 0.546f, 0.347f)
                lineToRelative(2.413f, 2.313f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, 0.255f, -0.108f)
                verticalLineToRelative(-1.9f)
                arcToRelative(2.995f, 2.995f, 0.0f, false, false, -2.993f, -3.0f)
                close()
                moveTo(18.136f, 9.213f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.15f, 0.15f)
                verticalLineToRelative(7.139f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, true, -0.095f, 0.53f)
                arcToRelative(1.49f, 1.49f, 0.0f, false, true, -0.348f, 0.546f)
                lineToRelative(-2.308f, 2.42f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, 0.108f, 0.255f)
                horizontalLineToRelative(1.896f)
                arcToRelative(2.997f, 2.997f, 0.0f, false, false, 2.993f, -3.002f)
                verticalLineToRelative(-5.69f)
                arcToRelative(0.752f, 0.752f, 0.0f, false, false, -0.219f, -0.53f)
                lineToRelative(-1.77f, -1.774f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.107f, -0.044f)
                close()
                moveTo(0.176f, 11.463f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.15f, 0.15f)
                verticalLineToRelative(4.695f)
                curveToRelative(0.0f, 2.674f, 0.278f, 3.645f, 0.8f, 4.623f)
                arcToRelative(5.442f, 5.442f, 0.0f, false, false, 2.263f, 2.267f)
                curveToRelative(0.976f, 0.522f, 1.943f, 0.802f, 4.612f, 0.802f)
                horizontalLineToRelative(0.994f)
                curveToRelative(0.2f, 0.0f, 0.39f, -0.08f, 0.53f, -0.22f)
                lineToRelative(1.771f, -1.775f)
                arcToRelative(0.149f, 0.149f, 0.0f, false, false, -0.106f, -0.255f)
                lineTo(8.027f, 21.75f)
                curveToRelative(-2.002f, 0.0f, -2.728f, -0.208f, -3.46f, -0.6f)
                arcToRelative(4.088f, 4.088f, 0.0f, false, true, -1.698f, -1.702f)
                curveToRelative(-0.39f, -0.734f, -0.599f, -1.461f, -0.599f, -3.467f)
                verticalLineToRelative(-2.172f)
                arcToRelative(0.749f, 0.749f, 0.0f, false, false, -0.22f, -0.528f)
                lineTo(0.282f, 11.507f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.106f, -0.044f)
                close()
                moveTo(21.879f, 12.963f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.15f, 0.15f)
                verticalLineToRelative(2.868f)
                curveToRelative(0.0f, 2.006f, -0.208f, 2.733f, -0.6f, 3.467f)
                arcToRelative(4.088f, 4.088f, 0.0f, false, true, -1.698f, 1.702f)
                curveToRelative(-0.731f, 0.392f, -1.457f, 0.6f, -3.459f, 0.6f)
                horizontalLineToRelative(-2.164f)
                arcToRelative(0.749f, 0.749f, 0.0f, false, false, -0.532f, 0.22f)
                lineToRelative(-1.769f, 1.773f)
                arcToRelative(0.151f, 0.151f, 0.0f, false, false, -0.043f, 0.107f)
                curveToRelative(0.0f, 0.083f, 0.065f, 0.15f, 0.148f, 0.15f)
                lineTo(16.3f, 24.0f)
                curveToRelative(2.67f, 0.0f, 3.636f, -0.28f, 4.612f, -0.802f)
                arcToRelative(5.442f, 5.442f, 0.0f, false, false, 2.263f, -2.267f)
                curveToRelative(0.522f, -0.978f, 0.8f, -1.948f, 0.8f, -4.623f)
                verticalLineToRelative(-0.998f)
                arcToRelative(0.749f, 0.749f, 0.0f, false, false, -0.22f, -0.529f)
                lineToRelative(-1.769f, -1.774f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.106f, -0.044f)
                close()
                moveTo(3.919f, 15.201f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.151f, 0.15f)
                verticalLineToRelative(1.898f)
                arcToRelative(2.997f, 2.997f, 0.0f, false, false, 2.993f, 3.001f)
                horizontalLineToRelative(5.676f)
                curveToRelative(0.2f, 0.0f, 0.39f, -0.08f, 0.53f, -0.22f)
                lineToRelative(1.773f, -1.775f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, false, 0.044f, -0.104f)
                arcToRelative(0.15f, 0.15f, 0.0f, false, false, -0.15f, -0.15f)
                lineTo(7.51f, 18.001f)
                arcToRelative(1.48f, 1.48f, 0.0f, false, true, -0.53f, -0.098f)
                arcToRelative(1.49f, 1.49f, 0.0f, false, true, -0.546f, -0.347f)
                lineToRelative(-2.413f, -2.313f)
                arcToRelative(0.147f, 0.147f, 0.0f, false, false, -0.103f, -0.042f)
                close()
            }
        }
        .build()
        return _prismic!!
    }

private var _prismic: ImageVector? = null
