package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Quest: ImageVector
    get() {
        if (_quest != null) {
            return _quest!!
        }
        _quest = Builder(name = "Quest", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.284f, 8.755f)
                curveToRelative(-0.055f, 0.0f, -0.11f, 0.0f, -0.166f, 0.002f)
                curveToRelative(-0.096f, 0.0f, -0.2f, 0.01f, -0.296f, 0.029f)
                arcToRelative(3.225f, 3.225f, 0.0f, false, false, -2.82f, 3.325f)
                arcToRelative(3.243f, 3.243f, 0.0f, false, false, 3.354f, 3.115f)
                arcToRelative(3.211f, 3.211f, 0.0f, false, false, 1.79f, -0.629f)
                lineToRelative(-0.495f, -0.362f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, false, -0.19f, -0.01f)
                curveToRelative(-0.381f, 0.22f, -0.82f, 0.334f, -1.296f, 0.324f)
                curveTo(1.86f, 14.521f, 0.784f, 13.463f, 0.717f, 12.16f)
                arcToRelative(2.519f, 2.519f, 0.0f, false, true, 2.744f, -2.62f)
                arcToRelative(2.518f, 2.518f, 0.0f, false, true, 2.276f, 2.324f)
                arcToRelative(2.525f, 2.525f, 0.0f, false, true, -0.428f, 1.59f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, false, 0.038f, 0.249f)
                lineToRelative(0.42f, 0.304f)
                curveToRelative(0.485f, -0.61f, 0.733f, -1.352f, 0.704f, -2.133f)
                arcToRelative(3.244f, 3.244f, 0.0f, false, false, -3.187f, -3.118f)
                close()
                moveTo(5.766f, 14.006f)
                reflectiveCurveToRelative(-0.095f, 0.124f, -0.286f, 0.305f)
                curveToRelative(-0.19f, 0.181f, -0.343f, 0.296f, -0.343f, 0.296f)
                lineToRelative(0.553f, 0.41f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, false, 0.229f, 0.0f)
                arcToRelative(3.338f, 3.338f, 0.0f, false, false, 0.381f, -0.372f)
                arcToRelative(0.177f, 0.177f, 0.0f, false, false, -0.03f, -0.267f)
                close()
                moveTo(23.352f, 9.434f)
                curveToRelative(-0.038f, 0.0f, -0.076f, 0.0f, -0.105f, 0.028f)
                arcToRelative(0.198f, 0.198f, 0.0f, false, false, -0.095f, 0.058f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, false, -0.067f, 0.085f)
                curveToRelative(-0.01f, 0.029f, -0.019f, 0.067f, -0.028f, 0.105f)
                curveToRelative(0.0f, 0.038f, 0.0f, 0.076f, 0.019f, 0.114f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, false, 0.067f, 0.096f)
                curveToRelative(0.028f, 0.019f, 0.057f, 0.047f, 0.095f, 0.057f)
                curveToRelative(0.038f, 0.01f, 0.076f, 0.019f, 0.114f, 0.019f)
                curveToRelative(0.038f, 0.0f, 0.076f, -0.01f, 0.114f, -0.02f)
                arcToRelative(0.198f, 0.198f, 0.0f, false, false, 0.096f, -0.056f)
                curveToRelative(0.019f, -0.029f, 0.047f, -0.058f, 0.057f, -0.096f)
                arcToRelative(0.479f, 0.479f, 0.0f, false, false, 0.019f, -0.114f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, false, -0.02f, -0.114f)
                arcToRelative(0.225f, 0.225f, 0.0f, false, false, -0.056f, -0.086f)
                arcToRelative(0.903f, 0.903f, 0.0f, false, false, -0.096f, -0.057f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, false, -0.114f, -0.02f)
                close()
                moveTo(21.228f, 9.444f)
                verticalLineToRelative(1.295f)
                horizontalLineToRelative(-0.277f)
                curveToRelative(-0.114f, 0.0f, -0.2f, 0.095f, -0.2f, 0.2f)
                verticalLineToRelative(0.41f)
                horizontalLineToRelative(0.477f)
                verticalLineToRelative(2.276f)
                curveToRelative(0.0f, 1.086f, 0.552f, 1.601f, 1.486f, 1.601f)
                arcTo(2.08f, 2.08f, 0.0f, false, false, 24.0f, 14.797f)
                lineToRelative(-0.22f, -0.352f)
                arcToRelative(0.186f, 0.186f, 0.0f, false, false, -0.247f, -0.067f)
                curveToRelative(-0.228f, 0.124f, -0.486f, 0.21f, -0.762f, 0.21f)
                curveToRelative(-0.505f, 0.0f, -0.857f, -0.296f, -0.857f, -0.972f)
                verticalLineToRelative(-2.267f)
                horizontalLineToRelative(1.152f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, false, 0.172f, -0.172f)
                verticalLineToRelative(-0.438f)
                horizontalLineToRelative(-1.334f)
                lineTo(21.904f, 9.624f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, false, -0.18f, -0.18f)
                close()
                moveTo(23.352f, 9.481f)
                curveToRelative(0.038f, 0.0f, 0.067f, 0.01f, 0.095f, 0.02f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, true, 0.077f, 0.047f)
                arcToRelative(0.203f, 0.203f, 0.0f, false, true, 0.047f, 0.076f)
                curveToRelative(0.01f, 0.029f, 0.02f, 0.057f, 0.02f, 0.096f)
                arcToRelative(0.34f, 0.34f, 0.0f, false, true, -0.02f, 0.095f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, true, -0.047f, 0.076f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, true, -0.077f, 0.048f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, true, -0.095f, 0.019f)
                arcToRelative(0.282f, 0.282f, 0.0f, false, true, -0.095f, -0.02f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, true, -0.076f, -0.047f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, true, -0.048f, -0.076f)
                curveToRelative(-0.01f, -0.038f, -0.01f, -0.067f, -0.02f, -0.095f)
                curveToRelative(0.0f, -0.039f, 0.01f, -0.067f, 0.02f, -0.096f)
                arcToRelative(0.207f, 0.207f, 0.0f, false, true, 0.048f, -0.076f)
                arcToRelative(0.208f, 0.208f, 0.0f, false, true, 0.076f, -0.048f)
                arcToRelative(0.282f, 0.282f, 0.0f, false, true, 0.095f, -0.019f)
                close()
                moveTo(23.228f, 9.548f)
                verticalLineToRelative(0.333f)
                horizontalLineToRelative(0.048f)
                lineTo(23.276f, 9.74f)
                horizontalLineToRelative(0.057f)
                lineToRelative(0.095f, 0.142f)
                horizontalLineToRelative(0.058f)
                lineToRelative(-0.096f, -0.142f)
                arcToRelative(0.464f, 0.464f, 0.0f, false, false, 0.067f, -0.029f)
                arcToRelative(0.087f, 0.087f, 0.0f, false, false, 0.029f, -0.067f)
                curveToRelative(0.0f, -0.038f, -0.01f, -0.057f, -0.03f, -0.076f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, false, -0.085f, -0.019f)
                close()
                moveTo(23.295f, 9.586f)
                horizontalLineToRelative(0.095f)
                reflectiveCurveToRelative(0.01f, 0.01f, 0.02f, 0.01f)
                lineToRelative(0.018f, 0.019f)
                curveToRelative(0.01f, 0.01f, 0.01f, 0.019f, 0.01f, 0.028f)
                curveToRelative(0.0f, 0.01f, 0.0f, 0.02f, -0.01f, 0.029f)
                curveToRelative(0.0f, 0.01f, -0.01f, 0.019f, -0.019f, 0.019f)
                curveToRelative(-0.01f, 0.01f, -0.019f, 0.01f, -0.028f, 0.01f)
                horizontalLineToRelative(-0.029f)
                verticalLineToRelative(-0.01f)
                horizontalLineToRelative(-0.057f)
                close()
                moveTo(14.045f, 10.729f)
                curveToRelative(-1.23f, 0.0f, -2.144f, 0.924f, -2.144f, 2.249f)
                curveToRelative(0.0f, 1.343f, 0.915f, 2.248f, 2.191f, 2.248f)
                curveToRelative(0.639f, 0.0f, 1.239f, -0.162f, 1.782f, -0.677f)
                lineToRelative(-0.257f, -0.323f)
                arcToRelative(0.177f, 0.177f, 0.0f, false, false, -0.239f, -0.029f)
                arcToRelative(1.99f, 1.99f, 0.0f, false, true, -1.248f, 0.438f)
                curveToRelative(-0.78f, 0.0f, -1.438f, -0.476f, -1.533f, -1.41f)
                horizontalLineToRelative(3.286f)
                arcToRelative(0.19f, 0.19f, 0.0f, false, false, 0.19f, -0.19f)
                verticalLineToRelative(-0.067f)
                curveToRelative(-0.009f, -1.315f, -0.856f, -2.23f, -2.028f, -2.239f)
                close()
                moveTo(7.443f, 10.739f)
                arcToRelative(0.18f, 0.18f, 0.0f, false, false, -0.181f, 0.18f)
                verticalLineToRelative(2.43f)
                curveToRelative(0.0f, 1.286f, 0.914f, 1.896f, 1.962f, 1.896f)
                curveToRelative(1.039f, 0.0f, 1.963f, -0.61f, 1.963f, -1.896f)
                lineTo(11.187f, 10.91f)
                arcToRelative(0.17f, 0.17f, 0.0f, false, false, -0.172f, -0.171f)
                horizontalLineToRelative(-0.505f)
                verticalLineToRelative(2.544f)
                curveToRelative(0.0f, 0.895f, -0.533f, 1.314f, -1.276f, 1.314f)
                reflectiveCurveToRelative(-1.286f, -0.419f, -1.286f, -1.314f)
                verticalLineToRelative(-2.544f)
                close()
                moveTo(18.475f, 10.739f)
                curveToRelative(-1.039f, 0.0f, -1.725f, 0.495f, -1.725f, 1.315f)
                curveToRelative(0.0f, 0.647f, 0.457f, 1.086f, 1.43f, 1.2f)
                lineToRelative(0.514f, 0.057f)
                curveToRelative(0.61f, 0.067f, 0.905f, 0.286f, 0.905f, 0.629f)
                curveToRelative(0.0f, 0.457f, -0.458f, 0.695f, -1.191f, 0.695f)
                curveToRelative(-0.62f, 0.0f, -1.02f, -0.152f, -1.334f, -0.352f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, false, -0.276f, 0.066f)
                lineToRelative(-0.21f, 0.334f)
                curveToRelative(0.543f, 0.419f, 1.239f, 0.552f, 1.8f, 0.552f)
                curveToRelative(1.163f, 0.0f, 1.906f, -0.523f, 1.906f, -1.343f)
                curveToRelative(0.0f, -0.714f, -0.533f, -1.095f, -1.448f, -1.21f)
                lineToRelative(-0.514f, -0.066f)
                curveToRelative(-0.572f, -0.067f, -0.886f, -0.248f, -0.886f, -0.61f)
                curveToRelative(0.0f, -0.42f, 0.4f, -0.676f, 1.019f, -0.676f)
                curveToRelative(0.495f, 0.0f, 0.962f, 0.152f, 1.267f, 0.314f)
                curveToRelative(0.086f, 0.047f, 0.19f, 0.019f, 0.238f, -0.067f)
                lineToRelative(0.134f, -0.21f)
                arcToRelative(0.184f, 0.184f, 0.0f, false, false, -0.067f, -0.247f)
                arcToRelative(3.263f, 3.263f, 0.0f, false, false, -1.562f, -0.381f)
                close()
                moveTo(14.035f, 11.339f)
                curveToRelative(0.734f, 0.0f, 1.267f, 0.524f, 1.353f, 1.334f)
                horizontalLineToRelative(-2.782f)
                curveToRelative(0.105f, -0.781f, 0.629f, -1.334f, 1.43f, -1.334f)
                close()
            }
        }
        .build()
        return _quest!!
    }

private var _quest: ImageVector? = null
