package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Qzone: ImageVector
    get() {
        if (_qzone != null) {
            return _qzone!!
        }
        _qzone = Builder(name = "Qzone", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(23.9868f, 9.2012f)
                curveToRelative(-0.032f, -0.099f, -0.127f, -0.223f, -0.334f, -0.258f)
                curveToRelative(-0.207f, -0.036f, -7.352f, -1.4063f, -7.352f, -1.4063f)
                reflectiveCurveToRelative(-0.105f, -0.022f, -0.198f, -0.07f)
                curveToRelative(-0.092f, -0.047f, -0.127f, -0.167f, -0.127f, -0.167f)
                reflectiveCurveTo(12.4472f, 0.954f, 12.3491f, 0.7679f)
                curveToRelative(-0.099f, -0.187f, -0.245f, -0.238f, -0.349f, -0.238f)
                curveToRelative(-0.104f, 0.0f, -0.251f, 0.051f, -0.349f, 0.238f)
                curveTo(11.5531f, 0.954f, 8.0245f, 7.3f, 8.0245f, 7.3f)
                reflectiveCurveToRelative(-0.035f, 0.12f, -0.128f, 0.167f)
                curveToRelative(-0.092f, 0.047f, -0.197f, 0.07f, -0.197f, 0.07f)
                reflectiveCurveTo(0.5546f, 8.9071f, 0.3466f, 8.9421f)
                curveToRelative(-0.208f, 0.036f, -0.302f, 0.16f, -0.333f, 0.258f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, false, 0.125f, 0.4491f)
                lineTo(5.5013f, 15.14f)
                reflectiveCurveToRelative(0.072f, 0.08f, 0.119f, 0.172f)
                curveToRelative(0.016f, 0.104f, 0.005f, 0.21f, 0.005f, 0.21f)
                reflectiveCurveToRelative(-1.1891f, 7.243f, -1.2201f, 7.451f)
                curveToRelative(-0.031f, 0.208f, 0.075f, 0.369f, 0.159f, 0.4301f)
                curveToRelative(0.083f, 0.062f, 0.233f, 0.106f, 0.421f, 0.013f)
                curveToRelative(0.189f, -0.093f, 6.813f, -3.2614f, 6.813f, -3.2614f)
                reflectiveCurveToRelative(0.098f, -0.044f, 0.201f, -0.061f)
                curveToRelative(0.103f, -0.017f, 0.201f, 0.061f, 0.201f, 0.061f)
                reflectiveCurveToRelative(6.624f, 3.1684f, 6.813f, 3.2614f)
                curveToRelative(0.188f, 0.094f, 0.338f, 0.049f, 0.421f, -0.013f)
                arcToRelative(0.463f, 0.463f, 0.0f, false, false, 0.159f, -0.43f)
                curveToRelative(-0.021f, -0.14f, -0.93f, -5.6778f, -0.93f, -5.6778f)
                curveToRelative(0.876f, -0.5401f, 1.4251f, -1.0392f, 1.8492f, -1.7473f)
                curveToRelative(-2.5944f, 0.9692f, -6.0069f, 1.7173f, -9.4163f, 1.8663f)
                curveToRelative(-0.9152f, 0.041f, -2.4104f, 0.097f, -3.4735f, -0.015f)
                curveToRelative(-0.6781f, -0.071f, -1.1702f, -0.144f, -1.2432f, -0.438f)
                curveToRelative(-0.053f, -0.2151f, 0.054f, -0.4601f, 0.5451f, -0.8312f)
                arcToRelative(2640.8625f, 2640.8625f, 0.0f, false, true, 2.8614f, -2.1553f)
                curveToRelative(1.2852f, -0.9681f, 3.5595f, -2.4703f, 3.5595f, -2.7314f)
                curveToRelative(0.0f, -0.285f, -2.1443f, -0.781f, -4.0376f, -0.781f)
                curveToRelative(-1.9452f, 0.0f, -2.2753f, 0.132f, -2.8114f, 0.168f)
                curveToRelative(-0.488f, 0.034f, -0.769f, 0.005f, -0.804f, -0.138f)
                curveToRelative(-0.06f, -0.2481f, 0.183f, -0.3891f, 0.588f, -0.5682f)
                curveToRelative(0.7091f, -0.314f, 1.8603f, -0.594f, 1.9843f, -0.626f)
                curveToRelative(0.194f, -0.052f, 3.0824f, -0.8051f, 5.6188f, -0.5351f)
                curveToRelative(1.3181f, 0.14f, 3.2444f, 0.668f, 3.2444f, 1.2762f)
                curveToRelative(0.0f, 0.342f, -1.7212f, 1.4942f, -3.2254f, 2.5973f)
                curveToRelative(-1.1492f, 0.8431f, -2.2173f, 1.5612f, -2.2173f, 1.6883f)
                curveToRelative(0.0f, 0.342f, 3.5334f, 1.2411f, 6.6899f, 1.01f)
                lineToRelative(0.003f, -0.022f)
                curveToRelative(0.048f, -0.092f, 0.119f, -0.172f, 0.119f, -0.172f)
                lineToRelative(5.3627f, -5.4907f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, false, 0.127f, -0.449f)
                close()
            }
        }
        .build()
        return _qzone!!
    }

private var _qzone: ImageVector? = null
