package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Raspberrypi: ImageVector
    get() {
        if (_raspberrypi != null) {
            return _raspberrypi!!
        }
        _raspberrypi = Builder(name = "Raspberrypi", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.111f, 17.338f)
                curveToRelative(-0.857f, 0.989f, -1.334f, 2.79f, -0.709f, 3.371f)
                curveToRelative(0.596f, 0.449f, 2.201f, 0.391f, 3.385f, -1.23f)
                curveToRelative(0.86f, -1.08f, 0.569f, -2.893f, 0.081f, -3.372f)
                curveToRelative(-0.73f, -0.555f, -1.778f, 0.164f, -2.757f, 1.243f)
                verticalLineToRelative(-0.012f)
                close()
                moveTo(8.054f, 17.638f)
                curveToRelative(-0.908f, -1.04f, -2.088f, -1.658f, -2.851f, -1.199f)
                curveToRelative(-0.51f, 0.382f, -0.605f, 1.685f, 0.123f, 2.967f)
                curveToRelative(1.078f, 1.524f, 2.596f, 1.679f, 3.221f, 1.307f)
                curveToRelative(0.659f, -0.488f, 0.3f, -2.137f, -0.493f, -3.075f)
                close()
                moveTo(12.159f, 20.783f)
                curveToRelative(-1.103f, -0.026f, -2.798f, 0.439f, -2.776f, 1.032f)
                curveToRelative(-0.018f, 0.403f, 1.331f, 1.572f, 2.705f, 1.513f)
                curveToRelative(1.326f, 0.03f, 2.699f, -1.139f, 2.682f, -1.649f)
                curveToRelative(-0.004f, -0.523f, -1.498f, -0.927f, -2.607f, -0.884f)
                lineToRelative(-0.004f, -0.012f)
                close()
                moveTo(12.084f, 6.839f)
                curveToRelative(-1.275f, -0.032f, -2.502f, 0.933f, -2.502f, 1.493f)
                curveToRelative(-0.004f, 0.68f, 1.008f, 1.376f, 2.51f, 1.394f)
                curveToRelative(1.543f, 0.01f, 2.518f, -0.559f, 2.532f, -1.26f)
                curveToRelative(0.016f, -0.794f, -1.394f, -1.639f, -2.518f, -1.627f)
                horizontalLineToRelative(-0.022f)
                close()
                moveTo(9.013f, 7.371f)
                curveToRelative(-2.135f, -0.345f, -3.913f, 0.9f, -3.842f, 3.192f)
                curveToRelative(0.07f, 0.884f, 4.63f, -3.041f, 3.843f, -3.177f)
                lineToRelative(-0.001f, -0.015f)
                close()
                moveTo(18.762f, 10.622f)
                curveToRelative(0.071f, -2.277f, -1.709f, -3.521f, -3.844f, -3.176f)
                curveToRelative(-0.787f, 0.135f, 3.772f, 4.061f, 3.844f, 3.176f)
                close()
                moveTo(19.126f, 11.446f)
                curveToRelative(-1.239f, -0.329f, -0.42f, 5.049f, 0.588f, 4.615f)
                curveToRelative(1.109f, -0.869f, 1.466f, -3.446f, -0.588f, -4.6f)
                verticalLineToRelative(-0.015f)
                close()
                moveTo(4.228f, 16.121f)
                curveToRelative(1.007f, 0.45f, 1.827f, -4.929f, 0.589f, -4.6f)
                curveToRelative(-2.053f, 1.153f, -1.698f, 3.73f, -0.589f, 4.615f)
                verticalLineToRelative(-0.015f)
                close()
                moveTo(13.643f, 10.173f)
                curveToRelative(-1.146f, 0.75f, -1.354f, 2.428f, -0.461f, 3.746f)
                curveToRelative(0.891f, 1.318f, 2.543f, 1.813f, 3.691f, 1.078f)
                curveToRelative(1.146f, -0.733f, 1.353f, -2.412f, 0.462f, -3.746f)
                curveToRelative(-0.892f, -1.333f, -2.545f, -1.813f, -3.692f, -1.063f)
                verticalLineToRelative(-0.015f)
                close()
                moveTo(10.547f, 10.308f)
                curveToRelative(-1.146f, -0.734f, -2.799f, -0.254f, -3.689f, 1.064f)
                curveToRelative(-0.892f, 1.334f, -0.686f, 3.012f, 0.461f, 3.761f)
                reflectiveCurveToRelative(2.799f, 0.269f, 3.691f, -1.064f)
                curveToRelative(0.885f, -1.318f, 0.675f, -2.997f, -0.465f, -3.745f)
                lineToRelative(0.002f, -0.016f)
                close()
                moveTo(14.916f, 17.47f)
                curveToRelative(-0.009f, -1.393f, -1.252f, -2.518f, -2.781f, -2.502f)
                curveToRelative(-1.527f, 0.016f, -2.761f, 1.139f, -2.754f, 2.532f)
                verticalLineToRelative(0.029f)
                curveToRelative(0.01f, 1.394f, 1.254f, 2.517f, 2.783f, 2.502f)
                curveToRelative(1.527f, 0.0f, 2.756f, -1.138f, 2.742f, -2.517f)
                verticalLineToRelative(-0.029f)
                lineToRelative(0.01f, -0.015f)
                close()
                moveTo(18.125f, 2.337f)
                curveToRelative(-2.307f, 1.184f, -3.652f, 2.128f, -4.389f, 2.938f)
                curveToRelative(0.377f, 1.498f, 2.344f, 1.558f, 3.063f, 1.512f)
                curveToRelative(-0.147f, -0.06f, -0.271f, -0.149f, -0.315f, -0.269f)
                curveToRelative(0.18f, -0.12f, 0.821f, -0.016f, 1.268f, -0.255f)
                curveToRelative(-0.171f, -0.03f, -0.252f, -0.061f, -0.329f, -0.195f)
                curveToRelative(0.419f, -0.135f, 0.875f, -0.24f, 1.141f, -0.465f)
                curveToRelative(-0.143f, 0.0f, -0.278f, 0.03f, -0.467f, -0.09f)
                curveToRelative(0.377f, -0.194f, 0.778f, -0.359f, 1.095f, -0.658f)
                curveToRelative(-0.196f, 0.0f, -0.406f, 0.0f, -0.466f, -0.075f)
                curveToRelative(0.346f, -0.21f, 0.635f, -0.435f, 0.877f, -0.704f)
                curveToRelative(-0.272f, 0.045f, -0.39f, 0.016f, -0.454f, -0.03f)
                curveToRelative(0.261f, -0.255f, 0.593f, -0.479f, 0.749f, -0.81f)
                curveToRelative(-0.203f, 0.076f, -0.391f, 0.09f, -0.522f, 0.0f)
                curveToRelative(0.091f, -0.194f, 0.47f, -0.314f, 0.69f, -0.779f)
                curveToRelative(-0.215f, 0.03f, -0.441f, 0.046f, -0.486f, 0.0f)
                curveToRelative(0.098f, -0.389f, 0.269f, -0.613f, 0.435f, -0.854f)
                curveToRelative(-0.457f, 0.0f, -1.15f, 0.0f, -1.117f, -0.029f)
                lineToRelative(0.283f, -0.285f)
                curveToRelative(-0.448f, -0.12f, -0.904f, 0.015f, -1.236f, 0.12f)
                curveToRelative(-0.149f, -0.105f, 0.0f, -0.255f, 0.185f, -0.405f)
                curveToRelative(-0.39f, 0.061f, -0.733f, 0.135f, -1.034f, 0.256f)
                curveToRelative(-0.164f, -0.15f, 0.105f, -0.285f, 0.24f, -0.436f)
                curveToRelative(-0.599f, 0.12f, -0.839f, 0.27f, -1.094f, 0.42f)
                curveToRelative(-0.18f, -0.165f, -0.015f, -0.314f, 0.104f, -0.449f)
                curveToRelative(-0.449f, 0.164f, -0.674f, 0.374f, -0.914f, 0.568f)
                curveToRelative(-0.09f, -0.104f, -0.209f, -0.179f, -0.06f, -0.449f)
                curveToRelative(-0.314f, 0.18f, -0.554f, 0.39f, -0.734f, 0.629f)
                curveToRelative(-0.194f, -0.134f, -0.119f, -0.299f, -0.119f, -0.449f)
                curveToRelative(-0.33f, 0.27f, -0.54f, 0.54f, -0.794f, 0.811f)
                curveToRelative(-0.061f, -0.031f, -0.105f, -0.15f, -0.135f, -0.346f)
                curveToRelative(-0.779f, 0.75f, -1.889f, 2.623f, -0.285f, 3.356f)
                curveToRelative(1.349f, -1.094f, 2.981f, -1.903f, 4.779f, -2.503f)
                lineToRelative(0.041f, -0.075f)
                close()
                moveTo(5.866f, 2.337f)
                curveToRelative(1.798f, 0.6f, 3.419f, 1.408f, 4.777f, 2.518f)
                curveToRelative(1.596f, -0.75f, 0.493f, -2.623f, -0.282f, -3.356f)
                curveToRelative(-0.041f, 0.194f, -0.085f, 0.329f, -0.135f, 0.359f)
                curveToRelative(-0.255f, -0.27f, -0.462f, -0.54f, -0.788f, -0.81f)
                curveToRelative(0.0f, 0.15f, 0.077f, 0.33f, -0.117f, 0.45f)
                curveToRelative(-0.175f, -0.239f, -0.41f, -0.45f, -0.725f, -0.63f)
                curveToRelative(0.149f, 0.256f, 0.025f, 0.33f, -0.056f, 0.449f)
                curveToRelative(-0.24f, -0.225f, -0.465f, -0.434f, -0.899f, -0.599f)
                curveToRelative(0.12f, 0.149f, 0.3f, 0.3f, 0.12f, 0.465f)
                curveToRelative(-0.239f, -0.149f, -0.494f, -0.3f, -1.078f, -0.42f)
                curveToRelative(0.135f, 0.149f, 0.404f, 0.3f, 0.238f, 0.45f)
                curveToRelative(-0.315f, -0.122f, -0.66f, -0.212f, -1.035f, -0.258f)
                curveToRelative(0.181f, 0.15f, 0.342f, 0.289f, 0.192f, 0.405f)
                curveToRelative(-0.345f, -0.12f, -0.806f, -0.255f, -1.255f, -0.135f)
                lineToRelative(0.284f, 0.284f)
                curveToRelative(0.03f, 0.037f, -0.659f, 0.03f, -1.121f, 0.035f)
                curveToRelative(0.165f, 0.225f, 0.337f, 0.449f, 0.435f, 0.854f)
                curveToRelative(-0.045f, 0.045f, -0.27f, 0.016f, -0.483f, 0.0f)
                curveToRelative(0.225f, 0.449f, 0.599f, 0.57f, 0.688f, 0.765f)
                curveToRelative(-0.135f, 0.096f, -0.314f, 0.075f, -0.523f, 0.0f)
                curveToRelative(0.164f, 0.314f, 0.494f, 0.539f, 0.748f, 0.81f)
                curveToRelative(-0.074f, 0.044f, -0.18f, 0.074f, -0.464f, 0.037f)
                curveToRelative(0.239f, 0.26f, 0.524f, 0.494f, 0.869f, 0.704f)
                curveToRelative(-0.06f, 0.07f, -0.271f, 0.069f, -0.479f, 0.075f)
                curveToRelative(0.314f, 0.304f, 0.719f, 0.464f, 1.094f, 0.663f)
                curveToRelative(-0.195f, 0.136f, -0.33f, 0.105f, -0.465f, 0.105f)
                curveToRelative(0.255f, 0.225f, 0.72f, 0.329f, 1.139f, 0.464f)
                curveToRelative(-0.09f, 0.135f, -0.164f, 0.165f, -0.344f, 0.195f)
                curveToRelative(0.449f, 0.254f, 1.078f, 0.135f, 1.258f, 0.27f)
                curveToRelative(-0.045f, 0.119f, -0.164f, 0.209f, -0.314f, 0.27f)
                curveToRelative(0.719f, 0.045f, 2.697f, -0.015f, 3.072f, -1.514f)
                curveToRelative(-0.736f, -0.807f, -2.084f, -1.752f, -4.391f, -2.921f)
                lineToRelative(0.04f, 0.016f)
                close()
                moveTo(7.6f, 0.103f)
                curveToRelative(0.236f, -0.007f, 0.436f, 0.135f, 0.652f, 0.201f)
                curveToRelative(0.529f, -0.17f, 0.65f, 0.063f, 0.91f, 0.159f)
                curveToRelative(0.577f, -0.12f, 0.752f, 0.141f, 1.029f, 0.419f)
                lineToRelative(0.322f, -0.009f)
                curveToRelative(0.869f, 0.507f, 1.305f, 1.536f, 1.457f, 2.065f)
                curveToRelative(0.152f, -0.529f, 0.584f, -1.559f, 1.457f, -2.065f)
                lineToRelative(0.321f, 0.007f)
                curveToRelative(0.277f, -0.283f, 0.453f, -0.539f, 1.029f, -0.418f)
                curveToRelative(0.261f, -0.105f, 0.38f, -0.33f, 0.911f, -0.166f)
                curveToRelative(0.33f, -0.104f, 0.62f, -0.375f, 1.057f, -0.045f)
                curveToRelative(0.368f, -0.149f, 0.726f, -0.195f, 1.045f, 0.09f)
                curveToRelative(0.495f, -0.06f, 0.653f, 0.061f, 0.774f, 0.21f)
                curveToRelative(0.108f, 0.0f, 0.809f, -0.104f, 1.132f, 0.36f)
                curveToRelative(0.81f, -0.09f, 1.064f, 0.464f, 0.774f, 0.988f)
                curveToRelative(0.165f, 0.255f, 0.337f, 0.494f, -0.05f, 0.975f)
                curveToRelative(0.15f, 0.269f, 0.062f, 0.553f, -0.27f, 0.913f)
                curveToRelative(0.091f, 0.374f, -0.074f, 0.63f, -0.374f, 0.839f)
                curveToRelative(0.06f, 0.51f, -0.48f, 0.81f, -0.629f, 0.914f)
                curveToRelative(-0.061f, 0.3f, -0.181f, 0.584f, -0.795f, 0.734f)
                curveToRelative(-0.089f, 0.449f, -0.464f, 0.523f, -0.824f, 0.614f)
                curveToRelative(1.185f, 0.675f, 2.188f, 1.558f, 2.188f, 3.731f)
                lineToRelative(0.181f, 0.299f)
                curveToRelative(1.349f, 0.809f, 2.562f, 3.402f, 0.674f, 5.514f)
                curveToRelative(-0.119f, 0.659f, -0.329f, 1.124f, -0.511f, 1.648f)
                curveToRelative(-0.269f, 2.113f, -2.082f, 3.101f, -2.561f, 3.221f)
                curveToRelative(-0.689f, 0.525f, -1.438f, 1.02f, -2.442f, 1.363f)
                curveToRelative(-0.942f, 0.961f, -1.976f, 1.336f, -2.994f, 1.336f)
                horizontalLineToRelative(-0.092f)
                curveToRelative(-1.033f, 0.0f, -2.063f, -0.375f, -3.012f, -1.335f)
                curveToRelative(-1.007f, -0.344f, -1.754f, -0.838f, -2.447f, -1.363f)
                curveToRelative(-0.479f, -0.12f, -2.283f, -1.107f, -2.562f, -3.221f)
                curveToRelative(-0.187f, -0.524f, -0.394f, -1.004f, -0.518f, -1.662f)
                curveToRelative(-1.894f, -2.113f, -0.681f, -4.705f, 0.666f, -5.515f)
                lineToRelative(0.172f, -0.3f)
                curveToRelative(0.0f, -2.172f, 1.005f, -3.057f, 2.188f, -3.73f)
                curveToRelative(-0.359f, -0.09f, -0.72f, -0.165f, -0.823f, -0.615f)
                curveToRelative(-0.615f, -0.15f, -0.735f, -0.434f, -0.795f, -0.734f)
                curveToRelative(-0.15f, -0.105f, -0.689f, -0.404f, -0.629f, -0.928f)
                curveToRelative(-0.3f, -0.211f, -0.465f, -0.465f, -0.375f, -0.854f)
                curveToRelative(-0.314f, -0.346f, -0.404f, -0.645f, -0.27f, -0.915f)
                curveToRelative(-0.39f, -0.479f, -0.209f, -0.733f, -0.045f, -0.974f)
                curveTo(3.236f, 1.329f, 3.491f, 0.76f, 4.3f, 0.85f)
                curveTo(4.614f, 0.385f, 5.32f, 0.491f, 5.423f, 0.491f)
                curveToRelative(0.121f, -0.15f, 0.285f, -0.285f, 0.779f, -0.225f)
                curveToRelative(0.314f, -0.285f, 0.675f, -0.24f, 1.049f, -0.102f)
                curveToRelative(0.151f, -0.12f, 0.286f, -0.164f, 0.406f, -0.164f)
                lineTo(7.6f, 0.103f)
                close()
            }
        }
        .build()
        return _raspberrypi!!
    }

private var _raspberrypi: ImageVector? = null
