package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.React: ImageVector
    get() {
        if (_react != null) {
            return _react!!
        }
        _react = Builder(name = "React", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.23f, 12.004f)
                arcToRelative(2.236f, 2.236f, 0.0f, false, true, -2.235f, 2.236f)
                arcToRelative(2.236f, 2.236f, 0.0f, false, true, -2.236f, -2.236f)
                arcToRelative(2.236f, 2.236f, 0.0f, false, true, 2.235f, -2.236f)
                arcToRelative(2.236f, 2.236f, 0.0f, false, true, 2.236f, 2.236f)
                close()
                moveTo(16.878f, 1.314f)
                curveToRelative(-1.346f, 0.0f, -3.107f, 0.96f, -4.888f, 2.622f)
                curveToRelative(-1.78f, -1.653f, -3.542f, -2.602f, -4.887f, -2.602f)
                curveToRelative(-0.41f, 0.0f, -0.783f, 0.093f, -1.106f, 0.278f)
                curveToRelative(-1.375f, 0.793f, -1.683f, 3.264f, -0.973f, 6.365f)
                curveTo(1.98f, 8.917f, 0.0f, 10.42f, 0.0f, 12.004f)
                curveToRelative(0.0f, 1.59f, 1.99f, 3.097f, 5.043f, 4.03f)
                curveToRelative(-0.704f, 3.113f, -0.39f, 5.588f, 0.988f, 6.38f)
                curveToRelative(0.32f, 0.187f, 0.69f, 0.275f, 1.102f, 0.275f)
                curveToRelative(1.345f, 0.0f, 3.107f, -0.96f, 4.888f, -2.624f)
                curveToRelative(1.78f, 1.654f, 3.542f, 2.603f, 4.887f, 2.603f)
                curveToRelative(0.41f, 0.0f, 0.783f, -0.09f, 1.106f, -0.275f)
                curveToRelative(1.374f, -0.792f, 1.683f, -3.263f, 0.973f, -6.365f)
                curveTo(22.02f, 15.096f, 24.0f, 13.59f, 24.0f, 12.004f)
                curveToRelative(0.0f, -1.59f, -1.99f, -3.097f, -5.043f, -4.032f)
                curveToRelative(0.704f, -3.11f, 0.39f, -5.587f, -0.988f, -6.38f)
                curveToRelative(-0.318f, -0.184f, -0.688f, -0.277f, -1.092f, -0.278f)
                close()
                moveTo(16.873f, 2.404f)
                verticalLineToRelative(0.006f)
                curveToRelative(0.225f, 0.0f, 0.406f, 0.044f, 0.558f, 0.127f)
                curveToRelative(0.666f, 0.382f, 0.955f, 1.835f, 0.73f, 3.704f)
                curveToRelative(-0.054f, 0.46f, -0.142f, 0.945f, -0.25f, 1.44f)
                curveToRelative(-0.96f, -0.236f, -2.006f, -0.417f, -3.107f, -0.534f)
                curveToRelative(-0.66f, -0.905f, -1.345f, -1.727f, -2.035f, -2.447f)
                curveToRelative(1.592f, -1.48f, 3.087f, -2.292f, 4.105f, -2.295f)
                close()
                moveTo(7.103f, 2.424f)
                curveToRelative(1.012f, 0.0f, 2.514f, 0.808f, 4.11f, 2.28f)
                curveToRelative(-0.686f, 0.72f, -1.37f, 1.537f, -2.02f, 2.442f)
                curveToRelative(-1.107f, 0.117f, -2.154f, 0.298f, -3.113f, 0.538f)
                curveToRelative(-0.112f, -0.49f, -0.195f, -0.964f, -0.254f, -1.42f)
                curveToRelative(-0.23f, -1.868f, 0.054f, -3.32f, 0.714f, -3.707f)
                curveToRelative(0.19f, -0.09f, 0.4f, -0.127f, 0.563f, -0.132f)
                close()
                moveTo(11.985f, 5.474f)
                curveToRelative(0.455f, 0.468f, 0.91f, 0.992f, 1.36f, 1.564f)
                curveToRelative(-0.44f, -0.02f, -0.89f, -0.034f, -1.345f, -0.034f)
                curveToRelative(-0.46f, 0.0f, -0.915f, 0.01f, -1.36f, 0.034f)
                curveToRelative(0.44f, -0.572f, 0.895f, -1.096f, 1.345f, -1.565f)
                close()
                moveTo(12.0f, 8.1f)
                curveToRelative(0.74f, 0.0f, 1.477f, 0.034f, 2.202f, 0.093f)
                curveToRelative(0.406f, 0.582f, 0.802f, 1.203f, 1.183f, 1.86f)
                curveToRelative(0.372f, 0.64f, 0.71f, 1.29f, 1.018f, 1.946f)
                curveToRelative(-0.308f, 0.655f, -0.646f, 1.31f, -1.013f, 1.95f)
                curveToRelative(-0.38f, 0.66f, -0.773f, 1.288f, -1.18f, 1.87f)
                curveToRelative(-0.728f, 0.063f, -1.466f, 0.098f, -2.21f, 0.098f)
                curveToRelative(-0.74f, 0.0f, -1.477f, -0.035f, -2.202f, -0.093f)
                curveToRelative(-0.406f, -0.582f, -0.802f, -1.204f, -1.183f, -1.86f)
                curveToRelative(-0.372f, -0.64f, -0.71f, -1.29f, -1.018f, -1.946f)
                curveToRelative(0.303f, -0.657f, 0.646f, -1.313f, 1.013f, -1.954f)
                curveToRelative(0.38f, -0.66f, 0.773f, -1.286f, 1.18f, -1.868f)
                curveToRelative(0.728f, -0.064f, 1.466f, -0.098f, 2.21f, -0.098f)
                close()
                moveTo(8.365f, 8.354f)
                curveToRelative(-0.24f, 0.377f, -0.48f, 0.763f, -0.704f, 1.16f)
                curveToRelative(-0.225f, 0.39f, -0.435f, 0.782f, -0.635f, 1.174f)
                curveToRelative(-0.265f, -0.656f, -0.49f, -1.31f, -0.676f, -1.947f)
                curveToRelative(0.64f, -0.15f, 1.315f, -0.283f, 2.015f, -0.386f)
                close()
                moveTo(15.625f, 8.354f)
                curveToRelative(0.695f, 0.103f, 1.365f, 0.23f, 2.006f, 0.387f)
                curveToRelative(-0.18f, 0.632f, -0.405f, 1.282f, -0.66f, 1.933f)
                curveToRelative(-0.2f, -0.39f, -0.41f, -0.783f, -0.64f, -1.174f)
                curveToRelative(-0.225f, -0.392f, -0.465f, -0.774f, -0.705f, -1.146f)
                close()
                moveTo(18.688f, 9.029f)
                curveToRelative(0.484f, 0.15f, 0.944f, 0.317f, 1.375f, 0.498f)
                curveToRelative(1.732f, 0.74f, 2.852f, 1.708f, 2.852f, 2.476f)
                curveToRelative(-0.005f, 0.768f, -1.125f, 1.74f, -2.857f, 2.475f)
                curveToRelative(-0.42f, 0.18f, -0.88f, 0.342f, -1.355f, 0.493f)
                curveToRelative(-0.28f, -0.958f, -0.646f, -1.956f, -1.1f, -2.98f)
                curveToRelative(0.45f, -1.017f, 0.81f, -2.01f, 1.085f, -2.964f)
                close()
                moveTo(5.293f, 9.033f)
                curveToRelative(0.278f, 0.96f, 0.645f, 1.957f, 1.1f, 2.98f)
                curveToRelative(-0.45f, 1.017f, -0.812f, 2.01f, -1.086f, 2.964f)
                curveToRelative(-0.484f, -0.15f, -0.944f, -0.318f, -1.37f, -0.5f)
                curveToRelative(-1.732f, -0.737f, -2.852f, -1.706f, -2.852f, -2.474f)
                curveToRelative(0.0f, -0.768f, 1.12f, -1.742f, 2.852f, -2.476f)
                curveToRelative(0.42f, -0.18f, 0.88f, -0.342f, 1.356f, -0.494f)
                close()
                moveTo(16.971f, 13.313f)
                curveToRelative(0.265f, 0.657f, 0.49f, 1.312f, 0.676f, 1.948f)
                curveToRelative(-0.64f, 0.157f, -1.316f, 0.29f, -2.016f, 0.39f)
                curveToRelative(0.24f, -0.375f, 0.48f, -0.762f, 0.705f, -1.158f)
                curveToRelative(0.225f, -0.39f, 0.435f, -0.788f, 0.636f, -1.18f)
                close()
                moveTo(7.026f, 13.333f)
                curveToRelative(0.2f, 0.392f, 0.41f, 0.783f, 0.64f, 1.175f)
                curveToRelative(0.23f, 0.39f, 0.465f, 0.772f, 0.705f, 1.143f)
                curveToRelative(-0.695f, -0.102f, -1.365f, -0.23f, -2.006f, -0.386f)
                curveToRelative(0.18f, -0.63f, 0.406f, -1.282f, 0.66f, -1.933f)
                close()
                moveTo(17.92f, 16.32f)
                curveToRelative(0.112f, 0.493f, 0.2f, 0.968f, 0.254f, 1.423f)
                curveToRelative(0.23f, 1.868f, -0.054f, 3.32f, -0.714f, 3.708f)
                curveToRelative(-0.147f, 0.09f, -0.338f, 0.128f, -0.563f, 0.128f)
                curveToRelative(-1.012f, 0.0f, -2.514f, -0.807f, -4.11f, -2.28f)
                curveToRelative(0.686f, -0.72f, 1.37f, -1.536f, 2.02f, -2.44f)
                curveToRelative(1.107f, -0.118f, 2.154f, -0.3f, 3.113f, -0.54f)
                close()
                moveTo(6.09f, 16.33f)
                curveToRelative(0.96f, 0.234f, 2.006f, 0.415f, 3.107f, 0.532f)
                curveToRelative(0.66f, 0.905f, 1.345f, 1.727f, 2.035f, 2.446f)
                curveToRelative(-1.595f, 1.483f, -3.092f, 2.295f, -4.11f, 2.295f)
                curveToRelative(-0.22f, -0.005f, -0.406f, -0.05f, -0.553f, -0.132f)
                curveToRelative(-0.666f, -0.38f, -0.955f, -1.834f, -0.73f, -3.703f)
                curveToRelative(0.054f, -0.46f, 0.142f, -0.944f, 0.25f, -1.438f)
                close()
                moveTo(10.65f, 16.97f)
                curveToRelative(0.44f, 0.02f, 0.89f, 0.034f, 1.345f, 0.034f)
                curveToRelative(0.46f, 0.0f, 0.915f, -0.01f, 1.36f, -0.034f)
                curveToRelative(-0.44f, 0.572f, -0.895f, 1.095f, -1.345f, 1.565f)
                curveToRelative(-0.455f, -0.47f, -0.91f, -0.993f, -1.36f, -1.565f)
                close()
            }
        }
        .build()
        return _react!!
    }

private var _react: ImageVector? = null
