package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Reactos: ImageVector
    get() {
        if (_reactos != null) {
            return _reactos!!
        }
        _reactos = Builder(name = "Reactos", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.21f, 24.0f)
                curveToRelative(-1.148f, -0.007f, -2.477f, -0.334f, -3.89f, -0.915f)
                curveToRelative(-2.823f, -1.163f, -6.04f, -3.372f, -9.036f, -6.367f)
                curveTo(4.289f, 13.723f, 2.075f, 10.505f, 0.913f, 7.68f)
                curveTo(-0.25f, 4.857f, -0.383f, 2.36f, 0.988f, 0.989f)
                curveTo(2.358f, -0.38f, 4.855f, -0.248f, 7.679f, 0.915f)
                curveToRelative(0.306f, 0.125f, 0.617f, 0.265f, 0.932f, 0.415f)
                curveToRelative(-0.331f, 0.113f, -0.658f, 0.24f, -0.974f, 0.383f)
                lineToRelative(-0.141f, -0.058f)
                curveTo(4.832f, 0.558f, 2.698f, 0.519f, 1.607f, 1.609f)
                curveTo(0.517f, 2.7f, 0.557f, 4.83f, 1.653f, 7.494f)
                curveToRelative(1.097f, 2.663f, 3.235f, 5.793f, 6.147f, 8.704f)
                curveToRelative(2.91f, 2.911f, 6.044f, 5.05f, 8.708f, 6.147f)
                curveToRelative(2.664f, 1.097f, 4.79f, 1.136f, 5.88f, 0.045f)
                curveToRelative(1.091f, -1.09f, 1.056f, -3.22f, -0.041f, -5.884f)
                curveToRelative(-0.108f, -0.263f, -0.23f, -0.531f, -0.358f, -0.803f)
                curveToRelative(0.134f, -0.317f, 0.25f, -0.642f, 0.354f, -0.973f)
                curveToRelative(0.282f, 0.54f, 0.53f, 1.07f, 0.744f, 1.589f)
                curveToRelative(1.163f, 2.823f, 1.292f, 5.32f, -0.079f, 6.691f)
                curveToRelative(-0.685f, 0.685f, -1.651f, 0.997f, -2.799f, 0.99f)
                close()
                moveTo(3.79f, 24.0f)
                curveToRelative(-1.148f, 0.008f, -2.117f, -0.305f, -2.802f, -0.99f)
                curveToRelative(-1.37f, -1.37f, -1.238f, -3.868f, -0.075f, -6.691f)
                curveToRelative(0.235f, -0.572f, 0.517f, -1.16f, 0.836f, -1.76f)
                curveToRelative(0.098f, 0.333f, 0.212f, 0.66f, 0.34f, 0.978f)
                arcToRelative(17.67f, 17.67f, 0.0f, false, false, -0.436f, 0.969f)
                curveTo(0.556f, 19.169f, 0.521f, 21.3f, 1.611f, 22.39f)
                curveToRelative(1.091f, 1.091f, 3.221f, 1.051f, 5.885f, -0.045f)
                curveToRelative(0.922f, -0.38f, 3.021f, -1.69f, 4.026f, -2.308f)
                curveToRelative(0.216f, 0.162f, 0.433f, 0.32f, 0.649f, 0.474f)
                curveToRelative(-1.157f, 0.733f, -3.415f, 2.13f, -4.492f, 2.574f)
                curveToRelative(-1.412f, 0.581f, -2.74f, 0.907f, -3.888f, 0.915f)
                close()
                moveTo(13.543f, 19.542f)
                curveToRelative(-0.214f, -0.14f, -0.429f, -0.282f, -0.645f, -0.433f)
                arcToRelative(34.547f, 34.547f, 0.0f, false, false, 3.302f, -2.911f)
                curveToRelative(2.912f, -2.911f, 5.05f, -6.04f, 6.147f, -8.704f)
                curveToRelative(1.097f, -2.664f, 1.132f, -4.794f, 0.042f, -5.885f)
                curveToRelative(-1.091f, -1.09f, -3.217f, -1.055f, -5.88f, 0.042f)
                lineToRelative(-0.072f, 0.029f)
                arcToRelative(10.726f, 10.726f, 0.0f, false, false, -0.99f, -0.379f)
                curveToRelative(0.295f, -0.14f, 0.587f, -0.272f, 0.874f, -0.39f)
                curveToRelative(2.824f, -1.163f, 5.321f, -1.292f, 6.691f, 0.078f)
                reflectiveCurveToRelative(1.238f, 3.864f, 0.075f, 6.688f)
                curveToRelative(-1.162f, 2.823f, -3.376f, 6.046f, -6.37f, 9.04f)
                arcToRelative(35.747f, 35.747f, 0.0f, false, true, -3.174f, 2.825f)
                close()
                moveTo(15.493f, 20.698f)
                curveToRelative(-0.325f, -0.17f, -1.798f, -1.073f, -2.135f, -1.273f)
                curveToRelative(1.002f, -0.806f, 2.423f, -1.97f, 3.396f, -2.944f)
                curveToRelative(1.718f, -1.718f, 3.981f, -4.787f, 5.162f, -6.555f)
                curveToRelative(-0.008f, 0.111f, -0.093f, 2.49f, -0.105f, 2.6f)
                arcToRelative(9.802f, 9.802f, 0.0f, false, true, -6.318f, 8.172f)
                close()
                moveTo(8.565f, 20.664f)
                curveToRelative(-3.407f, -1.308f, -6.043f, -4.71f, -6.287f, -8.198f)
                curveToRelative(-0.01f, -0.151f, -0.06f, -0.399f, -0.054f, -0.984f)
                curveToRelative(0.007f, -0.602f, 0.056f, -1.423f, 0.159f, -1.283f)
                curveToRelative(1.036f, 1.42f, 3.976f, 5.455f, 5.352f, 6.83f)
                curveToRelative(0.973f, 0.973f, 1.927f, 1.624f, 2.929f, 2.43f)
                arcToRelative(112.45f, 112.45f, 0.0f, false, true, -2.1f, 1.205f)
                close()
                moveTo(11.995f, 18.456f)
                arcToRelative(33.27f, 33.27f, 0.0f, false, true, -3.443f, -3.01f)
                curveToRelative(-2.54f, -2.54f, -4.462f, -5.254f, -5.568f, -7.582f)
                curveToRelative(1.45f, -3.597f, 4.973f, -6.138f, 9.087f, -6.138f)
                curveToRelative(4.051f, 0.0f, 7.53f, 2.465f, 9.02f, 5.976f)
                curveToRelative(-1.093f, 2.363f, -3.045f, 5.145f, -5.643f, 7.743f)
                arcToRelative(33.161f, 33.161f, 0.0f, false, true, -3.452f, 3.011f)
                close()
            }
        }
        .build()
        return _reactos!!
    }

private var _reactos: ImageVector? = null
