package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Runkeeper: ImageVector
    get() {
        if (_runkeeper != null) {
            return _runkeeper!!
        }
        _runkeeper = Builder(name = "Runkeeper", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(2.429f, 10.42f)
                curveToRelative(-0.52f, 0.0f, -1.091f, 0.318f, -1.45f, 0.619f)
                lineToRelative(0.029f, 0.04f)
                curveToRelative(0.556f, -0.39f, 1.33f, -0.644f, 1.544f, -0.263f)
                curveToRelative(0.112f, 0.201f, -0.079f, 0.607f, -0.348f, 0.928f)
                curveToRelative(0.065f, -0.142f, 0.022f, -0.414f, -0.353f, -0.414f)
                curveToRelative(-0.624f, 0.0f, -1.851f, 0.826f, -1.851f, 1.672f)
                curveToRelative(0.0f, 0.339f, 0.235f, 0.56f, 0.622f, 0.56f)
                curveToRelative(1.035f, 0.0f, 2.44f, -1.698f, 2.44f, -2.551f)
                curveToRelative(0.0f, -0.301f, -0.173f, -0.59f, -0.633f, -0.59f)
                close()
                moveTo(11.167f, 11.134f)
                verticalLineToRelative(1.903f)
                horizontalLineToRelative(0.454f)
                verticalLineToRelative(-0.306f)
                lineToRelative(0.345f, -0.229f)
                lineToRelative(0.628f, 0.535f)
                horizontalLineToRelative(0.626f)
                lineToRelative(-0.91f, -0.764f)
                lineToRelative(0.891f, -0.595f)
                horizontalLineToRelative(-0.68f)
                lineToRelative(-0.9f, 0.619f)
                verticalLineToRelative(-1.163f)
                close()
                moveTo(3.703f, 11.324f)
                verticalLineToRelative(1.712f)
                horizontalLineToRelative(0.453f)
                verticalLineToRelative(-0.543f)
                horizontalLineToRelative(0.98f)
                lineToRelative(0.546f, 0.544f)
                horizontalLineToRelative(0.58f)
                lineToRelative(-0.589f, -0.575f)
                arcToRelative(0.773f, 0.773f, 0.0f, false, false, 0.399f, -0.196f)
                arcToRelative(0.485f, 0.485f, 0.0f, false, false, 0.14f, -0.357f)
                arcToRelative(0.495f, 0.495f, 0.0f, false, false, -0.23f, -0.433f)
                curveToRelative(-0.152f, -0.102f, -0.363f, -0.153f, -0.634f, -0.153f)
                close()
                moveTo(1.85f, 11.531f)
                curveToRelative(0.297f, 0.0f, 0.274f, 0.265f, 0.1f, 0.492f)
                lineToRelative(-0.096f, 0.106f)
                curveToRelative(-0.345f, 0.34f, -0.664f, 0.52f, -0.88f, 0.52f)
                verticalLineToRelative(-0.001f)
                curveToRelative(-0.179f, 0.0f, -0.265f, -0.138f, -0.22f, -0.297f)
                curveToRelative(0.093f, -0.33f, 0.69f, -0.82f, 1.096f, -0.82f)
                close()
                moveTo(19.078f, 11.621f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, -0.012f, 0.0f)
                arcToRelative(1.251f, 1.251f, 0.0f, false, false, -0.403f, 0.063f)
                arcToRelative(0.76f, 0.76f, 0.0f, false, false, -0.292f, 0.166f)
                verticalLineToRelative(-0.172f)
                horizontalLineToRelative(-0.45f)
                verticalLineToRelative(1.902f)
                horizontalLineToRelative(0.455f)
                verticalLineToRelative(-0.711f)
                arcToRelative(0.778f, 0.778f, 0.0f, false, false, 0.293f, 0.163f)
                arcToRelative(1.262f, 1.262f, 0.0f, false, false, 0.397f, 0.061f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, 0.498f, -0.092f)
                arcToRelative(0.816f, 0.816f, 0.0f, false, false, 0.349f, -0.26f)
                arcToRelative(0.648f, 0.648f, 0.0f, false, false, 0.0f, -0.769f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, false, -0.349f, -0.259f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, -0.486f, -0.092f)
                close()
                moveTo(9.945f, 11.621f)
                arcToRelative(1.103f, 1.103f, 0.0f, false, false, -0.011f, 0.0f)
                arcToRelative(0.96f, 0.96f, 0.0f, false, false, -0.44f, 0.096f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, false, -0.29f, 0.258f)
                verticalLineToRelative(-0.297f)
                horizontalLineToRelative(-0.432f)
                verticalLineToRelative(1.359f)
                horizontalLineToRelative(0.454f)
                verticalLineToRelative(-0.568f)
                arcToRelative(0.453f, 0.453f, 0.0f, false, true, 0.081f, -0.271f)
                arcToRelative(0.494f, 0.494f, 0.0f, false, true, 0.22f, -0.17f)
                arcToRelative(0.82f, 0.82f, 0.0f, false, true, 0.312f, -0.057f)
                arcToRelative(0.561f, 0.561f, 0.0f, false, true, 0.261f, 0.06f)
                arcToRelative(0.441f, 0.441f, 0.0f, false, true, 0.18f, 0.167f)
                arcToRelative(0.475f, 0.475f, 0.0f, false, true, 0.065f, 0.248f)
                verticalLineToRelative(0.59f)
                horizontalLineToRelative(0.456f)
                verticalLineToRelative(-0.663f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, false, -0.117f, -0.414f)
                arcToRelative(0.707f, 0.707f, 0.0f, false, false, -0.314f, -0.254f)
                arcToRelative(1.103f, 1.103f, 0.0f, false, false, -0.425f, -0.084f)
                close()
                moveTo(16.612f, 11.621f)
                arcToRelative(1.487f, 1.487f, 0.0f, false, false, -0.523f, 0.094f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, false, -0.364f, 0.263f)
                arcToRelative(0.594f, 0.594f, 0.0f, false, false, -0.132f, 0.378f)
                arcToRelative(0.6f, 0.6f, 0.0f, false, false, 0.133f, 0.385f)
                arcToRelative(0.849f, 0.849f, 0.0f, false, false, 0.385f, 0.26f)
                curveToRelative(0.168f, 0.061f, 0.366f, 0.092f, 0.594f, 0.091f)
                arcToRelative(2.573f, 2.573f, 0.0f, false, false, 0.418f, -0.03f)
                curveToRelative(0.123f, -0.02f, 0.256f, -0.049f, 0.397f, -0.085f)
                verticalLineToRelative(-0.33f)
                arcToRelative(5.593f, 5.593f, 0.0f, false, true, -0.398f, 0.087f)
                arcToRelative(2.366f, 2.366f, 0.0f, false, true, -0.4f, 0.03f)
                curveToRelative(-0.178f, 0.0f, -0.328f, -0.024f, -0.45f, -0.073f)
                curveToRelative(-0.12f, -0.049f, -0.195f, -0.12f, -0.224f, -0.213f)
                lineToRelative(1.569f, 0.003f)
                verticalLineToRelative(-0.078f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, -0.131f, -0.42f)
                arcToRelative(0.813f, 0.813f, 0.0f, false, false, -0.36f, -0.27f)
                arcToRelative(1.487f, 1.487f, 0.0f, false, false, -0.514f, -0.092f)
                close()
                moveTo(24.0f, 11.621f)
                arcToRelative(1.465f, 1.465f, 0.0f, false, false, -0.582f, 0.111f)
                curveToRelative(-0.165f, 0.072f, -0.279f, 0.167f, -0.342f, 0.284f)
                verticalLineToRelative(-0.338f)
                horizontalLineToRelative(-0.449f)
                verticalLineToRelative(1.359f)
                horizontalLineToRelative(0.454f)
                verticalLineToRelative(-0.5f)
                arcToRelative(0.387f, 0.387f, 0.0f, false, true, 0.144f, -0.306f)
                arcToRelative(0.897f, 0.897f, 0.0f, false, true, 0.357f, -0.18f)
                arcToRelative(1.493f, 1.493f, 0.0f, false, true, 0.418f, -0.052f)
                close()
                moveTo(14.34f, 11.621f)
                arcToRelative(1.488f, 1.488f, 0.0f, false, false, -0.524f, 0.094f)
                arcToRelative(0.87f, 0.87f, 0.0f, false, false, -0.363f, 0.263f)
                arcToRelative(0.594f, 0.594f, 0.0f, false, false, -0.133f, 0.378f)
                arcToRelative(0.601f, 0.601f, 0.0f, false, false, 0.134f, 0.385f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.385f, 0.26f)
                curveToRelative(0.168f, 0.061f, 0.366f, 0.092f, 0.594f, 0.092f)
                arcToRelative(2.575f, 2.575f, 0.0f, false, false, 0.418f, -0.03f)
                curveToRelative(0.123f, -0.021f, 0.255f, -0.05f, 0.397f, -0.086f)
                verticalLineToRelative(-0.33f)
                arcToRelative(5.19f, 5.19f, 0.0f, false, true, -0.398f, 0.087f)
                arcToRelative(2.367f, 2.367f, 0.0f, false, true, -0.4f, 0.03f)
                curveToRelative(-0.178f, 0.0f, -0.328f, -0.024f, -0.45f, -0.072f)
                curveToRelative(-0.12f, -0.05f, -0.195f, -0.12f, -0.224f, -0.213f)
                lineToRelative(1.569f, 0.002f)
                verticalLineToRelative(-0.078f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, -0.131f, -0.42f)
                arcToRelative(0.813f, 0.813f, 0.0f, false, false, -0.36f, -0.27f)
                arcToRelative(1.488f, 1.488f, 0.0f, false, false, -0.515f, -0.092f)
                close()
                moveTo(21.298f, 11.621f)
                arcToRelative(1.488f, 1.488f, 0.0f, false, false, -0.523f, 0.094f)
                arcToRelative(0.87f, 0.87f, 0.0f, false, false, -0.364f, 0.263f)
                arcToRelative(0.594f, 0.594f, 0.0f, false, false, -0.132f, 0.378f)
                arcToRelative(0.601f, 0.601f, 0.0f, false, false, 0.134f, 0.385f)
                arcToRelative(0.85f, 0.85f, 0.0f, false, false, 0.385f, 0.26f)
                curveToRelative(0.168f, 0.061f, 0.366f, 0.092f, 0.594f, 0.092f)
                arcToRelative(2.574f, 2.574f, 0.0f, false, false, 0.418f, -0.03f)
                curveToRelative(0.123f, -0.021f, 0.255f, -0.05f, 0.397f, -0.086f)
                verticalLineToRelative(-0.33f)
                curveToRelative(-0.147f, 0.037f, -0.28f, 0.067f, -0.398f, 0.087f)
                arcToRelative(2.367f, 2.367f, 0.0f, false, true, -0.4f, 0.03f)
                arcToRelative(1.23f, 1.23f, 0.0f, false, true, -0.45f, -0.072f)
                curveToRelative(-0.12f, -0.05f, -0.195f, -0.12f, -0.224f, -0.213f)
                lineToRelative(1.569f, 0.002f)
                verticalLineToRelative(-0.078f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, -0.131f, -0.42f)
                arcToRelative(0.813f, 0.813f, 0.0f, false, false, -0.36f, -0.27f)
                arcToRelative(1.488f, 1.488f, 0.0f, false, false, -0.515f, -0.092f)
                close()
                moveTo(4.156f, 11.678f)
                horizontalLineToRelative(1.15f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, 0.304f, 0.054f)
                arcToRelative(0.183f, 0.183f, 0.0f, false, true, 0.115f, 0.177f)
                curveToRelative(0.0f, 0.08f, -0.038f, 0.14f, -0.115f, 0.176f)
                arcToRelative(0.703f, 0.703f, 0.0f, false, true, -0.304f, 0.056f)
                horizontalLineToRelative(-1.15f)
                close()
                moveTo(7.993f, 11.678f)
                verticalLineToRelative(0.645f)
                arcToRelative(0.359f, 0.359f, 0.0f, false, true, -0.07f, 0.222f)
                arcToRelative(0.455f, 0.455f, 0.0f, false, true, -0.197f, 0.146f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, true, -0.287f, 0.052f)
                arcToRelative(0.71f, 0.71f, 0.0f, false, true, -0.279f, -0.052f)
                arcToRelative(0.447f, 0.447f, 0.0f, false, true, -0.192f, -0.148f)
                arcToRelative(0.365f, 0.365f, 0.0f, false, true, -0.07f, -0.22f)
                verticalLineToRelative(-0.645f)
                horizontalLineToRelative(-0.456f)
                verticalLineToRelative(0.645f)
                arcToRelative(0.688f, 0.688f, 0.0f, false, false, 0.123f, 0.407f)
                arcToRelative(0.781f, 0.781f, 0.0f, false, false, 0.35f, 0.268f)
                curveToRelative(0.15f, 0.063f, 0.327f, 0.095f, 0.53f, 0.095f)
                curveToRelative(0.204f, 0.0f, 0.38f, -0.032f, 0.532f, -0.095f)
                arcToRelative(0.786f, 0.786f, 0.0f, false, false, 0.35f, -0.268f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, 0.122f, -0.407f)
                verticalLineToRelative(-0.645f)
                close()
                moveTo(14.336f, 11.921f)
                curveToRelative(0.14f, 0.0f, 0.258f, 0.028f, 0.354f, 0.083f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, true, 0.178f, 0.217f)
                horizontalLineToRelative(-1.09f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, 0.188f, -0.22f)
                curveToRelative(0.1f, -0.053f, 0.224f, -0.08f, 0.37f, -0.08f)
                close()
                moveTo(16.608f, 11.921f)
                curveToRelative(0.14f, 0.0f, 0.258f, 0.028f, 0.355f, 0.083f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, true, 0.177f, 0.217f)
                horizontalLineToRelative(-1.09f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, 0.189f, -0.22f)
                curveToRelative(0.1f, -0.053f, 0.223f, -0.08f, 0.37f, -0.08f)
                close()
                moveTo(21.295f, 11.921f)
                curveToRelative(0.14f, 0.0f, 0.258f, 0.028f, 0.354f, 0.083f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, true, 0.177f, 0.217f)
                horizontalLineToRelative(-1.089f)
                arcToRelative(0.356f, 0.356f, 0.0f, false, true, 0.188f, -0.22f)
                curveToRelative(0.1f, -0.053f, 0.223f, -0.08f, 0.37f, -0.08f)
                close()
                moveTo(19.002f, 11.954f)
                arcToRelative(0.866f, 0.866f, 0.0f, false, true, 0.29f, 0.05f)
                arcToRelative(0.46f, 0.46f, 0.0f, false, true, 0.203f, 0.143f)
                arcToRelative(0.331f, 0.331f, 0.0f, false, true, 0.071f, 0.209f)
                arcToRelative(0.335f, 0.335f, 0.0f, false, true, -0.07f, 0.211f)
                arcToRelative(0.458f, 0.458f, 0.0f, false, true, -0.204f, 0.142f)
                arcToRelative(0.867f, 0.867f, 0.0f, false, true, -0.312f, 0.05f)
                arcToRelative(1.004f, 1.004f, 0.0f, false, true, -0.305f, -0.044f)
                arcToRelative(0.52f, 0.52f, 0.0f, false, true, -0.227f, -0.137f)
                arcToRelative(0.313f, 0.313f, 0.0f, false, true, -0.086f, -0.222f)
                arcToRelative(0.305f, 0.305f, 0.0f, false, true, 0.086f, -0.22f)
                arcToRelative(0.541f, 0.541f, 0.0f, false, true, 0.228f, -0.135f)
                arcToRelative(0.981f, 0.981f, 0.0f, false, true, 0.304f, -0.047f)
                arcToRelative(0.866f, 0.866f, 0.0f, false, true, 0.022f, 0.0f)
                close()
            }
        }
        .build()
        return _runkeeper!!
    }

private var _runkeeper: ImageVector? = null
