package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Scipy: ImageVector
    get() {
        if (_scipy != null) {
            return _scipy!!
        }
        _scipy = Builder(name = "Scipy", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.697f, 13.496f)
                curveToRelative(-0.784f, -1.072f, -1.982f, -1.519f, -3.694f, -1.88f)
                lineToRelative(-1.592f, -0.375f)
                lineToRelative(-1.201f, -0.515f)
                curveToRelative(-0.631f, -0.446f, -1.17f, -1.634f, -1.017f, -2.681f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, true, 3.386f, -2.526f)
                arcToRelative(2.962f, 2.962f, 0.0f, false, true, 1.962f, 1.155f)
                lineTo(15.35f, 9.05f)
                curveToRelative(1.033f, 1.33f, 2.195f, 1.727f, 3.459f, 1.098f)
                lineToRelative(0.637f, -0.27f)
                arcToRelative(0.22f, 0.22f, 0.0f, false, true, 0.278f, 0.087f)
                lineToRelative(0.127f, 0.19f)
                arcToRelative(0.311f, 0.311f, 0.0f, false, false, 0.156f, 0.131f)
                arcToRelative(0.326f, 0.326f, 0.0f, false, false, 0.33f, -0.058f)
                lineToRelative(1.467f, -1.384f)
                curveToRelative(0.257f, -0.22f, 0.182f, -0.422f, 0.182f, -0.422f)
                lineToRelative(-0.354f, -0.806f)
                reflectiveCurveToRelative(-0.097f, -0.193f, -0.431f, -0.149f)
                lineToRelative(-1.968f, 0.181f)
                arcToRelative(0.327f, 0.327f, 0.0f, false, false, -0.27f, 0.411f)
                lineToRelative(0.071f, 0.227f)
                curveToRelative(0.014f, 0.047f, 0.014f, 0.1f, -0.005f, 0.148f)
                arcToRelative(0.219f, 0.219f, 0.0f, false, true, -0.124f, 0.125f)
                lineToRelative(-0.556f, 0.235f)
                curveToRelative(-0.582f, 0.341f, -1.244f, 0.123f, -1.686f, -0.417f)
                lineToRelative(-0.505f, -0.67f)
                lineToRelative(-1.438f, -1.91f)
                arcToRelative(4.421f, 4.421f, 0.0f, false, false, -2.929f, -1.72f)
                curveTo(9.355f, 3.733f, 7.095f, 5.42f, 6.741f, 7.84f)
                curveToRelative(-0.179f, 1.22f, 0.187f, 2.375f, 0.855f, 3.302f)
                curveToRelative(0.485f, 0.674f, 1.373f, 1.06f, 1.854f, 1.18f)
                lineToRelative(1.262f, 0.36f)
                lineToRelative(1.208f, 0.277f)
                curveToRelative(0.166f, 0.04f, 0.634f, 0.155f, 0.91f, 0.255f)
                curveToRelative(0.256f, 0.092f, 0.845f, 0.31f, 1.324f, 0.701f)
                curveToRelative(0.572f, 0.582f, 0.875f, 1.413f, 0.746f, 2.284f)
                arcToRelative(2.744f, 2.744f, 0.0f, false, true, -4.897f, 1.255f)
                lineToRelative(-1.726f, -2.292f)
                arcToRelative(2.294f, 2.294f, 0.0f, false, false, -1.514f, -0.89f)
                arcToRelative(2.31f, 2.31f, 0.0f, false, false, -1.708f, 0.439f)
                lineToRelative(-3.632f, 2.71f)
                arcTo(11.002f, 11.002f, 0.0f, false, true, 0.0f, 12.0f)
                curveTo(0.0f, 5.798f, 5.133f, 0.768f, 11.465f, 0.768f)
                curveToRelative(4.715f, 0.0f, 8.761f, 2.788f, 10.523f, 6.77f)
                lineToRelative(0.581f, -0.27f)
                lineToRelative(0.393f, -1.072f)
                lineToRelative(0.411f, 0.144f)
                lineToRelative(-0.353f, 0.96f)
                lineToRelative(0.98f, 0.337f)
                lineToRelative(-0.148f, 0.402f)
                lineToRelative(-1.095f, -0.382f)
                lineToRelative(-0.603f, 0.277f)
                curveToRelative(0.5f, 1.262f, 0.778f, 2.632f, 0.778f, 4.066f)
                curveToRelative(0.0f, 6.203f, -5.135f, 11.232f, -11.467f, 11.232f)
                arcToRelative(11.526f, 11.526f, 0.0f, false, true, -9.26f, -4.61f)
                lineToRelative(3.721f, -2.788f)
                arcToRelative(0.855f, 0.855f, 0.0f, false, true, 1.163f, 0.19f)
                lineToRelative(1.826f, 2.455f)
                arcToRelative(4.186f, 4.186f, 0.0f, false, false, 2.673f, 1.502f)
                curveToRelative(2.302f, 0.322f, 4.439f, -1.273f, 4.773f, -3.563f)
                arcToRelative(4.14f, 4.14f, 0.0f, false, false, -0.664f, -2.922f)
            }
        }
        .build()
        return _scipy!!
    }

private var _scipy: ImageVector? = null
