package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Seagate: ImageVector
    get() {
        if (_seagate != null) {
            return _seagate!!
        }
        _seagate = Builder(name = "Seagate", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.2279f, 22.6842f)
                curveToRelative(-0.2642f, -1.0048f, -0.5233f, -1.9919f, -0.7764f, -2.9548f)
                curveToRelative(0.2734f, -0.1324f, 0.4986f, -0.2368f, 0.7965f, -0.384f)
                curveToRelative(1.239f, -0.528f, 2.4364f, -1.1329f, 3.5508f, -1.8929f)
                curveToRelative(1.3946f, -0.9512f, 2.6975f, -2.0144f, 3.8322f, -3.2673f)
                curveToRelative(0.8904f, -0.983f, 1.6324f, -2.0681f, 2.0558f, -3.3424f)
                curveToRelative(0.282f, -0.8479f, 0.4202f, -1.7152f, 0.2962f, -2.6088f)
                curveToRelative(-0.103f, -0.7409f, -0.375f, -1.4175f, -0.7962f, -2.0369f)
                curveToRelative(-0.5082f, -0.747f, -1.1691f, -1.3149f, -1.9737f, -1.7209f)
                curveToRelative(-1.0067f, -0.5084f, -2.0802f, -0.696f, -3.1976f, -0.6628f)
                curveToRelative(-0.9912f, 0.0294f, -1.9456f, 0.2473f, -2.8748f, 0.5868f)
                curveTo(10.431f, 5.0247f, 8.863f, 5.9178f, 7.358f, 6.928f)
                curveToRelative(-0.4391f, 0.2949f, -0.8425f, 0.6364f, -1.1916f, 1.0376f)
                curveToRelative(-0.1904f, 0.2188f, -0.3368f, 0.4606f, -0.3985f, 0.7491f)
                curveToRelative(-0.1038f, 0.4872f, 0.1755f, 0.858f, 0.6724f, 0.8816f)
                curveToRelative(0.3477f, 0.0164f, 0.6577f, -0.1181f, 0.9617f, -0.262f)
                curveToRelative(0.9456f, -0.4467f, 1.7992f, -1.049f, 2.6828f, -1.6f)
                curveToRelative(0.7256f, -0.4527f, 1.458f, -0.8945f, 2.255f, -1.2117f)
                curveToRelative(0.786f, -0.313f, 1.5975f, -0.4847f, 2.447f, -0.3423f)
                curveToRelative(0.9257f, 0.1549f, 1.6704f, 0.5913f, 2.1225f, 1.4413f)
                curveToRelative(0.3168f, 0.5956f, 0.3421f, 1.2269f, 0.1754f, 1.871f)
                curveToRelative(-0.1903f, 0.733f, -0.6147f, 1.3292f, -1.1168f, 1.8759f)
                curveToRelative(-0.6926f, 0.7545f, -1.49f, 1.3817f, -2.372f, 1.899f)
                curveToRelative(-0.924f, 0.5421f, -1.8403f, 1.1006f, -2.788f, 1.5986f)
                curveToRelative(-1.1086f, 0.5827f, -2.2897f, 0.9958f, -3.4927f, 1.3446f)
                curveToRelative(-1.0106f, 0.2934f, -2.0378f, 0.4258f, -3.0865f, 0.3328f)
                curveToRelative(-0.8788f, -0.078f, -1.7068f, -0.3332f, -2.4364f, -0.8414f)
                curveToRelative(-0.659f, -0.4593f, -1.1454f, -1.068f, -1.44f, -1.8192f)
                curveToRelative(-0.455f, -1.1608f, -0.4317f, -2.3436f, -0.1437f, -3.5352f)
                curveToRelative(0.3256f, -1.3464f, 1.008f, -2.5097f, 1.8502f, -3.5909f)
                curveToRelative(0.6395f, -0.8209f, 1.3767f, -1.5472f, 2.1709f, -2.2152f)
                curveToRelative(1.1242f, -0.9458f, 2.317f, -1.7969f, 3.5952f, -2.524f)
                curveToRelative(0.4327f, -0.246f, 0.8736f, -0.4777f, 1.285f, -0.702f)
                lineToRelative(0.4213f, 0.8667f)
                curveToRelative(-0.3808f, 0.2048f, -0.757f, 0.4008f, -1.1275f, 0.6072f)
                curveToRelative(-1.5956f, 0.8886f, -3.0574f, 1.96f, -4.3596f, 3.2419f)
                curveToRelative(-0.707f, 0.6956f, -1.3047f, 1.4804f, -1.7574f, 2.3664f)
                curveToRelative(-0.4741f, 0.9285f, -0.7285f, 1.9104f, -0.6164f, 2.9584f)
                curveToRelative(0.1232f, 1.147f, 0.661f, 2.0288f, 1.7175f, 2.5579f)
                curveToRelative(0.6303f, 0.3158f, 1.303f, 0.4098f, 1.997f, 0.3947f)
                curveToRelative(0.9564f, -0.0205f, 1.858f, -0.2923f, 2.7487f, -0.6108f)
                curveToRelative(1.3273f, -0.475f, 2.5625f, -1.1374f, 3.7648f, -1.8638f)
                curveToRelative(0.7058f, -0.4264f, 1.4094f, -0.8594f, 2.0064f, -1.4363f)
                curveToRelative(0.315f, -0.3047f, 0.6302f, -0.6145f, 0.7914f, -1.0384f)
                curveToRelative(0.2862f, -0.7533f, -0.121f, -1.4058f, -0.9281f, -1.4824f)
                curveToRelative(-0.4392f, -0.0415f, -0.8377f, 0.1044f, -1.2262f, 0.2842f)
                curveToRelative(-1.026f, 0.4747f, -1.9486f, 1.125f, -2.9045f, 1.719f)
                curveToRelative(-0.7306f, 0.454f, -1.4693f, 0.8943f, -2.2732f, 1.2087f)
                curveToRelative(-0.5567f, 0.2175f, -1.1321f, 0.3535f, -1.7363f, 0.2843f)
                curveToRelative(-1.0364f, -0.1187f, -1.6846f, -0.937f, -1.5719f, -1.9753f)
                curveToRelative(0.0886f, -0.8158f, 0.4854f, -1.4814f, 1.0219f, -2.075f)
                curveToRelative(0.5934f, -0.6566f, 1.2856f, -1.1949f, 2.0287f, -1.6697f)
                curveToRelative(1.141f, -0.7293f, 2.299f, -1.428f, 3.5382f, -1.9832f)
                curveToRelative(1.4362f, -0.6438f, 2.9097f, -1.1544f, 4.4904f, -1.2936f)
                curveToRelative(1.1439f, -0.1006f, 2.2752f, -0.0366f, 3.3912f, 0.2533f)
                curveToRelative(0.9863f, 0.2563f, 1.896f, 0.6732f, 2.7145f, 1.28f)
                curveToRelative(0.8112f, 0.6015f, 1.4645f, 1.347f, 1.959f, 2.2285f)
                curveToRelative(0.4462f, 0.7956f, 0.7005f, 1.6501f, 0.7756f, 2.5585f)
                curveToRelative(0.079f, 0.9561f, -0.0343f, 1.8948f, -0.3106f, 2.8077f)
                curveToRelative(-0.2695f, 0.89f, -0.6313f, 1.7449f, -1.1264f, 2.5378f)
                curveToRelative(-0.6903f, 1.1051f, -1.5035f, 2.1103f, -2.4493f, 3.0074f)
                curveToRelative(-0.9636f, 0.9142f, -1.937f, 1.8156f, -3.034f, 2.572f)
                curveToRelative(-1.4267f, 0.9841f, -2.9131f, 1.8594f, -4.5207f, 2.5189f)
                curveToRelative(-0.429f, 0.176f, -0.8567f, 0.3563f, -1.3065f, 0.5436f)
            }
        }
        .build()
        return _seagate!!
    }

private var _seagate: ImageVector? = null
