package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Skoda: ImageVector
    get() {
        if (_skoda != null) {
            return _skoda!!
        }
        _skoda = Builder(name = "Skoda", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.9587f, 0.0f)
                curveTo(5.332f, 0.023f, -0.0228f, 5.4147f, 1.0E-4f, 12.0416f)
                curveTo(0.0229f, 18.6685f, 5.4146f, 24.0229f, 12.0415f, 24.0f)
                curveToRelative(6.6268f, -0.0228f, 11.9813f, -5.4143f, 11.9584f, -12.0412f)
                curveTo(23.9771f, 5.332f, 18.5856f, -0.0228f, 11.9587f, 1.0E-4f)
                close()
                moveTo(12.0002f, 2.1343f)
                curveToRelative(2.6354f, 0.0f, 5.1128f, 1.0264f, 6.9761f, 2.8896f)
                curveTo(20.84f, 6.8873f, 21.8661f, 9.3647f, 21.8661f, 12.0f)
                curveToRelative(0.0f, 2.635f, -1.0262f, 5.1125f, -2.8898f, 6.9759f)
                curveToRelative(-1.8633f, 1.8632f, -4.3407f, 2.8894f, -6.976f, 2.8894f)
                curveToRelative(-2.6355f, 0.0f, -5.113f, -1.0262f, -6.9764f, -2.8894f)
                curveTo(3.1603f, 17.1125f, 2.1341f, 14.635f, 2.1341f, 12.0f)
                curveToRelative(0.0f, -2.6353f, 1.0262f, -5.1127f, 2.8898f, -6.9761f)
                curveToRelative(1.8633f, -1.8632f, 4.341f, -2.8896f, 6.9763f, -2.8896f)
                close()
                moveTo(12.1144f, 3.3279f)
                arcToRelative(8.7615f, 8.7615f, 0.0f, false, false, -2.523f, 0.3687f)
                horizontalLineToRelative(-2.0E-4f)
                curveToRelative(-0.079f, 0.0239f, -0.1383f, 0.0563f, -0.18f, 0.097f)
                curveToRelative(-0.0415f, 0.0405f, -0.0642f, 0.0902f, -0.0677f, 0.1406f)
                curveToRelative(-0.007f, 0.1009f, 0.0547f, 0.1973f, 0.143f, 0.2733f)
                horizontalLineToRelative(1.0E-4f)
                curveToRelative(0.7772f, 0.6649f, 1.8207f, 1.6606f, 2.5574f, 2.8952f)
                curveToRelative(-0.413f, 0.0084f, -0.739f, -0.2201f, -1.0197f, -0.4892f)
                horizontalLineToRelative(-2.0E-4f)
                curveToRelative(-0.9956f, -0.9475f, -2.0316f, -1.6227f, -2.8543f, -2.0848f)
                curveToRelative(-0.1488f, -0.0832f, -0.3106f, -0.1218f, -0.467f, -0.032f)
                lineToRelative(-2.0E-4f, 2.0E-4f)
                curveToRelative(-0.9073f, 0.5276f, -1.5223f, 1.0269f, -2.2427f, 1.8623f)
                curveToRelative(-0.0675f, 0.0784f, -0.0848f, 0.1612f, -0.06f, 0.2292f)
                curveToRelative(0.0249f, 0.068f, 0.0834f, 0.1165f, 0.1487f, 0.1512f)
                curveToRelative(0.7708f, 0.4087f, 1.9748f, 1.1835f, 3.086f, 2.1856f)
                curveToRelative(-0.0976f, 0.063f, -0.2136f, 0.0912f, -0.3677f, 0.0694f)
                curveToRelative(-0.1777f, -0.0252f, -0.3974f, -0.1082f, -0.6588f, -0.2452f)
                horizontalLineToRelative(-2.0E-4f)
                curveToRelative(-1.0182f, -0.535f, -1.9967f, -0.8426f, -2.7428f, -1.0347f)
                curveToRelative(-0.1735f, -0.0445f, -0.3665f, 0.0051f, -0.4594f, 0.1663f)
                curveToRelative(-0.4796f, 0.8333f, -0.8098f, 1.828f, -0.966f, 2.837f)
                verticalLineToRelative(3.0E-4f)
                curveToRelative(-0.033f, 0.215f, 0.1155f, 0.4078f, 0.3286f, 0.445f)
                curveToRelative(0.8651f, 0.1514f, 2.0661f, 0.4305f, 3.1122f, 1.1123f)
                curveToRelative(1.046f, 0.6818f, 1.9382f, 1.7635f, 2.1934f, 3.533f)
                curveToRelative(0.02f, 0.1418f, -0.0343f, 0.2725f, -0.1335f, 0.3483f)
                curveToRelative(-0.0994f, 0.076f, -0.2443f, 0.1003f, -0.4196f, 0.018f)
                curveToRelative(-0.5214f, -0.2443f, -1.0423f, -0.488f, -1.5631f, -0.7324f)
                verticalLineToRelative(-2.0E-4f)
                horizontalLineToRelative(-2.0E-4f)
                curveToRelative(-0.0574f, -0.0265f, -0.1244f, -0.0508f, -0.1945f, -0.0508f)
                lineTo(4.3061f, 15.3915f)
                curveToRelative(-0.1881f, 0.0f, -0.3296f, 0.0926f, -0.388f, 0.2247f)
                curveToRelative(-0.0582f, 0.1321f, -0.0322f, 0.2995f, 0.0902f, 0.4397f)
                curveToRelative(0.5892f, 0.6785f, 1.1295f, 1.4106f, 1.5915f, 2.1862f)
                curveToRelative(0.0457f, 0.077f, 0.115f, 0.116f, 0.2045f, 0.116f)
                horizontalLineToRelative(1.0725f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, 0.2201f, -0.0601f)
                curveToRelative(0.337f, -0.1977f, 0.674f, -0.3948f, 1.0119f, -0.5923f)
                horizontalLineToRelative(2.0E-4f)
                lineToRelative(2.0E-4f, -2.0E-4f)
                curveToRelative(0.0518f, -0.031f, 0.103f, -0.0306f, 0.1764f, -0.0306f)
                horizontalLineToRelative(8.0845f)
                curveToRelative(0.0452f, 0.0f, 0.0842f, 0.0146f, 0.1111f, 0.0382f)
                curveToRelative(0.027f, 0.0235f, 0.0432f, 0.0552f, 0.0432f, 0.0981f)
                verticalLineToRelative(0.3978f)
                curveToRelative(0.0f, 0.17f, 0.1533f, 0.3002f, 0.321f, 0.2742f)
                horizontalLineToRelative(2.0E-4f)
                arcToRelative(5.0752f, 5.0752f, 0.0f, false, false, 2.6729f, -1.3127f)
                arcToRelative(0.3163f, 0.3163f, 0.0f, false, false, 0.0f, -0.462f)
                arcToRelative(5.0725f, 5.0725f, 0.0f, false, false, -2.673f, -1.313f)
                horizontalLineToRelative(-1.0E-4f)
                curveToRelative(-0.1678f, -0.026f, -0.321f, 0.1046f, -0.321f, 0.2745f)
                verticalLineToRelative(0.3637f)
                curveToRelative(0.0f, 0.0433f, -0.0179f, 0.0933f, -0.0462f, 0.1298f)
                curveToRelative(-0.0284f, 0.0366f, -0.0644f, 0.0586f, -0.1027f, 0.0586f)
                curveToRelative(-0.0794f, 0.0f, -0.1576f, 0.002f, -0.2352f, 0.0f)
                horizontalLineToRelative(-6.0E-4f)
                curveToRelative(-0.1224f, -0.002f, -0.187f, -0.072f, -0.2237f, -0.173f)
                curveToRelative(-0.0367f, -0.1009f, -0.0357f, -0.2311f, -0.0102f, -0.323f)
                curveToRelative(0.5962f, -2.138f, 0.7426f, -3.4376f, 0.7356f, -4.3853f)
                curveToRelative(-0.0074f, -1.003f, -0.033f, -2.009f, -0.4867f, -3.337f)
                curveToRelative(-0.435f, -1.2713f, -0.8395f, -2.5304f, -2.9465f, -4.4383f)
                curveToRelative(-0.1484f, -0.1335f, -0.3048f, -0.2013f, -0.5048f, -0.2158f)
                arcToRelative(7.9719f, 7.9719f, 0.0f, false, false, -0.589f, -0.0218f)
                close()
                moveTo(13.6422f, 13.0324f)
                curveToRelative(0.6249f, 0.0f, 1.1322f, 0.5073f, 1.1322f, 1.1322f)
                curveToRelative(0.0f, 0.6236f, -0.5073f, 1.1312f, -1.1322f, 1.1312f)
                curveToRelative(-0.6246f, 0.0f, -1.1308f, -0.5076f, -1.1308f, -1.1312f)
                curveToRelative(0.0f, -0.6248f, 0.5063f, -1.1322f, 1.1308f, -1.1322f)
                close()
            }
        }
        .build()
        return _skoda!!
    }

private var _skoda: ImageVector? = null
