package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Spotlight: ImageVector
    get() {
        if (_spotlight != null) {
            return _spotlight!!
        }
        _spotlight = Builder(name = "Spotlight", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.126f, 6.408f)
                curveToRelative(0.008f, 0.101f, 0.008f, 0.194f, 0.0f, 0.295f)
                curveToRelative(-0.034f, 0.589f, -0.295f, 1.027f, -0.656f, 1.388f)
                arcToRelative(2.093f, 2.093f, 0.0f, false, true, -1.464f, 0.606f)
                arcToRelative(2.106f, 2.106f, 0.0f, false, true, -1.498f, -0.572f)
                arcToRelative(2.126f, 2.126f, 0.0f, false, true, -0.126f, -2.996f)
                lineToRelative(0.101f, -0.101f)
                curveToRelative(0.353f, -0.345f, 0.757f, -0.547f, 1.372f, -0.606f)
                arcToRelative(2.112f, 2.112f, 0.0f, false, true, 1.582f, 0.555f)
                curveToRelative(0.396f, 0.37f, 0.64f, 0.884f, 0.69f, 1.431f)
                close()
                moveTo(23.591f, 13.696f)
                lineToRelative(-0.631f, 1.22f)
                arcToRelative(3.73f, 3.73f, 0.0f, false, false, -0.37f, 1.144f)
                lineToRelative(-0.21f, 1.363f)
                arcToRelative(3.692f, 3.692f, 0.0f, false, true, -2.003f, 2.752f)
                lineToRelative(-1.229f, 0.614f)
                curveToRelative(-0.362f, 0.185f, -0.69f, 0.421f, -0.976f, 0.707f)
                lineToRelative(-0.968f, 0.985f)
                arcToRelative(3.703f, 3.703f, 0.0f, false, true, -3.24f, 1.052f)
                lineToRelative(-1.355f, -0.227f)
                arcToRelative(3.625f, 3.625f, 0.0f, false, false, -1.203f, 0.0f)
                lineToRelative(-1.355f, 0.227f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, -3.24f, -1.052f)
                lineToRelative(-0.968f, -0.985f)
                arcToRelative(3.669f, 3.669f, 0.0f, false, false, -0.976f, -0.707f)
                lineToRelative(-1.229f, -0.614f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, -2.003f, -2.752f)
                lineToRelative(-0.21f, -1.363f)
                arcToRelative(3.58f, 3.58f, 0.0f, false, false, -0.37f, -1.144f)
                lineToRelative(-0.64f, -1.22f)
                arcToRelative(3.68f, 3.68f, 0.0f, false, true, 0.0f, -3.4f)
                lineToRelative(0.631f, -1.22f)
                arcToRelative(3.73f, 3.73f, 0.0f, false, false, 0.37f, -1.144f)
                lineToRelative(0.21f, -1.363f)
                arcToRelative(3.692f, 3.692f, 0.0f, false, true, 2.003f, -2.752f)
                lineToRelative(1.229f, -0.614f)
                curveToRelative(0.362f, -0.185f, 0.69f, -0.421f, 0.976f, -0.707f)
                lineToRelative(0.968f, -0.976f)
                arcToRelative(3.703f, 3.703f, 0.0f, false, true, 3.24f, -1.052f)
                lineToRelative(1.355f, 0.227f)
                curveToRelative(0.396f, 0.067f, 0.808f, 0.067f, 1.203f, 0.0f)
                lineToRelative(1.355f, -0.227f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, 3.24f, 1.052f)
                lineToRelative(0.968f, 0.976f)
                curveToRelative(0.286f, 0.286f, 0.614f, 0.53f, 0.976f, 0.707f)
                lineToRelative(1.229f, 0.614f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, 2.003f, 2.752f)
                lineToRelative(0.21f, 1.363f)
                curveToRelative(0.059f, 0.404f, 0.185f, 0.791f, 0.37f, 1.144f)
                lineToRelative(0.631f, 1.22f)
                arcToRelative(3.703f, 3.703f, 0.0f, false, true, 0.008f, 3.4f)
                close()
                moveTo(16.304f, 6.366f)
                arcToRelative(3.045f, 3.045f, 0.0f, false, false, -0.345f, -1.296f)
                arcToRelative(3.38f, 3.38f, 0.0f, false, false, -3.223f, -1.826f)
                curveToRelative(-0.135f, 0.017f, -0.252f, 0.025f, -0.37f, 0.042f)
                arcToRelative(3.316f, 3.316f, 0.0f, false, false, -1.868f, 1.052f)
                arcToRelative(3.255f, 3.255f, 0.0f, false, false, -0.841f, 2.44f)
                curveToRelative(0.076f, 0.926f, 0.488f, 1.717f, 1.086f, 2.23f)
                curveToRelative(0.438f, 0.379f, 0.993f, 0.715f, 1.691f, 0.816f)
                curveToRelative(1.338f, 0.202f, 2.365f, -0.328f, 3.029f, -1.052f)
                arcToRelative(3.24f, 3.24f, 0.0f, false, false, 0.841f, -2.407f)
                close()
                moveTo(6.568f, 13.132f)
                curveToRelative(0.244f, -0.135f, 0.48f, -0.278f, 0.715f, -0.412f)
                curveToRelative(-0.084f, -0.968f, -0.16f, -2.011f, -0.236f, -2.903f)
                curveToRelative(0.985f, -0.412f, 1.683f, -1.212f, 1.994f, -2.339f)
                curveToRelative(0.252f, -0.909f, 0.143f, -1.977f, -0.32f, -2.575f)
                arcToRelative(1.533f, 1.533f, 0.0f, false, false, -0.597f, -0.488f)
                curveToRelative(-0.404f, -0.151f, -0.892f, -0.034f, -1.229f, 0.109f)
                arcToRelative(2.902f, 2.902f, 0.0f, false, false, -0.522f, 0.303f)
                curveToRelative(-0.32f, 0.227f, -0.614f, 0.48f, -0.884f, 0.774f)
                curveToRelative(0.286f, 2.491f, 0.572f, 5.108f, 0.85f, 7.657f)
                curveToRelative(0.076f, -0.034f, 0.151f, -0.076f, 0.227f, -0.126f)
                close()
                moveTo(6.694f, 5.979f)
                curveToRelative(0.017f, -0.076f, 0.202f, -0.185f, 0.269f, -0.236f)
                arcToRelative(0.857f, 0.857f, 0.0f, false, true, 0.429f, -0.16f)
                curveToRelative(0.463f, -0.017f, 0.572f, 0.379f, 0.597f, 0.825f)
                curveToRelative(0.017f, 0.236f, 0.017f, 0.471f, 0.0f, 0.707f)
                curveToRelative(-0.059f, 0.783f, -0.429f, 1.287f, -1.043f, 1.54f)
                curveToRelative(-0.05f, -0.488f, -0.084f, -1.077f, -0.143f, -1.641f)
                curveToRelative(-0.025f, -0.227f, -0.059f, -0.53f, -0.093f, -0.799f)
                curveToRelative(-0.008f, -0.076f, -0.017f, -0.151f, -0.017f, -0.236f)
                close()
                moveTo(5.558f, 12.257f)
                arcToRelative(6.08f, 6.08f, 0.0f, false, false, -0.421f, -1.212f)
                arcToRelative(4.559f, 4.559f, 0.0f, false, true, -0.37f, -1.237f)
                curveToRelative(-0.067f, -0.597f, 0.05f, -1.119f, 0.429f, -1.397f)
                curveToRelative(-0.143f, -0.463f, -0.261f, -0.917f, -0.404f, -1.372f)
                curveToRelative(-0.825f, 0.438f, -1.397f, 1.229f, -1.397f, 2.407f)
                curveToRelative(0.0f, 0.724f, 0.269f, 1.195f, 0.53f, 1.717f)
                curveToRelative(0.177f, 0.345f, 0.328f, 0.698f, 0.446f, 1.069f)
                curveToRelative(0.118f, 0.396f, 0.227f, 0.833f, 0.194f, 1.245f)
                curveToRelative(-0.067f, 0.791f, -0.396f, 1.346f, -0.825f, 1.818f)
                curveToRelative(-0.042f, 0.05f, -0.185f, 0.168f, -0.185f, 0.202f)
                curveToRelative(0.025f, 0.059f, 0.05f, 0.109f, 0.084f, 0.16f)
                curveToRelative(0.168f, 0.353f, 0.32f, 0.656f, 0.488f, 1.001f)
                curveToRelative(0.025f, 0.05f, 0.05f, 0.151f, 0.084f, 0.168f)
                reflectiveCurveToRelative(0.101f, -0.067f, 0.143f, -0.118f)
                curveToRelative(0.143f, -0.151f, 0.278f, -0.311f, 0.404f, -0.48f)
                curveToRelative(0.698f, -0.968f, 1.119f, -2.474f, 0.799f, -3.972f)
                close()
                moveTo(8.335f, 13.931f)
                curveToRelative(0.345f, -0.976f, 0.673f, -1.986f, 0.926f, -3.012f)
                curveToRelative(0.076f, -0.303f, 0.168f, -0.614f, 0.227f, -0.926f)
                curveToRelative(0.008f, -0.034f, 0.034f, -0.109f, 0.0f, -0.126f)
                curveToRelative(-0.446f, 0.135f, -0.909f, 0.252f, -1.346f, 0.396f)
                curveToRelative(-0.185f, 1.523f, -0.64f, 2.878f, -1.153f, 4.148f)
                reflectiveCurveToRelative(-1.144f, 2.44f, -1.801f, 3.559f)
                curveToRelative(0.808f, 0.875f, 1.834f, 1.54f, 2.962f, 2.095f)
                curveToRelative(0.202f, -0.337f, 0.421f, -0.665f, 0.614f, -1.01f)
                curveToRelative(-0.69f, -0.421f, -1.405f, -0.825f, -1.994f, -1.346f)
                arcToRelative(39.617f, 39.617f, 0.0f, false, false, 1.565f, -3.778f)
                close()
                moveTo(10.96f, 11.247f)
                curveToRelative(-0.286f, -0.194f, -0.64f, -0.337f, -0.951f, -0.505f)
                curveToRelative(-0.623f, 2.39f, -1.456f, 4.594f, -2.255f, 6.833f)
                curveToRelative(0.278f, 0.151f, 0.547f, 0.32f, 0.833f, 0.471f)
                curveToRelative(0.539f, -1.043f, 0.867f, -2.163f, 1.296f, -3.299f)
                curveToRelative(0.21f, -0.555f, 0.387f, -1.128f, 0.564f, -1.708f)
                reflectiveCurveToRelative(0.353f, -1.186f, 0.513f, -1.792f)
                close()
                moveTo(13.384f, 18.24f)
                verticalLineToRelative(-0.993f)
                curveToRelative(0.0f, -0.227f, -0.008f, -0.48f, -0.017f, -0.875f)
                curveToRelative(-0.597f, 0.076f, -1.203f, 0.126f, -1.792f, 0.21f)
                curveToRelative(-0.025f, 0.328f, -0.025f, 0.673f, -0.042f, 1.018f)
                curveToRelative(0.261f, 0.017f, 0.673f, -0.034f, 0.934f, -0.034f)
                curveToRelative(0.0f, 0.488f, 0.0f, 0.909f, 0.008f, 1.321f)
                curveToRelative(0.0f, 0.16f, 0.025f, 0.32f, -0.017f, 0.454f)
                curveToRelative(-0.059f, 0.202f, -0.269f, 0.328f, -0.539f, 0.303f)
                curveToRelative(-0.311f, -0.034f, -0.555f, -0.353f, -0.69f, -0.614f)
                curveToRelative(-0.463f, -0.909f, -0.311f, -2.407f, -0.126f, -3.416f)
                arcToRelative(5.324f, 5.324f, 0.0f, false, true, 0.732f, -1.927f)
                curveToRelative(0.345f, -0.547f, 0.816f, -1.001f, 1.489f, -1.195f)
                curveToRelative(0.0f, -0.278f, -0.017f, -0.656f, -0.034f, -0.968f)
                curveToRelative(-0.008f, -0.143f, 0.0f, -0.32f, -0.034f, -0.396f)
                curveToRelative(-0.008f, -0.008f, -0.025f, 0.008f, -0.034f, 0.008f)
                arcToRelative(3.66f, 3.66f, 0.0f, false, false, -1.128f, 0.64f)
                arcToRelative(4.8f, 4.8f, 0.0f, false, false, -1.22f, 1.414f)
                arcToRelative(5.505f, 5.505f, 0.0f, false, false, -0.286f, 0.589f)
                curveToRelative(-0.362f, 0.808f, -0.53f, 1.742f, -0.631f, 2.777f)
                curveToRelative(-0.076f, 0.791f, -0.084f, 1.515f, 0.034f, 2.23f)
                curveToRelative(0.042f, 0.227f, 0.109f, 0.454f, 0.194f, 0.673f)
                curveToRelative(0.295f, 0.774f, 0.867f, 1.422f, 2.028f, 1.262f)
                curveToRelative(0.446f, -0.059f, 0.808f, -0.236f, 1.186f, -0.396f)
                curveToRelative(0.0f, -0.74f, -0.017f, -1.515f, -0.017f, -2.087f)
                close()
                moveTo(16.943f, 13.763f)
                arcToRelative(22.049f, 22.049f, 0.0f, false, true, -0.109f, -1.691f)
                curveToRelative(-0.025f, -0.783f, 0.0f, -1.54f, 0.042f, -2.322f)
                curveToRelative(0.0f, -0.008f, 0.0f, -0.008f, -0.008f, -0.008f)
                curveToRelative(-0.303f, 0.236f, -0.648f, 0.48f, -0.976f, 0.715f)
                arcToRelative(0.418f, 0.418f, 0.0f, false, false, -0.126f, 0.118f)
                arcToRelative(0.853f, 0.853f, 0.0f, false, false, 0.0f, 0.202f)
                curveToRelative(-0.008f, 1.128f, 0.059f, 2.322f, 0.084f, 3.332f)
                curveToRelative(-0.278f, 0.118f, -0.555f, 0.269f, -0.833f, 0.379f)
                arcToRelative(88.942f, 88.942f, 0.0f, false, true, -0.261f, -3.408f)
                curveToRelative(-0.37f, 0.126f, -0.707f, 0.278f, -1.069f, 0.412f)
                curveToRelative(0.076f, 0.555f, 0.151f, 1.086f, 0.202f, 1.599f)
                curveToRelative(0.093f, 0.816f, 0.135f, 1.632f, 0.143f, 2.449f)
                curveToRelative(0.0f, 0.236f, 0.0f, 0.471f, -0.017f, 0.707f)
                curveToRelative(-0.034f, 0.496f, -0.025f, 1.001f, -0.059f, 1.498f)
                curveToRelative(-0.076f, 0.959f, -0.067f, 1.986f, -0.067f, 2.895f)
                curveToRelative(0.194f, -0.084f, 0.379f, -0.194f, 0.572f, -0.286f)
                curveToRelative(0.194f, -0.084f, 0.379f, -0.185f, 0.564f, -0.295f)
                curveToRelative(0.0f, -0.362f, 0.017f, -0.648f, 0.025f, -0.959f)
                curveToRelative(0.034f, -1.186f, 0.067f, -2.179f, 0.025f, -3.231f)
                curveToRelative(0.32f, -0.151f, 0.64f, -0.303f, 0.976f, -0.446f)
                curveToRelative(0.227f, 1.355f, 0.682f, 2.541f, 1.094f, 3.753f)
                curveToRelative(0.345f, -0.261f, 0.64f, -0.572f, 0.968f, -0.858f)
                arcToRelative(22.97f, 22.97f, 0.0f, false, true, -0.614f, -1.919f)
                arcToRelative(13.182f, 13.182f, 0.0f, false, true, -0.555f, -2.634f)
                close()
                moveTo(19.526f, 9.976f)
                curveToRelative(0.194f, -0.076f, 0.37f, -0.194f, 0.555f, -0.286f)
                reflectiveCurveToRelative(0.362f, -0.194f, 0.539f, -0.303f)
                curveToRelative(-0.337f, -0.968f, -0.757f, -1.851f, -1.338f, -2.609f)
                arcToRelative(10.081f, 10.081f, 0.0f, false, false, -1.977f, -1.986f)
                curveToRelative(0.0f, -0.017f, -0.025f, 0.0f, -0.025f, 0.008f)
                arcToRelative(7.414f, 7.414f, 0.0f, false, false, -0.513f, 0.724f)
                curveToRelative(-0.034f, 0.059f, -0.151f, 0.21f, -0.143f, 0.269f)
                curveToRelative(0.05f, 0.067f, 0.109f, 0.126f, 0.177f, 0.177f)
                curveToRelative(0.067f, 0.067f, 0.135f, 0.118f, 0.185f, 0.168f)
                curveToRelative(0.303f, 0.311f, 0.555f, 0.589f, 0.833f, 0.926f)
                curveToRelative(0.042f, 0.05f, 0.143f, 0.16f, 0.143f, 0.21f)
                arcToRelative(1.388f, 1.388f, 0.0f, false, true, -0.076f, 0.269f)
                curveToRelative(-0.135f, 0.48f, -0.227f, 0.951f, -0.311f, 1.456f)
                arcToRelative(12.46f, 12.46f, 0.0f, false, false, -0.151f, 2.962f)
                curveToRelative(0.076f, 1.052f, 0.278f, 2.003f, 0.505f, 2.928f)
                curveToRelative(0.109f, 0.454f, 0.244f, 0.909f, 0.412f, 1.346f)
                curveToRelative(0.126f, 0.328f, 0.252f, 0.656f, 0.396f, 0.951f)
                curveToRelative(0.05f, 0.101f, 0.076f, 0.219f, 0.16f, 0.295f)
                curveToRelative(0.286f, -0.37f, 0.589f, -0.724f, 0.867f, -1.094f)
                curveToRelative(-0.421f, -0.749f, -0.707f, -1.666f, -0.926f, -2.617f)
                arcToRelative(6.908f, 6.908f, 0.0f, false, true, -0.177f, -1.01f)
                curveToRelative(-0.126f, -1.372f, -0.177f, -2.861f, 0.194f, -4.157f)
                curveToRelative(0.295f, 0.429f, 0.522f, 0.892f, 0.673f, 1.372f)
                close()
            }
        }
        .build()
        return _spotlight!!
    }

private var _spotlight: ImageVector? = null
