package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.StyledComponents: ImageVector
    get() {
        if (_styledComponents != null) {
            return _styledComponents!!
        }
        _styledComponents = Builder(name = "StyledComponents", defaultWidth = 24.0.dp, defaultHeight
                = 24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(16.214f, 6.762f)
                lineToRelative(-0.075f, 0.391f)
                curveToRelative(-0.116f, 0.741f, -0.074f, 0.953f, 0.244f, 1.228f)
                lineToRelative(0.307f, 0.254f)
                lineToRelative(-0.318f, 1.418f)
                curveToRelative(-0.19f, 0.846f, -0.423f, 1.555f, -0.571f, 1.788f)
                curveToRelative(-0.127f, 0.201f, -0.275f, 0.497f, -0.307f, 0.656f)
                curveToRelative(-0.053f, 0.19f, -0.233f, 0.381f, -0.508f, 0.55f)
                curveToRelative(-0.243f, 0.138f, -0.72f, 0.508f, -1.058f, 0.805f)
                curveToRelative(-0.27f, 0.243f, -0.456f, 0.392f, -0.557f, 0.456f)
                lineToRelative(-0.33f, 0.261f)
                curveToRelative(-0.106f, 0.17f, -0.166f, 0.307f, -0.189f, 0.411f)
                curveToRelative(-0.023f, 0.107f, -0.01f, 0.178f, 0.024f, 0.23f)
                curveToRelative(0.033f, 0.05f, 0.09f, 0.085f, 0.168f, 0.107f)
                arcToRelative(0.954f, 0.954f, 0.0f, false, false, 0.282f, 0.023f)
                arcToRelative(3.0f, 3.0f, 0.0f, false, false, 0.632f, -0.112f)
                curveToRelative(0.07f, -0.019f, 0.125f, -0.037f, 0.173f, -0.053f)
                curveToRelative(0.074f, -0.091f, 0.245f, -0.263f, 0.548f, -0.562f)
                curveToRelative(0.804f, -0.793f, 1.111f, -1.227f, 0.794f, -1.11f)
                curveToRelative(-0.117f, 0.042f, -0.064f, -0.064f, 0.137f, -0.276f)
                curveToRelative(0.424f, -0.413f, 0.667f, -1.037f, 1.175f, -2.994f)
                curveToRelative(0.402f, -1.545f, 0.402f, -1.567f, 0.698f, -1.567f)
                curveToRelative(0.139f, 0.0f, 0.532f, 0.024f, 0.532f, 0.024f)
                lineTo(18.015f, 6.762f)
                horizontalLineToRelative(-0.902f)
                close()
                moveTo(20.053f, 9.927f)
                curveToRelative(-0.064f, 0.0f, -0.17f, 0.096f, -0.233f, 0.202f)
                curveToRelative(-0.116f, 0.19f, 0.021f, 0.306f, 1.767f, 1.396f)
                curveToRelative(1.037f, 0.657f, 1.873f, 1.217f, 1.852f, 1.26f)
                curveToRelative(-0.021f, 0.031f, -0.868f, 0.582f, -1.883f, 1.217f)
                curveToRelative(-1.842f, 1.142f, -1.852f, 1.153f, -1.683f, 1.386f)
                curveToRelative(0.212f, 0.275f, 0.0f, 0.37f, 2.391f, -1.122f)
                lineTo(24.0f, 13.155f)
                verticalLineToRelative(-0.836f)
                lineToRelative(-1.937f, -1.196f)
                curveToRelative(-1.047f, -0.656f, -1.957f, -1.185f, -2.01f, -1.196f)
                close()
                moveTo(3.968f, 10.044f)
                curveToRelative(-0.053f, 0.0f, -0.963f, 0.54f, -2.01f, 1.185f)
                lineTo(0.0f, 12.425f)
                verticalLineToRelative(0.836f)
                lineToRelative(1.947f, 1.217f)
                curveToRelative(1.08f, 0.666f, 1.99f, 1.217f, 2.032f, 1.217f)
                curveToRelative(0.042f, 0.0f, 0.127f, -0.096f, 0.212f, -0.212f)
                curveToRelative(0.127f, -0.201f, 0.02f, -0.286f, -1.768f, -1.418f)
                curveTo(0.72f, 12.996f, 0.54f, 12.848f, 0.71f, 12.732f)
                curveToRelative(0.106f, -0.074f, 0.91f, -0.572f, 1.778f, -1.111f)
                curveToRelative(1.979f, -1.217f, 1.873f, -1.133f, 1.714f, -1.387f)
                curveToRelative(-0.063f, -0.105f, -0.17f, -0.2f, -0.233f, -0.19f)
                close()
                moveTo(12.652f, 10.067f)
                curveToRelative(-0.292f, -0.002f, -0.92f, 0.443f, -2.8f, 1.978f)
                curveToRelative(-0.081f, 0.193f, -0.088f, 0.326f, -0.051f, 0.412f)
                curveToRelative(0.024f, 0.059f, 0.068f, 0.1f, 0.129f, 0.13f)
                curveToRelative(0.06f, 0.03f, 0.138f, 0.048f, 0.224f, 0.055f)
                curveToRelative(0.171f, 0.015f, 0.373f, -0.012f, 0.536f, -0.044f)
                lineToRelative(0.11f, -0.025f)
                arcToRelative(0.386f, 0.386f, 0.0f, false, true, 0.144f, -0.118f)
                curveToRelative(0.116f, -0.064f, 0.603f, -0.508f, 1.09f, -0.984f)
                curveToRelative(0.857f, -0.868f, 1.058f, -1.26f, 0.709f, -1.387f)
                arcToRelative(0.24f, 0.24f, 0.0f, false, false, -0.09f, -0.017f)
                close()
                moveTo(14.848f, 10.67f)
                curveToRelative(-0.257f, 0.007f, -0.72f, 0.305f, -1.513f, 0.938f)
                curveToRelative(-0.398f, 0.323f, -0.65f, 0.497f, -0.785f, 0.533f)
                lineToRelative(-0.524f, 0.414f)
                curveToRelative(-0.197f, 0.36f, -0.226f, 0.583f, -0.174f, 0.706f)
                arcToRelative(0.25f, 0.25f, 0.0f, false, false, 0.138f, 0.134f)
                arcToRelative(0.644f, 0.644f, 0.0f, false, false, 0.24f, 0.045f)
                arcToRelative(2.18f, 2.18f, 0.0f, false, false, 0.58f, -0.085f)
                arcToRelative(3.466f, 3.466f, 0.0f, false, false, 0.291f, -0.092f)
                lineToRelative(0.029f, -0.012f)
                lineToRelative(0.053f, -0.028f)
                curveToRelative(0.1f, -0.129f, 0.33f, -0.372f, 0.618f, -0.652f)
                curveToRelative(0.91f, -0.878f, 1.375f, -1.502f, 1.28f, -1.735f)
                curveToRelative(-0.043f, -0.113f, -0.117f, -0.17f, -0.233f, -0.166f)
                close()
                moveTo(12.424f, 11.75f)
                curveToRelative(-0.074f, 0.008f, -0.24f, 0.136f, -0.539f, 0.398f)
                curveToRelative(-0.432f, 0.382f, -0.903f, 0.602f, -1.066f, 0.504f)
                arcToRelative(3.97f, 3.97f, 0.0f, false, true, -0.114f, 0.024f)
                curveToRelative(-0.166f, 0.033f, -0.373f, 0.06f, -0.558f, 0.045f)
                arcToRelative(0.708f, 0.708f, 0.0f, false, true, -0.252f, -0.063f)
                arcToRelative(0.337f, 0.337f, 0.0f, false, true, -0.168f, -0.17f)
                curveToRelative(-0.037f, -0.09f, -0.037f, -0.202f, 0.005f, -0.345f)
                lineToRelative(-0.65f, 0.534f)
                lineToRelative(-1.471f, 1.217f)
                lineTo(7.611f, 15.867f)
                lineToRelative(4.82f, -3.797f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, true, 0.016f, -0.123f)
                curveToRelative(0.037f, -0.134f, 0.035f, -0.202f, -0.023f, -0.196f)
                close()
                moveTo(14.498f, 12.389f)
                curveToRelative(-0.073f, 0.0f, -0.195f, 0.103f, -0.39f, 0.31f)
                curveToRelative(-0.265f, 0.283f, -0.682f, 0.557f, -0.903f, 0.613f)
                lineToRelative(-0.034f, 0.018f)
                arcToRelative(2.191f, 2.191f, 0.0f, false, true, -0.11f, 0.042f)
                curveToRelative(-0.06f, 0.02f, -0.138f, 0.044f, -0.228f, 0.068f)
                curveToRelative(-0.18f, 0.049f, -0.404f, 0.094f, -0.604f, 0.089f)
                arcToRelative(0.732f, 0.732f, 0.0f, false, true, -0.275f, -0.054f)
                arcToRelative(0.344f, 0.344f, 0.0f, false, true, -0.184f, -0.18f)
                curveToRelative(-0.058f, -0.139f, -0.035f, -0.334f, 0.092f, -0.611f)
                lineTo(7.61f, 16.033f)
                verticalLineToRelative(1.205f)
                horizontalLineToRelative(1.868f)
                lineToRelative(3.962f, -3.112f)
                curveToRelative(0.103f, -0.114f, 0.258f, -0.27f, 0.467f, -0.465f)
                curveToRelative(0.56f, -0.519f, 0.687f, -0.698f, 0.687f, -0.963f)
                curveToRelative(0.0f, -0.206f, -0.023f, -0.31f, -0.096f, -0.31f)
                close()
                moveTo(15.441f, 14.339f)
                lineToRelative(-0.339f, 0.338f)
                curveToRelative(-0.19f, 0.18f, -0.529f, 0.402f, -0.761f, 0.497f)
                lineToRelative(-0.046f, 0.02f)
                lineToRelative(-0.003f, 0.005f)
                lineToRelative(-0.01f, 0.01f)
                curveToRelative(-0.009f, 0.007f, -0.013f, 0.008f, -0.02f, 0.011f)
                arcToRelative(3.432f, 3.432f, 0.0f, false, true, -0.282f, 0.093f)
                arcToRelative(3.058f, 3.058f, 0.0f, false, true, -0.65f, 0.115f)
                arcToRelative(1.035f, 1.035f, 0.0f, false, true, -0.31f, -0.027f)
                arcToRelative(0.364f, 0.364f, 0.0f, false, true, -0.218f, -0.144f)
                curveToRelative(-0.048f, -0.074f, -0.062f, -0.173f, -0.035f, -0.295f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, 0.095f, -0.25f)
                lineToRelative(-3.197f, 2.526f)
                horizontalLineToRelative(4.252f)
                lineToRelative(0.508f, -0.582f)
                curveToRelative(0.698f, -0.814f, 1.016f, -1.396f, 1.016f, -1.894f)
                close()
            }
        }
        .build()
        return _styledComponents!!
    }

private var _styledComponents: ImageVector? = null
