package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Stylelint: ImageVector
    get() {
        if (_stylelint != null) {
            return _stylelint!!
        }
        _stylelint = Builder(name = "Stylelint", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(3.415f, 0.549f)
                lineTo(0.0f, 3.712f)
                lineTo(2.242f, 5.65f)
                lineTo(0.547f, 7.483f)
                lineToRelative(11.176f, 15.909f)
                horizontalLineToRelative(0.114f)
                curveToRelative(-2.625f, -9.386f, -2.55f, -9.428f, -4.446f, -16.12f)
                lineToRelative(-0.456f, 0.263f)
                curveToRelative(-0.248f, 0.143f, -0.451f, 0.026f, -0.451f, -0.26f)
                lineTo(6.484f, 4.084f)
                curveTo(5.98f, 2.321f, 5.586f, 0.958f, 5.47f, 0.549f)
                close()
                moveTo(18.53f, 0.549f)
                curveToRelative(-0.116f, 0.41f, -0.51f, 1.772f, -1.014f, 3.535f)
                verticalLineToRelative(3.191f)
                curveToRelative(0.0f, 0.286f, -0.203f, 0.403f, -0.45f, 0.26f)
                lineToRelative(-0.457f, -0.264f)
                curveToRelative(-1.897f, 6.693f, -1.821f, 6.735f, -4.446f, 16.12f)
                curveToRelative(-0.017f, 0.07f, 0.06f, 0.09f, 0.114f, 0.0f)
                lineTo(23.453f, 7.484f)
                lineTo(21.757f, 5.65f)
                lineTo(24.0f, 3.712f)
                lineTo(20.585f, 0.549f)
                close()
                moveTo(7.034f, 1.299f)
                curveToRelative(-0.118f, 0.007f, -0.2f, 0.105f, -0.2f, 0.271f)
                verticalLineToRelative(5.127f)
                curveToRelative(0.0f, 0.242f, 0.172f, 0.34f, 0.38f, 0.22f)
                lineToRelative(3.068f, -1.772f)
                arcToRelative(0.336f, 0.336f, 0.0f, false, true, -0.086f, -0.222f)
                lineTo(10.196f, 3.287f)
                curveToRelative(0.0f, -0.067f, 0.021f, -0.129f, 0.056f, -0.182f)
                lineTo(7.215f, 1.35f)
                arcToRelative(0.333f, 0.333f, 0.0f, false, false, -0.18f, -0.051f)
                close()
                moveTo(16.973f, 1.299f)
                arcToRelative(0.331f, 0.331f, 0.0f, false, false, -0.18f, 0.052f)
                lineToRelative(-3.038f, 1.753f)
                arcToRelative(0.33f, 0.33f, 0.0f, false, true, 0.057f, 0.183f)
                verticalLineToRelative(1.636f)
                arcToRelative(0.335f, 0.335f, 0.0f, false, true, -0.088f, 0.223f)
                lineToRelative(3.068f, 1.77f)
                curveToRelative(0.21f, 0.122f, 0.38f, 0.023f, 0.38f, -0.218f)
                lineTo(17.172f, 1.57f)
                curveToRelative(0.0f, -0.166f, -0.08f, -0.264f, -0.199f, -0.27f)
                close()
                moveTo(10.623f, 3.162f)
                curveToRelative(-0.101f, 0.0f, -0.183f, 0.056f, -0.183f, 0.125f)
                verticalLineToRelative(1.636f)
                curveToRelative(0.0f, 0.069f, 0.082f, 0.125f, 0.183f, 0.125f)
                horizontalLineToRelative(2.761f)
                curveToRelative(0.101f, 0.0f, 0.184f, -0.056f, 0.184f, -0.125f)
                lineTo(13.568f, 3.287f)
                curveToRelative(0.0f, -0.07f, -0.083f, -0.125f, -0.184f, -0.125f)
                close()
                moveTo(11.917f, 6.804f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.83f, 0.83f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.83f, 0.828f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.829f, -0.829f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.83f, -0.829f)
                close()
                moveTo(11.907f, 11.734f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.82f, 0.829f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.83f, 0.829f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.828f, -0.83f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.829f, -0.828f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.009f, 0.0f)
                close()
                moveTo(11.917f, 16.664f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.83f, 0.828f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.83f, 0.83f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, 0.829f, -0.83f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, false, -0.83f, -0.829f)
                close()
            }
        }
        .build()
        return _stylelint!!
    }

private var _stylelint: ImageVector? = null
