package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Styleshare: ImageVector
    get() {
        if (_styleshare != null) {
            return _styleshare!!
        }
        _styleshare = Builder(name = "Styleshare", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.752f, 7.22f)
                arcToRelative(2.04f, 2.04f, 0.0f, false, false, -2.049f, 2.048f)
                curveToRelative(0.0f, 0.455f, 0.146f, 0.89f, 0.414f, 1.241f)
                lineToRelative(2.628f, 3.662f)
                curveToRelative(0.31f, 0.537f, 0.124f, 1.242f, -0.414f, 1.572f)
                curveToRelative(-0.538f, 0.311f, -1.241f, 0.125f, -1.572f, -0.414f)
                arcToRelative(1.154f, 1.154f, 0.0f, false, true, 0.372f, -1.551f)
                lineToRelative(0.042f, -0.021f)
                curveToRelative(0.206f, -0.145f, 0.269f, -0.414f, 0.124f, -0.621f)
                arcToRelative(0.467f, 0.467f, 0.0f, false, false, -0.373f, -0.207f)
                arcToRelative(0.395f, 0.395f, 0.0f, false, false, -0.207f, 0.063f)
                lineToRelative(-0.041f, 0.021f)
                curveToRelative(-0.951f, 0.6f, -1.262f, 1.861f, -0.662f, 2.813f)
                curveToRelative(0.601f, 0.953f, 1.862f, 1.264f, 2.813f, 0.662f)
                curveToRelative(0.952f, -0.6f, 1.263f, -1.861f, 0.662f, -2.813f)
                curveToRelative(-0.041f, -0.063f, -0.082f, -0.104f, -0.104f, -0.166f)
                lineToRelative(-2.627f, -3.683f)
                arcToRelative(1.095f, 1.095f, 0.0f, false, true, -0.145f, -0.58f)
                curveToRelative(0.0f, -0.641f, 0.517f, -1.138f, 1.138f, -1.138f)
                curveToRelative(0.62f, 0.0f, 1.138f, 0.517f, 1.138f, 1.138f)
                curveToRelative(0.0f, 0.394f, -0.207f, 0.745f, -0.538f, 0.973f)
                curveToRelative(-0.021f, 0.0f, -0.021f, 0.021f, -0.041f, 0.021f)
                curveToRelative(-0.207f, 0.145f, -0.27f, 0.414f, -0.124f, 0.621f)
                curveToRelative(0.082f, 0.124f, 0.228f, 0.186f, 0.372f, 0.207f)
                arcToRelative(0.4f, 0.4f, 0.0f, false, false, 0.207f, -0.062f)
                lineToRelative(0.041f, -0.021f)
                curveToRelative(0.952f, -0.6f, 1.263f, -1.862f, 0.662f, -2.814f)
                arcToRelative(2.027f, 2.027f, 0.0f, false, false, -1.716f, -0.951f)
                close()
                moveTo(14.752f, 15.311f)
                arcToRelative(0.578f, 0.578f, 0.0f, false, false, 0.579f, -0.58f)
                arcToRelative(0.578f, 0.578f, 0.0f, true, false, -1.158f, 0.0f)
                curveToRelative(0.0f, 0.332f, 0.268f, 0.58f, 0.579f, 0.58f)
                close()
                moveTo(14.752f, 8.689f)
                arcToRelative(0.578f, 0.578f, 0.0f, false, false, -0.579f, 0.58f)
                arcToRelative(0.578f, 0.578f, 0.0f, true, false, 1.158f, 0.0f)
                curveToRelative(-0.02f, -0.331f, -0.268f, -0.58f, -0.579f, -0.58f)
                close()
                moveTo(12.0f, 0.0f)
                curveTo(5.379f, 0.0f, 0.0f, 5.379f, 0.0f, 12.0f)
                curveToRelative(0.0f, 6.622f, 5.379f, 12.0f, 12.0f, 12.0f)
                reflectiveCurveToRelative(12.0f, -5.379f, 12.0f, -12.0f)
                reflectiveCurveTo(18.621f, 0.0f, 12.0f, 0.0f)
                close()
                moveTo(9.269f, 17.357f)
                arcToRelative(2.613f, 2.613f, 0.0f, false, true, -2.627f, -2.605f)
                arcToRelative(2.62f, 2.62f, 0.0f, false, true, 1.593f, -2.421f)
                lineTo(7.138f, 10.8f)
                curveToRelative(-0.848f, -1.18f, -0.579f, -2.814f, 0.579f, -3.642f)
                reflectiveCurveToRelative(2.814f, -0.58f, 3.641f, 0.579f)
                curveToRelative(0.828f, 1.159f, 0.58f, 2.814f, -0.579f, 3.642f)
                arcToRelative(2.58f, 2.58f, 0.0f, false, true, -0.517f, 0.29f)
                lineToRelative(1.138f, 1.615f)
                arcToRelative(2.599f, 2.599f, 0.0f, false, true, -0.703f, 3.619f)
                arcToRelative(2.49f, 2.49f, 0.0f, false, true, -1.428f, 0.454f)
                close()
                moveTo(16.924f, 13.283f)
                curveToRelative(0.808f, 1.199f, 0.497f, 2.813f, -0.703f, 3.619f)
                reflectiveCurveToRelative(-2.814f, 0.498f, -3.621f, -0.703f)
                arcToRelative(2.601f, 2.601f, 0.0f, false, true, 0.704f, -3.621f)
                curveToRelative(0.145f, -0.104f, 0.289f, -0.165f, 0.435f, -0.248f)
                lineToRelative(-1.117f, -1.531f)
                arcToRelative(2.633f, 2.633f, 0.0f, false, true, 0.579f, -3.662f)
                arcToRelative(2.634f, 2.634f, 0.0f, false, true, 3.662f, 0.58f)
                arcToRelative(2.635f, 2.635f, 0.0f, false, true, -0.579f, 3.662f)
                arcToRelative(2.56f, 2.56f, 0.0f, false, true, -0.518f, 0.29f)
                lineToRelative(1.158f, 1.614f)
                close()
                moveTo(8.255f, 9.827f)
                arcToRelative(1.099f, 1.099f, 0.0f, false, true, -0.145f, -0.579f)
                curveToRelative(0.0f, -0.641f, 0.517f, -1.138f, 1.138f, -1.138f)
                curveToRelative(0.642f, 0.0f, 1.138f, 0.517f, 1.138f, 1.138f)
                curveToRelative(0.0f, 0.394f, -0.207f, 0.766f, -0.538f, 0.973f)
                lineToRelative(-0.041f, 0.021f)
                curveToRelative(-0.207f, 0.145f, -0.269f, 0.414f, -0.125f, 0.621f)
                curveToRelative(0.083f, 0.124f, 0.228f, 0.186f, 0.373f, 0.207f)
                arcToRelative(0.403f, 0.403f, 0.0f, false, false, 0.207f, -0.062f)
                lineToRelative(0.041f, -0.021f)
                arcToRelative(2.055f, 2.055f, 0.0f, false, false, 0.683f, -2.814f)
                arcToRelative(2.055f, 2.055f, 0.0f, false, false, -2.814f, -0.684f)
                arcToRelative(2.069f, 2.069f, 0.0f, false, false, -0.682f, 2.814f)
                curveToRelative(0.042f, 0.063f, 0.083f, 0.125f, 0.124f, 0.166f)
                lineToRelative(2.627f, 3.663f)
                curveToRelative(0.104f, 0.166f, 0.145f, 0.373f, 0.145f, 0.578f)
                curveToRelative(0.0f, 0.643f, -0.497f, 1.139f, -1.138f, 1.16f)
                arcToRelative(1.153f, 1.153f, 0.0f, false, true, -1.158f, -1.139f)
                curveToRelative(0.0f, -0.393f, 0.207f, -0.766f, 0.538f, -0.973f)
                lineToRelative(0.042f, -0.02f)
                curveToRelative(0.207f, -0.146f, 0.269f, -0.414f, 0.124f, -0.621f)
                arcToRelative(0.467f, 0.467f, 0.0f, false, false, -0.373f, -0.207f)
                arcToRelative(0.393f, 0.393f, 0.0f, false, false, -0.207f, 0.063f)
                lineToRelative(-0.042f, 0.021f)
                curveToRelative(-0.952f, 0.599f, -1.262f, 1.863f, -0.662f, 2.814f)
                reflectiveCurveToRelative(1.862f, 1.262f, 2.814f, 0.662f)
                curveToRelative(0.6f, -0.373f, 0.972f, -1.035f, 0.972f, -1.738f)
                curveToRelative(0.0f, -0.455f, -0.145f, -0.889f, -0.414f, -1.242f)
                lineTo(8.255f, 9.827f)
                close()
                moveTo(9.269f, 15.311f)
                curveToRelative(0.31f, 0.0f, 0.579f, -0.248f, 0.579f, -0.58f)
                arcToRelative(0.58f, 0.58f, 0.0f, false, false, -1.159f, 0.0f)
                curveToRelative(0.0f, 0.332f, 0.249f, 0.58f, 0.58f, 0.58f)
                close()
                moveTo(9.269f, 8.689f)
                arcToRelative(0.575f, 0.575f, 0.0f, false, false, -0.58f, 0.559f)
                curveToRelative(0.0f, 0.311f, 0.249f, 0.58f, 0.559f, 0.58f)
                curveToRelative(0.311f, 0.0f, 0.58f, -0.249f, 0.58f, -0.559f)
                arcToRelative(0.562f, 0.562f, 0.0f, false, false, -0.559f, -0.58f)
                close()
            }
        }
        .build()
        return _styleshare!!
    }

private var _styleshare: ImageVector? = null
