package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Svgo: ImageVector
    get() {
        if (_svgo != null) {
            return _svgo!!
        }
        _svgo = Builder(name = "Svgo", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.9685f, 9.5707f)
                arcToRelative(10.3841f, 10.3841f, 0.0f, false, false, -1.2419f, -2.851f)
                curveToRelative(0.4116f, -0.5796f, 0.8064f, -1.1723f, 1.1723f, -1.7999f)
                lineToRelative(-2.8271f, -2.8187f)
                curveToRelative(-0.6432f, 0.3768f, -1.2527f, 0.7848f, -1.8491f, 1.2107f)
                arcToRelative(10.2604f, 10.2604f, 0.0f, false, false, -2.7599f, -1.1387f)
                curveToRelative(-0.12f, -0.72f, -0.2676f, -1.4483f, -0.4572f, -2.1731f)
                horizontalLineToRelative(-4.0054f)
                curveToRelative(-0.1871f, 0.7104f, -0.3275f, 1.4207f, -0.4475f, 2.1311f)
                arcToRelative(10.302f, 10.302f, 0.0f, false, false, -2.845f, 1.1279f)
                curveToRelative(-0.5724f, -0.4068f, -1.1591f, -0.798f, -1.7771f, -1.1579f)
                lineTo(2.1023f, 4.9282f)
                curveToRelative(0.3408f, 0.582f, 0.7068f, 1.1375f, 1.0871f, 1.6799f)
                arcToRelative(10.3302f, 10.3302f, 0.0f, false, false, -1.3199f, 2.9878f)
                arcToRelative(25.065f, 25.065f, 0.0f, false, false, -1.8683f, 0.4032f)
                verticalLineToRelative(4.0006f)
                curveToRelative(0.5796f, 0.1512f, 1.1567f, 0.2736f, 1.7363f, 0.3792f)
                arcToRelative(10.327f, 10.327f, 0.0f, false, false, 1.2815f, 3.2602f)
                curveToRelative(-0.3204f, 0.462f, -0.6288f, 0.9372f, -0.9168f, 1.4315f)
                lineToRelative(2.8283f, 2.8283f)
                curveToRelative(0.48f, -0.2784f, 0.9348f, -0.5736f, 1.3811f, -0.8808f)
                arcTo(10.3366f, 10.3366f, 0.0f, false, false, 9.6522f, 22.41f)
                curveToRelative(0.0972f, 0.5304f, 0.2112f, 1.0607f, 0.348f, 1.5899f)
                horizontalLineToRelative(4.0006f)
                curveToRelative(0.1416f, -0.5436f, 0.2568f, -1.0859f, 0.36f, -1.6307f)
                arcToRelative(10.2988f, 10.2988f, 0.0f, false, false, 3.2566f, -1.4063f)
                curveToRelative(0.4716f, 0.3264f, 0.96f, 0.642f, 1.4567f, 0.936f)
                lineToRelative(2.8271f, -2.8283f)
                curveToRelative(-0.3144f, -0.5364f, -0.6528f, -1.0511f, -1.0043f, -1.5599f)
                arcToRelative(10.3406f, 10.3406f, 0.0f, false, false, 1.1999f, -3.109f)
                curveToRelative(0.6336f, -0.1116f, 1.2683f, -0.24f, 1.9019f, -0.4056f)
                verticalLineToRelative(-3.997f)
                curveToRelative(-0.6755f, -0.1752f, -1.3534f, -0.3132f, -2.0302f, -0.4284f)
                close()
                moveTo(19.0538f, 14.7593f)
                curveToRelative(-0.6873f, 1.9556f, -2.1612f, 3.5519f, -4.0522f, 4.399f)
                curveToRelative(-1.8966f, 0.856f, -4.0703f, 0.8774f, -5.9901f, 0.0792f)
                curveToRelative(-1.8862f, -0.7889f, -3.4536f, -2.3813f, -4.1746f, -4.339f)
                curveToRelative(-0.7227f, -1.9308f, -0.6184f, -4.0925f, 0.288f, -5.9445f)
                arcToRelative(7.6099f, 7.6099f, 0.0f, false, true, 3.8242f, -3.6466f)
                curveToRelative(1.9315f, -0.8372f, 4.2099f, -0.8069f, 6.1185f, 0.0816f)
                arcToRelative(7.5908f, 7.5908f, 0.0f, false, true, 3.643f, 3.5506f)
                curveToRelative(0.8889f, 1.8067f, 1.0111f, 3.9209f, 0.3432f, 5.8197f)
                close()
                moveTo(17.3655f, 14.6177f)
                curveToRelative(0.069f, 0.3397f, 0.0197f, 0.6928f, -0.1396f, 1.0006f)
                curveToRelative(-0.3857f, 0.7451f, -1.3023f, 1.0365f, -2.0474f, 0.6508f)
                curveToRelative(-0.7451f, -0.3857f, -1.0365f, -1.3023f, -0.6508f, -2.0474f)
                lineToRelative(-1.1999f, -0.8964f)
                arcToRelative(2.076f, 2.076f, 0.0f, false, true, -2.4179f, 0.4368f)
                lineToRelative(-0.96f, 1.4951f)
                curveToRelative(0.3821f, 0.3619f, 0.5043f, 0.9206f, 0.3083f, 1.409f)
                curveToRelative(-0.2639f, 0.6575f, -1.0107f, 0.9765f, -1.6682f, 0.7127f)
                curveToRelative(-0.6575f, -0.2639f, -0.9765f, -1.0107f, -0.7127f, -1.6682f)
                curveToRelative(0.2639f, -0.6575f, 1.0107f, -0.9765f, 1.6682f, -0.7127f)
                lineToRelative(0.96f, -1.4963f)
                arcToRelative(2.0736f, 2.0736f, 0.0f, false, true, -0.7008f, -2.1215f)
                lineToRelative(-2.0627f, -0.8087f)
                arcToRelative(0.9598f, 0.9598f, 0.0f, false, true, -0.873f, 0.3903f)
                curveToRelative(-0.5275f, -0.0534f, -0.9118f, -0.5243f, -0.8583f, -1.0518f)
                curveToRelative(0.0534f, -0.5275f, 0.5243f, -0.9117f, 1.0518f, -0.8583f)
                curveToRelative(0.5275f, 0.0534f, 0.9118f, 0.5243f, 0.8583f, 1.0518f)
                verticalLineToRelative(0.0204f)
                lineToRelative(2.0603f, 0.81f)
                curveToRelative(0.5027f, -0.9713f, 1.6739f, -1.3843f, 2.6747f, -0.9432f)
                lineToRelative(0.9695f, -1.6643f)
                arcToRelative(1.0355f, 1.0355f, 0.0f, false, true, -0.2804f, -1.0488f)
                curveToRelative(0.1638f, -0.548f, 0.7408f, -0.8594f, 1.2887f, -0.6956f)
                curveToRelative(0.548f, 0.1638f, 0.8594f, 0.7408f, 0.6956f, 1.2887f)
                curveToRelative(-0.1638f, 0.548f, -0.7408f, 0.8594f, -1.2887f, 0.6956f)
                lineToRelative(-0.9731f, 1.6643f)
                curveToRelative(0.8459f, 0.633f, 1.0815f, 1.8004f, 0.5472f, 2.7119f)
                lineToRelative(1.1999f, 0.8928f)
                arcToRelative(1.5195f, 1.5195f, 0.0f, false, true, 0.7612f, -0.404f)
                curveToRelative(0.8222f, -0.167f, 1.6241f, 0.3642f, 1.7911f, 1.1864f)
                horizontalLineToRelative(-0.0013f)
                close()
            }
        }
        .build()
        return _svgo!!
    }

private var _svgo: ImageVector? = null
