package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Symfony: ImageVector
    get() {
        if (_symfony != null) {
            return _symfony!!
        }
        _symfony = Builder(name = "Symfony", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(24.0f, 12.0f)
                curveToRelative(0.0f, 6.628f, -5.372f, 12.0f, -12.0f, 12.0f)
                reflectiveCurveTo(0.0f, 18.628f, 0.0f, 12.0f)
                reflectiveCurveTo(5.372f, 0.0f, 12.0f, 0.0f)
                reflectiveCurveToRelative(12.0f, 5.372f, 12.0f, 12.0f)
                close()
                moveTo(17.247f, 4.439f)
                curveToRelative(-1.22f, 0.042f, -2.283f, 0.715f, -3.075f, 1.644f)
                curveToRelative(-0.878f, 1.02f, -1.461f, 2.229f, -1.881f, 3.461f)
                curveToRelative(-0.753f, -0.614f, -1.332f, -1.414f, -2.539f, -1.761f)
                curveToRelative(-0.966f, -0.297f, -2.015f, -0.105f, -2.813f, 0.514f)
                curveToRelative(-0.41f, 0.319f, -0.71f, 0.757f, -0.861f, 1.254f)
                curveToRelative(-0.36f, 1.176f, 0.381f, 2.225f, 0.719f, 2.6f)
                lineToRelative(0.737f, 0.79f)
                curveToRelative(0.15f, 0.154f, 0.519f, 0.56f, 0.339f, 1.138f)
                curveToRelative(-0.193f, 0.631f, -0.951f, 1.037f, -1.732f, 0.799f)
                curveToRelative(-0.348f, -0.106f, -0.848f, -0.366f, -0.734f, -0.73f)
                curveToRelative(0.045f, -0.15f, 0.152f, -0.263f, 0.21f, -0.391f)
                curveToRelative(0.052f, -0.11f, 0.077f, -0.194f, 0.095f, -0.242f)
                curveToRelative(0.141f, -0.465f, -0.053f, -1.07f, -0.551f, -1.223f)
                curveToRelative(-0.465f, -0.143f, -0.939f, -0.03f, -1.125f, 0.566f)
                curveToRelative(-0.209f, 0.68f, 0.117f, 1.913f, 1.86f, 2.449f)
                curveToRelative(2.04f, 0.628f, 3.765f, -0.484f, 4.009f, -1.932f)
                curveToRelative(0.153f, -0.907f, -0.255f, -1.582f, -1.006f, -2.447f)
                lineToRelative(-0.612f, -0.677f)
                curveToRelative(-0.371f, -0.37f, -0.497f, -1.002f, -0.114f, -1.485f)
                curveToRelative(0.324f, -0.409f, 0.785f, -0.584f, 1.539f, -0.379f)
                curveToRelative(1.103f, 0.3f, 1.594f, 1.063f, 2.412f, 1.68f)
                curveToRelative(-0.338f, 1.11f, -0.56f, 2.223f, -0.759f, 3.222f)
                lineToRelative(-0.123f, 0.746f)
                curveToRelative(-0.585f, 3.07f, -1.033f, 4.757f, -2.194f, 5.726f)
                curveToRelative(-0.234f, 0.166f, -0.57f, 0.416f, -1.073f, 0.434f)
                curveToRelative(-0.266f, 0.005f, -0.352f, -0.176f, -0.355f, -0.257f)
                curveToRelative(-0.006f, -0.184f, 0.15f, -0.271f, 0.255f, -0.353f)
                curveToRelative(0.154f, -0.083f, 0.39f, -0.224f, 0.372f, -0.674f)
                curveToRelative(-0.016f, -0.532f, -0.456f, -0.994f, -1.094f, -0.973f)
                curveToRelative(-0.477f, 0.017f, -1.203f, 0.465f, -1.176f, 1.286f)
                curveToRelative(0.028f, 0.85f, 0.819f, 1.485f, 2.012f, 1.444f)
                curveToRelative(0.638f, -0.021f, 2.062f, -0.281f, 3.464f, -1.949f)
                curveToRelative(1.633f, -1.911f, 2.09f, -4.101f, 2.434f, -5.706f)
                lineToRelative(0.383f, -2.116f)
                curveToRelative(0.213f, 0.024f, 0.441f, 0.042f, 0.69f, 0.048f)
                curveToRelative(2.032f, 0.044f, 3.049f, -1.01f, 3.064f, -1.776f)
                curveToRelative(0.01f, -0.464f, -0.304f, -0.921f, -0.744f, -0.91f)
                curveToRelative(-0.386f, 0.009f, -0.718f, 0.278f, -0.806f, 0.654f)
                curveToRelative(-0.094f, 0.428f, 0.646f, 0.813f, 0.068f, 1.189f)
                curveToRelative(-0.41f, 0.266f, -1.146f, 0.452f, -2.184f, 0.3f)
                lineToRelative(0.188f, -1.042f)
                curveToRelative(0.386f, -1.976f, 0.859f, -4.407f, 2.661f, -4.467f)
                curveToRelative(0.132f, -0.007f, 0.612f, 0.006f, 0.623f, 0.323f)
                curveToRelative(0.003f, 0.105f, -0.022f, 0.134f, -0.147f, 0.375f)
                curveToRelative(-0.115f, 0.155f, -0.174f, 0.345f, -0.168f, 0.537f)
                curveToRelative(0.017f, 0.504f, 0.4f, 0.836f, 0.957f, 0.816f)
                curveToRelative(0.743f, -0.023f, 0.955f, -0.748f, 0.945f, -1.119f)
                curveToRelative(-0.032f, -0.874f, -0.952f, -1.424f, -2.17f, -1.386f)
                close()
            }
        }
        .build()
        return _symfony!!
    }

private var _symfony: ImageVector? = null
