package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Talend: ImageVector
    get() {
        if (_talend != null) {
            return _talend!!
        }
        _talend = Builder(name = "Talend", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(20.2822f, 7.6735f)
                curveToRelative(-0.845f, 0.0f, -1.6054f, 0.2958f, -2.2392f, 0.7605f)
                lineToRelative(-4.6472f, -5.7035f)
                lineToRelative(0.0422f, -0.0422f)
                curveToRelative(0.2958f, -0.3802f, 0.2113f, -0.9295f, -0.169f, -1.2252f)
                curveToRelative(-0.3802f, -0.2957f, -0.9294f, -0.2112f, -1.2252f, 0.169f)
                curveToRelative(-0.2957f, 0.3802f, -0.2112f, 0.9295f, 0.169f, 1.2252f)
                curveToRelative(0.2958f, 0.2112f, 0.676f, 0.2112f, 0.9717f, 0.0845f)
                lineToRelative(4.6473f, 5.7035f)
                curveToRelative(-0.338f, 0.2957f, -0.6337f, 0.676f, -0.845f, 1.0561f)
                lineTo(3.7632f, 3.5755f)
                curveToRelative(0.0845f, -0.2957f, 0.1268f, -0.5915f, 0.0845f, -0.8872f)
                curveToRelative(-0.0845f, -0.507f, -0.338f, -0.9717f, -0.7604f, -1.2674f)
                curveToRelative(-0.4225f, -0.2958f, -0.9295f, -0.4225f, -1.4364f, -0.3803f)
                curveToRelative(-0.507f, 0.0845f, -0.9718f, 0.338f, -1.2675f, 0.7605f)
                curveToRelative(-0.6337f, 0.845f, -0.4647f, 2.0701f, 0.3802f, 2.7039f)
                curveToRelative(0.338f, 0.2534f, 0.7605f, 0.3802f, 1.1407f, 0.3802f)
                horizontalLineToRelative(0.2535f)
                curveToRelative(0.507f, -0.0845f, 0.9717f, -0.338f, 1.2675f, -0.7605f)
                curveToRelative(0.0422f, -0.0845f, 0.1267f, -0.169f, 0.169f, -0.2535f)
                lineTo(16.8179f, 9.955f)
                curveToRelative(-0.169f, 0.3803f, -0.2535f, 0.8027f, -0.2958f, 1.2675f)
                horizontalLineTo(5.3264f)
                curveToRelative(-0.0422f, -0.2958f, -0.2112f, -0.5915f, -0.4647f, -0.8027f)
                curveToRelative(-0.507f, -0.3803f, -1.2674f, -0.2958f, -1.6477f, 0.2112f)
                curveToRelative(-0.3802f, 0.507f, -0.2957f, 1.2674f, 0.2535f, 1.6477f)
                curveToRelative(0.507f, 0.3802f, 1.2674f, 0.2957f, 1.6477f, -0.2113f)
                curveToRelative(0.1267f, -0.169f, 0.2112f, -0.3802f, 0.2112f, -0.5492f)
                horizontalLineToRelative(11.238f)
                curveToRelative(0.0f, 0.4647f, 0.1267f, 0.9295f, 0.338f, 1.352f)
                lineToRelative(-2.873f, 1.3941f)
                curveToRelative(-0.0844f, -0.1267f, -0.2534f, -0.2535f, -0.5069f, -0.2957f)
                curveToRelative(-0.4647f, -0.1268f, -0.9717f, 0.2112f, -1.0562f, 0.676f)
                curveToRelative(-0.1267f, 0.4647f, 0.2113f, 0.9717f, 0.676f, 1.0562f)
                curveToRelative(0.4647f, 0.1267f, 0.9717f, -0.2113f, 1.0562f, -0.676f)
                curveToRelative(0.0422f, -0.169f, 0.0422f, -0.2957f, 0.0f, -0.4647f)
                lineToRelative(2.8728f, -1.3942f)
                curveToRelative(0.2535f, 0.4225f, 0.5915f, 0.845f, 0.9717f, 1.1407f)
                lineToRelative(-3.7178f, 5.112f)
                curveToRelative(-0.3802f, -0.2535f, -0.845f, -0.3803f, -1.352f, -0.2958f)
                curveToRelative(-0.5069f, 0.0845f, -0.9716f, 0.338f, -1.2673f, 0.7605f)
                curveToRelative(-0.6338f, 0.845f, -0.4648f, 2.0701f, 0.3802f, 2.7039f)
                curveToRelative(0.338f, 0.2535f, 0.7604f, 0.3802f, 1.1407f, 0.3802f)
                horizontalLineToRelative(0.2535f)
                curveToRelative(0.507f, -0.0845f, 0.9717f, -0.338f, 1.2674f, -0.7605f)
                curveToRelative(0.2957f, -0.4224f, 0.4225f, -0.9294f, 0.3802f, -1.4364f)
                curveToRelative(-0.0422f, -0.4647f, -0.2535f, -0.845f, -0.5914f, -1.1407f)
                lineToRelative(3.7178f, -5.112f)
                curveToRelative(0.5915f, 0.3802f, 1.2674f, 0.5915f, 2.0279f, 0.5915f)
                curveTo(22.31f, 15.1092f, 24.0f, 13.4615f, 24.0f, 11.3914f)
                curveToRelative(0.0f, -2.0702f, -1.69f, -3.7179f, -3.7178f, -3.7179f)
                moveTo(3.214f, 3.9557f)
                curveToRelative(-0.2535f, 0.338f, -0.6337f, 0.5493f, -1.0562f, 0.6338f)
                curveToRelative(-0.4225f, 0.0422f, -0.845f, -0.0423f, -1.183f, -0.2958f)
                curveTo(0.2568f, 3.7445f, 0.13f, 2.7305f, 0.637f, 2.0123f)
                curveToRelative(0.2535f, -0.3802f, 0.6337f, -0.5914f, 1.0562f, -0.676f)
                horizontalLineToRelative(0.2112f)
                curveToRelative(0.338f, 0.0f, 0.676f, 0.1268f, 0.9717f, 0.338f)
                curveToRelative(0.3803f, 0.2535f, 0.5915f, 0.6338f, 0.676f, 1.0562f)
                curveToRelative(0.0423f, 0.4225f, -0.0845f, 0.8872f, -0.338f, 1.2252f)
                moveToRelative(11.3225f, 17.9976f)
                curveToRelative(-0.2535f, 0.338f, -0.6338f, 0.5915f, -1.0562f, 0.6338f)
                curveToRelative(-0.4225f, 0.0422f, -0.845f, -0.0423f, -1.183f, -0.2958f)
                curveToRelative(-0.7182f, -0.5492f, -0.845f, -1.5631f, -0.338f, -2.2814f)
                curveToRelative(0.2535f, -0.338f, 0.6338f, -0.5492f, 1.0562f, -0.6337f)
                horizontalLineToRelative(0.2113f)
                curveToRelative(0.338f, 0.0f, 0.676f, 0.1268f, 0.9717f, 0.338f)
                curveToRelative(0.338f, 0.2535f, 0.5492f, 0.6337f, 0.6337f, 1.0562f)
                curveToRelative(0.0845f, 0.4225f, -0.0422f, 0.845f, -0.2957f, 1.183f)
                close()
            }
        }
        .build()
        return _talend!!
    }

private var _talend: ImageVector? = null
