package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Teamspeak: ImageVector
    get() {
        if (_teamspeak != null) {
            return _teamspeak!!
        }
        _teamspeak = Builder(name = "Teamspeak", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(21.604f, 18.594f)
                curveToRelative(-0.009f, -0.481f, -0.222f, -1.262f, -0.539f, -1.511f)
                arcToRelative(0.246f, 0.246f, 0.0f, false, false, -0.388f, 0.118f)
                arcToRelative(7.113f, 7.113f, 0.0f, false, true, -0.346f, 0.875f)
                arcToRelative(6.373f, 6.373f, 0.0f, false, true, -1.568f, 2.209f)
                curveToRelative(-0.84f, 0.777f, -1.84f, 1.331f, -2.817f, 1.725f)
                curveToRelative(-0.244f, 0.099f, -0.485f, 0.187f, -0.722f, 0.266f)
                lineToRelative(-0.006f, 0.002f)
                curveToRelative(-0.158f, 0.053f, -0.314f, 0.101f, -0.467f, 0.146f)
                lineToRelative(-0.003f, 0.001f)
                lineToRelative(-0.22f, 0.063f)
                lineToRelative(-0.012f, 0.003f)
                curveToRelative(-0.148f, 0.04f, -0.292f, 0.078f, -0.433f, 0.112f)
                lineToRelative(-0.017f, 0.004f)
                lineToRelative(-0.192f, 0.045f)
                lineToRelative(-0.016f, 0.004f)
                curveToRelative(-0.135f, 0.03f, -0.264f, 0.058f, -0.39f, 0.083f)
                lineToRelative(-0.025f, 0.005f)
                arcToRelative(22.224f, 22.224f, 0.0f, false, true, -0.52f, 0.093f)
                lineToRelative(-0.028f, 0.004f)
                lineToRelative(-0.136f, 0.02f)
                lineToRelative(-0.017f, 0.004f)
                arcToRelative(23.763f, 23.763f, 0.0f, false, true, -0.28f, 0.038f)
                lineToRelative(-0.14f, 0.017f)
                arcToRelative(8.982f, 8.982f, 0.0f, false, true, -0.543f, 0.05f)
                horizontalLineToRelative(-0.004f)
                curveToRelative(-4.09f, 0.429f, 1.038f, 1.325f, 4.895f, 0.647f)
                lineToRelative(0.026f, -0.005f)
                arcToRelative(13.344f, 13.344f, 0.0f, false, false, 0.683f, -0.142f)
                curveToRelative(0.036f, -0.01f, 0.074f, -0.018f, 0.11f, -0.027f)
                arcToRelative(6.64f, 6.64f, 0.0f, false, false, 1.387f, -0.503f)
                curveToRelative(2.386f, -1.155f, 2.617f, -3.084f, 2.617f, -3.084f)
                curveToRelative(0.08f, -0.366f, 0.12f, -0.782f, 0.111f, -1.262f)
                moveToRelative(-10.28f, -2.832f)
                arcToRelative(1.768f, 1.768f, 0.0f, false, false, -0.3f, -0.535f)
                curveToRelative(-0.446f, -0.695f, -1.066f, -1.322f, -1.694f, -1.848f)
                arcToRelative(10.72f, 10.72f, 0.0f, false, false, -1.043f, -0.792f)
                curveToRelative(-0.807f, -0.557f, -1.44f, -0.88f, -1.44f, -0.88f)
                horizontalLineToRelative(-0.002f)
                curveToRelative(-0.96f, -0.48f, -1.836f, -0.01f, -2.067f, 1.085f)
                arcToRelative(4.605f, 4.605f, 0.0f, false, false, 0.615f, 3.48f)
                curveToRelative(0.46f, 0.738f, 1.169f, 1.088f, 2.018f, 1.167f)
                curveToRelative(0.53f, 0.05f, 1.063f, 0.079f, 1.595f, 0.117f)
                curveToRelative(0.433f, 0.01f, 0.865f, 0.04f, 1.286f, -0.103f)
                curveToRelative(0.555f, -0.188f, 0.983f, -0.526f, 1.078f, -1.123f)
                arcToRelative(1.187f, 1.187f, 0.0f, false, false, -0.045f, -0.568f)
                moveToRelative(3.368f, 1.695f)
                curveToRelative(0.606f, 0.08f, 1.211f, 0.178f, 1.822f, 0.213f)
                curveToRelative(0.82f, 0.048f, 1.44f, -0.215f, 1.9f, -0.71f)
                curveToRelative(0.575f, -0.62f, 0.84f, -1.341f, 0.795f, -2.15f)
                curveToRelative(-0.045f, -0.814f, -0.759f, -1.295f, -1.725f, -1.127f)
                curveToRelative(-0.863f, 0.149f, -1.628f, 0.485f, -2.402f, 0.795f)
                curveToRelative(-0.684f, 0.273f, -1.326f, 0.602f, -1.828f, 1.068f)
                curveToRelative(-0.707f, 0.656f, -0.306f, 1.525f, 0.822f, 1.798f)
                curveToRelative(0.202f, 0.049f, 0.41f, 0.076f, 0.616f, 0.113f)
                moveTo(0.0f, 12.532f)
                curveToRelative(0.023f, -0.375f, -0.033f, -0.812f, 0.038f, -1.248f)
                curveToRelative(0.119f, -0.732f, 0.508f, -1.265f, 1.166f, -1.598f)
                curveToRelative(0.163f, -0.082f, 0.262f, -0.167f, 0.3f, -0.369f)
                curveToRelative(0.286f, -1.572f, 0.917f, -3.0f, 1.85f, -4.296f)
                curveToRelative(0.107f, -0.148f, 0.192f, -0.25f, 0.055f, -0.444f)
                curveToRelative(-0.175f, -0.245f, -0.05f, -0.47f, 0.132f, -0.675f)
                curveTo(4.856f, 2.428f, 6.44f, 1.336f, 8.323f, 0.755f)
                curveToRelative(4.493f, -1.386f, 8.453f, -0.438f, 11.835f, 2.842f)
                curveToRelative(0.312f, 0.303f, 0.729f, 0.608f, 0.33f, 1.14f)
                curveToRelative(-0.066f, 0.088f, 0.052f, 0.166f, 0.103f, 0.235f)
                arcToRelative(10.426f, 10.426f, 0.0f, false, true, 1.895f, 4.4f)
                curveToRelative(0.031f, 0.18f, 0.142f, 0.236f, 0.272f, 0.301f)
                curveToRelative(0.813f, 0.412f, 1.212f, 1.092f, 1.216f, 1.985f)
                curveToRelative(0.003f, 0.806f, 0.083f, 1.617f, -0.052f, 2.419f)
                curveToRelative(-0.193f, 1.153f, -1.367f, 1.957f, -2.503f, 1.722f)
                curveToRelative(-0.345f, -0.072f, -0.436f, -0.337f, -0.434f, -0.66f)
                curveToRelative(0.006f, -1.324f, 0.032f, -2.647f, 0.0f, -3.97f)
                curveToRelative(-0.085f, -3.555f, -1.69f, -6.233f, -4.8f, -7.942f)
                curveToRelative(-5.201f, -2.86f, -11.874f, 0.31f, -13.02f, 6.141f)
                curveToRelative(-0.198f, 1.014f, -0.164f, 2.032f, -0.153f, 3.053f)
                curveToRelative(0.01f, 0.95f, 0.0f, 1.901f, -0.024f, 2.851f)
                curveToRelative(-0.008f, 0.334f, -0.204f, 0.522f, -0.56f, 0.539f)
                curveToRelative(-1.45f, 0.067f, -2.425f, -0.854f, -2.428f, -2.304f)
                verticalLineToRelative(-0.975f)
                close()
            }
        }
        .build()
        return _teamspeak!!
    }

private var _teamspeak: ImageVector? = null
