package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Tencentweibo: ImageVector
    get() {
        if (_tencentweibo != null) {
            return _tencentweibo!!
        }
        _tencentweibo = Builder(name = "Tencentweibo", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.252f, 23.936f)
                arcToRelative(0.97f, 0.97f, 0.0f, false, true, -0.474f, -0.466f)
                curveToRelative(-0.08f, -0.167f, -0.086f, -0.222f, -0.086f, -0.653f)
                curveToRelative(0.0f, -0.93f, 0.15f, -2.428f, 0.362f, -3.587f)
                curveToRelative(0.698f, -3.827f, 2.373f, -7.127f, 4.915f, -9.671f)
                lineToRelative(0.574f, -0.58f)
                lineToRelative(-0.074f, -0.293f)
                curveToRelative(-0.14f, -0.561f, -0.079f, -1.306f, 0.149f, -1.826f)
                curveToRelative(0.25f, -0.564f, 0.784f, -1.142f, 1.3f, -1.416f)
                curveToRelative(0.134f, -0.071f, 0.25f, -0.127f, 0.253f, -0.123f)
                curveToRelative(0.008f, 0.0f, 0.066f, -0.021f, 0.137f, -0.049f)
                curveToRelative(0.07f, -0.03f, 0.153f, -0.061f, 0.189f, -0.068f)
                curveToRelative(0.034f, -0.006f, 0.095f, -0.023f, 0.14f, -0.034f)
                arcToRelative(2.93f, 2.93f, 0.0f, false, true, 1.341f, 0.0f)
                curveToRelative(0.038f, 0.007f, 0.11f, 0.031f, 0.165f, 0.052f)
                curveToRelative(0.05f, 0.02f, 0.091f, 0.027f, 0.091f, 0.02f)
                curveToRelative(0.0f, -0.01f, 0.172f, 0.072f, 0.375f, 0.177f)
                curveToRelative(0.61f, 0.315f, 1.03f, 0.75f, 1.317f, 1.362f)
                curveToRelative(0.222f, 0.465f, 0.273f, 0.704f, 0.271f, 1.248f)
                curveToRelative(-0.004f, 0.398f, -0.017f, 0.506f, -0.095f, 0.764f)
                curveToRelative(-0.182f, 0.605f, -0.45f, 1.004f, -0.965f, 1.456f)
                curveToRelative(-0.117f, 0.1f, -0.25f, 0.202f, -0.295f, 0.23f)
                arcToRelative(7.209f, 7.209f, 0.0f, false, true, -0.54f, 0.268f)
                curveToRelative(-0.011f, 0.005f, -0.04f, 0.019f, -0.068f, 0.03f)
                curveToRelative(-0.027f, 0.013f, -0.091f, 0.026f, -0.144f, 0.036f)
                arcToRelative(0.562f, 0.562f, 0.0f, false, false, -0.127f, 0.035f)
                curveToRelative(-0.014f, 0.01f, -0.119f, 0.026f, -0.23f, 0.038f)
                curveToRelative(-0.111f, 0.01f, -0.255f, 0.023f, -0.32f, 0.033f)
                curveToRelative(-0.148f, 0.021f, -0.609f, -0.031f, -0.872f, -0.096f)
                arcToRelative(3.027f, 3.027f, 0.0f, false, true, -0.623f, -0.262f)
                lineToRelative(-0.26f, -0.137f)
                lineToRelative(-0.11f, 0.08f)
                curveToRelative(-0.146f, 0.114f, -0.835f, 0.85f, -1.186f, 1.27f)
                curveToRelative(-2.335f, 2.805f, -3.652f, 6.45f, -3.827f, 10.62f)
                curveToRelative(-0.027f, 0.628f, -0.052f, 0.913f, -0.088f, 1.023f)
                curveToRelative(-0.072f, 0.193f, -0.28f, 0.419f, -0.472f, 0.512f)
                arcToRelative(0.993f, 0.993f, 0.0f, false, true, -0.723f, 0.007f)
                close()
                moveTo(12.105f, 16.056f)
                arcToRelative(1.684f, 1.684f, 0.0f, false, false, -0.307f, -0.038f)
                arcToRelative(5.104f, 5.104f, 0.0f, false, true, -0.839f, -0.105f)
                curveToRelative(-0.038f, -0.007f, -0.126f, -0.021f, -0.2f, -0.035f)
                arcToRelative(0.753f, 0.753f, 0.0f, false, true, -0.166f, -0.037f)
                arcToRelative(0.566f, 0.566f, 0.0f, false, false, -0.122f, -0.034f)
                arcToRelative(1.821f, 1.821f, 0.0f, false, true, -0.23f, -0.069f)
                arcToRelative(0.535f, 0.535f, 0.0f, false, false, -0.147f, -0.048f)
                arcToRelative(2.58f, 2.58f, 0.0f, false, true, -0.28f, -0.086f)
                arcToRelative(1.747f, 1.747f, 0.0f, false, false, -0.28f, -0.082f)
                curveToRelative(-0.025f, 0.017f, -0.34f, -0.208f, -0.418f, -0.3f)
                curveToRelative(-0.212f, -0.253f, -0.29f, -0.643f, -0.182f, -0.903f)
                curveToRelative(0.148f, -0.343f, 0.504f, -0.6f, 0.849f, -0.609f)
                curveToRelative(0.116f, -0.003f, 0.23f, 0.01f, 0.256f, 0.034f)
                curveToRelative(0.028f, 0.02f, 0.05f, 0.031f, 0.05f, 0.017f)
                curveToRelative(0.0f, -0.013f, 0.036f, 0.004f, 0.083f, 0.035f)
                reflectiveCurveToRelative(0.086f, 0.044f, 0.086f, 0.031f)
                curveToRelative(0.0f, -0.014f, 0.022f, -0.012f, 0.045f, 0.007f)
                curveToRelative(0.044f, 0.037f, 0.335f, 0.136f, 0.462f, 0.163f)
                curveToRelative(0.04f, 0.007f, 0.089f, 0.022f, 0.106f, 0.031f)
                reflectiveCurveToRelative(0.08f, 0.029f, 0.143f, 0.037f)
                curveToRelative(0.065f, 0.006f, 0.246f, 0.042f, 0.407f, 0.073f)
                curveToRelative(0.315f, 0.058f, 1.33f, 0.089f, 1.54f, 0.044f)
                curveToRelative(0.064f, -0.014f, 0.197f, -0.035f, 0.289f, -0.044f)
                curveToRelative(0.096f, -0.007f, 0.195f, -0.024f, 0.223f, -0.035f)
                curveToRelative(0.029f, -0.01f, 0.1f, -0.024f, 0.154f, -0.034f)
                curveToRelative(0.14f, -0.024f, 0.287f, -0.057f, 0.393f, -0.095f)
                curveToRelative(0.027f, -0.011f, 0.12f, -0.038f, 0.203f, -0.063f)
                curveToRelative(0.084f, -0.02f, 0.191f, -0.057f, 0.238f, -0.077f)
                curveToRelative(0.049f, -0.019f, 0.11f, -0.038f, 0.139f, -0.045f)
                curveToRelative(0.023f, -0.005f, 0.23f, -0.1f, 0.46f, -0.213f)
                arcToRelative(6.243f, 6.243f, 0.0f, false, false, 2.29f, -1.92f)
                curveToRelative(0.275f, -0.394f, 0.699f, -1.232f, 0.843f, -1.677f)
                curveToRelative(0.721f, -2.254f, 0.147f, -4.733f, -1.478f, -6.372f)
                arcToRelative(6.522f, 6.522f, 0.0f, false, false, -2.328f, -1.457f)
                arcToRelative(4.057f, 4.057f, 0.0f, false, false, -0.412f, -0.123f)
                arcToRelative(3.08f, 3.08f, 0.0f, false, true, -0.246f, -0.057f)
                arcToRelative(3.39f, 3.39f, 0.0f, false, false, -0.188f, -0.048f)
                arcToRelative(3.985f, 3.985f, 0.0f, false, false, -0.479f, -0.066f)
                arcToRelative(2.042f, 2.042f, 0.0f, false, true, -0.273f, -0.037f)
                curveToRelative(-0.055f, -0.02f, -0.855f, -0.013f, -1.06f, 0.007f)
                curveToRelative(-0.243f, 0.02f, -0.396f, 0.044f, -0.564f, 0.077f)
                arcToRelative(3.96f, 3.96f, 0.0f, false, true, -0.257f, 0.052f)
                lineToRelative(-0.171f, 0.038f)
                lineToRelative(-0.137f, 0.034f)
                arcToRelative(0.608f, 0.608f, 0.0f, false, false, -0.1f, 0.032f)
                arcToRelative(0.096f, 0.096f, 0.0f, false, false, -0.057f, 0.027f)
                curveToRelative(-0.015f, 0.016f, -0.059f, 0.027f, -0.099f, 0.027f)
                arcToRelative(0.191f, 0.191f, 0.0f, false, false, -0.114f, 0.041f)
                curveToRelative(-0.023f, 0.024f, -0.04f, 0.028f, -0.04f, 0.013f)
                curveToRelative(0.0f, -0.017f, -0.024f, -0.01f, -0.05f, 0.015f)
                curveToRelative(-0.03f, 0.023f, -0.052f, 0.03f, -0.052f, 0.02f)
                curveToRelative(0.0f, -0.014f, -0.036f, -0.005f, -0.076f, 0.02f)
                curveToRelative(-0.045f, 0.02f, -0.093f, 0.045f, -0.113f, 0.048f)
                curveToRelative(-0.071f, 0.014f, -0.729f, 0.348f, -0.93f, 0.48f)
                curveToRelative(-0.462f, 0.29f, -0.627f, 0.423f, -1.054f, 0.85f)
                curveToRelative(-0.533f, 0.53f, -0.818f, 0.924f, -1.145f, 1.575f)
                arcToRelative(6.276f, 6.276f, 0.0f, false, false, -0.581f, 3.931f)
                curveToRelative(0.06f, 0.359f, 0.143f, 0.65f, 0.304f, 1.088f)
                curveToRelative(0.061f, 0.163f, 0.068f, 0.23f, 0.044f, 0.367f)
                curveToRelative(-0.098f, 0.55f, -0.707f, 0.957f, -1.152f, 0.772f)
                curveToRelative(-0.065f, -0.026f, -0.12f, -0.045f, -0.12f, -0.033f)
                curveToRelative(0.0f, 0.037f, -0.287f, -0.2f, -0.376f, -0.312f)
                arcToRelative(1.87f, 1.87f, 0.0f, false, true, -0.205f, -0.42f)
                curveToRelative(-0.469f, -1.301f, -0.55f, -2.946f, -0.216f, -4.368f)
                arcToRelative(8.318f, 8.318f, 0.0f, false, true, 1.587f, -3.222f)
                curveToRelative(0.315f, -0.39f, 0.991f, -1.053f, 1.358f, -1.337f)
                curveToRelative(0.274f, -0.21f, 0.899f, -0.622f, 0.944f, -0.622f)
                curveToRelative(0.007f, 0.0f, 0.13f, -0.069f, 0.273f, -0.155f)
                arcToRelative(2.15f, 2.15f, 0.0f, false, true, 0.26f, -0.136f)
                curveToRelative(0.0f, 0.01f, 0.065f, -0.018f, 0.147f, -0.058f)
                curveToRelative(0.079f, -0.042f, 0.16f, -0.08f, 0.178f, -0.082f)
                curveToRelative(0.02f, -0.004f, 0.096f, -0.035f, 0.171f, -0.065f)
                curveToRelative(0.075f, -0.036f, 0.136f, -0.055f, 0.14f, -0.048f)
                curveToRelative(0.0f, 0.005f, 0.027f, -0.007f, 0.058f, -0.035f)
                curveToRelative(0.034f, -0.024f, 0.06f, -0.034f, 0.06f, -0.02f)
                curveToRelative(0.0f, 0.015f, 0.023f, 0.008f, 0.05f, -0.017f)
                curveToRelative(0.027f, -0.024f, 0.05f, -0.03f, 0.05f, -0.018f)
                curveToRelative(0.0f, 0.014f, 0.025f, 0.007f, 0.052f, -0.017f)
                reflectiveCurveToRelative(0.051f, -0.03f, 0.051f, -0.016f)
                reflectiveCurveToRelative(0.025f, 0.006f, 0.052f, -0.018f)
                curveToRelative(0.027f, -0.023f, 0.05f, -0.033f, 0.05f, -0.02f)
                curveToRelative(0.0f, 0.01f, 0.043f, 0.003f, 0.096f, -0.018f)
                curveToRelative(0.052f, -0.02f, 0.12f, -0.043f, 0.156f, -0.05f)
                curveToRelative(0.054f, -0.015f, 0.163f, -0.04f, 0.246f, -0.061f)
                arcToRelative(0.887f, 0.887f, 0.0f, false, false, 0.101f, -0.032f)
                curveToRelative(0.038f, -0.01f, 0.124f, -0.03f, 0.189f, -0.04f)
                curveToRelative(0.065f, -0.01f, 0.263f, -0.042f, 0.437f, -0.068f)
                curveToRelative(0.237f, -0.038f, 0.537f, -0.05f, 1.215f, -0.043f)
                curveToRelative(0.492f, 0.007f, 0.945f, 0.021f, 0.998f, 0.031f)
                curveToRelative(0.058f, 0.012f, 0.172f, 0.031f, 0.254f, 0.041f)
                curveToRelative(0.086f, 0.015f, 0.214f, 0.038f, 0.29f, 0.059f)
                curveToRelative(0.079f, 0.016f, 0.192f, 0.04f, 0.257f, 0.052f)
                arcToRelative(0.629f, 0.629f, 0.0f, false, true, 0.154f, 0.037f)
                arcToRelative(0.23f, 0.23f, 0.0f, false, false, 0.082f, 0.034f)
                curveToRelative(0.1f, 0.024f, 0.16f, 0.04f, 0.17f, 0.045f)
                curveToRelative(0.006f, 0.007f, 0.017f, 0.01f, 0.035f, 0.012f)
                lineToRelative(0.264f, 0.09f)
                curveToRelative(0.134f, 0.044f, 0.246f, 0.084f, 0.255f, 0.084f)
                reflectiveCurveToRelative(0.05f, 0.022f, 0.086f, 0.043f)
                curveToRelative(0.037f, 0.02f, 0.08f, 0.037f, 0.096f, 0.04f)
                curveToRelative(0.014f, 0.0f, 0.072f, 0.028f, 0.127f, 0.056f)
                curveToRelative(0.057f, 0.03f, 0.102f, 0.046f, 0.102f, 0.037f)
                curveToRelative(0.0f, -0.024f, 0.742f, 0.379f, 0.949f, 0.516f)
                curveToRelative(0.105f, 0.072f, 0.22f, 0.148f, 0.252f, 0.164f)
                curveToRelative(0.347f, 0.212f, 0.861f, 0.643f, 1.283f, 1.077f)
                arcToRelative(8.174f, 8.174f, 0.0f, false, true, 2.154f, 4.07f)
                curveToRelative(0.082f, 0.414f, 0.096f, 0.555f, 0.108f, 1.334f)
                curveToRelative(0.015f, 0.998f, -0.024f, 1.392f, -0.215f, 2.14f)
                curveToRelative(-0.402f, 1.574f, -1.23f, 2.908f, -2.541f, 4.098f)
                arcToRelative(10.0f, 10.0f, 0.0f, false, true, -1.22f, 0.882f)
                curveToRelative(-0.18f, 0.108f, -1.044f, 0.537f, -1.044f, 0.52f)
                curveToRelative(0.0f, -0.01f, -0.033f, 0.004f, -0.074f, 0.028f)
                curveToRelative(-0.045f, 0.024f, -0.086f, 0.045f, -0.096f, 0.045f)
                curveToRelative(-0.011f, 0.0f, -0.125f, 0.04f, -0.258f, 0.084f)
                curveToRelative(-0.128f, 0.045f, -0.246f, 0.086f, -0.255f, 0.086f)
                lineToRelative(-0.069f, 0.028f)
                arcToRelative(0.569f, 0.569f, 0.0f, false, true, -0.137f, 0.037f)
                curveToRelative(-0.167f, 0.035f, -0.24f, 0.052f, -0.269f, 0.069f)
                arcToRelative(0.554f, 0.554f, 0.0f, false, true, -0.145f, 0.037f)
                arcToRelative(3.77f, 3.77f, 0.0f, false, false, -0.273f, 0.049f)
                arcToRelative(5.506f, 5.506f, 0.0f, false, true, -0.715f, 0.089f)
                curveToRelative(-0.575f, 0.045f, -0.875f, 0.057f, -0.889f, 0.04f)
                close()
            }
        }
        .build()
        return _tencentweibo!!
    }

private var _tencentweibo: ImageVector? = null
