package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Toshiba: ImageVector
    get() {
        if (_toshiba != null) {
            return _toshiba!!
        }
        _toshiba = Builder(name = "Toshiba", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(5.174f, 10.172f)
                curveToRelative(-1.065f, 0.0f, -1.578f, 0.187f, -1.65f, 1.148f)
                arcToRelative(8.92f, 8.92f, 0.0f, false, false, -0.022f, 0.68f)
                curveToRelative(0.0f, 0.218f, 0.004f, 0.451f, 0.021f, 0.68f)
                curveToRelative(0.073f, 0.96f, 0.586f, 1.148f, 1.65f, 1.148f)
                curveToRelative(1.065f, 0.0f, 1.58f, -0.188f, 1.653f, -1.148f)
                curveToRelative(0.018f, -0.229f, 0.022f, -0.462f, 0.022f, -0.68f)
                curveToRelative(0.0f, -0.217f, -0.005f, -0.451f, -0.022f, -0.68f)
                curveToRelative(-0.073f, -0.96f, -0.588f, -1.148f, -1.652f, -1.148f)
                close()
                moveTo(8.964f, 10.172f)
                curveToRelative(-0.41f, 0.0f, -0.82f, 0.04f, -0.985f, 0.121f)
                curveToRelative(-0.322f, 0.156f, -0.545f, 0.38f, -0.545f, 1.02f)
                curveToRelative(0.0f, 0.375f, 0.1f, 0.654f, 0.293f, 0.796f)
                curveToRelative(0.281f, 0.21f, 0.553f, 0.23f, 1.31f, 0.27f)
                curveToRelative(0.305f, 0.016f, 0.47f, 0.078f, 0.47f, 0.34f)
                curveToRelative(0.0f, 0.332f, -0.294f, 0.332f, -0.564f, 0.332f)
                curveToRelative(-0.28f, 0.0f, -0.366f, -0.025f, -0.46f, -0.096f)
                curveToRelative(-0.084f, -0.063f, -0.105f, -0.176f, -0.106f, -0.348f)
                horizontalLineToRelative(-0.95f)
                curveToRelative(0.0f, 0.487f, 0.01f, 0.884f, 0.47f, 1.084f)
                curveToRelative(0.41f, 0.18f, 1.67f, 0.18f, 2.048f, 0.014f)
                curveToRelative(0.328f, -0.145f, 0.563f, -0.337f, 0.563f, -0.994f)
                curveToRelative(0.0f, -0.455f, -0.091f, -0.735f, -0.44f, -0.941f)
                curveToRelative(-0.248f, -0.147f, -0.945f, -0.17f, -1.298f, -0.192f)
                curveToRelative(-0.258f, -0.016f, -0.356f, -0.11f, -0.356f, -0.338f)
                curveToRelative(0.0f, -0.297f, 0.285f, -0.308f, 0.53f, -0.308f)
                curveToRelative(0.202f, 0.0f, 0.34f, 0.018f, 0.439f, 0.105f)
                curveToRelative(0.038f, 0.039f, 0.086f, 0.099f, 0.088f, 0.307f)
                horizontalLineToRelative(0.947f)
                curveToRelative(0.0f, -0.408f, -0.014f, -0.848f, -0.455f, -1.051f)
                curveToRelative(-0.175f, -0.08f, -0.587f, -0.121f, -0.998f, -0.121f)
                close()
                moveTo(11.17f, 10.234f)
                verticalLineToRelative(3.532f)
                horizontalLineToRelative(0.996f)
                verticalLineToRelative(-1.362f)
                horizontalLineToRelative(1.156f)
                verticalLineToRelative(1.362f)
                horizontalLineToRelative(0.996f)
                verticalLineToRelative(-3.532f)
                horizontalLineToRelative(-0.996f)
                verticalLineToRelative(1.29f)
                horizontalLineToRelative(-1.156f)
                verticalLineToRelative(-1.29f)
                horizontalLineToRelative(-0.996f)
                close()
                moveTo(15.193f, 10.234f)
                verticalLineToRelative(3.532f)
                horizontalLineToRelative(1.002f)
                verticalLineToRelative(-3.532f)
                horizontalLineToRelative(-1.002f)
                close()
                moveTo(17.084f, 10.234f)
                verticalLineToRelative(3.532f)
                horizontalLineToRelative(1.887f)
                curveToRelative(0.869f, 0.0f, 1.162f, -0.376f, 1.162f, -0.952f)
                curveToRelative(0.0f, -0.401f, -0.092f, -0.755f, -0.643f, -0.894f)
                curveToRelative(0.444f, -0.114f, 0.574f, -0.379f, 0.574f, -0.762f)
                curveToRelative(0.0f, -0.776f, -0.487f, -0.924f, -1.181f, -0.924f)
                horizontalLineToRelative(-1.799f)
                close()
                moveTo(21.457f, 10.234f)
                lineToRelative(-1.068f, 3.532f)
                horizontalLineToRelative(1.037f)
                lineToRelative(0.187f, -0.655f)
                horizontalLineToRelative(1.16f)
                lineToRelative(0.19f, 0.655f)
                lineTo(24.0f, 13.766f)
                lineToRelative(-1.07f, -3.532f)
                horizontalLineToRelative(-1.473f)
                close()
                moveTo(0.0f, 10.236f)
                verticalLineToRelative(0.881f)
                horizontalLineToRelative(1.055f)
                verticalLineToRelative(2.65f)
                lineTo(2.11f, 13.767f)
                verticalLineToRelative(-2.65f)
                horizontalLineToRelative(1.055f)
                verticalLineToRelative(-0.88f)
                lineTo(0.0f, 10.237f)
                close()
                moveTo(5.174f, 10.998f)
                curveToRelative(0.418f, 0.0f, 0.633f, 0.063f, 0.66f, 0.607f)
                curveToRelative(0.004f, 0.085f, 0.01f, 0.201f, 0.01f, 0.395f)
                curveToRelative(0.0f, 0.195f, -0.006f, 0.31f, -0.01f, 0.395f)
                curveToRelative(-0.027f, 0.544f, -0.242f, 0.607f, -0.66f, 0.607f)
                curveToRelative(-0.418f, 0.0f, -0.633f, -0.063f, -0.66f, -0.607f)
                arcTo(7.674f, 7.674f, 0.0f, false, true, 4.506f, 12.0f)
                curveToRelative(0.0f, -0.194f, 0.003f, -0.31f, 0.008f, -0.395f)
                curveToRelative(0.027f, -0.544f, 0.242f, -0.607f, 0.66f, -0.607f)
                close()
                moveTo(18.08f, 11.043f)
                horizontalLineToRelative(0.69f)
                curveToRelative(0.18f, 0.0f, 0.293f, 0.085f, 0.293f, 0.291f)
                curveToRelative(0.0f, 0.176f, -0.112f, 0.285f, -0.293f, 0.285f)
                horizontalLineToRelative(-0.69f)
                verticalLineToRelative(-0.576f)
                close()
                moveTo(22.191f, 11.107f)
                horizontalLineToRelative(0.006f)
                lineToRelative(0.354f, 1.22f)
                horizontalLineToRelative(-0.713f)
                lineToRelative(0.353f, -1.22f)
                close()
                moveTo(18.081f, 12.314f)
                horizontalLineToRelative(0.689f)
                curveToRelative(0.279f, 0.0f, 0.337f, 0.124f, 0.337f, 0.323f)
                reflectiveCurveToRelative(-0.11f, 0.32f, -0.337f, 0.32f)
                horizontalLineToRelative(-0.69f)
                verticalLineToRelative(-0.643f)
                close()
            }
        }
        .build()
        return _toshiba!!
    }

private var _toshiba: ImageVector? = null
