package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Virtualbox: ImageVector
    get() {
        if (_virtualbox != null) {
            return _virtualbox!!
        }
        _virtualbox = Builder(name = "Virtualbox", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.0f, 0.0f)
                arcToRelative(0.477f, 0.477f, 0.0f, false, false, -0.188f, 0.047f)
                lineTo(2.17f, 4.274f)
                curveToRelative(-0.265f, 0.169f, -0.378f, 0.363f, -0.372f, 0.692f)
                lineToRelative(0.832f, 10.278f)
                curveToRelative(0.009f, 0.107f, 0.047f, 0.165f, 0.128f, 0.25f)
                lineToRelative(3.564f, 2.713f)
                reflectiveCurveToRelative(0.015f, 2.015f, 0.455f, 2.806f)
                curveTo(7.109f, 21.61f, 8.652f, 24.033f, 12.0f, 24.0f)
                curveToRelative(3.348f, -0.033f, 4.988f, -2.03f, 5.484f, -3.028f)
                curveToRelative(0.47f, -0.946f, 0.46f, -2.912f, 0.46f, -2.912f)
                lineToRelative(3.255f, -2.548f)
                arcToRelative(0.31f, 0.31f, 0.0f, false, false, 0.14f, -0.258f)
                lineToRelative(0.86f, -10.31f)
                curveToRelative(0.026f, -0.312f, -0.103f, -0.57f, -0.368f, -0.685f)
                lineTo(12.181f, 0.047f)
                arcTo(0.435f, 0.435f, 0.0f, false, false, 12.0f, 0.0f)
                close()
                moveTo(11.949f, 1.078f)
                curveToRelative(0.054f, 0.002f, 0.108f, 0.02f, 0.188f, 0.056f)
                lineToRelative(7.417f, 3.429f)
                lineTo(12.132f, 8.9f)
                curveToRelative(-0.115f, 0.058f, -0.166f, 0.049f, -0.264f, 0.0f)
                lineToRelative(-7.35f, -4.264f)
                curveToRelative(-0.113f, -0.074f, -0.12f, -0.125f, 0.0f, -0.197f)
                lineToRelative(7.234f, -3.314f)
                arcToRelative(0.534f, 0.534f, 0.0f, false, true, 0.197f, -0.047f)
                close()
                moveTo(11.959f, 1.766f)
                lineTo(5.905f, 4.591f)
                lineToRelative(6.042f, 3.49f)
                lineToRelative(6.067f, -3.48f)
                close()
                moveTo(11.959f, 2.141f)
                lineToRelative(5.232f, 2.46f)
                lineToRelative(-3.262f, 1.82f)
                lineToRelative(-1.04f, -0.557f)
                lineToRelative(1.764f, -2.208f)
                lineToRelative(-2.138f, 0.838f)
                lineTo(13.639f, 3.1f)
                lineToRelative(-3.252f, 1.346f)
                lineToRelative(1.1f, -1.15f)
                lineToRelative(-0.978f, -0.45f)
                close()
                moveTo(10.122f, 2.99f)
                lineToRelative(0.784f, 0.388f)
                lineToRelative(-2.115f, 2.098f)
                lineToRelative(3.615f, -1.492f)
                lineToRelative(-1.246f, 1.502f)
                lineToRelative(2.237f, -0.932f)
                lineToRelative(-1.136f, 1.419f)
                lineToRelative(1.232f, 0.666f)
                lineToRelative(-1.56f, 0.885f)
                lineToRelative(-5.148f, -2.946f)
                close()
                moveTo(3.192f, 6.892f)
                curveToRelative(0.029f, 0.0f, 0.072f, 0.02f, 0.135f, 0.054f)
                lineToRelative(7.28f, 4.577f)
                lineToRelative(0.017f, 7.818f)
                lineToRelative(-6.853f, -5.057f)
                curveToRelative(-0.077f, -0.073f, -0.104f, -0.098f, -0.103f, -0.193f)
                lineToRelative(-0.52f, -7.137f)
                curveToRelative(0.0f, -0.043f, 0.015f, -0.062f, 0.044f, -0.062f)
                close()
                moveTo(20.784f, 6.978f)
                curveToRelative(0.03f, 0.0f, 0.042f, 0.02f, 0.043f, 0.062f)
                lineToRelative(-0.495f, 7.027f)
                curveToRelative(0.0f, 0.096f, -0.026f, 0.12f, -0.103f, 0.193f)
                lineToRelative(-6.843f, 5.081f)
                lineToRelative(0.043f, -7.805f)
                lineToRelative(7.219f, -4.504f)
                arcToRelative(0.348f, 0.348f, 0.0f, false, true, 0.136f, -0.054f)
                close()
                moveTo(19.979f, 10.184f)
                lineToRelative(-0.177f, 0.126f)
                lineToRelative(-0.133f, 0.442f)
                lineToRelative(-0.049f, -0.315f)
                lineToRelative(-0.226f, 0.15f)
                lineToRelative(0.145f, 0.598f)
                lineToRelative(-0.224f, 0.915f)
                lineToRelative(0.233f, -0.195f)
                lineToRelative(0.085f, -0.527f)
                lineToRelative(0.064f, 0.413f)
                lineToRelative(0.278f, -0.184f)
                lineToRelative(-0.195f, -0.682f)
                close()
                moveTo(4.269f, 10.433f)
                curveToRelative(-0.12f, -0.011f, -0.19f, 0.127f, -0.169f, 0.37f)
                curveToRelative(0.028f, 0.327f, 0.21f, 0.72f, 0.408f, 0.877f)
                lineToRelative(0.419f, 0.33f)
                curveToRelative(0.2f, 0.158f, 0.338f, 0.018f, 0.307f, -0.313f)
                curveToRelative(-0.03f, -0.33f, -0.216f, -0.724f, -0.414f, -0.879f)
                lineToRelative(-0.417f, -0.323f)
                arcToRelative(0.265f, 0.265f, 0.0f, false, false, -0.134f, -0.062f)
                close()
                moveTo(4.344f, 10.668f)
                arcToRelative(0.173f, 0.173f, 0.0f, false, true, 0.087f, 0.041f)
                lineToRelative(0.397f, 0.31f)
                curveToRelative(0.129f, 0.101f, 0.25f, 0.358f, 0.27f, 0.57f)
                curveToRelative(0.02f, 0.215f, -0.07f, 0.304f, -0.199f, 0.202f)
                lineToRelative(-0.4f, -0.315f)
                curveToRelative(-0.128f, -0.101f, -0.246f, -0.354f, -0.264f, -0.566f)
                curveToRelative(-0.014f, -0.158f, 0.03f, -0.249f, 0.109f, -0.242f)
                close()
                moveTo(19.167f, 10.771f)
                curveToRelative(0.0f, -0.035f, -0.074f, 0.01f, -0.115f, 0.04f)
                curveToRelative(-0.16f, 0.123f, -0.358f, 0.559f, -0.372f, 1.068f)
                curveToRelative(-0.015f, 0.556f, 0.11f, 0.619f, 0.263f, 0.514f)
                curveToRelative(0.162f, -0.11f, 0.382f, -0.492f, 0.39f, -1.026f)
                curveToRelative(0.007f, -0.409f, -0.166f, -0.491f, -0.166f, -0.596f)
                close()
                moveTo(18.454f, 10.838f)
                reflectiveCurveToRelative(-0.439f, 0.19f, -0.44f, 0.295f)
                curveToRelative(-0.01f, 0.65f, -0.07f, 1.968f, -0.07f, 1.968f)
                lineToRelative(0.332f, -0.251f)
                reflectiveCurveToRelative(0.329f, -0.218f, 0.334f, -0.82f)
                curveToRelative(0.003f, -0.386f, -0.126f, -0.31f, -0.126f, -0.31f)
                reflectiveCurveToRelative(0.104f, -0.218f, 0.106f, -0.514f)
                curveToRelative(0.005f, -0.445f, -0.136f, -0.368f, -0.136f, -0.368f)
                close()
                moveTo(19.056f, 11.052f)
                curveToRelative(0.115f, 0.0f, 0.094f, 0.268f, 0.092f, 0.446f)
                curveToRelative(-0.002f, 0.175f, -0.088f, 0.576f, -0.18f, 0.643f)
                curveToRelative(-0.093f, 0.068f, -0.1f, -0.243f, -0.098f, -0.423f)
                curveToRelative(0.003f, -0.173f, 0.074f, -0.666f, 0.186f, -0.666f)
                close()
                moveTo(18.336f, 11.127f)
                reflectiveCurveToRelative(0.08f, -0.05f, 0.073f, 0.214f)
                arcToRelative(0.829f, 0.829f, 0.0f, false, true, -0.088f, 0.328f)
                lineToRelative(-0.134f, 0.09f)
                lineToRelative(0.006f, -0.538f)
                close()
                moveTo(17.824f, 11.148f)
                lineToRelative(-0.229f, 0.14f)
                lineToRelative(-0.06f, 1.843f)
                reflectiveCurveToRelative(-0.014f, 0.184f, 0.036f, 0.222f)
                curveToRelative(0.072f, 0.056f, 0.267f, -0.173f, 0.267f, -0.173f)
                lineToRelative(-0.004f, -0.21f)
                reflectiveCurveToRelative(-0.075f, 0.018f, -0.072f, -0.058f)
                close()
                moveTo(5.25f, 11.16f)
                lineToRelative(0.112f, 1.196f)
                lineToRelative(0.14f, 0.111f)
                lineToRelative(-0.091f, -0.988f)
                lineToRelative(0.461f, 0.363f)
                arcToRelative(0.47f, 0.47f, 0.0f, false, true, 0.137f, 0.287f)
                curveToRelative(0.01f, 0.108f, -0.033f, 0.154f, -0.098f, 0.103f)
                lineToRelative(-0.396f, -0.313f)
                lineToRelative(0.477f, 0.936f)
                lineToRelative(0.205f, 0.163f)
                lineToRelative(-0.32f, -0.617f)
                lineToRelative(0.063f, 0.05f)
                curveToRelative(0.137f, 0.107f, 0.23f, 0.013f, 0.208f, -0.213f)
                curveToRelative(-0.022f, -0.225f, -0.15f, -0.496f, -0.287f, -0.602f)
                close()
                moveTo(18.299f, 11.94f)
                reflectiveCurveToRelative(0.1f, -0.024f, 0.09f, 0.279f)
                curveToRelative(-0.008f, 0.257f, -0.09f, 0.338f, -0.09f, 0.338f)
                lineToRelative(-0.152f, 0.11f)
                lineToRelative(0.013f, -0.62f)
                close()
                moveTo(17.349f, 12.114f)
                curveToRelative(-0.042f, -0.012f, -0.102f, 0.006f, -0.189f, 0.077f)
                curveToRelative(-0.107f, 0.07f, -0.305f, 0.38f, -0.305f, 0.38f)
                lineToRelative(0.008f, 0.19f)
                reflectiveCurveToRelative(0.114f, -0.141f, 0.171f, -0.187f)
                curveToRelative(0.221f, -0.22f, 0.165f, 0.09f, 0.165f, 0.09f)
                lineToRelative(-0.005f, 0.099f)
                lineToRelative(-0.156f, 0.146f)
                reflectiveCurveToRelative(-0.231f, 0.227f, -0.243f, 0.658f)
                curveToRelative(-0.006f, 0.206f, 0.068f, 0.35f, 0.18f, 0.265f)
                curveToRelative(0.11f, -0.082f, 0.247f, -0.33f, 0.247f, -0.33f)
                lineToRelative(0.004f, 0.144f)
                lineToRelative(0.19f, -0.17f)
                lineToRelative(0.013f, -1.02f)
                reflectiveCurveToRelative(0.043f, -0.307f, -0.08f, -0.342f)
                close()
                moveTo(6.645f, 12.24f)
                curveToRelative(-0.035f, -0.028f, -0.066f, -0.027f, -0.08f, 0.004f)
                lineToRelative(-0.334f, 0.8f)
                lineToRelative(0.167f, 0.133f)
                lineToRelative(0.273f, -0.671f)
                lineToRelative(0.254f, 0.69f)
                lineToRelative(-0.38f, -0.3f)
                lineToRelative(0.105f, 0.28f)
                lineToRelative(0.386f, 0.307f)
                lineToRelative(0.103f, 0.28f)
                lineToRelative(0.17f, 0.134f)
                lineToRelative(-0.572f, -1.518f)
                arcToRelative(0.338f, 0.338f, 0.0f, false, false, -0.092f, -0.139f)
                close()
                moveTo(16.699f, 12.59f)
                lineToRelative(-0.18f, 0.132f)
                lineToRelative(-0.01f, 1.078f)
                reflectiveCurveToRelative(-0.098f, 0.19f, -0.14f, 0.217f)
                curveToRelative(-0.072f, 0.047f, -0.07f, -0.107f, -0.07f, -0.107f)
                lineToRelative(0.015f, -1.02f)
                lineToRelative(-0.192f, 0.145f)
                lineToRelative(-0.015f, 1.02f)
                reflectiveCurveToRelative(-0.011f, 0.457f, 0.182f, 0.313f)
                arcToRelative(0.779f, 0.779f, 0.0f, false, false, 0.222f, -0.323f)
                lineToRelative(0.017f, 0.128f)
                lineToRelative(0.154f, -0.11f)
                close()
                moveTo(15.893f, 12.7f)
                lineToRelative(-0.164f, 0.108f)
                lineToRelative(-0.066f, 0.489f)
                lineToRelative(-0.077f, 0.049f)
                verticalLineToRelative(0.023f)
                lineToRelative(-0.152f, 0.095f)
                curveToRelative(-0.06f, 0.093f, -0.098f, 0.38f, -0.098f, 0.38f)
                lineToRelative(0.002f, -0.288f)
                lineToRelative(-0.175f, 0.124f)
                lineToRelative(-0.04f, 1.483f)
                lineToRelative(0.198f, -0.143f)
                lineToRelative(0.043f, -0.877f)
                reflectiveCurveToRelative(0.032f, -0.211f, 0.098f, -0.321f)
                lineToRelative(0.107f, -0.086f)
                lineToRelative(0.017f, -0.309f)
                lineToRelative(0.002f, 0.155f)
                lineToRelative(0.066f, -0.056f)
                lineToRelative(-0.008f, 0.945f)
                reflectiveCurveToRelative(-0.015f, 0.314f, 0.15f, 0.204f)
                curveToRelative(0.057f, -0.039f, 0.213f, -0.23f, 0.213f, -0.23f)
                lineTo(16.0f, 14.252f)
                reflectiveCurveToRelative(-0.076f, 0.071f, -0.1f, 0.086f)
                curveToRelative(-0.037f, 0.023f, -0.036f, -0.058f, -0.036f, -0.058f)
                lineToRelative(0.021f, -0.915f)
                lineToRelative(0.11f, -0.077f)
                lineToRelative(-0.003f, -0.24f)
                lineToRelative(-0.096f, 0.06f)
                close()
                moveTo(7.342f, 12.84f)
                curveToRelative(-0.124f, -0.012f, -0.197f, 0.13f, -0.171f, 0.384f)
                curveToRelative(0.035f, 0.339f, 0.232f, 0.748f, 0.44f, 0.913f)
                lineToRelative(0.449f, 0.353f)
                lineToRelative(0.062f, -0.15f)
                lineToRelative(-0.524f, -0.415f)
                curveToRelative(-0.134f, -0.107f, -0.263f, -0.37f, -0.286f, -0.59f)
                curveToRelative(-0.023f, -0.219f, 0.07f, -0.31f, 0.203f, -0.206f)
                lineToRelative(0.423f, 0.333f)
                lineToRelative(0.062f, -0.15f)
                lineToRelative(-0.517f, -0.408f)
                arcToRelative(0.28f, 0.28f, 0.0f, false, false, -0.141f, -0.064f)
                close()
                moveTo(17.192f, 13.012f)
                verticalLineToRelative(0.357f)
                reflectiveCurveToRelative(-0.107f, 0.126f, -0.156f, 0.155f)
                curveToRelative(-0.048f, 0.029f, -0.06f, -0.055f, -0.06f, -0.129f)
                arcToRelative(0.457f, 0.457f, 0.0f, false, true, 0.118f, -0.293f)
                close()
                moveTo(14.966f, 13.183f)
                curveToRelative(-0.067f, 0.048f, -0.123f, 0.188f, -0.124f, 0.313f)
                curveToRelative(0.0f, 0.125f, 0.053f, 0.187f, 0.12f, 0.14f)
                curveToRelative(0.068f, -0.048f, 0.125f, -0.188f, 0.126f, -0.314f)
                curveToRelative(0.0f, -0.125f, -0.054f, -0.188f, -0.122f, -0.139f)
                close()
                moveTo(8.079f, 13.372f)
                lineToRelative(0.12f, 1.12f)
                arcToRelative(0.296f, 0.296f, 0.0f, false, false, 0.087f, 0.178f)
                lineToRelative(0.673f, 0.532f)
                lineToRelative(0.062f, -0.152f)
                lineToRelative(-0.686f, -0.543f)
                lineToRelative(-0.11f, -1.022f)
                close()
                moveTo(14.763f, 13.481f)
                lineToRelative(-0.213f, 0.156f)
                reflectiveCurveToRelative(-0.022f, 0.371f, -0.182f, 1.69f)
                curveToRelative(-0.132f, -0.98f, -0.132f, -1.45f, -0.132f, -1.45f)
                lineToRelative(-0.246f, 0.163f)
                lineToRelative(0.152f, 1.803f)
                lineToRelative(0.365f, -0.208f)
                close()
                moveTo(15.022f, 13.779f)
                lineToRelative(-0.197f, 0.141f)
                lineToRelative(-0.062f, 1.505f)
                lineToRelative(0.197f, -0.142f)
                close()
                moveTo(9.111f, 14.225f)
                curveToRelative(-0.127f, -0.013f, -0.198f, 0.133f, -0.169f, 0.392f)
                curveToRelative(0.039f, 0.346f, 0.244f, 0.765f, 0.457f, 0.934f)
                lineToRelative(0.46f, 0.364f)
                lineToRelative(0.064f, -0.154f)
                lineToRelative(-0.541f, -0.426f)
                curveToRelative(-0.114f, -0.09f, -0.225f, -0.29f, -0.273f, -0.485f)
                lineToRelative(0.636f, 0.5f)
                lineToRelative(0.062f, -0.153f)
                lineToRelative(-0.724f, -0.57f)
                curveToRelative(0.01f, -0.146f, 0.094f, -0.196f, 0.207f, -0.107f)
                lineToRelative(0.436f, 0.343f)
                lineToRelative(0.062f, -0.152f)
                lineToRelative(-0.534f, -0.418f)
                arcToRelative(0.292f, 0.292f, 0.0f, false, false, -0.143f, -0.068f)
                close()
                moveTo(9.88f, 14.812f)
                curveToRelative(-0.013f, 0.013f, -0.02f, 0.042f, -0.015f, 0.081f)
                arcToRelative(0.351f, 0.351f, 0.0f, false, false, 0.105f, 0.21f)
                curveToRelative(0.048f, 0.038f, 0.08f, 0.006f, 0.07f, -0.073f)
                arcToRelative(0.36f, 0.36f, 0.0f, false, false, -0.105f, -0.212f)
                curveToRelative(-0.024f, -0.018f, -0.042f, -0.02f, -0.055f, -0.006f)
                close()
                moveTo(9.895f, 14.844f)
                curveToRelative(0.01f, -0.01f, 0.026f, -0.01f, 0.045f, 0.004f)
                curveToRelative(0.038f, 0.03f, 0.074f, 0.104f, 0.08f, 0.165f)
                curveToRelative(0.008f, 0.063f, -0.016f, 0.088f, -0.055f, 0.058f)
                curveToRelative(-0.012f, -0.01f, -0.015f, -0.035f, -0.025f, -0.051f)
                lineToRelative(0.006f, 0.004f)
                lineToRelative(-0.006f, -0.06f)
                lineToRelative(0.015f, 0.01f)
                lineToRelative(0.025f, 0.078f)
                lineToRelative(0.022f, 0.017f)
                lineToRelative(-0.03f, -0.084f)
                horizontalLineToRelative(0.004f)
                curveToRelative(0.008f, -0.002f, 0.009f, -0.013f, 0.008f, -0.019f)
                verticalLineToRelative(-0.013f)
                arcToRelative(0.122f, 0.122f, 0.0f, false, false, -0.025f, -0.058f)
                arcToRelative(0.12f, 0.12f, 0.0f, false, false, -0.026f, -0.025f)
                lineToRelative(-0.023f, -0.02f)
                lineToRelative(0.015f, 0.137f)
                curveToRelative(-0.015f, -0.03f, -0.037f, -0.05f, -0.04f, -0.08f)
                curveToRelative(-0.005f, -0.032f, 0.0f, -0.053f, 0.01f, -0.063f)
                close()
                moveTo(9.931f, 14.891f)
                lineToRelative(0.006f, 0.004f)
                curveToRelative(0.01f, 0.008f, 0.013f, 0.011f, 0.018f, 0.017f)
                arcToRelative(0.07f, 0.07f, 0.0f, false, true, 0.01f, 0.026f)
                curveToRelative(0.0f, 0.006f, 0.002f, 0.01f, 0.0f, 0.013f)
                curveToRelative(-0.002f, 0.006f, -0.009f, 0.002f, -0.015f, -0.002f)
                lineToRelative(-0.013f, -0.01f)
                close()
            }
        }
        .build()
        return _virtualbox!!
    }

private var _virtualbox: ImageVector? = null
