package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Vulkan: ImageVector
    get() {
        if (_vulkan != null) {
            return _vulkan!!
        }
        _vulkan = Builder(name = "Vulkan", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.3417f, 15.336f)
                horizontalLineToRelative(-0.936f)
                verticalLineToRelative(-2.991f)
                curveToRelative(0.299f, 0.167f, 0.694f, 0.474f, 0.936f, 0.769f)
                close()
                moveTo(6.4445f, 15.336f)
                horizontalLineToRelative(-1.167f)
                lineTo(3.7543f, 10.63f)
                horizontalLineToRelative(1.061f)
                lineToRelative(1.048f, 3.309f)
                horizontalLineToRelative(0.013f)
                lineToRelative(1.061f, -3.309f)
                horizontalLineToRelative(1.0681f)
                close()
                moveTo(11.1446f, 15.336f)
                horizontalLineToRelative(-0.89f)
                verticalLineToRelative(-0.474f)
                horizontalLineToRelative(-0.02f)
                arcToRelative(1.051f, 1.051f, 0.0f, false, true, -0.462f, 0.429f)
                arcToRelative(1.36f, 1.36f, 0.0f, false, true, -0.58f, 0.132f)
                arcToRelative(1.63f, 1.63f, 0.0f, false, true, -0.616f, -0.099f)
                arcToRelative(0.89f, 0.89f, 0.0f, false, true, -0.379f, -0.28f)
                arcToRelative(1.11f, 1.11f, 0.0f, false, true, -0.195f, -0.442f)
                arcToRelative(2.768f, 2.768f, 0.0f, false, true, -0.0561f, -0.577f)
                verticalLineToRelative(-2.096f)
                horizontalLineToRelative(0.936f)
                verticalLineToRelative(1.925f)
                curveToRelative(0.0f, 0.281f, 0.044f, 0.491f, 0.132f, 0.629f)
                curveToRelative(0.088f, 0.139f, 0.244f, 0.208f, 0.468f, 0.208f)
                curveToRelative(0.255f, 0.0f, 0.439f, -0.076f, 0.554f, -0.227f)
                curveToRelative(0.114f, -0.152f, 0.171f, -0.401f, 0.171f, -0.748f)
                lineTo(10.2075f, 11.93f)
                horizontalLineToRelative(0.9361f)
                close()
                moveTo(14.4967f, 13.286f)
                lineToRelative(-0.002f, -0.132f)
                lineToRelative(1.18f, -1.226f)
                horizontalLineToRelative(1.108f)
                lineToRelative(-1.285f, 1.252f)
                lineToRelative(1.43f, 2.155f)
                horizontalLineToRelative(-1.134f)
                close()
                moveTo(17.0987f, 12.976f)
                curveToRelative(0.013f, -0.22f, 0.068f, -0.402f, 0.165f, -0.547f)
                arcToRelative(1.13f, 1.13f, 0.0f, false, true, 0.3691f, -0.349f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, 0.504f, -0.188f)
                arcToRelative(2.9f, 2.9f, 0.0f, false, true, 0.564f, -0.056f)
                curveToRelative(0.171f, 0.0f, 0.345f, 0.012f, 0.521f, 0.036f)
                curveToRelative(0.176f, 0.024f, 0.336f, 0.072f, 0.481f, 0.142f)
                curveToRelative(0.145f, 0.07f, 0.264f, 0.168f, 0.356f, 0.293f)
                curveToRelative(0.092f, 0.125f, 0.138f, 0.291f, 0.138f, 0.498f)
                verticalLineToRelative(1.773f)
                curveToRelative(0.0f, 0.154f, 0.009f, 0.301f, 0.026f, 0.442f)
                arcToRelative(0.799f, 0.799f, 0.0f, false, false, 0.092f, 0.316f)
                horizontalLineToRelative(-0.949f)
                arcToRelative(1.32f, 1.32f, 0.0f, false, true, -0.066f, -0.329f)
                arcToRelative(1.208f, 1.208f, 0.0f, false, true, -0.528f, 0.323f)
                arcToRelative(2.135f, 2.135f, 0.0f, false, true, -0.62f, 0.092f)
                curveToRelative(-0.163f, 0.0f, -0.314f, -0.02f, -0.455f, -0.059f)
                arcToRelative(1.018f, 1.018f, 0.0f, false, true, -0.369f, -0.185f)
                arcToRelative(0.856f, 0.856f, 0.0f, false, true, -0.247f, -0.316f)
                arcToRelative(1.073f, 1.073f, 0.0f, false, true, -0.089f, -0.455f)
                curveToRelative(0.0f, -0.193f, 0.034f, -0.353f, 0.102f, -0.478f)
                arcToRelative(0.856f, 0.856f, 0.0f, false, true, 0.264f, -0.3f)
                curveToRelative(0.108f, -0.075f, 0.231f, -0.131f, 0.369f, -0.168f)
                curveToRelative(0.138f, -0.037f, 0.278f, -0.067f, 0.418f, -0.089f)
                arcToRelative(7.9902f, 7.9902f, 0.0f, false, true, 0.415f, -0.053f)
                curveToRelative(0.136f, -0.013f, 0.257f, -0.033f, 0.362f, -0.059f)
                arcToRelative(0.637f, 0.637f, 0.0f, false, false, 0.251f, -0.116f)
                curveToRelative(0.062f, -0.051f, 0.09f, -0.124f, 0.086f, -0.221f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, false, -0.05f, -0.241f)
                arcToRelative(0.365f, 0.365f, 0.0f, false, false, -0.132f, -0.138f)
                arcToRelative(0.521f, 0.521f, 0.0f, false, false, -0.191f, -0.066f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, false, -0.234f, -0.017f)
                curveToRelative(-0.185f, 0.0f, -0.33f, 0.039f, -0.435f, 0.119f)
                curveToRelative(-0.105f, 0.079f, -0.167f, 0.211f, -0.185f, 0.396f)
                close()
                moveTo(19.2609f, 13.669f)
                arcToRelative(0.415f, 0.415f, 0.0f, false, true, -0.148f, 0.082f)
                curveToRelative(-0.059f, 0.02f, -0.123f, 0.036f, -0.191f, 0.05f)
                arcToRelative(3.2101f, 3.2101f, 0.0f, false, true, -0.214f, 0.033f)
                curveToRelative(-0.075f, 0.009f, -0.149f, 0.02f, -0.224f, 0.033f)
                curveToRelative(-0.07f, 0.013f, -0.14f, 0.031f, -0.208f, 0.053f)
                arcToRelative(0.618f, 0.618f, 0.0f, false, false, -0.178f, 0.089f)
                arcToRelative(0.42f, 0.42f, 0.0f, false, false, -0.122f, 0.142f)
                arcToRelative(0.455f, 0.455f, 0.0f, false, false, -0.046f, 0.218f)
                curveToRelative(0.0f, 0.084f, 0.015f, 0.154f, 0.046f, 0.211f)
                arcToRelative(0.362f, 0.362f, 0.0f, false, false, 0.125f, 0.135f)
                arcToRelative(0.523f, 0.523f, 0.0f, false, false, 0.185f, 0.069f)
                curveToRelative(0.07f, 0.013f, 0.143f, 0.02f, 0.218f, 0.02f)
                curveToRelative(0.185f, 0.0f, 0.328f, -0.031f, 0.429f, -0.092f)
                arcToRelative(0.616f, 0.616f, 0.0f, false, false, 0.224f, -0.221f)
                arcToRelative(0.712f, 0.712f, 0.0f, false, false, 0.089f, -0.26f)
                curveToRelative(0.011f, -0.088f, 0.016f, -0.158f, 0.017f, -0.211f)
                close()
                moveTo(20.8029f, 11.928f)
                horizontalLineToRelative(0.89f)
                verticalLineToRelative(0.474f)
                horizontalLineToRelative(0.02f)
                curveToRelative(0.119f, -0.198f, 0.272f, -0.342f, 0.461f, -0.432f)
                curveToRelative(0.189f, -0.09f, 0.382f, -0.135f, 0.58f, -0.135f)
                curveToRelative(0.251f, 0.0f, 0.456f, 0.034f, 0.617f, 0.102f)
                curveToRelative(0.16f, 0.068f, 0.286f, 0.163f, 0.379f, 0.283f)
                curveToRelative(0.092f, 0.121f, 0.1571f, 0.268f, 0.1941f, 0.441f)
                curveToRelative(0.037f, 0.176f, 0.056f, 0.368f, 0.056f, 0.579f)
                verticalLineToRelative(2.096f)
                horizontalLineToRelative(-0.936f)
                verticalLineToRelative(-1.925f)
                curveToRelative(0.0f, -0.281f, -0.044f, -0.491f, -0.132f, -0.629f)
                curveToRelative(-0.088f, -0.138f, -0.244f, -0.208f, -0.468f, -0.208f)
                curveToRelative(-0.255f, 0.0f, -0.439f, 0.076f, -0.554f, 0.227f)
                curveToRelative(-0.114f, 0.151f, -0.171f, 0.401f, -0.171f, 0.748f)
                verticalLineToRelative(1.786f)
                horizontalLineToRelative(-0.9361f)
                close()
                moveTo(11.7646f, 11.341f)
                verticalLineToRelative(3.996f)
                horizontalLineToRelative(0.936f)
                verticalLineToRelative(-3.48f)
                arcToRelative(11.5774f, 11.5774f, 0.0f, false, false, -0.936f, -0.516f)
                close()
                moveTo(2.2163f, 11.511f)
                curveToRelative(0.542f, -1.5901f, 3.7861f, -2.1722f, 7.2463f, -1.3021f)
                curveToRelative(2.075f, 0.522f, 3.771f, 1.534f, 4.8791f, 2.535f)
                curveToRelative(-0.503f, -1.327f, -2.94f, -3.22f, -6.2952f, -3.868f)
                curveToRelative(-3.7941f, -0.734f, -7.5362f, -0.089f, -7.9992f, 1.595f)
                curveToRelative(-0.334f, 1.216f, 1.134f, 2.641f, 3.406f, 3.6151f)
                curveToRelative(-1.021f, -0.827f, -1.518f, -1.755f, -1.237f, -2.575f)
                close()
                moveTo(14.3427f, 12.166f)
                verticalLineToRelative(-1.5361f)
                horizontalLineToRelative(-0.936f)
                verticalLineToRelative(0.466f)
                curveToRelative(0.399f, 0.357f, 0.716f, 0.72f, 0.936f, 1.07f)
                close()
            }
        }
        .build()
        return _vulkan!!
    }

private var _vulkan: ImageVector? = null
