package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Webauthn: ImageVector
    get() {
        if (_webauthn != null) {
            return _webauthn!!
        }
        _webauthn = Builder(name = "Webauthn", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.2872f, 3.641f)
                arcToRelative(8.407f, 8.407f, 0.0f, false, false, -8.05f, 7.593f)
                horizontalLineToRelative(0.55f)
                arcToRelative(7.805f, 7.805f, 0.0f, false, true, 2.24f, -4.713f)
                arcToRelative(5.825f, 5.825f, 0.0f, false, false, 0.923f, 0.695f)
                curveToRelative(-0.608f, 1.177f, -0.98f, 2.556f, -1.082f, 4.018f)
                horizontalLineToRelative(0.135f)
                curveToRelative(0.105f, -1.467f, 0.485f, -2.819f, 1.065f, -3.947f)
                curveToRelative(0.745f, 0.434f, 1.623f, 0.754f, 2.577f, 0.94f)
                arcToRelative(27.83f, 27.83f, 0.0f, false, false, -0.25f, 3.763f)
                horizontalLineToRelative(-0.847f)
                verticalLineToRelative(0.135f)
                horizontalLineToRelative(0.847f)
                curveToRelative(0.003f, 1.334f, 0.09f, 2.617f, 0.25f, 3.764f)
                curveToRelative(-0.954f, 0.185f, -1.832f, 0.506f, -2.577f, 0.94f)
                arcToRelative(9.997f, 9.997f, 0.0f, false, true, -0.978f, -3.137f)
                horizontalLineToRelative(-0.137f)
                curveToRelative(0.164f, 1.16f, 0.502f, 2.25f, 0.997f, 3.208f)
                arcToRelative(5.825f, 5.825f, 0.0f, false, false, -0.924f, 0.695f)
                arcToRelative(7.805f, 7.805f, 0.0f, false, true, -2.255f, -4.875f)
                horizontalLineToRelative(-0.55f)
                arcToRelative(8.407f, 8.407f, 0.0f, false, false, 16.779f, -0.675f)
                arcToRelative(8.398f, 8.398f, 0.0f, false, false, -0.689f, -3.333f)
                arcToRelative(8.407f, 8.407f, 0.0f, false, false, -8.025f, -5.072f)
                close()
                moveTo(15.6022f, 4.187f)
                curveToRelative(0.155f, 0.0f, 0.31f, 0.005f, 0.464f, 0.014f)
                curveToRelative(0.365f, 0.34f, 0.708f, 1.07f, 0.983f, 2.114f)
                arcToRelative(16.518f, 16.518f, 0.0f, false, true, 0.357f, 1.79f)
                arcToRelative(10.173f, 10.173f, 0.0f, false, true, -1.804f, 0.16f)
                arcToRelative(10.173f, 10.173f, 0.0f, false, true, -1.805f, -0.16f)
                arcToRelative(16.519f, 16.519f, 0.0f, false, true, 0.357f, -1.79f)
                curveToRelative(0.275f, -1.045f, 0.618f, -1.775f, 0.983f, -2.114f)
                arcToRelative(7.97f, 7.97f, 0.0f, false, true, 0.465f, -0.014f)
                close()
                moveTo(14.9372f, 4.215f)
                curveToRelative(-0.345f, 0.392f, -0.658f, 1.093f, -0.913f, 2.065f)
                arcToRelative(16.639f, 16.639f, 0.0f, false, false, -0.36f, 1.8f)
                curveToRelative(-0.939f, -0.183f, -1.802f, -0.498f, -2.533f, -0.926f)
                curveToRelative(0.686f, -1.283f, 1.635f, -2.264f, 2.73f, -2.775f)
                arcToRelative(7.874f, 7.874f, 0.0f, false, true, 1.076f, -0.164f)
                close()
                moveTo(16.2672f, 4.215f)
                arcToRelative(7.856f, 7.856f, 0.0f, false, true, 1.084f, 0.168f)
                curveToRelative(1.092f, 0.513f, 2.037f, 1.492f, 2.721f, 2.771f)
                curveToRelative(-0.73f, 0.428f, -1.594f, 0.743f, -2.533f, 0.927f)
                arcToRelative(16.64f, 16.64f, 0.0f, false, false, -0.36f, -1.8f)
                curveToRelative(-0.255f, -0.972f, -0.568f, -1.673f, -0.912f, -2.066f)
                close()
                moveTo(13.2952f, 4.529f)
                curveToRelative(-0.655f, 0.407f, -1.257f, 0.989f, -1.776f, 1.73f)
                arcToRelative(8.166f, 8.166f, 0.0f, false, false, -0.506f, 0.825f)
                arcToRelative(5.69f, 5.69f, 0.0f, false, true, -0.89f, -0.67f)
                arcToRelative(7.814f, 7.814f, 0.0f, false, true, 3.172f, -1.885f)
                close()
                moveTo(17.9192f, 4.535f)
                arcToRelative(7.862f, 7.862f, 0.0f, false, true, 3.164f, 1.877f)
                arcToRelative(5.692f, 5.692f, 0.0f, false, true, -0.893f, 0.672f)
                arcToRelative(8.166f, 8.166f, 0.0f, false, false, -0.506f, -0.825f)
                curveToRelative(-0.516f, -0.738f, -1.115f, -1.318f, -1.765f, -1.724f)
                close()
                moveTo(21.1792f, 6.52f)
                arcToRelative(7.858f, 7.858f, 0.0f, false, true, 1.638f, 2.419f)
                arcToRelative(7.802f, 7.802f, 0.0f, false, true, 0.642f, 3.051f)
                horizontalLineToRelative(-2.095f)
                curveToRelative(-0.01f, -1.74f, -0.398f, -3.396f, -1.11f, -4.774f)
                arcToRelative(5.823f, 5.823f, 0.0f, false, false, 0.925f, -0.696f)
                close()
                moveTo(20.1352f, 7.287f)
                curveToRelative(0.68f, 1.32f, 1.084f, 2.945f, 1.094f, 4.703f)
                horizontalLineToRelative(-3.42f)
                arcToRelative(27.863f, 27.863f, 0.0f, false, false, -0.25f, -3.763f)
                curveToRelative(0.953f, -0.186f, 1.832f, -0.506f, 2.576f, -0.94f)
                close()
                moveTo(13.7782f, 8.252f)
                arcToRelative(10.299f, 10.299f, 0.0f, false, false, 1.824f, 0.16f)
                arcToRelative(10.299f, 10.299f, 0.0f, false, false, 1.823f, -0.16f)
                curveToRelative(0.16f, 1.138f, 0.246f, 2.413f, 0.25f, 3.738f)
                horizontalLineToRelative(-1.179f)
                arcToRelative(1.03f, 1.03f, 0.0f, false, true, -0.093f, 0.135f)
                horizontalLineToRelative(1.27f)
                arcToRelative(27.71f, 27.71f, 0.0f, false, true, -0.248f, 3.739f)
                arcToRelative(10.397f, 10.397f, 0.0f, false, false, -3.647f, 0.0f)
                arcToRelative(27.733f, 27.733f, 0.0f, false, true, -0.248f, -3.739f)
                horizontalLineToRelative(1.294f)
                arcToRelative(0.99f, 0.99f, 0.0f, false, true, -0.09f, -0.135f)
                horizontalLineToRelative(-1.204f)
                curveToRelative(0.003f, -1.325f, 0.088f, -2.6f, 0.248f, -3.738f)
                close()
                moveTo(2.5582f, 9.381f)
                arcToRelative(2.585f, 2.585f, 0.0f, false, false, -2.547f, 2.35f)
                curveToRelative(-0.142f, 1.541f, 1.064f, 2.842f, 2.566f, 2.842f)
                curveToRelative(1.26f, 0.0f, 2.312f, -0.917f, 2.533f, -2.124f)
                horizontalLineToRelative(4.44f)
                verticalLineToRelative(0.972f)
                horizontalLineToRelative(0.946f)
                verticalLineToRelative(-0.972f)
                horizontalLineToRelative(0.837f)
                verticalLineToRelative(1.431f)
                horizontalLineToRelative(0.945f)
                verticalLineToRelative(-2.376f)
                horizontalLineToRelative(-7.168f)
                arcToRelative(2.586f, 2.586f, 0.0f, false, false, -2.552f, -2.123f)
                close()
                moveTo(2.5002f, 10.346f)
                arcToRelative(1.639f, 1.639f, 0.0f, false, true, 1.707f, 1.637f)
                arcToRelative(1.64f, 1.64f, 0.0f, false, true, -1.639f, 1.638f)
                arcToRelative(1.639f, 1.639f, 0.0f, false, true, -0.068f, -3.275f)
                close()
                moveTo(15.5902f, 10.734f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -0.345f, 1.404f)
                lineToRelative(-0.383f, 1.958f)
                horizontalLineToRelative(1.5f)
                lineToRelative(-0.383f, -1.958f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, 0.384f, -0.654f)
                arcToRelative(0.75f, 0.75f, 0.0f, false, false, -0.773f, -0.75f)
                close()
                moveTo(17.8082f, 12.125f)
                horizontalLineToRelative(3.421f)
                curveToRelative(-0.01f, 1.758f, -0.415f, 3.384f, -1.094f, 4.704f)
                curveToRelative(-0.744f, -0.434f, -1.623f, -0.755f, -2.577f, -0.94f)
                arcToRelative(27.81f, 27.81f, 0.0f, false, false, 0.25f, -3.764f)
                close()
                moveTo(21.3642f, 12.125f)
                horizontalLineToRelative(2.095f)
                arcToRelative(7.805f, 7.805f, 0.0f, false, true, -2.28f, 5.47f)
                arcToRelative(5.825f, 5.825f, 0.0f, false, false, -0.925f, -0.696f)
                curveToRelative(0.712f, -1.378f, 1.1f, -3.033f, 1.11f, -4.774f)
                close()
                moveTo(15.8442f, 15.828f)
                arcToRelative(10.284f, 10.284f, 0.0f, false, true, 1.562f, 0.156f)
                arcToRelative(16.518f, 16.518f, 0.0f, false, true, -0.357f, 1.791f)
                curveToRelative(-0.275f, 1.045f, -0.618f, 1.774f, -0.982f, 2.114f)
                arcToRelative(7.972f, 7.972f, 0.0f, false, true, -0.93f, 0.0f)
                curveToRelative(-0.365f, -0.34f, -0.708f, -1.07f, -0.983f, -2.114f)
                arcToRelative(16.519f, 16.519f, 0.0f, false, true, -0.357f, -1.79f)
                arcToRelative(10.284f, 10.284f, 0.0f, false, true, 2.048f, -0.157f)
                close()
                moveTo(17.5392f, 16.009f)
                curveToRelative(0.94f, 0.184f, 1.803f, 0.5f, 2.533f, 0.926f)
                curveToRelative(-0.686f, 1.284f, -1.635f, 2.265f, -2.73f, 2.776f)
                arcToRelative(7.874f, 7.874f, 0.0f, false, true, -1.075f, 0.164f)
                curveToRelative(0.344f, -0.393f, 0.657f, -1.094f, 0.913f, -2.065f)
                arcToRelative(16.64f, 16.64f, 0.0f, false, false, 0.36f, -1.8f)
                close()
                moveTo(13.6652f, 16.009f)
                arcToRelative(16.648f, 16.648f, 0.0f, false, false, 0.36f, 1.8f)
                curveToRelative(0.254f, 0.973f, 0.567f, 1.674f, 0.912f, 2.066f)
                arcToRelative(7.873f, 7.873f, 0.0f, false, true, -1.075f, -0.164f)
                curveToRelative(-1.096f, -0.511f, -2.045f, -1.492f, -2.73f, -2.775f)
                curveToRelative(0.73f, -0.428f, 1.593f, -0.743f, 2.533f, -0.927f)
                close()
                moveTo(11.0132f, 17.006f)
                arcToRelative(8.16f, 8.16f, 0.0f, false, false, 0.506f, 0.825f)
                curveToRelative(0.52f, 0.741f, 1.121f, 1.323f, 1.776f, 1.73f)
                arcToRelative(7.814f, 7.814f, 0.0f, false, true, -3.174f, -1.884f)
                arcToRelative(5.694f, 5.694f, 0.0f, false, true, 0.892f, -0.67f)
                close()
                moveTo(20.1912f, 17.006f)
                arcToRelative(5.694f, 5.694f, 0.0f, false, true, 0.891f, 0.67f)
                arcToRelative(7.814f, 7.814f, 0.0f, false, true, -3.173f, 1.885f)
                curveToRelative(0.654f, -0.407f, 1.256f, -0.989f, 1.775f, -1.73f)
                arcToRelative(8.16f, 8.16f, 0.0f, false, false, 0.507f, -0.825f)
                close()
            }
        }
        .build()
        return _webauthn!!
    }

private var _webauthn: ImageVector? = null
