package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wechat: ImageVector
    get() {
        if (_wechat != null) {
            return _wechat!!
        }
        _wechat = Builder(name = "Wechat", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.691f, 2.188f)
                curveTo(3.891f, 2.188f, 0.0f, 5.476f, 0.0f, 9.53f)
                curveToRelative(0.0f, 2.212f, 1.17f, 4.203f, 3.002f, 5.55f)
                arcToRelative(0.59f, 0.59f, 0.0f, false, true, 0.213f, 0.665f)
                lineToRelative(-0.39f, 1.48f)
                curveToRelative(-0.019f, 0.07f, -0.048f, 0.141f, -0.048f, 0.213f)
                curveToRelative(0.0f, 0.163f, 0.13f, 0.295f, 0.29f, 0.295f)
                arcToRelative(0.326f, 0.326f, 0.0f, false, false, 0.167f, -0.054f)
                lineToRelative(1.903f, -1.114f)
                arcToRelative(0.864f, 0.864f, 0.0f, false, true, 0.717f, -0.098f)
                arcToRelative(10.16f, 10.16f, 0.0f, false, false, 2.837f, 0.403f)
                curveToRelative(0.276f, 0.0f, 0.543f, -0.027f, 0.811f, -0.05f)
                curveToRelative(-0.857f, -2.578f, 0.157f, -4.972f, 1.932f, -6.446f)
                curveToRelative(1.703f, -1.415f, 3.882f, -1.98f, 5.853f, -1.838f)
                curveToRelative(-0.576f, -3.583f, -4.196f, -6.348f, -8.596f, -6.348f)
                close()
                moveTo(5.785f, 5.991f)
                curveToRelative(0.642f, 0.0f, 1.162f, 0.529f, 1.162f, 1.18f)
                arcToRelative(1.17f, 1.17f, 0.0f, false, true, -1.162f, 1.178f)
                arcTo(1.17f, 1.17f, 0.0f, false, true, 4.623f, 7.17f)
                curveToRelative(0.0f, -0.651f, 0.52f, -1.18f, 1.162f, -1.18f)
                close()
                moveTo(11.598f, 5.991f)
                curveToRelative(0.642f, 0.0f, 1.162f, 0.529f, 1.162f, 1.18f)
                arcToRelative(1.17f, 1.17f, 0.0f, false, true, -1.162f, 1.178f)
                arcToRelative(1.17f, 1.17f, 0.0f, false, true, -1.162f, -1.178f)
                curveToRelative(0.0f, -0.651f, 0.52f, -1.18f, 1.162f, -1.18f)
                close()
                moveTo(16.938f, 8.858f)
                curveToRelative(-1.797f, -0.052f, -3.746f, 0.512f, -5.28f, 1.786f)
                curveToRelative(-1.72f, 1.428f, -2.687f, 3.72f, -1.78f, 6.22f)
                curveToRelative(0.942f, 2.453f, 3.666f, 4.229f, 6.884f, 4.229f)
                curveToRelative(0.826f, 0.0f, 1.622f, -0.12f, 2.361f, -0.336f)
                arcToRelative(0.722f, 0.722f, 0.0f, false, true, 0.598f, 0.082f)
                lineToRelative(1.584f, 0.926f)
                arcToRelative(0.272f, 0.272f, 0.0f, false, false, 0.14f, 0.047f)
                curveToRelative(0.134f, 0.0f, 0.24f, -0.111f, 0.24f, -0.247f)
                curveToRelative(0.0f, -0.06f, -0.023f, -0.12f, -0.038f, -0.177f)
                lineToRelative(-0.327f, -1.233f)
                arcToRelative(0.582f, 0.582f, 0.0f, false, true, -0.023f, -0.156f)
                arcToRelative(0.49f, 0.49f, 0.0f, false, true, 0.201f, -0.398f)
                curveTo(23.024f, 18.48f, 24.0f, 16.82f, 24.0f, 14.98f)
                curveToRelative(0.0f, -3.21f, -2.931f, -5.837f, -6.656f, -6.088f)
                lineTo(17.344f, 8.89f)
                curveToRelative(-0.135f, -0.01f, -0.27f, -0.027f, -0.407f, -0.03f)
                close()
                moveTo(14.408f, 12.132f)
                curveToRelative(0.535f, 0.0f, 0.969f, 0.44f, 0.969f, 0.982f)
                arcToRelative(0.976f, 0.976f, 0.0f, false, true, -0.969f, 0.983f)
                arcToRelative(0.976f, 0.976f, 0.0f, false, true, -0.969f, -0.983f)
                curveToRelative(0.0f, -0.542f, 0.434f, -0.982f, 0.97f, -0.982f)
                close()
                moveTo(19.252f, 12.132f)
                curveToRelative(0.535f, 0.0f, 0.969f, 0.44f, 0.969f, 0.982f)
                arcToRelative(0.976f, 0.976f, 0.0f, false, true, -0.969f, 0.983f)
                arcToRelative(0.976f, 0.976f, 0.0f, false, true, -0.969f, -0.983f)
                curveToRelative(0.0f, -0.542f, 0.434f, -0.982f, 0.969f, -0.982f)
                close()
            }
        }
        .build()
        return _wechat!!
    }

private var _wechat: ImageVector? = null
