package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wipro: ImageVector
    get() {
        if (_wipro != null) {
            return _wipro!!
        }
        _wipro = Builder(name = "Wipro", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(15.5415f, 12.0352f)
                curveToRelative(0.0f, -0.8754f, -0.69f, -1.5851f, -1.541f, -1.5851f)
                curveToRelative(-0.8513f, 0.0f, -1.5415f, 0.7097f, -1.5415f, 1.585f)
                curveToRelative(0.0f, 0.8757f, 0.6902f, 1.5854f, 1.5416f, 1.5854f)
                curveToRelative(0.851f, 0.0f, 1.541f, -0.7097f, 1.541f, -1.5853f)
                close()
                moveTo(14.0005f, 12.8722f)
                curveToRelative(-0.4373f, 0.0f, -0.7927f, -0.3755f, -0.7927f, -0.837f)
                curveToRelative(0.0f, -0.4611f, 0.3554f, -0.8366f, 0.7928f, -0.8366f)
                curveToRelative(0.437f, 0.0f, 0.7923f, 0.3755f, 0.7923f, 0.8366f)
                curveToRelative(0.0f, 0.4615f, -0.3554f, 0.837f, -0.7923f, 0.837f)
                close()
                moveTo(4.4163f, 10.6638f)
                lineToRelative(-0.9272f, 2.8733f)
                curveToRelative(-0.0148f, 0.046f, -0.0665f, 0.0835f, -0.1152f, 0.0835f)
                horizontalLineToRelative(-0.084f)
                curveToRelative(-0.0484f, 0.0f, -0.1064f, -0.0352f, -0.1287f, -0.078f)
                lineToRelative(-0.95f, -1.8242f)
                lineToRelative(-0.9496f, 1.8243f)
                curveToRelative(-0.0225f, 0.0427f, -0.0803f, 0.0779f, -0.1289f, 0.0779f)
                horizontalLineToRelative(-0.0842f)
                curveToRelative(-0.0483f, 0.0f, -0.1002f, -0.0374f, -0.115f, -0.0835f)
                lineTo(0.006f, 10.6638f)
                curveToRelative(-0.0222f, -0.0693f, 0.019f, -0.126f, 0.0915f, -0.126f)
                horizontalLineToRelative(0.5677f)
                curveToRelative(0.0483f, 0.0f, 0.1002f, 0.0379f, 0.115f, 0.084f)
                lineToRelative(0.4688f, 1.452f)
                lineToRelative(0.8047f, -1.5458f)
                curveToRelative(0.0223f, -0.0428f, 0.0804f, -0.0779f, 0.1289f, -0.0779f)
                lineTo(2.24f, 10.4501f)
                curveToRelative(0.0485f, 0.0f, 0.1063f, 0.0351f, 0.1289f, 0.0779f)
                lineToRelative(0.805f, 1.5458f)
                lineToRelative(0.4685f, -1.452f)
                curveToRelative(0.0148f, -0.0461f, 0.0667f, -0.084f, 0.1152f, -0.084f)
                horizontalLineToRelative(0.5672f)
                curveToRelative(0.0727f, 0.0f, 0.1138f, 0.0567f, 0.0915f, 0.126f)
                close()
                moveTo(5.7843f, 13.4005f)
                arcToRelative(0.1323f, 0.1323f, 0.0f, false, true, -0.1321f, 0.1322f)
                horizontalLineToRelative(-0.5726f)
                arcToRelative(0.1321f, 0.1321f, 0.0f, false, true, -0.132f, -0.1322f)
                verticalLineToRelative(-2.7304f)
                curveToRelative(0.0f, -0.0729f, 0.059f, -0.1322f, 0.132f, -0.1322f)
                horizontalLineToRelative(0.5726f)
                arcToRelative(0.1323f, 0.1323f, 0.0f, false, true, 0.1322f, 0.1322f)
                verticalLineToRelative(2.7304f)
                close()
                moveTo(6.5252f, 10.67f)
                verticalLineToRelative(4.3155f)
                curveToRelative(0.0f, 0.0733f, 0.059f, 0.1322f, 0.1321f, 0.1322f)
                horizontalLineToRelative(0.5725f)
                arcToRelative(0.1318f, 0.1318f, 0.0f, false, false, 0.132f, -0.1322f)
                verticalLineToRelative(-1.497f)
                curveToRelative(0.2426f, 0.085f, 0.5106f, 0.132f, 0.7927f, 0.132f)
                curveToRelative(0.8024f, 0.0f, 1.4531f, -0.7097f, 1.4531f, -1.5853f)
                curveToRelative(0.0f, -0.8754f, -0.6507f, -1.5851f, -1.4531f, -1.5851f)
                curveToRelative(-0.394f, 0.0f, -0.751f, 0.171f, -1.0127f, 0.4487f)
                lineToRelative(-2.0E-4f, -4.0E-4f)
                lineToRelative(-0.1018f, -0.2777f)
                curveToRelative(-0.0167f, -0.0453f, -0.07f, -0.0829f, -0.1183f, -0.0829f)
                horizontalLineToRelative(-0.2642f)
                arcToRelative(0.1321f, 0.1321f, 0.0f, false, false, -0.1321f, 0.1322f)
                close()
                moveTo(7.3617f, 11.57f)
                curveToRelative(0.1376f, -0.2239f, 0.3713f, -0.3714f, 0.6373f, -0.3714f)
                curveToRelative(0.4235f, 0.0f, 0.7667f, 0.3746f, 0.7667f, 0.8366f)
                curveToRelative(0.0f, 0.4622f, -0.3432f, 0.837f, -0.7667f, 0.837f)
                curveToRelative(-0.2396f, 0.0f, -0.4599f, -0.063f, -0.6373f, -0.1694f)
                lineTo(7.3617f, 11.57f)
                close()
                moveTo(10.9372f, 13.5327f)
                horizontalLineToRelative(-0.5723f)
                arcToRelative(0.1321f, 0.1321f, 0.0f, false, true, -0.1321f, -0.1321f)
                lineTo(10.2328f, 10.67f)
                curveToRelative(0.0f, -0.0729f, 0.059f, -0.1322f, 0.1321f, -0.1322f)
                horizontalLineToRelative(0.2642f)
                curveToRelative(0.0483f, 0.0f, 0.1016f, 0.0376f, 0.1183f, 0.0829f)
                lineToRelative(0.1018f, 0.2777f)
                reflectiveCurveToRelative(0.3195f, -0.4483f, 0.87f, -0.4483f)
                curveToRelative(0.5507f, 0.0f, 0.6172f, 0.1897f, 0.5712f, 0.2947f)
                curveToRelative(-0.0463f, 0.1047f, -0.1714f, 0.3878f, -0.197f, 0.4454f)
                curveToRelative(-0.0254f, 0.058f, -0.0903f, 0.099f, -0.1772f, 0.0657f)
                curveToRelative(-0.087f, -0.0335f, -0.5128f, -0.1723f, -0.8469f, 0.2329f)
                verticalLineToRelative(1.9118f)
                arcToRelative(0.1323f, 0.1323f, 0.0f, false, true, -0.1321f, 0.1321f)
                close()
                moveTo(15.6265f, 3.1905f)
                arcToRelative(0.704f, 0.704f, 0.0f, false, true, 0.8628f, -0.4977f)
                arcToRelative(0.7043f, 0.7043f, 0.0f, true, true, -0.3647f, 1.3607f)
                arcToRelative(0.7046f, 0.7046f, 0.0f, false, true, -0.498f, -0.863f)
                close()
                moveTo(17.4731f, 5.9797f)
                arcToRelative(0.5286f, 0.5286f, 0.0f, false, true, 0.1935f, 0.722f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, true, -0.7218f, 0.193f)
                arcToRelative(0.5281f, 0.5281f, 0.0f, false, true, -0.1935f, -0.7215f)
                arcToRelative(0.5281f, 0.5281f, 0.0f, false, true, 0.7218f, -0.1935f)
                close()
                moveTo(18.1371f, 16.9483f)
                arcToRelative(0.5727f, 0.5727f, 0.0f, false, true, 0.0f, -0.8099f)
                arcToRelative(0.5722f, 0.5722f, 0.0f, false, true, 0.8096f, 0.0f)
                arcToRelative(0.5727f, 0.5727f, 0.0f, false, true, 0.0f, 0.81f)
                arcToRelative(0.573f, 0.573f, 0.0f, false, true, -0.8095f, 0.0f)
                close()
                moveTo(15.6794f, 9.5713f)
                arcToRelative(0.2423f, 0.2423f, 0.0f, false, true, -0.4196f, -0.2423f)
                arcToRelative(0.2422f, 0.2422f, 0.0f, true, true, 0.4196f, 0.2422f)
                close()
                moveTo(15.2598f, 14.6714f)
                arcToRelative(0.2423f, 0.2423f, 0.0f, false, true, 0.4196f, -0.2422f)
                arcToRelative(0.2425f, 0.2425f, 0.0f, false, true, -0.0888f, 0.331f)
                arcToRelative(0.2426f, 0.2426f, 0.0f, false, true, -0.3308f, -0.0888f)
                close()
                moveTo(18.9894f, 12.0001f)
                arcToRelative(0.517f, 0.517f, 0.0f, true, true, -0.5169f, -0.5169f)
                arcToRelative(0.517f, 0.517f, 0.0f, false, true, 0.517f, 0.5169f)
                close()
                moveTo(17.816f, 3.8893f)
                arcToRelative(0.7485f, 0.7485f, 0.0f, true, true, 1.2962f, 0.749f)
                arcToRelative(0.7485f, 0.7485f, 0.0f, false, true, -1.2962f, -0.749f)
                close()
                moveTo(12.386f, 14.4635f)
                arcToRelative(0.154f, 0.154f, 0.0f, true, true, 0.2666f, 0.154f)
                arcToRelative(0.154f, 0.154f, 0.0f, false, true, -0.2666f, -0.154f)
                close()
                moveTo(15.1897f, 5.6723f)
                arcToRelative(0.4842f, 0.4842f, 0.0f, true, true, 0.9354f, 0.2502f)
                arcToRelative(0.4843f, 0.4843f, 0.0f, false, true, -0.593f, 0.3428f)
                arcToRelative(0.4844f, 0.4844f, 0.0f, false, true, -0.3424f, -0.593f)
                close()
                moveTo(13.993f, 7.8486f)
                arcToRelative(0.308f, 0.308f, 0.0f, true, true, 0.0f, -0.6162f)
                arcToRelative(0.308f, 0.308f, 0.0f, true, true, 0.0f, 0.6162f)
                close()
                moveTo(13.993f, 8.8615f)
                arcToRelative(0.1982f, 0.1982f, 0.0f, true, true, 2.0E-4f, 0.3962f)
                arcToRelative(0.1982f, 0.1982f, 0.0f, false, true, -2.0E-4f, -0.3962f)
                close()
                moveTo(13.993f, 6.0215f)
                arcToRelative(0.4404f, 0.4404f, 0.0f, true, true, 0.0f, -0.881f)
                arcToRelative(0.4404f, 0.4404f, 0.0f, false, true, 0.0f, 0.881f)
                close()
                moveTo(12.3858f, 9.5369f)
                arcToRelative(0.154f, 0.154f, 0.0f, true, true, 0.2102f, 0.0564f)
                arcToRelative(0.1537f, 0.1537f, 0.0f, false, true, -0.2102f, -0.0564f)
                close()
                moveTo(13.993f, 15.1389f)
                arcToRelative(0.1982f, 0.1982f, 0.0f, true, true, -1.0E-4f, -0.3963f)
                arcToRelative(0.1982f, 0.1982f, 0.0f, false, true, 0.0f, 0.3964f)
                close()
                moveTo(13.993f, 16.1516f)
                arcToRelative(0.3081f, 0.3081f, 0.0f, false, true, 0.0f, 0.6165f)
                arcToRelative(0.3081f, 0.3081f, 0.0f, true, true, 0.0f, -0.6165f)
                close()
                moveTo(17.4874f, 14.0135f)
                arcToRelative(0.4399f, 0.4399f, 0.0f, false, true, 0.6014f, -0.161f)
                arcToRelative(0.44f, 0.44f, 0.0f, false, true, 0.161f, 0.6013f)
                arcToRelative(0.4402f, 0.4402f, 0.0f, false, true, -0.7624f, -0.4403f)
                close()
                moveTo(13.993f, 17.979f)
                arcToRelative(0.4404f, 0.4404f, 0.0f, true, true, -2.0E-4f, 0.8808f)
                arcToRelative(0.4404f, 0.4404f, 0.0f, false, true, 2.0E-4f, -0.8808f)
                close()
                moveTo(23.5702f, 9.4364f)
                curveToRelative(0.1383f, 0.5164f, -0.168f, 1.0476f, -0.6848f, 1.186f)
                curveToRelative(-0.5165f, 0.1383f, -1.0478f, -0.1684f, -1.1861f, -0.6849f)
                curveToRelative(-0.1386f, -0.5164f, 0.1682f, -1.0475f, 0.6847f, -1.186f)
                curveToRelative(0.5165f, -0.1384f, 1.0476f, 0.168f, 1.1862f, 0.6849f)
                close()
                moveTo(16.8762f, 15.4382f)
                arcToRelative(0.3963f, 0.3963f, 0.0f, false, true, 0.5602f, -0.5607f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, true, 0.0f, 0.5602f)
                arcToRelative(0.3958f, 0.3958f, 0.0f, false, true, -0.5602f, 5.0E-4f)
                close()
                moveTo(17.8498f, 10.9688f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, true, 0.3424f, -0.5928f)
                arcToRelative(0.4841f, 0.4841f, 0.0f, true, true, 0.2507f, 0.9353f)
                arcToRelative(0.484f, 0.484f, 0.0f, false, true, -0.593f, -0.3425f)
                close()
                moveTo(19.2574f, 8.2531f)
                arcToRelative(0.6165f, 0.6165f, 0.0f, false, true, 0.6166f, 1.0676f)
                arcToRelative(0.6165f, 0.6165f, 0.0f, false, true, -0.6166f, -1.0676f)
                close()
                moveTo(18.9466f, 7.8618f)
                arcToRelative(0.5722f, 0.5722f, 0.0f, false, true, -0.8095f, 0.0f)
                arcToRelative(0.5725f, 0.5725f, 0.0f, false, true, 0.0f, -0.8097f)
                arcToRelative(0.5722f, 0.5722f, 0.0f, false, true, 0.8095f, 0.0f)
                arcToRelative(0.5725f, 0.5725f, 0.0f, false, true, 0.0f, 0.8097f)
                close()
                moveTo(17.8498f, 13.031f)
                arcToRelative(0.4842f, 0.4842f, 0.0f, false, true, 0.9355f, 0.2509f)
                arcToRelative(0.4842f, 0.4842f, 0.0f, true, true, -0.9355f, -0.251f)
                close()
                moveTo(14.8312f, 7.6047f)
                arcToRelative(0.3303f, 0.3303f, 0.0f, false, true, 0.4041f, -0.2336f)
                arcToRelative(0.3303f, 0.3303f, 0.0f, false, true, -0.1706f, 0.6381f)
                arcToRelative(0.3303f, 0.3303f, 0.0f, false, true, -0.2335f, -0.4045f)
                close()
                moveTo(21.2988f, 6.7697f)
                curveToRelative(0.4213f, -0.2434f, 0.96f, -0.0992f, 1.2031f, 0.3218f)
                arcToRelative(0.8806f, 0.8806f, 0.0f, true, true, -1.5254f, 0.8808f)
                curveToRelative(-0.2429f, -0.421f, -0.0987f, -0.9596f, 0.3223f, -1.2027f)
                close()
                moveTo(18.2498f, 9.5467f)
                arcToRelative(0.4401f, 0.4401f, 0.0f, true, true, -0.7624f, 0.4402f)
                arcToRelative(0.4401f, 0.4401f, 0.0f, true, true, 0.7624f, -0.4402f)
                close()
                moveTo(19.5725f, 10.5075f)
                arcToRelative(0.6606f, 0.6606f, 0.0f, false, true, 0.4667f, -0.8089f)
                arcToRelative(0.6605f, 0.6605f, 0.0f, false, true, 0.342f, 1.2758f)
                arcToRelative(0.6605f, 0.6605f, 0.0f, false, true, -0.8087f, -0.467f)
                close()
                moveTo(19.5725f, 13.4929f)
                arcToRelative(0.6603f, 0.6603f, 0.0f, true, true, 1.2756f, 0.3416f)
                arcToRelative(0.6602f, 0.6602f, 0.0f, true, true, -1.2756f, -0.3416f)
                close()
                moveTo(20.4319f, 12.7575f)
                arcToRelative(0.7574f, 0.7574f, 0.0f, true, true, -2.0E-4f, -1.5146f)
                arcToRelative(0.7574f, 0.7574f, 0.0f, false, true, 2.0E-4f, 1.5146f)
                close()
                moveTo(19.7563f, 6.2426f)
                arcToRelative(0.7921f, 0.7921f, 0.0f, false, true, 0.0f, -1.1207f)
                curveToRelative(0.3095f, -0.3095f, 0.8115f, -0.31f, 1.1209f, 0.0f)
                arcToRelative(0.7926f, 0.7926f, 0.0f, false, true, -1.1209f, 1.1207f)
                close()
                moveTo(16.534f, 8.3106f)
                arcToRelative(0.3522f, 0.3522f, 0.0f, true, true, -0.61f, -0.3523f)
                arcToRelative(0.3522f, 0.3522f, 0.0f, false, true, 0.61f, 0.3522f)
                close()
                moveTo(15.8953f, 13.8968f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, false, true, 0.3738f, -4.0E-4f)
                arcToRelative(0.2646f, 0.2646f, 0.0f, false, true, 0.0f, 0.3738f)
                arcToRelative(0.2638f, 0.2638f, 0.0f, false, true, -0.3738f, 0.0f)
                arcToRelative(0.2637f, 0.2637f, 0.0f, false, true, 0.0f, -0.3734f)
                close()
                moveTo(15.8953f, 9.7302f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, false, true, 0.3738f, -4.0E-4f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, true, true, -0.3738f, 4.0E-4f)
                close()
                moveTo(16.4099f, 13.7219f)
                arcToRelative(0.2868f, 0.2868f, 0.0f, false, true, -0.105f, -0.391f)
                arcToRelative(0.2862f, 0.2862f, 0.0f, false, true, 0.3912f, -0.1046f)
                arcToRelative(0.2863f, 0.2863f, 0.0f, false, true, -0.2862f, 0.4956f)
                close()
                moveTo(15.9239f, 16.0422f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, 0.129f, -0.4811f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, 0.4811f, 0.1288f)
                arcToRelative(0.352f, 0.352f, 0.0f, false, true, -0.1289f, 0.4811f)
                arcToRelative(0.3521f, 0.3521f, 0.0f, false, true, -0.4811f, -0.1288f)
                close()
                moveTo(16.8009f, 10.3832f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, true, -0.1048f, 0.3909f)
                arcToRelative(0.2867f, 0.2867f, 0.0f, false, true, -0.3911f, -0.1049f)
                arcToRelative(0.2862f, 0.2862f, 0.0f, false, true, 0.4958f, -0.286f)
                close()
                moveTo(16.5524f, 11.3166f)
                arcToRelative(0.3082f, 0.3082f, 0.0f, true, true, 0.5955f, -0.1596f)
                arcToRelative(0.3082f, 0.3082f, 0.0f, false, true, -0.5955f, 0.1596f)
                close()
                moveTo(16.5524f, 12.6834f)
                arcToRelative(0.3083f, 0.3083f, 0.0f, true, true, 0.5953f, 0.1602f)
                arcToRelative(0.3083f, 0.3083f, 0.0f, false, true, -0.5953f, -0.1602f)
                close()
                moveTo(16.9532f, 12.3367f)
                arcToRelative(0.3366f, 0.3366f, 0.0f, true, true, 1.0E-4f, -0.6731f)
                arcToRelative(0.3366f, 0.3366f, 0.0f, false, true, -1.0E-4f, 0.6731f)
                close()
                moveTo(17.4364f, 8.5623f)
                arcToRelative(0.3963f, 0.3963f, 0.0f, true, true, -0.5602f, 0.5608f)
                arcToRelative(0.3963f, 0.3963f, 0.0f, false, true, 0.5602f, -0.5608f)
                close()
                moveTo(10.0204f, 20.013f)
                arcToRelative(0.573f, 0.573f, 0.0f, false, true, -0.782f, 0.2096f)
                arcToRelative(0.5726f, 0.5726f, 0.0f, false, true, 0.5725f, -0.9916f)
                arcToRelative(0.5725f, 0.5725f, 0.0f, false, true, 0.2096f, 0.782f)
                close()
                moveTo(14.814f, 8.945f)
                arcToRelative(0.2202f, 0.2202f, 0.0f, true, true, -0.114f, 0.4253f)
                arcToRelative(0.2202f, 0.2202f, 0.0f, false, true, 0.114f, -0.4254f)
                close()
                moveTo(12.2753f, 20.7816f)
                arcToRelative(0.6164f, 0.6164f, 0.0f, true, true, -1.1908f, -0.3189f)
                arcToRelative(0.6164f, 0.6164f, 0.0f, false, true, 1.1908f, 0.319f)
                close()
                moveTo(14.814f, 15.0556f)
                arcToRelative(0.2203f, 0.2203f, 0.0f, false, true, -0.1138f, -0.4255f)
                arcToRelative(0.22f, 0.22f, 0.0f, true, true, 0.1138f, 0.4254f)
                close()
                moveTo(14.6536f, 20.9295f)
                arcToRelative(0.6603f, 0.6603f, 0.0f, false, true, -0.6604f, 0.6602f)
                arcToRelative(0.6603f, 0.6603f, 0.0f, false, true, -0.6606f, -0.6602f)
                curveToRelative(0.0f, -0.3649f, 0.2959f, -0.6608f, 0.6606f, -0.6608f)
                curveToRelative(0.3647f, 0.0f, 0.6604f, 0.296f, 0.6604f, 0.6608f)
                close()
                moveTo(13.1843f, 15.0078f)
                arcToRelative(0.1767f, 0.1767f, 0.0f, false, true, -0.1247f, -0.2158f)
                arcToRelative(0.1766f, 0.1766f, 0.0f, false, true, 0.216f, -0.1245f)
                arcToRelative(0.1761f, 0.1761f, 0.0f, false, true, -0.0913f, 0.3403f)
                close()
                moveTo(13.1131f, 16.379f)
                arcToRelative(0.2863f, 0.2863f, 0.0f, true, true, -0.5526f, -0.1478f)
                arcToRelative(0.2863f, 0.2863f, 0.0f, false, true, 0.5526f, 0.1478f)
                close()
                moveTo(10.3181f, 14.1064f)
                arcToRelative(0.2202f, 0.2202f, 0.0f, false, true, -0.3812f, 0.2202f)
                arcToRelative(0.2195f, 0.2195f, 0.0f, false, true, 0.0805f, -0.3005f)
                arcToRelative(0.2198f, 0.2198f, 0.0f, false, true, 0.3007f, 0.0803f)
                close()
                moveTo(11.9885f, 15.9881f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, true, true, -0.4578f, -0.2638f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, false, true, 0.4578f, 0.2638f)
                close()
                moveTo(12.0033f, 14.1628f)
                arcToRelative(0.1321f, 0.1321f, 0.0f, true, true, -0.1869f, -0.1869f)
                arcToRelative(0.1328f, 0.1328f, 0.0f, false, true, 0.187f, 0.0f)
                arcToRelative(0.1325f, 0.1325f, 0.0f, false, true, 0.0f, 0.187f)
                close()
                moveTo(11.0067f, 14.9728f)
                arcToRelative(0.242f, 0.242f, 0.0f, true, true, -0.3423f, 0.342f)
                arcToRelative(0.2418f, 0.2418f, 0.0f, false, true, 0.0f, -0.342f)
                arcToRelative(0.2417f, 0.2417f, 0.0f, false, true, 0.3423f, 0.0f)
                close()
                moveTo(11.085f, 17.7291f)
                arcToRelative(0.3518f, 0.3518f, 0.0f, false, true, -0.4811f, 0.1289f)
                arcToRelative(0.3522f, 0.3522f, 0.0f, true, true, 0.4811f, -0.1289f)
                close()
                moveTo(20.8774f, 17.7576f)
                arcToRelative(0.7926f, 0.7926f, 0.0f, false, true, 0.0f, 1.121f)
                curveToRelative(-0.3094f, 0.3097f, -0.8114f, 0.3093f, -1.121f, 0.0f)
                curveToRelative(-0.3097f, -0.3094f, -0.3095f, -0.8114f, 0.0f, -1.121f)
                arcToRelative(0.793f, 0.793f, 0.0f, false, true, 1.121f, 0.0f)
                close()
                moveTo(19.2576f, 15.7473f)
                arcToRelative(0.6169f, 0.6169f, 0.0f, false, true, -0.2255f, -0.8423f)
                arcToRelative(0.6168f, 0.6168f, 0.0f, false, true, 0.842f, -0.2255f)
                arcToRelative(0.6165f, 0.6165f, 0.0f, false, true, -0.6166f, 1.0678f)
                close()
                moveTo(22.5021f, 16.9085f)
                curveToRelative(-0.243f, 0.4214f, -0.7818f, 0.5656f, -1.203f, 0.3223f)
                curveToRelative(-0.4211f, -0.243f, -0.5653f, -0.7816f, -0.3224f, -1.2026f)
                curveToRelative(0.2437f, -0.4211f, 0.782f, -0.5655f, 1.203f, -0.3224f)
                curveToRelative(0.4213f, 0.2433f, 0.5657f, 0.7816f, 0.3224f, 1.2027f)
                close()
                moveTo(15.2355f, 16.6289f)
                arcToRelative(0.33f, 0.33f, 0.0f, true, true, -0.1706f, -0.638f)
                arcToRelative(0.3301f, 0.3301f, 0.0f, false, true, 0.1706f, 0.638f)
                close()
                moveTo(24.0f, 12.0f)
                curveToRelative(0.0f, 0.584f, -0.4735f, 1.058f, -1.058f, 1.058f)
                curveToRelative(-0.5843f, 0.0f, -1.0578f, -0.474f, -1.0578f, -1.058f)
                curveToRelative(0.0f, -0.5842f, 0.4735f, -1.0579f, 1.0579f, -1.0579f)
                reflectiveCurveTo(24.0f, 11.4159f, 24.0f, 12.0001f)
                close()
                moveTo(23.5703f, 14.564f)
                curveToRelative(-0.1386f, 0.5164f, -0.6697f, 0.8233f, -1.1862f, 0.685f)
                curveToRelative(-0.5165f, -0.1387f, -0.8233f, -0.6698f, -0.6847f, -1.1862f)
                curveToRelative(0.1383f, -0.5169f, 0.6696f, -0.8234f, 1.1861f, -0.685f)
                curveToRelative(0.5169f, 0.1386f, 0.8231f, 0.6697f, 0.6848f, 1.1861f)
                close()
                moveTo(16.9873f, 20.445f)
                arcToRelative(0.7044f, 0.7044f, 0.0f, true, true, -1.3608f, 0.3643f)
                arcToRelative(0.7042f, 0.7042f, 0.0f, false, true, 0.4981f, -0.8625f)
                arcToRelative(0.7043f, 0.7043f, 0.0f, false, true, 0.8628f, 0.4981f)
                close()
                moveTo(19.1121f, 19.3625f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, true, -0.274f, 1.0221f)
                arcToRelative(0.7482f, 0.7482f, 0.0f, false, true, -1.0222f, -0.2738f)
                arcToRelative(0.748f, 0.748f, 0.0f, false, true, 0.2738f, -1.0224f)
                arcToRelative(0.7484f, 0.7484f, 0.0f, false, true, 1.0224f, 0.274f)
                close()
                moveTo(15.1896f, 18.3281f)
                arcToRelative(0.4843f, 0.4843f, 0.0f, true, true, 0.9355f, -0.2507f)
                arcToRelative(0.4843f, 0.4843f, 0.0f, false, true, -0.9355f, 0.2507f)
                close()
                moveTo(17.4731f, 18.0204f)
                arcToRelative(0.5284f, 0.5284f, 0.0f, true, true, -0.5284f, -0.9153f)
                arcToRelative(0.5284f, 0.5284f, 0.0f, false, true, 0.5284f, 0.9153f)
                close()
                moveTo(12.7121f, 18.3002f)
                arcToRelative(0.3963f, 0.3963f, 0.0f, false, true, -0.7655f, -0.205f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, true, 0.4853f, -0.2803f)
                arcToRelative(0.3964f, 0.3964f, 0.0f, false, true, 0.2802f, 0.4853f)
                close()
                moveTo(11.8163f, 10.024f)
                arcToRelative(0.132f, 0.132f, 0.0f, true, true, 0.1868f, -0.1869f)
                arcToRelative(0.132f, 0.132f, 0.0f, false, true, -0.1868f, 0.1869f)
                close()
                moveTo(11.8917f, 8.373f)
                arcToRelative(0.2643f, 0.2643f, 0.0f, false, true, -0.2643f, -0.4576f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, false, true, 0.2643f, 0.4576f)
                close()
                moveTo(11.0845f, 3.5375f)
                arcToRelative(0.6164f, 0.6164f, 0.0f, true, true, 1.1905f, -0.3188f)
                arcToRelative(0.6164f, 0.6164f, 0.0f, false, true, -1.1905f, 0.3188f)
                close()
                moveTo(10.2375f, 9.593f)
                arcToRelative(0.22f, 0.22f, 0.0f, true, true, -0.2201f, 0.3812f)
                arcToRelative(0.2195f, 0.2195f, 0.0f, false, true, -0.0806f, -0.3004f)
                arcToRelative(0.22f, 0.22f, 0.0f, false, true, 0.3006f, -0.0808f)
                close()
                moveTo(11.0066f, 8.685f)
                arcToRelative(0.2423f, 0.2423f, 0.0f, false, true, -0.3423f, 0.3426f)
                arcToRelative(0.2423f, 0.2423f, 0.0f, false, true, 0.3423f, -0.3426f)
                close()
                moveTo(10.4747f, 6.6233f)
                arcToRelative(0.3524f, 0.3524f, 0.0f, false, true, 0.6102f, -0.352f)
                arcToRelative(0.3522f, 0.3522f, 0.0f, false, true, -0.6102f, 0.352f)
                close()
                moveTo(13.3325f, 3.071f)
                curveToRelative(0.0f, -0.3648f, 0.2959f, -0.6608f, 0.6606f, -0.6608f)
                curveToRelative(0.3647f, 0.0f, 0.6604f, 0.296f, 0.6604f, 0.6608f)
                arcToRelative(0.6606f, 0.6606f, 0.0f, false, true, -0.6604f, 0.6607f)
                arcToRelative(0.6608f, 0.6608f, 0.0f, false, true, -0.6606f, -0.6607f)
                close()
                moveTo(13.1842f, 8.9925f)
                arcToRelative(0.1761f, 0.1761f, 0.0f, true, true, 0.091f, 0.3404f)
                arcToRelative(0.1761f, 0.1761f, 0.0f, false, true, -0.091f, -0.3404f)
                close()
                moveTo(12.2267f, 5.4196f)
                arcToRelative(0.3964f, 0.3964f, 0.0f, false, true, 0.2053f, 0.7657f)
                arcToRelative(0.3962f, 0.3962f, 0.0f, false, true, -0.4854f, -0.2802f)
                arcToRelative(0.3966f, 0.3966f, 0.0f, false, true, 0.28f, -0.4855f)
                close()
                moveTo(12.7625f, 7.4188f)
                arcToRelative(0.2863f, 0.2863f, 0.0f, true, true, 0.148f, 0.553f)
                arcToRelative(0.2863f, 0.2863f, 0.0f, false, true, -0.148f, -0.553f)
                close()
                moveTo(9.0292f, 4.5596f)
                arcToRelative(0.5724f, 0.5724f, 0.0f, false, true, 0.2094f, -0.7818f)
                arcToRelative(0.5725f, 0.5725f, 0.0f, false, true, 0.5724f, 0.9914f)
                arcToRelative(0.572f, 0.572f, 0.0f, false, true, -0.7818f, -0.2096f)
                close()
                moveTo(8.6592f, 15.0644f)
                arcToRelative(0.2643f, 0.2643f, 0.0f, true, true, -0.458f, 0.264f)
                arcToRelative(0.2643f, 0.2643f, 0.0f, false, true, 0.458f, -0.264f)
                close()
                moveTo(4.9193f, 9.4585f)
                arcToRelative(0.462f, 0.462f, 0.0f, false, true, 0.566f, -0.3267f)
                arcToRelative(0.462f, 0.462f, 0.0f, false, true, 0.327f, 0.5658f)
                arcToRelative(0.4621f, 0.4621f, 0.0f, false, true, -0.5661f, 0.3271f)
                arcToRelative(0.4624f, 0.4624f, 0.0f, false, true, -0.327f, -0.5662f)
                close()
                moveTo(5.8194f, 7.2894f)
                arcToRelative(0.4843f, 0.4843f, 0.0f, true, true, 0.1772f, 0.6616f)
                arcToRelative(0.4845f, 0.4845f, 0.0f, false, true, -0.1772f, -0.6616f)
                close()
                moveTo(8.0486f, 17.9306f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, true, 0.0f, 0.7472f)
                arcToRelative(0.5286f, 0.5286f, 0.0f, false, true, -0.7473f, 0.0f)
                arcToRelative(0.5285f, 0.5285f, 0.0f, false, true, 0.0f, -0.7472f)
                arcToRelative(0.5282f, 0.5282f, 0.0f, false, true, 0.7473f, 0.0f)
                close()
                moveTo(6.676f, 16.2091f)
                arcToRelative(0.4842f, 0.4842f, 0.0f, true, true, -0.8386f, 0.4845f)
                arcToRelative(0.4842f, 0.4842f, 0.0f, false, true, 0.8386f, -0.4845f)
                close()
                moveTo(7.3015f, 6.0698f)
                arcToRelative(0.5285f, 0.5285f, 0.0f, false, true, 0.0f, -0.7472f)
                arcToRelative(0.5286f, 0.5286f, 0.0f, false, true, 0.7473f, 0.0f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, true, 0.0f, 0.7472f)
                arcToRelative(0.5282f, 0.5282f, 0.0f, false, true, -0.7473f, 0.0f)
                close()
                moveTo(9.6679f, 7.689f)
                arcToRelative(0.3086f, 0.3086f, 0.0f, false, true, -0.436f, 0.0f)
                arcToRelative(0.3085f, 0.3085f, 0.0f, false, true, 0.0f, -0.4362f)
                arcToRelative(0.3086f, 0.3086f, 0.0f, false, true, 0.436f, 0.0f)
                arcToRelative(0.3085f, 0.3085f, 0.0f, false, true, 0.0f, 0.4362f)
                close()
                moveTo(9.6679f, 16.3115f)
                arcToRelative(0.3082f, 0.3082f, 0.0f, true, true, -0.4359f, 0.4359f)
                arcToRelative(0.3082f, 0.3082f, 0.0f, false, true, 0.4359f, -0.436f)
                close()
                moveTo(8.2015f, 8.6719f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, true, true, 0.4574f, 0.2642f)
                arcToRelative(0.2642f, 0.2642f, 0.0f, false, true, -0.4574f, -0.2642f)
                close()
            }
        }
        .build()
        return _wipro!!
    }

private var _wipro: ImageVector? = null
