package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Woocommerce: ImageVector
    get() {
        if (_woocommerce != null) {
            return _woocommerce!!
        }
        _woocommerce = Builder(name = "Woocommerce", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(0.754f, 9.58f)
                arcToRelative(0.754f, 0.754f, 0.0f, false, false, -0.754f, 0.758f)
                verticalLineToRelative(2.525f)
                curveToRelative(0.0f, 0.42f, 0.339f, 0.758f, 0.758f, 0.758f)
                horizontalLineToRelative(3.135f)
                lineToRelative(1.431f, 0.799f)
                lineToRelative(-0.326f, -0.799f)
                horizontalLineToRelative(2.373f)
                arcToRelative(0.757f, 0.757f, 0.0f, false, false, 0.758f, -0.758f)
                verticalLineToRelative(-2.525f)
                arcToRelative(0.757f, 0.757f, 0.0f, false, false, -0.758f, -0.758f)
                lineTo(0.754f, 9.58f)
                close()
                moveTo(3.463f, 10.025f)
                horizontalLineToRelative(0.03f)
                curveToRelative(0.065f, 0.001f, 0.124f, 0.023f, 0.179f, 0.067f)
                arcToRelative(0.26f, 0.26f, 0.0f, false, true, 0.103f, 0.19f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, true, -0.033f, 0.16f)
                curveToRelative(-0.13f, 0.239f, -0.236f, 0.64f, -0.322f, 1.199f)
                curveToRelative(-0.083f, 0.541f, -0.114f, 0.965f, -0.094f, 1.267f)
                arcToRelative(0.392f, 0.392f, 0.0f, false, true, -0.039f, 0.219f)
                arcToRelative(0.213f, 0.213f, 0.0f, false, true, -0.176f, 0.12f)
                curveToRelative(-0.086f, 0.006f, -0.177f, -0.034f, -0.263f, -0.124f)
                curveToRelative(-0.31f, -0.316f, -0.555f, -0.788f, -0.735f, -1.416f)
                curveToRelative(-0.216f, 0.425f, -0.375f, 0.744f, -0.478f, 0.957f)
                curveToRelative(-0.196f, 0.376f, -0.363f, 0.568f, -0.502f, 0.578f)
                curveToRelative(-0.09f, 0.007f, -0.166f, -0.069f, -0.233f, -0.228f)
                curveToRelative(-0.17f, -0.436f, -0.352f, -1.277f, -0.548f, -2.524f)
                arcToRelative(0.297f, 0.297f, 0.0f, false, true, 0.054f, -0.222f)
                curveToRelative(0.047f, -0.064f, 0.116f, -0.095f, 0.21f, -0.102f)
                curveToRelative(0.169f, -0.013f, 0.265f, 0.065f, 0.288f, 0.238f)
                curveToRelative(0.103f, 0.695f, 0.217f, 1.284f, 0.336f, 1.766f)
                lineToRelative(0.727f, -1.387f)
                curveToRelative(0.066f, -0.126f, 0.15f, -0.192f, 0.25f, -0.199f)
                curveToRelative(0.146f, -0.01f, 0.237f, 0.083f, 0.273f, 0.28f)
                curveToRelative(0.083f, 0.441f, 0.188f, 0.817f, 0.315f, 1.136f)
                curveToRelative(0.086f, -0.844f, 0.233f, -1.453f, 0.44f, -1.828f)
                arcToRelative(0.255f, 0.255f, 0.0f, false, true, 0.218f, -0.147f)
                close()
                moveTo(4.756f, 10.385f)
                curveToRelative(0.056f, 0.0f, 0.116f, 0.006f, 0.18f, 0.02f)
                curveToRelative(0.232f, 0.05f, 0.411f, 0.177f, 0.53f, 0.386f)
                curveToRelative(0.107f, 0.18f, 0.161f, 0.395f, 0.161f, 0.654f)
                curveToRelative(0.0f, 0.343f, -0.087f, 0.654f, -0.26f, 0.94f)
                curveToRelative(-0.2f, 0.332f, -0.459f, 0.5f, -0.781f, 0.5f)
                arcToRelative(0.88f, 0.88f, 0.0f, false, true, -0.18f, -0.022f)
                arcToRelative(0.763f, 0.763f, 0.0f, false, true, -0.531f, -0.384f)
                arcToRelative(1.287f, 1.287f, 0.0f, false, true, -0.158f, -0.659f)
                curveToRelative(0.0f, -0.342f, 0.085f, -0.655f, 0.258f, -0.937f)
                curveToRelative(0.202f, -0.333f, 0.462f, -0.498f, 0.78f, -0.498f)
                close()
                moveTo(6.84f, 10.385f)
                curveToRelative(0.056f, 0.0f, 0.116f, 0.006f, 0.18f, 0.02f)
                curveToRelative(0.236f, 0.05f, 0.411f, 0.177f, 0.53f, 0.386f)
                curveToRelative(0.107f, 0.18f, 0.16f, 0.395f, 0.16f, 0.654f)
                curveToRelative(0.0f, 0.343f, -0.086f, 0.654f, -0.259f, 0.94f)
                curveToRelative(-0.2f, 0.332f, -0.459f, 0.5f, -0.781f, 0.5f)
                arcToRelative(0.88f, 0.88f, 0.0f, false, true, -0.18f, -0.022f)
                arcToRelative(0.763f, 0.763f, 0.0f, false, true, -0.531f, -0.384f)
                arcToRelative(1.287f, 1.287f, 0.0f, false, true, -0.16f, -0.659f)
                curveToRelative(0.0f, -0.342f, 0.087f, -0.655f, 0.26f, -0.937f)
                curveToRelative(0.202f, -0.333f, 0.462f, -0.498f, 0.78f, -0.498f)
                close()
                moveTo(11.277f, 10.432f)
                curveToRelative(-0.305f, 0.0f, -0.546f, 0.102f, -0.718f, 0.304f)
                curveToRelative(-0.173f, 0.203f, -0.256f, 0.49f, -0.256f, 0.856f)
                curveToRelative(0.0f, 0.395f, 0.086f, 0.697f, 0.256f, 0.906f)
                curveToRelative(0.17f, 0.21f, 0.418f, 0.316f, 0.744f, 0.316f)
                curveToRelative(0.315f, 0.0f, 0.559f, -0.107f, 0.728f, -0.316f)
                curveToRelative(0.17f, -0.21f, 0.256f, -0.504f, 0.256f, -0.883f)
                reflectiveCurveToRelative(-0.087f, -0.673f, -0.26f, -0.879f)
                curveToRelative(-0.176f, -0.202f, -0.424f, -0.304f, -0.75f, -0.304f)
                close()
                moveTo(9.811f, 10.434f)
                arcToRelative(1.13f, 1.13f, 0.0f, false, false, -0.84f, 0.326f)
                curveToRelative(-0.223f, 0.22f, -0.332f, 0.499f, -0.332f, 0.838f)
                curveToRelative(0.0f, 0.362f, 0.108f, 0.658f, 0.328f, 0.88f)
                curveToRelative(0.22f, 0.223f, 0.505f, 0.336f, 0.861f, 0.336f)
                curveToRelative(0.103f, 0.0f, 0.22f, -0.016f, 0.346f, -0.052f)
                verticalLineToRelative(-0.54f)
                curveToRelative(-0.117f, 0.034f, -0.216f, 0.051f, -0.303f, 0.051f)
                arcToRelative(0.545f, 0.545f, 0.0f, false, true, -0.422f, -0.177f)
                curveToRelative(-0.106f, -0.12f, -0.16f, -0.278f, -0.16f, -0.48f)
                curveToRelative(0.0f, -0.19f, 0.053f, -0.348f, 0.156f, -0.468f)
                arcToRelative(0.498f, 0.498f, 0.0f, false, true, 0.397f, -0.181f)
                curveToRelative(0.103f, 0.0f, 0.212f, 0.015f, 0.332f, 0.049f)
                verticalLineToRelative(-0.537f)
                arcToRelative(1.394f, 1.394f, 0.0f, false, false, -0.363f, -0.045f)
                close()
                moveTo(22.225f, 10.434f)
                arcToRelative(1.135f, 1.135f, 0.0f, false, false, -0.84f, 0.326f)
                curveToRelative(-0.223f, 0.22f, -0.332f, 0.499f, -0.332f, 0.838f)
                curveToRelative(0.0f, 0.362f, 0.108f, 0.658f, 0.328f, 0.88f)
                curveToRelative(0.22f, 0.223f, 0.506f, 0.336f, 0.861f, 0.336f)
                curveToRelative(0.103f, 0.0f, 0.22f, -0.016f, 0.346f, -0.052f)
                verticalLineToRelative(-0.54f)
                curveToRelative(-0.116f, 0.034f, -0.216f, 0.051f, -0.303f, 0.051f)
                arcToRelative(0.545f, 0.545f, 0.0f, false, true, -0.422f, -0.177f)
                curveToRelative(-0.106f, -0.12f, -0.16f, -0.278f, -0.16f, -0.48f)
                curveToRelative(0.0f, -0.19f, 0.053f, -0.348f, 0.156f, -0.468f)
                arcToRelative(0.498f, 0.498f, 0.0f, false, true, 0.397f, -0.181f)
                curveToRelative(0.103f, 0.0f, 0.212f, 0.015f, 0.332f, 0.049f)
                verticalLineToRelative(-0.537f)
                arcToRelative(1.394f, 1.394f, 0.0f, false, false, -0.363f, -0.045f)
                close()
                moveTo(12.627f, 10.494f)
                lineToRelative(-0.29f, 2.264f)
                horizontalLineToRelative(0.579f)
                lineToRelative(0.156f, -1.559f)
                lineToRelative(0.395f, 1.559f)
                horizontalLineToRelative(0.412f)
                lineToRelative(0.379f, -1.555f)
                lineToRelative(0.164f, 1.555f)
                horizontalLineToRelative(0.603f)
                lineToRelative(-0.304f, -2.264f)
                horizontalLineToRelative(-0.791f)
                lineToRelative(-0.12f, 0.508f)
                curveToRelative(-0.03f, 0.13f, -0.06f, 0.264f, -0.087f, 0.4f)
                lineToRelative(-0.067f, 0.352f)
                arcToRelative(29.97f, 29.97f, 0.0f, false, false, -0.258f, -1.26f)
                horizontalLineToRelative(-0.771f)
                close()
                moveTo(15.395f, 10.494f)
                lineToRelative(-0.29f, 2.264f)
                horizontalLineToRelative(0.579f)
                lineToRelative(0.156f, -1.559f)
                lineToRelative(0.396f, 1.559f)
                horizontalLineToRelative(0.412f)
                lineToRelative(0.375f, -1.555f)
                lineToRelative(0.165f, 1.555f)
                horizontalLineToRelative(0.603f)
                lineToRelative(-0.305f, -2.264f)
                horizontalLineToRelative(-0.789f)
                lineToRelative(-0.119f, 0.508f)
                curveToRelative(-0.03f, 0.13f, -0.06f, 0.264f, -0.086f, 0.4f)
                lineToRelative(-0.066f, 0.352f)
                curveToRelative(-0.063f, -0.352f, -0.15f, -0.771f, -0.26f, -1.26f)
                horizontalLineToRelative(-0.771f)
                close()
                moveTo(19.383f, 10.494f)
                verticalLineToRelative(2.264f)
                horizontalLineToRelative(0.611f)
                verticalLineToRelative(-1.031f)
                horizontalLineToRelative(0.012f)
                lineToRelative(0.494f, 1.03f)
                horizontalLineToRelative(0.645f)
                lineToRelative(-0.489f, -1.019f)
                arcToRelative(0.61f, 0.61f, 0.0f, false, false, 0.37f, -0.552f)
                arcToRelative(0.598f, 0.598f, 0.0f, false, false, -0.25f, -0.506f)
                curveToRelative(-0.167f, -0.123f, -0.394f, -0.186f, -0.68f, -0.186f)
                horizontalLineToRelative(-0.713f)
                close()
                moveTo(22.76f, 10.494f)
                verticalLineToRelative(2.264f)
                lineTo(24.0f, 12.758f)
                verticalLineToRelative(-0.483f)
                horizontalLineToRelative(-0.63f)
                verticalLineToRelative(-0.414f)
                horizontalLineToRelative(0.54f)
                verticalLineToRelative(-0.468f)
                horizontalLineToRelative(-0.54f)
                verticalLineToRelative(-0.416f)
                horizontalLineToRelative(0.626f)
                verticalLineToRelative(-0.483f)
                lineTo(22.76f, 10.494f)
                close()
                moveTo(17.967f, 10.498f)
                verticalLineToRelative(2.264f)
                horizontalLineToRelative(1.24f)
                verticalLineToRelative(-0.483f)
                horizontalLineToRelative(-0.627f)
                verticalLineToRelative(-0.416f)
                horizontalLineToRelative(0.541f)
                verticalLineToRelative(-0.468f)
                horizontalLineToRelative(-0.54f)
                verticalLineToRelative(-0.415f)
                horizontalLineToRelative(0.622f)
                verticalLineToRelative(-0.482f)
                horizontalLineToRelative(-1.236f)
                close()
                moveTo(19.992f, 10.93f)
                curveToRelative(0.146f, 0.003f, 0.25f, 0.025f, 0.313f, 0.072f)
                curveToRelative(0.063f, 0.046f, 0.091f, 0.12f, 0.091f, 0.227f)
                curveToRelative(0.0f, 0.156f, -0.135f, 0.236f, -0.404f, 0.24f)
                verticalLineToRelative(-0.54f)
                close()
                moveTo(4.772f, 10.941f)
                curveToRelative(-0.104f, 0.0f, -0.205f, 0.069f, -0.301f, 0.211f)
                arcToRelative(1.078f, 1.078f, 0.0f, false, false, -0.2f, 0.639f)
                curveToRelative(0.0f, 0.096f, 0.02f, 0.2f, 0.06f, 0.303f)
                curveToRelative(0.049f, 0.13f, 0.117f, 0.198f, 0.196f, 0.215f)
                curveToRelative(0.083f, 0.016f, 0.173f, -0.02f, 0.27f, -0.106f)
                curveToRelative(0.123f, -0.11f, 0.205f, -0.273f, 0.252f, -0.492f)
                curveToRelative(0.016f, -0.077f, 0.023f, -0.16f, 0.023f, -0.246f)
                curveToRelative(0.0f, -0.097f, -0.02f, -0.2f, -0.06f, -0.303f)
                curveToRelative(-0.05f, -0.13f, -0.116f, -0.198f, -0.196f, -0.215f)
                arcToRelative(0.246f, 0.246f, 0.0f, false, false, -0.045f, -0.006f)
                close()
                moveTo(6.855f, 10.941f)
                curveToRelative(-0.103f, 0.0f, -0.204f, 0.069f, -0.3f, 0.211f)
                arcToRelative(1.078f, 1.078f, 0.0f, false, false, -0.2f, 0.639f)
                curveToRelative(0.0f, 0.096f, 0.02f, 0.2f, 0.06f, 0.303f)
                curveToRelative(0.049f, 0.13f, 0.117f, 0.198f, 0.196f, 0.215f)
                curveToRelative(0.083f, 0.016f, 0.173f, -0.02f, 0.27f, -0.106f)
                curveToRelative(0.123f, -0.11f, 0.205f, -0.273f, 0.252f, -0.492f)
                curveToRelative(0.013f, -0.077f, 0.023f, -0.16f, 0.023f, -0.246f)
                curveToRelative(0.0f, -0.097f, -0.02f, -0.2f, -0.06f, -0.303f)
                curveToRelative(-0.05f, -0.13f, -0.116f, -0.198f, -0.196f, -0.215f)
                arcToRelative(0.246f, 0.246f, 0.0f, false, false, -0.045f, -0.006f)
                close()
                moveTo(11.283f, 10.947f)
                curveToRelative(0.233f, 0.0f, 0.354f, 0.218f, 0.354f, 0.66f)
                curveToRelative(-0.004f, 0.273f, -0.038f, 0.46f, -0.098f, 0.553f)
                arcToRelative(0.293f, 0.293f, 0.0f, false, true, -0.262f, 0.139f)
                arcToRelative(0.266f, 0.266f, 0.0f, false, true, -0.242f, -0.139f)
                curveToRelative(-0.056f, -0.093f, -0.084f, -0.28f, -0.084f, -0.562f)
                curveToRelative(0.0f, -0.436f, 0.11f, -0.65f, 0.332f, -0.65f)
                close()
            }
        }
        .build()
        return _woocommerce!!
    }

private var _woocommerce: ImageVector? = null
