package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Zomato: ImageVector
    get() {
        if (_zomato != null) {
            return _zomato!!
        }
        _zomato = Builder(name = "Zomato", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(19.615f, 9.45f)
                lineToRelative(-1.258f, 0.473f)
                lineToRelative(-0.167f, 0.71f)
                lineToRelative(-0.446f, 0.021f)
                lineToRelative(-0.115f, 0.978f)
                horizontalLineToRelative(0.408f)
                lineToRelative(-0.211f, 1.51f)
                curveToRelative(-0.131f, 0.939f, 0.036f, 1.381f, 0.865f, 1.381f)
                curveToRelative(0.488f, 0.0f, 0.91f, -0.175f, 1.135f, -0.297f)
                lineToRelative(0.145f, -0.9f)
                curveToRelative(-0.167f, 0.083f, -0.436f, 0.19f, -0.618f, 0.19f)
                curveToRelative(-0.247f, 0.0f, -0.276f, -0.13f, -0.225f, -0.488f)
                lineToRelative(0.189f, -1.396f)
                horizontalLineToRelative(0.843f)
                curveToRelative(0.03f, -0.206f, 0.131f, -0.877f, 0.16f, -1.0f)
                horizontalLineToRelative(-0.865f)
                close()
                moveTo(15.836f, 10.452f)
                curveToRelative(-0.115f, 0.002f, -0.236f, 0.01f, -0.361f, 0.026f)
                arcToRelative(3.592f, 3.592f, 0.0f, false, false, -1.347f, 0.432f)
                lineToRelative(0.26f, 0.789f)
                curveToRelative(0.269f, -0.15f, 0.615f, -0.28f, 0.978f, -0.326f)
                curveToRelative(0.538f, -0.066f, 0.757f, 0.1f, 0.79f, 0.375f)
                curveToRelative(0.014f, 0.109f, 0.004f, 0.199f, -0.005f, 0.289f)
                lineToRelative(-0.014f, 0.056f)
                arcToRelative(3.46f, 3.46f, 0.0f, false, false, -1.097f, -0.036f)
                curveToRelative(-0.518f, 0.063f, -0.943f, 0.273f, -1.204f, 0.6f)
                arcToRelative(1.324f, 1.324f, 0.0f, false, false, -0.225f, 1.034f)
                curveToRelative(0.127f, 0.583f, 0.553f, 0.84f, 1.199f, 0.76f)
                curveToRelative(0.45f, -0.055f, 0.812f, -0.27f, 1.076f, -0.63f)
                arcToRelative(2.665f, 2.665f, 0.0f, false, true, -0.03f, 0.304f)
                arcToRelative(1.74f, 1.74f, 0.0f, false, true, -0.072f, 0.29f)
                lineToRelative(1.244f, 0.001f)
                arcToRelative(3.657f, 3.657f, 0.0f, false, true, -0.001f, -0.365f)
                curveToRelative(0.036f, -0.459f, 0.118f, -1.143f, 0.247f, -2.051f)
                arcToRelative(2.397f, 2.397f, 0.0f, false, false, -0.002f, -0.59f)
                curveToRelative(-0.08f, -0.644f, -0.628f, -0.969f, -1.436f, -0.958f)
                close()
                moveTo(22.372f, 10.515f)
                curveToRelative(-1.194f, 0.0f, -2.107f, 1.067f, -2.107f, 2.342f)
                curveToRelative(0.0f, 0.959f, 0.552f, 1.693f, 1.628f, 1.693f)
                curveToRelative(1.2f, 0.0f, 2.107f, -1.067f, 2.107f, -2.35f)
                curveToRelative(0.0f, -0.95f, -0.538f, -1.685f, -1.628f, -1.685f)
                close()
                moveTo(10.595f, 10.556f)
                curveToRelative(-0.538f, 0.0f, -1.12f, 0.465f, -1.52f, 1.236f)
                curveToRelative(0.102f, -0.504f, 0.08f, -1.076f, 0.051f, -1.198f)
                arcToRelative(8.964f, 8.964f, 0.0f, false, true, -1.287f, 0.122f)
                arcToRelative(6.9f, 6.9f, 0.0f, false, true, -0.073f, 1.243f)
                lineToRelative(-0.167f, 1.145f)
                curveToRelative(-0.066f, 0.45f, -0.138f, 0.969f, -0.211f, 1.297f)
                horizontalLineToRelative(1.353f)
                curveToRelative(0.007f, -0.199f, 0.058f, -0.511f, 0.094f, -0.786f)
                lineToRelative(0.116f, -0.786f)
                curveToRelative(0.095f, -0.511f, 0.502f, -1.114f, 0.815f, -1.114f)
                curveToRelative(0.182f, 0.0f, 0.175f, 0.176f, 0.124f, 0.504f)
                lineToRelative(-0.131f, 0.885f)
                curveToRelative(-0.066f, 0.45f, -0.138f, 0.969f, -0.211f, 1.297f)
                horizontalLineToRelative(1.367f)
                curveToRelative(0.008f, -0.199f, 0.051f, -0.512f, 0.088f, -0.786f)
                lineToRelative(0.116f, -0.786f)
                curveToRelative(0.094f, -0.512f, 0.502f, -1.114f, 0.814f, -1.114f)
                curveToRelative(0.182f, 0.0f, 0.175f, 0.168f, 0.146f, 0.396f)
                lineToRelative(-0.327f, 2.29f)
                lineTo(13.0f, 14.401f)
                lineToRelative(0.438f, -2.609f)
                curveToRelative(0.095f, -0.649f, 0.044f, -1.236f, -0.676f, -1.236f)
                curveToRelative(-0.523f, 0.0f, -1.09f, 0.443f, -1.49f, 1.182f)
                curveToRelative(0.087f, -0.61f, 0.036f, -1.182f, -0.677f, -1.182f)
                close()
                moveTo(5.715f, 10.564f)
                curveToRelative(-1.177f, 0.0f, -2.08f, 1.053f, -2.08f, 2.312f)
                curveToRelative(0.0f, 0.946f, 0.546f, 1.67f, 1.608f, 1.67f)
                curveToRelative(1.185f, 0.0f, 2.08f, -1.052f, 2.08f, -2.319f)
                curveToRelative(0.0f, -0.938f, -0.531f, -1.663f, -1.607f, -1.663f)
                close()
                moveTo(0.589f, 10.655f)
                curveToRelative(-0.05f, 0.39f, -0.102f, 0.778f, -0.175f, 1.13f)
                curveToRelative(0.328f, -0.008f, 0.619f, -0.016f, 1.411f, -0.016f)
                lineToRelative(-1.81f, 1.96f)
                lineToRelative(-0.015f, 0.703f)
                curveToRelative(0.444f, -0.03f, 0.997f, -0.039f, 1.63f, -0.039f)
                curveToRelative(0.566f, 0.0f, 1.134f, 0.008f, 1.497f, 0.039f)
                curveToRelative(0.065f, -0.458f, 0.13f, -0.763f, 0.21f, -1.137f)
                curveToRelative(-0.275f, 0.015f, -0.755f, 0.023f, -1.512f, 0.023f)
                lineToRelative(1.81f, -1.969f)
                lineToRelative(0.023f, -0.694f)
                curveToRelative(-0.437f, 0.023f, -0.83f, 0.03f, -1.52f, 0.03f)
                curveToRelative(-0.749f, 0.0f, -0.975f, -0.007f, -1.549f, -0.03f)
                close()
                moveTo(5.577f, 11.582f)
                curveToRelative(0.255f, 0.0f, 0.408f, 0.228f, 0.408f, 0.701f)
                curveToRelative(0.0f, 0.687f, -0.276f, 1.251f, -0.626f, 1.251f)
                curveToRelative(-0.261f, 0.0f, -0.414f, -0.236f, -0.414f, -0.702f)
                curveToRelative(0.0f, -0.694f, 0.283f, -1.25f, 0.632f, -1.25f)
                close()
                moveTo(22.206f, 11.582f)
                curveToRelative(0.254f, 0.0f, 0.407f, 0.228f, 0.407f, 0.701f)
                curveToRelative(0.0f, 0.687f, -0.276f, 1.251f, -0.625f, 1.251f)
                curveToRelative(-0.262f, 0.0f, -0.415f, -0.236f, -0.415f, -0.702f)
                curveToRelative(0.0f, -0.694f, 0.284f, -1.25f, 0.633f, -1.25f)
                close()
                moveTo(15.51f, 12.64f)
                curveToRelative(0.206f, -0.003f, 0.403f, 0.024f, 0.55f, 0.058f)
                lineToRelative(-0.013f, 0.118f)
                curveToRelative(-0.075f, 0.44f, -0.39f, 0.881f, -0.848f, 0.938f)
                curveToRelative(-0.31f, 0.037f, -0.578f, -0.148f, -0.608f, -0.39f)
                arcToRelative(0.538f, 0.538f, 0.0f, false, true, 0.114f, -0.41f)
                curveToRelative(0.117f, -0.159f, 0.336f, -0.268f, 0.599f, -0.3f)
                curveToRelative(0.069f, -0.009f, 0.138f, -0.013f, 0.206f, -0.014f)
                close()
            }
        }
        .build()
        return _zomato!!
    }

private var _zomato: ImageVector? = null
