package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.Companion.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Companion.Butt
import androidx.compose.ui.graphics.StrokeJoin.Companion.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Zotero: ImageVector
    get() {
        if (_zotero != null) {
            return _zotero!!
        }
        _zotero = Builder(name = "Zotero", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(6.266f, 16.933f)
                lineTo(2.238f, 18.76f)
                lineTo(2.206f, 5.189f)
                lineTo(11.913f, 0.788f)
                lineToRelative(0.008f, 3.532f)
                lineTo(7.388f, 4.32f)
                lineToRelative(-1.13f, 1.33f)
                verticalLineToRelative(3.63f)
                horizontalLineToRelative(5.66f)
                lineToRelative(-5.17f, 5.71f)
                lineToRelative(-0.48f, 1.29f)
                lineToRelative(-0.002f, 0.653f)
                close()
                moveTo(12.778f, 14.97f)
                horizontalLineToRelative(0.263f)
                lineToRelative(-0.187f, -0.085f)
                lineToRelative(-0.076f, 0.085f)
                close()
                moveTo(12.096f, 4.32f)
                horizontalLineToRelative(4.762f)
                lineToRelative(1.13f, 1.33f)
                verticalLineToRelative(3.52f)
                lineToRelative(-0.05f, 0.05f)
                lineToRelative(-4.961f, 5.529f)
                lineToRelative(0.486f, 0.221f)
                horizontalLineToRelative(3.395f)
                lineToRelative(1.13f, 1.31f)
                verticalLineToRelative(0.752f)
                lineToRelative(1.551f, 0.707f)
                lineToRelative(2.24f, 1.02f)
                lineToRelative(0.015f, -13.57f)
                lineTo(12.088f, 0.788f)
                lineToRelative(0.008f, 3.532f)
                close()
                moveTo(22.476f, 4.75f)
                lineToRelative(-0.017f, 14.528f)
                lineTo(12.025f, 24.0f)
                lineTo(1.558f, 19.279f)
                lineTo(1.524f, 4.75f)
                lineTo(12.0f, 0.0f)
                lineToRelative(10.476f, 4.75f)
                close()
                moveTo(21.97f, 5.133f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, false, -0.052f, -0.08f)
                lineTo(12.036f, 0.573f)
                curveToRelative(-0.012f, -0.006f, -0.023f, 0.002f, -0.036f, 0.002f)
                curveToRelative(-0.012f, 0.0f, -0.024f, -0.008f, -0.036f, -0.003f)
                lineToRelative(-9.881f, 4.48f)
                arcToRelative(0.087f, 0.087f, 0.0f, false, false, -0.051f, 0.08f)
                lineToRelative(0.032f, 13.763f)
                curveToRelative(0.0f, 0.03f, 0.015f, 0.058f, 0.04f, 0.074f)
                lineToRelative(0.009f, 0.003f)
                lineToRelative(0.002f, 0.003f)
                lineToRelative(9.874f, 4.453f)
                curveToRelative(0.012f, 0.005f, 0.024f, 0.008f, 0.036f, 0.008f)
                reflectiveCurveToRelative(0.024f, -0.003f, 0.036f, -0.008f)
                lineToRelative(9.842f, -4.454f)
                lineToRelative(0.002f, -0.003f)
                lineToRelative(0.009f, -0.003f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, false, 0.041f, -0.074f)
                lineToRelative(0.015f, -13.761f)
                close()
                moveTo(17.988f, 19.91f)
                lineTo(6.258f, 19.91f)
                lineToRelative(0.008f, -2.785f)
                lineToRelative(-3.903f, 1.77f)
                lineToRelative(9.662f, 4.357f)
                lineToRelative(9.63f, -4.358f)
                lineToRelative(-3.666f, -1.67f)
                verticalLineToRelative(2.686f)
                close()
                moveTo(11.679f, 16.176f)
                horizontalLineToRelative(5.985f)
                lineToRelative(-0.89f, -1.031f)
                horizontalLineToRelative(-4.167f)
                lineToRelative(-0.928f, 1.031f)
                close()
                moveTo(6.574f, 5.552f)
                horizontalLineToRelative(11.092f)
                lineToRelative(-0.893f, -1.053f)
                lineTo(7.467f, 4.499f)
                lineToRelative(-0.893f, 1.053f)
                close()
                moveTo(17.808f, 5.719f)
                lineTo(6.432f, 5.719f)
                verticalLineToRelative(3.389f)
                horizontalLineToRelative(6.505f)
                lineToRelative(-6.505f, 7.235f)
                verticalLineToRelative(3.389f)
                horizontalLineToRelative(11.376f)
                verticalLineToRelative(-3.389f)
                horizontalLineToRelative(-6.505f)
                lineToRelative(6.505f, -7.235f)
                lineTo(17.808f, 5.719f)
                close()
                moveTo(6.883f, 15.108f)
                lineToRelative(-0.297f, 0.814f)
                lineToRelative(5.976f, -6.647f)
                horizontalLineToRelative(-0.395f)
                lineToRelative(-5.284f, 5.833f)
                close()
            }
        }
        .build()
        return _zotero!!
    }

private var _zotero: ImageVector? = null
